<?php $version ="10.0.3.0"; $revdate = "7 October 2014";
// Mod Manager Options written by Ken Roy to incorporate current mods to Mod Manager into the TNG code
//			and support additional processing options
// Based on the TNG v10.0.3 admin_modmgroptions.php module
include("begin.php");
include("adminlib.php");
$textpart = "mods";
include("getlang.php");

include("$mylanguage/admintext.php");

//tng_db_connect($database_host,$database_name,$database_username,$database_password) or exit;
$admin_login = 1;
include("checklogin.php");
include("version.php");
$admvers="TNG10 V3.0 ";

$debug = false;
if( !empty( $debug ) ) {
   error_reporting( E_ALL );
   ini_set( 'display_errors', 'on' );
   ini_set( 'error_log', 'mm_error.log' );
}

//$optionsfile = 'classes/mod.class.config.php';
$optionsfile = $subroot.'mmconfig.php';
include $optionsfile;
//echo __FILE__,' ',__LINE__;print_r( $options );exit;

define( "YES", 1 );
define( "NO",  0 );

define( "MODNAME",  0 );
define( "CFGNAME",  1 );
define( "ON_ERROR", 0 );
define( "ON_ALL",   1 );

define( "ONE", 1 );
define( "TWO", 2 );
define( "THREE", 3 );
define( "FOUR", 4 );
define( "FIVE", 5 );

//  Set the default options if the mod.class.config.php file does not contain them
//if (!isset($options['show_affected_files'])) $options['show_affected_files'] = "1";		// Display AF List in Mod List
//if (!isset($options['show_AFnewfile'])) $options['show_AFnewfile'] = "1";		// Display New Files in AF List
//if (!isset($options['show_AFfilecopies'])) $options['show_AFfilecopies'] = "1";		// Display Files copied in AF List
if (!isset($options['modlogfile'])) $options['modlogfile'] = "modmgrlog.txt";		// Default Mod Log file name
if (!isset($options['maxloglines'])) $options['maxloglines'] = "200";		// Default Log max transactions
if (!isset($options['compress_log'])) $options['compress_log'] = "1";		// Default to compress log
if (!isset($options['redirect2log'])) $options['redirect2log'] = ON_ERROR;
if (!isset($options['sortby'])) $options['sortby'] = "1";		// Default Sort by Mod Name column
if (!isset($options['delete_partial'])) $options['delete_partial'] = "0";	// do not allow Delete Selected of Partially Installed mods
if (!isset($options['delete_installed'])) $options['delete_installed'] = "0";	// do not allow deletes of individual Installed mods
if (!isset($options['show_warnings'] )) $options['show_warnings']  = "1";	// allow warnings
if (!isset($options['log_full_path'])) $options['log_full_path'] = "1";		// Log full path for file actions 
if (!isset($options['compress_names'])) $options['compress_names'] = "0";	// Compress Mod Names 
if (!isset($options['fix_header'])) $options['fix_header'] = "1";	// Use Fixed Headers
if (!isset($options['show_analyzer'])) $options['show_analyzer'] = "0";		// Default to not show the Analyzer tab
if (!isset($options['use_striping'])) $options['use_striping'] = "1"; 	//Default to striping
if (!isset($options['stripe_after'])) $options['stripe_after'] = THREE; 	//Default to ledger striping
if (!isset($options['adjust_headers'])) $options['adjust_headers'] = "0";	// Default to not adjust fixed headers
if( !isset($sub) ) $sub = "tables";

$flags['tabs'] = $tngconfig['tabs'];
$flags['modmgr'] = true;
tng_adminheader( $admtext['modmgr'], $flags );

echo "
<script type=\"text/javascript\">
function toggleAll(display) {
	toggleSection('log','plus0',display);
	toggleSection('display','plus1',display);
	toggleSection('other','plus2',display);
	return false;
}
</script>";

$min_width = $sitever == 'mobile' ? '0' : '640px';
echo "
<style type='text/css'>
body {
   margin:0;
   overflow-y: scroll;
   min-width:$min_width;
}
</style>";

echo "
<script type=\"text/javascript\">
function toggleAll(display) {
	toggleSection('log','plus0',display);
	toggleSection('display','plus1',display);
	toggleSection('other','plus2',display);
	return false;
}
</script>";
$helplang = findhelp("modhandler_help.php");

$modtabs[0] = array(1,"admin_modhandler.php", $admtext['modlist'],"modlist");
$modtabs[1] = array(1,"admin_showmodslog.php",$admtext['viewlog'],"viewlog");
$modtabs[2] = array(1,"admin_modoptions.php",$admtext['options'],"options");
if ( $options['show_analyzer'] == YES)
	$modtabs[3] = array(1,"admin_analyzemods.php",$admtext['analyzer'],"analyzer");
$innermenu = "<a href=\"#\" onclick=\"return openHelp('$helplang/modhandler_help.php#options');\" class=\"lightlink\">{$admtext['help']}</a>";
$innermenu .= " &nbsp;|&nbsp; <a href=\"#\" class=\"lightlink\" onClick=\"return toggleAll('on');\">{$text['expandall']}</a> &nbsp;|&nbsp; <a href=\"#\" class=\"lightlink\" onClick=\"return toggleAll('off');\">{$text['collapseall']}</a>";
$menu = "<div class=\"mmmenuwrap\">";
$menu .= doMenu($modtabs,"options",$innermenu);
$menu .= "</div>";

if(!isset($message)) $message = "";
$headline = displayHeadline($admtext['modmgr'],"img/modmgr_icon.gif",$menu,$message);
$first_menu=TRUE;

if( $options['fix_header'] == YES && $sitever != 'mobile' ) {
   $headclass = 'mmhead-fixed';
   $tableclass = 'm2table-fixed';
}
else {
   $headclass = 'mmhead-scroll';
   $tableclass = 'm2table-scroll';
}
//$bkgclass = 'tmpbkg'.$templatenum;
// only adjust css positioning for template 7 -- all others are standard
//if( $templatenum == 7 )
//   $tableclass = $tableclass.$templatenum;

echo "
<script type=\"text/javascript\" src=\"js/admin.js\"></script>
</head>
<body background=\"img/background.gif\" style=\"margin:0;\">
<div id=\"mmhead\" class=\"$headclass adminback\">
   $headline
</div><!--head-section-->";

echo "
	<form action=\"admin_updatemodoptions.php\" method=\"post\" name=\"form1\">";
/*
      <input type=\"hidden\" value=\"{$options['mmlogfile']}\" name=\"mmlogfile\" size=\"20\" />
      <input type=\"hidden\" value=\"{$options['maxlines']}\" name=\"maxlines\" size=\"5\" />
      <input name=\"showaflist\" type=\"hidden\" value=\"{$options['showaflist']}\" />
      <input name=\"newfile\" type=\"hidden\" value=\"{$options['newfile']}\" />
      <input name=\"afcopyfile\" type=\"hidden\" value=\"{$options['afcopyfile']}\" />
      <input name=\"namecol\" type=\"hidden\" value=\"{$options['namecol']}\" />
      <input name=\"showlistas\" type=\"hidden\" value=\"{$options['showlistas']}\" />
      <input name=\"batchshowaflist\" type=\"hidden\" value=\"{$options['batchshowaflist']}\" />
      <input name=\"logactions\" type=\"hidden\" value=\"{$options['logactions']}\" />
      <input name=\"maxlines\" type=\"hidden\" value=\"{$options['maxlines']}\" />
<!--  <input name=\"sortby\" type=\"hidden\" value=\"{$options['sortby']}\" /> -->
      <input name=\"bypassconfirm\" type=\"hidden\" value=\"{$options['bypassconfirm']}\" />
      <input name=\"bypassaction\" type=\"hidden\" value=\"{$options['bypassaction']}\" />
*/
echo "
      <table id=\"m2table\" width=\"100%\" border=\"0\" cellpadding=\"10\" cellspacing=\"2\" class=\"lightback $tableclass\" style=\"padding: 0px;\">
      <tr class=\"databack\">
         <td class=\"tngshadow\">";
//echo __FILE__,' ',__LINE__;print_r( $options );

echo displayToggle("plus0",0,"log",$admtext['logoptions'],"");
echo "
	<div id=\"log\" style=\"display:none\">
		<table class=\"normal\">
		    <tr>
                  <td width=\"270px\">
                     <span class=\"normal\">{$admtext['mmlogfilename']}:</span>
                  </td>
                  <td>
                     <input type=\"text\" value=\"{$options['modlogfile']}\" name=\"options[modlogfile]\" size=\"20\">
                  </td>
               </tr>
		         <tr>
                  <td>
                     <span class=\"normal\">{$admtext['mmmaxloglines']}:</span>
                  </td>
                  <td>
                     <input type=\"text\" value=\"{$options['maxloglines']}\" name=\"options[maxloglines]\" size=\"5\">
                  </td>
               </tr>
         		<tr>
         			<td width=\"270px\">{$admtext['compresslog']}:</td>
         			<td>
         				<select name=\"options[compress_log]\">
         					<option value=".YES; if( $options['compress_log'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['compress_log'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['redirect2log']}:</td>
         			<td>
         				<select name=\"options[redirect2log]\">
                        <option value=".ON_ERROR; if( $options['redirect2log'] == ON_ERROR ) echo "  selected=\"selected\""; echo ">{$admtext['on_error']}</option>
                        <option value=".ON_ALL; if( $options['redirect2log'] == ON_ALL ) echo " selected=\"selected\""; echo ">{$admtext['on_all']}</option>
         				</select>
         			</td>
         		</tr>
				<tr>
					<td width=\"270px\">{$admtext['logfullpath']}:</td>
					<td>
						<select name=\"options[log_full_path]\">
						<option value=".YES; if( $options['log_full_path'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
						<option value=".NO; if( $options['log_full_path'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
						</select>
					</td>
				</tr>

            	</table>
            </div>
			</td>
		</tr>
      <tr class=\"databack tngshadow\">
         <td class=\"tngshadow\">";
echo displayToggle("plus1",0,"display",$admtext['displayoptions'],"");
echo "
	<div id=\"display\" style=\"display:none\">
	            <table class=\"normal\">
		         <tr>
         			<td width=\"270px\">{$admtext['sortlistby']}:</td>
         			<td>
         				<select name=\"options[sortby]\">
         					<option value=".MODNAME; if( $options['sortby'] == MODNAME ) echo " selected=\"selected\""; echo ">{$admtext['modname']}</option>
         					<option value=".CFGNAME; if( $options['sortby'] == CFGNAME ) echo " selected=\"selected\""; echo ">{$admtext['cfgname']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['fixedheader']}:</td>
         			<td>
         				<select name=\"options[fix_header]\">
         					<option value=".YES; if( $options['fix_header'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['fix_header'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['adjusthdrs']}:</td>
         			<td>
         				<select name=\"options[adjust_headers]\">
         					<option value=".YES; if( $options['adjust_headers'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['adjust_headers'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['usestriping']}:</td>
         			<td>
         				<select name=\"options[use_striping]\">
         					<option value=".YES; if( $options['use_striping'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['use_striping'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['stripeafter']}:</td>
					<td>
						<select name=\"options[stripe_after]\">
							<option value=".ONE; if( $options['stripe_after'] == ONE ) echo " selected=\"selected\""; echo ">1</option>
							<option value=".TWO; if( $options['stripe_after'] == TWO ) echo " selected=\"selected\""; echo ">2</option>
							<option value=".THREE; if( $options['stripe_after'] == THREE ) echo " selected=\"selected\""; echo ">3</option>
							<option value=".FOUR; if( $options['stripe_after'] == FOUR ) echo " selected=\"selected\""; echo ">4</option>
							<option value=".FIVE; if( $options['stripe_after'] == FIVE ) echo " selected=\"selected\""; echo ">5</option>
						</select>
					</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['showwarnings']}:</td>
         			<td>
         				<select name=\"options[show_warnings]\">
         					<option value=".YES; if( $options['show_warnings'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['show_warnings'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['compressnames']}:</td>
         			<td>
         				<select name=\"options[compress_names]\">
         					<option value=".YES; if( $options['compress_names'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['compress_names'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['showanalyzer']}:</td>
         			<td>
         				<select name=\"options[show_analyzer]\">
         					<option value=".YES; if( $options['show_analyzer'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['show_analyzer'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         	   </table>
            </div>
         </td>
      </tr>
     <tr class=\"databack tngshadow\">
         <td class=\"tngshadow\">";
echo displayToggle("plus2",0,"other",$admtext['othermmoptions'],"");
echo "
	<div id=\"other\" style=\"display:none\">
	    <table class=\"normal\">
         		<tr>
         			<td width=\"270px\">{$admtext['allowdeletepartial']}:</td>
         			<td>
         				<select name=\"options[delete_partial]\">
         					<option value=".YES; if( $options['delete_partial'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['delete_partial'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
         		<tr>
         			<td width=\"270px\">{$admtext['allowdeleteinstalled']}:</td>
         			<td>
         				<select name=\"options[delete_installed]\">
         					<option value=".YES; if( $options['delete_installed'] == YES ) echo " selected=\"selected\""; echo ">{$admtext['yes']}</option>
         					<option value=".NO; if( $options['delete_installed'] == NO ) echo " selected=\"selected\""; echo ">{$admtext['no']}</option>
         				</select>
         			</td>
         		</tr>
			</table>
			</div>
		</td></tr>
		<tr class=\"databack tngshadow\">
			<td class=\"tngshadow\">
            <input type=\"submit\" name=\"submit\" accesskey=\"s\" value=\"{$admtext['save']}\" />
			</td>
		</tr>
		</table>
	</form>";
/*************************************************************************
JAVASCRIPT SUPPORT
*************************************************************************/
//$sitever = 'mobile'; //turns off jQuery positioning for testing
if( $sitever != 'mobile' && $options['adjust_headers'] ) {
   echo "
<script type=\"text/javascript\">
   jQuery(document).ready(function() {
      // set position of m2table relative to mmhead
      jQuery('#m2table').position({
         my: 'left top',
         at: 'left bottom',
         of: jQuery('#mmhead'),
         collision: 'none'
      });
   })
</script>;";
}

echo "
<div align=\"right\">
   <span class=\"normal\">$tng_title, v.$tng_version</span>
</div>
</body>
</html>";
?>