<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Značka větve";
		$admtext['existingbranch'] = "Existující větev";
		$admtext['newbranch'] = "Nová větev";
		$admtext['numgenerations'] = "Počet generací";
		$admtext['ancestors'] = "Předci";
		$admtext['descofanc'] = "Generace potomků od každého předka";
		$admtext['descendants'] = "Potomci";
		$admtext['includespouses'] = "Včetně partnerů potomků";
		$admtext['partial'] = "Částečně";
		$admtext['addlabels'] = "Přidat značku";
		$admtext['clearlabels'] = "Smazat značku";
		$admtext['clearingbranch'] = "Značka větve se maže";
		$admtext['addingbranch'] = "Značka větve se přidává";
		$admtext['totalaffected'] = "Celkem změněno";
		$admtext['labelmore'] = "Další značka větve";
		$admtext['enterbranch'] = "Zvolte existující větev a nebo zadejte novou.";
		$admtext['enterstartingind'] = "Zadejte, prosím, ID číslo výchozí osoby.";
		$admtext['gensnumeric'] = "Zadané hodnoty pro potomky a předky musí být číselné.";
		$admtext['overwrite'] = "Přepsat";
		$admtext['branchid'] = "ID číslo větve";
		$admtext['addnewbranch'] = "Přidat novou větev";
		$admtext['createbranch'] = "Vytvořit záznam pro novou větev";
		$admtext['existingbranchinfo'] = "Informace o existující větvi";
		$admtext['editexistingbranch'] = "Upravit informaci pro existující větev";
		$admtext['confbranchdelete'] = "Opravdu chcete vymazat tuto větev?";
		$admtext['enterbranchid'] = "Zadejte prosím ID číslo větve.";
		$admtext['entertreedesc'] = "Zadejte prosím popis pro tuto větev.";
		$admtext['newbranchinfo'] = "Informace o nové větvi";
		$admtext['modifybranch'] = "Změnit existující větev";
		$admtext['changestobranch'] = "Změny pro větev";
		$admtext['existlabels'] = "Existující značku";
		$admtext['leave'] = "Ponechat";
		$admtext['append'] = "Přidat novou";
		$admtext['showpeople'] = "Zobrazit osoby s tímto stromem/větví";
		$admtext['branchdiscl'] = "Toto číslo reprezentuje celkový počet odkazů větve a ne nutně počet osob nebo rodin spojených s touto větví. Pokud jste nedávno znovu importovali vaše data, budete muset asi znovu označit větve.";
		$admtext['inclspouses'] = "Včetně partnerů všech potomků";
		$admtext['delpeople'] = "Vymazat osoby a rodiny se značkou této větve";
		$admtext['confbrdel'] = "Opravdu chcete vymazat všechny osoby a rodiny se značkou této větve?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Obrázek mapy nemohl být překopírován na";
		$admtext['changestocem'] = "Úpravy hřbitova";
		$admtext['modifycemetery'] = "Upravit existující hřbitov";
		$admtext['addnewcemetery'] = "Přidat nový hřbitov";
		$admtext['createnewcemetery'] = "Vytvořit záznam pro nový hřbitov";
		$admtext['selectcemaction'] = "Zvolit hřbitov a akci";
		$admtext['location'] = "Umístění";
		$admtext['confdeletecem'] = "Opravdu chcete vymazat tento hřbitov?";
		$admtext['editceminfo'] = "Upravit informace o existujícím hřbitovu";
		$admtext['leaveblankallcems'] = "nechat prázdné pro zobrazení všech hřbitovů";
		$admtext['cemeteryname'] = "Název hřbitova";
		$admtext['mapfilename'] = "Název souboru mapy";
		$admtext['countyparish'] = "Okres/farnost";
		$admtext['stateprovince'] = "Kraj/provincie";
		$admtext['entercountry'] = "Zadejte prosím název země.";
		$admtext['entermapfile'] = "Zadejte prosím název souboru pro tuto mapu na serveru.";
		$admtext['existingceminfo'] = "Informace o existujícím hřbitovu";
		$admtext['newceminfo'] = "Informace o novém hřbitovu";
		$admtext['maptoupload'] = "Obrázek plánu pro nahrání";
		$admtext['mapfilenamefolder'] = "Název souboru plánu<br>ve složce náhrobků";
		$admtext['ifmapuploaded'] = "Toto pole nevyplňujte, pokud byl již soubor nahrán do složky náhrobků.";
		$admtext['requiredmap'] = "Musí být zadáno, pokud používáte plán. Musí odpovídat názvu a umístění vašeho souboru <em>ve složce náhrobků</em> po nahrání souboru. Pokud se např. složka náhrobků nazývá <em>headstones</em>,	a vy chcete soubor pojmenovat <em>plan.jpg</em> a umístit tento soubor do podsložky náhrobků nazvané <em>mojeplany</em>, do tohoto pole zadejte <em>mojeplany/plan.jpg</em>.";
		//added in 8.0.0
		$admtext['linkplace'] = "Asociované místo";
		$admtext['fillplace'] = "Doplnit místo";
		$admtext['usecemcoords'] = "Zkopírovat údaje zeměpisných souřadnic níže k tomuto místu";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "již existuje";
		$admtext['added'] = "přidán";
		$admtext['enternew'] = "Vložit nový";
		$admtext['pleaseenter'] = "Zadejte prosím ";
		$admtext['netscapereload'] = "Uživatelé Netscape: <br>Musíte obnovit (reload) stránku s hřbitovy abyste viděli nový";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Poznámka se maže...";
		$admtext['addingnote'] = "Poznámka se přidává...";
		$admtext['addnewnote'] = "Přidat novou poznámku";
		$admtext['note'] = "Poznámka";
		$admtext['modifynote'] = "Upravit poznámku";
		//added in 8.0.0
		$admtext['notechanges'] = "Změny do poznámky";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Událost se přidává...";
		$admtext['deletingevent'] = "Událost se maže...";
		$admtext['updatingevent'] = "Událost se aktualizuje...";
		$admtext['modifyevent'] = "Upravit událost";
		$admtext['addnewevent'] = "Přidat novou událost";

		$admtext['dateformat'] = "(DD MMM RRRR)";
		$admtext['age'] = "Věk";
		$admtext['agency'] = "Instituce";
		$admtext['cause'] = "Příčina";
		$admtext['moreinfo'] = "Další informace";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplikovat pro";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Import souboru GEDCOM...<br>(může trvat několik minut)";
		$admtext['ifimportfails'] = "Pokud import neskončí úspěšně,";
		$admtext['opened'] = "otevřen...";
		$admtext['toresume'] = "pro pokračování importu";  //cannot open to resume import
		$admtext['openedtoresume'] = "otevřen pro pokračování importu...";
		$admtext['notresumed'] = "Nelze pokračovat v importu.";
		$admtext['finishedimporting'] = "Import souboru GEDCOM byl dokončen";
		$admtext['treeexists'] = "Zvolené ID číslo je již přiřazeno k jinému stromu. Zvolte, prosím, jiné číslo a zkuste to znovu.";
		$admtext['backtodataimport'] = "Zpět na import dat";
		$admtext['moreoptions'] = "Další možnosti";
		$admtext['removeged'] = "Vymazat soubor GEDCOM (nepovinné)";
		$admtext['cannotupload'] = "Nelze načíst soubor:";
		$admtext['invfperms'] = "Váš adresář 'gedcom' má zřejmě špatná oprávnění (zkuste 755 or 777).";
		$admtext['maybedone'] = "Zřejmě už skončil.";
		$admtext['turnonsis'] = "Ujistěte se, že 'Uložit stav importu' je v nastavení importu zapnut.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Změna typu události";
		$admtext['modifyeventtype'] = "Změnit existující typ události";
		$admtext['individual'] = "Osoba";
		$admtext['entertypedesc'] = "Zadejte type/popis pro tento nový typ události.";
		$admtext['enterdisplay'] = "Zadejte název pro tento nový typ události.";
		$admtext['existingeventtypeinfo'] = "Informace o existujících typech událostí";
		$admtext['neweventtypeinfo'] = "Informace o nových typech událostí";
		$admtext['tag'] = "Tag";
		$admtext['typedescription'] = "Type/Popis";
		$admtext['onimport'] = "Při importu";
		$admtext['accept'] = "Přijmout";
		$admtext['ignore'] = "Odmítnout";
		$admtext['typerequired'] = "Při použití vlastních tagů (kde tag = \"EVEN\"), toto je hodnota TYPE a je vyžadována. Pro všechny ostatní tagy je tato hodnota nepovinná.";
		$admtext['addnewevtype'] = "Přidat nový typ události";
		$admtext['createnewevtype'] = "Vytvořit záznam nového typu události";
		$admtext['forindividuals'] = "Pro jednotlivce...";
		$admtext['forfamilies'] = "Pro rodiny...";
		$admtext['existingevtypes'] = "Existující typy událostí";
		$admtext['edsevtypes'] = "Upravit, vymazat nebo seřadit existující typy událostí";
		$admtext['indfam'] = "Osoba/Rodina";  //individual family
		$admtext['confdeleteevtype'] = "Opravdu chcete vymazat tento typ události?";
		$admtext['selecttag'] = "Vybrat tag";
		$admtext['selectentertag'] = "Vyberte, prosím, nebo zadejte tag pro tento typ události.";
		$admtext['orenter'] = "nebo zadat";
		$admtext['ifbothdata'] = "bude mít přednost, pokud obě pole obsahují údaje";
		$admtext['EVEN'] = "Událost";
		$admtext['ADOP'] = "Adopce";
		$admtext['ADDR'] = "Adresa";
		$admtext['ALIA'] = "Alias";
		$admtext['BARM'] = "Bar Micva (obřad dospělosti židovského chlapce)";
		$admtext['BASM'] = "Bat Micva (obřad dospělosti židovské dívky)";
		$admtext['CAST'] = "Společenské postavení";
		$admtext['CENS'] = "Sčítání lidu";
		$admtext['CHRA'] = "Křest v dospělosti";
		$admtext['CONF'] = "Biřmování";
		$admtext['CREM'] = "Kremace";
		$admtext['DSCR'] = "Fyzický popis";
		$admtext['EDUC'] = "Vzdělání";
		$admtext['EMIG'] = "Emigrace";
		$admtext['FCOM'] = "První příjímání";
		$admtext['GRAD'] = "Promoce";
		$admtext['IDNO'] = "Národní identifikační číslo";
		$admtext['IMMI'] = "Imigrace";
		$admtext['LANG'] = "Jazyk";
		$admtext['NATI'] = "Národnost";
		$admtext['NATU'] = "Udělení občanství";
		$admtext['NCHI'] = "Počet dětí";
		$admtext['NMR'] = "Počet manželství";
		$admtext['OCCU'] = "Povolání";
		$admtext['ORDI'] = "Ustanovení";
		$admtext['ORDN'] = "Vysvěcení na kněze";
		$admtext['PHON'] = "Telefon";
		$admtext['PROB'] = "Vykonání závěti";
		$admtext['PROP'] = "Majetek";
		$admtext['RELI'] = "Náboženství";
		$admtext['RESI'] = "Bydliště";
		$admtext['RESN'] = "Zákaz";
		$admtext['RETI'] = "Odchod do důchodu";
		$admtext['RFN'] = "Číslo záznamu";
		$admtext['SSN'] = "Číslo sociálního pojištění";
		$admtext['WILL'] = "Závěť";
		$admtext['ANUL'] = "Anulování";
		$admtext['DIVF'] = "Podání žádosti o rozvod";
		$admtext['ENGA'] = "Zásnoubení";
		$admtext['MARB'] = "Ohlášky";
		$admtext['MARC'] = "Manželská smlouva";
		$admtext['MARL'] = "Povolení ke sňatku";
		$admtext['MARS'] = "Manželská dohoda";
		$admtext['forsources'] = "Pro prameny...";
		$admtext['RIN'] = "Číslo záznamu";
		$admtext['REFN'] = "Referenční číslo";
		$admtext['REPO'] = "Úložiště pramenů";

		$admtext['deleteselected'] = "Vymazat vybrané";
		$admtext['ignoreselected'] = "Odmítnout vybrané";
		$admtext['acceptselected'] = "Přijmout vybrané";
		$admtext['changestoallevtypes'] = "Změny ke všem typům událostí";
		$admtext['forrepos'] = "Pro úložiště pramenů...";
		$admtext['noevtypes'] = "Žádný typ události neexistuje.";
		$admtext['DESI'] = "Úroveň zájmu o potomka";
		$admtext['allnone'] = "Pro každý jazyk zadejte text, který se bude zobrazovat, <br />nebo nechte pole prázdná a zadejte pouze jednu zprávu nahoře.";
		$admtext['assocwith'] = "Spojeno s";
		$admtext['BAPM'] = "Křest";
		$admtext['umps'] = "Váš soubor GEDCOM je zřejmě větší než je maximální velikost povolená ve vaší instalaci PHP. Požádejte vašeho providera, aby zvětšil hodnotu proměnné 'upload_max_filesize' nebo můžete nakopírovat váš soubor do složky 'gedcom' na vašich stránkách a naimportovat jej odtud.;";
		$admtext['othlangs'] = "Další jazyky";
		$admtext['evdata'] = "Údaje k události";
		$admtext['ANCI'] = "Úroveň zájmu o předka";
		//added in 10.0.0
		$admtext['collapseev'] = "Sbalit událost";
		$admtext['collapse'] = "Sbalit";
		$admtext['collapseselected'] = "Sbalit vybrané";
		//added in 11.0.0
		$admtext['expselected'] = "Rozbalit vybrané";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Změny v rodinných informacích";
		$admtext['marrdate'] = "Datum sňatku"; //marriage date
		$admtext['modifyfamily'] = "Upravit existující rodinu";
		$admtext['selectfamaction'] = "Zvolit rodinu a akci";
		$admtext['confdeletefam'] = "Opravdu chcete vymazat tuto rodinu?";
		$admtext['existingfamilyinfo'] = "Informace o existující rodině";
		$admtext['newfamilyinfo'] = "Informace o nové rodině";
		$admtext['sealedsdate'] = "Datum pečetění s partnerem (CJKSpd)";     //S is for spouse
		$admtext['sealedsplace'] = "Místo pečetění s partnerem (CJKSpd)";     //S is for spouse
		$admtext['newchildren'] = "Nové děti";
		$admtext['addnewfamily'] = "Přidat novou rodinu";
		$admtext['createnewfamily'] = "Vytvořit záznam pro novou rodinu";
		$admtext['editexistingfaminfo'] = "Upravit informace pro existující rodinu";
		$admtext['spousesids'] = "ID čísla partnerů";
		$admtext['noname'] = "Beze jména";
		$admtext['familyidbefevent'] = "Musíte zadat ID číslo rodiny před přidáním nového druhu události.";
		$admtext['prefixfamilyid'] = "Přidejte na začátek ID čísla rodiny písmeno \"F\" značící \"Family\"";
		$admtext['validfamilyid'] = "Zadejte platné ID číslo rodiny. Platné číslo je číslo začínající písmenem 'F'.";
		$admtext['familyidbefnote'] = "Musíte zadat ID číslo rodiny před přidáním nových poznámek.";
		$admtext['familyidbefcite'] = "Musíte zadat ID číslo rodiny před lze použít citace pro tuto rodinu.";
		$admtext['genfamily'] = "Obecná rodina (General Family)";
		$admtext['marriagetype'] = "Typ sňatku";
		$admtext['reviewfamilies'] = "Přijmout nebo odmítnout navrhované změny rodin";
		$admtext['fevslater'] = "Poznámka: Další události, stejně jako související poznámky a citace, mohou být přidány potom co je nová rodina uložena.";
		$admtext['husbid'] = "ID číslo manžela";  //husband ID
		$admtext['wifeid'] = "ID číslo manželky";
		$admtext['enternamepart'] = "zadejte alespoň část jména a nebo příjmení";
		$admtext['pleasenamepart'] = "Zadejte prosím alespoň část jména a nebo příjmení.";
		$admtext['clickfind'] = "Klikněte Najít nebo Vytvořit =>";
		$admtext['chunlinked'] = "Dítě odpojené od rodiny";
		$admtext['child'] = "Dítě";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Osoba se přidává...";
		$admtext['changestoperson'] = "Změny osoby";
		$admtext['nobirthinfo'] = "Chybí informace o narození";
		$admtext['modifyperson'] = "Upravit existující osobu";
		$admtext['selectpersaction'] = "Zvolit osobu a akci";
		$admtext['existingpersoninfo'] = "Informace o existující osobě";
		$admtext['firstgivennames'] = "Jméno";
		$admtext['lastsurname'] = "Příjmení";
		$admtext['nickname'] = "Přezdívka";
		$admtext['male'] = "Muž";
		$admtext['female'] = "Žena";
		$admtext['bapldate'] = "Datum křtu (CJKSpd)";
		$admtext['baplplace'] = "Místo křtu (CJKSpd)";
		$admtext['endldate'] = "Datum obdarování (CJKSpd)";
		$admtext['parents'] = "Rodiče";
		$admtext['father'] = "Otec";
		$admtext['mother'] = "Matka";
		$admtext['unlinkindividual'] = "Odpojit tuto osobu";
		$admtext['aschild'] = "jako dítě";
		$admtext['sealedpdate'] = "Datum pečetění s rodiči (CJKSpd)";     //P is for parents
		$admtext['sealedpplace'] = "Místo pečetění s rodiči (CJKSpd)";     //P is for parents
		$admtext['asspouse'] = "jako partnera";
		$admtext['spouse'] = "Partner";
		$admtext['ordernumber'] = "Číslo pořadí";
		$admtext['married'] = "Sňatek";
		$admtext['nonewfamily'] = "Po uložení nezobrazit novou rodinu";
		$admtext['addnewperson'] = "Přidat novou osobu";
		$admtext['createperson'] = "Vytvořit záznam pro novou osobu";
		$admtext['personidbefevent'] = "Musíte zadat ID číslo osoby předtím než lze přidat nové události.";
		$admtext['prefixpersonid'] = "Přidejte před ID číslo osoby písmeno \"I\" značící \"Individual\"";
		$admtext['validpersonid'] = "Zadejte platné ID číslo osoby. Platné číslo je číslo začínající písmenem 'I'.";
		$admtext['newpersoninfo'] = "Informace o nové osobě";
		$admtext['selectsex'] = "Zvolte pohlaví.";
		$admtext['shortform'] = "Krátký formulář";
		$admtext['editexistingpersoninfo'] = "Upravit informace pro existující osobu";
		$admtext['unknown'] = "Neznámé";
		$admtext['personidbefnote'] = "Musíte zadat ID číslo osoby dřív než lze přidat nové poznámky.";
		$admtext['endlplace'] = "Místo obdarování (CJKSpd)";
		$admtext['personidbefcite'] = "Musíte zadat ID číslo osoby dřív než lze použít citace s touto osobou.";
		$admtext['relationship'] = "Vztah";
		$admtext['asspouse'] = "jako partnera";
		$admtext['mergepeople'] = "Sloučit údaje duplicitních záznamů osob.";
		$admtext['choosemerge'] = "Vyberte osoby pro sloučení nebo nalezení možné shody";
		$admtext['usesoundex'] = "Použít Soundex";
		$admtext['sdxdisclaimer'] = "Použití této volby zpomalí porovnávání a hledání dalších duplikátních záznamů.";
		$admtext['combinenotes'] = "Sloučit poznámky a citace";
		$admtext['confirmmerge'] = "Opravdu chcete sloučit tyto dvě osoby?";
		$admtext['gotonewfamily'] = "Přejít na novou rodinu s touto osobou";
		$admtext['genperson'] = "Obecná osoba";
		$admtext['reviewpeople'] = "Přijmout nebo odmítnout navrhované změny osob";
		$admtext['nokids'] = "Žádné děti";
		$admtext['noparents'] = "Žádní rodiče";
		$admtext['association'] = "Spojení";
		$admtext['deletingassoc'] = "Mazání spojení...";
		$admtext['addingassoc'] = "Přidání spojení...";
		$admtext['updatingassoc'] = "Aktualizace spojení...";
		$admtext['addnewassoc'] = "Přidat nové spojení";
		$admtext['modifyassoc'] = "Upravit existující spojení";
		$admtext['pevslater'] = "Poznámka: Další události, stejně jako související poznámky a citace, mohou být přidány i potom, co je nová osoba uložena.";
		$admtext['ashusband'] = "jako manžel";
		$admtext['aswife'] = "jako manželka";
		$admtext['pevslater2'] = "Pozn.: Další události, poznámky k nim vztažené a citace mohou být přidány později.";
		$admtext['nospouse'] = "Žádný partner";
		$admtext['revassoc'] = "Přidat také spojení v opačném směru pro stejné dvě osoby";
		$admtext['prefix'] = "Předpona";
		$admtext['chkdel'] = "Zaškrtněte prázdné políčko pro vymazání položky vlevo";
		//added in 9.0.0
		$admtext['choosedef'] = "Vybrat základní obrázek"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Datum biřmování (CJKSpd)";
		$admtext['confplace'] = "Místo biřmování (CJKSpd)";
		$admtext['initdate'] = "Datum zasvěcení (CJKSpd)";
		$admtext['initplace'] = "Místo zasvěcení (CJKSpd)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Tento náhled nemohl být zkopírován do";
		$admtext['photo'] = "Fotografie";
		$admtext['changestophoto'] = "Upravit fotografii";
		$admtext['modifyphoto'] = "Upravit existující fotografii";
		$admtext['addnewphoto'] = "Přidat novou fotografii";
		$admtext['selectphotoaction'] = "Vybrat fotografii a akci";
		$admtext['photoid'] = "ID číslo fotografie";
		$admtext['confdeletephoto'] = "Opravdu chcete vymazat tuto fotografii a všechny odkazy s ní spojené?";
		$admtext['enterphotopath'] = "Zadejte umístění (složku a název souboru) tohoto souboru s obrazkem ve složce fotografií na serveru.";
		$admtext['enterthumbnailpath'] = "Zadejte umístění (složku a název souboru) tohoto souboru s náhledem ve složce fotografií na serveru.";
		$admtext['enterphotodesc'] = "Zadejte prosím popis obrázku.";
		$admtext['existingphotoinfo'] = "Informace o existující fotografii";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Soubor s náhledem obrázku";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Název souboru a složky";
		$admtext['sortphotos'] = "Seřadit fotografie";
		$admtext['sortphotosfor'] = "Seřadit fotografie pro";
		$admtext['editexistingphotoinfo'] = "pravit informace pro existující fotografii";
		$admtext['leaveblankallphotos'] = "nechte prázdné pro zobrazení všech fotografií";
		$admtext['headstone'] = "Náhrobek";
		$admtext['imagenotcopied'] = "Soubor s obrázkem nemohl být zkopírován do";
		$admtext['changestohs'] = "Upravit náhrobky";
		$admtext['modifyheadstone'] = "Upravit existující náhrobek";
		$admtext['selecthsaction'] = "Zvolte náhrobek a akci";
		$admtext['confdeletehs'] = "Opravdu chcete vymazat tento náhrobek?";
		$admtext['photostatus'] = "Fotografie/stav";
		$admtext['selectcemetery'] = "Zvolte hřbitov.";
		$admtext['enterhsimage'] = "Zadejte prosím název souboru pro obrázek tohoto náhrobku na serveru.";
		$admtext['existinghsinfo'] = "Informace o existujících náhrobcích";
		$admtext['newhsinfo'] = "Informace o nových náhrobcích";
		$admtext['hsimagefile'] = "Soubor s obrázkem náhrobku";
		$admtext['located'] = "Nalezen";
		$admtext['notyetlocated'] = "Dosud nenalezen";
		$admtext['unmarked'] = "Neoznačen";
		$admtext['missing'] = "chybí";
		$admtext['leaveblankhs'] = "Toto pole nevyplňujte, pokud byl soubor již nahrán do složky náhrobků.";
		$admtext['requiredhs'] = "Povinné. Musí odpovídat názvu a umístění vašeho souboru <em>ve složce náhrobků</em> po nahrání souboru. Např. pokud se složka náhrobků jmenuje <em>photos/headstones</em>, a vy chcete soubor pojmenovat <em>nahrobek.jpg</em> a umístit tento soubor do podsložky photos/headstones nazvané <em>novenahrobky</em>, zadejte do tohoto pole <em>novenahrobky/nahrobek.jpg</em>.";
		$admtext['addnewhs'] = "Přidat nový náhrobek";
		$admtext['createnewhs'] = "Vytvořit záznam pro nový náhrobek s odkazem na osobu";
		$admtext['editexistinghsinfo'] = "Upravit informace o existujícím náhrobku";
		$admtext['leaveblankallhs'] = "zanechat prázdné pro zobrazení všech náhrobků";
		$admtext['cemnamelocation'] = "Název nebo místo hřbitova";
		$admtext['pedphoto'] = "Použít tuto fotografii na grafech a u jména";
		$admtext['photoowner'] = "Majitel/pramen";
		$admtext['dimensions'] = "Rozměry";
		$admtext['selectphoto'] = "Zvolit obrázek";
		$admtext['specifyimg'] = "Zadat obrázek";
		$admtext['autoimg'] = "Vytvořit z originálu";
		$admtext['enterthumbpath'] = "Zadejte název náhledu pro uložení";
		$admtext['genthumbs'] = "Vytvořit náhledy";
		$admtext['genthumbsdesc'] = "Automaticky vytvořit zmenšeniny všech obrázků bez použití existujících náhledů.";
		$admtext['thumbsgenerated'] = "Náhledy byly vytvořeny";
		$admtext['makedefault'] = "Nastavit jako výchozí";
		$admtext['filewithinhs'] = "Umístění ve složce náhrobků <br>(podsložka a název souboru)";
		$admtext['recsupdated'] = "Záznamy byly aktualizovány";
		$admtext['removedef'] = "Odstranit výchozí fotografii";
		$admtext['numlinkhs'] = "Počet osob, které budou mít odkaz na tento náhrobek";
		$admtext['sortheadstones'] = "Seřadit náhrobky";
		$admtext['sortheadstonesfor'] = "Seřadit náhrobky pro";
		$admtext['sortheadstonesind'] = "Seřadit náhrobky pro osobu";
		$admtext['headstoneorder'] = "Určete pořadí náhrobků pro danou osobu";
		$admtext['enternumberforphoto'] = "Zadejte číselnou hodnotu pro každou položku.";
		$admtext['updownforphoto'] = "Kliknutím na šipky posuňte položky nahoru nebo dolů podle potřeby.";
		$admtext['createnewphoto'] = "Vytvořit záznam pro novou fotografii s odkazem na osoby, rodiny nebo prameny";
		$admtext['numlinkphoto'] = "Počet osob, rodin, nebo pramenů, které budou mít odkaz na tuto fotografii";
		$admtext['photoorder'] = "Vyznačte jak chcete seřadit fotografie s odkazem na danou osobu, rodinu nebo pramen";
		$admtext['assigndefs'] = "Přiřadit výchozí fotografie";
		$admtext['assigndefsdesc'] = "Použít první fotografii pro každou osobu, rodinu a pramen jako výchozí fotografii pro daný subjekt.";
		$admtext['overwritedefs'] = "Přepsat existující nastavení";
		$admtext['assign'] = "Přiřadit výchozí nastavení";
		$admtext['defsassigned'] = "Výchozí fotografie přiřazeny";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Klikací mapa obrázku";
		$admtext['circle'] = "kruh";
		$admtext['rect'] = "obdélník";
		$admtext['poly'] = "mnohoúhelník";
		$admtext['shape'] = "Tvar oblasti";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Šířka (pixely)";
		$admtext['height'] = "Výška (pixely)";
		$admtext['imgdim'] = "Rozměry obrázku";
		$admtext['pixw'] = "bodů široký";
		$admtext['pixh'] = "bodů vysoký";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Změny všech zvolených fotografií";
		$admtext['changestoallhs'] = "Změny všech zvolených náhrobků";
		$admtext['datetaken'] = "Datum pořízení/vytvoření";
		$admtext['placetaken'] = "Místo pořízení/vytvoření";
		$admtext['abspath'] = "Toto médium je z externího zdroje (musíte přidat vlastní náhled obrázku)";
		$admtext['imagefile'] = "Soubor s médiem";
		$admtext['pathwithinphotos'] = "Název souboru na stránkách";
		$admtext['linktocem'] = "Spojit toto médium přímo se zvoleným hřbitovem";
		$admtext['defphotonote'] = "Zobrazit náhled této fotografie u dané osoby, rodiny nebo pramenu ve schématech, včetně rodinných seznamů.";
		$admtext['photonotadded'] = "Tato položka nemohla být přidána, pravděpodobně proto, že již existuje jiný záznam média specifikovaný pro tuto kolekci a fyzický soubor.";
		$admtext['requiredphoto'] = "Povinné. Musí odpovídat názvu a umístění vašeho souboru <em>ve složce fotografií</em> po nahrání souboru. Např. pokud se složka fotografií jmenuje <em>photos</em>, a vy chcete soubor pojmenovat <em>mojefoto.jpg</em> a umístit tento soubor do podsložky fotografií nazvané <em>novefoto</em>, zadejte do tohoto pole <em>novefoto/mojefoto.jpg</em>.";
		$admtext['leaveblankphoto'] = "Toto pole nevyplňujte, pokud byl soubor již nahrán.";
		$admtext['thumbconflicts'] = "Náhledy nebyly vytvořeny, protože byl problém s názvem souboru, složky nebo přístupových práv";
		$admtext['showmap'] = "Ukázat mapu hřbitova a médium, kdykoliv bude tato položka zobrazena";
		$admtext['bodytext'] = "<strong>NEBO</strong><br/>Základní text";
		$admtext['usenl'] = "Převést konce řádků na HTML pro zobrazení";
		$admtext['newwin'] = "Otevřít v novém okně";
		$admtext['modifymedia'] = "Upravit existující médium";
		$admtext['addnewmedia'] = "Přidat nové médium";
		$admtext['confdeletemedia'] = "Opravdu chcete vymazat toto médium?";
		$admtext['thumbnails'] = "Náhledy";
		$admtext['modifyalbum'] = "Upravit existující album";
		$admtext['addnewalbum'] = "Přidat nové album";
		$admtext['newalbuminfo'] = "Údaje o novém albu";
		$admtext['confdeletealbum'] = "Opravdu chcete vymazat toto album?";
		$admtext['enteralbumname'] = "Zadejte prosím název alba.";
		$admtext['albumname'] = "Název alba";
		$admtext['keywords'] = "Klíčová slova";
		$admtext['changestoalbum'] = "Změny alba";
		$admtext['addtoalbum'] = "Přidat do alba";
		$admtext['mediatype'] = "Kolekce";
		$admtext['fileext'] = "Přípona souboru"; //file extension (abbreviation)
		$admtext['anotherlink'] = "Přidat další odkaz";
		$admtext['mediaurl'] = "URL média";
		$admtext['put_in'] = "Soubory uložit ve";
		$admtext['usemedia'] = "Složce multimédií";
		$admtext['usecollect'] = "Složce kolekce (např. \"photos\")";
		$admtext['notcopied'] = "Soubor nemohl být zkopírován na";
		$admtext['existingmediainfo'] = "Existující údaje o médiu";
		$admtext['convto'] = "Převést vybrané na";
		$admtext['changestoallmedia'] = "Změnit všechny vybraná média";
		$admtext['changestoitem'] = "Změny položky";
		$admtext['eventlink'] = "Spojeno s určitou událostí";
		$admtext['sortmediaind'] = "Seřadit média pro Osobu, Rodinu, Pramen, Úložiště nebo Místo";
		$admtext['sortmedia'] = "Seřadit xxx pro";
		$admtext['unlinked'] = "Pouze nepřipojené";
		$admtext['samepaths'] = "Hlavní obrázek a jeho náhled nemohou být stejný soubor. Zvolte jiný náhled a nebo nechte náhled vytvořit.";
		$admtext['regenerate'] = "Obnovit existující náhledy";
		$admtext['forcircles'] = "Pro kruhy";
		$admtext['forrects'] = "Pro obdélníky";
		$admtext['circleinstr'] = "Nejprve klikněte na střed kruhu, poté klikněte kamkoli na okraj kruhu.";
		$admtext['rectinstr'] = "Nejprve klikněte na levý horní roh obdélníku, poté klikněte na pravý dolní roh.";
		$admtext['firstone'] = "první";
		$admtext['controller'] = "Počítejte, že přehrávač médií bude potřebovat přibližně 16 vertikálních bodů.";
		$admtext['nostatus'] = "Bez stavu";
		$admtext['enterid'] = "Zapište prosím ID číslo.";
		$admtext['existingalbuminfo'] = "Údaje o albu";
		$admtext['newmediainfo'] = "Údaje o médiu";
		$admtext['mapinstr2'] = "Spojit oblasti vašeho obrázku s různými osobami nebo jinými stránkami (volitelné)";
		$admtext['mapinstr3'] = "Chcete-li propojit určitou oblast této fotografie s nějakou osobou, vyberte nejprve strom, do kterého tato osoba patří, a pak vytvořte obdélník požadované oblasti. To provedete kliknutím do levého horního rohu oblasti a poté přetažením do pravého dolního rohu. Případně můžete kliknout do levého horního rohu a poté znovu do pravého dolního rohu. Poté se objeví okno, pomocí kterého můžete vybrat danou osobu. Po provedení výběru bude kód klikací mapy přidán do níže uvedeného pole. Tento postup opakujte podle potřeby pro další oblasti obrázku.";
		$admtext['albumlinks'] = "Odkazy na album";
		$admtext['duplinkmsg'] = "Odkaz na zvolený subjekt již v tomto albu existuje.";
		$admtext['invlinkmsg'] = "Zadané ID číslo subjektu není platné. Žádný odkaz nebyl vytvořen.";
		$admtext['albmedia'] = "Média v albu";
		$admtext['removelink'] = "Odstranit odkaz";
		$admtext['confremmedia'] = "Opravdu chcete odstranit toto médium z tohoto alba?";
		$admtext['selmedia'] = "Hledat existující médium, která by mohlo být přidáno do tohoto alba";
		$admtext['uploadfirst'] = "nahrajte sem nejdříve nové médium";
		$admtext['existmedia'] = "Existující médium";
		$admtext['emoptions'] = "Procházet, vymazat, nebo přetáhnout pro přetřídění";
		$admtext['addlinks'] = "Přidat nové odkazy";
		$admtext['eloptions'] = "Projít nebo vymazat";
		$admtext['inclmsg'] = " zahrnuto";
		$admtext['mediasubt'] = "Spravovat média v tomto albu (Přidat, Vymazat, Seřadit)";
		$admtext['infosubt'] = "Upravit název alba, jeho popis a klíčová slova";
		$admtext['linkssubt'] = "Spojit toto album s Osobami, Rodinami, Prameny, Úložišti nebo Místy";
		$admtext['inclmedia'] = "Vložená média";
		$admtext['nomedia'] = "Žádná média ještě nebyla vložena";
		$admtext['nolinks'] = "Žádné odkazy ještě neexistují";
		$admtext['thumbsize'] = "(originál je příliš velký)";
		$admtext['thumbinv'] = "(neplatný obrázek nebo nedostatečné oprávnění)";
		$admtext['thumblost'] = "(originál nebyl nalezen)";
		$admtext['uplsel'] = "Nahrát nový soubor z vašeho počítače nebo vybrat soubor, který je již na vašich webových stránkách";
		$admtext['alblater'] = "Pozn.: Na další stránce mohou být přidána do tohoto alba média a album spojeno s osobami nebo rodinami.";
		$admtext['medlater'] = "Pozn.: Na další stránce lze přidat více informací, spojit tuto položku s osobami nebo rodinami.";
		$admtext['minfosubt'] = "Upravit titulek a popis média, včetně dalších základních detailů";
		$admtext['medialinks'] = "Odkazy na médium";
		$admtext['defphoto'] = "Výchozí fotografie";
		$admtext['alttd'] = "Jiný Titul/Popis";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Upravit odkaz na médium";
		$admtext['plot'] = "Pozemek";
		$admtext['addnewcoll'] = "Přidat kolekci";
		$admtext['collid'] = "ID číslo kolekce";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Název složky";
		$admtext['collicon'] = "Soubor s ikonou";
		$admtext['colllike'] = "Stejné nastavení jako";
		$admtext['entercollid'] = "Zadejte prosím ID číslo kolekce.";
		$admtext['entercolldisplay'] = "Zadejte prosím název zobrazení kolekce.";
		$admtext['entercollpath'] = "Zadejte prosím název složky kolekce.";
		$admtext['entercollicon'] = "Zadejte prosím název souboru s ikonou kolekce.";
		$admtext['editcoll'] = "Upravit kolekci";
		$admtext['confmtdelete'] = "Opravdu chcete vymazat tento typ média?";
		$admtext['histlimit'] = "Poznámka ohledně velikosti: Většina prohlížečů omezuje množství dat, která mohou být odeslána pomocí webového formuláře přibližně na 64Kb. Pokud chcete do pole Základní Text zapsat nebo vložit větší množství textu, doporučujeme vám raději použít historytemplate.php. Prohlédněte si nápovědu pro více informací.";
		$admtext['repath'] = "Obnovit názvy cest k náhledům, kde soubor neexistuje";
		$admtext['sortalbumind'] = "Seřadit alba pro osobu, rodinu, pramen, úložiště nebo místo";
		$admtext['cidexists'] = "Zadané ID číslo kolekce nelze přidat, protože již existuje.";
		$admtext['phalltrees'] = "Volitelné. Zanechte prázdné, pokud chcete, aby byly fotografie viditelné ve všech stromech.";
		//added in 8.0.0
		$admtext['fileexists'] = "Soubor již existuje. Přepsat?";
		$admtext['collthumb'] = "Soubor náhledu";
		$admtext['movetop'] = "Přesunout nahoru";
		//added in 9.0.0
		$admtext['collexpas'] = "Exportovat jako";
		//added in 9.2.0
		$admtext['upload'] = "Nahrát";
		$admtext['linksel'] = "Připojit k vybraným";
		$admtext['mediaupl'] = "Nahrát média";
		$admtext['addfiles'] = "Přidat soubory...";
		$admtext['startupl'] = "Spustit nahrání";
		$admtext['start'] = "Spustit";
		$admtext['cancelupl'] = "Zrušit nahrání";
		//added in 11.0.0
		$admtext['localpath'] = "Lokální umístění";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Změnit report";
		$admtext['modifyreport'] = "Změnit existující report";
		$admtext['existingreportinfo'] = "Informace o existujícím reportu";
		$admtext['existingreports'] = "Existující reporty";
		$admtext['newreportinfo'] = "Informace o novém reportu";
		$admtext['reportname'] = "Název reportu";
		$admtext['rankpriority'] = "Pořadí/priorita";
		$admtext['choosedisplay'] = "Zvolte pole na zobrazení";
		$admtext['spouseid'] = "ID číslo partnera";
		$admtext['spousename'] = "Jméno partnera";
		$admtext['lastmodified'] = "Datum poslední aktualizace";
		$admtext['ldsbapldate'] = "Datum křtu CJKSpd";
		$admtext['ldsbaplplace'] = "Místo křtu CJKSpd";
		$admtext['ldsendldate'] = "Datum obdarování CJKSpd";
		$admtext['ldsendlplace'] = "Místo obdarování CJKSpd";
		$admtext['ldssealsdate'] = "Datum pečetění s partnerem CJKSpd";
		$admtext['ldssealsplace'] = "Místo pečetění s partnerem CJKSpd";
		$admtext['ldssealpdate'] = "Datum pečetění s rodiči CJKSpd";
		$admtext['ldssealpplace'] = "Místo pečetění s rodiči CJKSpd";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Vyberte kritéria";
		$admtext['fullname'] = "Celé jméno";
		$admtext['lastfirst'] = "Příjmení, jméno";
		$admtext['monthonlyfrom'] = "Měsíc pouze";
		$admtext['yearonlyfrom'] = "Rok pouze";
		$admtext['dayonlyfrom'] = "Den pouze";
		$admtext['operators'] = "Operátory";
		$admtext['contains'] = "obsahuje";
		$admtext['startswith'] = "začíná na";
		$admtext['endswith'] = "končí na";
		$admtext['text_and'] = "A";
		$admtext['currentmonth'] = "Aktuální měsíc";
		$admtext['currentyear'] = "Aktuální rok";
		$admtext['currentday'] = "Aktuální den";
		$admtext['constantstring'] = "Konstantní řetězec";
		$admtext['constantvalue'] = "Číselná konstanta";
		$admtext['foremptystring'] = "Chcete-li zadat prázdný řetězec, nechte toto pole prázdné a klikněte na \"Přidat >>.\"";
		$admtext['choosesort'] = "Vybrat třídící pole";
		$admtext['savereport'] = "Uložit report";
		$admtext['addnewreport'] = "Přidat nový report";
		$admtext['createreport'] = "Vytvořit nový report";
		$admtext['noreports'] = "Žádný report neexistuje";
		$admtext['rank'] = "Pořadí";
		$admtext['confreportdelete'] = "Opravdu chcete vymazat tento report?";
		$admtext['enterreportname'] = "Zadejte název reportu.";
		$admtext['selectdisplayfield'] = "Zvolte alespoň jedno pole pro zobrazení.";
		$admtext['today'] = "Dnes (true)";
		$admtext['convtodays'] = "Převést na dny";
		$admtext['desc'] = "Sestupně (Předchozí)";
		$admtext['birthdatetr'] = "Datum narození (true)";
		$admtext['chrdatetr'] = "Datum křtu (true)";
		$admtext['deathdatetr'] = "Datum úmrtí (true)";
		$admtext['burialdatetr'] = "Datum pohřbu (true)";
		$admtext['marriagedatetr'] = "Datum sňatku (true)";
		$admtext['ldsbapldatetr'] = "Datum křtu CJKSpd (true)";
		$admtext['ldsendldatetr'] = "Datum obdarování CJKSpd (true)";
		$admtext['ldssealsdatetr'] = "Datum pečetění s partnerem CJKSpd (true)";
		$admtext['ldssealpdatetr'] = "Datum pečetění s rodiči CJKSpd (true)";
		$admtext['currentmonthnum'] = "Číslo aktuálního měsíce";
		$admtext['livingtrue'] = "Žijící = ano";
		$admtext['livingfalse'] = "Žijící = ne";
		$admtext['altreport'] = "NEBO nechat pole Zobrazení, Kritéria a Třídění prázdná a zadat přímo příkaz SQL SELECT ";
		$admtext['rptdate'] = "Datum";
		$admtext['rptdatetr'] = "Datum (true)";
		$admtext['fact'] = "Událost";
		$admtext['testeditdelete'] = "Přidat, upravit, vyzkoušet nebo vymazat reporty";
		$admtext['wnmsg'] = "Zpráva na stránce \"Co je nového\"";
		$admtext['mwtype'] = "Typ";
		$admtext['mysphoto'] = "Tajemné fotografie";
		$admtext['mysperson'] = "Hledané osoby";
		$admtext['selphoto'] = "Vybrat fotografii";
		$admtext['entertitle'] = "Zadejte prosím titul";
		$admtext['enterdesc'] = "Zadejte prosím popis";
		$admtext['confremmw'] = "Opravdu chcete odstranit tuto položku?";
		$admtext['msgsaved'] = "Zpráva byla uložena";
		//added in 9.1.1
		$admtext['privatetrue'] = "Neveřejný = ano";
		$admtext['privatefalse'] = "Neveřejný = ne";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "Datum biřmování CJKSpD";
		$admtext['ldsconfplace'] = "Místo biřmování CJKSpD";
		$admtext['ldsconfdatetr'] = "Datum biřmování CJKSpD (přesné)";
		$admtext['ldsinitdate'] = "Datum zasvěcení CJKSpD";
		$admtext['ldsinitplace'] = "Místo zasvěcení CJKSpD";
		$admtext['ldsinitdatetr'] = "Datum zasvěcení (přesné)";
		$admtext['savecopy'] = "Uložit jako kopii";
		$admtext['activeonly'] = "Pouze aktivní";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Vyberte soubor k importu dat.";
		$admtext['importgedcom'] = "Zvolte zdrojový soubor pro import (standardní GEDCOM 5.5 formát)";
		$admtext['addreplacedata'] = "Přidání nebo nahrazení genealogických dat může trvat několik minut v závislosti na velikosti souboru";
		$admtext['fromyourcomputer'] = "na vašem počítači";
		$admtext['importdata'] = "Importovat data";
		$admtext['setupfirsttime'] = "Počáteční nastavení programu.";
		$admtext['replace'] = "Nahradit (ve vybraném stromě)";
		$admtext['desttree'] = "Cílový strom";
		$admtext['selectdesttree'] = "Vyberte nebo zadejte cílový strom.";
		$admtext['selectexisting'] = "Importovat do";
		$admtext['importgedcom2'] = "Import souboru GEDCOM";
		$admtext['setupitems'] = "Vytvoření databázových tabulek, nastavení preferencí";
		$admtext['custeventitems'] = "Správa vlastních tagů a typů událostí";
		$admtext['usersitems'] = "Uživatelé a přístupová práva";
		$admtext['reportsitems'] = "Tvorba uživatelských seznamů a reportů";
		$admtext['langitems'] = "Jiné jazyky";
		$admtext['backupitems'] = "Záloha, obnova a optimalizace databázových tabulek";
		$admtext['ucaselast'] = "Převést všechna příjmení na velká písmena";
		$admtext['norecalc'] = "Nepřepočítat označení Žijící";
		$admtext['autooffset'] = "Začít číslovat ID čísla od prvního volného čísla";

		$admtext['mustselecttree'] = "Musíte zvolit strom před tím než lze vybrat tuto možnost.";
		$admtext['importmedia'] = "Importovat média, pokud existují";
		$admtext['mainmenu'] = "Hlavní menu";
		$admtext['neweronly'] = "Nahradit pouze, pokud jsou údaje novější";
		$admtext['secondaryitems'] = "Vytvořit soubor GENDEX, vysledovat linie potomků";
		$admtext['onwebserver'] = "na serveru (z adresáře GEDCOM)";
		$admtext['eventsonly'] = "Importovat pouze vlastní typy událostí (nebudou vloženy, nahrazeny nebo přidány žádné údaje)";
		$admtext['imphints'] = "Nápověda: Všechna aktuální data znamená všechny osoby, rodiny, úložiště a poznámky (spojení s médii se nezmění, pokud zůstanou ID čísla stejná). Porovnání odpovídajících záznamů je vždy založeno pouze na číslech ID. Nové záznamy jsou vždy přidány. Přidání importuje všechny záznamy s novými ID čísly.";
		$admtext['allevents'] = "Přijmout data pro všechny vlastní typy událostí";
		$admtext['destbranch'] = "Cílová větev (nepovinná)";
		$admtext['inframe'] = "(v rámu)";
		$admtext['getstart'] = "Jak začít";
		$admtext['importlatlong'] = "Importovat data o zeměpisné délce / šířce, pokud existují";
		$admtext['opening'] = "Otevírám";
		$admtext['reopen'] = "Znovuotevírám";
		$admtext['uploading'] = "Nahrávám";
		$admtext['stop'] = "Zastavit";
		$admtext['stopped'] = "Import zastaven";
		$admtext['resume'] = "Pokračovat";
		//changed in 8.0.0
		$admtext['showlog'] = "Záznam přístupů";
		//added in 8.0.0
		$admtext['mmgritems'] = "Instalace a odstranění TNG módů (doplňků třetích stran)";
		//added in 9.0.0
		$admtext['oldimport'] = "Starý styl importu (bez zobrazení průběhu)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Co je nového, Hledá se, Ověření dat";
		//added in 11.0.0
		$admtext['tasks'] = "Důležité úkoly";
		$admtext['task_revusers'] = "Zkontrolovat nové uživatelské registrace";
		$admtext['task_tree'] = "Vytvořit svůj první strom";
		$admtext['task_user'] = "Vytvořit uživatelský účet pro sebe";
		$admtext['task_people'] = "Přidat nové osoby";
		$admtext['task_families'] = "Přidat nové rodiny";
		$admtext['task_revind'] = "Zkontrolovat navrhované změny událostí osoby";
		$admtext['task_revfam'] = "Zkontrolovat navrhované změny událostí rodiny";
		$admtext['task_backup'] = "Zálohovat údaje";
		$admtext['nobackups'] = "žádná záloha neexistuje";
		$admtext['lastbackup'] = "poslední záloha před více než xxx dny";
		$admtext['dna_blurb'] = "Zápis testů DNA a jejich připojení k osobám";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Úpravy pramene";
		$admtext['modifysource'] = "Upravit existující pramen";
		$admtext['selectsrcaction'] = "Vybrat pramen a akci";
		$admtext['shorttitle'] = "Krátký název";
		$admtext['longtitle'] = "Dlouhý název";
		$admtext['author'] = "Autor";
		$admtext['callnumber'] = "Archivní číslo";
		$admtext['publisher'] = "Vydavatel";
		$admtext['actualtext'] = "Vlastní text";
		$admtext['confdeletesrc'] = "opravdu chcete vymazat tento pramen?";
		$admtext['selectshorttitle'] = "Vyberte nebo zadejte krátký název pro tento typ události.";
		$admtext['existingsourceinfo'] = "Údaje o existujícím pramenu";
		$admtext['newsourceinfo'] = "Údaje o novém pramenu";
		$admtext['addnewsource'] = "Přidat nový pramen";
		$admtext['prefixsourceid'] = "Přidejte na začátek ID čísla \"S\" značící \"Source\"";
		$admtext['entersourceid'] = "Zadejte ID číslo pramenu.";
		$admtext['validsourceid'] = "Zadejte platné ID číslo pramenu.  Platné číslo je číslo začínající písmenem 'S'.";
		$admtext['createsource'] = "Vytvořit záznam pro nový pramen";
		$admtext['editexistingsource'] = "Upravit údaje pro existující pramen";
		$admtext['addnewcite'] = "Přidat novou citaci";
		$admtext['reliability'] = "Věrohodnost";
		$admtext['relyexplain'] = "Vyšší číslo znamená větší věrohodnost.";
		$admtext['citedate'] = "Datum citace";
		$admtext['modifycite'] = "Upravit existující citaci";
		$admtext['addingcite'] = "Citace se přidává...";
		$admtext['deletingcite'] = "Citace se maže...";
		$admtext['updatingcite'] = "Citace se aktualizuje...";
		$admtext['citation'] = "Citace";
		$admtext['sevslater'] = "Poznámka: Další události mohou být přidány po uložení (záznamu) nového pramene.";
		$admtext['pleasesourcepart'] = "Zadejte prosím alespoň částečný název pramenu.";
		$admtext['addnewrepo'] = "Přidat nové úložiště pramenů";
		$admtext['modifyrepo'] = "Změnit existující úložiště pramenů";
		$admtext['createrepo'] = "Vytvořit záznam pro nové úložiště pramenů";
		$admtext['editexistingrepo'] = "Změnit informace pro existující úložiště pramenů";
		$admtext['enterrepoid'] = "Zadejte prosím ID číslo úložiště.";
		$admtext['enterreponame'] = "Zadejte prosím název úložiště.";
		$admtext['newrepoinfo'] = "Informace o novém úložišti";
		$admtext['prefixrepoid'] = "Přidejte prosím předponu \"REPO\" k číslu ID úložiště pro \"Úložiště pramenů\"";
		$admtext['selectrepoaction'] = "Zvolte úložiště pramenů a akci";
		$admtext['confdeleterepo'] = "Opravdu chcete vymazat úložiště pramenů?";
		$admtext['changestorepo'] = "Změny úložiště pramenů";
		$admtext['existingrepoinfo'] = "Existující informace pro úložiště pramenů";
		$admtext['pleaserepopart'] = "Zadejte prosím část názvu úložiště.";
		$admtext['choosemergesources'] = "Vyberte prameny ke sloučení nebo nalezení možných duplicit";
		$admtext['confirmmergesources'] = "Opravdu chcete sloučit tyto dva prameny?";
		$admtext['choosemergerepos'] = "Vyberte úložiště ke sloučení nebo nalezení možných duplicit";
		$admtext['confirmmergerepos'] = "Opravdu chcete sloučit tato dvě úložiště pramenů?";
		$admtext['revslater'] = "Pozn.: Další události a poznámky mohou být přidány po uložení nového úložiště pramenů.";
		$admtext['confdeleterepo'] = "Opravdu chcete vymazat úložiště pramenů?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Zkontrolovat nové ID číslo";
		$admtext['idnotvalid'] = "není platné ID číslo.  Platné ID číslo musí být číslo začínající";
		$admtext['idinuse'] = "je již zadané.  Prosím vyberte si jiné ID číslo";
		$admtext['idok'] = "lze použít";
		$admtext['isok'] = "lze použít";
		$admtext['isinuse'] = "je již zadané.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Číslo šablony";
		$admtext['mainimage'] = "Hlavní obrázek (domovská stránka)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Obrázek nadpisu (domovská stránka)"; //1, 2, 3
		$admtext['headline'] = "Nadpis"; //4, 7
		$admtext['mainpara'] = "Úvodní odstavec";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Obrázek záhlaví (včetně nadpisu)"; //1
		$admtext['pedperson'] = "ID číslo osoby v odkazu Schéma"; //2
		$admtext['pedtree'] = "ID číslo stromu v odkazu Schéma"; //2
		$admtext['phhistperson'] = "ID číslo osoby v odkazu Fotografie &amp; vyprávění"; //2
		$admtext['phhisttree'] = "ID číslo stromu v odkazu Fotografie &amp; vyprávění"; //2
		$admtext['headimg'] = "Obrázek záhlaví"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Obrázek nadpisu záhlaví"; //2, 3
		$admtext['titleimg'] = "Obrázek nadpisu (všechny stránky)"; //4, 7
		$admtext['searchpara'] = "Odstavec hledání"; //6
		$admtext['fhpara'] = "Odstavec rodinné historie"; //6
		$admtext['fhlinkshis'] = "Odkazy rodinné historie (jeho)"; //6
		$admtext['fhlinkshers'] = "Odkazy rodinné historie (její)"; //6
		$admtext['mwpara'] = "Odstavec hledaných"; //6
		$admtext['respara'] = "Odstavec zdrojů"; //6
		$admtext['reslinks'] = "Odkazy zdrojů"; //6
		$admtext['headtitle1'] = "Nadpis záhlaví, část 1"; //8
		$admtext['headtitle2'] = "Nadpis záhlaví, část 2"; //8
		$admtext['headtitle3'] = "Nadpis záhlaví, část 3"; //8
		$admtext['headsubtitle'] = "Podtitul záhlaví"; //8
		$admtext['latestnews'] = "Poslední novinky"; //8
		$admtext['momside'] = "Popisek matčiny strany"; //8
		$admtext['dadside'] = "Popisek otcovy strany"; //8
		$admtext['momperson'] = "ID číslo osoby z matčiny strany"; //8
		$admtext['momtree'] = "ID číslo stromu matčiny strany"; //8
		$admtext['dadperson'] = "ID číslo osoby z otcovy strany"; //8
		$admtext['dadtree'] = "ID číslo stromu otcovy strany"; //8
		$admtext['featurethumb1'] = "Zajímavost 1 náhled"; //4
		$admtext['featurelink1'] = "Zajímavost 1 odkaz"; //4
		$admtext['featuretitle1'] = "Zajímavost 1 nadpis"; //4
		$admtext['featurepara1'] = "Zajímavost 1 odstavec"; //4
		$admtext['featurethumb2'] = "Zajímavost 2 náhled"; //4
		$admtext['featurelink2'] = "Zajímavost 2 odkaz"; //4
		$admtext['featuretitle2'] = "Zajímavost 2 nadpis"; //4
		$admtext['featurepara2'] = "Zajímavost 2 odstavec"; //4
		$admtext['featurethumb3'] = "Zajímavost 3 náhled"; //4
		$admtext['featurelink3'] = "Zajímavost 3 odkaz"; //4
		$admtext['featuretitle3'] = "Zajímavost 3 nadpis"; //4
		$admtext['featurepara3'] = "Zajímavost 3 odstavec"; //4
		$admtext['featurethumb4'] = "Zajímavost 4 náhled"; //4
		$admtext['featurelink4'] = "Zajímavost 4 odkaz"; //4
		$admtext['featuretitle4'] = "Zajímavost 4 nadpis"; //4
		$admtext['featurepara4'] = "Zajímavost 4 odstavec"; //4
		$admtext['photocaption'] = "Titulek hlavního obrázku"; //4
		$admtext['maintitle'] = "Hlavní nadpis"; //5
		$admtext['hisside'] = "Popisek jeho strany"; //5
		$admtext['herside'] = "Popisek její strany"; //5
		$admtext['newstext'] = "Text novinek"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Umožnit výběr šablony";
		//added in 9.0.0
		$admtext['template'] = "Šablona";
		$admtext['createcopy'] = "Vytvořit kopii v";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Odkazy na zajímavosti"; //9, 10
		$admtext['featurepara'] = "Odstavec zajímavostí"; //9, 10
		$admtext['welcome'] = "Úvodní nadpis"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Jména ze strany matky"; //8
		$admtext['dadsidenames'] = "Jména ze strany otce"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Odstavec zajímavostí";
		$admtext['menutitle'] = "Nadpis menu";
		$admtext['titlechoice'] = "Volba nadpisu";
		$admtext['photol'] = "Levý obrázek";
		$admtext['phototitlel'] = "Nadpis levého obrázku";
		$admtext['photocaptionl'] = "Popisek levého obrázku";
		$admtext['photor'] = "Pravý obrázek";
		$admtext['phototitler'] = "Nadpis pravého obrázku";
		$admtext['photocaptionr'] = "Popisek pravého obrázku";
		$admtext['topsurnames'] = "Top příjmení popis";
		$admtext['headimg2'] = "Obrázek záhlaví 2"; //14
		$admtext['headimg3'] = "Obrázek záhlaví 3"; //14
		$admtext['showprev'] = "Zobrazit náhledy";
		$admtext['hideprev'] = "Skrýt náhledy";
		$admtext['ttitleimage'] = "Obrázek";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Zajímavost 5 náhled"; //15
		$admtext['featurelink5'] = "Zajímavost 5 odkaz"; //15
		$admtext['featuretitle5'] = "Zajímavost 5 nadpis"; //15
		$admtext['featurepara5'] = "Zajímavost 5 odstavec"; //15
		$admtext['featurethumb6'] = "Zajímavost 6 náhled"; //15
		$admtext['featurelink6'] = "Zajímavost 6 odkaz"; //15
		$admtext['featuretitle6'] = "Zajímavost 6 nadpis"; //15
		$admtext['featurepara6'] = "Zajímavost 6 odstavec"; //15
		$admtext['featurethumb7'] = "Zajímavost 7 náhled"; //15
		$admtext['featurelink7'] = "Zajímavost 7 odkaz"; //15
		$admtext['featurepara7'] = "Zajímavost 7 odstavec"; //15
		$admtext['featurethumb8'] = "Zajímavost 8 náhled"; //15
		$admtext['featurelink8'] = "Zajímavost 8 odkaz"; //15
		$admtext['featurepara8'] = "Zajímavost 8 odstavec"; //15
		$admtext['sidebarhead1'] = "Záhlaví postranní lišty 1"; //15
		$admtext['sidebarhead2'] = "Záhlaví postranní lišty 2"; //15
		$admtext['sidebarhead3'] = "Záhlaví postranní lišty 3"; //15
		$admtext['texttitle1'] = "Text 1 nadpis"; //15
		$admtext['textlink1'] = "Text 1 odkaz"; //15
		$admtext['textpara1'] = "Text 1 odstavec"; //15
		$admtext['texttitle2'] = "Text 2 nadpis"; //15
		$admtext['textlink2'] = "Text 2 odkaz"; //15
		$admtext['textpara2'] = "Text 2 odstavec"; //15
		$admtext['texttitle3'] = "Text 3 nadpis"; //15
		$admtext['textpara3'] = "Text 3 odstavec"; //15
		$admtext['subhead1'] = "Podtitul 1"; //15
		$admtext['subhead2'] = "Podtitul 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tabulky byly úspěšně vytvořeny.";
		$admtext['backtosetup'] = "Zpět na hlavní menu";
		$admtext['configuration'] = "Konfigurace";
		$admtext['entersysvars'] = "Zadejte hodnoty pro systémové proměnné.";
		$admtext['createdbtables'] = "Vytvoření databázových tabulek, ve kterých budou uloženy vaše informace.";
		$admtext['tcwarning'] = "<strong>Pozor!</strong> Tuto možnost zvolte, pokud provádíte nastavení vašich stránek poprvé. <strong>Všechna existující data, včetně fotografií, vyprávění, náhrobků a hřbitovů budou smazána!</strong>";
		$admtext['conftabledelete'] = "Tímto krokem vymažete VŠECHNA vaše existující data!! Opravdu chcete pokračovat?";
		$admtext['performdatamaint'] = "Provést údržbu dat a úpravu fotografií, vyprávění a dalších komponent.";
		$admtext['createtables'] = "Vytvořit tabulky";
		$admtext['configsettings'] = "Základní nastavení";
		$admtext['logconfigsettings'] = "Nastavení protokolování";
		$admtext['importconfigsettings'] = "Nastavení importu dat";
		$admtext['diagnostics'] = "Diagnostika";
		$admtext['rundiags'] = "Spustit diagnostiku";
		$admtext['phpinf'] = "Informace o PHP";
		$admtext['fromphp'] = "Tyto informace jsou z vašeho serveru a závisí na dané instalaci PHP, nikoliv TNG.";
		$admtext['phpver'] = "Verze PHP";
		$admtext['phpreq'] = "(TNG vyžaduje verzi 5.3 nebo vyšší.)";
		$admtext['gdlib'] = "GD grafická knihovna";
		$admtext['gdreq'] = "(Vyžadovaná pro vytváření náhledů obrázků pod TNG.)";
		$admtext['availnogif'] = "Dostupné, ale bez podpory pro .gif obrázky";
		$admtext['notinst'] = "Nenainstalováno";
		$admtext['safemode'] = "Bezpečný režim";
		$admtext['off'] = "Vypnuto";
		$admtext['on'] = "Zapnuto";
		$admtext['fileuploads'] = "Nahrávání souborů";
		$admtext['fureq'] = "(Vyžadováno pro nahrávání souborů GEDCOM přes internet, nahrávání obrázků a jiné funkce formulářů.)";
		$admtext['perm'] = "Povoleno";
		$admtext['notperm'] = "Není povoleno, použijte FTP";
		$admtext['sqlver'] = "Verze MySQL";
		$admtext['sqlreq'] = "(TNG vyžaduje verzi 5.5 nebo vyšší.)";
		$admtext['wsrvr'] = "Webserver";
		$admtext['fperms'] = "Atributy povolení souborů a složek";
		$admtext['fpreq'] = "(TNG vyžaduje, aby některé soubory a složky měly zvláštní přístupová práva.)";
		$admtext['scruser'] = "Script běžící jako uživatel:";
		$admtext['phpuser'] = "PHP ho hlásí jako uživatel:";
		$admtext['usrprob'] = "Je možné, že nemáte dostatečné oprávnění přístupu k souborům na spuštění TNG bez problémů pokud používáte jak FTP tak i TNG administrativní funkce na operace se soubory.";
		$admtext['rofile'] = "Soubor lze pouze číst:";
		$admtext['rofolder'] = "Složku lze pouze číst:";
		$admtext['publog'] = "Protokol veřejných přístupů";
		$admtext['admlog'] = "Protokol administračních přístupů";
		$admtext['folderdne'] = "Složka neexistuje:";
		$admtext['keyrw'] = "Klíčové složky mají povolení číst/psát";
		$admtext['cfgrw'] = "Konfigurační soubory mají povolení číst/psát";
		$admtext['acceptable'] = "Přijatelné.";
		$admtext['restricted'] = "Funkčnost může být omezena. Během instalace a nebo po spuštění TNG můžete narazit na problémy a chyby.";
		$admtext['needchngs'] = "TNG nelze spustit beze změn konfigurace PHP a nebo nastavení vašeho serveru.";
		$admtext['yourbrowser'] = "Váš internetový prohlížeč:";
		$admtext['modifysettings'] = "Nastavení a změny konfiguračních parametrů";
		$admtext['dbhost'] = "Hostitel databáze";
		$admtext['dbname'] = "Název databáze";
		$admtext['dbusername'] = "Uživatelský název databáze";
		$admtext['dbpassword'] = "Heslo databáze";
		$admtext['rootpath'] = "Kořenová složka";
		$admtext['homepage'] = "Domovská stránka";
		$admtext['emailaddress'] = "Emailová adresa";
		$admtext['siteowner'] = "Majitel/správce stránek";
		$admtext['maxdescgens'] = "Maximální počet generací potomků";
		$admtext['disallow'] = "Nepovolit";
		$admtext['defaultallowed'] = "Výchozí nastavení: Povolit";
		$admtext['maxsearchresults'] = "Maximální počet výsledků hledání";
		$admtext['targetframe'] = "Cílový rámec";
		$admtext['table'] = "Tabulka";
		$admtext['lastbackup'] = "Poslední záloha";
		$admtext['backup'] = "Zálohovat";
		$admtext['restore'] = "Obnovit";
		$admtext['backupfilesize'] = "Velikost souboru";
		$admtext['succbackedup'] = "úspěšně zálohováno";
		$admtext['succrestored'] = "úspěšně obnoveno";
		$admtext['change_cutoff'] = "'Co je nového' dny";
		$admtext['change_limit'] = "'Co je nového' limit";
		$admtext['photosext'] = "Typ souborů fotografií";
		$admtext['defaulttree'] = "Výchozí strom";
		$admtext['requirelogin'] = "Vyžadovat přihlášení";
		$admtext['defaultdontrequire'] = "Výchozí nastavení: Nevyžadovat";
		$admtext['ldsdefault'] = "Zobrazit údaje CJKSpd";
		$admtext['ldson'] = "Vždy";
		$admtext['ldsoff'] = "Nikdy";
		$admtext['ldspermit'] = "Podle práv uživatele";
		$admtext['allow'] = "Povolit";
		$admtext['chooselang'] = "Dynamická změna jazyka";
		$admtext['optimize'] = "Optimalizovat";
		$admtext['succoptimized'] = "úspěšně optimalizován";
		$admtext['customheader'] = "Volitelná hlavička";
		$admtext['customfooter'] = "Volitelné zápatí";
		$admtext['custommeta'] = "Volitelné meta";
		$admtext['lineending'] = "Konec řádku";
		$admtext['backuppath'] = "Složka pro zálohování dat";
		$admtext['photopath'] = "Složka fotografií";
		$admtext['headstonepath'] = "Složka náhrobků";
		$admtext['historypath'] = "Složka vyprávění";
		$admtext['backuprestoretables'] = "Záloha, obnova a optimalizace dat v tabulce";
		$admtext['shownames'] = "Zobrazit jména žijících osob";
		$admtext['initials'] = "Zkrátit křestní jméno";
		$admtext['regformat'] = "Registr";
		$admtext['stdformat'] = "Standardně";
		$admtext['thumbprefix'] = "Předpona pro náhledy";
		$admtext['thumbmaxh'] = "Maximální výška náhledu";
		$admtext['thumbmaxw'] = "Maximální šířka náhledu";
		$admtext['thumbsuffix'] = "Přípona pro náhledy";
		$admtext['showextended'] = "Zobrazit rozšířenou informaci o obrázku";
		$admtext['shownotes'] = "Zobrazit poznámky";
		$admtext['notestogether'] = "Pod odpovídajícími událostmi, kde je to možné";
		$admtext['notestogether2'] = "Pod událostmi mimo obecných poznámek";
		$admtext['notesapart'] = "V sekci poznámek";
		$admtext['lnprefixes'] = "Předpony příjmení (např. van, de)";
		$admtext['lntogether'] = "Ponechat jako součást příjmení";
		$admtext['lnapart'] = "Oddělit jako samostatné subjekty";
		$admtext['detectpfx'] = "Zjištění předpon při importu";
		$admtext['lnpfxnum'] = "Počet předpon každého  (max)";
		$admtext['specpfx'] = "NEBO tyto určité předpony";
		$admtext['newmedialinks'] = "Nové odkazy pro fotografie/vyprávění";
		$admtext['maxgedcom'] = "Maximální počet generací při uložení GEDCOMU";
		$admtext['placestable'] = "Tabulka míst";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "URL genealogických stránek";
		$admtext['charset'] = "Znaková sada";
		$admtext['time_offset'] = "Časový odstup serveru (v hodinách)";
		$admtext['backupall'] = "Záloha zvolena";
		$admtext['optimizeall'] = "Optimalizace zvolena";
		$admtext['alltables'] = "Zvolené tabulky";
		$admtext['brinstructions'] = "Kliknutím na ikonku zvolte vhodnou akci pro zálohu, obnovu či optimalizaci tabulky, nebo zvolte více tabulek najednou a proveďte vybranou akci kliknutím na příslušnou akci v horní části obrazovky.";
		$admtext['tabstyle'] = "Styl záložek";
		$admtext['iconloc'] = "Umístění menu";
		$admtext['topleft'] = "Nahoře vlevo, přes nadpis";
		$admtext['topright'] = "Nahoře vpravo, vedle nadpisu";
		$admtext['indstart'] = "Výchozí záložka stránky osoby";
		$admtext['persinfo'] = "Osobní informace";
		$admtext['allinfo'] = "Všechny informace";
		$admtext['thumbcols'] = "Sloupců v zobrazení náhledů";
		$admtext['stdesc'] = "Spuštění schématu potomků";
		$admtext['stexpand'] = "Rozbaleno";
		$admtext['stcollapse'] = "Sbaleno";
		$admtext['regnosp'] = "Generace v Registru";
		$admtext['chshow'] = "Vždy zobrazit všechny osoby";
		$admtext['chifsp'] = "Odstranit osoby bez rodin";
		$admtext['restoreall'] = "Obnovit vybrané";
		$admtext['surerestore'] = "Opravdu chcete obnovit vybrané tabulky?";
		$admtext['surerestorets'] = "Opravdu chcete obnovit strukturu tabulek? Všechna existující data budou smazána!";
		$admtext['backupstruct'] = "Záloha struktury tabulek";
		$admtext['tablestruct'] = "Struktura tabulek";
		$admtext['brinstructions2'] = "Kliknutím na ikonku zvolte vhodnou akci pro zálohu či obnovu struktury tabulek.  POZOR: Obnova struktury tabulek také vymaže všechna existující data!";
		$admtext['livedefault'] = "Zobrazit údaje o živých osobách";
		$admtext['nodisplay'] = "Nezobrazovat";
		$admtext['menudisp'] = "Zobrazit menu";
		$admtext['asicons'] = "jako ikony";
		$admtext['asdrop'] = "jako seznam";
		$admtext['gendex'] = "Složka GENDEX";
		$admtext['modifypedsettings'] = "Upravit nastavení konfigurace schémat";
		$admtext['leftindent'] = "Odsazení zleva";
		$admtext['boxnamesize'] = "Velikost jména v rámečku";
		$admtext['namesizeshift'] = "Posunutí velikosti názvu";
		$admtext['boxdatessize'] = "Velikost data v rámečku";
		$admtext['datessizeshift'] = "Posunutí velikosti datumu";
		$admtext['boxcolor'] = "Barva rámečku";
		$admtext['colorshift'] = "Posun barvy (%)";
		$admtext['emptycolor'] = "Barva prázdných rámečků";
		$admtext['bordercolor'] = "Barva okraje";
		$admtext['shadowcolor'] = "Barva stínu";
		$admtext['boxwidth'] = "Šířka rámečku (bez vyskakovacích oken)";
		$admtext['boxheight'] = "Výška rámečku (bez vyskakovacích oken)";
		$admtext['boxalign'] = "Zarovnání rámečku (bez vyskakovacích oken)";
		$admtext['boxheightshift'] = "Posunutí výšky rámečku (bez vyskakovacích oken)";
		$admtext['boxHsep'] = "Vodorovné oddělení rámečků";
		$admtext['boxVsep'] = "Svislé oddělení rámečků";
		$admtext['shadowoffset'] = "Posun stínu";
		$admtext['linewidth'] = "Šířka čáry";
		$admtext['borderwidth'] = "Šířka okraje";
		$admtext['popupcolor'] = "Barva vyskakovacích oken";
		$admtext['popupinfosize'] = "Velikost textu ve vyskakovacích oknech";
		$admtext['popupinfosizeshift'] = "Posunutí velikosti popup info";
		$admtext['popuptimer'] = "Časové zdržení vyskakovacích oken (ms)";
		$admtext['pedevent'] = "Zobrazení vyskakovacího okna";
		$admtext['puboxwidth'] = "Šířka rámečku (s vyskakovacím oknem)";
		$admtext['puboxheight'] = "Výška rámečku (s vyskakovacím oknem)";
		$admtext['puboxalign'] = "Zarovnání rámečku (s vyskakovacím oknem)";
		$admtext['puboxheightshift'] = "Posunutí výšky rámečku (s vyskakovacím oknem)";
		$admtext['popupspouses'] = "Partneři ve vyskakovacích oknech";
		$admtext['popupkids'] = "Děti ve vyskakovacích oknech";
		$admtext['popupchartlinks'] = "Odkazy na schémata ve vyskakovacích oknech";
		$admtext['inclphotos'] = "Vložit fotografie";
		$admtext['overflow'] = "Přeplnění";
		$admtext['pedcompact'] = "Kompaktně";
		$admtext['pedstandard'] = "Standardně";
		$admtext['pedtextonly'] = "Pouze text";
		$admtext['relchart'] = "Schéma příbuzenských vztahů";
		$admtext['maxupgen'] = "Maximální počet generací pro výpočet vztahu";
		$admtext['left'] = "Vlevo";
		$admtext['right'] = "Vpravo";
		$admtext['center'] = "Střed";
		$admtext['mouseover'] = "Myš přes";
		$admtext['mousedown'] = "Myš dolů";
		$admtext['ahnentafel'] = "Ahnentafel";
		$admtext['pedbox'] = "Rámeček";
		$admtext['hideempty'] = "Skrýt prázdné rámečky";
		$admtext['logfilename'] = "Název souboru protokolu";
		$admtext['maxloglines'] = "Maximální počet řádků v protokolu";
		$admtext['modifylogsettings'] = "Upravit nastavení záznamu změn";
		$admtext['badhosts'] = "Vyloučit názvy hostitele";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Veřejný)";
		$admtext['saveimportstate'] = "Uložit stav importu";
		$admtext['allowresume'] = "Uložit, aby se umožnilo pokračování, pokud import selže";
		$admtext['modifyimportsettings'] = "Změnit nastavení hodnot importu";
		$admtext['embeddedmedia'] = "Vkládaná média";
		$admtext['assignnames'] = "Nechat TNG pojmenovat vkládaná média";
		$admtext['localphotopath'] = "Lokální umístění souborů fotografií";
		$admtext['localdocpath'] = "Lokální umístění souborů vyprávění";
		$admtext['nopathmatch'] = "Pokud lokální umístění neodpovídá";
		$admtext['wholepath'] = "Importovat celé umístění";
		$admtext['justname'] = "Importovat pouze název souboru";
		$admtext['gedpath'] = "Složka souboru GEDCOM (Import/Export)";
		$admtext['makefolder'] = "Vytvořit složku";
		$admtext['blankchangedt'] = "Pokud je 'Datum změny' prázdné";
		$admtext['usetoday'] = "Použít dnešní datum";
		$admtext['useblank'] = "Nechat tak, jak je";
		$admtext['nobirthdate'] = "Pokud chybí datum narození, předpokládat, že";
		$admtext['persliving'] = "Osoba žije";
		$admtext['persdead'] = "Osoba zemřela";
		$admtext['nodeathdate'] = "Pokud chybí datum úmrtí, předpokládat, že<br />osoba zemřela, je-li starší než";
		$admtext['pedconfigsettings'] = "Nastavení schémat";
		$admtext['usepopups'] = "Výchozí zobrazení";
		$admtext['maxpedgens'] = "Maximální počet generací";
		$admtext['dbsection'] = "Databáze";
		$admtext['tablesection'] = "Názvy tabulek";
		$admtext['foldersection'] = "Umístění a složky";
		$admtext['sitesection'] = "Vzhled a definice stránek";
		$admtext['privsection'] = "Ochrana údajů";
		$admtext['namesection'] = "Jména";
		$admtext['descsection'] = "Potomstvo";
		$admtext['miscsection'] = "Různé";
		$admtext['mediatable'] = "Média";
		$admtext['pedanddesc'] = "Společné prvky";
		$admtext['descchart'] = "Potomci";
		$admtext['pedchart'] = "Předkové";
		$admtext['initgens'] = "Výchozí počet generací";
		$admtext['mediapath'] = "Složka multimédií";
		$admtext['documentpath'] = "Složka dokumentů";
		$admtext['localdocumentpath'] = "Lokální umístění souborů dokumentů";
		$admtext['localotherpath'] = "Lokální umístění souborů ostatních médií";
		$admtext['imgmaxh'] = "Max. výška obrázku";
		$admtext['imgmaxw'] = "Max. šířka obrázku";
		$admtext['succdel'] = "úspěšně vymazán";
		$admtext['delbkups'] = "Vymazat vybrané zálohy";
		$admtext['suredelbk'] = "Opravdu chcete vymazat vybrané zálohy?";
		$admtext['showhome'] = "Zobrazit odkaz na domovskou stránku";
		$admtext['showsearch'] = "Zobrazit odkaz Hledat";
		$admtext['showlogin'] = "Zobrazit odkaz Přihlášení/Odhlášení";
		$admtext['showprint'] = "Zobrazit odkaz Tisk";
		$admtext['showbmarks'] = "Zobrazit odkaz Přidat záložku";
		$admtext['server'] = "(server)";
		$admtext['client'] = "(klient)";
		$admtext['sitename'] = "Název webových stránek";
		$admtext['site_desc'] = "Popis webových stránek";
		$admtext['privnote'] = "Předpona pro neveřejné poznámky";
		$admtext['custvars'] = "Pozn.: Své vlastní uživatelské nastavení si můžete vytvořit v souboru \"customconfig.php\" (otevřete soubor v textovém editoru a postupujte podle instrukcí).";
		$admtext['blockemail'] = "Zablokovat návrhy nebo nové uživatelské registrace, kde";
		$admtext['addrcontains'] = "Adresa obsahuje";
		$admtext['msgcontains'] = "Zpráva obsahuje";
		$admtext['reqloginset'] = "\"Vyžadovat přihlášení\" musí být nastaven na Ano pro umožnění této volby";
		$admtext['treerestrict'] = "Omezit přístup pouze na připojený strom";
		$admtext['mapconfigsettings'] = "Nastavení map";
		$admtext['modifymapsettings'] = "Změnit nastavení konfigurace map";
		$admtext['maptype'] = "Typ mapy";
		$admtext['maphybrid'] = "Hybridní";
		$admtext['mapsatellite'] = "Satelitní";
		$admtext['mapdimsind'] = "Rozměry na stránkách osob";
		$admtext['mapdimshst'] = "Rozměry na stránkách náhrobků";
		$admtext['mapdimsadm'] = "Rozměry na stránkáh administrátora";
		$admtext['mapwidth'] = "Šířka (% nebo px)";
		$admtext['mapheight'] = "Výška (px)";
		$admtext['mapstlat'] = "Výchozí zeměpisná šířka";
		$admtext['mapstlong'] = "Výchozí zeměpisná délka";
		$admtext['startoff'] = "Skrýt na začátku mapy v administrátorské oblasti";
		$admtext['conslpins'] = "Sloučit duplicitní špendlíky";
		$admtext['ssenabled'] = "Povolit prezentaci";
		$admtext['ssrepeat'] = "Automatické opakování prezentace";
		$admtext['sysinfo'] = "Zobrazit systémové informace vašeho serveru.";
		$admtext['albumlinkstable'] = "Obsahy jednotlivých alb";
		$admtext['addresstable'] = "Adresy";
		$admtext['statestable'] = "Státy";
		$admtext['countriestable'] = "Země";
		$admtext['notelinkstable'] = "Odkazy na poznámky";
		$admtext['medialinkstable'] = "Odkazy na média";
		$admtext['saveimporttable'] = "Uložení importů";
		$admtext['brlinkstable'] = "Odkazy na větve";
		$admtext['temptable'] = "Dočasné události";
		$admtext['tleventstable'] = "Události časové osy";
		$admtext['album2entitiestable'] = "Odkazy na alba";
		$admtext['doctype'] = "Doctype Deklarace";
		$admtext['cemrows'] = "Maximální počet řádků ve sloupci (prům.)";
		$admtext['cemblanks'] = "Potlačit kategorii \"Neznámé\"";
		$admtext['success'] = "Úspěch";
		$admtext['fexists'] = "Chyba. Složka již existuje.";
		$admtext['fmanual'] = "Chyba. Použijte k vytvoření FTP program nebo správce souborů on-line.";
		$admtext['maintmode'] = "Režim údržby";
		$admtext['maintexp'] = "Databáze je dočasně nedostupná pro údržbu webových stránek.  Zkuste to, prosím, znovu později.  Pokud se přístup neobnoví během několika hodin, kontaktujte, prosím, administrátora těchto stránek.";
		$admtext['defimpopt'] = "Výchozí volba Nahrazení";
		$admtext['seltable'] = "Vyberte prosím aspoň jednu tabulku.";
		$admtext['renumber'] = "Přečíslování ID čísel";
		$admtext['idtype'] = "Typ ID čísla";
		$admtext['mindigits'] = "Minimální počet číslic";
		$admtext['niprefix'] = "Bez předpony ID čísla";
		$admtext['finreseq'] = "Přečíslování ukončeno";
		$admtext['recsreseq'] = "záznamy byly přeřazeny";
		$admtext['needmaint'] = "Tento nástroj můžete spustit pouze v režimu údržby (jděte na Nastavení >> Konfigurace >> Základní nastavení)";
		$admtext['reseqwarn'] = "VAROVÁNÍ: Přečíslování ID čísel muže způsobit, že externí odkazy na vaše stránky nebudou funkční a nebo budou ukazovat na chybná místa.";
		$admtext['subroot'] = "Konfigurační složka";
		$admtext['hidechr'] = "Skrýt popisky křtu";
		$admtext['datefmt'] = "Preference číselného data";
		$admtext['dayfirst'] = "Den/Měsíc/Rok";
		$admtext['monthfirst'] = "Měsíc/Den/Rok";
		$admtext['exusers'] = "Vyloučit uživatelská jména";
		$admtext['allowreg'] = "Povolit nové registrace uživatelů";
		$admtext['localhspath'] = "Lokální umístění souborů náhrobků";
		$admtext['pardata'] = "Údaje rodičů na stránce osoby";
		$admtext['pnoevents'] = "Nezobrazovat žádné události";
		$admtext['pstdonly'] = "Zobrazit pouze standardní rodinné události";
		$admtext['palldata'] = "Zobrazit všechny události a média";
		$admtext['servertime'] = "Čas na serveru je";
		$admtext['sitetime'] = "a čas na webových stránkách je";
		$admtext['srexpl'] = "Nepovinné. Použijte absolutní název cesty podobně, jako jej vidíte v kořenové složce. Pak přesuňte následující soubory do konfiguračního umístění <strong>ihned</strong> po uložení a udělejte je zapisovatelné (povolení 664): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Výchozí přiblížení";
		$admtext['mapfoundzm'] = "Přiblížení místa";
		$admtext['rrnum'] = "Počet záznamů reportu";
		$admtext['progint'] = "Interval průběhu (ms)";
		$admtext['timechart'] = "Schéma časové osy";
		$admtext['tcheight'] = "Výška schématu";
		$admtext['distances'] = "Všechny rozměry v bodech.";
		$admtext['mpixels'] = "Pixely mezi měsíci";
		$admtext['ypixels'] = "Pixely mezi roky";
		$admtext['ymult'] = "Roky mezi značkami roků";
		$admtext['mpct'] = "Vertikální procento pro měsíce";
		$admtext['ypct'] = "Vertikální procento pro roky";
		$admtext['inclevs'] = "Které události zahrnout";
		$admtext['allevs'] = "Všechny události";
		$admtext['rangeevs'] = "Pouze události, které spadají do života osob ve schématu";
		$admtext['tcwidth'] = "Výchozí šířka schématu";
		$admtext['simile'] = "Povolit časovou osu Simile";
		//added in 8.0.0
		$admtext['pstartoff'] = "Skrýt na začátku mapy ve veřejné oblasti";
		$admtext['maxrels'] = "Maximální počet vztahů";
		$admtext['initrels'] = "Výchozí počet vztahů";
		$admtext['templateconfigsettings'] = "Nastavení šablony";
		$admtext['modifytemplatesettings'] = "Změnit nastavení konfigurace šablony.";
		$admtext['ucsurnames'] = "Všechna příjmení velkými písmeny";
		$admtext['maxnoteprev'] = "Maximální počet znaků v seznamu poznámek";
		$admtext['mailreg'] = "Mail a registrace";
		$admtext['autoapp'] = "Automaticky schválit nové uživatele";
		$admtext['inclpwd'] = "Zahrnout heslo do uvítacího mailu";
		$admtext['ackemail'] = "Posílat schvalovací mail";
		$admtext['fromadmin'] = "Posílat všechny maily z výše uvedené adresy";
		$admtext['autotree'] = "Vytvořit nový strom pro uživatele";
		$admtext['modspath'] = "Složka módů";
		$admtext['extspath'] = "Složka rozšíření";
		$admtext['encrtype'] = "Typ šifrování";
		$admtext['none'] = "Bez šifrování";
		$admtext['imgviewer'] = "Umožnit prohlížeč obrázků";
		$admtext['docsonly'] = "Pouze dokumenty";
		$admtext['imgvheight'] = "Výška prohlížeče obrázků";
		$admtext['flex'] = "Vždy zobrazit celý obrázek";
		$admtext['setheight'] = "Pevná(640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Připojit záznamy míst ke stromům";
		$admtext['convert'] = "Převést";
		$admtext['convexpl'] = "(Tím se připojí všechna aktuální místa k vybranému stromu)";
		$admtext['mergeexpl'] = "(Tím se odstraní připojení stromu ke všem záznamům míst)";
        $admtext['nocutoff'] = "Zanechte prázdné nebo nastavte nulu, aby se odstranilo toto omezení";
        $admtext['usesmtp'] = "Použít ověření SMTP";
        $admtext['mailhost'] = "Název SMTP hostitele";
        $admtext['mailuser'] = "Uživatelské jméno pro email";
        $admtext['mailpass'] = "Heslo pro email";
        $admtext['mailport'] = "Číslo portu";
		$admtext['showshare'] = "Zobrazit odkaz Sdílet";
		$admtext['defpgsize'] = "Výchozí velikost stránky PDF";
		$admtext['mapterrain'] = "Terénní";
		$admtext['maproadmap'] = "Cestovní mapa";
		$admtext['usedefthumbs'] = "Použít výchozí náhledy";
        $admtext['autogeo'] = "Geokódovat všechna nová místa";
        $admtext['revmail'] = "Upozornit na návrhy k přezkoumání";
        $admtext['assumepriv'] = "Osoba je neveřejná, pokud zemřela<br />před méně než tolika lety";
        $admtext['calstart'] = "První den v týdnu";
		$admtext['edit_timeout'] = "Upravit prodlevu (v minutách)";
		$admtext['shownamespr'] = "Zobrazit jména osob označených jako neveřejné";
		$admtext['tables'] = "Tabulky";
		//changed in 10.0.0
		$admtext['regnotes'] = "Zobrazit poznámky a vlastní události v Registru";
		//added in 10.0.0
		$admtext['collation'] = "Porovnávání";
		$admtext['collationexpl'] = "(ponecháte-li prázdné, přijmete výchozí porovnávání)";
		$admtext['scrollcite'] = "Posouvání citací";
		$admtext['hidemedia'] = "Skrýt média osob";
		$admtext['searchchoice'] = "Cíl odkazu Hledat";
		$admtext['quicksearch'] = "Rychlé hledání";
		$admtext['advsearch'] = "Rozšířené hledání";
		$admtext['pedvertical'] = "Svisle";
		$admtext['vboxwidth'] = "Šířka rámečku";
		$admtext['vboxheight'] = "Výška rámečku";
		$admtext['vspacing'] = "Vzdálenost mezi rámečky";
		$admtext['vchart'] = "Svislé schéma";
		//added in 10.1.0
		$admtext['reuseids'] = "Znovu použít smazaná ID čísla";
		$admtext['lastimport'] = "Zobrazit poslední import";
		//added in 10.1.2
        $admtext['mailenc'] = "Šifrování";
        //added in 11.0.0
		$admtext['dbport'] = "Číslo portu";
		$admtext['dbsocket'] = "Cesta k socketu";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Předpony a přípony";
		$admtext['personprefix'] = "Předpona osoby";
		$admtext['personsuffix'] = "Přípona osoby";
		$admtext['familyprefix'] = "Předpona rodiny";
		$admtext['familysuffix'] = "Přípona rodiny";
		$admtext['sourceprefix'] = "Předpona pramene";
		$admtext['sourcesuffix'] = "Přípona pramene";
		$admtext['repoprefix'] = "Předpona úložiště pramenů";
		$admtext['reposuffix'] = "Přípona úložiště pramenů";
		$admtext['noteprefix'] = "Předpona poznámky";
		$admtext['notesuffix'] = "Přípona poznámky";
		$admtext['mobilesection'] = "Mobil";
		$admtext['mobilesite'] = "Název mobilních stránek bude ";
		$admtext['menubar'] = "v liště mobilního menu";
		$admtext['belowbar'] = "pod lištou mobilního menu";
		$admtext['responsivetables'] = "Povolit responzivní tabulky";
		$admtext['tabletype'] = "Typ responzivní tabulky";
		$admtext['enablemodeswitch'] = "Povolit přepínač módů responzivních tabulek";
		$admtext['enableminimap'] = "Povolit minimapu responzivních tabulek";
		$admtext['showtasks'] = "Zobrazit oznámení 'Důležitých úkolů'";
		$admtext['showtotals'] = "Zobrazit celkové součty záznamů v menu Administrátora";
		$admtext['backupdays'] = "Upozornit, pokud záloha nebyla vytvořena více než dní";
		$admtext['backupnote'] = "Pozn.: Je-li vaše databáze velmi velká, můžete pro zálohu a obnovu databáze použít nějaký nezávislý nástroj (např. mysqldumper or phpMyAdmin). Alespoň jeden z nich byste měli mít k dispozici na ovládacím panelu vašich stránek.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Skrýt všechny stránky a údaje k DNA";
        $admtext['assumeliving'] = "Osoba je žijící, pokud zemřela<br />před méně než tolika lety";
		//changed in 11.0.2
		$admtext['mapkey'] = "Klíč k mapě";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "zadejte alespoň část jména a nebo příjmení";
		$admtext['pleasenamepart'] = "Zadejte prosím alespoň část jména a nebo příjmení.";
		$admtext['enternamepart2'] = "zadejte ID číslo nebo část jména a/nebo příjmení";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Zadejte prosím alespoň část názvu místa.";
		$admtext['addnewplace'] = "Přidat nové místo";
		$admtext['createplace'] = "Vytvořit záznam pro nové místo";
		$admtext['modifyplace'] = "Změnit existující místo";
		$admtext['editexistingplaceinfo'] = "Upravit informace o existujícím místu";
		$admtext['enterplace'] = "Zadejte prosím místo.";
		$admtext['newplaceinfo'] = "Informace o novém místě";
		$admtext['existingplaceinfo'] = "Stávající informace o místě";
		$admtext['changestoplace'] = "Změny místa";
		$admtext['selectplaceaction'] = "Zvolit místo a akci";
		$admtext['mergeplaces'] = "Sloučit místa";
		$admtext['findmerge'] = "Najít kandidáty pro sloučení";
		$admtext['selectplacemerge'] = "Vybrat místa na sloučení";
		$admtext['mcol1'] = "Sloučit<br/>tyto<br/>(vymazat)";
		$admtext['mcol2'] = "do<br/>těchto<br/>(ponechat)";
		$admtext['pmsucc'] = "Sloučení míst proběhlo úspěšně";
		$admtext['nomerge'] = "Nic na sloučení";
		$admtext['enterkeep'] = "Zvolte prosím cíl (záznam) na sloučení.";
		$admtext['backmerge'] = "Hledat znovu";
		$admtext['confdeleteplace'] = "Opravdu chcete vymazat toto místo?";
		$admtext['propagate'] = "Provést změny názvu místa v existujících událostech";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Jste si jisti, že chcete odpojit tento hřbitov?";
		$admtext['nocoords'] = "Chybí zeměpisná šířka nebo délka";
		$admtext['istemple'] = "Tento název místa je kód chrámu CJKSpd";
		$admtext['findtemples'] = "Vyhledat pouze kódy chrámů CJKSpd";
		$admtext['choosecem'] = "Vybrat hřbitov";
		$admtext['geocopy'] = "Zkopírovat údaje zeměpisných souřadnic níže k tomuto hřbitovu";
		$admtext['linkcem'] = "Spojit toto místo se hřbitovem";
		$admtext['cemsavail'] = "Seznam obsahuje pouze hřbitovy, které nejsou spojené se žádným místem";
		$admtext['nocemsavail'] = "Žádný hřbitov neexistuje nebo jsou všechny hřbitovy již spojené s nějakým místem.";
        //added in 9.0.0
        $admtext['geocode'] = "Geokódovat";
        $admtext['ignoreall'] = "Odmítnout vše";
        $admtext['usefirst'] = "Použít první nelezenou položku";
        $admtext['multchoice'] = "Pokud bude pro jedno místo nalezeno více výsledků:";
        $admtext['geoexpl'] = "Geokódovat všechna místa, která neobsahují souřadnice zeměpisné šírky a délky";
        $admtext['geocoding'] = "Geokóduji...";
        $admtext['backgeo'] = "Zpět na nabídku geokódování";
        $admtext['limit'] = "Omezení:";
        $admtext['nolimit'] = "Bez omezení";
		$admtext['blankplace'] = "Prázdný název místa";
        $admtext['nogeocode'] = "Geokódování nelze provést";
        $admtext['toomany'] = "Odmítnuto (príliš mnoho výsledků)";
		$admtext['treesgone'] = "Připojení stromu bylo odstraněno ze všech záznamů místa";
		//added in 11.0.0
		$admtext['nolevel'] = "Úroveň místa není nastavena";
		$admtext['placenotsaved'] = "Místo není uloženo. Místo se stejným názvem již existuje. Obě místa slučte.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Vygenerovat nové ID číslo";
		$admtext['generating'] = "Generuji...prosím čekejte";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Vyznačuji generační linie...";
		$admtext['finishedtracking'] = "Vyznačení generačních linií bylo ukončeno.";
		$admtext['backtosecondary'] = "Zpět na druhotné procesy";
		$admtext['sortchildren'] = "Seřadit děti";
		$admtext['sortingchildren'] = "Seřazení dětí";
		$admtext['sortspouses'] = "Seřadit partnery";
		$admtext['sortingspouses'] = "Seřazení partnerů";
		$admtext['relabelbranches'] = "Znovu označit větve";
		$admtext['relabeling'] = "Obnova označení větví";
		$admtext['creatinggendex'] = "Vytváří se soubor GENDEX...";
		$admtext['finishedgendex'] = "Tvorba souboru GENDEX byla ukončena.";
		//added in 8.0.0
		$admtext['postgdx'] = "Kam publikovat váš soubor GENDEX";
		//added in 10.0.0
		$admtext['evalmedia'] = "Zredukovat menu médií";
		$admtext['evaluating'] = "Výpočet médií";
		$admtext['finished'] = "Dokončeno";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Přidat nový jazyk";
		$admtext['enterlangdisplay'] = "Zadejte prosím název jazyka pro zobrazení.";
		$admtext['enterlangfolder'] = "Zadejte název složky, ve které budou uloženy datové soubory pro tento jazyk.";
		$admtext['newlanguageinfo'] = "Informace o novém jazyce";
		$admtext['langdisplay'] = "Název tohoto jazyku,<br>jak bude zobrazen návštěvníkům";
		$admtext['createlanguage'] = "Vytvořit záznam nového jazyku";
		$admtext['nolanguages'] = "Neexistují žádné záznamy jazyků";
		$admtext['conflangdelete'] = "Opravdu chcete vymazat tento jazyk?";
		$admtext['existinglanguages'] = "Informace o existujícím jazyce";
		$admtext['modifylanguage'] = "Upravit existující jazyk";
		$admtext['changestolanguage'] = "Změny jazyků";
		$admtext['charset'] = "Znaková sada";
		$admtext['editexistinglanguage'] = "Přidat, upravit nebo vymazat jazyky";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Vytvořit záznam pro nový strom";
		$admtext['notrees'] = "Žádný záznam stromu neexistuje";
		$admtext['existingtrees'] = "Informace o existujícím stromu";
		$admtext['editexistingtree'] = "Upravit informace pro existující strom";
		$admtext['treename'] = "Název stromu";
		$admtext['owner'] = "Majitel";
		$admtext['conftreedelete'] = "Opravdu chcete vymazat tento strom a všechny související položky?";
		$admtext['conftreeclear'] = "Opravdu chcete vymazat všechna data z tohoto stromu?";
		$admtext['changestotree'] = "Změny stromu";
		$admtext['newtreeinfo'] = "Informace o novém stromu";
		$admtext['existingtreeinfo'] = "Informace o existujícím stromu";
		$admtext['modifytree'] = "Upravit existující strom";
		$admtext['succcleared'] = "byl úspěšně vymazán";
		$admtext['gedcomextraction'] = "Nepovolit uživatelům stáhnutí souborů GEDCOM";
		$admtext['gedexport'] = "GEDCOM export";
		$admtext['exporting'] = "GEDCOM je exportován...";
		$admtext['ifexportfails'] = "Pokud export neskončí úspěšně,";
		$admtext['finishedexporting'] = "Export GEDCOMu byl ukončen";
		$admtext['backtotrees'] = "Zpět ke stromům";
		$admtext['downloadged'] = "Stažení GEDCOMu";
		$admtext['lastimport'] = "Poslední import";
		$admtext['treeexists'] = "Zvolené ID číslo je již přiřazeno k jinému stromu. Zvolte, prosím, jiné číslo a zkuste to znovu.";
		$admtext['exportmedia'] = "Exportovat odkazy na média";
		//added in 8.0.0
		$admtext['changetree'] = "Změnit strom";
		$admtext['newtree'] = "Nový strom";
		$admtext['currtree'] = "Aktuální strom";
		$admtext['chwarn'] = "VAROVÁNÍ: Tato operace odstraní všechny vazby na rodiny, citace a ostatní odkazy k tomuto subjektu v rámci aktuálního stromu.";
		$admtext['keepprivate'] = "Informace o majiteli zachovat neveřejné";
		//changed in 9.0.0
		$admtext['exppaths'] = "Lokální umístění";
		$admtext['nopdf'] = "Nepovolit uživatelům tvorbu souborů PDF";
		//added in 10.0.0
		$admtext['exprivate'] = "Vyloučit neveřejné";
		$admtext['exliving'] = "Vyloučit žijící";
		$admtext['importfilename'] = "Importovat název souboru";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Přidat nového uživatele";
		$admtext['createuser'] = "Vytvořit záznam pro nového uživatele";
		$admtext['nousers'] = "Žádný záznam uživatele neexistuje";
		$admtext['existingusers'] = "Informace o existujícím uživateli";
		$admtext['editexistinguser'] = "Upravit informace o existujícím uživateli";
		$admtext['confuserdelete'] = "Opravdu chcete vymazat tohoto uživatele?";
		$admtext['changestouser'] = "Změny uživatele";
		$admtext['enteruserpassword'] = "Zadejte heslo.";
		$admtext['enterusername'] = "Zadejte uživatelské jméno.";
		$admtext['newuserinfo'] = "Informace o novém uživateli";
		$admtext['existinguserinfo'] = "Informace o existujícím uživateli";
		$admtext['modifyuser'] = "Upravit existujícího uživatele";
		$admtext['allow_living'] = "Povolit prohlížení údajů žijících osob";
		$admtext['allow_lds'] = "Povolit prohlížení údajů CJKSpd";
		$admtext['enterusername'] = "Zadejte uživatelské jméno.";
		$admtext['enteruserdesc'] = "Zadejte popis uživatele.";
		$admtext['enterpassword'] = "Zadejte heslo.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "První uživatel, kterého vytvoříte, bude administrátor (BEZ vybraného stromu), který bude mít přístup ke všem nastavením celého systému.";
		$admtext['userfailed'] = "CHYBA: Tento uživatel nemohl být vytvořen, protože uživatel se stejným jménem již existuje.";
		$admtext['allow_ged'] = "Povolit stažení souboru GEDCOM";
		$admtext['assigned'] = "Přiřazen";
		$admtext['treemsg'] = "Nepovinné. Zanechání uživatele bez stromu dá uživateli přístupové právo ke všem stromům a všem větvím. Administrátor systému by neměl mít přiřazen žádný strom.";
		$admtext['branchmsg'] = "Nepovinné. Přiřazení větve k uživateli omezí zvolená přístupová práva uživatele pouze na tuto větev ve zvoleném stromu.";
		$admtext['accesslimits'] = "Omezení přístupu:";
		$admtext['rights'] = "Přístupová práva:";
		$admtext['realname'] = "Skutečné jméno";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Registrace nových uživatelů";
		$admtext['editnewusers'] = "Zpracování záznamů nově registrovaných uživatelů. Noví uživatelé nemají žádná práva, dokud jejich registrace nejsou zpracovány.";
		$admtext['nonewusers'] = "Žádní noví uživatelé";
		$admtext['lastlogin'] = "Poslední přihlášení";
		$admtext['tentative_edit'] = "Povolit předložit úpravy pro přezkoumání administrátorem (pouze pro osoby, rodiny a prameny)";
		$admtext['notify'] = "Vyrozumět tohoto uživatele, že byl účet aktivován";
		$admtext['no_edit'] = "Bez práv upravovat";
		$admtext['emailusers'] = "E-mail Users";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "Emailová zpráva pro uživatele";
		$admtext['subject'] = "Předmět emailu";
		$admtext['messagetext'] = "Text emailu";
		$admtext['selectgroup'] = "Vyberte skupinu, která má obdržet email (pokud necháte prázdné, bude email poslán všem)";
		$admtext['treemailmsg'] = "Nepovinné. Výběrem stromu omezíte příjemce na uživatele přirazené k danému stromu.";
		$admtext['branchmailmsg'] = "Nepovinné. Výběrem větve omezíte příjemce na uživatele přirazené k dané větvi.";
		$admtext['send'] = "Poslat E-mail";
		$admtext['sentmailmessage'] = "Odeslaný email";
		$admtext['succmail'] = "Vaše emailová zpráva byla odeslána.";
		$admtext['mailfailed'] = "Vaše emailová zpráva NEBYLA odeslána.";
		$admtext['entersubject'] = "Zadejte prosím předmět pro váš email.";
		$admtext['entermsgtext'] = "Zadejte prosím text vašeho emailu.";
		$admtext['adminonly'] = "Zobrazit pouze uživatele s administrátorským oprávněním";
		$admtext['dtregistered'] = "Datum registrace";
		$admtext['dtactivated'] = "Datum aktivace";
		$admtext['no_email'] = "Neposílat tomuto uživateli hromadné emaily";
		$admtext['allow_admin'] = "Uplatnit tato práva ke všem stromům a větvím.";
		$admtext['limitedrights'] = "Omezit přístupová práva na následující:";
		$admtext['allow_edit'] = "Povolit úpravy existujících záznamů";
		$admtext['allow_add'] = "Povolit přidávat nové záznamy";
		$admtext['allow_delete'] = "Povolit vymazat existující záznamy";
		//added in 8.0.0
		$admtext['usrguest'] = "Host";
		$admtext['usrguestd'] = "Bez práva přidat, upravit nebo vymazat.";
		$admtext['noadmin'] = "Bez přístupu do administrátorské sekce.";
		$admtext['usrsubm'] = "Předkladatel";
		$admtext['usrsubmd'] = "Navrhnuje změny ke schválení.";
		$admtext['usrcontrib'] = "Přispěvatel";
		$admtext['usrcontribd'] = "Přidává údaje, včetně médií.";
		$admtext['usreditor'] = "Redaktor";
		$admtext['usreditord'] = "Přidává, upravuje a maže všechny údaje, včetně médií.";
		$admtext['usradmin'] = "Administrátor";
		$admtext['usradmind'] = "Veškerá práva.";
		$admtext['usrmcontrib'] = "Přispěvatel médií";
		$admtext['usrmcontribd'] = "Přidává pouze média.";
		$admtext['usrmeditor'] = "Redaktor médií";
		$admtext['usrmeditord'] = "Přidává, upravuje a maže pouze média.";
		$admtext['allow_media_edit'] = "Povolit úpravy pouze médií";
		$admtext['allow_media_add'] = "Povolit přidávat pouze média";
		$admtext['allow_media_delete'] = "Povolit vymazat pouze média";
		$admtext['no_add'] = "Bez práv přidávat";
		$admtext['no_delete'] = "Bez práv vymazat";
		$admtext['roles'] = "Role";
		$admtext['usrcustom'] = "Vlastní";
        //added in 9.0.0
		$admtext['allow_private'] = "Povolit prohlížení údajů osob označených jako neveřejné";
		$admtext['allow_pdf'] = "Povolit stažení souboru PDF";
		$admtext['allow_profile'] = "Povolit úpravy uživatelského profilu";
		break;

	case "login":
		$admtext['loginfailed'] = "Přihlášení do systému neproběhlo úspěšně.";
		$admtext['adminlogfile'] = "Soubor Admin Log";
		$admtext['mostrecentactions'] = "posledních akcí";
		$admtext['rempass'] = "Zůstat přihlášen na tomto počítači";
		$admtext['sessexp'] = "Vaše relace vypršela.";
		$admtext['logagain'] = "Kliknutím se znovu přihlašte.";
		//added in 8.1.0
		$admtext['logininactive'] = "Váš účet ještě není aktivní. Zkuste to, prosím, později nebo kontaktujte administrátora.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Vytvořit novou událost na časové ose";
		$admtext['modifytlevent'] = "Změnit existující událost na časové ose";
		$admtext['leaveblankalltlevents'] = "zanechat prázdné pro zobrazení všech událostí na časové ose";
		$admtext['evyear'] = "Rok události";
		$admtext['evdetail'] = "Podrobnosti události";
		$admtext['selecttleventaction'] = "Zvolte událost na časové ose a akci";
		$admtext['changestotlevent'] = "Změny události na časové ose";
		$admtext['location'] = "Umístění";
		$admtext['confdeletetlevent'] = "Opravdu chcete vymazat tuto událost na časové ose?";
		$admtext['enterevyear'] = "Zadejte prosím rok události.";
		$admtext['enterevdetail'] = "Zadejte prosím podrobnosti události.";
		$admtext['existingtleventinfo'] = "Existující událost časové osy";
		$admtext['newtleventinfo'] = "Nová událost časové osy";
		$admtext['edittleventinfo'] = "Přidat, upravit nebo vymazat události časové osy";
		$admtext['addnewtlevent'] = "Přidat novou událost na časové ose";
		$admtext['yrreq'] = "(povinný je pouze rok)";
		$admtext['startdt'] = "Počáteční datum";
		$admtext['enddt'] = "Koncové datum";
		//added in 9.0.0
		$admtext['evtitle'] = "Titul události";
		break;

	case "review":
		$admtext['selectevaction'] = "Zvolte událost a akci";
		$admtext['suggested'] = "Doporučeno/navrženo";
		$admtext['usernotes'] = "Poznámky ohledně<br />navržené změny<br />(nebudou uloženy)";
		$admtext['postdate'] = "Zaznamenáno/odesláno";
		$admtext['savedel'] = "Uložit a vymazat";
		$admtext['postpone'] = "Odložit";
		$admtext['igndel'] = "Odmítnout a vymazat";
		$admtext['tentdel'] = "byl vymazán";
		$admtext['tentadd'] = "byl změněn na trvalý";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Vyhledání, úprava nebo vymazání poznámek v databázi.";
		$admtext['whatsnewblurb'] = "Informování návštěvníků o větších úpravách webu nebo jiné nové informace v horní části stránky Co je nového.";
		$admtext['mwblurb'] = "Vytvoření seznamu neznámých lidí a neidentifikovaných fotografiích v naději, že získáte více publicity pro tyto položky, se kterými máte problémy.";
		$admtext['dvblurb'] = "Nalezení potenciálních problémů ve vašich datech.";
		$admtext['wr_gender'] = "Chybné pohlaví";
		$admtext['unk_gender'] = "Neznámé pohlaví";
		$admtext['marr_young'] = "Příliš časný sňatek (osoba mladší než 15 let)";
		$admtext['marr_aft_death'] = "Sňatek po smrti";
		$admtext['marr_bef_birth'] = "Sňatek před narozením";
		$admtext['died_bef_birth'] = "Úmrtí před narozením";
		$admtext['parents_younger'] = "Narození příliš brzy (rodiče mladší než 15 let nebo dítě narozeno před sňatkem)";
		$admtext['children_late'] = "Narození příliš pozdě (matka starší než 50 let)";
		$admtext['not_living'] = "Osoba označena jako žijící, ale má zapsáno datum úmrtí";
		$admtext['not_dead'] = "Osoba označena jako zesnulá, ale možná žije";
		$admtext['parmarr'] = "Sňatek rodičů";
		$admtext['motherbirth'] = "Narození matky";
		break;
		
	case "mods":
		$admtext['modlist'] = "Seznam módů";
		$admtext['reqremove'] = "Požadavek na odstranění módu";
		$admtext['confcanc'] = "Požadavek potvrďte nebo zrušte";
		$admtext['confrem'] = "Potvrdit odstranění";
		$admtext['confirmedrem'] = "Potvrzen požadavek na odstranění módu";
		$admtext['removed'] = "odstraněno";
		$admtext['notremoved'] = "Neodstraněno z následujících důvodů";
		$admtext['reqclean'] = "Požadavek na vyčištění módu";
		$admtext['confclean'] = "Potvrdit vyčištění";
		$admtext['confirmedclean'] = "Potvrzen požadavek na vyčištění módu";
		$admtext['cleanatt'] = "Vyčištěno ";
		$admtext['cleanperf'] = "Vyčištění provedeno s následujícími poznámkami.";
		$admtext['reqedit'] = "Požadavek na úpravu módu";
		$admtext['confedit'] = "Potvrdit úpravu";
		$admtext['cfgvalsread'] = "Hodnoty konfigurace přečteny z TNG souboru.";
		$admtext['confirmededit'] = "Potvrzen požadavek na úpravu módu hodnotami";
		$admtext['editdone'] = "Úprava dokončena";
		$admtext['editperf'] = "Parametry byly změněny takto:";
		$admtext['reqinstall'] = "Požadavek na instalaci módu";
		$admtext['confinst'] = "Potvrdit instalaci";
		$admtext['confirmedinst'] = "Potvrzen požadavek na instalaci módu";
		$admtext['installed'] = "Instalováno";
		$admtext['notinst2'] = "Nenainstalováno z následujících důvodů";
		$admtext['reqdelete'] = "Požadavek na vymazání konfiguračního souboru módu";
		$admtext['nomodundo'] = "Tuto operaci nelze vrátit. Tento mód budete muset znovu nahrát, pokud jej budete chtít později nainstalovat nebo odstranit.";
		$admtext['confdel'] = "Potvrdit vymazání";
		$admtext['confirmeddel'] = "Potvrzen požadavek na vymazání konfiguračního souboru módu";
		$admtext['deleted'] = "vymazáno";
		$admtext['cantdel'] = "nelze vymazat";
		$admtext['remman'] = "Odstraňte, prosím, tento soubor ručně";
		$admtext['cfgname'] = "Název konfiguračního souboru";
		$admtext['version'] = "Verze";
		$admtext['clean'] = "Vyčistit";
		$admtext['nomods'] = "Ve složce módů nebyly nalezeny žádné definiční soubory módu (xxx)";
		$admtext['notarget'] = "%target: chybějící tag";
		$admtext['notarget2'] = "nenalezen cílový soubor";
		$admtext['peerror'] = "Chyba úpravy parametru";
		$admtext['prerror'] = "Chyba čtení parametru";
		$admtext['location'] = "Umístění";
		$admtext['missing'] = "chybí";
		$admtext['badtarget'] = "Špatný cíl";
		$admtext['targetlost'] = "Nelze najít cíl";
		$admtext['modins'] = "Kód módu byl vložen.";
		$admtext['modtrins'] = "Kód módu byl zkrácen a vložen.";
		$admtext['modrepl'] = "Původní kód byl nahrazen kódem módu.";
		$admtext['nfilemissing'] = "Chybí nový název souboru";
		$admtext['create'] = "Vytvořit...";
		$admtext['cantwrite'] = "Nelze zapisovat do";
		$admtext['checkperms'] = "Zkontrolujte oprávnění, nyní";
		$admtext['notwrite'] = "není zapisovatelný, zkontrolujte oprávnění";
		$admtext['cfilemissing'] = "Chybí název kopírovaného souboru";
		$admtext['cffilemissing'] = "Chybí název souboru (z)";
		$admtext['ctfilemissing'] = "Chybí název souboru (do)";
		$admtext['copyfile'] = "Zkopírovat soubor xxx do";
		$admtext['cantcopy'] = "Nelze kopírovat do";
		$admtext['checkwrite'] = "Zkontrolujte oprávnění, musí být zapisovatelný.";
		$admtext['forwrite'] = "pro zápis";
		$admtext['written'] = "Soubor byl přepsán";
		$admtext['toterrors'] = "Celkem chyb";
		$admtext['totfiles'] = "Celkem nových souboru";
		$admtext['notallinst'] = "Nainstalovány nebyly všechny sekce";
		$admtext['notallrem'] = "Odstraněny nebyly všechny sekce";
		$admtext['section'] = "Sekce";
		$admtext['missfile'] = "Chybí soubor";
		$admtext['targetsearch'] = "Hledání cíle";
		$admtext['insrem'] = "Kód vloženého módu byl odstraněn.";
		$admtext['remrem'] = "Kód odstraněného módu byl odstraněn.";
		$admtext['trimrem'] = "Kód módu byl zkrácen a odstraněn.";
		$admtext['orgrepl'] = "Kód módu byl nahrazen původním kódem.";
		$admtext['cantrepl'] = "Nelze nahradit původní kód, nebyl nalezen.";
		$admtext['orgtrrepl'] = "Kód byl zkrácen a nahrazen";
		$admtext['keyword'] = "klíčové slovo";
		$admtext['notunique'] = "není jedinečné";
		$admtext['noaction'] = "žádná akce";
		$admtext['novers'] = "Existující xxx nemají číslo verze";
		$admtext['param'] = "Parametr";
		$admtext['params'] = "Parametry";
		$admtext['paramed'] = "Editor parametrů";
		$admtext['enterparam'] = "Vložit parametr módu";
		$admtext['paramval'] = "hodnota";
		$admtext['noparams'] = "Chybí definice parametru";
		$admtext['nodesc'] = "Chyba definice parametru, chybí popis";
		$admtext['defval'] = "Výchozí hodnota";
		$admtext['updateval'] = "Změnit xxx hodnotu z [yyy] do konfiguračního souboru módu.";
		$admtext['rewritten'] = "přepsáno";
		$admtext['fixingcfg'] = "Oprava konfiguračního souboru";
		$admtext['fixedcfg'] = "Konfigurační soubor byl opraven";
		$admtext['fixingtar'] = "Oprava cílového souboru";
		$admtext['fixedtar'] = "Cílový soubor byl opraven";
		$admtext['fincorr'] = "Oprava požadovaných dat byla ukončena";
		$admtext['targetupd'] = "Cílová data byla změněna";
		$admtext['written'] = "Soubor byl přepsán";
		$admtext['permerr'] = "Chyba oprávnění souboru";
		$admtext['updconfig'] = "Změnit informace konfiguračního souboru";
		$admtext['configupd'] = "Konfigurační data byla změněna, konec cyklu";
		//changed in 9.0.0
		$admtext['readvals'] = "Obnovit výchozí hodnoty parametru";
		$admtext['retstatus'] = "Návrat do seznamu módů";
		$admtext['locmissing'] = "Pro instalaci chybí místní kopie xxx";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Je vyžadována aktualizace módu";
		$admtext['keywordmissing'] = "Chybí klíčové slovo. Chyba konstrukce módu.";
		$admtext['cannotinstall'] = "Tento mód nelze nainstalovat";
		$admtext['notargetkeyword'] = "Cílový soubor je vyžadován";
		$admtext['emptytarget'] = "Cílový soubor je prázdný soubor.";
		$admtext['missingtarget'] = "Cílový soubor není nainstalován.";
		$admtext['missingfiles'] = "Soubor, který má být kopírován, chybí ve zdrojové složce";
		$admtext['pararead'] = "Parametry přečteny ze souborů";
		$admtext['rewritetarget'] = "Přepsat cílový soubor";
		$admtext['targetcode'] = "cílový kód je";
		$admtext['modtrimrepl'] = "Kód módu byl zkrácen a přepsán.";
		$admtext['cantdelmissing'] = "Nelze vymazat, soubor nebyl nalezen";
		$admtext['totcopyfiles'] = "Počet souborů ke zkopírování";
		$admtext['successfully'] = "Úspěšně";
		$admtext['filecreated'] = "Úspěšně vytvořen";
		//changed in 10.0.3 
		$admtext['editperf'] = "Parametry byly změněny takto:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Dávková instalace";
		$admtext['options'] = "Možnosti";
		$admtext['viewlog'] = "Zobrazit protokol";
		$admtext['filesexcused'] = "Soubory, které mohly selhat";
		$admtext['fileexcused'] = "Soubor, který mohl selhat";
		$admtext['copiesexcused'] = "Kopie, která mohly selhat";
		$admtext['copyexcused'] = "Kopie, která mohla selhat";
		$admtext['optionalfile'] = "Volby nastavení souboru ";
		$admtext['installbypassed'] = "instalace obešla sekci";
		$admtext['removalbypassed'] = "odstranění obešlo sekci";
		$admtext['target'] = "Změny";
		$admtext['newfile'] = "Nové";
		$admtext['copiesfile'] = "Kopie";
		$admtext['copiesfile2'] = "Kopie do";
		$admtext['aflistoptions'] = "Seznamu dotčených souborů";
		$admtext['showaflist'] = "Zobrazit seznam dotčených souborů";
		$admtext['shownewfile'] = "Zobrazit v seznamu nové soubory";
		$admtext['showfilecopies'] = "Zobrazit v seznamu kopírované soubory";
		$admtext['namecol'] = "Zobrazit seznam ve sloupci";
		$admtext['showlistas'] = "Zobrazit seznam jako";
		$admtext['showastable'] = "Tabulku";
		$admtext['showascsv'] = "Hodnoty oddělené čárkou";
		$admtext['batchshowaflist'] = "Zobrazit seznam v Dávkové instalaci";
		$admtext['logoptions'] = "Protokolu manažeru módů";
		$admtext['logactions'] = "Zaznamenávat akce manažeru módů";
		$admtext['mmlogfilename'] = "Název protokolu";
		$admtext['sortlistby'] = "Řadit seznamy podle";
		$admtext['modname'] = "Název módu";
		$admtext['bypassconfirm'] = "Vynechat potvrzení";
		$admtext['bypassaction'] = "Vynechat zprávy o akcích";
		$admtext['modifyoptions'] = "Upravit možnosti manažeru módů";
		$admtext['ready'] = "Lze nainstalovat";
		$admtext['badmod'] = "Nelze nainstalovat";
		$admtext['noselected'] = "Nejsou vybrány žádné soubory!";
		$admtext['choose'] = "Vybrat";
		$admtext['showlogfile'] = "Zobrazit protokol akcí manažeru módů";
		$admtext['recentactions'] = "poslední akce, které provedl manažer módů";
		$admtext['emptylog'] = "Prázdný protokol";
		$admtext['clearlog'] = "Vymazat protokol";
		$admtext['confirmclearlog'] = "Opravdu chcete vymazat protokol?";
		$admtext['copyfrom'] = "ze složky ";
		$admtext['modsyntax'] = "Syntaxe módů";
		$admtext['modguidelines'] = "Úvod k módům";
		$admtext['analyzer'] = "Analyzér";
		$admtext['filemod'] = "Soubor xxx je upraven módem";
		$admtext['filesel'] = "Vyberte upravený soubor k přezkoumání změn";
		$admtext['potconf'] = "Potenciální konflikty";
		$admtext['modifications'] = "úpravy";
		$admtext['othermmoptions'] = "Jiné";
		$admtext['file'] = "Soubor";
		$admtext['tngmods'] = "Módy pro TNG ";
		$admtext['unexpected'] = "Neočekávané klíčové slovo";
		$admtext['syntax'] = "Syntaxe";
		//changed in TNG 10.1
		$admtext['copied'] = "zkopírované";
		$admtext['emptyfile'] = "soubor je prázdný";
		$admtext['filescopied'] = "soubory zkopírované";
		$admtext['notarget'] = "%target: chybějící tag";
		$admtext['notinst'] = "nenainstalováno";
		$admtext['install'] = "Instalovat";
		$admtext['filedel'] = "Soubor vymazán";
		$admtext['created'] = "vytvořeno";
		$admtext['choosefilter'] = "Vyberte filtr a kliknutím na Provést zobrazíte dostupné ovládací prvky";
		$admtext['mmmaxloglines'] = "Maximální počet transakcí";
		$admtext['statusfilter'] = "Stav";
		//added in TNG 10.1
		$admtext['uninstall'] = "Odinstalovat";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Vyčistit";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Upravit možnosti";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "Lze nainstalovat";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "verze souboru/chybná verze";
		$admtext['bomfound'] = "BOM odstraněn";
		$admtext['cantinst'] = "Nelze nainstalovat";
		$admtext['cantproc'] = "nelze odstranit mód";
		$admtext['cantupd'] = "nelze změnit parametr";
		$admtext['cleanupall'] = "Vyčistit";
		$admtext['confdelmod'] = "Opravdu chcete tento mód vymazat z vašeho systému?";
		$admtext['copiesreq'] = "kopie souborů specifikované";
		$admtext['delete'] = "Vymazat";
		$admtext['deleteall'] = "Vymazat";
		$admtext['errors'] = "chyby";
		$admtext['excused'] = "soubory vyřazené";
		$admtext['filesinst'] = "soubory instalované";
		$admtext['filesrem'] = "soubory odstraněné";
		$admtext['format'] = "chyba formátu";
		$admtext['ignored'] = "umístění ignorováno";
		$admtext['installall'] = "Instalovat";
		$admtext['installing'] = "Instalace";
		$admtext['line'] = "Řádek";
		$admtext['modified'] = "upravené";
		$admtext['modsinst'] = "úpravy kódu instalované";
		$admtext['modrem'] = "mód odinstalován";
		$admtext['modsrem'] = "úpravy kódu odstraněné";
		$admtext['modsreq'] = "úpravy kódu specifikované";
		$admtext['newfilesreq'] = "nové soubory specifikované";
		$admtext['nfcreated'] = "nové soubory vytvořené";
		$admtext['noaccess'] = "není přístup";
		$admtext['noact'] = "neplatný tag akce";
		$admtext['nocfgfile'] = "soubor módu nebyl nalezen";
		$admtext['nocode'] = "chybějící sekce kódu";
		$admtext['nocomps'] = "chybějící prvky";
		$admtext['noend'] = "%end:% chybějící tag";
		$admtext['noinsert'] = "vložení kódu se nezdařilo";
		$admtext['noinsrem'] = "vložený kód nebyl odstraněn";
		$admtext['nolocation'] = "chybějící tag location";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "nelze přepsat kód";
		$admtext['notgtfile'] = "není přístupný (chybí cílový soubor)";
		$admtext['notopened'] = "cílový soubor nebyl otevřen";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "otevřen";
		$admtext['optional'] = "volitelný";
		$admtext['parameter'] = "parametr";
		$admtext['partinst'] = "Částečně nainstalováno";
		$admtext['removeall'] = "Odinstalovat";    // was Remove Selected mods
		$admtext['removing'] = "Odinstalace";    // was Removing
		$admtext['reqtag'] = "chybí požadovaný tag";
		$admtext['restparam'] = "Obnova výchozího parametru";
		$admtext['return'] = "Návrat do manažeru módů";
		$admtext['secnoterm'] = "sekce není zakončena";
		$admtext['tagnoterm'] = "tag není zakončen";
		$admtext['tagunk'] = "tag je neznámý";
		$admtext['tgtfile'] = "cílový soubor";
		$admtext['updated'] = "změněno";
		$admtext['updparam'] = "Změna parametru";
		$admtext['unxend'] = "neočekávaný konec souboru";
		$admtext['warnings'] = "Upozornění";
		$admtext['whitespace'] = "prázdné místo";
		$admtext['locations'] = "umístění";
		$admtext['allowdeletepartial'] = "Povolit Vymazat vybrané u částečně nainstalovaných módů";
		$admtext['allowdeleteinstalled'] = "Povolit Vymazat u samostatně instalovaných módů";
		$admtext['showwarnings'] = "Zobrazit upozornění módu ve stavu";
		$admtext['logfullpath'] = "Do protokolu zapsat celou cestu souborů";
		$admtext['deletingmods'] = "Vymazání souborů módu";
		$admtext['deleting'] = "Vymazání ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Soubory";
		$admtext['hasoptions'] = "Možnosti";
		$admtext['update'] = "Změnit";
		$admtext['restore'] = "Obnova výchozích";
		$admtext['compressnames'] = "Zkomprimovat název módu v seznamu módů";
		$admtext['stayon'] = "Zamknout";
		$admtext['accessible'] = "přístupný";
		$admtext['bypassed'] = "vynecháno";
		$admtext['willbypass'] = "bude ignorováno";  // was "will bypass"
		$admtext['cantdel'] = "nelze vymazat";
		$admtext['optmissing'] = "chybějící soubor (volitelný)";
		$admtext['tgtmissing'] = "chybějící cílový soubor";
		$admtext['optlocked'] = "soubor zamknut (volitelný)";
		$admtext['tgtlocked'] = "soubor zamknut";
		$admtext['alreadyrem'] = "již odstraněn";
		$admtext['noaccess'] = "není přístup";
		$admtext['code'] = "kód";
		$admtext['alreadyins'] = "již instalováno";
		$admtext['badinstall'] = "nepodařilo se instalovat";
		$admtext['removed'] = "odstraněno";
		$admtext['deleted'] = "vymazáno";
		$admtext['optsrcfilemissing'] = "chybějící volitelný zdroj";
		$admtext['srcfilemissing'] = "chybějící zdroj";
		$admtext['optnocopy'] = "volitelný soubor nebyl zkopírován";
		$admtext['notcopied'] = "nezkopírováno";
		$admtext['copied'] = "zkopírované";
		$admtext['notcreated'] = "nelze vytvořit nový soubor";
		$admtext['optnotcreated'] = "nelze vytvořit nový volitelný soubor";
		$admtext['nocreated'] = "nevytvořeno";
		$admtext['fixedheader'] = "Použít pevné záhlaví";
		$admtext['cantremok'] = "nelze odstranit, obejít";
		$admtext['nofolder'] = "chybějící cílová složka";
		$admtext['edparams'] = "upravit parametry";
		$admtext['compresslog'] = "Sbalit zobrazení protokolu";
		$admtext['showanalyzer'] = "Zobrazit záložku Analyzér";
		$admtext['formodname'] = "pro název módu ";
		$admtext['nofolder'] = "chybějící cílová složka";
		$admtext['fileperms'] = "Zkontrolujte, prosím, oprávnění k souboru";
		$admtext['noparam'] = "chybějící parametr";
		$admtext['editing'] = "úprava";
		$admtext['redirect2log'] = "Přesměrovat na protokol";
		$admtext['on_error'] = "Pouze chyby";
		$admtext['on_all'] = "Všechny transakce";
		$admtext['usestriping'] = "Použít pruhy";
		$admtext['stripeafter'] = "Pruh po tomto počtu řádků";
		$admtext['adjusthdrs'] = "Upravit pevné záhlaví";
		$admtext['displayoptions'] = "Nastavení zobrazení";
		$admtext['no_frag'] = "fragment kódu zde není povolen";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Opravdu chcete vymazat tento test?";
		$admtext['test_type'] = "Typ testu";
		$admtext['test_number'] = "Číslo testu";
		$admtext['test_date'] = "Datum testu";
		$admtext['modifydna'] = "Upravit existující test DNA";
		$admtext['changestoalldna'] = "Změny všech testů";
		$admtext['addnewdna'] = "Přidat nový test DNA";
		$admtext['testinfo'] = "Údaje testu";
		$admtext['urls'] = "Odpovídající odkazy";
		$admtext['dnalater'] = "Pozn.: Test lze na další obrazovce připojit i k jiným osobám.";
		$admtext['selecttype'] = "Vyberte, prosím, typ testu.";
		$admtext['entertestnum'] = "Zapište, prosím, číslo testu.";
		$admtext['test_taker'] = "Osoba, které patří tento test";
		$admtext['test_links'] = "Osoby připojené k tomuto testu";
		$admtext['changestotest'] = "Otestovat změny";
		break;
}

//common
$admtext['cannotexecutequery'] = "Dotaz nelze provést";
$admtext['addnew'] = "Přidat nový";
$admtext['individuals'] = "osoby";
$admtext['succadded'] = "byl úspěšně přidán";
$admtext['succaddedlinked'] = "byl úspěšně přidán s odkazem na";
$admtext['succsaved'] = "byly úspěšně uloženy";
$admtext['succdeleted'] = "byl úspěšně vymazán";
$admtext['succdeletedpluslinks'] = "byl úspěšně vymazán i se všemi odkazy";
$admtext['text_delete'] = "Vymazat";
$admtext['deleted'] = "Vymazán";
$admtext['deleteselected'] = "Vymazat vybrané";
$admtext['noresults'] = "Žádné výsledky nebyly nalezeny. Zkuste to prosím znovu.";
$admtext['action'] = "Akce";
$admtext['id'] = "ID číslo";
$admtext['edit'] = "Upravit";
$admtext['notes'] = "Poznámky";
$admtext['name'] = "Název";
$admtext['description'] = "Popis";
$admtext['text_continue'] = "Pokračovat...";
$admtext['searchfor'] = "Hledat";
$admtext['lookin'] = "Zadejte kriteria pro hledání";
$admtext['cemeteryid'] = "ID číslo hřbitova";
$admtext['exactmatch'] = "Pouze přesná shoda";
$admtext['nothingtodelete'] = "Nic ke vymazání";
$admtext['state'] = "kraj";
$admtext['country'] = "země";
$admtext['finish'] = "Ukončit";
$admtext['ifphotouploaded'] = "Toto pole nevyplňujte, pokud byl soubor již nahrán do složky fotografií.";
$admtext['eventtype'] = "Typ události";
$admtext['source'] = "Pramen";
$admtext['savechanges'] = "Uložit změny";
$admtext['family'] = "Rodina";
$admtext['find'] = "Najít...";
$admtext['create'] = "Vytvořit...";
$admtext['sourceid'] = "ID číslo pramenu";
$admtext['birthabbr'] = "n.";
$admtext['chrabbr'] = "p.";
$admtext['remove'] = "Odstranit";
$admtext['moveup'] = "Posunout nahoru";
$admtext['movedown'] = "Posunout dolů";
$admtext['enterpersonid'] = "Zadejte prosím ID číslo osoby";
$admtext['personid'] = "ID číslo osoby";
$admtext['otherevents'] = "Další události";
$admtext['required'] = "vyžadováno";
$admtext['children'] = "Děti";
$admtext['chrdate'] = "Datum křtu";
$admtext['chrplace'] = "Místo křtu";
$admtext['deathdate'] = "Datum úmrtí";
$admtext['deathplace'] = "Místo úmrtí";
$admtext['burialdate'] = "Datum pohřbu";
$admtext['burialplace'] = "Místo pohřbu";
$admtext['birthdate'] = "Datum narození";
$admtext['birthplace'] = "Místo narození";
$admtext['title'] = "Titul";
$admtext['sex'] = "Pohlaví";
$admtext['marriagedate'] = "Datum sňatku";
$admtext['marriageplace'] = "Místo sňatku";
$admtext['lastname'] = "Příjmení";
$admtext['firstname'] = "Jméno";
$admtext['filename'] = "Název souboru";
$admtext['linkspersonid'] = "Odkazy (ID číslo osoby)";
$admtext['cannotopen'] = "Soubor nelze otevřít";
$admtext['check'] = "Zkontrolovat";
$admtext['generate'] = "Vygenerovat";
$admtext['update'] = "Aktualizovat";
$admtext['confdeleteevent'] = "Opravdu chcete vymazat tuto událost?";
$admtext['existinglinks'] = "Existující odkazy:<br>(zaškrtněte k vymazání)";
$admtext['lowersortfirst'] = "Seřadit nejdříve nižší čísla. Desítková čísla mohou být použita.";
$admtext['personsname'] = "Jméno osoby";
$admtext['tablecreation'] = "Vytvoření tabulek";
$admtext['tracklines'] = "Vysledovat linie";
$admtext['administration'] = "Administrace";
$admtext['text_or'] = "NEBO";
$admtext['cemeteries'] = "Hřbitovy";
$admtext['families'] = "Rodiny";
$admtext['headstones'] = "Náhrobky";
$admtext['histories'] = "Vyprávění";
$admtext['people'] = "Osoby";
$admtext['photos'] = "Fotografie";
$admtext['reports'] = "Reporty";
$admtext['sources'] = "Prameny";
$admtext['suffix'] = "Přípona";
$admtext['add'] = "Přidat";
$admtext['confdeleteentity'] = "Opravdu chcete vymazat vybrané";
$admtext['cemetery'] = "Hřbitov";
$admtext['language'] = "Jazyk";
$admtext['display'] = "Zobrazit";
$admtext['languages'] = "Jazyky";
$admtext['orderpound'] = "Pořadí #";
$admtext['tree'] = "Strom";
$admtext['alltrees'] = "Všechny stromy";
$admtext['selectaddtree'] = "Strom (vybrat nebo přidat nový)";
$admtext['selecttree'] = "Vyberte/přidejte strom.";
$admtext['treebefevent'] = "Musíte zvolit nebo zadat název stromu před tím, než lze přidat nové události.";
$admtext['text_rename'] = "Přejmenovat";
$admtext['clear'] = "Vyčistit";
$admtext['linktothis'] = "Vytvořit odkaz na tuto osobu";
$admtext['linkexample'] = "(zadejte ID číslo, např. \"I###\")";
$admtext['existingconfig'] = "Existující konfigurace";
$admtext['lastmodified'] = "Datum poslední aktualizace";
$admtext['addnotes'] = "Další poznámky";
$admtext['confdeletenote'] = "Opravdu chcete vymazat tuto poznámku?";
$admtext['treebefnote'] = "Musíte zvolit nebo zadat název stromu před tím než lze přidat nové poznámky.";
$admtext['general'] = "Obecné";
$admtext['entersearchvalue'] = "Zadejte hodnotu kterou hledáte.";
$admtext['trees'] = "Stromy";
$admtext['users'] = "Uživatelé";
$admtext['lds'] = "CJKSpd";
$admtext['norights'] = "Nemáte oprávnění k přístupu na tuto stránku. Pokud máte uživatelské jméno a heslo, přihlašte se prosím do systému.";
$admtext['username'] = "Uživatelské jméno";
$admtext['password'] = "Heslo";
$admtext['login'] = "Přihlášení";
$admtext['logout'] = "Odhlášení";
$admtext['city'] = "Město";  //from cemeteries
$admtext['cap_country'] = "Země";  //from cemeteries
$admtext['addnewtree'] = "Přidat nový strom";
$admtext['test'] = "Test";
$admtext['page'] = "Strana";  //from sources
$admtext['folder'] = "Složka";   //from languages
$admtext['confdeletepers'] = "Opravdu chcete vymazat tuto osobu? Osoba bude vymazána z vašeho stromu.";
$admtext['save'] = "Uložit";
$admtext['of'] = "of";
$admtext['size'] = "Velikost";
$admtext['select'] = "Vybrat";
$admtext['open'] = "Otevřít";
$admtext['selectfile'] = "Vybrat soubor";
$admtext['altdesc'] = "Alternativní popis";
$admtext['altnotes'] = "Alternativní poznámky";
$admtext['savereturn'] = "Vrátit na tuto stránku";
$admtext['saveback'] = "Vrátit na menu";
$admtext['user'] = "Uživatel";
$admtext['DIV'] = "Rozvod";
$admtext['search'] = "Hledat";  //from findpersonform
$admtext['searchresults'] = "Výsledky hledání";  //from people
$admtext['clicktoselect'] = "kliknutím zvolte";
$admtext['familyid'] = "ID číslo rodiny";  //from families
$admtext['secondary'] = "Druhotné procesy";
$admtext['commas'] = "Oddělit jednotlivé položky čárkou";
$admtext['onsave'] = "Po uložení";
$admtext['adminhome'] = "Domovská stránka administrace";
$admtext['labelbranches'] = "Značka větve";
$admtext['branch'] = "Větev";
$admtext['findperson'] = "Najít osobu...";
$admtext['findfamily'] = "Najít rodinu...";
$admtext['repeatlastq'] = "Opakovat poslední hledání";
$admtext['alwayson'] = "Vždy viditelné";
$admtext['all'] = "Vše";
$admtext['lnprefix'] = "Předpona příjmení";
$admtext['nameorder'] = "Pořadí jména a příjmení";
$admtext['western'] = "Nejdříve jméno";
$admtext['lockid'] = "Zamknout";
$admtext['linktothese'] = "Spojeno s:";
$admtext['alsolinkto'] = "Dále spojeno s:";
$admtext['linkspersfam'] = "Odkazy (ID číslo osoby, rodiny nebo pramenu)";
$admtext['findsource'] = "Najít pramen...";
$admtext['address'] = "Adresa";
$admtext['stateprov'] = "Kraj/provincie";
$admtext['zip'] = "PSČ";
$admtext['merge'] = "Sloučit";
$admtext['otherinfo'] = "Další informace";
$admtext['available'] = "Dostupný-možný";
$admtext['backuprestore'] = "Obslužné programy";
$admtext['place'] = "Místo";
$admtext['treeid'] = "ID číslo stromu";
$admtext['email'] = "Email";
$admtext['event'] = "Událost";
$admtext['eventdate'] = "Datum události";
$admtext['eventplace'] = "Místo události";
$admtext['detail'] = "Podrobnosti";
$admtext['export'] = "Export";
$admtext['tlevents'] = "Události časové osy";
$admtext['places'] = "Místa";
$admtext['duplicate'] = "Změny nebyly uloženy, protože jiný záznam se stejným klíčem již existuje.";
$admtext['alttitle'] = "Alternativní titulek";
$admtext['enttitle'] = "Titulek";  //title for a history or photo, not a person
$admtext['address1'] = "Adresa 1";
$admtext['address2'] = "Adresa 2";
$admtext['countryaddr'] = "Země";
$admtext['branches'] = "Větve";
$admtext['nobranch'] = "Žádná větev";
$admtext['scrollbranch'] = "(Posuňte, abyste viděli všechny možnosti)";
$admtext['matches'] = "Shoduje se";
$admtext['review'] = "Přezkoumat";
$admtext['allusers'] = "Všichni uživatelé";
$admtext['deathabbr'] = "úmr.";
$admtext['burialabbr'] = "pohř.";
$admtext['nochanges'] = "Žádné změny nebyly provedeny.";
$admtext['changestoallitems'] = "Změny všech položek";  //were made successfully
$admtext['find2'] = "Najít/hledat";
$admtext['text_sort'] = "Seřadit";
$admtext['documents'] = "Dokumenty";
$admtext['repository'] = "Úložiště pramenů";
$admtext['more'] = "Více";
$admtext['repositories'] = "Úložiště pramenů";
$admtext['divplace'] = "Místo rozvodu";
$admtext['divdate'] = "Datum rozvodu";
$admtext['divdatetr'] = "Datum rozvodu (true)";
$admtext['creategendex'] = "Vytvořit GENDEX";
$admtext['datamaint'] = "Import dat";
$admtext['imagefiletoupload'] = "Soubor pro nahrání";
$admtext['indfamorsrc'] = "osoby, rodiny, prameny, úložiště nebo místa";
$admtext['improperpermissions'] = "protože složka neexistuje (zkontrolujte kořenovou složku) nebo nemá patřičná oprávnění (zkuste chmod(777)).";
$admtext['person'] = "Osoba";
$admtext['setup'] = "Nastavení";
$admtext['manage'] = "Řídit";
$admtext['reset'] = "Obnovit";
$admtext['norecords'] = "Žádný záznam nebyl nalezen.";
$admtext['secondarymaint'] = "Druhotné procesy";
$admtext['customeventtypes'] = "Vlastní typy událostí";
$admtext['findmatches'] = "Najít shodu";
$admtext['matchthese'] = "Porovnat následující pole:";
$admtext['otheroptions'] = "Jiné možnosti:";
$admtext['ignoreblanks'] = "Odmítnout prázdné";
$admtext['nextmatch'] = "Další shoda";
$admtext['nextdup'] = "Další duplicita";
$admtext['comprefresh'] = "Porovnat/Obnovit";
$admtext['mswitch'] = "Prohodit";
$admtext['nomatches'] = "Porovnání/hledání proběhlo bez výsledku.";
$admtext['combineextras'] = "Sloučit média";  //changed as well
$admtext['fasterdisplay'] = "Poznámka: Tato stránka je formátována jiným způsobem pro rychlejší zobrazení.";
$admtext['publichome'] = "Domovská stránka veřejná";
$admtext['selectall'] = "Vybrat vše";
$admtext['clearall'] = "Vyčistit vše";
$admtext['media'] = "Média";
$admtext['albums'] = "Alba";
$admtext['import'] = "Import";
$admtext['item'] = "Položka";
$admtext['combinenotesonly'] = "Spojit poznámky";
$admtext['addmedia'] = "Přidat médium";
$admtext['latitude'] = "Zeměpisná šířka";
$admtext['longitude'] = "Zeměpisná délka";
$admtext['gedimport'] = "Import souboru GEDCOM";
$admtext['improper2'] = "protože původní soubor je příliš velký nebo obrázek není platný, nebo složka buď neexistuje (zkontrolujte kořenovou složku) a nebo nemá dostatečné povolení (zkuste chmod(777)).";
$admtext['confdeleterecs'] = "Opravdu chcete vymazat vybrané záznamy?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geokódovat umístění";
$admtext['notfound'] = " nebyl nalezen. Zkuste hledat znovu. Podívejte se na nápovědu hledání v mapě pro možné důvody, proč se vyhledání nezdařilo, nebo zkuste hledat pomocí odkazu plné na vyhledávání v Google Map";
$admtext['showhidemap'] = "Zobrazit/skrýt mapu";
$admtext['getcoords'] = "(určení zeměpisné šířky, délku a přiblížení)";
$admtext['searchstring'] = "Hledat místo";
$admtext['zoom'] = "Přiblížení";
$admtext['selectplacelevel'] = "Vybrat úroveň místa";
$admtext['difficultmap'] = "Plné vyhledávání v Google Map";
$admtext['maphelp'] = "Nápověda hledání v mapě";
$admtext['gobutton'] = "Hledat";
$admtext['findpersonid'] = "Najít ID číslo osoby";
$admtext['findfamilyid'] = "Najít ID číslo rodiny";
$admtext['findsourceid'] = "Najít ID číslo pramenu";
$admtext['entersourcepart'] = "Zadejte alespoň částečný název pramenu";
$admtext['findrepoid'] = "Najít ID číslo úložiště";
$admtext['enterrepopart'] = "Zadejte část názvu úložiště";
$admtext['findplace'] = "Najít místo";
$admtext['enterplacepart'] = "Zadejte alespoň část názvu místa";
$admtext['entereventinfo'] = "Zadejte datum, místo nebo podrobnosti této události.";
$admtext['entereventtype'] = "Zvolte typ události.";
$admtext['enternote'] = "Napište prosím poznámku.";
$admtext['selectsource'] = "Vyberte pramen.";
$admtext['confdeletecite'] = "Opravdu chcete vymazat tuto citaci?";
$admtext['spouses'] = "Partneři";
$admtext['entertreeid'] = "Zadejte ID číslo stromu.";
$admtext['entertreename'] = "Zadejte název stromu.";
$admtext['citations'] = "Citace";
$admtext['eventtypes'] = "Typy událostí";
$admtext['associations'] = "Spojení";
$admtext['makefolder'] = "Vytvořit složku";
$admtext['allcurrentdata'] = "Všechna aktuální data";
$admtext['matchingonly'] = "Pouze odpovídající záznamy";
$admtext['donotreplace'] = "Nenahradit žádná data";
$admtext['useroffset'] = "Začít číslovat ID čísla od:";
$admtext['phone'] = "Telefon";
$admtext['website'] = "Internetové stránky";
$admtext['thumb'] = "Náhled";  //as in thumbnail
$admtext['displayorder'] = "Pořadí v zobrazení";
$admtext['go'] = "Provést";
$admtext['help'] = "Nápověda";
$admtext['husband'] = "Manžel";
$admtext['wife'] = "Manželka";
$admtext['husbname'] = "Jméno manžela";
$admtext['wifename'] = "Jméno manželky";
$admtext['drag'] = "Táhnout";
$admtext['enterinamepart'] = "zadejte část jména a/nebo příjmení";
$admtext['enterfnamepart'] = "Zadejte část jména matky a/nebo otce";
$admtext['hide'] = "Skrýt";
$admtext['toggle'] = "přepnout zobrazení";
$admtext['wsel'] = "S vybranými:";
$admtext['msg'] = "Zpráva";
$admtext['default'] = "Výchozí";
$admtext['events'] = "Události";
$admtext['date'] = "Datum";
$admtext['savecont'] = "Uložit a pokračovat...";
$admtext['alphanum'] = "V čísle ID vašeho stromu používejte, prosím, pouze alfanumerické znaky.";
$admtext['mediatypes'] = "Typy médií";
$admtext['appendall'] = "Přidat všechny záznamy";
$admtext['NPFX'] = "Předpona";
$admtext['prefix'] = "Předpona";
$admtext['mostwanted'] = "Hledá se";
$admtext['idexists'] = "nemohlo být přidáno, protože toto ID číslo již existuje.";
$admtext['notdeleted'] = "Soubor nemuže být vymazán. Zkontrolujte prosím oprávnění.";
$admtext['confdeletefile'] = "Jste si jisti, že chcete vymazat tento soubor?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Poznámka:</strong> Vkládáte-li datum, použijte, prosím, standardní genealogický formát: DD MMM RRRR. Například, 10 Dub 2004.";
$admtext['oriental'] = "Nejprve příjmení (bez čárek)";
$admtext['langfolder'] = "Složka jazyka";
//moved here in 8.0.0
$admtext['active'] = "Aktivní";
$admtext['repoid'] = "ID číslo úložiště";
$admtext['whatsnew'] = "Co je nového";
$admtext['linkedto'] = "Spojen s";
$admtext['status'] = "Stav";
//added in 8.0.0
$admtext['show'] = "Zobrazit";
$admtext['lnfirst'] = "Nejprve příjmení (s čárkami)";
$admtext['savefirst'] = "Nejprve uložit změny?";
$admtext['misc'] = "Různé";
$admtext['modmgr'] = "Manažer módů";
$admtext['menu'] = "Menu";
$admtext['cannotopendir'] = "Nemohu otevřít složku";
$admtext['reviewsh'] = "Přezkoumat"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Zrušit";
$admtext['enterpassoc'] = "Zadejte prosím ID číslo připojené osoby.";
$admtext['enterrela'] = "Zadejte prosím příbuzenský vztah.";
$admtext['confdeleteassoc'] = "Opravdu chcete vymazat toto spojení?";
$admtext['preview'] = "Náhled";
$admtext['livingonly'] = "Pouze žijící";
$admtext['tentdata'] = "Dočasný záznam události";
$admtext['checking'] = "Kontrola probíhá... prosím čekejte";
//added in 9.0.0
$admtext['clickresume'] = "klikněte zde pro pokračování";
$admtext['copylast'] = "Kopírovat poslední";
$admtext['nicbold'] = "Tučné";
$admtext['nicitalic'] = "Kurzíva";
$admtext['nicunderline'] = "Podtržení";
$admtext['niclalign'] = "Zarovnat doleva";
$admtext['niccalign'] = "Zarovnat na střed";
$admtext['nicralign'] = "Zarovnat doprava";
$admtext['nicjalign'] = "Zarovnat do bloku";
$admtext['nicinsol'] = "Číslování";
$admtext['nicinsul'] = "Odrážky";
$admtext['nicsub'] = "Dolní index";
$admtext['nicsup'] = "Horní index";
$admtext['nicstrike'] = "Přeškrtnutí";
$admtext['nicremfmt'] = "Odstranit formátování";
$admtext['nicindent'] = "Odsazení textu";
$admtext['nicremind'] = "Odstranit odsazení textu";
$admtext['nichr'] = "Vodorovné pravítko";
$admtext['nicfontsz'] = "Velikost písma";
$admtext['nicfontfam'] = "Typ písma";
$admtext['nicfontfmt'] = "Formát písma";
$admtext['niclink'] = "Přidat odkaz";
$admtext['nicremlink'] = "Odstranit odkaz";
$admtext['nictxtcol'] = "Změnit barvu textu";
$admtext['nicbkgcol'] = "Změnit barvu pozadí";
$admtext['nicimage'] = "Přidat obrázek";
$admtext['change'] = "Změnit";
$admtext['editwarn'] = "Doba uzamknutí tohoto záznamu brzy vyprší.  Uložte vámi zadané změny nyní, jinak riskujete, že budou přepsány jiným uživatelem.";
$admtext['editconflict'] = "Tento záznam je právě upravován jiným uživatelem. Zkuste to prosím znovu později.";
$admtext['retry'] = "Zkusit znovu";
$admtext['notsaved'] = "Změny nebyly uloženy. Jiný uživatel má tento záznam uzamknutý.";
//changed in 9.2.0
$admtext['linktype'] = "Typ";
//moved here in 10.0.0
$admtext['disabled'] = "Zakázat přístup";
$admtext['cremated'] = "Zpopelněn";
//added in 10.0.0
$admtext['videos'] = "Videa";
$admtext['recordings'] = "Zvukové záznamy";
$admtext['saveexit'] = "Uložit a ukončit";
$admtext['allbranches'] = "Všechny větve";
//moved here in 11.0.0
$admtext['nickname'] = "Přezdívka";
$admtext['role'] = "Role";
$admtext['commas'] = "Oddělit jednotlivé položky čárkou";
$admtext['confdellink'] = "Opravdu chcete vymazat tento odkaz?";
$admtext['existlinks'] = "Existující odkazy";
$admtext['report'] = "Report";
//added in 11.0.0
$admtext['sortby'] = "Seřadit podle";
$admtext['unlink'] = "Odpojit";
$admtext['privateonly'] = "Pouze neveřejné";
$admtext['dna_links'] = "Odkazy DNA";
$admtext['dataval'] = "Ověření dat";
$admtext['norels'] = "Vypnout výrazy příbuzenských vztahů";

//change to $text
$admtext['living'] = "Žijící";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>