<?php
include("../../helplib.php");
echo help_header("Nápověda: Druhotné procesy");
?>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tng.community" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="data_help.php" class="lightlink">&laquo; Nápověda: Import / Export</a> &nbsp; | &nbsp;
			<a href="setup_help.php" class="lightlink">Nápověda: Nastavení &raquo;</a>
		</p>
		<span class="largeheader">Nápověda: Druhotné procesy</span>
		<p class="smaller menu">
			<a href="#what" class="lightlink">Co to je?</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="what"><p class="subheadbold">Co jsou to druhotné procesy?</p></a>
		<p>Druhotné procesy jsou operace, které lze provést na vašich datech bezprostředně po ukončení importu. Chcete-li nějakou operaci provést,
		musíte nejdříve vybrat, zda má být provedena ve "Všech stromech" nebo
		pouze v jednom konkrétním. Pokud pouze v jednom, vyberte tento strom zde. Operace, které můžete provést, jsou následující:</p>
		
		<span class="optionhead">Vysledovat linie</span>
		<p>Po naimportování vašich dat kliknutím sem projdete vybraný strom a označíte všechny osoby s dětmi, což návštěvníkovi vašich stránek
		umožní snadněji najít jeho primární linii potomků.</p>
		
		<span class="optionhead">Seřadit děti</span>
		<p>Kliknutím sem seřadíte v každé rodině vybraného stromu děti podle data narození. Bude nahrazeno dřívější řazení, které bylo
		provedeno jinými součástmi TNG nebo vaší desktopovou aplikací.</p>
		
		<span class="optionhead">Seřadit partnery</span>
    <p>Kliknutím sem seřadíte partnery každé osoby ve vybraného stromu podle data sňatku. Bude nahrazeno dřívější řazení, které bylo
		provedeno jinými součástmi TNG nebo vaší desktopovou aplikací.</p>

		<span class="optionhead">Znovu označit větve</span>
		<p>Nový import vašeho souboru GEDCOM s volbou <span class="emphasis">Nahradit všechna data</span> způsobí, že všechna dříve existující označení větví budou
		odstraněna. Kliknutím na toto tlačítko tato označení obnovíte (čísla ID musí odpovídat vašim dřívějším datům).</p>

		<span class="optionhead">Vytvořit GENDEX</span>
		<p>Kliknutím sem vytvoříte indexovaný soubor ve formátu GENDEX. V Základním nastavení určíte název složky, kam bude soubor uložen.
		Pokud vyberete "Všechny stromy", bude tento soubor pojmenován "gendex.txt". Pokud vyberete jeden strom, název vašeho souboru GENDEX bude ID číslo stromu (nikoli název stromu),
		a přípona .txt. Další informace o souborech GENDEX najdete na
		<a href="http://tngnetwork.lythgoes.net" target="_blank">http://tngnetwork.lythgoes.net</a>.</p>

		<span class="optionhead">Publikování vašeho souboru GENDEX na TNG Network</span>
		<p>Máte-li indexovaný soubor GENDEX, navštivte <a href="http://tngnetwork.lythgoes.net" target="_blank">TNG Network</a> a klikněte na "Register your site".
		Budete si muset vytvořit účet a poté budete moci naimportovat váš soubor GENDEX. Pokaždé, když budete chtít aktualizovat váš výpis na TNG Network,
		budete potřebovat znovu vytvořit a znovu naimportovat váš soubor GENDEX.</p>
    
    <span class="optionhead">Zredukovat menu médií</span>
		<p>TNG obsahuje položky menu pro několik standardních kolekcí médií (Fotografie, Dokumenty, Vyprávění, Náhrobky, Videa a Zvukové záznamy). Pokud v některých kolekcích 
		nemáte žádné položky, můžete pomocí kliknutí na tuto volbu tyto položky z menu odstranit. Přidáte-li v budoucnu do "redukované" kolekce nějakou položku,
		do menu se tato položka automaticky vrátí.</p>
	</td>
</tr>
</table>
</body>
</html>
