<?php
include("../../helplib.php");
echo help_header("Npovda: Obslun programy");
?>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tng.community" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="languages_help.php" class="lightlink">&laquo; Npovda: Jazyky</a> &nbsp; | &nbsp;
			<a href="modmanager_help.php" class="lightlink">Npovda: Manaer md &raquo;</a>
		</p>
		<span class="largeheader">Npovda: Obslun programy</span>
		<p class="smaller menu">
			<a href="#tables" class="lightlink">Zloha - Obnova - Optimalizace</a> &nbsp; | &nbsp;
			<a href="#structure" class="lightlink">Zloha struktury tabulek</a> &nbsp; | &nbsp;
			<a href="#ids" class="lightlink">Peslovn ID sel</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="tables"><p class="subheadbold">Zlohovn, obnovovn &amp; optimalizace dat v tabulkch</p></a>
		<p>Tyto funkce pouvejte pro zabezpeen vaich dat a pro udren rychlejho bhu vaich strnek.</p>

		<p><em><strong>POZNMKA:</strong> Je-li vae databze velmi velk, mete pro zlohu a obnovu databze pout njak nezvisl nstroj 
    (nap. mysqldumper or phpMyAdmin). Alespo jeden z nich byste mli mt k dispozici na ovldacm panelu vaich strnek.
     Pokud je vae databze pli velk a pokud v hostitel m limit omezujc as k proveden a dokonen skriptu, nemus bt operace 
     zlohovn nebo obnovy spn dokonena. Co je to "velk databze" zle na kadm serveru a jeho dostupnch zdrojch, ale uritm
     mtkem me bt poet 50 000 osob ve vaem strom.</em></p>

		<span class="optionhead">Zloha</span>
		<p>Chcete-li zlohovat jednotlivou tabulku, kliknte na ikonu Zlohovat ve sloupci Akc vedle tabulky, kterou chcete zlohovat. Na prav stran dku se vm
		zobraz hlen o dokonen tto akce. Aktualizovn bude tak obsah sloupce Posledn zloha, stejn jako velikost vslednho souboru. Pokud operace neprobhla spn,
		nemte zejm vytvoenou sloku "Backups" (nen nutn toto pojmenovn; podvejte se do svho Zkladnho nastaven) nebo nem potebn pstupov prva.
		Vytvote tuto sloku ve sv hlavn TNG sloce a pidlte j prva pro ten/zpis/sputn pro ostatn/skupinu/majitele (755 nebo 775, nkter systmy vyaduj 777),
		pot jdte do Zkladnho nastaven a ujistte se, e se nzev sloky zde pesn shoduje s aktulnm nzvem (velikost psmen). Po vytvoen
		vodnho souboru zloh byste mli pro zven rovn bezpenosti nastavit pstupov prva zpt na 771.
		<strong>POZN.</strong>: Pokud vae veker daje osob a rodin pochzej z importu souboru GEDCOM,
		nen nutn zlohovat tabulky osob, dt a rodin, protoe by tyto zlohy mohly bt dost velk a mohly by zabrat cenn msto.
		Pokud by dolo ke ztrt dat, mete pak tyto tabulky jednodue obnovit novm importem vaeho souboru GEDCOM.</p>

		<span class="optionhead">Obnova</span>
		<p>Chcete-li obnovit jednotlivou tabulku, kliknte na ikonu Obnovit ve sloupci Akc vedle tabulky, kterou chcete obnovit. Na prav stran dku se vm
		zobraz hlen o dokonen tto akce. Nen-li ikona Obnovit vedle nzvu pslun tabulky vidt, nen pro tuto tabulku k dispozici dn soubor zlohy.
		<strong>POZN.</strong>: Pokud pokus o obnovu kon chybou, je mon, e se pokoute obnovit tabulku, jej aktuln struktura sloupc
		neodpovd struktue, kter byla v dob, kdy byla vytvoena posledn zloha. Zejm jste zlohu vytvoili ped aktualizac, kter
		zmnila strukturu tabulky.</p>

		<span class="optionhead">Optimalizace</span>
		<p>Chcete-li optimalizovat jednotlivou tabulku, kliknte na ikonu Optimalizovat ve sloupci Akc vedle tabulky, kterou chcete optimalizovat. Na prav stran dku se vm
		zobraz hlen o dokonen tto akce. Tabulka by mla bt optimalizovna, pokud jste vymazali velkou st tabulky, od doby va posledn optimalizace provedli nkolik import
		nebo jste provedli mnoho zmn v polch s promnlivou dlkou. Optimalizac bude zskno zpt nevyuit msto a datov soubor bude defragmentovn,
		vsledkem bv obvykle zlepen vkon. S optimalizac velkch tabulek jsou spojena nkter nebezpe, take sv tabulky ped optimalizac radji zazlohujte.</p>

		<span class="optionhead">Zlohovat vybran / Obnovit vybran / Optimalizovat vybran / Vymazat vybran</span>
		<p>Chcete-li zlohovat, obnovit nebo optimalizovat vce tabulek najednou, nebo vymazat zlon soubory, zakrtnte polko ve sloupci Vybrat vedle poadovanch tabulek, a pot vyberte
		z rozbalovacho seznamu "S vybranmi" v horn sti strnky vyberte pslunou akci. Pokud chcete pro nkterou operaci vybrat vechny tabulky, kliknte na tlatko "Vybrat ve".
		Podobn mete vechny vbry zruit kliknutm na tlatko "Vyistit ve".</p>

		<span class="optionhead">Dal doporuen</span>
		<p>Po vytvoen zlohy bude zlon soubor uloen ve sloce Backups (podle definice ve vaem Zkladnm nastaven). Doporuujeme, abyste si tyto soubory zkoprovali
		do svho potae, protoe katastrofick udlost, kter me postihnout vae databzov tabulky, me tak postihnout zlon soubory uloen na stejnm potai. Pokud jsou vae zlon 
		soubory pli velk, mete je pot z vaich webovch strnek odstranit a nakoprovat je zpt a, kdy je nutn obnova.</p>
		<p>Tak vm doporuujeme, abyste svou sloku pro ukldn zlonch soubor nazvali jinak ne 'backups', protoe by nkte uivatel TNG s neestnmi mysly mohli snadno zcizit vae data.
		Tak vm radme, je-li to mon, pidlit va sloce zloh pstupov prva 771 (po vytvoen potench zloh), protoe to zabrn komukoli zskat vpis sloky.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="structure"><p class="subheadbold">Zlohovn struktury tabulek</p></a>
		<p>Chcete-li zlohovat strukturu vaich TNG tabulek, kliknte v tto sekci na ikonu Zlohovat. Pokud byla operace spn, strnka bude znovu zobrazena s ervenou zprvou nahoe.
		Vyplnn bude tak obsah sloupce Posledn zloha, stejn jako velikost vslednho souboru. Zloha struktury vaich tabulek vm umon snze obnovit vae data
		v ppad katastrofy na vaem serveru, zvlt pokud se aktuln struktura vaich tabulek li od struktury, kter byla na potku.</p>
		<p>Pokud chcete obnovit strukturu vaich TNG tabulek, kliknte v tto sekci na ikonu Obnovit. Pokud byla operace spn, strnka bude znovu zobrazena s ervenou zprvou nahoe.</p>
		<strong>VAROVN: Obnova struktury tabulek smae vechna existujc data!</strong></p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="ids"><p class="subheadbold">Peslovn ID sel</p></a>
		<p>Pomoc tto funkce mete ke vem vaim osobm, rodinm, pramenm a/nebo loitm pramen piadit nov, po sob jdouc ID sla. V ppad tto operace muste bt reimu drby.
		Chcete-li spustit reim drby, jdte do Admin/Nastaven/Zkladn nastaven a v sekci "Databze" vyberte volbu Reim drby.</p>

		<p><strong>VAROVN: Proveden tto operace by mohlo mt vn vedlej inky!</strong> Mohlo by peruit propojen nebo zloky, kter ukazuj na vae strnky, mohlo by peruit indexovn vyhledvae,
		a mohlo by zpsobit, e vae ID sla nebudou synchronizovna s vam pvodnm souborem GEDCOM (pokud njak mte). Doporuujeme, abyste ped zahjenm tto operace
		zazlohovali sv tabulky, zvlt v ppad, kdy vsledek nedokete pedem odhadnout.</p>

		<p>Volby na tto strnce jsou nsledujc:</p>

		<span class="optionhead">Strom</span>
		<p>Strom muste vybrat. Tuto operaci mete provst pouze v jednom strom.</p>

		<span class="optionhead">Typ ID sla</span>
		<p>Volby jsou osoby, rodiny, prameny nebo loit pramen. Peslovn jednoho typu, ani byste provedli tot s jinmi typy, by nemlo
		mt dn nedouc inky, kter jsou obsahem ve uvedenho varovn.</p>

		<span class="optionhead">Minimln poet slic</span>
		<p>Toto slo uruje, jak budou vae nov ID sla dlouh. Je-li slo dan osoby men ne minimln poet slic, zbvajc sla
		budou doplnna nulami zleva. Nap. pokud je v minimln poet slic roven 5, vae nejmen sla budou I00001, I00002, I00003, atd. Nechcete-li nuly zleva,
		nastavte toto slo na 1 (do potu nen zahrnuta pedpona ID sla).</p>

	</td>
</tr>

</table>
</body>
</html>
