<?php
include("../../helplib.php");
echo help_header("Npovda: Zkladn nastaven");
?>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tng.community" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="setup_help.php" class="lightlink">&laquo; Npovda: Nastaven</a> &nbsp; | &nbsp;
			<a href="pedconfig_help.php" class="lightlink">Npovda: Nastaven schmat &raquo;</a>
		</p>
		<span class="largeheader">Npovda: Zkladn nastaven</span>
		<p class="smaller menu">
			<a href="#data" class="lightlink">Databze</a> &nbsp; | &nbsp;
			<a href="#table" class="lightlink">Tabulky</a> &nbsp; | &nbsp;
			<a href="#path" class="lightlink">Umstn a sloky</a> &nbsp; | &nbsp;
			<a href="#site" class="lightlink">Strnka</a> &nbsp; | &nbsp;
			<a href="#media" class="lightlink">Mdia</a> &nbsp; | &nbsp;
			<a href="#lang" class="lightlink">Jazyk</a> &nbsp; | &nbsp;
			<a href="#priv" class="lightlink">Ochrana daj</a> &nbsp; | &nbsp;
			<a href="#name" class="lightlink">Jmna</a> &nbsp; | &nbsp;
			<a href="#cem" class="lightlink">Hbitovy</a> &nbsp; | &nbsp;
			<a href="#mail" class="lightlink">Mail</a> &nbsp; | &nbsp;
			<a href="#mobile" class="lightlink">Mobil</a> &nbsp; | &nbsp;
			<a href="#pref" class="lightlink">Prefixes</a> &nbsp; | &nbsp;      
			<a href="#misc" class="lightlink">Rzn</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="data"><p class="subheadbold">Databze</p></a>

		<span class="optionhead">Hostitel databze, nzev, uivatelsk jmno, heslo</span>
		<p>Tyto daje pouije TNG a PHP k pipojen k va databzi. Tyto pole mus bt vyplnny dv, ne bude vae databze 
		zpstupnna. <strong>Pozn.</strong>: Toto uivatelsk jmno a heslo me bt jin, ne jsou vae obvykl pstupov daje k webov strnce.
		Pokud se po vloen tchto daj objev chybov hlen, e TNG neme komunikovat s va databz,
		pak je nkter z tchto daj chybn. Neznte-li sprvn daje, vydejte si je u poskytovatele vaeho
		webovho hostingu. Nzev hostitel me tak obsahovat slo portu nebo cestu do soketu (socket path), nap. "localhost:3306" nebo "localhost:/path/to/socket". 
		Tyto daje jsou dleit, take je zadvejte s maximln pesnost. Pokud psobte jako svj vlastn webmaster, ujistte se, e jste vytvoili databzi
		a pidali do n uivatele (uivatel mus mt VECHNA pstupov prva).</p>

		<span class="optionhead">Reim drby</span>
		<p>Je-li TNG v reimu drby, data nejsou pstupn veejnosti. Nvtvnkovi se zobraz zprva, 
		kter mu oznm, e na strnkch probh drba a me se sem vrtit pozdji. Vai strnku mete
		pepnout do reimu drby pi importu vaich dat. Pokud chcete peslovat vae ID sla, pepnut do reimu drby
		je nutn. Pokud jste se v reimu drby "zasekli", mete pmo opravit v soubor config.php a obnovit nastaven promnn $tngconfig['maint']
		na 0 nebo przdnou.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="table"><p class="subheadbold">Nzvy tabulek</p></a>

		<span class="optionhead">Nzvy tabulek</span>
		<p>Vchoz nzvy byste nemli mnit, pokud u nkter tabulky maj tyto nzvy. Vechny nzvy tabulek mus bt vyplnny a vechny nzvy mus bt jednoznan. 
    Nemte nzvy existujcch tabulek.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="path"><p class="subheadbold">Umstn a sloky</p></a>

		<span class="optionhead">Koenov sloka</span>
		<p>Toto je sloka v systmu, ve kter jsou umstny vae soubory TNG. Nen to webov adresa.
		Zapsat muste koncov lomtko. Pokud tuto strnku otevete poprv, vae koenov sloka by mla bt vyplnna sprvn. Nemte ji, pokud nejste pokroil uivatel
		nebo nejste instruovni, jak to udlat. Pokud smaete obsah tohoto pole a strnku ulote, sprvn sloka se objev po optovnm naten tto strnky, ale
		strnku muste uloit znovu, aby se nov sloka uloila.</p>

		<span class="optionhead">Konfiguran sloka</span>
		<p>Pokud chcete vae konfiguran TNG soubory na bezpenj msto mimo koenovou sloku webu (take nebudou pstupny
		z webu), zapite tuto sloku zde. <strong>Mus</strong> konit koncovm lomtkem (/). Bude to pravdpodobn st koenov sloky.
		Je-li nap. vae koenov sloka "/home/www/username/public_html/genealogy/", jako konfiguran sloku mete zvolit "/home/www/username/".</p>

		<p><strong>DLEIT:</strong> Pouit tohoto pole je
		zcela voliteln a nebude mt vliv na provoz vaich strnek. Vyplnit byste jej mli pouze, kdy dokonale znte 
    strukturu sloek na vaich webovch. Pokud sem njak umstn zapete, <strong>muste nsledujc soubory pesunout 
		do konfiguran sloky okamit po uloen</strong> a zmnit je na zapisovateln (oprvnn 664 nebo 666): config.php, customconfig.php, importconfig.php,
		logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php and templateconfig.php. pokud tak neuinte, na vaich strnkch nebude nic fungovat. Pokud udlte chybu a vae strnky pestanou pracovat,
		budete muset run opravit v soubor subroot.php a zapsat sprvnou sloku do promnn $tngconfig['subroot'] (jej optovn nastaven na przdnou hodnotu vrt v systm
		do vchozho stavu).</p>

		<span class="optionhead">Fotografie / Dokument / Vyprvn / Nhrobek / Multimdia / GENDEX / Zloha / Mdy / Sloka Extensions</span>
		<p>Do tchto pol zapite nzev sloky nebo adrese pro zmnn entity. Vechny by mly mt globln pstup st+pst+provst (read+write+execute, 755 nebo 775, i kdy nkter systmy vyaduj 777).
		Sloka multimdi je urena jako "zchytn" pro vechny poloky mdi, kter se nehod do jinch kategori (nap. videa a
		zvukov zznamy). Tyto sloky mohou bt vytvoeny z tto obrazovky kliknutm na tlatka "Vytvoit sloku".</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="site"><p class="subheadbold">Vzhled a definice strnek</p></a>

		<span class="optionhead">Domovsk strnka</span>
		<p>Vechna menu v programu TNG obsahuj odkaz na "domovskou strnku". Do tohoto pole zapite adresu tohoto odkazu. Standardn je to strnka index.php ve sloce s ostatnmi
		soubory TNG. Mus to bt relativn odkaz ("index.php" nebo "../otherhomepage.html"), nikoli absolutn odkaz ("http://yoursite.com").</p>

		<span class="optionhead">URL genealogickch strnek</span>
		<p>Webov adresa va genealogick sloky (nap. "http://mysite.com/genealogy").</p>

		<span class="optionhead">Nzev strnek</span>
		<p>Obsah tohoto pole bude zobrazen v tagu HTML "Title" na kad strnce a bude zobrazen na hornm okraji okna vaeho prohlee.</p>

		<span class="optionhead">Popis strnek</span>
		<p>Krtk popis vaich strnek pro pouit v kanlu RSS.</p>

		<span class="optionhead">Doctype Deklarace</span>
		<p>Tento text je umstn v horn sti kad strnky ve veejnm prosted a d prohlei uivatele informaci, kterou potebuje
		ke sprvnmu zobrazen strnky. Ovovac testy, kter b na strnkch, pouij tento daj k uren, jak se 
    mohou objevit problmy. Pokud toto pole nechte przdn, bude pouit vchoz XHTML Transitional doctype.</p>

		<span class="optionhead">Majitel strnek</span>
		<p>Vae jmno, ppadn vae obchodn jmno. Toto jmno se objev v odchozch mailech z TNG.</p>

		<span class="optionhead">Clov rmec</span>
		<p>Pokud vae strnka pouv rmce, toto pole pouijte pro oznaen, ve kterm rmci maj bt zobrazeny strnky TNG. Pokud rmce nepouvte, 
		nechte v tomto poli hodnotu "_self".</p>

		<span class="optionhead">Vlastn zhlav / zpat / meta</span>
		<p>Nzvy soubor pro sti strnky, kter se pouvaj jako zhlav, zpat a sekci HEAD ("meta") va TNG strnky. Dodvny jsou soubory s vchozmi nzvy.
		Pouv-li se v tchto souborech kdovn PHP, mus mt ppony .php. Chcete-li je vyut v ablonch vzhledu, muste tato zhlav a zpat mt nazvan
		jako topmenu.php a footer.php.</p>

		<span class="optionhead">Styl zloek</span>
		<p>Soubor, kter uruje styl zloek zobrazench na vtin veejnch strnek. Vchoz styl (tngtabs1.css) pouv "ikm" zloky, ale
		TNG dodv tak alternativn styl s "hranatmi" zlokami (tngtabs2.css). Chcete-li zobrazit zloky v tomto stylu, zapite do tohoto pole "tngtabs2.css"
		a kliknte na "Uloit" ve spodn sti strnek, a pot zkuste vyhledat njakou osobu ve veejnm prosted. Vchoz styl (tngtabs1.css) vyuv dva obrzky, "tngtab.png" (neaktivn
		zloky) a "tngtabactive.png" (aktivn zloky). Chcete-li zmnit barvu tchto obrzk, mete pout jakkoli obrazov editor nebo kliknout na odkaz na konci tohoto odstavce. Na dal strnce
		zapite <strong>decimln</strong> hodnoty erven, zelen a modr komponenty uvaovan nov barvy, a pak kliknte na Potvrdit. Potom uvidte nov obrzek, kter mete uloit na vae strnky jako
		tngtab.png nebo tngtabactive.png. <a href="http://lythgoes.net/genealogy/switchcolor.php">http://lythgoes.net/genealogy/switchcolor.php</a></p>

		<span class="optionhead">Umstn menu</span>
		<p>TNG menu me bt na kad strnce umstno nahoe vlevo nad jmnem osoby nebo jinm slem strnky, nebo na kad strnce nahoe vpravo, pmo proti jmnu nebo
		jinmu slu strnky. Dynamick rozbalovac seznam pro vbr jazyku bude na obrazovce umstn ve stejn sekci.</p>

		<span class="optionhead">Zobrazit odkazy na domovskou strnku / Hledat / Pihlen/Odhlen / Sdlet / Tisk / Pidat zloku</span>
		<p>Nkter tyto volby (Domovsk strnka/Hledat/Pihlen) jsou na kad strnce umstny nahoe vlevo, pod zhlavm strnky a nad lini zloek. Jin
		(Sdlet/Tisk/Pidat zloku) jsou umstny nahoe vpravo, pod litou menu.
		Kadou tuto volbu mete pomoc ovldacch prvk zapnout nebo vypnout.</p>
    
    <span class="optionhead">Cl odkazu Hledat</span>
		<p>Odkaz Hledat v horn sti kad strnky ve vchozm chovn oteve mal okno, ve kterm mete hledat pomoc zpisu jmna nebo sla ID. Toto se nazv "Rychl hledn".
    Vbrem tto pedvolby mete msto toho pejt na strnky Rozen hledn.</p>

		<span class="optionhead">Skrt popisky ktu</span>
		<p>Tato volba umouje skrt vechny zmnky o udlosti "ktu".</p>
    
    <span class="optionhead">Skrt vechny strnky a daje k DNA</span>
		<p>Pokud nebudete pouvat programov funkce, kter souvis s DNA, a chtli byste je odstranit ze vech strnek veejn sti TNG, nastavte tuto volbu na Ano. Testy DNA ji nebudou pstupn 
    z veejnch menu ani nebudou zobrazeny na strnkch jednotlivch osob.</p>

		<span class="optionhead">Vchoz strom</span>
		<p>Pokud existuje vce strom, na vech strnkch, kde je mon vbr stromu (vetn funkce hledn
		na va domovsk strnce) bude vchoz nastaven "Vechny stromy". Chcete-li, aby tento vbr nabzel pouze urit strom,
		tento strom vyberte zde. Kdekoli uivatel zape URL bez ID sla stromu (nebo s przdnm ID slem stromu), dotaz
		bude smovat k tomuto stromu. <strong>POZN.</strong>: Pokud mte pouze jeden strom, je lep toto pole nechat przdn.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="media"><p class="subheadbold">Mdia</p></a>

		<span class="optionhead">Typ soubor fotografi</span>
		<p>Ppona souboru vech malch fotografi pouvanch ve schmatech. Ostatn fotografie nemus obsahovat tuto pponu. Pro vtinu fotografi je doporuena ppona .jpg.</p>

		<span class="optionhead">Zobrazit rozenou informaci o obrzku</span>
		<p>Pokud je tato volba zakrtnuta, budou u kad fotografie zobrazeny rozen informace. Ty obsahuj fyzick nzev souboru, rozmry v pixelech a
		existujc daje IPTC.</p>

		<span class="optionhead">Maximln vka a ka obrzku</span>
		<p>Jsou-li tyto hodnoty nastaveny (pixely), obrzky vt ne tyto rozmry budou pi zobrazen ve veejnm prosted zmeneny (pouitm HTML).</p>

		<span class="optionhead">Pedpona/prefix pro nhledy</span>
		<p>Pi automatickm generovn nhledu pid TNG tuto hodnotu ped originln nzev souboru a vytvo tak nzev souboru nhledu. Pokud nzev originlnho souboru obsahuje daj o cest,
		pedpona bude vloena pmo ped nzev souboru. Tato pedpona me obsahovat nzev sloky (nap. "thumbnails/"). Pokud
		pouijete nzev sloky jako soust ppony, ujistte se, e tato sloka existuje a m stejn oprvnn jako sloka nadzen fotografi.</p>

		<span class="optionhead">Ppona/sufix pro nhledy</span>
		<p>Pi automatickm generovn nhledu pid TNG tuto hodnotu k originlnmu nzvu souboru a vytvo tak nzev souboru nhledu.</p>

		<span class="optionhead">Maximln vka nhledu</span>
		<p>TNG automaticky vytvo nhled obrzku, kter nebude vy, ne je nastaven vka (pixely).</p>

		<span class="optionhead">Maximln ka nhledu</span>
		<p>TNG automaticky vytvo nhled obrzku, kter nebude ir, ne je nastaven ka (pixely).</p>

		<span class="optionhead">Pout vchoz nhledy</span>
		<p>Pokud osoba nem vchoz fotografii a tato volba je povolena, na vech strnkch, na kterch je odkaz na tuto osobu, bude pouit msto toho obecn nhled, kter rozliuje pohlav.</p>

		<span class="optionhead">Sloupc v zobrazen nhled</span>
		<p>Pi prohlen vech soubor v zobrazen nhled budou tyto nhledy zobrazeny v jednom dku. Pokud jich existuje vc,
		budou dal dky zobrazeny a do potu dku odpovdajcmu "Maximlnmu potu vsledk hledn".</p>

		<span class="optionhead">Maximln poet znak v seznamu poznmek</span>
		<p>Chcete-li zkrtit poznmky, kter jsou zobrazovny na strnkch se seznamy (jako jsou veejn strnky fotografie, dokumenty a vyprvn), nastavte toto pole na maximln
		poet znak, kter m bt zobrazen. Nechte-li jej przdn, bude zobrazena kompletn poznmka.</p>

		<span class="optionhead">Povolit prezentaci</span>
		<p>Umon automatick postupn zobrazovn fotografi ve veejnm prosted strnek po kliknut na odkaz "Zahjit prezentaci". Nastaven
		tto hodnoty na 'Ne' skryje tento odkaz a zake pouit tto funkce.</p>

		<span class="optionhead">Automatick opakovn prezentace</span>
		<p>Nastaven tto hodnoty na 'Ano' povol automatick pokraujc bh prezentace.</p>

		<span class="optionhead">Umonit prohle obrzk</span>
		<p>Nastaven tto volby na 'Vdy' zobraz kadou obrzkovou poloku (soubory .jpg, .gif a .png) v prohlei obrzk. Nastaven na 'Pouze dokumenty' vypne
		prohle obrzk pro vechny obrzkov mdia, kter nejsou 'Dokumenty' nebo jin typy mdi, kter se chovaj jako Dokumenty.</p>

		<span class="optionhead">Vka prohlee obrzk</span>
		<p>Nastaven tto volby na 'Vdy zobrazit cel obrzek' zajist, e je obrzek viditeln ve vchozch rozmrech. Nastaven na 'Pevn (640px)' zapin, e obrzky vy ne
		640 pixel budou pi zobrazen oznuty na tuto vku. Ovldac prvky prohlee mohou bt dle pouvny k posunu obrzku nebo piblen i oddlen.</p>

    <span class="optionhead">Skrt mdia osob</span>
		<p>Je-li tato pedvolba nastavena na "Ano", seznam mdi na strnce osoby bude zanat ve sbalenm stavu. Msto nhled a popisk uvidte pouze celkov poet podle typ mdi.
    Nvtvnci budou moci kadou sekci mdi rozbalit, ale po obnoven naten strnky bude seznam opt sbalen.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="lang"><p class="subheadbold">Jazyk</p></a>

		<span class="optionhead">Jazyk</span>
		<p>Vchoz sloka jazyka (nap. 'Czech'). Pro nvtvnky vaich strnek mete mt dostupnch nkolik jazyk, ale tento jazyk bude vdy zobrazen jako prvn.</p>

		<span class="optionhead">Znakov sada</span>
		<p>Znakov sada vaeho vchozho jazyka. Pokud toto pole ponechte przdn, bude pouita vchoz znakov sada vaeho prohlee. Znakov sada pro anglitinu a jin zpadoevropsk jazyky pouvajc 26 znakovou
		mskou abecedu je ISO-8859-1. Pevldajc kdovn etiny jsou ISO-8859-2, Windows-1250 a UTF-8.</p>

		<span class="optionhead">Dynamick zmna jazyka</span>
		<p>Pokud mte nastaveno vce jazyk a chcete, aby byli uivatel schopni vybrat jin jazyk "za chodu",
		vyberte <em>Povolit</em>.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="priv"><p class="subheadbold">Ochrana daj</p></a>

		<span class="optionhead">Vyadovat pihlen</span>
		<p>Kad uivatel me bn prohlet veejn prosted vaich strnek, s pihlenm me voliteln vidt data ijcch osob. Pokud vak
		chcete, aby se muset pihlsit kad ped tm ne mue spatit cokoli z vaich strnek, zakrtnte toto pole.</p>

		<span class="optionhead">Omezit pstup pouze na pipojen strom</span>
		<p>Je-li Vyadovat pihlen nastaveno na 'Ano', pak nastaven tto volby na 'Ano' zpsob, e uivatel budou moci pouze vidt data spojen se svmi
		pipojenmi stromy. Vechny jin osoby, rodiny, prameny, atd. budou skryty.</p>

		<span class="optionhead">Zobrazit daje CJKSpd</span>
		<p>Chcete-li vdy zobrazovat data CJKSpd (Crkev Jee Krista Svatch poslednch dn (mormoni), jsou-li k dispozici), vyberte <em>Vdy</em> (dve to bylo vchoz). Vypnout zobrazen vech daj CJKSpd
		a monosti run zapsat daje CJKSpd mete vbrem <em>Nikdy</em>. Chcete-li tuto monost pepnat v zvislosti na
		uivatelskm oprvnn, vyberte <i>Podle prv uivatele</i>. V tomto ppad daje CJKSpd uvid pouze pihlen uivatel, kte maj oprvnn je vidt.
		Pro ostatn uivatele budou skryty.</p>

		<span class="optionhead">Zobrazit daje o ivch osobch</span>
		<p>Chcete-li vdy zobrazovat daje ijcch osob (data a msta), vyberte <i>Vdy</i>. Vypnout zobrazen daj ijcch osob mete
		vbrem <i>Nikdy</i>. Chcete-li tuto monost pepnat v zvislosti na
		uivatelskm oprvnn, vyberte <i>Podle prv uivatele</i>. V tomto ppad daje ijcch osob uvid pouze pihlen uivatel, kte maj oprvnn je vidt.
		Pro ostatn uivatele budou skryty.</p>

		<span class="optionhead">Zobrazit jmna ijcch osob</span>
		<p>Chcete-li skrt jmna osob oznaench jako ijc (chyb daje o mrt nebo pohbu a zrove se narodili ped vce ne 110 lety), vyberte <em>Ne</em>. Jmna ijcch
		osob budou nahrazena slovem "ijc". Pro zobrazen pjmen a inicily kestnho jmna ijcch osob vyberte <em>Zkrtit kestn jmno</em>. Chcete-li
		jmna ijcch osob zobrazit kadmu, vyberte <em>Ano</em>.</p>

		<span class="optionhead">Zobrazit jmna osob oznaench jako neveejn</span>
		<p>Chcete-li skrt jmna osob oznaench jako Neveejn, vyberte <em>Ne</em>. Jmna neveejnch
		osob budou nahrazena slovem "Neveejn". Pro zobrazen pjmen a inicily kestnho jmna neveejnch osob vyberte <em>Zkrtit kestn jmno</em>. Chcete-li
		jmna neveejnch osob zobrazit kadmu, vyberte <em>Ano</em>.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="name"><p class="subheadbold">Jmna</p></a>

		<span class="optionhead">Poad jmna a pjmen</span>
		<p>Ur, jak budou ve vtin ppad jmna zobrazena (nkter seznamy vdy zobraz pjmen jako prvn). Zvolit mete zobrazen kestnho jmna jako prvn nebo pjmen jako prvn.
		Nen-li nic vybrno, bude zobrazeno jako prvn kestn jmno.</p>

		<span class="optionhead">Vechna pjmen velkmi psmeny</span>
		<p>Umon zobrazit vechna pjmen velkmi psmeny. Je-li tato volba nastavena na "Ne", budou jmna zobrazena tak, jak byla zapsna nebo naimportovna.</p>

		<span class="optionhead">Pedpony pjmen</span>
		<p>Ur, jak se bude zachzet s pedponami pjmen (nap. "de" nebo "van"). Standardn je ve, co je obsaeno v poli pjmen souboru GEDCOM soust pjmen, a podle toho jsou i
		pjmen tdna ("de Kalb" je dve ne "van Buren"). Pedpony pjmen mete ponechat jako soust pjmen nebo je mete oddlit
		jako samostatn subjekty (takto bude "van Buren" v azen ped "de Kalb"). Toto nebude mt vliv na existujc pjmen, dokud je run neupravte nebo nepevedete pomoc surnameconvert400.php.</p>

		<span class="optionhead">Zjitn pedpon pi importu</span>
		<p>Pokud jste zvolili oddlen pedpon jako samostatnch subjekt, tato sekce stanov pravidla, kter pomohou rozhodnout importovac rutin, co je pedponou. Pedpony jsou definovny jako
		sti jmen oddlen mezerami, ale vy mete zvolit, kolik pedpon kadho jmna bude soust pedpony v TNG. Jinmi slovy, pokud urte, e
		"Poet pedpon kadho (max)" je 1, pak bude do pole pedpona ze jmna "van der Merwe" pesunuto pouze "van". Na druhou stranu, pokud tuto hodnotu nastavte na 2 nebo vy, pedponou
		bude "van der". Oznait mete tak urit pedpony, kter budou vdy oddleny jako samostatn pedpony. Jinmi slovy, nastavte-li tuto hodnotu na "van der", pak
		bude "van der" vdy uvaovna jako platn pedpona nezvisle na tom, jak vysok nebo nzk je pedchoz hodnota. Vce hodnot oddlujte rkami. Je-li ve jmn pedpona oddlena
		apostrofem, tento apostrof uvete v seznamu tak. Nap.: "van,vander,van der,d',a',de,das".</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="cem"><p class="subheadbold">Hbitovy</p></a>

		<span class="optionhead">Maximln poet dk ve sloupci (prm.)</span>
		<p>Pokud mte definovno velk mnostv hbitov, tento daj ekne TNG, e je-li dosaen zadan poet, seznam m bt rozdlen
		a vytvoen dal sloupec.</p>

		<span class="optionhead">Potlait kategorii "Neznm"</span>
		<p>Definujete-li hbitov s chybjcmi daji o lokalit (nap. bez kraje nebo okresu), TNG vytvo zhlav nazvan
		"Neznm" a tato przdn pole zde budou seskupena. Vbr tto volby zpsob, e TNG toto zhlav vynech.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="mail"><p class="subheadbold">Mail a registrace</p></a>

		<span class="optionhead">Emailov adresa</span>
		<p>Vae emailov adresa. Pod-li nvtvnk o nov uivatelsk et, email bude posln z tto adresy. Na tuto adresu budou tak zaslny 
    vechny zprvy ze strnky "Napite nm". Zprvy pochzejc z formule "Nvrh" pijdou na tuto adresu, pokud nen se stromem odpovdajcm
    strnce, ze kter byl posln nvrh, spojena dn emailov adresa (jinak bude zprva poslna na tuto adresu).</p>

		<span class="optionhead">Poslat vechny maily z ve uveden adresy</span>
		<p>Kdy vm uivatel pole zprvu prostednictvm TNG, program se ji pokus odeslat, jako by pochzela od nj,
    abyste mohli snze odpovdt. Nkte poskytovatel hostingu to vak neumouj. Odmtaj poslat emaily, kdy adresa odeslatele
		nepochz ze stejn domny, jako jsou vae strnky. Pokud zjistte, e emaily z TNG nejsou poslny, v hostitel se prv takto
		chov. Je-li to tento ppad, nastaven tto volby na Ano zpsob, e TNG bude poslat vechny maily z adresy 
		administrtora TNG (zapsan ve). To by mlo problm vyeit.</p>

		<span class="optionhead">Povolit nov registrace uivatel</span>
		<p>Umon vypnout monost nvtvnk podat o uivatelsk et na vaich strnkch.</p>

		<span class="optionhead">Upozornit na nvrhy k pezkoumn</span>
		<p>Nastaven tto hodnoty na "Ano" zajist, e administrtorovi bude zaslna emailov zprva, kdykoliv nkdo s prvem Vkldn
		vlo pedbnou zmnu a ek na administrativn pezkoumn.</p>

		<span class="optionhead">Vytvoit nov strom pro uivatele</span>
		<p>Je-li tato volba nastavena na Ano, pro kadou novou uivatelskou registraci bude automaticky vytvoen nov strom a
		uivatel bude pipojen k tomuto stromu.</p>

		<span class="optionhead">Automaticky schvlit nov uivatele</span>
		<p>Vechny nov uivatelsk registrace vyaduj bn schvlen administrtora ped tm, ne se stanou aktivnmi.
		Zmnou tohoto nastaven na Ano budou automaticky aktivn vechny nov uivatelsk poadavky. Nastaven uivatelskho tu budete
		ale moci upravit, abyste mli jistotu, e m uivatel pstupov prva, kter jste mu chtli dt.</p>

		<span class="optionhead">Poslat schvalovac mail</span>
		<p>Pokud je tato volba nastavena na Ano, kadmu potencilnmu novmu uivateli bude posln email, kter ho bude informovat, jeho poadavek
		byl obdren a je zpracovvn. Toto neplat, pokud jsou nov registrace automaticky aktivovny.</p>

		<span class="optionhead">Zahrnout heslo do uvtacho mailu</span>
		<p>Heslo zvolen uivatelem je bn zahrnuto na "uvtacho" emailu, kter jej informuje, e je et
		nyn aktivn. Nechcete-li, aby bylo heslo do emailu vkldno, nastavte tuto hodnotu Ne.</p>

		<span class="optionhead">Pout oven SMTP</span>
		<p>TNG posl normln maily pomoc PHP funkce "mail". Chcete-li radji pout Simple Mail Transfer Protocol, pak tuto hodnotu nastavte na "Ano". 
    Zobraz se navc nkter dal volby: Nzev SMTP hostitele, Uivatelsk jmno pro email, Heslo pro email a slo portu. Sprvn hodnoty tchto pol
    by vm ml bt schopen dt poskytovatel vaeho hostingu.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Top</a></p>
		<a name="mobile"><p class="subheadbold">Mobil</p></a>

		<p>Sekce Mobil vm umon urit, jak se bude TNG zobrazovat na chytrch telefonech a tabletech.</p>

		<span class="optionhead">Nzev mobilnch strnek</span>
		<p>je-li tato volba nastavena na <strong>v lit mobilnho menu</strong>, nzev strnek bude zobrazen v lit mobilnho menu.<br />Vchoz nastaven je zobrazen nzvu strnek <strong>pod litou mobilnho menu</strong>.</p>
		
		<span class="optionhead">Povolit responzivn tabulky</span>
		<p>Je-li tato volba nastavena na Ano, bbude aktivovn plugin Tablesaw jQuery, kter umouje responzivn tabulky.<br />Je-li volba nastavena na Ne, plugin Tablesaw jQuery nebude aktivn.</p>
		
		<span class="optionhead">Typ responzivn tabulky</span>
		<p>Typ responzivn tabulky me bt nastaven na
		<ul>
			<li><strong>Toggle</strong>, kter je vchoz, a zobraz data ve sloupcch zaloench na ce displeje a piazen priorit.  Otoenm displeje chytrho telefonu nebo tabletu na ku budou zobrazeny dal sloupce dat.</li> 
				
			<li><strong>Stack</strong>, kter shrne zhlav tabulky do dvousloupcovho nvrhu se zhlavm nalevo, je-li ka vezu men ne 40em (640px).</li>
			
			<li><strong>Swipe</strong>, kter umon uivateli k navigaci sloupc pout gesto posunu (nebo pout lev a prav tlatko).</li>
		</ul>
		<br />
		<span class="optionhead">Povolit pepna md responzivnch tabulek:</span>
		<p>Volba pepnae md umon uivateli pepnat mezi jednotlivmi typy zobrazen sloupc tabulek: toggle, stack nebo swipe.</p>

		<span class="optionhead">Povolit minimapu responzivnch tabulek</span>
		<p>Pouit minimapy pid srii malch teek ukazujcch, kter sloupce jsou aktuln viditeln a kter jsou skryt. 
			K dispozici pouze v mdu swipe a toggle. </p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Top</a></p>
		<a name="pref"><p class="subheadbold">Pedpony a ppony</p></a>

    <p>Tato psmena ve spojen s slic tvo identifikan sla (ID sla) osob, rodin, pramen, loi a poznmek ve va databzi. Vtina genealogickch
    program pouv stejnou sadu standardnch pedpon (a dn ppony). Pokud v desktopov program pouv ppony nebo jin pedpony, mete je zadat zde.
    Nejsou-li zadny sprvn pedpony nebo ppony, nkter funkce TNG nebudou pracovat sprvn.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="misc"><p class="subheadbold">Rzn</p></a>

		<span class="optionhead">Maximln poet vsledk hledn</span>
		<p>Tato volba omezuje poet vsledk, kter mohou bt zobrazeny z veejnho vyhledvacho dotazu. Me to bt relativn mal, zvldnuteln slo, aby byla
		maximalizovna efektivnost a zlepen zkuenost uivatel.</p>

		<span class="optionhead">Osoby zanaj na</span>
		<p>Tato volba oznauje, kter daje budou viditeln nejdve, kdy je zobrazen zznam osoby. Pokud vyberete
		"Pouze osobn daje", ostatn kategorie jako Poznmky, Citace nebo Fotografie a Vyprvn
		budou skryty, dokud uivatel nerozkryje pslunou kategorii nebo "Ve".</p>

		<span class="optionhead">Zobrazit poznmky</span>
		<p>Tato volba vm umon zvolit, kde budou na strnce osoby zobrazeny poznmky. Monosti jsou nsledujc:</p>

		<ul>
			<li>V sekci poznmek: Vechny poznmky budou zobrazeny ve zvltnm bloku na konci strnky.</li>
			<li>Pod odpovdajcmi udlostmi, kde je to mon: Poznmky k uritm udlostem budou zobrazeny pmo pod odpovdajcmi udlostmi. Obecn poznmky budou zobrazeny
				na konci "Osobn" sekce a kad sekce "Rodina". Pokud jsou obecn poznmky dlouh, objev se posuvnk, kter zajist, e strnka nebude moc dlouh
				(maximln vka oblasti je definovna v souboru genstyle.css v bloku "notearea").</li>
			<li>Pod udlostmi mimo obecnch poznmek: Tot jako v pedchozm ppad, pouze obecn poznmky budou zobrazeny vdy v oddlenm bloku na konci strnek. Neukld se
        dn maximln vka.</li>
		</ul>

    <span class="optionhead">Posouvn citac</span>
		<p>Nastaven tto pedvolby na "Ano" zpsob, e oblast pramen na konci kad strnky osoby bude mt maximln vku. Pokud je u osoby piazeno vce citac pramen
    ne jsou maximln rozmry oblasti, objev se v tto oblasti posuvnk.</p>

		<span class="optionhead">asov odstup serveru (v hodinch)</span>
		<p>Nachz-li se v server v jin asov zn ne vy, mete sem napsat rozdl v hodinch. Je-li v as vy ne as serveru, zapite zporn slo.</p>

		<span class="optionhead">Upravit prodlevu (v minutch)</span>
		<p>Poet minut, kter je uivateli povolen pro vhradn prvo u editace zznamu osoby nebo rodiny. Bhem tto doby uvid jin uivatel, kter se pokou upravovat stejn
		zznam, zprvu, kter mu sdl, e je zznam uzamen. Pokud se bl as k zapsanmu limitu a pvodn uivatel stle zznam upravuje, uvid tento uivatel zprvu,
		kter jej bude varovat, aby co nejrychleji uloil sv zmny. Pokud uivatel sv zmny neulo ped tm, ne zsk pstup k tomuto zznamu jin uivatel, jeho zmny
		budou ztraceny.</p>

		<span class="optionhead">Maximln poet generac pi uloen GEDCOMU</span>
		<p>Maximln poet generac, kter mohou bt exportovny ve veejnm poadavku na vytvoen souboru GEDCOM.</p>

		<span class="optionhead">Co je novho dny</span>
		<p>Poet dn, po kter budou na strnce "Co je novho" zobrazovny nov poloky. Toto omezen odstrante nastavenm hodnoty na nulu. To zapin, e na seznamu zstanou
		star poloky, dokud nebudou nahrazeny novjmi.</p>

		<span class="optionhead">Co je novho limit</span>
		<p>Maximln poet poloek v kad kategorii, kter bude zobrazen na strnce "Co je novho".</p>

		<span class="optionhead">Pednost selnho data</span>
		<p>Zapete-li seln datum (nap. 04/09/2008), tato volba zajist, zda bude zpis data interpretovn jako Msc/Den/Rok (9 Dub 2008)
		nebo Den/Msc/Rok (4 Z 2008).</p>

		<span class="optionhead">Prvn den v tdnu</span>
		<p>Tento den bude prvnm sloupcem zleva pi zobrazen strnky kalende.</p>

		<span class="optionhead">daje rodi na strnce osoby</span>
		<p>Vyberte, kter udlosti (pokud njak) spojen s rodinou rodi osoby maj bt zobrazeny.</p>

		<span class="optionhead">Konec dku</span>
		<p>Jedn se o znakov etzec, kter bude vloen na konec kadho dku pi exportu souboru GEDCOM. Je to t etzec,
		kter bude obsahovat konec dku pi importu. Vchozm je "\r\n", kter znamen "nvrat na zatek dku a oddkovn".
    Nkter programy nebo operan systmy preferuj jen nvrat na zatek dku (\r) nebo oddkovn (\n), take
		mete v nkterch ppadech toto nastaven mnit.</p>

		<span class="optionhead">Typ ifrovn</span>
		<p>Ped uloenm do databze jsou hesla v TNG ifrovna. Dky tomu jednodue nelze run opravou databze heslo mnit nebo smazat.
		Vchoz metodou ifrovn je md5, ale zde mete vybrat jinou metodu.</p>

		<span class="optionhead">Pipojit zznamy mst ke stromm</span>
		<p>Je-li tato volba nastavena na "Ano", kad zznam msta pak bude pipojen k mstu ve vaem strom. To znamen, e mte-li vce strom, me se
		stejn msto objevit v tabulce mst vcekrt, protoe je spojeno s vce stromy. Zmnte-li tuto volbu na "Ne", bude 
		vm dna monost automaticky slouit vechna msta do jednoho seznamu. Pokud tuto volbu zmnte na "Ano", zobraz se vm monost pipojit
		urit strom ke vem mstm (pokud nemly dve dn pipojen).</p>

		<span class="optionhead">Geokdovat vechna nov msta</span>
		<p>Je-li tato volba nastavena na "Ano", vechna nov msta zapsan v Admin/Osoba a Admin/Rodina budou automaticky geokdovna (pedpokld to
		pipojen k internetu).</p>

 		<span class="optionhead">Znovu pout smazan ID sla</span>
		<p>Je-li tato volba nastavena na "Ano" u nov osoby, rodiny, pramenu a loiti pramen, budou znovu pouita sla ID, kter byla dve smazna.</p>

 		<span class="optionhead">Zobrazit posledn import</span>
		<p>Pokud je tato volba nastavena na "Ano", bude na strnkch Co je novho a Statistiky zobrazeno datum poslednho importu souboru GEDCOM, je-li vybrn strom.</p>

	</td>
</tr>

</table>
</body>
</html>
