<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Gren navn";
		$admtext['existingbranch'] = "Nuværende gren";
		$admtext['newbranch'] = "Ny gren";
		$admtext['numgenerations'] = "Antal generationer";
		$admtext['ancestors'] = "Aner";
		$admtext['descofanc'] = "Efterkommende generationer for hver ane";
		$admtext['descendants'] = "Efterkommere";
		$admtext['includespouses'] = "Inkludér efterkommeres ægtefæller/partnere";
		$admtext['partial'] = "Delvis";
		$admtext['addlabels'] = "Tilføj navne";
		$admtext['clearlabels'] = "Ryd navne";
		$admtext['clearingbranch'] = "Rydder gren";
		$admtext['addingbranch'] = "Tilføjer gren navn";
		$admtext['totalaffected'] = "I alt berørte";
		$admtext['labelmore'] = "Navngiv flere grene";
		$admtext['enterbranch'] = "Vælg en nuværende gren eller indtast en ny.";
		$admtext['enterstartingind'] = "Indtast ID for den person, du vil begynde med";
		$admtext['gensnumeric'] = "Værdier for aner og efterkommere skal være numeriske.";
		$admtext['overwrite'] = "Overskriv";
		$admtext['branchid'] = "Gren-ID";
		$admtext['addnewbranch'] = "Tilføj en ny gren";
		$admtext['createbranch'] = "Opret en ny gren";
		$admtext['existingbranchinfo'] = "Oplysninger om nuværende gren";
		$admtext['editexistingbranch'] = "Redigér oplysninger om en tidligere oprettet gren";
		$admtext['confbranchdelete'] = "Er du sikker på, at du vil slette denne gren?";
		$admtext['enterbranchid'] = "Indtast Gren-ID.";
		$admtext['entertreedesc'] = "Indtast beskrivelse af grenen.";
		$admtext['newbranchinfo'] = "Ny gren oplysninger";
		$admtext['modifybranch'] = "Redigér nuværende gren";
		$admtext['changestobranch'] = "Ændringer til gren";
		$admtext['existlabels'] = "Nuværende labels";
		$admtext['leave'] = "Udelad";
		$admtext['append'] = "Tilføj alle poster";
		$admtext['showpeople'] = "Vis personer i denne gren";
		$admtext['branchdiscl'] = "Dette antal repræsenterer det totale antal grene, ikke nødvendigvis det antal personer eller familier, der pt. er knyttet til denne gren. Hvis du for nylig har genimporteret dine data, kan det være nødvendigt at gennemgå de enkelte grene igen.";
		$admtext['inclspouses'] = "Inkludér efterkommeres ægtefæller/partnere";
		$admtext['delpeople'] = "Slet personer og familier i denne gren";
		$admtext['confbrdel'] = "Er du sikker på, at du vil slette alle personer og familier i denne gren?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Kort billedfilen kunne ikke kopieres til";
		$admtext['changestocem'] = "Ændringer til kirkegård";
		$admtext['modifycemetery'] = "Ændring til nuværende kirkegård";
		$admtext['addnewcemetery'] = "Tilføj en ny kirkegård";
		$admtext['createnewcemetery'] = "Opret en ny kirkegård";
		$admtext['selectcemaction'] = "Vælg kirkegård og handling";
		$admtext['location'] = "Sted";
		$admtext['confdeletecem'] = "Er du sikker på, at du vil slette denne kirkegård?";
		$admtext['editceminfo'] = "Redigér oplysninger for tidligere oprettet kirkegård";
		$admtext['leaveblankallcems'] = "Tom for at vise alle kirkegårde";
		$admtext['cemeteryname'] = "Kirkegårdens navn";
		$admtext['mapfilename'] = "Navn på kort filen";
		$admtext['countyparish'] = "Sogn";
		$admtext['stateprovince'] = "Amt";
		$admtext['entercountry'] = "Indtast et land.";
		$admtext['entermapfile'] = "Indtast et filnavn for din kortfil på Web-serveren.";
		$admtext['existingceminfo'] = "Oplysninger om nuværende kirkegård";
		$admtext['newceminfo'] = "Oplysninger om ny kirkegård";
		$admtext['maptoupload'] = "Kort fil, der skal uploades";
		$admtext['mapfilenamefolder'] = "Filnavn<br>inden for gravstensmappen";
		$admtext['ifmapuploaded'] = "Lad dette felt være tomt, hvis filen allerede er blevet uploaded til din gravstensmappe.";
		$admtext['requiredmap'] = "Nødvendigt, hvis du bruger et kort. Dette skal svare til navn og placering af din fil <em>i gravstensmappen,</em> når din fil er uploaded. For eksempel, hvis din gravstensmappe hedder <em>gravsten</em>,	og du vil kalde din fil <em>kort.jpg</em> og lægge den i en gravstensundermappe, der hedder <em>minekort</em>, skal du indtaste <em>minekort/kort.jpg</em> i dette felt.";
		//added in 8.0.0
		$admtext['linkplace'] = "Tilknyttet sted";
		$admtext['fillplace'] = "Udfyld Sted";
		$admtext['usecemcoords'] = "Kopier geokoden til dette sted";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "findes allerede";
		$admtext['added'] = "Tilføjet";
		$admtext['enternew'] = "Skriv ny";
		$admtext['pleaseenter'] = "Skriv venligst en ";
		$admtext['netscapereload'] = "Netscape brugere: <br>Du skal geninstallere kirkegårdssiden for at se din nye";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Sletter notat...";
		$admtext['addingnote'] = "Tilføjer notat...";
		$admtext['addnewnote'] = "Tilføj nyt notat";
		$admtext['note'] = "Notat";
		$admtext['modifynote'] = "Redigér notat";
		//added in 8.0.0
		$admtext['notechanges'] = "Ændringer i notat";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Tilføjer begivenhed...";
		$admtext['deletingevent'] = "Sletter begivenhed...";
		$admtext['updatingevent'] = "Opdaterer begivenhed...";
		$admtext['modifyevent'] = "Redigér begivenhed";
		$admtext['addnewevent'] = "Tilføj ny begivenhed";

		$admtext['dateformat'] = "(DD. MMM. ÅÅÅÅ)";
		$admtext['age'] = "Alder";
		$admtext['agency'] = "Indvirkning";
		$admtext['cause'] = "Årsag";
		$admtext['moreinfo'] = "Flere oplysninger";
		//added in 11.0.0
		$admtext['dupfor'] = "Kopiér til";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importerer GEDCOM...<br>(dette kan tage flere minutter)";
		$admtext['ifimportfails'] = "Hvis importen ikke fuldføres,";
		$admtext['opened'] = "åbnet...";
		$admtext['toresume'] = "for at genoptage import";  //cannot open to resume import
		$admtext['openedtoresume'] = "åbnet for at genoptage import...";
		$admtext['notresumed'] = "Import kunne ikke genoptages.";
		$admtext['finishedimporting'] = "Importen af GEDCOM er fuldført";
		$admtext['treeexists'] = "Et andet træ eksisterer allerede med det valgte ID. Vælg et andet ID og prøv igen.";
		$admtext['backtodataimport'] = "Tilbage til dataimport";
		$admtext['moreoptions'] = "Flere muligheder";
		$admtext['removeged'] = "Slet GEDCOM-fil (valgfri)";
		$admtext['cannotupload'] = "Kunne ikke uploade fil:";
		$admtext['invfperms'] = "Din 'gedcom' mappe har måske utilstrækkelige rettigheder (prøv 755 eller 777).";
		$admtext['maybedone'] = "Er måske allerede afsluttet.";
		$admtext['turnonsis'] = "Vær sikker på, at 'Gem Importstatus' er valgt i Importindstillinger.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Ændringer til begivenhedstype";
		$admtext['modifyeventtype'] = "Ændre nuværende begivenhedstype";
		$admtext['individual'] = "Person";
		$admtext['entertypedesc'] = "Indtast en type/beskrivelse for denne nye begivenhedstype.";
		$admtext['enterdisplay'] = "Indtast tekst, der skal vises for denne nye begivenhedstype.";
		$admtext['existingeventtypeinfo'] = "Nuværende begivenhedstype oplysninger";
		$admtext['neweventtypeinfo'] = "Ny begivenhedstype oplysninger";
		$admtext['tag'] = "GEDCOM-kode";
		$admtext['typedescription'] = "Type/Beskrivelse";
		$admtext['onimport'] = "Ved import";
		$admtext['accept'] = "Accepter";
		$admtext['ignore'] = "Ignorer";
		$admtext['typerequired'] = "Med GEDCOM-koder (hvor koden = \"EVEN\"), er dette TYPEN og er nødvendig. Valgfri for alle andre GEDCOM-koder.";
		$admtext['addnewevtype'] = "Tilføj ny begivenhedstype";
		$admtext['createnewevtype'] = "Opret en ny begivenhedstype";
		$admtext['forindividuals'] = "For enkeltpersoner...";
		$admtext['forfamilies'] = "For familier...";
		$admtext['existingevtypes'] = "Nuværende begivenhedstyper";
		$admtext['edsevtypes'] = "Redigér, slet eller sorter tidligere tilføjede begivenhedstyper";
		$admtext['indfam'] = "Ind/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Er du sikker på, at du vil slette denne begivenhedstype?";
		$admtext['selecttag'] = "Vælg Gedcom kode";
		$admtext['selectentertag'] = "Vælg venligst Gedcom koden for denne begivenhedstype.";
		$admtext['orenter'] = "eller skriv";
		$admtext['ifbothdata'] = "vil tage forrang, hvis begge felter indeholder data";
		$admtext['EVEN'] = "Begivenhed";
		$admtext['ADOP'] = "Adopteret";
		$admtext['ADDR'] = "Adresse";
		$admtext['ALIA'] = "Også kendt som";
		$admtext['BARM'] = "Bar mitzvah";
		$admtext['BASM'] = "Bat mitzvah";
		$admtext['CAST'] = "Kaste";
		$admtext['CENS'] = "Folketælling";
		$admtext['CHRA'] = "Voksendåb";
		$admtext['CONF'] = "Konfirmation";
		$admtext['CREM'] = "Kremeret";
		$admtext['DSCR'] = "Fysisk beskrivelse";
		$admtext['EDUC'] = "Uddannelse";
		$admtext['EMIG'] = "Udvandring";
		$admtext['FCOM'] = "Første altergang";
		$admtext['GRAD'] = "Dimmission";
		$admtext['IDNO'] = "Nationalt ID Nummer";
		$admtext['IMMI'] = "Indvandring";
		$admtext['LANG'] = "Sprog";
		$admtext['NATI'] = "Nationalitet";
		$admtext['NATU'] = "Naturalisation";
		$admtext['NCHI'] = "Antal børn";
		$admtext['NMR'] = "Antal ægteskaber";
		$admtext['OCCU'] = "Beskæftigelse";
		$admtext['ORDI'] = "Ordinance";
		$admtext['ORDN'] = "Ordineret";
		$admtext['PHON'] = "Telefon";
		$admtext['PROB'] = "Skifte";
		$admtext['PROP'] = "Ejendom";
		$admtext['RELI'] = "Religion";
		$admtext['RESI'] = "Bopæl";
		$admtext['RESN'] = "Forbehold";
		$admtext['RETI'] = "Pensioneret";
		$admtext['RFN'] = "Permanent Record Nummer";
		$admtext['SSN'] = "Social Security Number / Personnummer";
		$admtext['WILL'] = "Testamente";
		$admtext['ANUL'] = "Annulleret";
		$admtext['DIVF'] = "Skilsmisse begæret";
		$admtext['ENGA'] = "Forlovet";
		$admtext['MARB'] = "Ægteskabslysning";
		$admtext['MARC'] = "Ægteskabskontrakt";
		$admtext['MARL'] = "Vielsesattest";
		$admtext['MARS'] = "Ægtepagt";
		$admtext['forsources'] = "For kilder...";
		$admtext['RIN'] = "RIN";
		$admtext['REFN'] = "Referencenummer";
		$admtext['REPO'] = "Arkiv";

		$admtext['deleteselected'] = "Slet valgte";
		$admtext['ignoreselected'] = "Ignorer det valgte";
		$admtext['acceptselected'] = "Accepter det valgte";
		$admtext['changestoallevtypes'] = "Ændringer for alle begivenhedstyper";
		$admtext['forrepos'] = "For arkiver...";
		$admtext['noevtypes'] = "Der findes ingen begivenhedstype.";
		$admtext['DESI'] = "Efterkommerinteresse";
		$admtext['allnone'] = "Indtast en meddelelse for hvert sprog,<br />eller lad alle felter være tomme og indtast en meddelelse ovenover.";
		$admtext['assocwith'] = "Knyttet til";
		$admtext['BAPM'] = "Dåb";
		$admtext['umps'] = "Din GEDCOM-fil er muligvis større end den maksimalt tilladte størrelse iht. din PHP installation. Du kan bede din leverandør om at øge den tilladte størrelse, eller du kan kopiere din fil til 'gedcom' -mappen på din hjemmeside og importere filen derfra i stedet for.;";
		$admtext['othlangs'] = "Andre sprog";
		$admtext['evdata'] = "Data for begivenhed";
		$admtext['ANCI'] = "Indsat af";
		//added in 10.0.0
		$admtext['collapseev'] = "Kollaps  Begivenhed";
		$admtext['collapse'] = "Kollaps";
		$admtext['collapseselected'] = "Kollaps Valgt";
		//added in 11.0.0
		$admtext['expselected'] = "Udvid Valgte";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Ændringer til familie";
		$admtext['marrdate'] = "Vielsesdato"; //marriage date
		$admtext['modifyfamily'] = "Redigér nuværende familie";
		$admtext['selectfamaction'] = "Vælg familie og handling";
		$admtext['confdeletefam'] = "Er du sikker på, at du vil slette denne familie?";
		$admtext['existingfamilyinfo'] = "Nuværende oplysninger for familie";
		$admtext['newfamilyinfo'] = "Ny familie oplysninger";
		$admtext['sealedsdate'] = "Beseglet dato (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Beseglet sted (LDS)";     //S is for spouse
		$admtext['newchildren'] = "Nye børn";
		$admtext['addnewfamily'] = "Tilføj ny familie";
		$admtext['createnewfamily'] = "Opret en ny familie";
		$admtext['editexistingfaminfo'] = "Redigér oplysninger for en tidligere tilføjet familie";
		$admtext['spousesids'] = "Ægtefælles/partners ID";
		$admtext['noname'] = "Intet navn";
		$admtext['familyidbefevent'] = "Der skal indtastes et familie-ID, før der kan tilføjes nye begivenheder.";
		$admtext['prefixfamilyid'] = "Begynd familie-ID med \"F\" for \"Familie\"";
		$admtext['validfamilyid'] = "Indtast et gyldigt familie-ID. Et gyldigt ID er en numerisk streng, der starter med 'F'.";
		$admtext['familyidbefnote'] = "Der skal indtastes et familie-ID, før der kan tilføjes nye notater.";
		$admtext['familyidbefcite'] = "Der skal indtastes et familie-ID, før der kan tilføjes henvisninger.";
		$admtext['genfamily'] = "Familien generelt";
		$admtext['marriagetype'] = "Ægteskabstype";
		$admtext['reviewfamilies'] = "Acceptér eller afvis forslag til ændringer til familier";
		$admtext['fevslater'] = "Bemærk: Yderligere begivenheder samt notater og henvisninger til begivenheder, kan tilføjes efter den nye familie er gemt.";
		$admtext['husbid'] = "Mandens ID";  //husband ID
		$admtext['wifeid'] = "Kvindens ID";
		$admtext['enternamepart'] = "indtast en del af for- og/eller efternavn";
		$admtext['pleasenamepart'] = "Indtast en del af for- eller efternavn.";
		$admtext['clickfind'] = "Klik på Find eller Tilføj =>";
		$admtext['chunlinked'] = "Barn er ikke tilknyttet en familie";
		$admtext['child'] = "Barn";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Tilføjer person...";
		$admtext['changestoperson'] = "Ændringer til person";
		$admtext['nobirthinfo'] = "Ingen fødselsinfo";
		$admtext['modifyperson'] = "Redigér nuværende person";
		$admtext['selectpersaction'] = "Vælg person og handling";
		$admtext['existingpersoninfo'] = "Nuværende oplysninger for person";
		$admtext['firstgivennames'] = "Fornavn(e)";
		$admtext['lastsurname'] = "Efternavn";
		$admtext['nickname'] = "Kælenavn";
		$admtext['male'] = "Mand";
		$admtext['female'] = "Kvinde";
		$admtext['bapldate'] = "Dåbsdato (LDS)";
		$admtext['baplplace'] = "Dåbssted (LDS)";
		$admtext['endldate'] = "Begavelsesdato (LDS)";
		$admtext['parents'] = "Forældre";
		$admtext['father'] = "Far";
		$admtext['mother'] = "Mor";
		$admtext['unlinkindividual'] = "Fjern tilknytning for aktuel person";
		$admtext['aschild'] = "som barn";
		$admtext['sealedpdate'] = "Beseglet dato (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Beseglet sted (LDS)";     //P is for parents
		$admtext['asspouse'] = "som ægtefælle/partner";
		$admtext['spouse'] = "Ægtefælle/partner";
		$admtext['ordernumber'] = "Ordrenummer";
		$admtext['married'] = "Gift";
		$admtext['nonewfamily'] = "Vil du gå til ny familie ved gem";
		$admtext['addnewperson'] = "Tilføj ny person";
		$admtext['createperson'] = "Opret en ny person";
		$admtext['personidbefevent'] = "Du skal indtaste et person-ID, før du kan tilføje en ny begivenhed.";
		$admtext['prefixpersonid'] = "Venligst begynd person-ID med \"I\" for \"Individ\"";
		$admtext['validpersonid'] = "Indtast venligst et gyldigt person-ID. Et gyldigt ID er en numerisk streng, der starter med 'I'.";
		$admtext['newpersoninfo'] = "Ny person oplysninger";
		$admtext['selectsex'] = "Vælg køn";
		$admtext['shortform'] = "Kort form";
		$admtext['editexistingpersoninfo'] = "Redigér oplysninger for en tidligere tilføjet person";
		$admtext['unknown'] = "Ukendt";
		$admtext['personidbefnote'] = "Du skal indtaste et person-ID, før du kan tilføje nye notater.";
		$admtext['endlplace'] = "Begavelsessted (LDS)";
		$admtext['personidbefcite'] = "Du skal indtaste et person-ID, før du kan bruge henvisninger med denne person.";
		$admtext['relationship'] = "Tilknytning";
		$admtext['asspouse'] = "som ægtefælle/partner";
		$admtext['mergepeople'] = "Flet oplysninger for dobbelte personposter.";
		$admtext['choosemerge'] = "Vælg personer, der skal flettes eller find mulige dubletter";
		$admtext['usesoundex'] = "Brug soundex";
		$admtext['sdxdisclaimer'] = "Hvis du bruger denne mulighed, vil det tage programmet længere tid at finde næste match eller dublet.";
		$admtext['combinenotes'] = "Kombiner notater og henvisninger";
		$admtext['confirmmerge'] = "Er du sikker på, at du vil flette disse to personer?";
		$admtext['gotonewfamily'] = "Gå til ny familie med den aktuelle person";
		$admtext['genperson'] = "Personen generelt";
		$admtext['reviewpeople'] = "Accepter eller afvis forslag til ændringer til personer";
		$admtext['nokids'] = "Ingen børn";
		$admtext['noparents'] = "Ingen forældre";
		$admtext['association'] = "Tilknytning";
		$admtext['deletingassoc'] = "Slet tilknytning...";
		$admtext['addingassoc'] = "Tilknytter...";
		$admtext['updatingassoc'] = "Opdaterer tilknytning...";
		$admtext['addnewassoc'] = "Tilføj ny tilknytning";
		$admtext['modifyassoc'] = "Tilpas nuværende tilknytning";
		$admtext['pevslater'] = "Bemærk: Yderligere begivenheder, såsom begivenhedsspecifikke notater og henvisninger, kan tilføjes efter den nye person er gemt.";
		$admtext['ashusband'] = "som mand";
		$admtext['aswife'] = "som hustru";
		$admtext['pevslater2'] = "Bemærk: Det er muligt efterfølgende at tilføje flere begivenheder, herunder begivenhedsspecifikke notater og henvisninger.";
		$admtext['nospouse'] = "Ingen ægtefælle/partner";
		$admtext['revassoc'] = "Tilføj også den omvendte relation mellem de samme to personer";
		$admtext['prefix'] = "Præfiks";
		$admtext['chkdel'] = "Kryds af i det tomme felt for at slette emnet til venstre";
		//added in 9.0.0
		$admtext['choosedef'] = "Vælg<br/>standard<br/>foto"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Konfirmations Dato (LDS)";
		$admtext['confplace'] = "Konfirmations Sted (LDS)";
		$admtext['initdate'] = "Forberedende Dato (LDS)";
		$admtext['initplace'] = "Forberedende Sted (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Thumbnail-filen kunne ikke kopieres til";
		$admtext['photo'] = "Billede";
		$admtext['changestophoto'] = "Ændringer til billede";
		$admtext['modifyphoto'] = "Redigér nuværende billede";
		$admtext['addnewphoto'] = "Tilføj nyt billede";
		$admtext['selectphotoaction'] = "Vælg billede og handling";
		$admtext['photoid'] = "Billed-ID";
		$admtext['confdeletephoto'] = "Er du sikker på, at du vil slette dette billede og alle links forbundet med det?";
		$admtext['enterphotopath'] = "Indtast venligst stien (mappe og filnavn) for billedfilen i billedmappen på din webserver.";
		$admtext['enterthumbnailpath'] = "Indtast venligst stien (mappe og filnavn) for thumbnailfilen i billedmappen på din webserver.";
		$admtext['enterphotodesc'] = "Indtast venligst en beskrivelse af billedet.";
		$admtext['existingphotoinfo'] = "Oplysninger om nuværende billede";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Thumbnail-fil";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Fil- og stinavn";
		$admtext['sortphotos'] = "Sorter billeder";
		$admtext['sortphotosfor'] = "Sorter billeder for";
		$admtext['editexistingphotoinfo'] = "Redigér oplysninger for et tidligere tilføjet billede";
		$admtext['leaveblankallphotos'] = "tomt for at vise alle billeder";
		$admtext['headstone'] = "Gravsten";
		$admtext['imagenotcopied'] = "Billedfilen kunne ikke kopieres til";
		$admtext['changestohs'] = "Ændringer til gravsten";
		$admtext['modifyheadstone'] = "Redigér nuværende gravsten";
		$admtext['selecthsaction'] = "Vælg gravsten og handling";
		$admtext['confdeletehs'] = "Er du sikker på, at du vil slette denne gravsten?";
		$admtext['photostatus'] = "Billedstatus";
		$admtext['selectcemetery'] = "Vælg venligst en kirkegård";
		$admtext['enterhsimage'] = "Indtast venligst et filnavn for dit gravstensbillede på webserveren.";
		$admtext['existinghsinfo'] = "Oplysninger om nuværende gravsten";
		$admtext['newhsinfo'] = "Ny gravstens oplysninger";
		$admtext['hsimagefile'] = "Gravstensbilledfil";
		$admtext['located'] = "Fundet";
		$admtext['notyetlocated'] = "Endnu ikke fundet";
		$admtext['unmarked'] = "Umarkeret";
		$admtext['missing'] = "mangler";
		$admtext['leaveblankhs'] = "Lad dette felt være tomt, hvis filen allerede er uploaded til din gravstensmappe.";
		$admtext['requiredhs'] = "Nødvendigt. Dette skal svare til navn og placeringen for din fil <em>i gravstensmappen</em> når filen er uploadet. For eksempel, hvis din gravstensmappe hedder, <em>fotografier/gravsten</em>, og du vil kalde din fil <em>gravsten.jpg</em> og lægge den i en undermappe til fotografier/gravsten, der hedder <em>nyegravsten</em>, skal du indtaste <em>nyegravsten/gravsten.jpg</em> i dette felt.";
		$admtext['addnewhs'] = "Tilføj ny gravsten";
		$admtext['createnewhs'] = "Opret en ny gravsten og link den til en person";
		$admtext['editexistinghsinfo'] = "Redigér oplysninger for en tidligere tilføjet gravsten";
		$admtext['leaveblankallhs'] = "tomt for at vise alle gravsten";
		$admtext['cemnamelocation'] = "Kirkegårdens navn og placering";
		$admtext['pedphoto'] = "Brug dette billede i anetavler og navnetitler";
		$admtext['photoowner'] = "Ejer";
		$admtext['dimensions'] = "Dimensioner";
		$admtext['selectphoto'] = "Vælg billede";
		$admtext['specifyimg'] = "Specificér billede";
		$admtext['autoimg'] = "Opret fra original";
		$admtext['enterthumbpath'] = "Indtast venligst destinationsnavnet for dit miniature-billede";
		$admtext['genthumbs'] = "Opret Thumbnails";
		$admtext['genthumbsdesc'] = "Opret automatisk miniaturer af alle billeder uden nuværende miniaturer.";
		$admtext['thumbsgenerated'] = "Thumbnails oprettet";
		$admtext['makedefault'] = "Brug dette billede i anetavler og navnetitler";
		$admtext['filewithinhs'] = "Sti i gravstensmappen <br>(undermappe og filnavn)";
		$admtext['recsupdated'] = "Posterne er opdateret";
		$admtext['removedef'] = "Fjern standardbillede";
		$admtext['numlinkhs'] = "Antal personer, der skal knyttes til denne gravsten";
		$admtext['sortheadstones'] = "Sorter gravsten";
		$admtext['sortheadstonesfor'] = "Sorter gravsten for";
		$admtext['sortheadstonesind'] = "Sorter gravsten for en person";
		$admtext['headstoneorder'] = "Angiv en ønsket rækkefølge for de gravsten, der er knyttet til en bestemt person";
		$admtext['enternumberforphoto'] = "Indtast en numerisk værdi for hvert billede.";
		$admtext['updownforphoto'] = "Klik på op og ned pilene for at ændre rækkefølgen.";
		$admtext['createnewphoto'] = "Opret et nyt billede, og knyt til personer, familier eller kilder";
		$admtext['numlinkphoto'] = "Antal personer, familier eller kilder, der skal knyttes til dette billede";
		$admtext['photoorder'] = "Angiv en ønsket rækkefølge for de billeder, der er knyttet til en bestemt person, familie eller kilde";
		$admtext['assigndefs'] = "Angiv standardbilleder";
		$admtext['assigndefsdesc'] = "Angiv foretrukket billede for hver person, familie eller kilde.";
		$admtext['overwritedefs'] = "Overskriv nuværende standarder";
		$admtext['assign'] = "Udfør";
		$admtext['defsassigned'] = "Foretrukne standardbilleder";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Billedkort";
		$admtext['circle'] = "Cirkel";
		$admtext['rect'] = "Rektangel";
		$admtext['poly'] = "Polygon";
		$admtext['shape'] = "Udsnittets form";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Bredde (pixels)";
		$admtext['height'] = "Højde (pixels)";
		$admtext['imgdim'] = "Billedstørrelse";
		$admtext['pixw'] = "pixels bredt";
		$admtext['pixh'] = "pixels højt";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Ændringer til alle valgte billeder";
		$admtext['changestoallhs'] = "Ændringer til alle valgte gravsten";
		$admtext['datetaken'] = "Taget/oprettet dato";
		$admtext['placetaken'] = "Taget/oprettet sted";
		$admtext['abspath'] = "Dette billede kommer fra en ekstern kilde (du skal selv skaffe en thumbnail)";
		$admtext['imagefile'] = "Billedfil";
		$admtext['pathwithinphotos'] = "Sti i billedmappen <br>(undermappe og filnavn,<br>indtast minimum et filnavn)";
		$admtext['linktocem'] = "Knyt dette billede direkte til den valgte kirkegård";
		$admtext['defphotonote'] = "Brug thumbnailen for dette billede til at identificere denne person, familie eller kilde på anetavle og andre kort, inklusive familiegruppekort.";
		$admtext['photonotadded'] = "Billedet kunne ikke tilføjes, sandsynligvis fordi en anden billedpost allerede findes for den specificerede billedfil.";
		$admtext['requiredphoto'] = "Nødvendigt. Dette skal svare til navn og placering for din fil <em>i billedmappen,</em> når filen er uploadet. For eksempel, hvis billedmappen hedder <em>fotografier</em>, og du vil kalde din fil <em>mitbillede.jpg</em> og lægge den i en undermappe, der hedder <em>nyefotografier</em>, skal du indtaste <em>nyefotografier/mitbillede.jpg</em> i dette felt.";
		$admtext['leaveblankphoto'] = "Lad dette felt være tomt, hvis filen allerede er uploaded til din billedmappe.";
		$admtext['thumbconflicts'] = "Thumbnails ikke oprettet på grund af sti-, tilladelses- eller filnavnproblemer";
		$admtext['showmap'] = "Vis kort";
		$admtext['bodytext'] = "<strong>OR</strong><br/>Brødtekst";
		$admtext['usenl'] = "Omdan linjeskift til HTML på skærmen";
		$admtext['newwin'] = "Åbn i nyt vindue";
		$admtext['modifymedia'] = "Redigér nuværende billede";
		$admtext['addnewmedia'] = "Tilføj nyt billede";
		$admtext['confdeletemedia'] = "Er du sikker på, at du vil slette dette billede?";
		$admtext['thumbnails'] = "Miniaturebilleder";
		$admtext['modifyalbum'] = "Tilpas nuværende album";
		$admtext['addnewalbum'] = "Tilføj nyt album";
		$admtext['newalbuminfo'] = "Oplysninger om nyt album";
		$admtext['confdeletealbum'] = "Er du sikker på, at du vil slette dette album?";
		$admtext['enteralbumname'] = "Indtast et albumnavn.";
		$admtext['albumname'] = "Albumnavn";
		$admtext['keywords'] = "Nøgleord";
		$admtext['changestoalbum'] = "Ændringer til album";
		$admtext['addtoalbum'] = "Tilføj til album";
		$admtext['mediatype'] = "Samling";
		$admtext['fileext'] = "Fil-endelse"; //file extension (abbreviation)
		$admtext['anotherlink'] = "Tilføj link";
		$admtext['mediaurl'] = "Billed-URL";
		$admtext['put_in'] = "Gem filer i";
		$admtext['usemedia'] = "Billedmappe";
		$admtext['usecollect'] = "Samlingsmappe (f.eks., \"fotografier\")";
		$admtext['notcopied'] = "Filen kunne ikke kopieres til";
		$admtext['existingmediainfo'] = "Oplysninger om nuværende medier";
		$admtext['convto'] = "Konverter de(t) valgte til";
		$admtext['changestoallmedia'] = "Ændringer til alle valgte billeder";
		$admtext['changestoitem'] = "Ændringer til post";
		$admtext['eventlink'] = "Knyt til specifik begivenhed";
		$admtext['sortmediaind'] = "Sorter billeder for person, familie, kilde, arkiv eller sted";
		$admtext['sortmedia'] = "Sorter xxx for";
		$admtext['unlinked'] = "Kun ikke-tilknyttede";
		$admtext['samepaths'] = "Det foretrukne billede og thumbnail'en er muligvis ikke samme fil. Vælg et andet thumbnail, eller få lavet et.";
		$admtext['regenerate'] = "Genskab nuværende thumbnails";
		$admtext['forcircles'] = "For cirkler";
		$admtext['forrects'] = "For rektangler";
		$admtext['circleinstr'] = "Klik først i midten af cirklen, klik dernæst hvorsomhelst på selv cirklen.";
		$admtext['rectinstr'] = "Klik først i øverste venstre hjørne af rektanglen, klik dernæst i det nederste højre hjørne.";
		$admtext['firstone'] = "første";
		$admtext['controller'] = "Tillad ca. 16 vertikale pixels for medieafspiller kontrollen.";
		$admtext['nostatus'] = "Ingen status";
		$admtext['enterid'] = "Indtast en ID.";
		$admtext['existingalbuminfo'] = "Oplysninger om nuværende album";
		$admtext['newmediainfo'] = "Information om nyt billede";
		$admtext['mapinstr2'] = "Tilknyt et udsnit af dit billede til forskellige personer eller andre sider (valgfrit) ved at udfylde HTML billedkortet nedenfor, eller ved at følge instruktionen ved billedet herunder.";
		$admtext['mapinstr3'] = "For at knytte et udsnit af dette billede til en person, skal man først vælge den enkeltes træ og derefter oprette et rektangel for det ønskede udsnit. Dette gøres ved at klikke i øverste venstre hjørne af udsnittet og derefter trække til det nederste højre hjørne. Eller man kan klikke i øverste venstre hjørne og derefter i det nederste højre hjørne. En pop op boks vil så hjælpe til med at vælge personen. Når valget er foretaget, vil koordinaterne for udsnittet blive tilføjet i boksen nedenfor. Gentag denne metode for yderligere udsnit.";
		$admtext['albumlinks'] = "Album links";
		$admtext['duplinkmsg'] = "Der findes allerede et link til det valgte i dette album.";
		$admtext['invlinkmsg'] = "Du har indtastet en ugyldig ID. Der blev ikke lavet et link.";
		$admtext['albmedia'] = "Antal emner";
		$admtext['removelink'] = "Slet dette link";
		$admtext['confremmedia'] = "er du sikker på, at du vil slette dette billede fra albummet?";
		$admtext['selmedia'] = "Søg efter billeder til at sætte i albummet";
		$admtext['uploadfirst'] = "Upload først nye billeder her";
		$admtext['existmedia'] = "Nuværende billeder";
		$admtext['emoptions'] = "Gennemse, slet eller sortér ved at trække";
		$admtext['addlinks'] = "Tilføj nye links";
		$admtext['eloptions'] = "Gennemse eller slet";
		$admtext['inclmsg'] = " tilføjet";
		$admtext['mediasubt'] = "Redigér billeder i dette album (Tilføj, Slet, Sortér)";
		$admtext['infosubt'] = "Redigér albummets navn, beskrivelse og nøgleord";
		$admtext['linkssubt'] = "Lav et link fra dette album til Personer, Familier, Kilder, Arkiver eller Steder";
		$admtext['inclmedia'] = "Billeder, der er inkluderet";
		$admtext['nomedia'] = "Der er endnu ingen billeder inkluderet";
		$admtext['nolinks'] = "Der er endnu ingen links";
		$admtext['thumbsize'] = "(Originalen er for stor)";
		$admtext['thumbinv'] = "(ugyldigt billede eller utilstrækkelig tilladelse)";
		$admtext['thumblost'] = "(originalen er ikke fundet)";
		$admtext['uplsel'] = "Upload en ny fil fra din pc eller vælg en fil, der allerede er på din hjemmeside";
		$admtext['alblater'] = "Bemærk: På næste side kan der tilføjes billeder til dette album, og albummet kan linkes til personer eller familier.";
		$admtext['medlater'] = "Bemærk: På næste side kan der tilføjes yderligere oplysninger, og emnet kan linkes til personer eller familier.";
		$admtext['minfosubt'] = "Redigér billedets titel, beskrivelse eller andre grundlæggende detaljer";
		$admtext['medialinks'] = "Billedlinks";
		$admtext['defphoto'] = "Standardbillede";
		$admtext['alttd'] = "Alternativ titel/beskrivelse";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Redigér billedlink";
		$admtext['plot'] = "Gravsted nr.";
		$admtext['addnewcoll'] = "Tilføj samling";
		$admtext['collid'] = "Samling-ID";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Mappenavn";
		$admtext['collicon'] = "Ikonfil";
		$admtext['colllike'] = "Samme opsætning som";
		$admtext['entercollid'] = "Indtast Samling-ID.";
		$admtext['entercolldisplay'] = "Indtast navn for samling.";
		$admtext['entercollpath'] = "Indtast mappenavn for samling.";
		$admtext['entercollicon'] = "Indtast ikonfilnavn for samling.";
		$admtext['editcoll'] = "Redigér samling";
		$admtext['confmtdelete'] = "Er du sikker på, at du vil slette denne billedtype?";
		$admtext['histlimit'] = "<strong>Bemærk!</strong> De fleste browsere begrænser datamængden, der kan sendes i et webskema til omkring 64 kb. Hvis du har meget tekst, der skal indtastes i eller kopieres til tekstfeltet ovenfor, kan du i stedet overveje at bruge historytemplate.php. Slå op i Hjælp for yderligere oplysninger.";
		$admtext['repath'] = "Genskab thumbnail sti navne, hvor fil ikke findes";
		$admtext['sortalbumind'] = "Sorter albummer for en person, familie, kilde, arkiv eller sted.";
		$admtext['cidexists'] = "Det indtastede ID kan ikke tilføjes, da det allerede eksisterer.";
		$admtext['phalltrees'] = "Valgfri. Hvis tom fremtræder billederne i alle træer.";
		//added in 8.0.0
		$admtext['fileexists'] = "Filen eksisterer allerede. Overskriv?";
		$admtext['collthumb'] = "Thumbnail fil";
		$admtext['movetop'] = "Flyt til top";
		//added in 9.0.0
		$admtext['collexpas'] = "Eksporter som";
		//added in 9.2.0
		$admtext['upload'] = "Upload";
		$admtext['linksel'] = "Link til valgte";
		$admtext['mediaupl'] = "Upload Medie";
		$admtext['addfiles'] = "Tilføj filer...";
		$admtext['startupl'] = "Begynd at uploade";
		$admtext['start'] = "Begynd";
		$admtext['cancelupl'] = "Stop upload";
		//added in 11.0.0
		$admtext['localpath'] = "Lokal(e) sti(er)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Ændringer til rapport";
		$admtext['modifyreport'] = "Redigér nuværende rapport";
		$admtext['existingreportinfo'] = "Nuværende oplysninger om rapport";
		$admtext['existingreports'] = "Eksisterende rapporter";
		$admtext['newreportinfo'] = "Ny rapport oplysninger";
		$admtext['reportname'] = "Rapportnavn";
		$admtext['rankpriority'] = "Rang/Prioritet";
		$admtext['choosedisplay'] = "Vælg felt, der skal vises";
		$admtext['spouseid'] = "Ægtefælles/partners ID";
		$admtext['spousename'] = "Ægtefælles/partners navn";
		$admtext['lastmodified'] = "Sidst ændret";
		$admtext['ldsbapldate'] = "LDS dåbsdato";
		$admtext['ldsbaplplace'] = "LDS dåbssted";
		$admtext['ldsendldate'] = "LDS begavelsesdato";
		$admtext['ldsendlplace'] = "LDS begavelsessted";
		$admtext['ldssealsdate'] = "LDS beseglingdato/ægtefælle";
		$admtext['ldssealsplace'] = "LDS beseglingssted/ægtefælle";
		$admtext['ldssealpdate'] = "LDS beseglingsdato/forældre";
		$admtext['ldssealpplace'] = "LDS beseglingssted/forældre";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Vælg kriterie";
		$admtext['fullname'] = "Fuldt navn";
		$admtext['lastfirst'] = "Efternavn, Fornavn";
		$admtext['monthonlyfrom'] = "Måned, kun fra";
		$admtext['yearonlyfrom'] = "År, kun fra";
		$admtext['dayonlyfrom'] = "Dag, kun fra";
		$admtext['operators'] = "operatører";
		$admtext['contains'] = "indeholder";
		$admtext['startswith'] = "begynder med";
		$admtext['endswith'] = "ender med";
		$admtext['text_and'] = "OG";
		$admtext['currentmonth'] = "Aktuel måned";
		$admtext['currentyear'] = "Aktuelt år";
		$admtext['currentday'] = "Aktuel dag";
		$admtext['constantstring'] = "Konstant streng";
		$admtext['constantvalue'] = "Konstant værdi";
		$admtext['foremptystring'] = "For en tom streng, lad dette felt være tomt, og klik \"Tilføj >>.\"";
		$admtext['choosesort'] = "Vælg sorter felter";
		$admtext['savereport'] = "Gem rapport";
		$admtext['addnewreport'] = "Tilføj ny rapport";
		$admtext['createreport'] = "Opret en ny rapport";
		$admtext['noreports'] = "Der eksisterer ingen rapporter";
		$admtext['rank'] = "Rang";
		$admtext['confreportdelete'] = "Er du sikker på, at du vil slette denne rapport?";
		$admtext['enterreportname'] = "Indtast venligst et rapportnavn.";
		$admtext['selectdisplayfield'] = "Vælg venligst mindst et visningsfelt.";
		$admtext['today'] = "Idag (sand dato)";
		$admtext['convtodays'] = "Konverter til dage";
		$admtext['desc'] = "Faldende (Forrige)";
		$admtext['birthdatetr'] = "Fødselsdato (Sand)";
		$admtext['chrdatetr'] = "Dåbsdato (Sand)";
		$admtext['deathdatetr'] = "Dødsdato (Sand)";
		$admtext['burialdatetr'] = "Begravelsesdato (Sand)";
		$admtext['marriagedatetr'] = "Vielsesdato (Sand)";
		$admtext['ldsbapldatetr'] = "LDS dåbsdato (Sand)";
		$admtext['ldsendldatetr'] = "LDS begavelsesdato (Sand)";
		$admtext['ldssealsdatetr'] = "LDS beseglingsdato/ægtefælle (Sand)";
		$admtext['ldssealpdatetr'] = "LDS beseglingsdato/forældre (Sand)";
		$admtext['currentmonthnum'] = "Aktuel måneds nummer";
		$admtext['livingtrue'] = "Nulevende = Ja";
		$admtext['livingfalse'] = "Nulevende = Nej";
		$admtext['altreport'] = "ELLER lad Vis-, Kriterie- og Sortérfelterne være tomme og indtast SQL SELECT sætninger direkte her";
		$admtext['rptdate'] = "Dato";
		$admtext['rptdatetr'] = "Dato (Sand)";
		$admtext['fact'] = "Fakta";
		$admtext['testeditdelete'] = "Tilføj, test, redigér eller slet rapporter";
		$admtext['wnmsg'] = "Meddelelse på \"Nyheder\" siden";
		$admtext['mwtype'] = "Type";
		$admtext['mysphoto'] = "Uidentificerede billeder";
		$admtext['mysperson'] = "Personer, der er vanskelige at finde frem til";
		$admtext['selphoto'] = "Vælg billede";
		$admtext['entertitle'] = "Indtast en titel";
		$admtext['enterdesc'] = "Indtast en beskrivelse";
		$admtext['confremmw'] = "Er du sikker på, at du vil fjerne dette emne?";
		$admtext['msgsaved'] = "Beskeden er gemt";
		//added in 9.1.1
		$admtext['privatetrue'] = "Private = Ja";
		$admtext['privatefalse'] = "Private = Nej";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Bekræftelses Dato";
		$admtext['ldsconfplace'] = "LDS Bekræftelses Sted";
		$admtext['ldsconfdatetr'] = "LDS Bekræftelses Dato (Sand)";
		$admtext['ldsinitdate'] = "LDS Forberedende Dato";
		$admtext['ldsinitplace'] = "LDS Forberedende Sted";
		$admtext['ldsinitdatetr'] = "LDS Forberedende Dato (Sand)";
		$admtext['savecopy'] = "Gem som kopi";
		$admtext['activeonly'] = "Kun Aktive";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Vælg den fil, du vil importere.";
		$admtext['importgedcom'] = "Importer GEDCOM (standard 5.5 format)";
		$admtext['addreplacedata'] = "Tilføj til eller erstat dit slægtstræ (dette kan tage flere minutter afhængig af filstørrelsen)";
		$admtext['fromyourcomputer'] = "Fra din computer";
		$admtext['importdata'] = "Importer data";
		$admtext['setupfirsttime'] = "Sæt software op for første gang.";
		$admtext['replace'] = "Erstat (i det valgte træ)";
		$admtext['desttree'] = "Destinationstræ";
		$admtext['selectdesttree'] = "Vælg eller indtast et destinationstræ.";
		$admtext['selectexisting'] = "Importer ind i";
		$admtext['importgedcom2'] = "Importer en GEDCOM-fil";
		$admtext['setupitems'] = "Opret databasetabeller, sæt præferencer";
		$admtext['custeventitems'] = "Redigér Gedcom-koder og begivenhedstyper";
		$admtext['usersitems'] = "Redigér brugere og tilladelser";
		$admtext['reportsitems'] = "Opret standardlister og -rapporter";
		$admtext['langitems'] = "Redigér andre sprog";
		$admtext['backupitems'] = "Backup, gendan og optimer databasetabeller";
		$admtext['ucaselast'] = "Skriv alle efternavne med stort";
		$admtext['norecalc'] = "Udfør ikke genberegninger for 'nulevende'-markeringer";
		$admtext['autooffset'] = "Begynd ID'er ved første ledige nummer";

		$admtext['mustselecttree'] = "Du skal vælge et træ, før du vælger denne option.";
		$admtext['importmedia'] = "Importér nuværende billeder m.m.";
		$admtext['mainmenu'] = "Hovedmenu";
		$admtext['neweronly'] = "Erstat kun hvis nyere";
		$admtext['secondaryitems'] = "Opret en GENDEX fil, spor efterkommerlinjer";
		$admtext['onwebserver'] = "Fra webserver (i GEDCOM-mappen)";
		$admtext['eventsonly'] = "Importer kun standard begivenhedstyper";
		$admtext['imphints'] = "OBS: Med “Alle aktuelle data” menes alle personer, familier, kilder og notater (medie tilknytninger går ikke tabt, så længe ID'erne er de samme). Matchende poster baseres altid kun på ID'er. Nye poster tilføjes altid. Med “Tilføj alle poster” menes alle poster med nye ID'er.";
		$admtext['allevents'] = "Acceptér data for alle nye almindelige begivenhedstyper";
		$admtext['destbranch'] = "Destination for gren (valgfri)";
		$admtext['inframe'] = "(i ramme)";
		$admtext['getstart'] = "Kom i gang";
		$admtext['importlatlong'] = "Importér bredde- og længdegrad hvis de findes";
		$admtext['opening'] = "Åbner";
		$admtext['reopen'] = "Genåbner";
		$admtext['uploading'] = "Uploader";
		$admtext['stop'] = "Stop";
		$admtext['stopped'] = "Import stoppet";
		$admtext['resume'] = "Fortsæt";
		//changed in 8.0.0
		$admtext['showlog'] = "Admin Log";
		//added in 8.0.0
		$admtext['mmgritems'] = "Konfigurer 3-parts tilføjelser";
		//added in 9.0.0
		$admtext['oldimport'] = "Gammeldags import (uden forløbsbjælke)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Nyheder, Mest eftersøgte, Data Validering";
		//added in 11.0.0
		$admtext['tasks'] = "Vigtige Opgaver";
		$admtext['task_revusers'] = "Gennemse nye bruger registreringer";
		$admtext['task_tree'] = "Opret første træ";
		$admtext['task_user'] = "Opret en brugerkonto til dig selv";
		$admtext['task_people'] = "Tilføj nye personer";
		$admtext['task_families'] = "Tilføj nye familier";
		$admtext['task_revind'] = "Gennemse foreslåede ændringer til person begivenheder";
		$admtext['task_revfam'] = "Gennemse foreslåede ændringer til familie begivenheder";
		$admtext['task_backup'] = "Backup data";
		$admtext['nobackups'] = "Der findes ingen backups";
		$admtext['lastbackup'] = "sidste backup mere end xxx dage siden";
		$admtext['dna_blurb'] = "Log DNA-tests og knyt dem til enkeltpersoner";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Ændringer til kilde";
		$admtext['modifysource'] = "Redigér nuværende kilde";
		$admtext['selectsrcaction'] = "Vælg kilde og handling";
		$admtext['shorttitle'] = "Kort titel";
		$admtext['longtitle'] = "Lang titel";
		$admtext['author'] = "Forfatter";
		$admtext['callnumber'] = "Nummer";
		$admtext['publisher'] = "Udgiver";
		$admtext['actualtext'] = "Aktuel tekst";
		$admtext['confdeletesrc'] = "Er du sikker på, at du vil slette denne kilde?";
		$admtext['selectshorttitle'] = "Vælg eller indtast en kort titel for denne begivenhedstype.";
		$admtext['existingsourceinfo'] = "Nuværende oplysninger for kilde";
		$admtext['newsourceinfo'] = "Ny kilde oplysninger";
		$admtext['addnewsource'] = "Tilføj ny kilde";
		$admtext['prefixsourceid'] = "Begynd kilde-ID med \"S\" for \"Source\"";
		$admtext['entersourceid'] = "Indtast et kilde-ID.";
		$admtext['validsourceid'] = "Indtast et gyldigt kilde-ID. Et gyldigt ID er en numerisk streng, der starter med 'S'.";
		$admtext['createsource'] = "Opret en ny kilde";
		$admtext['editexistingsource'] = "Redigér oplysninger for en tidligere tilføjet kilde";
		$admtext['addnewcite'] = "Tilføj ny henvisning";
		$admtext['reliability'] = "Pålidelighed";
		$admtext['relyexplain'] = "Jo højere nummer, jo større pålidelighed.";
		$admtext['citedate'] = "Henvisningsdato";
		$admtext['modifycite'] = "Redigér nuværende henvisning";
		$admtext['addingcite'] = "Tilføjer henvisning...";
		$admtext['deletingcite'] = "Sletter henvisning...";
		$admtext['updatingcite'] = "Opdaterer henvisning...";
		$admtext['citation'] = "Henvisning";
		$admtext['sevslater'] = "OBS: Yderligere begivenheder kan tilføjes efter den nye kilde er blevet gemt.";
		$admtext['pleasesourcepart'] = "Indtast en del af kildetitlen.";
		$admtext['addnewrepo'] = "Tilføj nyt arkiv";
		$admtext['modifyrepo'] = "Redigér nuværende arkiv";
		$admtext['createrepo'] = "Opret et nyt arkiv";
		$admtext['editexistingrepo'] = "Redigér oplysninger for et tidligere oprettet arkiv";
		$admtext['enterrepoid'] = "Indtast et arkiv-ID.";
		$admtext['enterreponame'] = "Indtast et arkivnavn.";
		$admtext['newrepoinfo'] = "Nyt arkiv oplysninger";
		$admtext['prefixrepoid'] = "Indled arkiv-ID med \"REPO\" for \"Repository\"";
		$admtext['selectrepoaction'] = "Vælg arkiv og handling";
		$admtext['confdeleterepo'] = "Er du sikker på, at du vil slette dette arkiv?";
		$admtext['changestorepo'] = "Ændringer til arkiv";
		$admtext['existingrepoinfo'] = "Nuværende oplysninger for arkiv";
		$admtext['pleaserepopart'] = "Indtast del af arkivnavn.";
		$admtext['choosemergesources'] = "Vælg de kilder, der skal flettes eller find mulige matcher";
		$admtext['confirmmergesources'] = "Er du sikker på, at du vil flette disse to kilder?";
		$admtext['choosemergerepos'] = "Vælg arkiver, der skal flettes eller find mulige matcher";
		$admtext['confirmmergerepos'] = "Er du sikker på, at du vil flette disse to arkiver?";
		$admtext['revslater'] = "OBS: Yderligere begivenheder og notater kan tilføjes efter det nye arkiv er blevet gemt.";
		$admtext['confdeleterepo'] = "Er du sikker på, at du vil slette dette arkiv?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Tjek nyt ID";
		$admtext['idnotvalid'] = "er ikke et gyldigt ID. Et gyldigt ID er en numerisk streng, der begynder med";
		$admtext['idinuse'] = "er i brug. Vælg venligst et andet ID";
		$admtext['idok'] = "er OK at bruge";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Skabelonnr.";
		$admtext['mainimage'] = "Primært billede (hjemmesiden)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Titelbillede (hjemmesiden)"; //1, 2, 3
		$admtext['headline'] = "Overskrift"; //4, 7
		$admtext['mainpara'] = "Velkommen paragraf";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Billede i sidehoved (inkl. titel)"; //1
		$admtext['pedperson'] = "Anetavle for person-ID"; //2
		$admtext['pedtree'] = "Anetavle-ID"; //2
		$admtext['phhistperson'] = "Billeder & Historier for person-ID"; //2
		$admtext['phhisttree'] = "Billeder & Historier tavle-ID"; //2
		$admtext['headimg'] = "Billede sidehoved"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Sidehoved titelbillede"; //2, 3
		$admtext['titleimg'] = "Titelbillede (alle sider)"; //4, 7
		$admtext['searchpara'] = "Search tekst"; //6
		$admtext['fhpara'] = "Family Histories tekst"; //6
		$admtext['fhlinkshis'] = "Family Histories links (Hans)"; //6
		$admtext['fhlinkshers'] = "Family Histories links (Hendes)"; //6
		$admtext['mwpara'] = "Most Wanted tekst"; //6
		$admtext['respara'] = "Resources tekst"; //6
		$admtext['reslinks'] = "Links til Ressourcer"; //6
		$admtext['headtitle1'] = "Sidehovedtitel, del 1"; //8
		$admtext['headtitle2'] = "Sidehovedtitel, del 2"; //8
		$admtext['headtitle3'] = "Sidehovedtitel, del 3"; //8
		$admtext['headsubtitle'] = "Sidehoved undertitel"; //8
		$admtext['latestnews'] = "Nyheder"; //8
		$admtext['momside'] = "Mors side"; //8
		$admtext['dadside'] = "Fars side"; //8
		$admtext['momperson'] = "Mors side person-ID"; //8
		$admtext['momtree'] = "Mors side træ-ID"; //8
		$admtext['dadperson'] = "Fars side person-ID"; //8
		$admtext['dadtree'] = "Fars side træ-ID"; //8
		$admtext['featurethumb1'] = "Feature 1 miniaturebillede"; //4
		$admtext['featurelink1'] = "Feature 1 link"; //4
		$admtext['featuretitle1'] = "Feature 1 titel"; //4
		$admtext['featurepara1'] = "Feature 1 afsnit"; //4
		$admtext['featurethumb2'] = "Feature 2 miniaturebillede"; //4
		$admtext['featurelink2'] = "Feature 2 link"; //4
		$admtext['featuretitle2'] = "Feature 2 titel"; //4
		$admtext['featurepara2'] = "Feature 2 afsnit"; //4
		$admtext['featurethumb3'] = "Feature 3 miniaturebillede"; //4
		$admtext['featurelink3'] = "Feature 3 link"; //4
		$admtext['featuretitle3'] = "Feature 3 titel"; //4
		$admtext['featurepara3'] = "Feature 3 afsnit"; //4
		$admtext['featurethumb4'] = "Feature 4 miniaturebillede"; //4
		$admtext['featurelink4'] = "Feature 4 link"; //4
		$admtext['featuretitle4'] = "Feature 4 titel"; //4
		$admtext['featurepara4'] = "Feature 4 afsnit"; //4
		$admtext['photocaption'] = "Primær billedtekst"; //4
		$admtext['maintitle'] = "Primær sidetitel"; //5
		$admtext['hisside'] = "Hans side"; //5
		$admtext['herside'] = "Hendes side"; //5
		$admtext['newstext'] = "Nyhedstekst"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Aktivér Valg af Skabelon";
		//added in 9.0.0
		$admtext['template'] = "Skabelon";
		$admtext['createcopy'] = "Lav kopi på";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Artikel links"; //9, 10
		$admtext['featurepara'] = "Artikel paragraf"; //9, 10
		$admtext['welcome'] = "Velkommen overskrift"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mom's Side names"; //8
		$admtext['dadsidenames'] = "Dad's Side names"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Artikel paragraf";
		$admtext['menutitle'] = "Menu Titel";
		$admtext['titlechoice'] = "Titel valg";
		$admtext['photol'] = "Venstre billede";
		$admtext['phototitlel'] = "Venstre billede titel";
		$admtext['photocaptionl'] = "Venstre billedtekst";
		$admtext['photor'] = "Højre billede";
		$admtext['phototitler'] = "Højre billede titel";
		$admtext['photocaptionr'] = "Højre billedtekst";
		$admtext['topsurnames'] = "Top Efternavne label";
		$admtext['headimg2'] = "Header billede 2"; //14
		$admtext['headimg3'] = "Header billede 3"; //14
		$admtext['showprev'] = "Vis Gennemsyn";
		$admtext['hideprev'] = "Skjul Gennemsyn";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Feature 5 miniaturebillede"; //15
		$admtext['featurelink5'] = "Feature 5 link"; //15
		$admtext['featuretitle5'] = "Feature 5 titel"; //15
		$admtext['featurepara5'] = "Feature 5 paragraf"; //15
		$admtext['featurethumb6'] = "Feature 6 miniaturebillede"; //15
		$admtext['featurelink6'] = "Feature 6 link"; //15
		$admtext['featuretitle6'] = "Feature 6 titel"; //15
		$admtext['featurepara6'] = "Feature 6 paragraf"; //15
		$admtext['featurethumb7'] = "Feature 7 miniaturebillede"; //15
		$admtext['featurelink7'] = "Feature 7 link"; //15
		$admtext['featurepara7'] = "Feature 7 paragraf"; //15
		$admtext['featurethumb8'] = "Feature 8 miniaturebillede"; //15
		$admtext['featurelink8'] = "Feature 8 link"; //15
		$admtext['featurepara8'] = "Feature 8 paragraf"; //15
		$admtext['sidebarhead1'] = "Sidebjælke header 1"; //15
		$admtext['sidebarhead2'] = "Sidebjælke header 2"; //15
		$admtext['sidebarhead3'] = "Sidebjælke header 3"; //15
		$admtext['texttitle1'] = "Tekst 1 titel"; //15
		$admtext['textlink1'] = "Tekst 1 link"; //15
		$admtext['textpara1'] = "Tekst 1 paragraf"; //15
		$admtext['texttitle2'] = "Tekst 2 titel"; //15
		$admtext['textlink2'] = "Tekst 2 link"; //15
		$admtext['textpara2'] = "Tekst 2 paragraf"; //15
		$admtext['texttitle3'] = "Tekst 3 titel"; //15
		$admtext['textpara3'] = "Tekst 3 paragraf"; //15
		$admtext['subhead1'] = "Subheader 1"; //15
		$admtext['subhead2'] = "Subheader 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tabeller dannet.";
		$admtext['backtosetup'] = "Tilbage til opsætning";
		$admtext['configuration'] = "Konfigurering";
		$admtext['entersysvars'] = "Indtast værdier for systemvariabler.";
		$admtext['createdbtables'] = "Opret database tabellerne, der skal indeholde oplysninger.";
		$admtext['tcwarning'] = "<strong>Advarsel!</strong> Vælg kun denne mulighed, når du sætter din hjemmeside op for første gang. <strong>Alle nuværende data, inklusive billeder, historier, gravsten og kirkegårds oplysninger, vil blive slettet!</strong>";
		$admtext['conftabledelete'] = "Dette vil slette ALLE dine nuværende data!! Er du sikker på, at du vil fortsætte?";
		$admtext['performdatamaint'] = "Udfør datavedligeholdelse og sorter billeder, historier og andre komponenter.";
		$admtext['createtables'] = "Opret tabeller";
		$admtext['configsettings'] = "Generelle indstillinger";
		$admtext['logconfigsettings'] = "Logindstillinger";
		$admtext['importconfigsettings'] = "Importindstillinger";
		$admtext['diagnostics'] = "Diagnose";
		$admtext['rundiags'] = "Kør diagnose";
		$admtext['phpinf'] = "PHP infoskærm";
		$admtext['fromphp'] = "Denne oplysning kommer fra din server og hører til PHP installationen, ikke TNG.";
		$admtext['phpver'] = "PHP version";
		$admtext['phpreq'] = "(TNG kræver 5.3 eller højere.)";
		$admtext['gdlib'] = "GD grafisk bibliotek";
		$admtext['gdreq'] = "(Krævet til TNG's thumbnail dannelsesværktøj.)";
		$admtext['availnogif'] = "Tilgængelig, men understøtter ikke .gif-billedformat";
		$admtext['notinst'] = "Ikke installeret";
		$admtext['safemode'] = "Sikker tilstand";
		$admtext['off'] = "Fra";
		$admtext['on'] = "Til";
		$admtext['fileuploads'] = "Fil uploades";
		$admtext['fureq'] = "(Krævet for webbaseret GEDCOM-upload, billed-upload og andre funktioner.)";
		$admtext['perm'] = "Tilladt";
		$admtext['notperm'] = "Ikke tilladt, brug FTP istedet";
		$admtext['sqlver'] = "MySQL version";
		$admtext['sqlreq'] = "(TNG kræver 5.5 eller højere.)";
		$admtext['wsrvr'] = "Webserver";
		$admtext['fperms'] = "Fil-/Mappetilladelser";
		$admtext['fpreq'] = "(TNG kræver, at nogle filer og mapper har specielle adgangsrettigheder.)";
		$admtext['scruser'] = "Script køres som bruger:";
		$admtext['phpuser'] = "PHP rapporterer det som bruger:";
		$admtext['usrprob'] = "Du har måske ikke det nødvendige filadgangsniveau til at køre TNG uden problemer, hvis du bruger både FTP og TNG admin-funktionerne til filbehandling.";
		$admtext['rofile'] = "Filen er skrivebeskyttet:";
		$admtext['rofolder'] = "mappen er skrivebeskyttet:";
		$admtext['publog'] = "Offentlig log";
		$admtext['admlog'] = "Admin log";
		$admtext['folderdne'] = "mappen findes ikke:";
		$admtext['keyrw'] = "Nøglemappe har alle læse/skriverettigheder";
		$admtext['cfgrw'] = "Konfigurationsfiler har alle læse/skriverettigheder";
		$admtext['acceptable'] = "OK.";
		$admtext['restricted'] = "Nogle funktioner kan være begrænsede. Du kan opleve fejl under installationen, eller mens du kører TNG.";
		$admtext['needchngs'] = "TNG vil måske ikke virke uden ændringer i din PHP- eller serverkonfiguration.";
		$admtext['yourbrowser'] = "Din browser:";
		$admtext['modifysettings'] = "Redigér konfigurationsindstillinger";
		$admtext['dbhost'] = "Databasevært";
		$admtext['dbname'] = "Databasenavn";
		$admtext['dbusername'] = "Database brugernavn";
		$admtext['dbpassword'] = "Database kodeord";
		$admtext['rootpath'] = "Rodsti";
		$admtext['homepage'] = "Hjemmeside";
		$admtext['emailaddress'] = "Email-adresse";
		$admtext['siteowner'] = "Hjemmesideejer";
		$admtext['maxdescgens'] = "Maks. antal efterkommergenerationer";
		$admtext['disallow'] = "Forbyd";
		$admtext['defaultallowed'] = "Standard: Tilladt";
		$admtext['maxsearchresults'] = "Maks. søgeresultater";
		$admtext['targetframe'] = "Mål";
		$admtext['table'] = "Tabel";
		$admtext['lastbackup'] = "Seneste backup";
		$admtext['backup'] = "Backup";
		$admtext['restore'] = "Gendan";
		$admtext['backupfilesize'] = "Filstørrelse";
		$admtext['succbackedup'] = "Backup gennemført";
		$admtext['succrestored'] = "Gendannelse gennemført";
		$admtext['change_cutoff'] = "'Nyheder' Dage";
		$admtext['change_limit'] = "'Nyheder' Begrænsning";
		$admtext['photosext'] = "Billedfiltype";
		$admtext['defaulttree'] = "Standardtræ";
		$admtext['requirelogin'] = "Skal logge ind";
		$admtext['defaultdontrequire'] = "Standard: Skal ikke";
		$admtext['ldsdefault'] = "Vis LDS data";
		$admtext['ldson'] = "Altid";
		$admtext['ldsoff'] = "Aldrig";
		$admtext['ldspermit'] = "Kommer an på brugerrettigheder";
		$admtext['allow'] = "Tillad";
		$admtext['chooselang'] = "Dynamisk sprogskift";
		$admtext['optimize'] = "Optimér";
		$admtext['succoptimized'] = "Optimering gennemført";
		$admtext['customheader'] = "Tilpasset sidehoved";
		$admtext['customfooter'] = "Tilpasset sidefod";
		$admtext['custommeta'] = "Tilpasset meta";
		$admtext['lineending'] = "Linjeafslutning";
		$admtext['backuppath'] = "Backup-mappe";
		$admtext['photopath'] = "Billedmappe";
		$admtext['headstonepath'] = "Gravstensmappe";
		$admtext['historypath'] = "Historiemappe";
		$admtext['backuprestoretables'] = "Backup/Gendan/Optimér tabeldata";
		$admtext['shownames'] = "Vis navne for nulevende";
		$admtext['initials'] = "Forkort fornavn";
		$admtext['regformat'] = "Registerformat";
		$admtext['stdformat'] = "Standardformat";
		$admtext['thumbprefix'] = "Thumbnail præfiks";
		$admtext['thumbmaxh'] = "Thumbnail maks. højde";
		$admtext['thumbmaxw'] = "Thumbnail maks. bredde";
		$admtext['thumbsuffix'] = "Thumbnail suffiks";
		$admtext['showextended'] = "Vis udvidet billede oplysninger";
		$admtext['shownotes'] = "Vis notater";
		$admtext['notestogether'] = "Under tilhørende begivenheder, hvor det er muligt";
		$admtext['notestogether2'] = "Nedenunder begivenheder, undtaget generelle bemærkninger";
		$admtext['notesapart'] = "I notatafsnittet";
		$admtext['lnprefixes'] = "Efternavnspræfiks (f.eks., van, de)";
		$admtext['lntogether'] = "Behold som en del af et normalt efternavn";
		$admtext['lnapart'] = "Håndtér som særskilt enhed";
		$admtext['detectpfx'] = "Præfiksdetektion ved import";
		$admtext['lnpfxnum'] = "Num. præfikser for hver (maks.)";
		$admtext['specpfx'] = "Eller disse specifikke præfikser";
		$admtext['newmedialinks'] = "Nyt link for billeder/historier";
		$admtext['maxgedcom'] = "Maks. generationer, GEDCOM download";
		$admtext['placestable'] = "Stedtabel";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Genealogi-URL";
		$admtext['charset'] = "Tegnsæt";
		$admtext['time_offset'] = "Servertid offset (timer)";
		$admtext['backupall'] = "Backup alle tabeller";
		$admtext['optimizeall'] = "Optimer alle tabeller";
		$admtext['alltables'] = "Alle tabeller";
		$admtext['brinstructions'] = "For backup, gendan eller optimer en tabel, vælg den rette handling for tabellen.";
		$admtext['tabstyle'] = "Tabulatoropsætning";
		$admtext['iconloc'] = "Menuplacering";
		$admtext['topleft'] = "Øverst til venstre";
		$admtext['topright'] = "Øverst til højre";
		$admtext['indstart'] = "Personer begynder med";
		$admtext['persinfo'] = "Kun personlige oplysninger";
		$admtext['allinfo'] = "Alle oplysninger";
		$admtext['thumbcols'] = "Kolonner i miniature-visning";
		$admtext['stdesc'] = "Begynd efterslægt";
		$admtext['stexpand'] = "Udvidet";
		$admtext['stcollapse'] = "Foldet sammen";
		$admtext['regnosp'] = "Generationer i register";
		$admtext['chshow'] = "Vis altid alle";
		$admtext['chifsp'] = "Fjern personer uden familie";
		$admtext['restoreall'] = "Gendan det valgte";
		$admtext['surerestore'] = "Er du sikker på, at du vil gendanne de valgte tabeller?";
		$admtext['surerestorets'] = "Er du sikker på, at du vil gendanne tabelstrukturen? Alle nuværende data vil gå tabt!";
		$admtext['backupstruct'] = "Backup af tabelstrukturen";
		$admtext['tablestruct'] = "Tabelstruktur";
		$admtext['brinstructions2'] = "Klik på det aktuelle ikon herunder for at lave backup eller gendanne tabelstrukturen. ADVARSEL: Gendannelse af tabelstrukturen vil slette alle nuværende data!";
		$admtext['livedefault'] = "Vis data for nulevende";
		$admtext['nodisplay'] = "Vis ikke";
		$admtext['menudisp'] = "Vis menu";
		$admtext['asicons'] = "Som ikoner";
		$admtext['asdrop'] = "Som rullegardin";
		$admtext['gendex'] = "GENDEX mappe";
		$admtext['modifypedsettings'] = "Redigér konfigurationsindstillinger for anetavle";
		$admtext['leftindent'] = "Venstre indryk";
		$admtext['boxnamesize'] = "Boksnavn, størrelse";
		$admtext['namesizeshift'] = "Skift navnestørrelse";
		$admtext['boxdatessize'] = "Boksdato, størrelse";
		$admtext['datessizeshift'] = "Skift datostørrelse";
		$admtext['boxcolor'] = "Boksfarve";
		$admtext['colorshift'] = "Skift farve (%)";
		$admtext['emptycolor'] = "Tom farve";
		$admtext['bordercolor'] = "Kantfarve";
		$admtext['shadowcolor'] = "Skyggefarve";
		$admtext['boxwidth'] = "Boksbredde (uden popups)";
		$admtext['boxheight'] = "Bokshøjde (uden popups)";
		$admtext['boxalign'] = "Boksjustering (uden popups)";
		$admtext['boxheightshift'] = "Skift bokshøjde (uden popups)";
		$admtext['boxHsep'] = "Boks, vandret adskillelse";
		$admtext['boxVsep'] = "Boks, lodret adskillelse";
		$admtext['shadowoffset'] = "Skygge offset";
		$admtext['linewidth'] = "Linjebredde";
		$admtext['borderwidth'] = "Kantbredde";
		$admtext['popupcolor'] = "Popup-farve";
		$admtext['popupinfosize'] = "Popup-info, størrelse";
		$admtext['popupinfosizeshift'] = "Popup-info, skift størrelse";
		$admtext['popuptimer'] = "Popup timer (ms)";
		$admtext['pedevent'] = "Popup begivenhed";
		$admtext['puboxwidth'] = "Boksbredde (m/popups)";
		$admtext['puboxheight'] = "Bokshøjde (m/popups)";
		$admtext['puboxalign'] = "Boksjustering (m/popups)";
		$admtext['puboxheightshift'] = "Skift bokshøjde (m/popups)";
		$admtext['popupspouses'] = "Popup ægtefæller/partnere";
		$admtext['popupkids'] = "Popup børn";
		$admtext['popupchartlinks'] = "Popup tabellinks";
		$admtext['inclphotos'] = "Inkluder billeder";
		$admtext['overflow'] = "Overløb";
		$admtext['pedcompact'] = "Kompakt";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Kun tekst";
		$admtext['relchart'] = "Slægtskabstavle";
		$admtext['maxupgen'] = "Maks. antal slægtskabsgenerationer";
		$admtext['left'] = "Venstre";
		$admtext['right'] = "Højre";
		$admtext['center'] = "Midt";
		$admtext['mouseover'] = "Mus over";
		$admtext['mousedown'] = "Mus ned";
		$admtext['ahnentafel'] = "Anetavle";
		$admtext['pedbox'] = "Boks";
		$admtext['hideempty'] = "Skjul tomme bokse";
		$admtext['logfilename'] = "Logfil navn";
		$admtext['maxloglines'] = "Maks. antal loglinjer";
		$admtext['modifylogsettings'] = "Redigér logkonfigurationsindstillinger";
		$admtext['badhosts'] = "Fjern værtsnavne";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Offentlig)";
		$admtext['saveimportstate'] = "Gem importtilstand";
		$admtext['allowresume'] = "Gem for at tillade genoptagelse, hvis import fejler";
		$admtext['modifyimportsettings'] = "Redigér importkonfigurationsindstillinger";
		$admtext['embeddedmedia'] = "Indlejret billede";
		$admtext['assignnames'] = "Tillad TNG at give nye navne til indlejret billede";
		$admtext['localphotopath'] = "Lokal(e) billedsti(er)";
		$admtext['localdocpath'] = "Lokal(e) historiesti(er)";
		$admtext['nopathmatch'] = "Hvis der ikke er noget lokalt stimatch";
		$admtext['wholepath'] = "Importer hele stien";
		$admtext['justname'] = "Importer kun filnavnet";
		$admtext['gedpath'] = "GEDCOM-mappe (Import/Eksport)";
		$admtext['makefolder'] = "Opret en mappe";
		$admtext['blankchangedt'] = "Hvis 'Ændret dato' er tomt";
		$admtext['usetoday'] = "Brug aktuel dato";
		$admtext['useblank'] = "Behold nuværende";
		$admtext['nobirthdate'] = "Hvis der ikke er nogen fødselsdato, antag";
		$admtext['persliving'] = "Personen lever";
		$admtext['persdead'] = "Personen er død";
		$admtext['nodeathdate'] = "Hvis der ikke er nogen dødsdato, så antag afdød<br />hvis personen er ældre end";
		$admtext['pedconfigsettings'] = "Indstillinger for tavler";
		$admtext['usepopups'] = "Indledende visning";
		$admtext['maxpedgens'] = "Maks. antal generationer";
		$admtext['dbsection'] = "Database";
		$admtext['tablesection'] = "Tabelnavne";
		$admtext['foldersection'] = "Stier og mapper";
		$admtext['sitesection'] = "Hjemmeside design og definitioner";
		$admtext['privsection'] = "Privat";
		$admtext['namesection'] = "Navne";
		$admtext['descsection'] = "Efterslægt";
		$admtext['miscsection'] = "Forskelligt";
		$admtext['mediatable'] = "Billedtabel";
		$admtext['pedanddesc'] = "Fælles elementer";
		$admtext['descchart'] = "Efterslægtstavle";
		$admtext['pedchart'] = "Anetavle";
		$admtext['initgens'] = "De første generationer";
		$admtext['mediapath'] = "Generel billedmappe";
		$admtext['documentpath'] = "Dokumentmappe";
		$admtext['localdocumentpath'] = "Lokal(e) dokumentsti(er)";
		$admtext['localotherpath'] = "Lokal(e) sti(er) for andre billeder";
		$admtext['imgmaxh'] = "Maks. billedhøjde";
		$admtext['imgmaxw'] = "Maks. billedbredde";
		$admtext['succdel'] = "Korrekt slettet";
		$admtext['delbkups'] = "Slet valgte backup";
		$admtext['suredelbk'] = "Er du sikker på, at du vil slette de valgte backup-filer?";
		$admtext['showhome'] = "Vis 'Hjem'-link";
		$admtext['showsearch'] = "Vis 'Søg'-link";
		$admtext['showlogin'] = "Vis 'Login/Logout'-link";
		$admtext['showprint'] = "Vis 'Udskriv'-link";
		$admtext['showbmarks'] = "Vis 'Tilføj bogmærke'";
		$admtext['server'] = "(server)";
		$admtext['client'] = "(klient)";
		$admtext['sitename'] = "Hjemmesidens navn";
		$admtext['site_desc'] = "Beskrivelse af hjemmesiden";
		$admtext['privnote'] = "Præfiks for private notater";
		$admtext['custvars'] = "OBS: Du kan lave din egen opsætning i \"customconfig.php\" (åbn i teksteditor og følg instruktionerne).";
		$admtext['blockemail'] = "Bloker forslag eller nye brugerregistreringer, når";
		$admtext['addrcontains'] = "adresse indeholder";
		$admtext['msgcontains'] = "meddelelse indeholder";
		$admtext['reqloginset'] = "\"Skal logge ind\" skal sættes til Ja for at aktivere denne funktion";
		$admtext['treerestrict'] = "Begræns adgang til tildelt træ";
		$admtext['mapconfigsettings'] = "Kortindstillinger";
		$admtext['modifymapsettings'] = "Redigér kortkonfigurationsindstillinger";
		$admtext['maptype'] = "Korttype";
		$admtext['maphybrid'] = "Hybrid";
		$admtext['mapsatellite'] = "Satellit";
		$admtext['mapdimsind'] = "Dimensioner, Person-sider";
		$admtext['mapdimshst'] = "Dimensioner, Gravsten-sider";
		$admtext['mapdimsadm'] = "Dimensioner, Admin-sider";
		$admtext['mapwidth'] = "Bredde (% eller px)";
		$admtext['mapheight'] = "Højde (px)";
		$admtext['mapstlat'] = "Begyndelsesbreddegrad";
		$admtext['mapstlong'] = "Begyndelseslængdegrad";
		$admtext['startoff'] = "Skjul Admin-kort i begyndelsen";
		$admtext['conslpins'] = "Konsolider ens pins";
		$admtext['ssenabled'] = "Aktiver lysbilledshow";
		$admtext['ssrepeat'] = "Autogentagelse lysbilledshow";
		$admtext['sysinfo'] = "Vis oplysninger om serverens software.";
		$admtext['albumlinkstable'] = "Album linkstabel";
		$admtext['addresstable'] = "Adressetabel";
		$admtext['statestable'] = "Statstabel";
		$admtext['countriestable'] = "Landetabel";
		$admtext['notelinkstable'] = "Notatlinks tabel";
		$admtext['medialinkstable'] = "Billedlinks tabel";
		$admtext['saveimporttable'] = "Gem import tabel";
		$admtext['brlinkstable'] = "Grenlinks tabel";
		$admtext['temptable'] = "Midlertidig begivenheds tabel";
		$admtext['tleventstable'] = "Tidslinje begivenheds tabel";
		$admtext['album2entitiestable'] = "Links til album";
		$admtext['doctype'] = "Dokumenttype erklæring";
		$admtext['cemrows'] = "Maks. antal linier pr. kolonne (ca.)";
		$admtext['cemblanks'] = "Udelad \"Ukendte\" kategorier";
		$admtext['success'] = "Succes";
		$admtext['fexists'] = "Mislykkedes. Mappen eksisterer allerede.";
		$admtext['fmanual'] = "Mislykkedes. Brug et FTP program eller online file manager.";
		$admtext['maintmode'] = "Databasen opdateres";
		$admtext['maintexp'] = "Adgang til databasen er midlertidig forhindret pga. opdaterings. Vær venlig at prøve igen senere. Hvis problemet ikke er løst inden for nogle timer, kontakt da venligst hjemmesidens administrator.";
		$admtext['defimpopt'] = "Standard erstatningsmulighed";
		$admtext['seltable'] = "Vælg mindst en tabel.";
		$admtext['renumber'] = "Omnummerer ID'er";
		$admtext['idtype'] = "ID Type";
		$admtext['mindigits'] = "Minimum cifre";
		$admtext['niprefix'] = "Inkluderer ikke ID-præfiks";
		$admtext['finreseq'] = "Omnummerering er gennemført";
		$admtext['recsreseq'] = "poster omnummereret";
		$admtext['needmaint'] = "Du skal være i opdaterings-mode for at bruge denne funktion. (gå til Opsætning &gt;&gt; Konfiguration &gt;&gt; Generel)";
		$admtext['reseqwarn'] = "<strong>ADVARSEL:</strong> Omnummerering af dine ID'er kan medføre, at eksterne links til din hjemmeside slettes eller henviser til forkerte adresser.";
		$admtext['subroot'] = "Konfig. sti";
		$admtext['hidechr'] = "Skjul dåbsetiketter";
		$admtext['datefmt'] = "Nummerisk datopræference";
		$admtext['dayfirst'] = "Dag/Måned/År";
		$admtext['monthfirst'] = "Måned/Dag/År";
		$admtext['exusers'] = "Ekskluder brugernavne";
		$admtext['allowreg'] = "Tillad nye brugerregistreringer";
		$admtext['localhspath'] = "Lokal(e) sti(er) til gravsten";
		$admtext['pardata'] = "Forældredata på personside:";
		$admtext['pnoevents'] = "Vis ikke begivenheder";
		$admtext['pstdonly'] = "Vis kun standard familiebegivenheder";
		$admtext['palldata'] = "Vis alle begivenheder og billeder";
		$admtext['servertime'] = "Servertid er";
		$admtext['sitetime'] = "og hjemmesidetid er";
		$admtext['srexpl'] = "Valgfri. Brug et absolut sti-navn, som den du ser i rodstien, flyt derefter de følgende filer til Konfig. sti <strong>straks</strong> efter at have gemt og gør dem skrivbare (664 permissions): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Start Zoom";
		$admtext['mapfoundzm'] = "Sted Zoom";
		$admtext['rrnum'] = "Post rapportnummer";
		$admtext['progint'] = "Fremskridtsinterval (ms)";
		$admtext['timechart'] = "Tidslinjetavle";
		$admtext['tcheight'] = "Tavlehøjde";
		$admtext['distances'] = "Alle afstande målt i pixels.";
		$admtext['mpixels'] = "Pixels mellem måneder";
		$admtext['ypixels'] = "Pixels mellem år";
		$admtext['ymult'] = "År mellem år-mærker";
		$admtext['mpct'] = "Lodret procent for måneder";
		$admtext['ypct'] = "Lodret procent for år";
		$admtext['inclevs'] = "Begivenheder, der skal medtages";
		$admtext['allevs'] = "Alle begivenheder";
		$admtext['rangeevs'] = "Kun begivenheder indenfor levetiden for personer på tavlen";
		$admtext['tcwidth'] = "Oprindelig bredde af tavlen";
		$admtext['simile'] = "Tillad samtidig tidslinje";
		//added in 8.0.0
		$admtext['pstartoff'] = "Skjul offentlige kort ved start";
		$admtext['maxrels'] = "Maks. antal slægtskaber";
		$admtext['initrels'] = "Begynd med antal slægtskaber";
		$admtext['templateconfigsettings'] = "Skabelonindstillinger";
		$admtext['modifytemplatesettings'] = "Redigér skabelonkonfigurationsindstillinger";
		$admtext['ucsurnames'] = "Alle efternavne med store bogstaver";
		$admtext['maxnoteprev'] = "Maks. antal bogstaver i notatliste";
		$admtext['mailreg'] = "Email og registrering";
		$admtext['autoapp'] = "Autogodkend nye brugere";
		$admtext['inclpwd'] = "Tilføj kodeord til velkomstmail";
		$admtext['ackemail'] = "Send godkendelsesmail";
		$admtext['fromadmin'] = "Send alle emails fra ovenstående adresse";
		$admtext['autotree'] = "Opret nyt træ til bruger";
		$admtext['modspath'] = "MODs sti";
		$admtext['extspath'] = "Udvidelsesmappe";
		$admtext['encrtype'] = "Krypteringstype";
		$admtext['none'] = "Ingen kryptering";
		$admtext['imgviewer'] = "Tillad billedviser";
		$admtext['docsonly'] = "Kun dokumenter";
		$admtext['imgvheight'] = "Højde billedviser";
		$admtext['flex'] = "Vis altid hele billedet";
		$admtext['setheight'] = "Fast (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Tildel Stednavnene til Træer";
		$admtext['convert'] = "Omdan";
		$admtext['convexpl'] = "(Dette vil overføre alle aktuelle steder til det valgte træ)";
		$admtext['mergeexpl'] = "(Dette vil fjerne træet fra alle Stednavne)";
        $admtext['nocutoff'] = "Lad det stå tomt eller sæt det til nul for at fjerne denne begrænsning";
        $admtext['usesmtp'] = "Brug SMTP identifikation";
        $admtext['mailhost'] = "SMTP udbydernavn";
        $admtext['mailuser'] = "Mail brugernavn";
        $admtext['mailpass'] = "Mail adgangskode";
        $admtext['mailport'] = "Port nummer";
		$admtext['showshare'] = "Vis Share Link";
		$admtext['defpgsize'] = "Standard PDF Sidestørrelse";
		$admtext['mapterrain'] = "Terrænkort";
		$admtext['maproadmap'] = "Vejkort";
		$admtext['usedefthumbs'] = "Brug standard miniaturebilleder";
        $admtext['autogeo'] = "Geokodning af alle nye steder";
        $admtext['revmail'] = "Giv besked om eftersyn af indlæg";
        $admtext['assumepriv'] = "Formod privat hvis ikke død i så mange år";
        $admtext['calstart'] = "Første dag i ugen";
		$admtext['edit_timeout'] = "Redigering timeout (minutter)";
		$admtext['shownamespr'] = "Vis Navne på Private";
		$admtext['tables'] = "Tabeller";
		//changed in 10.0.0
		$admtext['regnotes'] = "Vis noter og brugerdefinerede begivenheder på Registrene";
		//added in 10.0.0
		$admtext['collation'] = "Kollation";
		$admtext['collationexpl'] = "(Lad stå tomt for at acceptere standardindstillingen)";
		$admtext['scrollcite'] = "Rul citater";
		$admtext['hidemedia'] = "Skjul personlige medier";
		$admtext['searchchoice'] = "Søg Link Destination";
		$admtext['quicksearch'] = "Hurtig Søgning";
		$admtext['advsearch'] = "Udvidet søgning";
		$admtext['pedvertical'] = "Lodret";
		$admtext['vboxwidth'] = "Rubrik Bredde";
		$admtext['vboxheight'] = "Rubrik Højde";
		$admtext['vspacing'] = "Afstand";
		$admtext['vchart'] = "Lodret Stamtræ";
		//added in 10.1.0
		$admtext['reuseids'] = "Genbrug slettede ID’er";
		$admtext['lastimport'] = "Vis sidste import";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Database Port";
		$admtext['dbsocket'] = "Database Socket";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Præfikser og Suffikser";
		$admtext['personprefix'] = "Person præfiks";
		$admtext['personsuffix'] = "Person suffiks";
		$admtext['familyprefix'] = "Familie præfiks";
		$admtext['familysuffix'] = "Familie suffiks";
		$admtext['sourceprefix'] = "Kilde præfiks";
		$admtext['sourcesuffix'] = "Kilde suffiks";
		$admtext['repoprefix'] = "Arkiv præfiks";
		$admtext['reposuffix'] = "Arkiv suffiks";
		$admtext['noteprefix'] = "Note præfiks";
		$admtext['notesuffix'] = "Note suffiks";
		$admtext['mobilesection'] = "Mobil";
		$admtext['mobilesite'] = "Mobil hjemmeside bliver ";
		$admtext['menubar'] = "i mobil menubjælke";
		$admtext['belowbar'] = "under mobil menubjælke";
		$admtext['responsivetables'] = "Aktivér responsive tabeller";
		$admtext['tabletype'] = "Responsiv tabel type";
		$admtext['enablemodeswitch'] = "Aktivér responsive tabeller funktion skifter";
		$admtext['enableminimap'] = "Aktivér responsive tabeller mini kort";
		$admtext['showtasks'] = "Vis 'Vigtige opgaver' beskeder";
		$admtext['showtotals'] = "Vis samlede antal på Admin menuen";
		$admtext['backupdays'] = "Advar hvis der ikke er foretaget en backup i dette antal dage";
		$admtext['backupnote'] = "BEMÆRK: Hvis databasen er meget stor, kan du bruge et selvstændigt værktøj (f.eks. mysqldumper eller phpMyAdmin) til at lave backup af databasen eller gendanne databasen. phpMyAdmin findes altid hos din udbyder/webhotel.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Skjul alle DNA sider og data";
		$admtext['assumeliving'] = "Antag at være i live, hvis ikke død i dette antal år"; 
		//changed in 11.0.2
		$admtext['mapkey'] = "Kortnøgle";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "indtast en del af for- og/eller efternavn";
		$admtext['pleasenamepart'] = "Indtast en del af for- eller efternavn.";
		$admtext['enternamepart2'] = "indtast ID eller del af for- og/eller efternavn";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Indtast en del af et stednavn.";
		$admtext['addnewplace'] = "Tilføj et nyt sted";
		$admtext['createplace'] = "Opret et nyt sted";
		$admtext['modifyplace'] = "Redigér et nuværende sted";
		$admtext['editexistingplaceinfo'] = "Redigér oplysninger for et tidligere oprettet sted";
		$admtext['enterplace'] = "Indtast et sted.";
		$admtext['newplaceinfo'] = "Oplysninger om et nyt sted";
		$admtext['existingplaceinfo'] = "Oplysninger om et nuværende sted";
		$admtext['changestoplace'] = "Ændringer af sted";
		$admtext['selectplaceaction'] = "Vælg sted og handling";
		$admtext['mergeplaces'] = "Flet steder";
		$admtext['findmerge'] = "Find mulige duplikater af sted";
		$admtext['selectplacemerge'] = "Vælg steder, der skal flettes";
		$admtext['mcol1'] = "Flet<br/>disse<br/>(slet)";
		$admtext['mcol2'] = "ind i<br/>dette<br/>(behold)";
		$admtext['pmsucc'] = "Fletning lykkedes";
		$admtext['nomerge'] = "Intet at flette";
		$admtext['enterkeep'] = "Vælg venligst et mål for fletningen.";
		$admtext['backmerge'] = "Søg igen";
		$admtext['confdeleteplace'] = "Er du sikker på, at du vil slette dette sted?";
		$admtext['propagate'] = "Udfør denne ændring for stednavne i nuværende begivenheder";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Er du sikker på, at du vil fjerne linket til denne kirkegård?";
		$admtext['nocoords'] = "Mangler længde- eller breddegrad";
		$admtext['istemple'] = "Dette stednavn er en LDS tempelkode";
		$admtext['findtemples'] = "Find kun LDS tempelkoder";
		$admtext['choosecem'] = "Vælg en kirkegård";
		$admtext['geocopy'] = "Kopier nedenstående geokode til denne kirkegård";
		$admtext['linkcem'] = "Knyt dette sted til en kirkegård";
		$admtext['cemsavail'] = "Listen viser kun kirkegårde, der ikke allerede er knyttet til et sted";
		$admtext['nocemsavail'] = "Der er ingen kirkegårde, eller alle kirkegårde er knyttet til et sted.";
        //added in 9.0.0
        $admtext['geocode'] = "Geokode";
        $admtext['ignoreall'] = "Ignorér alle";
        $admtext['usefirst'] = "Brug første match";
        $admtext['multchoice'] = "Hvis der er fundet flere resultater for et sted:";
        $admtext['geoexpl'] = "Geokod alle Steder uden breddegrad og længdegrad";
        $admtext['geocoding'] = "Geokodning...";
        $admtext['backgeo'] = "Tilbage til Geokode menu";
        $admtext['limit'] = "Begrænsning:";
        $admtext['nolimit'] = "Ingen begrænsning";
		$admtext['blankplace'] = "Tomt stednavn";
        $admtext['nogeocode'] = "Kunne ikke blive geokodet";
        $admtext['toomany'] = "Ignoreret (for mange resultater)";
		$admtext['treesgone'] = "Træ fjernet fra alle steder";
		//added in 11.0.0
		$admtext['nolevel'] = "Stedniveau ikke indstillet";
		$admtext['placenotsaved'] = "Sted ikke gemt. Et andet sted med dette navn findes allerede. Flet i stedet for.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Opret nyt ID";
		$admtext['generating'] = "Opretter nyt...Vent venligst";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Sporer efterkommerlinjer...";
		$admtext['finishedtracking'] = "Færdig med at spore efterkommerlinjer.";
		$admtext['backtosecondary'] = "Tilbage til sekundære processer";
		$admtext['sortchildren'] = "Sortér børn";
		$admtext['sortingchildren'] = "Sorterer børn";
		$admtext['sortspouses'] = "Sortér ægtefæller/partnere";
		$admtext['sortingspouses'] = "Sorterer ægtefæller/partnere";
		$admtext['relabelbranches'] = "Redigér grennavne";
		$admtext['relabeling'] = "Ændrer grennavne";
		$admtext['creatinggendex'] = "Danner GENDEX fil...";
		$admtext['finishedgendex'] = "Færdig med GENDEX fildannelse.";
		//added in 8.0.0
		$admtext['postgdx'] = "Hvor vil du gemme GENDEX filen";
		//added in 10.0.0
		$admtext['evalmedia'] = "Beskær Media Menuer";
		$admtext['evaluating'] = "Tæller medier";
		$admtext['finished'] = "Færdig";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Tilføj nyt sprog";
		$admtext['enterlangdisplay'] = "Indtast det sprognavn, der skal vises.";
		$admtext['enterlangfolder'] = "Indtast navnet på den mappe, hvor filerne til dette sprog gemmes.";
		$admtext['newlanguageinfo'] = "Oplysning om nyt sprog";
		$admtext['langdisplay'] = "Navnet, der vises <br>for dette sprog";
		$admtext['createlanguage'] = "Opret et nyt sprog";
		$admtext['nolanguages'] = "Der eksisterer ingen sprogfiler";
		$admtext['conflangdelete'] = "Er du sikker på, at du vil slette dette sprog??";
		$admtext['existinglanguages'] = "Oplysninger om nuværende sprog";
		$admtext['modifylanguage'] = "Redigér nuværende sprog";
		$admtext['changestolanguage'] = "Ændringer til sproget";
		$admtext['charset'] = "Tegnsæt";
		$admtext['editexistinglanguage'] = "Tilføj, redigér eller slet sprog";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Opret et nyt træ";
		$admtext['notrees'] = "Der eksisterer ingen træfiler";
		$admtext['existingtrees'] = "Nuværende oplysninger om træ";
		$admtext['editexistingtree'] = "Redigér oplysninger for et tidligere tilføjet træ";
		$admtext['treename'] = "Trænavn";
		$admtext['owner'] = "Ejer";
		$admtext['conftreedelete'] = "Er du sikker på, at du vil slette dette træ og alle og alt, det er knyttet til?";
		$admtext['conftreeclear'] = "Er du sikker på, at du vil tømme dette træ for alle data?";
		$admtext['changestotree'] = "Ændringer til træ";
		$admtext['newtreeinfo'] = "Ny træinformation";
		$admtext['existingtreeinfo'] = "Oplysninger om nuværende træ";
		$admtext['modifytree'] = "Redigér nuværende træ";
		$admtext['succcleared'] = "blev tømt";
		$admtext['gedcomextraction'] = "Tillad ikke brugere at downloade GEDCOM-filer";
		$admtext['gedexport'] = "GEDCOM eksport";
		$admtext['exporting'] = "Eksporterer GEDCOM...";
		$admtext['ifexportfails'] = "Hvis eksporten ikke bliver færdig,";
		$admtext['finishedexporting'] = "Færdig med at eksportere GEDCOM";
		$admtext['backtotrees'] = "Tilbage til træer";
		$admtext['downloadged'] = "Hent GEDCOM";
		$admtext['lastimport'] = "Sidste import";
		$admtext['treeexists'] = "Et andet træ eksisterer allerede med det valgte ID. Vælg et andet ID og prøv igen.";
		$admtext['exportmedia'] = "Eksporter medielinks";
		//added in 8.0.0
		$admtext['changetree'] = "Skift træ";
		$admtext['newtree'] = "Nyt træ";
		$admtext['currtree'] = "Nuværende træ";
		$admtext['chwarn'] = "ADVARSEL: Denne handling vil fjerne alle familietilknytninger, og alle andre referencer til denne person i dette træ.";
		$admtext['keepprivate'] = "Hold indehaverinformation skjult";
		//changed in 9.0.0
		$admtext['exppaths'] = "Lokal sti";
		$admtext['nopdf'] = "Forbyd brugerne at danne PDF filer";
		//added in 10.0.0
		$admtext['exprivate'] = "Udeluk private";
		$admtext['exliving'] = "Udeluk levende";
		$admtext['importfilename'] = "Importer Filnavn";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Tilføj ny bruger";
		$admtext['createuser'] = "Opret en ny bruger";
		$admtext['nousers'] = "Der eksisterer ingen brugere";
		$admtext['existingusers'] = "Nuværende brugerinformation";
		$admtext['editexistinguser'] = "Redigér oplysninger for tidligere tilføjet bruger";
		$admtext['confuserdelete'] = "Er du sikker på, at du vil slette denne bruger?";
		$admtext['changestouser'] = "Ændringer til bruger";
		$admtext['enteruserpassword'] = "Indtast venligst en ny adgangskode.";
		$admtext['enterusername'] = "Indtast venligst et brugernavn.";
		$admtext['newuserinfo'] = "Ny brugerinformation";
		$admtext['existinguserinfo'] = "Nuværende brugerinformation";
		$admtext['modifyuser'] = "Redigér nuværende bruger";
		$admtext['allow_living'] = "Tillad at se oplysninger for nulevende personer";
		$admtext['allow_lds'] = "Tillad at se LDS oplysninger";
		$admtext['enterusername'] = "Indtast venligst et brugernavn.";
		$admtext['enteruserdesc'] = "Indtast venligst en beskrivelse af brugeren.";
		$admtext['enterpassword'] = "Indtast venligst en adgangskode.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "Den første bruger, du opretter, vil blive administrator (INTET træ valgt) og vil have adgang til alle systemindstillinger.";
		$admtext['userfailed'] = "FEJL: Bruger kunne ikke tilføjes, fordi en anden bruger med dette brugernavn allerede eksisterer.";
		$admtext['allow_ged'] = "Tillad at hente GEDCOM-filer";
		$admtext['assigned'] = "Tildelt";
		$admtext['treemsg'] = "Valgfrit. Ved ikke at tildele et træ til en bruger, får denne bruger rettigheder til alle træer og alle grene. Administratoren bør ikke være tildelt et træ.";
		$admtext['branchmsg'] = "Valgfrit. Ved at tildele en gren til brugeren, begrænses rettighederne til den tildelte gren i det valgte træ.";
		$admtext['accesslimits'] = "Adgangsbegrænsninger:";
		$admtext['rights'] = "Rettigheder:";
		$admtext['realname'] = "Dit fulde navn";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Nye brugere";
		$admtext['editnewusers'] = "Redigér registreringer for nye brugere. Nye brugere har ingen rettigheder, før registringerne er behandlede.";
		$admtext['nonewusers'] = "Ingen nye brugere";
		$admtext['lastlogin'] = "Seneste login";
		$admtext['tentative_edit'] = "Tillad at sende ændringsforslag til administratoren (Kun for personer, familier og kilder)";
		$admtext['notify'] = "Giv brugeren besked, når adgangen aktiveres";
		$admtext['no_edit'] = "Ingen redigeringsrettigheder";
		$admtext['emailusers'] = "Brugers mail";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "Send mail til brugere";
		$admtext['subject'] = "Emne";
		$admtext['messagetext'] = "Besked Tekst";
		$admtext['selectgroup'] = "Vælg gruppe, der skal modtage mail (tom, hvis der skal sendes til alle)";
		$admtext['treemailmsg'] = "Indstilling. Valg af et træ vil begrænse meddelelsen til de brugere, der er tilknyttet det træ.";
		$admtext['branchmailmsg'] = "Indstilling. Valg af en gren vil begrænse meddelelsen til de brugere, der er tilknyttet den gren.";
		$admtext['send'] = "Send";
		$admtext['sentmailmessage'] = "Sendt mail";
		$admtext['succmail'] = "Din mail er blevet sendt.";
		$admtext['mailfailed'] = "Din mail blev ikke sendt.";
		$admtext['entersubject'] = "Indtast emne";
		$admtext['entermsgtext'] = "Indtast din besked.";
		$admtext['adminonly'] = "Vis kun Admin-brugere";
		$admtext['dtregistered'] = "Registreret dato";
		$admtext['dtactivated'] = "Aktiveret dato";
		$admtext['no_email'] = "Send ikke mail til denne bruger";
		$admtext['allow_admin'] = "Tillad adgang til alle systemindstillinger og administrative funktioner og giv rettigheder til alle træer og grene.";
		$admtext['limitedrights'] = "Begræns adgang til det følgende:";
		$admtext['allow_edit'] = "Tillad at redigere nuværende poster";
		$admtext['allow_add'] = "Tillad at tilføje nye poster";
		$admtext['allow_delete'] = "Tillad at slette nuværende poster";
		//added in 8.0.0
		$admtext['usrguest'] = "Gæst";
		$admtext['usrguestd'] = "Ingen rettigheder til at tilføje, redigere eller slette.";
		$admtext['noadmin'] = "Ingen adgang til Admin siderne.";
		$admtext['usrsubm'] = "Begrænset bidragyder";
		$admtext['usrsubmd'] = "Send ændringer, der skal tjekkes.";
		$admtext['usrcontrib'] = "Bidragyder";
		$admtext['usrcontribd'] = "Tilføj oplysninger, inklusiv medier";
		$admtext['usreditor'] = "Redaktør";
		$admtext['usreditord'] = "Tilføj, redigér og slet alle oplysninger, inklusiv medier.";
		$admtext['usradmin'] = "Administrator";
		$admtext['usradmind'] = "Alle rettigheder.";
		$admtext['usrmcontrib'] = "Billedbidragyder";
		$admtext['usrmcontribd'] = "Tilføj kun medier";
		$admtext['usrmeditor'] = "Billedredaktør";
		$admtext['usrmeditord'] = "Tilføj, redigér og slet kun billeder";
		$admtext['allow_media_edit'] = "Tillad kun redigering af billeder";
		$admtext['allow_media_add'] = "Tillad kun tilføjelse af billeder";
		$admtext['allow_media_delete'] = "Tillad kun sletning af billeder";
		$admtext['no_add'] = "Ingen rettigheder til at tilføje";
		$admtext['no_delete'] = "Ingen rettigheder til at slette";
		$admtext['roles'] = "Roller";
		$admtext['usrcustom'] = "Alm. bruger";
        //added in 9.0.0
		$admtext['allow_private'] = "Tillad at se private personers oplysninger";
		$admtext['allow_pdf'] = "Tillad at hente PDF filer";
		$admtext['allow_profile'] = "Tillad at redigere brugerprofil";
		break;

	case "login":
		$admtext['loginfailed'] = "Login fejlede";
		$admtext['adminlogfile'] = "Admin logfil";
		$admtext['mostrecentactions'] = "Seneste handlinger";
		$admtext['rempass'] = "Forbliv logget ind på denne computer";
		$admtext['sessexp'] = "Din session er udløbet.";
		$admtext['logagain'] = "Klik for at logge på igen.";
		//added in 8.1.0
		$admtext['logininactive'] = "Dit login er endnu ikke aktiv. Forsøg senere eller kontakt administratoren.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Opret en ny tidslinje begivenhed";
		$admtext['modifytlevent'] = "Redigér nuværende tidslinje begivenhed";
		$admtext['leaveblankalltlevents'] = "lad stå tom for at se alle tidslinje begivenheder";
		$admtext['evyear'] = "Begivenheds år";
		$admtext['evdetail'] = "Begivenheds detaljer";
		$admtext['selecttleventaction'] = "Vælg tidslinje begivenhed og handling";
		$admtext['changestotlevent'] = "Ændringer til tidslinje begivenhed";
		$admtext['location'] = "Sted";
		$admtext['confdeletetlevent'] = "Er du sikker på, at du vil slette denne tidslinje begivenhed?";
		$admtext['enterevyear'] = "Indtast begivenheds året.";
		$admtext['enterevdetail'] = "Indtast begivenhedsdetaljerne.";
		$admtext['existingtleventinfo'] = "Nuværende tidslinje begivenhed";
		$admtext['newtleventinfo'] = "Ny tidslinje begivenhed";
		$admtext['edittleventinfo'] = "Tilføj, redigér eller slet tidslinje begivenhed";
		$admtext['addnewtlevent'] = "Tilføj ny tidslinje begivenhed";
		$admtext['yrreq'] = "(Kun år er nødvendigt)";
		$admtext['startdt'] = "Begyndelsesdato";
		$admtext['enddt'] = "Slutdato";
		//added in 9.0.0
		$admtext['evtitle'] = "Begivenheds titel";
		break;

	case "review":
		$admtext['selectevaction'] = "Vælg begivenhed og handling";
		$admtext['suggested'] = "Foreslået";
		$admtext['usernotes'] = "Notater angående<br />foreslået ændring<br />(bliver ikke gemt)";
		$admtext['postdate'] = "Sendt den";
		$admtext['savedel'] = "Gem og slet";
		$admtext['postpone'] = "Udsæt";
		$admtext['igndel'] = "Ignorér og slet";
		$admtext['tentdel'] = "blev slettet";
		$admtext['tentadd'] = "gjort permanent";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Søg, ret og slet et notat direkte i databasen.";
		$admtext['whatsnewblurb'] = "Vis generelle nyheder eller andre relevante oplysninger øverst i 'Nyheder'-feltet.";
		$admtext['mwblurb'] = "Opret en liste over ukendte personer eller billeder, i håb om at mere opmærksomhed kan give flere oplysninger om disse personer og billeder.";
		$admtext['dvblurb'] = "Find mulige problemer i dine oplysninger.";
		$admtext['wr_gender'] = "Forkert køn";
		$admtext['unk_gender'] = "Ukendt køn";
		$admtext['marr_young'] = "Gift for ung (yngre end 15 år)";
		$admtext['marr_aft_death'] = "Gift efter at være død";
		$admtext['marr_bef_birth'] = "Gift før at  være født";
		$admtext['died_bef_birth'] = "Død før at være født";
		$admtext['parents_younger'] = "Født for tidligt (forældre yngre end 15 år gamle, eller børn født før ægteskab)";
		$admtext['children_late'] = "Født for sent (mor ældre end 50 år)";
		$admtext['not_living'] = "Person markeret som levende, dødsdato eksisterer";
		$admtext['not_dead'] = "Person markeret som død, muligvis stadig i live";
		$admtext['parmarr'] = "Forældrenes Vielse";
		$admtext['motherbirth'] = "Moders Fødsel";
		break;
		
	case "mods":
		$admtext['modlist'] = "MOD Liste";
		$admtext['reqremove'] = "Spørg om sletning af MOD";
		$admtext['confcanc'] = "Bekræft forespørgsel eller afbryd";
		$admtext['confrem'] = "Bekræft sletning";
		$admtext['confirmedrem'] = "Bekræft for at slette MOD";
		$admtext['removed'] = "fjernet";
		$admtext['notremoved'] = "Ikke slettet på grund af følgende fejl";
		$admtext['reqclean'] = "Bekræft rensning af MOD";
		$admtext['confclean'] = "Bekræft rensning";
		$admtext['confirmedclean'] = "Du har bekræftet at MOD skal renses";
		$admtext['cleanatt'] = "Rensning er forsøgt";
		$admtext['cleanperf'] = "Oprydning er foretaget med følgende bemærkninger";
		$admtext['reqedit'] = "Bekræft redigering af MOD";
		$admtext['confedit'] = "Bekræft redigering";
		$admtext['cfgvalsread'] = "Konfigurationsværdier fra TNG filer.";
		$admtext['confirmededit'] = "Bekræftelse på at opdatere MOD med værdier";
		$admtext['editdone'] = "Redigering afsluttet";
		$admtext['editperf'] = "Redigér parametre blev ændret således:";
		$admtext['reqinstall'] = "Bekræft for at installere MOD";
		$admtext['confinst'] = "Bekræft installation";
		$admtext['confirmedinst'] = "Bekræftet forespørgsel om at installere MOD";
		$admtext['installed'] = "Installeret";
		$admtext['notinst2'] = "Ikke installeret på grund af følgende fejl";
		$admtext['reqdelete'] = "Bekræft for at slette MOD konfigurationsfil";
		$admtext['nomodundo'] = "Du kan ikke fortryde denne handling. Du skal hente denne MOD igen hvis du vil installere eller fjerne den senere.";
		$admtext['confdel'] = "Bekræft sletning";
		$admtext['confirmeddel'] = "Bekræftet forespørgsel om sletning af MOD konfigurationsfilen";
		$admtext['deleted'] = "slettet";
		$admtext['cantdel'] = "kan ikke slette";
		$admtext['remman'] = "Fjern denne fil manuelt";
		$admtext['cfgname'] = "Konfigurationsfilens navn";
		$admtext['version'] = "Version";
		$admtext['clean'] = "Oprydning";
		$admtext['nomods'] = "Ingen MOD definitionsfiler (xxx) fundet i MOD-mappen";
		$admtext['notarget'] = "%mål: mærke mangler";
		$admtext['notarget2'] = "ingen mål-filer fundet";
		$admtext['peerror'] = "Parameter redigeringsfejl";
		$admtext['prerror'] = "Parameter læsefejl";
		$admtext['location'] = "Sted";
		$admtext['missing'] = "mangler";
		$admtext['badtarget'] = "Forkert mål-fil";
		$admtext['targetlost'] = "Kan ikke finde mål-fil";
		$admtext['modins'] = "MOD-kode er indsat.";
		$admtext['modtrins'] = "MOD-kode er trimmet og indsat.";
		$admtext['modrepl'] = "MOD-kode er erstattet.";
		$admtext['nfilemissing'] = "Nyt filnavn mangler";
		$admtext['create'] = "Tilføj...";
		$admtext['cantwrite'] = "Kan ikke skrive til";
		$admtext['checkperms'] = "Tjek nuværende rettigheder";
		$admtext['notwrite'] = "er ikke skrivbar, tjek rettigheder";
		$admtext['cfilemissing'] = "Kopier manglende filnavn";
		$admtext['cffilemissing'] = "Kopier (fra) manglende filnavn";
		$admtext['ctfilemissing'] = "Kopier (til) manglende filnavn";
		$admtext['copyfile'] = "Kopier fil xxx til";
		$admtext['cantcopy'] = "Kan ikke kopiere til";
		$admtext['checkwrite'] = "Tjek rettigheder, skal være skrivbar.";
		$admtext['forwrite'] = "til skrivning";
		$admtext['written'] = "Fil er gemt";
		$admtext['toterrors'] = "Totalt antal fejl";
		$admtext['totfiles'] = "Totalt antal nye filer";
		$admtext['notallinst'] = "Ikke alle sektioner blev installeret";
		$admtext['notallrem'] = "Ikke alle sektioner blev slettet";
		$admtext['section'] = "Sektion";
		$admtext['missfile'] = "Manglende fil";
		$admtext['targetsearch'] = "Mål-fil søgning";
		$admtext['insrem'] = "Indsat MOD-kode er fjernet.";
		$admtext['remrem'] = "Fjernet MOD-kode er fjernet.";
		$admtext['trimrem'] = "MOD-kode er rettet og slettet.";
		$admtext['orgrepl'] = "Original kode erstattet";
		$admtext['cantrepl'] = "Kan ikke erstatte original kode, ikke fundet.";
		$admtext['orgtrrepl'] = "Original kode rettet og erstattet";
		$admtext['keyword'] = "nøgleord";
		$admtext['notunique'] = "ikke unikt";
		$admtext['noaction'] = "ingen handling";
		$admtext['novers'] = "Nuværende xxx har ikke noget versionsnummer";
		$admtext['param'] = "Parameter";
		$admtext['params'] = "Parametre";
		$admtext['paramed'] = "Parameter Redigeringsværktøj";
		$admtext['enterparam'] = "Indsæt parameter MOD";
		$admtext['paramval'] = "værdi";
		$admtext['noparams'] = "Ingen parameter definitioner";
		$admtext['nodesc'] = "Parameter definitionsfejl, mangler beskrivelse";
		$admtext['defval'] = "Standard værdi";
		$admtext['updateval'] = "Opdaterer xxx værdi af [yyy] til MOD-konfigurationsfilen.";
		$admtext['rewritten'] = "genskrevet";
		$admtext['fixingcfg'] = "Retter konfigurationsfil";
		$admtext['fixedcfg'] = "Konfigurationsfil rettet";
		$admtext['fixingtar'] = "Retter mål-fil";
		$admtext['fixedtar'] = "Mål-fil rettet";
		$admtext['fincorr'] = "De ønskede data er rettet";
		$admtext['targetupd'] = "Mål-data er opdateret";
		$admtext['written'] = "Fil er gemt";
		$admtext['permerr'] = "Fejl i filrettigheder";
		$admtext['updconfig'] = "Opdatér oplysninger i konfigurationsfil";
		$admtext['configupd'] = "Konfigurationsdata er opdateret, slut på gennemløb";
		//changed in 9.0.0
		$admtext['readvals'] = "Læs nuværende værdier fra TNG filer";
		$admtext['retstatus'] = "Tilbage til Status";
		$admtext['locmissing'] = "Lokal kopi af xxx til installation mangler";
		//added in 9.0.0
		$admtext['needmodupdate'] = "MOD opdateringer er påkrævet";
		$admtext['keywordmissing'] = "Nøgleord mangler. MOD konstruktions fejl.";
		$admtext['cannotinstall'] = "Kan ikke installere denne MOD";
		$admtext['notargetkeyword'] = "Mål fil påkrævet.";
		$admtext['emptytarget'] = "Målet er en tom fil.";
		$admtext['missingtarget'] = "Mål ikke installeret.";
		$admtext['missingfiles'] = "Fil, der skal kopieres, mangler i kildemappen";
		$admtext['pararead'] = "Parametrene læst fra filer";
		$admtext['rewritetarget'] = "Omskriv mål fil";
		$admtext['targetcode'] = "mål kode er";
		$admtext['modtrimrepl'] = "MOD kode trimmet og erstattet.";
		$admtext['cantdelmissing'] = "Kan ikke slette, fil mangler";
		$admtext['totcopyfiles'] = "Antal filer, der skal kopieres";
		$admtext['successfully'] = "Succesfuld";
		$admtext['filecreated'] = "Oprettet";
		//changed in 10.0.3 
		$admtext['editperf'] = "Redigér parametre blev ændret således:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Batch Opdateringer";
		$admtext['options'] = "Indstillinger";
		$admtext['viewlog'] = "Vis Log";
		$admtext['filesexcused'] = "Filer tilladt at fejle";
		$admtext['fileexcused'] = "Fil tilladt at fejle";
		$admtext['copiesexcused'] = "Kopier tilladt at fejle";
		$admtext['copyexcused'] = "Kopi tilladt at fejle";
		$admtext['optionalfile'] = "Valgfri fil angivet ";
		$admtext['installbypassed'] = "installering af afsnit forbigået";
		$admtext['removalbypassed'] = "fjernelse af afsnit forbigået";
		$admtext['target'] = "Changes";
		$admtext['newfile'] = "Opretter";
		$admtext['copiesfile'] = "Kopierer";
		$admtext['copiesfile2'] = "Kopierer til";
		$admtext['aflistoptions'] = "Liste af Muligheder for Berørte Filer";
		$admtext['showaflist'] = "Vis Listen med Berørte Filer ";
		$admtext['shownewfile'] = "Vis Nye Filer på Listen";
		$admtext['showfilecopies'] = "Vis Kopierede Filer på Listen";
		$admtext['namecol'] = "Vis Listen som Kolonne";
		$admtext['showlistas'] = "Vis Listen som";
		$admtext['showastable'] = "Tabel";
		$admtext['showascsv'] = "Komma Separerede Værdier";
		$admtext['batchshowaflist'] = "Vis Listen i Batch Opdateringer";
		$admtext['logoptions'] = "Mod Manager Log Indstillinger";
		$admtext['logactions'] = "Log Mod Manager Handlinger";
		$admtext['mmlogfilename'] = "Log File Navn";
		$admtext['sortlistby'] = "Sortér Listerne efter";
		$admtext['modname'] = "Mod Navn";
		$admtext['bypassconfirm'] = "Forbigå Bekræftelserne";
		$admtext['bypassaction'] = "Forbigå Handlings Beskeder";
		$admtext['modifyoptions'] = "Redigér Mod Manager Indstillinger";
		$admtext['ready'] = "OK til at Installere";
		$admtext['badmod'] = "Kunne Ikke Installeres";
		$admtext['noselected'] = "Der er ikke valgt nogen filer!";
		$admtext['choose'] = "Vælg";
		$admtext['showlogfile'] = "Vis Mod Manager Handlings Log";
		$admtext['recentactions'] = "Mod Manager Seneste Handlinger";
		$admtext['emptylog'] = "Slet Loggen";
		$admtext['clearlog'] = "Slet Loggen";
		$admtext['confirmclearlog'] = "Skal loggen virkelig slettes?";
		$admtext['copyfrom'] = "Kopier fra ";
		$admtext['modsyntax'] = "Mod Syntaks";
		$admtext['modguidelines'] = "Mod Standarder";
		$admtext['analyzer'] = "Analysator";
		$admtext['filemod'] = "Fil xxx modificeret af";
		$admtext['filesel'] = "Vælg Modificerede Fil for at undersøge ændringerne";
		$admtext['potconf'] = "Mulige Konflikter";
		$admtext['modifications'] = "modifikationer";
		$admtext['othermmoptions'] = "Andre";
		$admtext['file'] = "Fil";
		$admtext['tngmods'] = "Mods for TNG ";
		$admtext['unexpected'] = "Uventet søgeord";
		$admtext['syntax'] = "Syntaks";
		//changed in TNG 10.1
		$admtext['copied'] = "kopieret";
		$admtext['emptyfile'] = "filen er tom";
		$admtext['filescopied'] = "filerne kopieret";
		$admtext['notarget'] = "%mål: mærke mangler";
		$admtext['notinst'] = "ikke installeret";
		$admtext['install'] = "Installer";
		$admtext['filedel'] = "Fil slettet";
		$admtext['created'] = "oprettet";
		$admtext['choosefilter'] = "Vælg filteret og klik på Start for de tilgængelige kontroller";
		$admtext['mmmaxloglines'] = "Max antal af transaktioner";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Afinstallere";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Ryd Op";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Redigeringsindstillinger";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "OK til at installere";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "filversion / udgave mismatch";
		$admtext['bomfound'] = "BOM fjernet";
		$admtext['cantinst'] = "kan ikke installere";
		$admtext['cantproc'] = "kan ikke fjerne MOD";
		$admtext['cantupd'] = "kan ikke opdatere parameter";
		$admtext['cleanupall'] = "Ryd op";
		$admtext['confdelmod'] = "Vil du virkelig fjerne denne MOD fra dit system? ";
		$admtext['copiesreq'] = "fil kopier angivet";
		$admtext['delete'] = "Slet";
		$admtext['deleteall'] = "Slet";
		$admtext['errors'] = "fejl";
		$admtext['excused'] = "filer fritaget";
		$admtext['filesinst'] = "filer installeret";
		$admtext['filesrem'] = "filer fjernet";
		$admtext['format'] = "format fejl";
		$admtext['ignored'] = "sted sprunget over";
		$admtext['installall'] = "Installér";
		$admtext['installing'] = "Installerer";
		$admtext['line'] = "Linie";
		$admtext['modified'] = "ændret";
		$admtext['modsinst'] = "kode ændringer installed";
		$admtext['modrem'] = "MOD fjernet";
		$admtext['modsrem'] = "kode ændringer fjernet";
		$admtext['modsreq'] = "kode ændringer angivet";
		$admtext['newfilesreq'] = "nye filer angivet";
		$admtext['nfcreated'] = "ny fil oprettet";
		$admtext['noaccess'] = "ingen adgang";
		$admtext['noact'] = "handlings kode ugyldig";
		$admtext['nocfgfile'] = "MOD fil ikke fundet";
		$admtext['nocode'] = "kode afsnit mangler";
		$admtext['nocomps'] = "manglende elementer";
		$admtext['noend'] = "%end:% kode mangler";
		$admtext['noinsert'] = "indsætning af kode mislykkedes";
		$admtext['noinsrem'] = "indsat kode ikke fjernet";
		$admtext['nolocation'] = "manglende sted kode";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "ikke i stand til erstatte kode";
		$admtext['notgtfile'] = "ikke tilgængelig (ingen mål fil)";
		$admtext['notopened'] = "målfilen ikke åbnet";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "åbnet";
		$admtext['optional'] = "valgfri";
		$admtext['parameter'] = "parameter";
		$admtext['partinst'] = "delvis installeret";
		$admtext['removeall'] = "Fjern";    // was Remove Selected mods
		$admtext['removing'] = "Afinstaller";    // was Removing
		$admtext['reqtag'] = "nødvendig kode mangler";
		$admtext['restparam'] = "Genopretter standard parameter";
		$admtext['return'] = "Tilbage til MOD manager";
		$admtext['secnoterm'] = "afsnit ikke afsluttet";
		$admtext['tagnoterm'] = "kode ikke afsluttet";
		$admtext['tagunk'] = "ukendt kode";
		$admtext['tgtfile'] = "mål fil";
		$admtext['updated'] = "opdateret";
		$admtext['updparam'] = "Opdaterer parameter";
		$admtext['unxend'] = "Uventet afslutning på fil";
		$admtext['warnings'] = "Advarsler";
		$admtext['whitespace'] = "blanke tegn";
		$admtext['locations'] = "steder";
		$admtext['allowdeletepartial'] = "Tillad Slet markerede af delvist installeret MODs";
		$admtext['allowdeleteinstalled'] = "Tillad Slet af individuelt installerede MODs";
		$admtext['showwarnings'] = "Vis MOD Advarsler i status";
		$admtext['logfullpath'] = "Log fuld sti for fil handlinger";
		$admtext['deletingmods'] = "Fjerner MOD filer";
		$admtext['deleting'] = "Fjerner ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Filer";
		$admtext['hasoptions'] = "Muligheder";
		$admtext['update'] = "Updatér";
		$admtext['restore'] = "Gendan standard";
		$admtext['compressnames'] = "Komprimér MOD Navne i MOD Listen";
		$admtext['stayon'] = "Lås";
		$admtext['accessible'] = "tilgængelig(e)";
		$admtext['bypassed'] = "forbigået";
		$admtext['willbypass'] = "vil forbigå";  // was "will bypass"
		$admtext['cantdel'] = "kan ikke slette";
		$admtext['optmissing'] = "fil mangler (valgfrit)";
		$admtext['tgtmissing'] = "målfilen mangler";
		$admtext['optlocked'] = "fil låst (valgfrit)";
		$admtext['tgtlocked'] = "fil låst";
		$admtext['alreadyrem'] = "allerede fjernet";
		$admtext['noaccess'] = "ingen adgang";
		$admtext['code'] = "kode";
		$admtext['alreadyins'] = "allerede installeret";
		$admtext['badinstall'] = "kunne ikke installeres";
		$admtext['removed'] = "fjernet";
		$admtext['deleted'] = "slettet";
		$admtext['optsrcfilemissing'] = "valgfri kilde mangler";
		$admtext['srcfilemissing'] = "kilde mangler";
		$admtext['optnocopy'] = "valgfri fil ikke kopieret";
		$admtext['notcopied'] = "ikke kopieret";
		$admtext['copied'] = "kopieret";
		$admtext['notcreated'] = "kan ikke oprette ny fil";
		$admtext['optnotcreated'] = "kan ikke oprette valgfri ny fil";
		$admtext['nocreated'] = "ikke oprettet";
		$admtext['fixedheader'] = "Brug Faste Overskrifter";
		$admtext['cantremok'] = "kan ikke fjernes, valgfri, forbigået";
		$admtext['nofolder'] = "målmappen mangler";
		$admtext['edparams'] = "redigér parametrene";
		$admtext['compresslog'] = "Skjul Log Visning";
		$admtext['showanalyzer'] = "Vis Analysator faneblad";
		$admtext['formodname'] = "for MOD navn ";
		$admtext['nofolder'] = "målmappen mangler";
		$admtext['fileperms'] = "Tjek fil egenskaber";
		$admtext['noparam'] = "parameter mangler";
		$admtext['editing'] = "redigering";
		$admtext['redirect2log'] = "Omdirigering til Log For";
		$admtext['on_error'] = "Kun Fejl";
		$admtext['on_all'] = "Alle Handlinger";
		$admtext['usestriping'] = "Brug striber";
		$admtext['stripeafter'] = "Stripe efter antal rækker";
		$admtext['adjusthdrs'] = "Tilpas Faste Overskrifter";
		$admtext['displayoptions'] = "Visning Indstillinger";
		$admtext['no_frag'] = "kode fragment ikke tilladt her";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Er det sikkert, at denne DNA-test skal slettes?";
		$admtext['test_type'] = "Test Type";
		$admtext['test_number'] = "Test Nummer";
		$admtext['test_date'] = "Test Dato";
		$admtext['modifydna'] = "Redigér Eksisterende DNA-Test";
		$admtext['changestoalldna'] = "Ændringer til alle DNA-tests";
		$admtext['addnewdna'] = "Tilføj Ny DNA-Test";
		$admtext['testinfo'] = "Test Oplysning";
		$admtext['urls'] = "Relevante Links";
		$admtext['dnalater'] = "BEMÆRK: DNA-Test kan knyttes til andre personer på næste skærm.";
		$admtext['selecttype'] = "Vælg en test type.";
		$admtext['entertestnum'] = "Indtast test nummer.";
		$admtext['test_taker'] = "Person som tog denne test";
		$admtext['test_links'] = "Personer forbundet via denne Test";
		$admtext['changestotest'] = "Ændringer til testen";
		break;
}

//common
$admtext['cannotexecutequery'] = "Kan ikke køre forespørgsel";
$admtext['addnew'] = "Tilføj ny";
$admtext['individuals'] = "personer";
$admtext['succadded'] = "blev tilføjet";
$admtext['succaddedlinked'] = "blev tilføjet og tilknyttet";
$admtext['succsaved'] = "blev gemt";
$admtext['succdeleted'] = "blev slettet";
$admtext['succdeletedpluslinks'] = "blev slettet sammen med alle tilknytninger";
$admtext['text_delete'] = "Slet";
$admtext['deleted'] = "Slettet";
$admtext['deleteselected'] = "Slet valgte";
$admtext['noresults'] = "Ingen resultater fundet. Prøv igen.";
$admtext['action'] = "Handling";
$admtext['id'] = "ID";
$admtext['edit'] = "Redigér";
$admtext['notes'] = "Notater";
$admtext['name'] = "Navn";
$admtext['description'] = "Beskrivelse";
$admtext['text_continue'] = "Fortsæt...";
$admtext['searchfor'] = "Søg efter";
$admtext['lookin'] = "Se i (markér, hvad der er brugbart)";
$admtext['cemeteryid'] = "Kirkegårds-ID";
$admtext['exactmatch'] = "Kun præcis match";
$admtext['nothingtodelete'] = "Intet at slette";
$admtext['state'] = "Stat, Herred el.lign.";
$admtext['country'] = "Land";
$admtext['finish'] = "Færdig";
$admtext['ifphotouploaded'] = "Lad dette felt stå tomt, hvis filen allerede er i billedmappen.";
$admtext['eventtype'] = "Begivenhedstype";
$admtext['source'] = "Kilde";
$admtext['savechanges'] = "Gem ændringer";
$admtext['family'] = "Familie";
$admtext['find'] = "Find...";
$admtext['create'] = "Tilføj...";
$admtext['sourceid'] = "Kilde-ID";
$admtext['birthabbr'] = "f.";
$admtext['chrabbr'] = "db.";
$admtext['remove'] = "Fjern";
$admtext['moveup'] = "Flyt op";
$admtext['movedown'] = "Flyt ned";
$admtext['enterpersonid'] = "Indtast person-ID";
$admtext['personid'] = "Person-ID";
$admtext['otherevents'] = "Andre begivenheder";
$admtext['required'] = "Påkrævet";
$admtext['children'] = "Børn";
$admtext['chrdate'] = "Dåbsdato";
$admtext['chrplace'] = "Dåbssted";
$admtext['deathdate'] = "Dødsdato";
$admtext['deathplace'] = "Dødssted";
$admtext['burialdate'] = "Begravelsesdato";
$admtext['burialplace'] = "Begravelsessted";
$admtext['birthdate'] = "Fødselsdato";
$admtext['birthplace'] = "Fødselssted";
$admtext['title'] = "Titel";
$admtext['sex'] = "Køn";
$admtext['marriagedate'] = "Vielsesdato";
$admtext['marriageplace'] = "Vielsessted";
$admtext['lastname'] = "Efternavn";
$admtext['firstname'] = "Fornavn(e)";
$admtext['filename'] = "Filnavn";
$admtext['linkspersonid'] = "Tilknytninger (Person-ID)";
$admtext['cannotopen'] = "Kan ikke åbne fil";
$admtext['check'] = "Tjek";
$admtext['generate'] = "Udfør";
$admtext['update'] = "Opdatér";
$admtext['confdeleteevent'] = "Er du sikker på, at du vil slette denne begivenhed?";
$admtext['existinglinks'] = "Nuværende tilknytninger:<br>(markér for at slette)";
$admtext['lowersortfirst'] = "Lavere numre sorteres først. Decimaltal kan også bruges.";
$admtext['personsname'] = "Personens navn";
$admtext['tablecreation'] = "Tabeldannelse";
$admtext['tracklines'] = "Spor linjer";
$admtext['administration'] = "Administration";
$admtext['text_or'] = "ELLER";
$admtext['cemeteries'] = "Kirkegårde";
$admtext['families'] = "Familier";
$admtext['headstones'] = "Gravsten";
$admtext['histories'] = "Historier";
$admtext['people'] = "Personer";
$admtext['photos'] = "Billeder";
$admtext['reports'] = "Rapporter";
$admtext['sources'] = "Kilder";
$admtext['suffix'] = "Suffiks";
$admtext['add'] = "Tilføj";
$admtext['confdeleteentity'] = "Er du sikker på, at du vil slette det valgte";
$admtext['cemetery'] = "Kirkegård";
$admtext['language'] = "Sprog";
$admtext['display'] = "Vis";
$admtext['languages'] = "Sprog";
$admtext['orderpound'] = "Orden #";
$admtext['tree'] = "Træ";
$admtext['alltrees'] = "Alle træer";
$admtext['selectaddtree'] = "Træ (vælg eller tilføj et nyt)";
$admtext['selecttree'] = "Vælg/Tilføj et træ.";
$admtext['treebefevent'] = "Du skal vælge eller indtaste et trænavn, før du kan tilføje nye begivenheder.";
$admtext['text_rename'] = "Omdøb";
$admtext['clear'] = "Tøm";
$admtext['linktothis'] = "Knyt til denne person";
$admtext['linkexample'] = "(indtast ID, f.eks. \"I###\")";
$admtext['existingconfig'] = "Nuværende konfiguration";
$admtext['lastmodified'] = "Sidst ændret";
$admtext['addnotes'] = "Yderligere notater";
$admtext['confdeletenote'] = "Er du sikker på, at du vil slette dette notat?";
$admtext['treebefnote'] = "Du skal vælge eller indtaste et trænavn, før du kan tilføje nye notater.";
$admtext['general'] = "Generel";
$admtext['entersearchvalue'] = "Indtast venligst en søgeværdi.";
$admtext['trees'] = "Træer";
$admtext['users'] = "Brugere";
$admtext['lds'] = "LDS";
$admtext['norights'] = "Du har ikke tilladelse til at se denne side. Hvis du har brugernavn og adgangskode, så log venligst ind herunder.";
$admtext['username'] = "Brugernavn";
$admtext['password'] = "Adgangskode";
$admtext['login'] = "Log ind";
$admtext['logout'] = "Log ud";
$admtext['city'] = "By";  //from cemeteries
$admtext['cap_country'] = "Land";  //from cemeteries
$admtext['addnewtree'] = "Tilføj nyt træ";
$admtext['test'] = "Test";
$admtext['page'] = "Side";  //from sources
$admtext['folder'] = "mappe";   //from languages
$admtext['confdeletepers'] = "Er du sikker på, at du vil slette denne person?";
$admtext['save'] = "Gem";
$admtext['of'] = "af";
$admtext['size'] = "Størrelse";
$admtext['select'] = "Vælg";
$admtext['open'] = "Åbn";
$admtext['selectfile'] = "Vælg fil";
$admtext['altdesc'] = "Alternativ beskrivelse";
$admtext['altnotes'] = "Alternative notater";
$admtext['savereturn'] = "Tilbage til denne side";
$admtext['saveback'] = "Tilbage til menuen";
$admtext['user'] = "Bruger";
$admtext['DIV'] = "Skilt";
$admtext['search'] = "Søg";  //from findpersonform
$admtext['searchresults'] = "Søgeresultater";  //from people
$admtext['clicktoselect'] = "Klik for at vælge";
$admtext['familyid'] = "Familie-ID";  //from families
$admtext['secondary'] = "Sekundære processer";
$admtext['commas'] = "Adskil flere indtastninger med kommaer";
$admtext['onsave'] = "Ved 'Gem'";
$admtext['adminhome'] = "Admin Hjem";
$admtext['labelbranches'] = "Navngiv grene";
$admtext['branch'] = "Gren";
$admtext['findperson'] = "Find person...";
$admtext['findfamily'] = "Find familie...";
$admtext['repeatlastq'] = "Gentag sidste søgning";
$admtext['alwayson'] = "Altid synlig";
$admtext['all'] = "Alle";
$admtext['lnprefix'] = "Efternavn præfiks";
$admtext['nameorder'] = "Navneorden";
$admtext['western'] = "Fornavn først";
$admtext['lockid'] = "Lås";
$admtext['linktothese'] = "Knyt til:";
$admtext['alsolinkto'] = "Knyt også til:";
$admtext['linkspersfam'] = "Tilknytninger (Person-, familie- eller kilde-ID)";
$admtext['findsource'] = "Find kilder...";
$admtext['address'] = "Adresse";
$admtext['stateprov'] = "Region/Amt";
$admtext['zip'] = "Postnr.";
$admtext['merge'] = "Flet";
$admtext['otherinfo'] = "Andre oplysninger";
$admtext['available'] = "Ledig";
$admtext['backuprestore'] = "Backup / Gendan";
$admtext['place'] = "Sted";
$admtext['treeid'] = "Træ-ID";
$admtext['email'] = "Mail";
$admtext['event'] = "Begivenhed";
$admtext['eventdate'] = "Begivenheds Dato";
$admtext['eventplace'] = "Begivenheds Sted";
$admtext['detail'] = "Detaljer";
$admtext['export'] = "Eksport";
$admtext['tlevents'] = "Tidslinjer";
$admtext['places'] = "Steder";
$admtext['duplicate'] = "Ændringer blev ikke gemt. En anden optagelse med samme nøgle findes allerede.";
$admtext['alttitle'] = "Alternativ titel";
$admtext['enttitle'] = "Titel";  //title for a history or photo, not a person
$admtext['address1'] = "Adresse 1";
$admtext['address2'] = "Adresse 2";
$admtext['countryaddr'] = "Land";
$admtext['branches'] = "Grene";
$admtext['nobranch'] = "Ingen gren";
$admtext['scrollbranch'] = "(Rul ned for at se alle valgmuligheder)";
$admtext['matches'] = "Match";
$admtext['review'] = "Gennemse";
$admtext['allusers'] = "Alle brugere";
$admtext['deathabbr'] = "d.";
$admtext['burialabbr'] = "begr.";
$admtext['nochanges'] = "Der blev ikke lavet ændringer.";
$admtext['changestoallitems'] = "Ændringer til alle punkter";  //were made successfully
$admtext['find2'] = "Find";
$admtext['text_sort'] = "Sortér";
$admtext['documents'] = "Dokumenter";
$admtext['repository'] = "Arkiv";
$admtext['more'] = "Flere";
$admtext['repositories'] = "Arkiver";
$admtext['divplace'] = "Skilsmisse Sted";
$admtext['divdate'] = "Skilsmisse Dato";
$admtext['divdatetr'] = "Skilsmisse Dato (Sand)";
$admtext['creategendex'] = "Opret GENDEX";
$admtext['datamaint'] = "Import/Eksport";
$admtext['imagefiletoupload'] = "Billedfil, der skal uploades";
$admtext['indfamorsrc'] = "personer, familier eller kilder";
$admtext['improperpermissions'] = "fordi denne mappe ikke har de korrekte tilladelser. Prøv chmod(777)";
$admtext['person'] = "Person";
$admtext['setup'] = "Opsætning";
$admtext['manage'] = "Håndtér";
$admtext['reset'] = "Rens søgefelt";
$admtext['norecords'] = "Der eksisterer ingen poster.";
$admtext['secondarymaint'] = "Sekundære vedligeholdelses processer";
$admtext['customeventtypes'] = "Begivenhedstyper";
$admtext['findmatches'] = "Find dubletter";
$admtext['matchthese'] = "Match de følgende felter:";
$admtext['otheroptions'] = "Andre muligheder:";
$admtext['ignoreblanks'] = "Ignorér tomme felter";
$admtext['nextmatch'] = "Næste match";
$admtext['nextdup'] = "Næste dublet";
$admtext['comprefresh'] = "Sammenlign/Opdatér";
$admtext['mswitch'] = "Skift";
$admtext['nomatches'] = "Ingen matchede";
$admtext['combineextras'] = "Kombiner billeder og historier";  //changed as well
$admtext['fasterdisplay'] = "Bemærk: Denne side er formatteret anderledes for at kunne vises hurtigere.";
$admtext['publichome'] = "Forside";
$admtext['selectall'] = "Vælg alt";
$admtext['clearall'] = "Slet alt";
$admtext['media'] = "Media";
$admtext['albums'] = "Album";
$admtext['import'] = "Import";
$admtext['item'] = "Element";
$admtext['combinenotesonly'] = "Kombinér notater";
$admtext['addmedia'] = "Tilføj Medie";
$admtext['latitude'] = "Breddegrad";
$admtext['longitude'] = "Længdegrad";
$admtext['gedimport'] = "GEDCOM import";
$admtext['improper2'] = "fordi den originale fil er for stor eller ikke er et tilladt billede, eller fordi mappen ikke eksisterer (tjek rodstien) eller ikke har de nødvendige tilladelser (prøv chmod(777)).";
$admtext['confdeleterecs'] = "Er du sikker på, at du vil slette de valgte poster?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocode beliggenhed";
$admtext['notfound'] = " ikke fundet. Prøv en anden søgning. Kontroller Hjælp til Kortsøgning for mulige årsager til at søgningen fejlede eller prøv igen via Fuld Google Kortsøgning";
$admtext['showhidemap'] = "Vis/skjul klikbare kort";
$admtext['getcoords'] = "(for at bestemme breddegrad, længdegrad og zoom)";
$admtext['searchstring'] = "Søg efter et sted";
$admtext['zoom'] = "Zoom";
$admtext['selectplacelevel'] = "Vælg stedniveau";
$admtext['difficultmap'] = "Fuld Google Kortsøgning";
$admtext['maphelp'] = "Hjælp til Kortsøgning";
$admtext['gobutton'] = "Søg";
$admtext['findpersonid'] = "Find person-ID";
$admtext['findfamilyid'] = "Find familie-ID";
$admtext['findsourceid'] = "Find kilde-ID";
$admtext['entersourcepart'] = "Indtast del af kildetitel";
$admtext['findrepoid'] = "Find arkiv-ID";
$admtext['enterrepopart'] = "Indtast arkivnavn eller del deraf";
$admtext['findplace'] = "Find sted";
$admtext['enterplacepart'] = "indtast en del af et stednavn";
$admtext['entereventinfo'] = "Indtast venligst en ny begivenhedsdato, et begivenhedssted eller detaljerne for denne begivenhed.";
$admtext['entereventtype'] = "Vælg venligst en begivenhedstype.";
$admtext['enternote'] = "Indtast venligst notat teksten.";
$admtext['selectsource'] = "Vælg en kilde.";
$admtext['confdeletecite'] = "Er du sikker på, at du vil slette denne henvisning?";
$admtext['spouses'] = "Ægtefæller/partnere";
$admtext['entertreeid'] = "Indtast et træ-ID.";
$admtext['entertreename'] = "Indtast et trænavn.";
$admtext['citations'] = "Henvisninger";
$admtext['eventtypes'] = "Begivenhedstyper";
$admtext['associations'] = "Tilknytninger";
$admtext['makefolder'] = "Opret en mappe";
$admtext['allcurrentdata'] = "Alle aktuelle data";
$admtext['matchingonly'] = "Kun matchende poster";
$admtext['donotreplace'] = "Erstat ingen data";
$admtext['useroffset'] = "Begynd ID'er ved:";
$admtext['phone'] = "Telefon";
$admtext['website'] = "Hjemmeside";
$admtext['thumb'] = "Miniature";  //as in thumbnail
$admtext['displayorder'] = "Visningsorden";
$admtext['go'] = "OK";
$admtext['help'] = "Hjælp";
$admtext['husband'] = "Mand";
$admtext['wife'] = "Kvinde";
$admtext['husbname'] = "Mands navn";
$admtext['wifename'] = "Kvindes navn";
$admtext['drag'] = "Træk";
$admtext['enterinamepart'] = "Indtast del af for- og/eller efternavn";
$admtext['enterfnamepart'] = "Indtast del af faderens og/eller moderens navn.";
$admtext['hide'] = "Skjul";
$admtext['toggle'] = "Skift Visning";
$admtext['wsel'] = "Med valgte:";
$admtext['msg'] = "Besked";
$admtext['default'] = "Standard";
$admtext['events'] = "Begivenheder";
$admtext['date'] = "Dato";
$admtext['savecont'] = "Gem og fortsæt...";
$admtext['alphanum'] = "Brug kun alfanummeriske karakterer i træ ID.";
$admtext['mediatypes'] = "Billedtyper";
$admtext['appendall'] = "Tilføj alle poster";
$admtext['NPFX'] = "Præfiks";
$admtext['prefix'] = "Præfiks";
$admtext['mostwanted'] = "Mest eftersøgte";
$admtext['idexists'] = "kunne ikke tilføjes, fordi ID allerede eksisterer.";
$admtext['notdeleted'] = "Filen kunne ikke slettes. Kontroller filrettigheder.";
$admtext['confdeletefile'] = "Er du sikker på, at du vil slette denne fil?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Bemærk:</strong> Ved indtastning af datoer bruges standard formatet dd mmm åååå. For eksempel: 10 apr 2004.";
$admtext['oriental'] = "Efternavn først (uden komma)";
$admtext['langfolder'] = "Sprogmappe";
//moved here in 8.0.0
$admtext['active'] = "Aktiv";
$admtext['repoid'] = "Arkiv-ID";
$admtext['whatsnew'] = "Nyheder";
$admtext['linkedto'] = "Er knyttet til";
$admtext['status'] = "Status";
//added in 8.0.0
$admtext['show'] = "Vis";
$admtext['lnfirst'] = "Efternavn først (med komma)";
$admtext['savefirst'] = "Gem ændringer først?";
$admtext['misc'] = "Diverse";
$admtext['modmgr'] = "MOD Administration";
$admtext['menu'] = "Menu";
$admtext['cannotopendir'] = "Kan ikke åbne mappe";
$admtext['reviewsh'] = "Gennemse"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Afbryd";
$admtext['enterpassoc'] = "Indtast ID for den tilknyttede person.";
$admtext['enterrela'] = "Indtast slægtskab.";
$admtext['confdeleteassoc'] = "Er du sikker på, at du vil slette denne tilknytning?";
$admtext['preview'] = "Forhåndsvisning";
$admtext['livingonly'] = "Kun nulevende";
$admtext['tentdata'] = "Midlertidig begivenhedspost";
$admtext['checking'] = "Tjekker...Vent venligst";
//added in 9.0.0
$admtext['clickresume'] = "klik her for at genoptage";
$admtext['copylast'] = "Kopier Sidste";
$admtext['nicbold'] = "Klik for Fed Skrift";
$admtext['nicitalic'] = "Klik for Kursiv Skrift";
$admtext['nicunderline'] = "Klik for Understreget Skrift";
$admtext['niclalign'] = "Venstrejuster";
$admtext['niccalign'] = "Centrer";
$admtext['nicralign'] = "Højrejuster";
$admtext['nicjalign'] = "Juster";
$admtext['nicinsol'] = "Indsæt Sorteret Liste";
$admtext['nicinsul'] = "Indsæt Usorteret Liste";
$admtext['nicsub'] = "Klik for Sænket Skrift";
$admtext['nicsup'] = "Klik for Hævet Skrift";
$admtext['nicstrike'] = "Klik for Gennemstreget Skrift";
$admtext['nicremfmt'] = "Fjern Formatering";
$admtext['nicindent'] = "Indryk Tekst";
$admtext['nicremind'] = "Fjern Indrykning";
$admtext['nichr'] = "Vandret Linie";
$admtext['nicfontsz'] = "Skrifttype&nbsp;Størrelse";
$admtext['nicfontfam'] = "Skrifttype&nbsp;Familie";
$admtext['nicfontfmt'] = "Skrifttype&nbsp;Format";
$admtext['niclink'] = "Tilføj Link";
$admtext['nicremlink'] = "Fjern Link";
$admtext['nictxtcol'] = "Skift Tekst Farve";
$admtext['nicbkgcol'] = "Skift Baggrunds Farve";
$admtext['nicimage'] = "Tilføj Billede";
$admtext['change'] = "Skift";
$admtext['editwarn'] = "Din lås på denne post er ved at udløbe. Gem dine ændringer nu for at forhindre dem i at blive overskrevet af en anden bruger.";
$admtext['editconflict'] = "En anden bruger redigerer allerede denne post. Prøv venligst igen lidt senere.";
$admtext['retry'] = "Prøv igen";
$admtext['notsaved'] = "Ændringerne blev ikke gemt. En anden bruger har låst denne post.";
//changed in 9.2.0
$admtext['linktype'] = "Type";
//moved here in 10.0.0
$admtext['disabled'] = "Deaktiveret";
$admtext['cremated'] = "Kremeret";
//added in 10.0.0
$admtext['videos'] = "Videoer";
$admtext['recordings'] = "Optagelser";
$admtext['saveexit'] = "Gem  og  Afslut";
$admtext['allbranches'] = "Alle Grene";
//moved here in 11.0.0
$admtext['nickname'] = "Kælenavn";
$admtext['role'] = "Rolle";
$admtext['commas'] = "Adskil flere indtastninger med kommaer";
$admtext['confdellink'] = "Er du sikker på, at du vil slette dette link?";
$admtext['existlinks'] = "Nuværende links";
$admtext['report'] = "Rapport";
//added in 11.0.0
$admtext['sortby'] = "Sortér efter";
$admtext['unlink'] = "Fjern Linket";
$admtext['privateonly'] = "Kun private";
$admtext['dna_links'] = "DNA Links";
$admtext['dataval'] = "Data Godkendelse";
$admtext['norels'] = "Slå slægtskabs meddelelser fra";

//change to $text
$admtext['living'] = "Nulevende";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>