<?php
switch ( $textpart ) {
	//browsesources.php, showsource.php
	case "sources":
		$text['browseallsources'] = "Toutes les sources";
		$text['shorttitle'] = "Titre court";
		$text['callnum'] = "Numéro d'archive";
		$text['author'] = "Auteur";
		$text['publisher'] = "Editeur";
		$text['other'] = "Autre information";
		$text['sourceid'] = "ID de la source";
		$text['moresrc'] = "Autres sources";
		$text['repoid'] = "ID du Lieu de dépôt";
		$text['browseallrepos'] = "Chercher les lieux de dépôt";
		break;

	//changelanguage.php, savelanguage.php
	case "language":
		$text['newlanguage'] = "Nouvelle langue";
		$text['changelanguage'] = "Changer la Langue";
		$text['languagesaved'] = "Langue enregistrée";
		$text['sitemaint'] = "Entretien du site Web en cours";
		$text['standby'] = "Notre site Web est temporairement hors service pendant que nous mettons à jour notre base de données. Veuillez essayer de nouveau dans quelques minutes. Si notre site Web demeure inaccessible pour une période prolongée, veuillez <a href=\"suggest.php\">contacter le propriétaire du site Web </a>.";
		break;

	//gedcom.php, gedform.php
	case "gedcom":
		$text['gedstart'] = "GEDCOM démarre de";
		$text['producegedfrom'] = "Produire un fichier GEDCOM depuis";
		$text['numgens'] = "Nombre de générations";
		$text['includelds'] = "Inclure information LDS";
		$text['buildged'] = "Contruire GEDCOM";
		$text['gedstartfrom'] = "GEDCOM commence à";
		$text['nomaxgen'] = "Vous devez spécifier un nombre maximum de générations. Veuillez cliquer sur le bouton 'Précédent' et corriger l'erreur";
		$text['gedcreatedfrom'] = "GEDCOM créé depuis";
		$text['gedcreatedfor'] = "créé pour";
		$text['creategedfor'] = "Creer un fichier GEDCOM";
		$text['email'] = "Adresse de courriel";
		$text['suggestchange'] = "Suggérez une modification";
		$text['yourname'] = "Votre nom";
		$text['comments'] = "Notes ou Commentaires";
		$text['comments2'] = "Commentaires";
		$text['submitsugg'] = "Soumettez une suggestion";
		$text['proposed'] = "Changement Proposé";
		$text['mailsent'] = "Merci. Votre message a été envoyé.";
		$text['mailnotsent'] = "Désolé, mais votre message n'a pu être envoyé. Veuillez directement contacter xxx à yyy";
		$text['mailme'] = "Envoyez une copie à cette addresse";
		$text['entername'] = "Merci d'inscrire votre nom";
		$text['entercomments'] = "Merci d'inscrire vos commentaires";
		$text['sendmsg'] = "Envoyer le message";
		//added in 9.0.0
		$text['subject'] = "Objet";
		break;

	//getextras.php, getperson.php
	case "getperson":
		$text['photoshistoriesfor'] = "Photos et historique de";
		$text['indinfofor'] = "Info personnelle concernant";
		$text['pp'] = "pp."; //page abbreviation
		$text['age'] = "âge";
		$text['agency'] = "Agence";
		$text['cause'] = "Cause";
		$text['suggested'] = "Suggéré";
		$text['closewindow'] = "Fermez cette fenêtre";
		$text['thanks'] = "Merci";
		$text['received'] = "Le changement que vous avez proposé sera inclus après vérification par l'administrateur du site.";
		$text['indreport'] = "Rapport individuel";
		$text['indreportfor'] = "Rapport individuel pour";
		$text['general'] = "Généralités";
		$text['bkmkvis'] = "<strong>Note:</strong> Ces signets sont seulement visibles sur cet ordinateur et avec ce navigateur.";
        //added in 9.0.0
		$text['reviewmsg'] = "Vous avez une proposition de changement qui nécessite une révision de votre part. Cette proposition concerne:";
        $text['revsubject'] = "Le changement proposé nécessite une révision de votre part";
        break;

	//relateform.php, relationship.php, findpersonform.php, findperson.php
	case "relate":
		$text['relcalc'] = "Calculateur de liens de parenté";
		$text['findrel'] = "Recherche de liens de parenté";
		$text['person1'] = "Personne 1:";
		$text['person2'] = "Personne 2:";
		$text['calculate'] = "Calcul";
		$text['select2inds'] = "Veuillez sélectionner deux individus.";
		$text['findpersonid'] = "Trouvez l'ID de la personne";
		$text['enternamepart'] = "Introduire le prénom ou le nom de famille ";
		$text['pleasenamepart'] = "Veuillez introduire le prénom ou le nom de famille.";
		$text['clicktoselect'] = "Cliquez pour sélectionner";
		$text['nobirthinfo'] = "Pas de données de naissance";
		$text['relateto'] = "Liens de parenté avec";
		$text['sameperson'] = "Les deux individus sont identiques";
		$text['notrelated'] = "Les deux individus n'ont pas de liens de parenté sur xxx générations."; //xxx will be replaced with number of generations
		$text['findrelinstr'] = "Pour afficher les liens de parenté entre deux personnes, utilisez le bouton 'Recherche' ci-dessous pour trouver les individus (ou conservez les individus affichés), ensuite cliquez sur 'Calculer'.";
		$text['sometimes'] = "(Parfois le fait de vérifier un autre nombre de générations donne un résultat différent)";
		$text['findanother'] = "Trouver un autre lien";
		$text['brother'] = "le frère de";
		$text['sister'] = "la soeur de";
		$text['sibling'] = "le frère ou la soeur de";
		$text['uncle'] = "le xxx oncle de";
		$text['aunt'] = "la xxx tante de";
		$text['uncleaunt'] = "le xxx oncle/tante de";
		$text['nephew'] = "le xxx neveu de";
		$text['niece'] = "la xxx nièce de";
		$text['nephnc'] = "le xxx neveu/nièce de";
		$text['removed'] = "générations de différence (\"times removed\")";
		$text['rhusband'] = "l'époux de ";
		$text['rwife'] = "l'épouse de ";
		$text['rspouse'] = "le conjoint de ";
		$text['son'] = "le fils de";
		$text['daughter'] = "la fille de";
		$text['rchild'] = "l'enfant de";
		$text['sil'] = "le gendre de";
		$text['dil'] = "la bru de";
		$text['sdil'] = "le gendre ou la bru de";
		$text['gson'] = "le xxx petit-fils de";
		$text['gdau'] = "la xxx petite-fille de";
		$text['gsondau'] = "le xxx petit-fils/petite-fille de";
		$text['great'] = "arrière";
		$text['spouses'] = "sont conjoints";
		$text['is'] = "est";
		$text['changeto'] = "Changez en:";
		$text['notvalid'] = "n'est pas un ID valide ou n'existe pas dans cette base de données.  Veuillez essayer de nouveau.";
		$text['halfbrother'] = "le demi-frère de ";
		$text['halfsister'] = "la demi-soeur de ";
		$text['halfsibling'] = "demi frère/soeur de";
		//changed in 8.0.0
		$text['gencheck'] = "Générations max <br />à vérifier";
		$text['mcousin'] = "le xxx cousin yyy de";  //male cousin; xxx = cousin number, yyy = times removed
		$text['fcousin'] = "la xxx cousine yyy de";  //female cousin
		$text['cousin'] = "le xxx cousin yyy de";
		$text['mhalfcousin'] = "le xxx demi cousin  yyy de";  //male cousin
		$text['fhalfcousin'] = "la xxx demi cousine yyy de";  //female cousin
		$text['halfcousin'] = "le xxx demi cousin  yyy de";
		//added in 8.0.0
		$text['oneremoved'] = "au premier degré";
		$text['gfath'] = "le grand-père";
		$text['gmoth'] = "la grand-mère";
		$text['gpar'] = "les grands-parents";
		$text['mothof'] = "la mère de";
		$text['fathof'] = "le père de";
		$text['parof'] = "le parent de";
		$text['maxrels'] = "nombre maximal de relations à voir";
		$text['dospouses'] = "voir relations comprenant un epoux/ une epouse";
		$text['rels'] = "relations";
		$text['dospouses2'] = "voir épouses";
		$text['fil'] = "le beau père de";
		$text['mil'] = "la belle mere de";
		$text['fmil'] = "le beau père ou belle mere de";
		$text['stepson'] = "le beau fils de";
		$text['stepdau'] = "la belle fille de";
		$text['stepchild'] = "le beau fils / belle fille de";
		$text['stepgson'] = "le xxx arrière beau petit fils de";
		$text['stepgdau'] = "la xxx arrière belle petite fille de";
		$text['stepgchild'] = "le xxx arrière beau petit fils / belle petite fille de";
		//added in 8.1.1
		$text['ggreat'] = "arrière";
		//added in 8.1.2
		$text['ggfath'] = "le xxx arrière-grand-père de";
		$text['ggmoth'] = "la xxx arrière-grand-mère de";
		$text['ggpar'] = "les xxx arrière-grands-parents de";
		$text['ggson'] = "le xxx petit-fils de";
		$text['ggdau'] = "la xxx petite-fille";
		$text['ggsondau'] = "le xxx petit-enfant de";
		$text['gstepgson'] = "le xxx petit-fils de";
		$text['gstepgdau'] = "la xxx petite-fille";
		$text['gstepgchild'] = "le xxx petit-enfant de";
		$text['guncle'] = "le xxx grand-oncle de";
		$text['gaunt'] = "la xxx grande-tante de";
		$text['guncleaunt'] = "xxx grand-oncle / grande-tante de";
		$text['gnephew'] = "le xxx petit-neveu de";
		$text['gniece'] = "la xxx petite-nièce de";
		$text['gnephnc'] = "xxx petit-neveu ou petite-nièce de";
		break;

	case "familygroup":
		$text['familygroupfor'] = "Page de la famille de";
		$text['ldsords'] = "Ordonnances LDS";
		$text['baptizedlds'] = "Baptisé (LDS)";
		$text['endowedlds'] = "Doté (LDS)";
		$text['sealedplds'] = "Doté parents (LDS)";
		$text['sealedslds'] = "Conjoint(e) doté(e) (LDS)";
		$text['otherspouse'] = "Autre conjoint(e)";
		$text['husband'] = "Mari";
		$text['wife'] = "Femme";
		break;

	//pedigree.php
	case "pedigree":
		$text['capbirthabbr'] = "N";
		$text['capaltbirthabbr'] = "A";
		$text['capdeathabbr'] = "D";
		$text['capburialabbr'] = "E";
		$text['capplaceabbr'] = "L";
		$text['capmarrabbr'] = "M";
		$text['capspouseabbr'] = "EP.";
		$text['redraw'] = "Redessiner avec";
		$text['scrollnote'] = "Notes: Utilisez les barres de défilement pour voir tout l'arbre.";
		$text['unknownlit'] = "Inconnu";
		$text['popupnote1'] = " = Information supplémentaire";
		$text['popupnote2'] = " = Nouvel arbre";
		$text['pedcompact'] = "Compacte";
		$text['pedstandard'] = "Standard";
		$text['pedtextonly'] = "Texte seul";
		$text['descendfor'] = "Descendance de";
		$text['maxof'] = "Maximum de";
		$text['gensatonce'] = "générations affichées en même temps";
		$text['sonof'] = "fils de";
		$text['daughterof'] = "fille de";
		$text['childof'] = "enfant de";
		$text['stdformat'] = "Format standard";
		$text['ahnentafel'] = "Ahnentafel";
		$text['addnewfam'] = "Ajouter une nouvelle famille";
		$text['editfam'] = "Editer la famille";
		$text['side'] = "(Ascendants)";
		$text['familyof'] = "Famille de";
		$text['paternal'] = "Paternel";
		$text['maternal'] = "Maternel";
		$text['gen1'] = "Soi-même";
		$text['gen2'] = "Parents";
		$text['gen3'] = "Grand-parents (Aïeuls)";
		$text['gen4'] = "Bisaïeuls ";
		$text['gen5'] = "Trisaïeuls";
		$text['gen6'] = "Quatrièmes aïeuls";
		$text['gen7'] = "Cinquièmes aïeuls";
		$text['gen8'] = "Sixièmes aïeuls";
		$text['gen9'] = "Septièmes aïeuls";
		$text['gen10'] = "Huitièmes aïeuls";
		$text['gen11'] = "Neuvièmes aïeuls";
		$text['gen12'] = "Dixièmes aïeuls";
		$text['graphdesc'] = "Tableau de descendance jusqu'à ce point";
		$text['pedbox'] = "Boîte";
		$text['regformat'] = "Format registre";
		$text['extrasexpl'] = "Si des photos ou des histoires existent pour les individus suivants, les icônes correspondantes seront affichées à côté des noms.";
		$text['popupnote3'] = " = Nouveau tableau";
		$text['mediaavail'] = "Média disponible";
		$text['pedigreefor'] = "Arbre de";
		$text['pedigreech'] = "Diagramme d'ancêtres";
		$text['datesloc'] = "Dates et lieux";
		$text['borchr'] = "Naissance/Alt - Mort/Enterrement (deux)";
		$text['nobd'] = "Aucune date de naissance ou de mort";
		$text['bcdb'] = "Naissance/Alt/Mort/Enterrement (quatre)";
		$text['numsys'] = "Système de numération";
		$text['gennums'] = "Nombres de générations";
		$text['henrynums'] = "Numérotation Henry";
		$text['abovnums'] = "Numérotation d'Aboville";
		$text['devnums'] = "Numérotation de Villiers";
		$text['dispopts'] = "Options d'affichage";
		//added in 10.0.0
		$text['no_ancestors'] = "Aucun ascendant";
		$text['ancestor_chart'] = "Charte ascendance";
		$text['opennewwindow'] = "Ouvrir dans nouvel onglet";
		$text['pedvertical'] = "Ascendance";
		//added in 11.0.0
		$text['familywith'] = "famille avec";
		$text['fcmlogin'] = "Veuyez connecter pour voir les détails";
		$text['isthe'] = "est le";
		$text['otherspouses'] = "autres conjoints";
		$text['parentfamily'] = "La famille parente ";
		$text['showfamily'] = "Montrer la famille";
		$text['shown'] = "montré";
		$text['showparentfamily'] = "Montrer cette famille parente";
		$text['showperson'] = "Montrer personne";
		//added in 11.0.2
		$text['otherfamilies'] = "Autres familles";
		break;

	//search.php, searchform.php
	//merged with reports and showreport in 5.0.0
	case "search":
	case "reports":
		$text['noreports'] = "Aucun rapport.";
		$text['reportname'] = "Nom du rapport";
		$text['allreports'] = "Tous les rapports";
		$text['report'] = "Rapport";
		$text['error'] = "Erreur";
		$text['reportsyntax'] = "La syntaxe de cette requête";
		$text['wasincorrect'] = "est incorrecte, et le rapport n'a pu être lancé. Merci de contacter votre administrateur système à";
		$text['errormessage'] = "Message d'erreur";
		$text['equals'] = "égal";
		$text['endswith'] = "se termine par";
		$text['soundexof'] = "soundex de";
		$text['metaphoneof'] = "métaphone de";
		$text['plusminus10'] = "+/- 10 années de";
		$text['lessthan'] = "inf. à";
		$text['greaterthan'] = "sup. à";
		$text['lessthanequal'] = "inf. ou égale à";
		$text['greaterthanequal'] = "sup. ou égale à";
		$text['equalto'] = "égale à";
		$text['tryagain'] = "Veuillez réessayer";
		$text['joinwith'] = "Lien";
		$text['cap_and'] = "ET";
		$text['cap_or'] = "OU";
		$text['showspouse'] = "Afficher Conjoint(e) (affichera des doublons si une personne a plus d'un(e) conjoint(e))";
		$text['submitquery'] = "Rechercher";
		$text['birthplace'] = "Lieu de naissance";
		$text['deathplace'] = "Lieu de décès";
		$text['birthdatetr'] = "Année de naissance";
		$text['deathdatetr'] = "Année de décès";
		$text['plusminus2'] = "+/- 2 ans de";
		$text['resetall'] = "Réinitialiser toutes les valeurs";
		$text['showdeath'] = "Montrer les informations de décès/sépulture";
		$text['altbirthplace'] = "Lieu de baptême";
		$text['altbirthdatetr'] = "Année de baptême";
		$text['burialplace'] = "Lieu de la sépulture";
		$text['burialdatetr'] = "Année de la sépulture";
		$text['event'] = "Evènement(s)";
		$text['day'] = "Jour";
		$text['month'] = "Mois";
		$text['keyword'] = "Mot clef (par exemple, \"Vers\")";
		$text['explain'] = "Introduire les dates pour voir les évènements correspondants. Laisser un champ vide pour voir toutes les correspondances.";
		$text['enterdate'] = "Veuillez introduire ou sélectionner au moins un des éléments suivants: Jour, Mois, Année, Mot Clé:";
		$text['fullname'] = "Nom entier";
		$text['birthdate'] = "Date de naissance";
		$text['altbirthdate'] = "Date de baptême";
		$text['marrdate'] = "Date de Mariage";
		$text['spouseid'] = "ID de l'épouse";
		$text['spousename'] = "Nom de l'épouse";
		$text['deathdate'] = "Date de décès";
		$text['burialdate'] = "Date de la sépulture";
		$text['changedate'] = "Date de la dernière modification";
		$text['gedcom'] = "Arbre";
		$text['baptdate'] = "Date de baptême (SDJ)";
		$text['baptplace'] = "Lieu de baptême (SDJ)";
		$text['endldate'] = "Date de confirmation (SDJ)";
		$text['endlplace'] = "Lieu de confirmation (SDJ)";
		$text['ssealdate'] = "Date du sceau S (SDJ)";   //Sealed to spouse
		$text['ssealplace'] = "Lieu du sceau  S (SDJ)";
		$text['psealdate'] = "Date du sceau  (SDJ)";   //Sealed to parents
		$text['psealplace'] = "Lieu du Sceau P (SDJ)";
		$text['marrplace'] = "Lieu du mariage";
		$text['spousesurname'] = "Nom de famille de l'épouse";
		$text['spousemore'] = "Si vous entrez une valeur pour le nom de famille de l'épouse, vous devez entrer au moins une autre valeur.";
		$text['plusminus5'] = "+/- 5 ans de";
		$text['exists'] = "est déjà créé.";
		$text['dnexist'] = "n'existe pas";
		$text['divdate'] = "Date du divorce";
		$text['divplace'] = "Lieu du divorce";
		$text['otherevents'] = "Autres faits";
		$text['numresults'] = "Résultats par page";
		$text['mysphoto'] = "Photos mystères";
		$text['mysperson'] = "Qui sont ces personnes ?";
		$text['joinor'] = "L'option 'Lien avec OU' ne peut pas être employée avec le nom de famille du conjoint";
		$text['tellus'] = "Dites-nous ce que vous savez";
		$text['moreinfo'] = "Plus d'informations:";
		//added in 8.0.0
		$text['marrdatetr'] = "année de mariage";
		$text['divdatetr'] = "Année de divorce";
		$text['mothername'] = "nom de mere";
		$text['fathername'] = "nom de père";
		$text['filter'] = "filtrage";
		$text['notliving'] = "pas vivant";
		$text['nodayevents'] = "evenments de se mois pas associés avec un jour specifique";
		//added in 9.0.0
		$text['csv'] = "Fichier CSV délimité par des virgules";
		//added in 10.0.0
		$text['confdate'] = "Date confirmation (LDS)";
		$text['confplace'] = "Lieu confirmation (LDS)";
		$text['initdate'] = "Date initiation (LDS)";
		$text['initplace'] = "Lieu initiation (LDS)";
		//added in 11.0.0
		$text['marrtype'] = "Type de Mariage";
		$text['searchfor'] = "Rechercher";
		$text['searchnote'] = "Note: Cette page utilise Google pour effectuer sa recherche. Le nombre de matchs retournés seront directement touchées par la mesure dans laquelle Google a peut indexer le site.";
		break;

	//showlog.php
	case "showlog":
		$text['logfilefor'] = "Fichier Registre pour";
		$text['mostrecentactions'] = "Dernières actions";
		$text['autorefresh'] = "Rafraîchissement automatique (30 secondes)";
		$text['refreshoff'] = "Supprimer le rafraîchissement automatique";
		break;

	case "headstones":
	case "showphoto":
		$text['cemeteriesheadstones'] = "Cimetières et Pierres tombales";
		$text['showallhsr'] = "Afficher tous les enregistrements de pierres tombales";
		$text['in'] = "en";
		$text['showmap'] = "Afficher la carte";
		$text['headstonefor'] = "Tombe de";
		$text['photoof'] = "Photo de";
		$text['firstpage'] = "Première page";
		$text['lastpage'] = "Dernière page";
		$text['photoowner'] = "Source ou propriétaire";
		$text['nocemetery'] = "Pas de cimetière";
		$text['iptc005'] = "Titre";
		$text['iptc020'] = "Catégories supplémentaires";
		$text['iptc040'] = "Instructions Spéciales";
		$text['iptc055'] = "Date de Création";
		$text['iptc080'] = "Auteur";
		$text['iptc085'] = "Position de l'auteur";
		$text['iptc090'] = "Ville";
		$text['iptc095'] = "Etat";
		$text['iptc101'] = "Pays";
		$text['iptc103'] = "OTR";
		$text['iptc105'] = "Titre";
		$text['iptc110'] = "Source";
		$text['iptc115'] = "Source de la photo";
		$text['iptc116'] = "Notice de droit d'auteur";
		$text['iptc120'] = "Sous-titre";
		$text['iptc122'] = "Auteur du sous-titre";
		$text['mapof'] = "Carte de";
		$text['regphotos'] = "Vue Descriptive";
		$text['gallery'] = "Uniquement les vignettes";
		$text['cemphotos'] = "Photos de Cimetières";
		$text['photosize'] = "Taille";
        $text['iptc010'] = "Priorité";
		$text['filesize'] = "Taille du fichier";
		$text['seeloc'] = "Voir lieu";
		$text['showall'] = "Afficher tout";
		$text['editmedia'] = "Edite le média";
		$text['viewitem'] = "Voir cet item";
		$text['editcem'] = "Edite le cimetière";
		$text['numitems'] = "# Items";
		$text['allalbums'] = "tous les albums";
		$text['slidestop'] = "Arrêter le diaporama";
		$text['slideresume'] = "Reprendre le diaporama";
		$text['slidesecs'] = "Secondes pour chaque diapositive:";
		$text['minussecs'] = "moins 0,5 seconde";
		$text['plussecs'] = "plus 0,5 seconde";
		$text['nocountry'] = "Pays inconnu";
		$text['nostate'] = "État inconnu";
		$text['nocounty'] = "Comté inconnu";
		$text['nocity'] = "Ville inconnue";
		$text['nocemname'] = "Nom du cimetière inconnu";
		$text['editalbum'] = "Éditez l'album";
		$text['mediamaptext'] = "<strong>Notez:</strong> Déplacez votre pointeur de souris au-dessus de l'image pour exposer les noms. Cliquez sur pour voir une page pour chaque nom.";
		//added in 8.0.0
		$text['allburials'] = "Toutes les sépultures";
		$text['moreinfo'] = "Plus d'informations:";
		//added in 9.0.0
        $text['iptc025'] = "Mots clés";
        $text['iptc092'] = "Sub-location";
		$text['iptc015'] = "Categorie";
		$text['iptc065'] = "Programme d'origine";
		$text['iptc070'] = "Program Version";
		break;

	//surnames.php, surnames100.php, surnames-all.php, surnames-oneletter.php
	case "surnames":
	case "places":
		$text['surnamesstarting'] = "Afficher les Patronymes commençant par";
		$text['showtop'] = "Afficher le haut";
		$text['showallsurnames'] = "Afficher tous les Patronymes";
		$text['sortedalpha'] = "tri alphabétique";
		$text['byoccurrence'] = "classés par occurrence";
		$text['firstchars'] = "Premiers cararactères";
		$text['mainsurnamepage'] = "Patronymes";
		$text['allsurnames'] = "Tous les Patronymes";
		$text['showmatchingsurnames'] = "Cliquez sur un patronyme pour afficher les résultats.";
		$text['backtotop'] = "Retour en haut de la page";
		$text['beginswith'] = "Commençant par";
		$text['allbeginningwith'] = "Tous les patronymes commençant par";
		$text['numoccurrences'] = "nombre de résultats entre parenthèses";
		$text['placesstarting'] = "Montrer les plus grandes localités débutant par";
		$text['showmatchingplaces'] = "Cliquez sur un nom pour voir les enregistrements liés.";
		$text['totalnames'] = "total des individus";
		$text['showallplaces'] = "Montrer les plus grandes localités";
		$text['totalplaces'] = "total des lieux";
		$text['mainplacepage'] = "Page des lieux principaux";
		$text['allplaces'] = "Toutes les plus grandes Localités";
		$text['placescont'] = "Montrer tous les lieux qui contiennent";
		//changed in 8.0.0
		$text['top30'] = "Les xxx principaux noms de famille";
		$text['top30places'] = "Les xxx plus grandes localités";
		break;

	//whatsnew.php
	case "whatsnew":
		$text['pastxdays'] = "(xx derniers jours)";

		$text['photo'] = "Photo";
		$text['history'] = "Histoire/Document";
		$text['husbid'] = "ID Epoux";
		$text['husbname'] = "Nom de l'époux";
		$text['wifeid'] = "ID Epouse";
		//added in 11.0.0
		$text['wifename'] = "Le nom de ta mère";
		break;

	//timeline.php, timeline2.php
	case "timeline":
		$text['text_delete'] = "Supprimer";
		$text['addperson'] = "Ajouter Individu";
		$text['nobirth'] = "L'individu suivant n'a pas de date de naissance valide et n'a donc pas été ajouté";
		$text['event'] = "Evènement(s)";
		$text['chartwidth'] = "Largeur du graphique";
		$text['timelineinstr'] = "Ajouter des individus (saisir leur ID)";
		$text['togglelines'] = "Lignes verticales";
		//changed in 9.0.0
		$text['noliving'] = "L'individu suivant est enregistré comme étant en vie ou marqué privé et n'est pas affiché parce que vous n'êtes pas connecté avec les autorisations nécessaires";
		break;
		
	//browsetrees.php
	//login.php, newacctform.php, addnewacct.php
	case "trees":
	case "login":
		$text['browsealltrees'] = "Tous les arbres";
		$text['treename'] = "Nom de l'arbre";
		$text['owner'] = "Propriétaire";
		$text['address'] = "Adresse";
		$text['city'] = "Ville";
		$text['state'] = "État/Province";
		$text['zip'] = "Code Postal";
		$text['country'] = "Pays";
		$text['email'] = "Adresse de courriel";
		$text['phone'] = "Téléphone";
		$text['username'] = "Nom d'utilisateur";
		$text['password'] = "Mot de passe";
		$text['loginfailed'] = "Erreur de connexion.";

		$text['regnewacct'] = "Enregistrement de nouveau compte utilisateur";
		$text['realname'] = "Votre nom réel";
		$text['phone'] = "Téléphone";
		$text['email'] = "Adresse de courriel";
		$text['address'] = "Adresse";
		$text['acctcomments'] = "Notes ou Commentaires";
		$text['submit'] = "Soumettre";
		$text['leaveblank'] = "(laisser en blanc si vous désirez un nouvel arbre)";
		$text['required'] = "Champs requis";
		$text['enterpassword'] = "Entrez un mot de passe.";
		$text['enterusername'] = "Entrez un nom d'utilisateur.";
		$text['failure'] = "Votre nom d'utilisateur est déjà pris. Veuillez utiliser le bouton retour de votre navigateur pour revenir à la page précédente et sélectionner un autre nom d'utisateur.";
		$text['success'] = "Merci. Nous avons reçu votre enregistrement. Nous vous contacterons quand votre compte sera activé ou si nous avons besoin de plus d'information.";
		$text['emailsubject'] = "Demande d'enregistrement de nouvel utisateur TNG";
		$text['website'] = "Site Web";
		$text['nologin'] = "Vous n'avez pas de profil de connexion?";
		$text['loginsent'] = "Vos données de connexion ont été envoyées";
		$text['loginnotsent'] = "Vos données de connexion n'ont pas été envoyées";
		$text['enterrealname'] = "Veuillez entrer votre véritable nom.";
		$text['rempass'] = "Restez connecté sur cet ordinateur";
		$text['morestats'] = "Statistiques additionnelles";
		$text['accmail'] = "<strong>NOTE:</strong> Afin de pouvoir recevoir des courriels de l'administrateur du site concernant votre compte, veuillez vous assurer de ne pas bloquer les courriels provenant de ce domaine.";
		$text['newpassword'] = "Nouveau mot de passe";
		$text['resetpass'] = "Changer de mot de passe";
		$text['nousers'] = "Ce formulaire ne peut être utilisé s'il n'existe au moins un enregistrement d'utilisateur. Si vous êtes le propriétaire du site, allez sur Admin/Users pour créer votre compte d'Administrateur.";
		$text['noregs'] = "Désolés, mais nous n'acceptons pas de nouveaux enregistrements d'utilisateurs pour le moment. Veuillez  <a href=\"suggest.php\">nous contacter</a> directement si vous avez des commentaires ou des questions concernant n'importe quoi sur ce site Web.";
		//changed in 8.0.0
		$text['emailmsg'] = "Vous avez reçu une nouvelle demande de compte utilisateur TNG. Veuillez vous connecter à la section administration  de TNG et accorder les autorisations appropriées à ce nouveau compte. Si vous approuvez cet enregistrement, veuillez en informer le demandeur en répondant à ce message.";
		$text['accactive'] = "Le compte à été activer, mais le utilisateur n'as pas de droits spécifique sauf si vous les assign";
		$text['accinactive'] = "Veuillez passer à Admin/utilisateurs/verifier pour accede les permissions du compte. Le compte reste inactive si vous m'as pas editer et sauvgarder au moins un fois";
		$text['pwdagain'] = "Répétez le mot de passe";
		$text['enterpassword2'] = "Veuillez entrer votre mot de passe";
		$text['pwdsmatch'] = "Vos mots de passe ne correspondent pas. Veuillez entrer le même mot de passe dans chacun des deux champs";
		//added in 8.0.0
		$text['acksubject'] = "Merci d'avoir enregistrer"; //for a new user account
		$text['ackmessage'] = "Votre demande d'un compte d'utilisateur à bien été reçue. Votre compte restera inactif en attendant une vérification par l'administrateur. Nous vous contacterons par courriel dès que votre compte sera activé.";
		break;

	//added in 10.0.0
	case "branches":
		$text['browseallbranches'] = "Feuilleter toutes les ramifications";
		break;

	//statistics.php
	case "stats":
		$text['quantity'] = "Quantité";
		$text['totindividuals'] = "Individus";
		$text['totmales'] = "Hommes";
		$text['totfemales'] = "Femmes";
		$text['totunknown'] = "Individus de sexe inconnu";
		$text['totliving'] = "Individus en vie";
		$text['totfamilies'] = "Familles";
		$text['totuniquesn'] = "Noms de famille distincts";
		//$text['totphotos'] = "Total Photos";
		//$text['totdocs'] = "Total Histories &amp; Documents";
		//$text['totheadstones'] = "Total Headstones";
		$text['totsources'] = "Sources";
		$text['avglifespan'] = "Durée de vie moyenne";
		$text['earliestbirth'] = "Naissance la plus ancienne";
		$text['longestlived'] = "Vie la plus longue";
		$text['days'] = "jours";
		$text['age'] = "âge";
		$text['agedisclaimer'] = "Les calculs liés à l'âge sont basés sur les individus avec une date de naissance connue <EM> et</EM> une date de décès.  A cause de l'existence de données incomplètes(p.e. une date de décès enregistrée comme \"1945\" ou \"AVT 1860\"), ces calculs ne sont pas précis à 100%.";
		$text['treedetail'] = "Plus d'information sur cet arbre";
		$text['total'] = "Total";
		break;

	case "notes":
		$text['browseallnotes'] = "Montrer toutes les notes";
		break;

	case "help":
		$text['menuhelp'] = "Clé du Menu";
		break;

	case "install":
		$text['perms'] = "Les permissions ont été définies.";
		$text['noperms'] = "Les permissions n'ont pas été définies pour ces fichiers:";
		$text['manual'] = "Veuillez les définir manuellement.";
		$text['folder'] = "Le dossier";
		$text['created'] = "a été créé";
		$text['nocreate'] = "n'a pas été créé. Please create it manually.";
		$text['infosaved'] = "Information sauvée, connexion vérifiée!";
		$text['tablescr'] = "Les tables ont été créées!";
		$text['notables'] = "Les tables suivantes n'ont pas été créées:";
		$text['nocomm'] = "TNG ne communique pas avec votre base de données. Aucune table n'a été créée.";
		$text['newdb'] = "Information sauvegardée, connexion vérifiée, la nouvelle base de données a été créée:";
		$text['noattach'] = "Information sauvegardée. Connexion établie et base de données créée, mais TNG ne peut pas s'y connecter.";
		$text['nodb'] = "Information sauvée. Connexion établie, mais la base de données n'existe pas et n'a pu être créée ici. Veuillez vérifier que le nom de la base de données est correct, ou employez votre panneau de commande pour la créer.";
		$text['noconn'] = "Information sauvée mais la connexion n'a pas été établie. Un ou plusieurs des paramètres suivants est incorrect:";
		$text['exists'] = "est déjà créé.";
		$text['loginfirst'] = "Vous devez d'abord ouvrir une session.";
		$text['noop'] = "Aucune opération n'a été effectuée.";
		//added in 8.0.0
		$text['nouser'] = "Utilisateur pas disponible. Se nom de utilisateur peut etre déja pris";
		$text['notree'] = "Impossible de crée l'arbre. Arbre ID peut etre déja pris";
		$text['infosaved2'] = "Donnés sauvguarder";
		$text['renamedto'] = "retitré à";
		$text['norename'] = "n'a pas pu être retitré";
		break;

	case "imgviewer":
		$text['zoomin'] = "Augmentez le Zoom";
		$text['zoomout'] = "Diminuez le Zoom";
		$text['magmode'] = "Magnifiez";
		$text['panmode'] = "Mode Panoramique";
		$text['pan'] = "Augmentez l'image, cliquez sur l'image et traînez-la pour la déplacer";
		$text['fitwidth'] = "à la largeur";
		$text['fitheight'] = "à la hauteur";
		$text['newwin'] = "Nouvelle fenêtre";
		$text['opennw'] = "Ouvrez l'image dans une nouvelle fenêtre";
		$text['magnifyreg'] = "Cliquez sur l'image pour magnifier une région";
		$text['imgctrls'] = "Permettez les commandes d'image";
		$text['vwrctrls'] = "Permettez les commandes de visionneuse d'image";
		$text['vwrclose'] = "Fermez la visionneuse d'image";
		break;

	case "dna":
		$text['dna_test'] = "Test ADN";
		$text['test_type'] = "Type de test";
		$text['test_number'] = "Numéro du test";
		$text['test_date'] = "Date du test";
		$text['test_info'] = "Informations sur les tests";
		$text['takenby'] = "Pris par";
		$text['links'] = "Liens utiles";
		$text['testid'] = "ID du test";
		break;
}

//common
$text['matches'] = "Résultats";
$text['description'] = "Description";
$text['notes'] = "Notes";
$text['status'] = "Statut";
$text['newsearch'] = "Nouvelle Recherche";
$text['pedigree'] = "Arbre";
$text['birthabbr'] = "n.";
$text['chrabbr'] = "b.";
$text['seephoto'] = "Voir photo";
$text['andlocation'] = "et lieu";
$text['accessedby'] = "consulté par";
$text['family'] = "Famille"; //from getperson
$text['children'] = "Enfants";  //from getperson
$text['tree'] = "Arbre";
$text['alltrees'] = "Tous les arbres";
$text['nosurname'] = "[sans prénom]";
$text['thumb'] = "Vignette";  //as in Thumbnail
$text['people'] = "Personnes";
$text['title'] = "Titre";  //from getperson
$text['suffix'] = "Suffixe";  //from getperson
$text['nickname'] = "Surnom";  //from getperson
$text['deathabbr'] = "d.";  //from descend
$text['lastmodified'] = "Dernière modif.";  //from getperson
$text['married'] = "Mariage";  //from getperson
//$text['photos'] = "Photos";
$text['name'] = "Nom"; //from showmap
$text['lastfirst'] = "Nom, Nom donné(s)";  //from search
$text['bornchr'] = "Né/Baptisé";  //from search
$text['individuals'] = "Personnes";  //from whats new
$text['families'] = "Familles";
$text['personid'] = "ID personne";
$text['sources'] = "Sources";  //from getperson (next several)
$text['unknown'] = "Inconnu";
$text['father'] = "Père";
$text['mother'] = "Mère";
$text['christened'] = "Baptême";
$text['died'] = "Décès";
$text['buried'] = "Sépulture";
$text['spouse'] = "Conjoint(e)";  //from search
$text['parents'] = "Parents";  //from pedigree
$text['text'] = "Texte";  //from sources
$text['language'] = "Langue";  //from languages
$text['burialabbr'] = "ent.";  //from descend
$text['descendchart'] = "Descendants";
$text['extractgedcom'] = "GEDCOM";
$text['indinfo'] = "Personnes";
$text['edit'] = "Editer";
$text['date'] = "Date";
$text['place'] = "Lieu";
$text['login'] = "Se connecter";
$text['logout'] = "Se déconnecter";
$text['marrabbr'] = "mar.";
$text['groupsheet'] = "Feuille familiale";
$text['text_and'] = "et";
$text['generation'] = "Génération";
$text['filename'] = "Nom de fichier";
$text['id'] = "ID";
$text['search'] = "Chercher";
$text['user'] = "Utilisateur";
$text['firstname'] = "Prénom";
$text['lastname'] = "Nom";
$text['searchresults'] = "Résultats de la recherche";
$text['diedburied'] = "Décès/Sépulture";
$text['homepage'] = "Page d'accueil";
$text['find'] = "Rechercher...";
$text['relationship'] = "Parenté";		//in German, Verwandtschaft
$text['relationship2'] = "Relation"; //different in some languages, at least in German (Beziehung)
$text['timeline'] = "Ligne du temps";
$text['yesabbr'] = "O";               //abbreviation for 'yes'
$text['divorced'] = "Divorce";
$text['indlinked'] = "Lié à";
$text['branch'] = "Branche";
$text['moreind'] = "Plus d'individus";
$text['morefam'] = "Plus de familles";
$text['source'] = "Source";
$text['surnamelist'] = "Liste des Patronymes";
$text['generations'] = "Générations";
$text['refresh'] = "Rafraîchir";
$text['whatsnew'] = "Quoi de neuf ?";
$text['reports'] = "Rapports";
$text['placelist'] = "Liste de Lieux";
$text['baptizedlds'] = "Baptisé (LDS)";
$text['endowedlds'] = "Doté (LDS)";
$text['sealedplds'] = "Doté parents (LDS)";
$text['sealedslds'] = "Conjoint(e) doté(e) (LDS)";
$text['ancestors'] = "Ancêtres";
$text['descendants'] = "Descendants";
//$text['sex'] = "Sex";
$text['lastimportdate'] = "Date de la dernière importation GEDCOM";
$text['type'] = "Type";
$text['savechanges'] = "Enregistrer les modifications";
$text['familyid'] = "ID Famille";
$text['headstone'] = "Pierres Tombales";
$text['historiesdocs'] = "Histoires";
$text['anonymous'] = "anonyme";
$text['places'] = "Lieux";
$text['anniversaries'] = "Dates & Anniversaires";
$text['administration'] = "Administration";
$text['help'] = "Aide";
//$text['documents'] = "Documents";
$text['year'] = "Année";
$text['all'] = "Tous";
$text['repository'] = "Dépôt";
$text['address'] = "Adresse";
$text['suggest'] = "Suggestion";
$text['editevent'] = "Suggérez une modification pour cet évènement";
$text['findplaces'] = "Trouvez tous les individus avec un évènement dans ce lieu";
$text['morelinks'] = "Plus de liens";
$text['faminfo'] = "Information sur la Famille";
$text['persinfo'] = "Information Personnelle";
$text['srcinfo'] = "Infos sur la source";
$text['fact'] = "Fait";
$text['goto'] = "Selectionnez une page";
$text['tngprint'] = "Imprimer";
$text['databasestatistics'] = "Statistiques"; //needed to be shorter to fit on menu
$text['child'] = "Enfant";  //from familygroup
$text['repoinfo'] = "Infos lieu de dépôt";
$text['tng_reset'] = "Effacer";
$text['noresults'] = "Aucun résultat";
$text['allmedia'] = "Tous les médias";
$text['repositories'] = "Dépôts";
$text['albums'] = "Albums";
$text['cemeteries'] = "Cimetières";
$text['surnames'] = "Noms de famille";
$text['dates'] = "Dates";
$text['link'] = "Lien";
$text['media'] = "Médias";
$text['gender'] = "Sexe";
$text['latitude'] = "Latitude";
$text['longitude'] = "Longitude";
$text['bookmarks'] = "Signets";
$text['bookmark'] = "Ajouter un signet";
$text['mngbookmarks'] = "Afficher les signets";
$text['bookmarked'] = "Signet ajouté";
$text['remove'] = "Effacer";
$text['find_menu'] = "Chercher";
$text['info'] = "Info"; //this needs to be a very short abbreviation
$text['cemetery'] = "Cimetières";
$text['gmapevent'] = "Carte d'événements";
$text['gevents'] = "Événements";
$text['glang'] = "&hl=fr";
$text['googleearthlink'] = "Lien Google Earth";
$text['googlemaplink'] = "Lien Google Map";
$text['gmaplegend'] = "Légende";
$text['unmarked'] = "non marquée(s)";
$text['located'] = "Située(s)";
$text['albclicksee'] = "Cliquez pour voir tous les items dans cet album";
$text['notyetlocated'] = "Pas encore trouvé";
$text['cremated'] = "Incinéré";
$text['missing'] = "Manquant";
$text['pdfgen'] = "Générateur de PDF";
$text['blank'] = "Diagramme vide";
$text['none'] = "Aucun";
$text['fonts'] = "Fontes";
$text['header'] = "En-tête";
$text['data'] = "Données";
$text['pgsetup'] = "Mise en page";
$text['pgsize'] = "Dimensions de la page";
$text['orient'] = "Orientation"; //for a page
$text['portrait'] = "Portrait";
$text['landscape'] = "Paysage";
$text['tmargin'] = "Marge supérieure";
$text['bmargin'] = "Marge inférieure";
$text['lmargin'] = "Marge de gauche";
$text['rmargin'] = "Marge de droite";
$text['createch'] = "Créez le diagramme";
$text['prefix'] = "Préfixe";
$text['mostwanted'] = "Les plus recherchés";
$text['latupdates'] = "Les dernières mises à jour";
$text['featphoto'] = "Photo sélectionnée";
$text['news'] = "Nouvelles";
$text['ourhist'] = "Histoire de notre famille";
$text['ourhistanc'] = "Histoire et généalogie de notre famille";
$text['ourpages'] = "Page de la généalogie de notre famille";
$text['pwrdby'] = "Ce site est réalisé grâce au logiciel";
$text['writby'] = "écrit par";
$text['searchtngnet'] = "Recherche dans le TNG Network (GENDEX)";
$text['viewphotos'] = "Regardez toutes les photos";
$text['anon'] = "Vous êtes actuellement anonyme";
$text['whichbranch'] = "De quelle branche êtes-vous ?";
$text['featarts'] = "Articles sélectionnées";
$text['maintby'] = "Géré par";
$text['createdon'] = "Créé le";
$text['reliability'] = "Fiabilité";
$text['labels'] = "Étiquettes";
$text['inclsrcs'] = "Include Sources";
$text['cont'] = "(cont.)"; //abbreviation for continued
$text['mnuheader'] = "Page d'accueil";
$text['mnusearchfornames'] = "Recherche";
$text['mnulastname'] = "Nom de famille";
$text['mnufirstname'] = "Prénom";
$text['mnusearch'] = "Chercher";
$text['mnureset'] = "Recommencer";
$text['mnulogon'] = "Se connecter";
$text['mnulogout'] = "Se déconnecter";
$text['mnufeatures'] = "Autres fonctions";
$text['mnuregister'] = "Demander un compte utilisateur";
$text['mnuadvancedsearch'] = "Recherche avancée";
$text['mnulastnames'] = "Noms de famille";
$text['mnustatistics'] = "Statistiques";
$text['mnuphotos'] = "Photos";
$text['mnuhistories'] = "Histoires";
$text['mnumyancestors'] = "Photos & Histoires Ancêtres de [Personne]";
$text['mnucemeteries'] = "Cimetières";
$text['mnutombstones'] = "Pierres tombales";
$text['mnureports'] = "Rapports";
$text['mnusources'] = "Sources";
$text['mnuwhatsnew'] = "Quoi de neuf?";
$text['mnushowlog'] = "Journal d'accès";
$text['mnulanguage'] = "Changer de langue";
$text['mnuadmin'] = "Administration";
$text['welcome'] = "Bienvenue";
$text['contactus'] = "Contactez-nous";
//changed in 8.0.0
$text['born'] = "Naissance";
$text['searchnames'] = "Recherche individus";
//added in 8.0.0
$text['editperson'] = "Modifier individus";
$text['loadmap'] = "Charger  le plan";
$text['birth'] = "Naissance";
$text['wasborn'] = "Née";
$text['startnum'] = "premier numero";
$text['searching'] = "recherche en cours";
//moved here in 8.0.0
$text['location'] = "Lieu";
$text['association'] = "Association";
$text['collapse'] = "Réduire";
$text['expand'] = "Développer";
$text['plot'] = "Lot";
$text['searchfams'] = "Recherche familles";
//added in 8.0.2
$text['wasmarried'] = "Mariage";
$text['anddied'] = "Décès";
//added in 9.0.0
$text['share'] = "Partager";
$text['hide'] = "Cacher";
$text['disabled'] = "Votre compte utilisateur a été désactivé. Veuiller contacter l'administrateur du site pour plus d'information.";
$text['contactus_long'] = "Si vous avez des questions ou des commentaires à propos de l'information publiée sur ce site, veuillez <span class=\"emphasis\"><a href=\"suggest.php\">nous contacter</a></span>. Nous attendons de vos nouvelles.";
$text['features'] = "Articles";
$text['resources'] = "Ressources";
$text['latestnews'] = "Dernières Nouvelles";
$text['trees'] = "Arbres";
$text['wasburied'] = "a été enterré";
//moved here in 9.0.0
$text['emailagain'] = "Confirmer l'adresse courriel";
$text['enteremail2'] = "S'il vous plaît entrez votre adresse courriel à nouveau";
$text['emailsmatch'] = "Vos courriels ne correspondent pas. S'il vous plaît entrez la même adresse courriel dans chaque domaine.";
$text['getdirections'] = "Cliquez pour obtenir les directions";
$text['calendar'] = "Calendrier";
//changed in 9.0.0
$text['directionsto'] = " au ";
$text['slidestart'] = "Diaporama";
$text['livingnote'] = "Au moins une personne vivante ou marquée privée est liée à cette note - Les détails ne sont donc pas publiés.";
$text['livingphoto'] = "Au moins un individu vivant ou marqué privé est lié à cette photo - Details cachés.";
$text['waschristened'] = "Baptême";
//added in 10.0.0
$text['branches'] = "Ramifications";
$text['detail'] = "Détail";
$text['moredetail'] = "Plus détail";
$text['lessdetail'] = "Moins détail";
$text['otherevents'] = "Autres faits";
$text['conflds'] = "Confirmé/e (LDS)";
$text['initlds'] = "Initié/e (LDS)";
$text['wascremated'] = "a été incinéré";
//moved here in 11.0.0
$text['text_for'] = "pour";
//added in 11.0.0
$text['searchsite'] = "Recherche ce site";
$text['searchsitemenu'] = "Rechercher dans le site";
$text['kmlfile'] = "Télécharger un fichier .kml pour présenter ce lieu dans Google Earth";
$text['download'] = "Cliquez ici pour télécharger";
$text['more'] = "Plus";
$text['heatmap'] = "Carte de chaleur";
$text['refreshmap'] = "Actualiser la carte";
$text['remnums'] = "Effacer les numéros et les goupilles";
$text['photoshistories'] = "Photos et récits";
$text['familychart'] = "Tableau de famille";

@include_once("captcha_text.php");
@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>