<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Zweig-Zuordnung";
		$admtext['existingbranch'] = "Bestehender Zweig";
		$admtext['newbranch'] = "Neuer Zweig";
		$admtext['numgenerations'] = "Anzahl der zu berücksichtigenden Generationen";
		$admtext['ancestors'] = "Vorfahren";
		$admtext['descofanc'] = "Zu berücksichtigende Nachkommens-Generationen eines jeden Vorfahren";
		$admtext['descendants'] = "Nachkommen";
		$admtext['includespouses'] = "mit Partnern der Nachkommen";
		$admtext['partial'] = "Teilweise";
		$admtext['addlabels'] = "Zweig-Zuordnung hinzufügen";
		$admtext['clearlabels'] = "Zweig-Zuordnung entfernen";
		$admtext['clearingbranch'] = "Markierung löschen";
		$admtext['addingbranch'] = "Markierung hinzufügen";
		$admtext['totalaffected'] = "Gesamt bearbeitet";
		$admtext['labelmore'] = "Weitere Zuordnungen hinzufügen";
		$admtext['enterbranch'] = "Bitte Zweig auswählen oder neu erstellen.";
		$admtext['enterstartingind'] = "Bitte Kennung der Startperson angeben.";
		$admtext['gensnumeric'] = "Der Wert muss numerisch sein.";
		$admtext['overwrite'] = "Komplett überschreiben";
		$admtext['branchid'] = "Zweig-Kennung";
		$admtext['addnewbranch'] = "Neuen Zweig hinzufügen";
		$admtext['createbranch'] = "Neuen Zweig anlegen";
		$admtext['existingbranchinfo'] = "Angaben zu bestehenden Zweigen";
		$admtext['editexistingbranch'] = "Angaben zu einem bestehenden Zweig bearbeiten";
		$admtext['confbranchdelete'] = "Sind Sie sicher, dass Sie diesen Zweig löschen wollen?";
		$admtext['enterbranchid'] = "Bitte eine Zweig-Kennung eingeben.";
		$admtext['entertreedesc'] = "Bitte eine Beschreibung des Zweiges eingeben.";
		$admtext['newbranchinfo'] = "Angaben zum neuen Zweig";
		$admtext['modifybranch'] = "Zweig bearbeiten";
		$admtext['changestobranch'] = "Änderungen am Zweig";
		$admtext['existlabels'] = "Vorhandene Zweig-Zuordnungen";
		$admtext['leave'] = "Unverändert belassen";
		$admtext['append'] = "Neue Zuordnungen hinzufügen";
		$admtext['showpeople'] = "Zeige Personen zu diesem Baum/Zweig";
		$admtext['branchdiscl'] = "Dieser Wert repräsentiert die Anzahl der Zuordnungen zu diesem Zweig. Er muss nicht notwendigerweise mit der Zahl der Personen oder Familien identisch sein, die mit diesem Zweig verknüpft sind. Falls Sie kürzlich Ihre Daten re-importiert haben, kann eine Neuzuordnung Ihrer Zweige erforderlich sein.";
		$admtext['inclspouses'] = "einschließlich Ehepartner für alle Nachkommen";
		$admtext['delpeople'] = "Personen und Familien mit dieser Zweig-Zuordnung löschen";
		$admtext['confbrdel'] = "Sind Sie sicher, dass Sie alle Personen und Familien, die diesem Zweig zugeordnet sind, löschen möchten?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Die Kartenbilddatei konnte nicht kopiert werden nach";
		$admtext['changestocem'] = "Änderungen am Friedhof";
		$admtext['modifycemetery'] = "Friedhof bearbeiten";
		$admtext['addnewcemetery'] = "Friedhof hinzufügen";
		$admtext['createnewcemetery'] = "Einen neuen Friedhof hinzufügen";
		$admtext['selectcemaction'] = "Friedhof und Aktion auswählen";
		$admtext['location'] = "Ort";
		$admtext['confdeletecem'] = "Sind Sie sicher, dass Sie diesen Friedhof löschen wollen?";
		$admtext['editceminfo'] = "Einen Friedhof bearbeiten";
		$admtext['leaveblankallcems'] = "Leer lassen, um alle Friedhöfe anzuzeigen";
		$admtext['cemeteryname'] = "Name des Friedhofs";
		$admtext['mapfilename'] = "Bezeichnung der Karte";
		$admtext['countyparish'] = "Landkreis/Kirchspiel";
		$admtext['stateprovince'] = "(Bundes-)Staat/Land, Region";
		$admtext['entercountry'] = "Bitte den Namen des Landes eingeben";
		$admtext['entermapfile'] = "Bitte den Namen der Kartendatei auf dem Webserver eingeben.";
		$admtext['existingceminfo'] = "Angaben über bestehenden Friedhof";
		$admtext['newceminfo'] = "Angaben über einen neuen Friedhof";
		$admtext['maptoupload'] = "Kartendatei zum Hochladen";
		$admtext['mapfilenamefolder'] = "Name der Kartendatei im<br>Grabstein-Verzeichnis";
		$admtext['ifmapuploaded'] = "Lassen Sie dieses Feld leer, falls die Dateien bereits auf den Webserver in das Grabstein-Verzeichnis hochgeladen wurden.";
		$admtext['requiredmap'] = "Erforderliches Feld. Geben Sie hier den Namen einer Datei an, die bereits in das <em>Grabstein-Verzeichnis</em> auf dem Webserver hochgeladen wurde.";
		//added in 8.0.0
		$admtext['linkplace'] = "Zugeordneter Ort";
		$admtext['fillplace'] = "Ort füllen";
		$admtext['usecemcoords'] = "Kopieren Sie den unten stehenden Geocode zu diesem Ort";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "besteht schon";
		$admtext['added'] = "Hinzugefügt";
		$admtext['enternew'] = "Neu eingeben";
		$admtext['pleaseenter'] = "Bitte eingeben ";
		$admtext['netscapereload'] = "Netscape-Anwender:<br>Bitte Seite aktualisieren";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Notiz wird gelöscht...";
		$admtext['addingnote'] = "Notiz wird gespeichert...";
		$admtext['addnewnote'] = "Neue Notiz hinzufügen";
		$admtext['note'] = "Notiz";
		$admtext['modifynote'] = "Notiz bearbeiten";
		//added in 8.0.0
		$admtext['notechanges'] = "Änderungen zur Beachtung";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Ereignis wird gespeichert...";
		$admtext['deletingevent'] = "Ereignis wird gelöscht...";
		$admtext['updatingevent'] = "Ereignis wird aktualisiert...";
		$admtext['modifyevent'] = "Ereignis bearbeiten";
		$admtext['addnewevent'] = "Neues Ereignis anlegen";

		$admtext['dateformat'] = "(TT MMM JJJJ)";
		$admtext['age'] = "Alter";
		$admtext['agency'] = "Stelle";
		$admtext['cause'] = "Ursache";
		$admtext['moreinfo'] = "Weitere Angaben";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplikat für";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "GEDCOM-Datei wird importiert...<br>(kann einige Minuten dauern)";
		$admtext['ifimportfails'] = "Wenn der Import fehlschlägt, zur Vervollständigung";
		$admtext['opened'] = "geöffnet...";
		$admtext['toresume'] = "um den Import fortzusetzen";  //cannot open to resume import
		$admtext['openedtoresume'] = "geöffnet, um Import fortzusetzen...";
		$admtext['notresumed'] = "Import konnte nicht fortgesetzt werden.";
		$admtext['finishedimporting'] = "Import der GEDCOM-Datei abgeschlossen";
		$admtext['treeexists'] = "Es existiert bereits ein Stammbaum mit dieser Kennung. Bitte andere Kennung wählen und erneut versuchen.";
		$admtext['backtodataimport'] = "Zurück zum Datei-Import";
		$admtext['moreoptions'] = "weitere Optionen";
		$admtext['removeged'] = "GEDCOM-Datei löschen (optional)";
		$admtext['cannotupload'] = "Konnte Datei nicht hochladen:";
		$admtext['invfperms'] = "Das 'gedcom'-Verzeichnis hat wahrscheinlich fehlerhafte Berechtigungen (bitte chmod 755 oder 777).";
		$admtext['maybedone'] = "Es könnte bereits beendet sein.";
		$admtext['turnonsis'] = "Bitte dafür sorgen, dass 'Importstatus speichern' in den Import-Einstellungen aktiviert ist.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Änderungen am Ereignistyp";
		$admtext['modifyeventtype'] = "Ereignistyp bearbeiten";
		$admtext['individual'] = "Person";
		$admtext['entertypedesc'] = "Beschreibung des Ereignistyps.";
		$admtext['enterdisplay'] = "Kurzbeschreibung des Ereignistyps.";
		$admtext['existingeventtypeinfo'] = "Angaben zu bestehendem Ereignistyp";
		$admtext['neweventtypeinfo'] = "Angaben zum neuen Ereignistyp";
		$admtext['tag'] = "GEDCOM-\"Tag\"";
		$admtext['typedescription'] = "Typ/Beschreibung";
		$admtext['onimport'] = "Beim Import";
		$admtext['accept'] = "Akzeptieren";
		$admtext['ignore'] = "Ignorieren";
		$admtext['typerequired'] = "Bei benutzerdefinierten Ereignissen (GEDCOM-Tag = \"EVEN\"), ist dies der TYP und daher erforderlich. Optional für alle anderen Ereignisse.";
		$admtext['addnewevtype'] = "Neuen Ereignistyp hinzufügen";
		$admtext['createnewevtype'] = "Neuen Ereignistyp anlegen";
		$admtext['forindividuals'] = "Für Personen...";
		$admtext['forfamilies'] = "Für Familien...";
		$admtext['existingevtypes'] = "Bestehende Ereignistypen";
		$admtext['edsevtypes'] = "Bearbeite, lösche oder sortiere vorhandene Ereignistypen";
		$admtext['indfam'] = "Person/Familie";  //individual family
		$admtext['confdeleteevtype'] = "Sind Sie sicher, dass Sie diesen Ereignistyp löschen wollen?";
		$admtext['selecttag'] = "GEDCOM-Tag auswählen";
		$admtext['selectentertag'] = "Bitte für diesen Ereignistyp den Tag angeben oder auswählen.";
		$admtext['orenter'] = "oder eingeben";
		$admtext['ifbothdata'] = "bekommt Vorrang, falls beide Felder Daten enthalten";
		$admtext['EVEN'] = "Ereignis";
		$admtext['ADOP'] = "Adoptiert";
		$admtext['ADDR'] = "Adresse";
		$admtext['ALIA'] = "Alias-Name";
		$admtext['BARM'] = "Bar-Mizwa";
		$admtext['BASM'] = "Bas-Mizwa";
		$admtext['CAST'] = "Stand";
		$admtext['CENS'] = "Volkszählung";
		$admtext['CHRA'] = "Erwachsenentaufe";
		$admtext['CONF'] = "Konfirmation/Firmung";
		$admtext['CREM'] = "Einäscherung";
		$admtext['DSCR'] = "Körperliche Beschreibung";
		$admtext['EDUC'] = "Ausbildung";
		$admtext['EMIG'] = "Auswanderung";
		$admtext['FCOM'] = "Erstkommunion";
		$admtext['GRAD'] = "akadem. Graduierung";
		$admtext['IDNO'] = "Ident-Nummer";
		$admtext['IMMI'] = "Einwanderung";
		$admtext['LANG'] = "Sprache";
		$admtext['NATI'] = "Nationalität";
		$admtext['NATU'] = "Einbürgerung";
		$admtext['NCHI'] = "Anzahl der Kinder";
		$admtext['NMR'] = "Anzahl der Eheschließungen";
		$admtext['OCCU'] = "Beruf";
		$admtext['ORDI'] = "Heilige Handlung";
		$admtext['ORDN'] = "Ordination (Priesterweihe)";
		$admtext['PHON'] = "Telefon";
		$admtext['PROB'] = "Beglaubigung";
		$admtext['PROP'] = "Besitz";
		$admtext['RELI'] = "Religion";
		$admtext['RESI'] = "Aufenthaltsort";
		$admtext['RESN'] = "vertrauliche Daten";
		$admtext['RETI'] = "Ruhestand";
		$admtext['RFN'] = "Datensatznummer";
		$admtext['SSN'] = "Sozialversicherungsnummer";
		$admtext['WILL'] = "Testament";
		$admtext['ANUL'] = "Annullierung";
		$admtext['DIVF'] = "Scheidung eingereicht";
		$admtext['ENGA'] = "Verlobung";
		$admtext['MARB'] = "Aufgebot";
		$admtext['MARC'] = "Ehevertrag";
		$admtext['MARL'] = "Eheerlaubnis";
		$admtext['MARS'] = "Ehevereinbarung";
		$admtext['forsources'] = "Für die Quellen ...";
		$admtext['RIN'] = "Datensatzidentnummer";
		$admtext['REFN'] = "Referenznummer";
		$admtext['REPO'] = "Aufbewahrungsort";

		$admtext['deleteselected'] = "Ausgewählte löschen";
		$admtext['ignoreselected'] = "Ausgewählte ignorieren";
		$admtext['acceptselected'] = "Ausgewählte akzeptieren";
		$admtext['changestoallevtypes'] = "Änderungen an allen Ereignissen";
		$admtext['forrepos'] = "Für Aufbewahrungsorte...";
		$admtext['noevtypes'] = "Keine Ereignistypen vorhanden.";
		$admtext['DESI'] = "Interessent an Nachkommen";
		$admtext['allnone'] = "Geben Sie für jede Sprache einen Anzeigetext ein,<br />oder lassen Sie alle Felder leer und geben Sie oben einen einzigen Anzeigetext ein.";
		$admtext['assocwith'] = "Verbunden mit";
		$admtext['BAPM'] = "Taufe";
		$admtext['umps'] = "Die Größe Ihrer hochzuladenden GEDCOM-Datei überschreitet das in Ihrer PHP-Installation erlaubte Maximum. Sie können Ihren Provider bitten, den Wert 'upload_max_filesize' zu erhöhen. Alternativ können Sie Ihre Datei in das 'gedcom'-Verzeichnis Ihrer Website hochladen von dort aus importieren.";
		$admtext['othlangs'] = "Andere Sprachen";
		$admtext['evdata'] = "Ereignisdaten";
		$admtext['ANCI'] = "Interessent an Vorfahren";
		//added in 10.0.0
		$admtext['collapseev'] = "Ereignis ausblenden";
		$admtext['collapse'] = "Ausblenden";
		$admtext['collapseselected'] = "Ausgewählte ausblenden";
		//added in 11.0.0
		$admtext['expselected'] = "Auswahl ausklappen";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Änderungen an der Familie";
		$admtext['marrdate'] = "Eheschließungsdatum"; //marriage date
		$admtext['modifyfamily'] = "Familie bearbeiten";
		$admtext['selectfamaction'] = "Familie und Aktion auswählen";
		$admtext['confdeletefam'] = "Sind Sie sicher, dass Sie diese Familie löschen wollen?";
		$admtext['existingfamilyinfo'] = "Angaben über bestehende Familie";
		$admtext['newfamilyinfo'] = "Angaben über neue Familie";
		$admtext['sealedsdate'] = "Besiegelung Datum (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Besiegelung Ort (LDS)";     //S is for spouse
		$admtext['newchildren'] = "neue Kinder";
		$admtext['addnewfamily'] = "Neue Familie hinzufügen";
		$admtext['createnewfamily'] = "Eine neue Familie anlegen";
		$admtext['editexistingfaminfo'] = "Familienangaben bearbeiten";
		$admtext['spousesids'] = "Ehefrau-Kennungen";
		$admtext['noname'] = "Kein Name";
		$admtext['familyidbefevent'] = "Sie müssen eine Familien-Kennung eingeben, bevor Sie neue Ereignisse anlegen können.";
		$admtext['prefixfamilyid'] = "Verwenden Sie 'F' (für \"Familie\") als Präfix für jede Familien-Kennung";
		$admtext['validfamilyid'] = "Bitte gültige Familien-Kennung eingeben. Eine Familien-Kennung besteht aus dem Präfix 'F' und einer Ziffernfolge.";
		$admtext['familyidbefnote'] = "Sie müssen eine Familien-Kennung eingeben, bevor neue Notizen importiert werden können.";
		$admtext['familyidbefcite'] = "Sie müssen eine Familien-Kennung eingeben, bevor Sie Zitate dieser Familie benutzen können.";
		$admtext['genfamily'] = "Allgemeine Familie";
		$admtext['marriagetype'] = "Art der Partnerschaft";
		$admtext['reviewfamilies'] = "Änderungsvorschläge für Familien akzeptieren oder ablehnen";
		$admtext['fevslater'] = "Hinweis: Kinder und zusätzliche Ereignisse können, ebenso wie ereignis-spezifische Notizen und Zitate, auf der folgenden Seite hinzugefügt werden.";
		$admtext['husbid'] = "Kennung des Ehemannes";  //husband ID
		$admtext['wifeid'] = "Mutter-Kennung";
		$admtext['enternamepart'] = "Geben Sie einen Teil des Namens des Vaters und/oder der Mutter ein.";
		$admtext['pleasenamepart'] = "Bitte geben Sie einen Teil des Namens des Vaters und/oder der Mutter ein.";
		$admtext['clickfind'] = "Suchen oder Anlegen anklicken =>";
		$admtext['chunlinked'] = "Verknüpfung des Kindes zur Familie wurde gelöst";
		$admtext['child'] = "Kind";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Person wird gespeichert...";
		$admtext['changestoperson'] = "Änderungen an der Person";
		$admtext['nobirthinfo'] = "Keine Geburts-Angaben";
		$admtext['modifyperson'] = "Person bearbeiten";
		$admtext['selectpersaction'] = "Person und Aktion auswählen";
		$admtext['existingpersoninfo'] = "Details zur Person";
		$admtext['firstgivennames'] = "Vorname(n)";
		$admtext['lastsurname'] = "Nachname";
		$admtext['nickname'] = "Beiname/Spitzname";
		$admtext['male'] = "Männlich";
		$admtext['female'] = "Weiblich";
		$admtext['bapldate'] = "Taufdatum (LDS)";
		$admtext['baplplace'] = "Taufort (LDS)";
		$admtext['endldate'] = "Besiegelungsdatum (LDS)";
		$admtext['parents'] = "Eltern";
		$admtext['father'] = "Vater";
		$admtext['mother'] = "Mutter";
		$admtext['unlinkindividual'] = "Verknüpfung dieser Person lösen";
		$admtext['aschild'] = "als Kind";
		$admtext['sealedpdate'] = "Besiegelt Datum (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Besiegelt Ort (LDS)";     //P is for parents
		$admtext['asspouse'] = " als Partner";
		$admtext['spouse'] = "Partner";
		$admtext['ordernumber'] = "Position";
		$admtext['married'] = "Verheiratet";
		$admtext['nonewfamily'] = "Beim Speichern eine neue Familie anlegen.";
		$admtext['addnewperson'] = "Neue Person hinzufügen";
		$admtext['createperson'] = "Eine neue Person anlegen";
		$admtext['personidbefevent'] = "Sie müssen zuerst eine Person-Kennung eingeben, bevor Sie neue Ereignisse hinzufügen können.";
		$admtext['prefixpersonid'] = "Eine Personen-Kennung beginnt mit 'I' für \"Individuum\"";
		$admtext['validpersonid'] = "Personen-Kennung eingeben. Eine gültige Kennung ist eine Ziffernfolge mit vorangestellten Präfix 'I'.";
		$admtext['newpersoninfo'] = "Angaben über neue Person";
		$admtext['selectsex'] = "Geschlecht auswählen.";
		$admtext['shortform'] = "Kurze Form";
		$admtext['editexistingpersoninfo'] = "Bearbeite Angaben einer vorhandenen Person";
		$admtext['unknown'] = "Unbekannt";
		$admtext['personidbefnote'] = "Sie müssen die Personen-Kennung eingeben, bevor Sie neue Notizen anlegen können.";
		$admtext['endlplace'] = "Beerdigungsort (LDS)";
		$admtext['personidbefcite'] = "Sie müssen die Personen-Kennung eingeben, bevor Sie ein Zitat dieser Person verwenden können.";
		$admtext['relationship'] = "Beziehung";
		$admtext['asspouse'] = " als Partner";
		$admtext['mergepeople'] = "Dubletten verschmelzen";
		$admtext['choosemerge'] = "Personen zum Verschmelzen auswählen oder potentielle Dubletten suchen";
		$admtext['usesoundex'] = "Benutze Soundex";
		$admtext['sdxdisclaimer'] = "Die Nutzung dieser Option verlängert die Suchzeit.";
		$admtext['combinenotes'] = "Notizen und Zitate verschmelzen";
		$admtext['confirmmerge'] = "Sind Sie sicher, dass Sie diese zwei Personen verschmelzen wollen?";
		$admtext['gotonewfamily'] = "Neue Familie mit dieser Person";
		$admtext['genperson'] = "zur Person";
		$admtext['reviewpeople'] = "Änderungsvorschläge für Personen akzeptieren oder ablehnen";
		$admtext['nokids'] = "Keine Kinder";
		$admtext['noparents'] = "Keine Eltern";
		$admtext['association'] = "Verbindung";
		$admtext['deletingassoc'] = "Verbindung wird gelöscht...";
		$admtext['addingassoc'] = "Verbindung wird gespeichert...";
		$admtext['updatingassoc'] = "Verbindung wird aktualisiert...";
		$admtext['addnewassoc'] = "Neue Verbindung hinzufügen";
		$admtext['modifyassoc'] = "Verbindung bearbeiten";
		$admtext['pevslater'] = "Hinweis: Zusätzliche Ereignisse können, ebenso wie Ereignis-spezifische Notizen und Zitate, auf der folgenden Seite hinzugefügt werden.";
		$admtext['ashusband'] = "als Vater";
		$admtext['aswife'] = "als Mutter";
		$admtext['pevslater2'] = "Hinweis: Zusätzliche Ereignisse können, ebenso wie Ereignis-spezifische Notizen und Zitate, später hinzugefügt werden.";
		$admtext['nospouse'] = "Kein Ehepartner";
		$admtext['revassoc'] = "Zusätzlich die entgegengesetzte Verknüpfung für diese beiden Personen anlegen";
		$admtext['prefix'] = "Präfix";
		$admtext['chkdel'] = "Kästchen ankreuzen, um Element auf der linken Seite zu löschen";
		//added in 9.0.0
		$admtext['choosedef'] = "Standard<br />-Foto<br />auswählen"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Datum der Konfirmation (LDS)";
		$admtext['confplace'] = "Ort der Konfirmation (LDS)";
		$admtext['initdate'] = "Datum der Vorverordnungen (LDS)";
		$admtext['initplace'] = "Ort der Vorverordnungen (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Das Vorschaubild konnte nicht kopiert werden nach";
		$admtext['photo'] = "Foto";
		$admtext['changestophoto'] = "Änderungen am Foto";
		$admtext['modifyphoto'] = "Foto bearbeiten";
		$admtext['addnewphoto'] = "Foto hinzufügen";
		$admtext['selectphotoaction'] = "Foto und Aktion auswählen";
		$admtext['photoid'] = "Foto-Kennung";
		$admtext['confdeletephoto'] = "Sind Sie sicher, dass Sie dieses Foto und alle Verknüpfungen löschen möchten?";
		$admtext['enterphotopath'] = "Geben Sie den Pfad- und Dateinamen für die Bilddatei im Foto-Verzeichnis auf Ihrem Webserver ein.";
		$admtext['enterthumbnailpath'] = "Geben Sie den Pfad- und Dateinamen für das Vorschaubild im Foto-Verzeichnis auf Ihrem Webserver ein.";
		$admtext['enterphotodesc'] = "Beschreibung für dieses Bild eingeben.";
		$admtext['existingphotoinfo'] = "Angaben zu bestehendem Foto";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Vorschaubild";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Pfad- und Dateiname";
		$admtext['sortphotos'] = "Sortiere Fotos";
		$admtext['sortphotosfor'] = "Sortiere Fotos für";
		$admtext['editexistingphotoinfo'] = "Bearbeite Angaben zu bestehendem Foto";
		$admtext['leaveblankallphotos'] = "Leer lassen, um alle Fotos zu zeigen";
		$admtext['headstone'] = "Grabstein";
		$admtext['imagenotcopied'] = "Die Bilddatei konnte nicht kopiert werden nach";
		$admtext['changestohs'] = "Änderungen am Grabstein";
		$admtext['modifyheadstone'] = "Grabstein bearbeiten";
		$admtext['selecthsaction'] = "Grabstein und Aktion auswählen";
		$admtext['confdeletehs'] = "Sind Sie sicher, dass Sie diesen Grabstein löschen möchten?";
		$admtext['photostatus'] = "Foto/Status";
		$admtext['selectcemetery'] = "Friedhof auswählen";
		$admtext['enterhsimage'] = "Verzeichnis für Ihre Grabstein-Bilder auf dem Webserver.";
		$admtext['existinghsinfo'] = "Angaben zu bestehendem Grabstein";
		$admtext['newhsinfo'] = "Angaben zu neuem Grabstein";
		$admtext['hsimagefile'] = "Grabstein-Bilddatei";
		$admtext['located'] = "Lokalisiert";
		$admtext['notyetlocated'] = "Noch nicht lokalisiert";
		$admtext['unmarked'] = "Nicht markiert";
		$admtext['missing'] = "Fehlt";
		$admtext['leaveblankhs'] = "Lassen Sie dieses Feld leer, falls die Dateien bereits in das Grabstein-Verzeichnis hochgeladen wurden.";
		$admtext['requiredhs'] = "Erforderlich. Muss mit dem Pfad- und Dateinamen einer Datei <em>im Grabstein-Verzeichnis</em> übereinstimmen. Falls Ihr Grabstein-Verzeichnis z.B. <em>headstones</em> heißt und die Datei <em>grabstein1.jpg</em> in einem Unterverzeichnis <em>GrabsteineHamburg</em> gespeichert werden soll, tragen Sie <em>GrabsteineHamburg/grabstein1.jpg</em> in dieses Feld ein.";
		$admtext['addnewhs'] = "Neuen Grabstein hinzufügen";
		$admtext['createnewhs'] = "Neuen Grabstein hinzufügen und mit einer Person verknüpfen";
		$admtext['editexistinghsinfo'] = "Bearbeite Angaben zu bestehendem Grabstein";
		$admtext['leaveblankallhs'] = "Leer lassen, um alle Grabsteine zu zeigen";
		$admtext['cemnamelocation'] = "Friedhofsname oder -ort";
		$admtext['pedphoto'] = "Verwende dieses Foto in Nachkommensübersichten und in Namens-Titeln";
		$admtext['photoowner'] = "Besitzer/Quelle";
		$admtext['dimensions'] = "Abmessungen";
		$admtext['selectphoto'] = "Foto auswählen";
		$admtext['specifyimg'] = "Bild angeben";
		$admtext['autoimg'] = "aus dem Original erstellen";
		$admtext['enterthumbpath'] = "Bitte einen Namen für Ihr Vorschaubild eingeben";
		$admtext['genthumbs'] = "Vorschaubilder erzeugen";
		$admtext['genthumbsdesc'] = "Automatische Erzeugung von Vorschaubildern, wenn noch keine vorhanden sind.";
		$admtext['thumbsgenerated'] = "Vorschaubild wurde erzeugt";
		$admtext['makedefault'] = "Als Standard setzen.";
		$admtext['filewithinhs'] = "Dateiname im Grabstein-Verzeichnis <br>(Unterverzeichnis- und Dateiname)";
		$admtext['recsupdated'] = "Datensatz aktualisiert";
		$admtext['removedef'] = "Standard-Foto löschen";
		$admtext['numlinkhs'] = "Anzahl der Personen, die mit diesem Grabstein verknüpft werden";
		$admtext['sortheadstones'] = "Sortiere Grabsteine";
		$admtext['sortheadstonesfor'] = "Sortiere Grabsteine für";
		$admtext['sortheadstonesind'] = "Sortiere Grabsteine für eine Person";
		$admtext['headstoneorder'] = "Sortierreihenfolge für die Grabsteine einer bestimmten Person";
		$admtext['enternumberforphoto'] = "Numerischer Wert für jeden Eintrag.";
		$admtext['updownforphoto'] = "Klicken Sie auf die Pfeile, um die Anzeigereihenfolge zu ändern.";
		$admtext['createnewphoto'] = "Datensatz mit neuem Bild anlegen und mit Person/Familie verknüpfen";
		$admtext['numlinkphoto'] = "Anzahl der Personen/Familien, die mit diesem Bild verknüpft werden";
		$admtext['photoorder'] = "Sortierreihenfolge für Fotos zu einer bestimmten Person";
		$admtext['assigndefs'] = "Standardfoto zuweisen";
		$admtext['assigndefsdesc'] = "Erstes Foto zu Person/Familie/Quelle als Standardfoto festlegen.";
		$admtext['overwritedefs'] = "Aktuelle Standardwerte überschreiben";
		$admtext['assign'] = "Standardfotos zuweisen";
		$admtext['defsassigned'] = "Standardfotos wurden zugewiesen";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Verweis-sensitive Graphik (Image Map)";
		$admtext['circle'] = "Kreis";
		$admtext['rect'] = "Rechteck";
		$admtext['poly'] = "Polygon";
		$admtext['shape'] = "Form des Bereiches";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Breite (Pixel)";
		$admtext['height'] = "Höhe (Pixel)";
		$admtext['imgdim'] = "Abmessungen des Bildes";
		$admtext['pixw'] = "Pixel breit";
		$admtext['pixh'] = "Pixel hoch";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Änderungen auf alle ausgewählten Fotos anwenden";
		$admtext['changestoallhs'] = "Änderungen auf alle ausgewählten Grabsteine anwenden";
		$admtext['datetaken'] = "Aufnahmedatum";
		$admtext['placetaken'] = "Aufnahmeort";
		$admtext['abspath'] = "Dieses Bild stammt aus einer externen Quelle. Sie müssen selbst für ein Vorschaubild sorgen.";
		$admtext['imagefile'] = "Bilddatei";
		$admtext['pathwithinphotos'] = "Datei im Foto-Verzeichnis";
		$admtext['linktocem'] = "Verknüpfen Sie dieses Bild unmittelbar mit dem ausgewählten Friedhof";
		$admtext['defphotonote'] = "Das Vorschaubild für dieses Foto identifiziert eine Person/Familie/Quelle in Stammbäumen oder anderen Darstellungen (auch Familienblätter).";
		$admtext['photonotadded'] = "Dieses Foto konnte nicht hinzugefügt werden. Vermutlich existiert bereits eine gleichnamige Datei.";
		$admtext['requiredphoto'] = "Erforderlich. Muss mit dem Pfad- und Dateinamen einer Datei <em>im Foto-Verzeichnis</em> übereinstimmen. Falls Ihr Foto-Verzeichnis z.B. <em>photos</em> heißt und die Datei <em>MeinFoto.jpg</em> in einem Unterverzeichnis <em>NeueFotos</em> gespeichert werden soll, tragen Sie <em>NeueFotos/MeinFoto.jpg</em> in dieses Feld ein.";
		$admtext['leaveblankphoto'] = "Lassen Sie dieses Feld leer, falls die Dateien bereits in das Foto-Verzeichnis hochgeladen wurden.";
		$admtext['thumbconflicts'] = "Vorschaubild wurde aufgrund von Problemen mit Pfad, Berechtigungen oder Dateinamen nicht erzeugt";
		$admtext['showmap'] = "Zeige stets Friedhofskarte und -fotos, wenn dieses Bild angezeigt wird";
		$admtext['bodytext'] = "<strong>ODER</strong><br/>Haupt-Text";
		$admtext['usenl'] = "Zeilenumbrüche bei der Anzeige nach HTML konvertieren";
		$admtext['newwin'] = "In neuem Fenster öffnen";
		$admtext['modifymedia'] = "Medium bearbeiten";
		$admtext['addnewmedia'] = "Neues Medium hinzufügen";
		$admtext['confdeletemedia'] = "Sind Sie sicher, dass Sie dieses Medium löschen möchten?";
		$admtext['thumbnails'] = "Vorschaubilder";
		$admtext['modifyalbum'] = "Album bearbeiten";
		$admtext['addnewalbum'] = "Neues Album hinzufügen";
		$admtext['newalbuminfo'] = "Angaben zum neuen Album";
		$admtext['confdeletealbum'] = "Sie sind sicher, dass Sie dieses Album löschen möchten?";
		$admtext['enteralbumname'] = "Bitte geben Sie einen Namen für das Album ein.";
		$admtext['albumname'] = "Name des Albums";
		$admtext['keywords'] = "Stichwörter";
		$admtext['changestoalbum'] = "Änderungen am Album";
		$admtext['addtoalbum'] = "Zum Album hinzufügen";
		$admtext['mediatype'] = "Medien-Kategorie";
		$admtext['fileext'] = "Datei-Erw."; //file extension (abbreviation)
		$admtext['anotherlink'] = "Weitere Verknüpfung hinzufügen";
		$admtext['mediaurl'] = "Medien-URL";
		$admtext['put_in'] = "Dateien speichern im";
		$admtext['usemedia'] = "Medien-Verzeichnis";
		$admtext['usecollect'] = "Verzeichnis für die Medien-Kategorie (z.B. \"photos\")";
		$admtext['notcopied'] = "Die Datei konnte nicht kopiert werden nach";
		$admtext['existingmediainfo'] = "Angaben zu Medien";
		$admtext['convto'] = "Ausgewählte umwandeln in";
		$admtext['changestoallmedia'] = "Alle ausgewählten Medien ändern";
		$admtext['changestoitem'] = "Einzelelement ändern";
		$admtext['eventlink'] = "Mit einem Ereignis verknüpfen";
		$admtext['sortmediaind'] = "Medien zu einer Person, Familie, Quelle, Aufbewahrungsort oder Ort sortieren";
		$admtext['sortmedia'] = "Sortiere xxx für";
		$admtext['unlinked'] = "Nur Unverknüpfte";
		$admtext['samepaths'] = "Das eigentliche Bild und das Vorschaubild können nicht die gleiche Datei sein. Bitte wählen Sie ein anderes Vorschaubild aus oder lassen Sie eines erzeugen.";
		$admtext['regenerate'] = "Vorschaubilder neu erzeugen";
		$admtext['forcircles'] = "Für Kreise";
		$admtext['forrects'] = "Für Rechtecke";
		$admtext['circleinstr'] = "Klicken Sie zuerst in den Kreismittelpunkt, dann an irgendeiner Stelle auf den Kreis selbst.";
		$admtext['rectinstr'] = "Klicken Sie zuerst auf die obere linke Ecke des Rechtecks, dann auf die untere rechte Ecke.";
		$admtext['firstone'] = "Erstes Exemplar";
		$admtext['controller'] = "Bitte berücksichtigen Sie einen zusätzlichen Abstand von 16 Pixeln für die Steuerelemente des Media Players.";
		$admtext['nostatus'] = "Kein Status";
		$admtext['enterid'] = "Bitte geben Sie für den ausgewählten Verknüpfungs-Typ eine Kennung ein.";
		$admtext['existingalbuminfo'] = "Angaben zum Album";
		$admtext['newmediainfo'] = "Angaben zum Medium";
		$admtext['mapinstr2'] = "Link-Bereiche Ihres Bildes zu verschiedenen Personen oder anderen Seiten (optional)";
		$admtext['mapinstr3'] = "Um einen Bereich dieses Bildes mit einer Person zu verknüpfen, wählen Sie den Stammbaum dieser Person aus. Danach erstellen Sie ein Rechteck über den Bereich des Bildes, den sie auswählen möchten. Dazu klicken Sie die obere linke Ecke des auszuwählenden Bereiches an, ziehen dann das Rechteck zur unteren rechten Ecke auf und klicken dort, um das Rechteck zu schließen. Alternativ können Sie den Bereich auch nacheinander zunächst oben links und dann unten rechts anklicken. Ein Popup-Fenster gestattet Ihnen jetzt die Auswahl der zu verknüpfenden Person. Nachdem die Auswahl erfolgt ist, wird ein entsprechender HTML-Code zum nachstehenden Eingabefeld hinzugefügt. Wiederholen Sie diesen Vorgang nach Bedarf für weitere Bereiche des Bildes.";
		$admtext['albumlinks'] = "Verknüpfungen im Album";
		$admtext['duplinkmsg'] = "Zu dem ausgewählten Element existiert in diesem Album bereits eine Verknüpfung.";
		$admtext['invlinkmsg'] = "Die von Ihnen eingegebene Kennung des Elements ist ungültig. Es wurde keine Verknüpfung angelegt.";
		$admtext['albmedia'] = "Medien im Album";
		$admtext['removelink'] = "Verknüpfung entfernen";
		$admtext['confremmedia'] = "Sind Sie sicher, dass Sie dieses Medium aus diesem Album entfernen möchten?";
		$admtext['selmedia'] = "Suche nach vorhandenen Medien, um sie diesem Album hinzuzufügen";
		$admtext['uploadfirst'] = "Neue Medien zuerst hier hinzufügen";
		$admtext['existmedia'] = "Vorhandene Medien";
		$admtext['emoptions'] = "Zum Sortieren: Blättern, Löschen oder Ziehen";
		$admtext['addlinks'] = "Neue Verknüpfungen hinzufügen";
		$admtext['eloptions'] = "Blättern oder Löschen";
		$admtext['inclmsg'] = " enthalten";
		$admtext['mediasubt'] = "Bearbeitung der in diesem Album enthaltenen Medien (Hinzufügen, Löschen, Sortieren)";
		$admtext['infosubt'] = "Geben Sie für das Album den Namen, die Beschreibung und Stichwörter ein";
		$admtext['linkssubt'] = "Dieses Album mit Personen, Familien, Quellen, Aufbewahrungsorten oder Orten verknüpfen";
		$admtext['inclmedia'] = "Medien im Album";
		$admtext['nomedia'] = "Noch keine Medien im Album";
		$admtext['nolinks'] = "Noch keine Verknüpfungen im Album";
		$admtext['thumbsize'] = "(Original-Datei ist zu groß)";
		$admtext['thumbinv'] = "(ungültige Datei oder unzureichende Datei-Berechtigungen)";
		$admtext['thumblost'] = "(Original-Datei nicht gefunden)";
		$admtext['uplsel'] = "Laden Sie von Ihrem Computer eine Datei hoch, oder wählen Sie eine bereits auf Ihrer Website vorhandene Datei aus";
		$admtext['alblater'] = "Hinweis: Auf der folgenden Seite können diesem Album Medien hinzugefügt werden, ebenso kann dort das Album mit Personen oder Familien verknüpft werden.";
		$admtext['medlater'] = "Hinweis: Auf der folgende Seite können weitere Angaben hinzugefügt werden, ebenso kann dort das Element mit Personen oder Familien verknüpft werden.";
		$admtext['minfosubt'] = "Bearbeitung von Titel, Beschreibung und anderen grundlegenden Angaben zum Medium";
		$admtext['medialinks'] = "Medien-Verknüpfungen";
		$admtext['defphoto'] = "Standard-Foto";
		$admtext['alttd'] = "Alternat. Titel/Beschr.";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Medien-Verknüpfung bearbeiten";
		$admtext['plot'] = "Grab-Standort";
		$admtext['addnewcoll'] = "Neue Medien-Kategorie anlegen";
		$admtext['collid'] = "Kennung für Medien-Kategorie";
		$admtext['colldisplay'] = "Titel anzeigen";
		$admtext['collpath'] = "Verzeichnis-Name";
		$admtext['collicon'] = "Icon-Datei";
		$admtext['colllike'] = "Gleiches Setup wie";
		$admtext['entercollid'] = "Bitte geben Sie für die Medien-Kategorie eine Kennung ein.";
		$admtext['entercolldisplay'] = "Bitte geben Sie für die Medien-Kategorie einen Anzeige-Titel ein.";
		$admtext['entercollpath'] = "Bitte geben Sie für die Medien-Kategorie einen Verzeichnis-Namen ein.";
		$admtext['entercollicon'] = "Bitte geben Sie für die Medien-Kategorie einen Namen für die Icon-Datei ein.";
		$admtext['editcoll'] = "Medien-Kategorie bearbeiten";
		$admtext['confmtdelete'] = "Sind Sie sicher, dass Sie diese Medien-Kategorie löschen möchten?";
		$admtext['histlimit'] = "<strong>Hinweis:</strong> Die meisten Browser begrenzen die Datenmenge, die mittels Web-Formular verschickt werden kann, auf etwa 64 kB. Falls Sie in das obige Feld für den Haupt-Text einen umfangreichen Text eingeben bzw. über die Zwischenablage einfügen möchten, so sollten Sie stattdessen die Verwendung von historytemplate.php in Betracht ziehen. Weitere Informationen finden Sie in der Online-Hilfe.";
		$admtext['repath'] = "Pfadnamen für Vorschaubilder neu berechnen, sofern Datei nicht existiert";
		$admtext['sortalbumind'] = "Alben für eine Person, Familie, Quelle, Aufbewahrungsort oder Ort sortieren";
		$admtext['cidexists'] = "Die von Ihnen eingegebene Sammlung-Kennung konnte nicht angelegt werden, da sie bereits existiert.";
		$admtext['phalltrees'] = "Optional. Leer lassen, damit Fotos in allen Stammbäumen sichtbar werden.";
		//added in 8.0.0
		$admtext['fileexists'] = "Diese Datei existiert bereits. Möchten Sie sie überschreiben?";
		$admtext['collthumb'] = "Vorschaubild-Datei";
		$admtext['movetop'] = "Nach oben verschieben";
		//added in 9.0.0
		$admtext['collexpas'] = "Exportieren als";
		//added in 9.2.0
		$admtext['upload'] = "Hochladen";
		$admtext['linksel'] = "Link zur Auswahl";
		$admtext['mediaupl'] = "Medien hochladen";
		$admtext['addfiles'] = "Dateien hinzufügen";
		$admtext['startupl'] = "Hochladen beginnen";
		$admtext['start'] = "Start";
		$admtext['cancelupl'] = "Hochladen abbrechen";
		//added in 11.0.0
		$admtext['localpath'] = "Lokale Pfad(e)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Änderungen an Bericht";
		$admtext['modifyreport'] = "Bericht bearbeiten";
		$admtext['existingreportinfo'] = "Angaben über bestehenden Bericht";
		$admtext['existingreports'] = "bestehende Berichte";
		$admtext['newreportinfo'] = "Angaben über neuen Bericht";
		$admtext['reportname'] = "Name des Berichts";
		$admtext['rankpriority'] = "Position/Priorität";
		$admtext['choosedisplay'] = "Wählen Sie die anzuzeigenden Felder";
		$admtext['spouseid'] = "Kennung Ehepartner";
		$admtext['spousename'] = "Name Ehepartner";
		$admtext['lastmodified'] = "Zuletzt bearbeitet";
		$admtext['ldsbapldate'] = "Datum der Taufe (LDS)";
		$admtext['ldsbaplplace'] = "Ort der Taufe (LDS)";
		$admtext['ldsendldate'] = "Datum der Begabung (LDS)";
		$admtext['ldsendlplace'] = "Ort der Begabung (LDS)";
		$admtext['ldssealsdate'] = "Datum der Siegelung an den Ehepartner (LDS)";
		$admtext['ldssealsplace'] = "Ort der Siegelung an den Ehepartner (LDS)";
		$admtext['ldssealpdate'] = "Datum der Siegelung an die Eltern (LDS)";
		$admtext['ldssealpplace'] = "Ort der Siegelung an die Eltern (LDS)";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Auswahlkriterien auswählen";
		$admtext['fullname'] = "Name";
		$admtext['lastfirst'] = "Name, Vorname";
		$admtext['monthonlyfrom'] = "Monat nur ab";
		$admtext['yearonlyfrom'] = "Jahr nur ab";
		$admtext['dayonlyfrom'] = "Tag nur ab";
		$admtext['operators'] = "Operator";
		$admtext['contains'] = "enthält";
		$admtext['startswith'] = "beginnt mit";
		$admtext['endswith'] = "endet mit";
		$admtext['text_and'] = "UND";
		$admtext['currentmonth'] = "Aktueller Monat";
		$admtext['currentyear'] = "Aktuelles Jahr";
		$admtext['currentday'] = "Aktueller Tag";
		$admtext['constantstring'] = "Feste Zeichenfolge";
		$admtext['constantvalue'] = "Fester Wert";
		$admtext['foremptystring'] = "Für leere Zeichenfolge, Feld leer lassen und \"Hinzufügen >>\" klicken.";
		$admtext['choosesort'] = "Sortierreihenfolge auswählen";
		$admtext['savereport'] = "Bericht speichern";
		$admtext['addnewreport'] = "Neuen Bericht hinzufügen";
		$admtext['createreport'] = "Einen neuen Bericht erstellen";
		$admtext['noreports'] = "Keine Berichte vorhanden";
		$admtext['rank'] = "Position";
		$admtext['confreportdelete'] = "Sind Sie sicher, dass Sie diesen Bericht löschen möchten?";
		$admtext['enterreportname'] = "Name des Berichts eingeben.";
		$admtext['selectdisplayfield'] = "Bitte mindestens ein Anzeigefeld auswählen.";
		$admtext['today'] = "Heute (aktuelles Datum)";
		$admtext['convtodays'] = "Konvertiere in Tage";
		$admtext['desc'] = "Absteigend";
		$admtext['birthdatetr'] = "Geburtsdatum (echt)";
		$admtext['chrdatetr'] = "Taufdatum (echt)";
		$admtext['deathdatetr'] = "Sterbedatum (echt)";
		$admtext['burialdatetr'] = "Beerdigungsdatum (echt)";
		$admtext['marriagedatetr'] = "Heiratsdatum (echt)";
		$admtext['ldsbapldatetr'] = "LDS Taufdatum (echt)";
		$admtext['ldsendldatetr'] = "LDS Begabungsdatum (echt)";
		$admtext['ldssealsdatetr'] = "LDS Siegelung an den Ehepartner Datum (echt)";
		$admtext['ldssealpdatetr'] = "LDS Siegelung an die Eltern Datum (echt)";
		$admtext['currentmonthnum'] = "Aktuelle Monatsnummer";
		$admtext['livingtrue'] = "Lebend = ja";
		$admtext['livingfalse'] = "Lebend = nein";
		$admtext['altreport'] = "ODER lassen Sie die obigen Felder für Ausgabedaten sowie für Auswahl- und Sortierkriterien leer und geben Sie stattdessen nachfolgend einen SQL-SELECT-Ausdruck ein";
		$admtext['rptdate'] = "Datum";
		$admtext['rptdatetr'] = "Datum (echt)";
		$admtext['fact'] = "Angabe";
		$admtext['testeditdelete'] = "Prüfe, bearbeite oder lösche vorhandene Berichte";
		$admtext['wnmsg'] = "Mitteilungstext für die Seite \"Aktuelles\"";
		$admtext['mwtype'] = "Typ";
		$admtext['mysphoto'] = "Fotos mit unbekannten Personen";
		$admtext['mysperson'] = "Personen mit fehlenden Angaben";
		$admtext['selphoto'] = "Foto auswählen";
		$admtext['entertitle'] = "Bitte geben Sie einen Titel ein";
		$admtext['enterdesc'] = "Bitte geben Sie eine Beschreibung ein";
		$admtext['confremmw'] = "Sind Sie sicher, dass Sie dieses Element entfernen möchten?";
		$admtext['msgsaved'] = "Mitteilungstext wurde gespeichert";
		//added in 9.1.1
		$admtext['privatetrue'] = "Vertraulich = ja";
		$admtext['privatefalse'] = "Vertraulich = nein";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Datum der Konfirmation";
		$admtext['ldsconfplace'] = "LDS Ort der Konfirmation";
		$admtext['ldsconfdatetr'] = "LDS Datum der Konfirmation (True)";
		$admtext['ldsinitdate'] = "LDS Datum der Vorverordnungen";
		$admtext['ldsinitplace'] = "LDS Ort der Vorverordnungen";
		$admtext['ldsinitdatetr'] = "LDS Datum der Vorverordnungen (True)";
		$admtext['savecopy'] = "Kopie speichern";
		$admtext['activeonly'] = "Nur aktiv";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Wählen Sie die Datei, die Sie importieren möchten.";
		$admtext['importgedcom'] = "GEDCOM-Datei importieren (Standard 5.5-Format)";
		$admtext['addreplacedata'] = "Daten hinzufügen oder ersetzen (kann mehrere Minuten dauern, je nach Größe der Datei)";
		$admtext['fromyourcomputer'] = "Von Ihrem Rechner";
		$admtext['importdata'] = "Daten importieren";
		$admtext['setupfirsttime'] = "Erstinstallation.";
		$admtext['replace'] = "Ersetze (in gewähltem Stammbaum)";
		$admtext['desttree'] = "Ziel-Stammbaum";
		$admtext['selectdesttree'] = "Name des Ziel-Stammbaums eingeben.";
		$admtext['selectexisting'] = "Importiere in";
		$admtext['importgedcom2'] = "GEDCOM-Dateien importieren/exportieren";
		$admtext['setupitems'] = "Konfiguration, Tabellen erstellen";
		$admtext['custeventitems'] = "Verwaltung benutzerdefinierter Ereignisse";
		$admtext['usersitems'] = "Verwaltung der Benutzer und Zugriffsrechte";
		$admtext['reportsitems'] = "Benutzerdefinierte Berichte";
		$admtext['langitems'] = "Verwaltung zusätzlicher Sprachen";
		$admtext['backupitems'] = "Tabellen sichern/wiederherstellen und optimieren";
		$admtext['ucaselast'] = "Alle Nachnamen in Großbuchstaben umwandeln";
		$admtext['norecalc'] = "\"Lebend\"-Kennzeichen nicht neu berechnen";
		$admtext['autooffset'] = "Starte Kennungen bei der ersten verfügbaren Nummer";

		$admtext['mustselecttree'] = "Sie müssen einen Stammbaum auswählen, bevor Sie diese Option wählen.";
		$admtext['importmedia'] = "Medien-Daten importieren, falls vorhanden";
		$admtext['mainmenu'] = "Hauptmenü";
		$admtext['neweronly'] = "Nur ersetzen, wenn neuer";
		$admtext['secondaryitems'] = "GENDEX-Datei erzeugen, Nachkommenslinien kennzeichen";
		$admtext['onwebserver'] = "Vom Webserver (aus dem GEDCOM-Verzeichnis)";
		$admtext['eventsonly'] = "Nur benutzerdefinierte Ereignistypen importieren (keine Daten werden hinzugefügt, ersetzt oder angefügt)";
		$admtext['imphints'] = "Hinweise: Alle vorhandenen Daten bedeutet: alle Personen, Familien, Quellen und Notizen (Medien-Verknüpfungen gehen nicht verloren, solange die Kennungen gleich bleiben). Vergleiche basieren nur auf den Kennungen. Neue Datensätze werden stets hinzugefügt. Beim Hinzufügen werden alle Datensätze mit neuen Kennungen importiert.";
		$admtext['allevents'] = "Daten für alle neuen benutzerdefinierten Ereignisse automatisch akzeptieren";
		$admtext['destbranch'] = "Ziel-Zweig (optional)";
		$admtext['inframe'] = "(in Frame)";
		$admtext['getstart'] = "Erste Schritte";
		$admtext['importlatlong'] = "Breite/Länge importieren, falls vorhanden";
		$admtext['opening'] = "Öffnen";
		$admtext['reopen'] = "Erneut öffnen";
		$admtext['uploading'] = "Hochladen";
		$admtext['stop'] = "Stop";
		$admtext['stopped'] = "Import gestoppt";
		$admtext['resume'] = "Fortsetzen";
		//changed in 8.0.0
		$admtext['showlog'] = "Protokoll der Änderungen";
		//added in 8.0.0
		$admtext['mmgritems'] = "Fremd-Add-ons konfigurieren";
		//added in 9.0.0
		$admtext['oldimport'] = "Import im alten Stil (ohne Ladebalken)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Bemerkungen, Aktuelles, Gesuchte Angaben";
		//added in 11.0.0
		$admtext['tasks'] = "Wichtige Aufgaben";
		$admtext['task_revusers'] = "Neue Benutzerregistrierungen prüfen";
		$admtext['task_tree'] = "Ersten Stammbaum erstellen";
		$admtext['task_user'] = "Eigenes Benutzerkonto erstellen";
		$admtext['task_people'] = "Personen hinzufügen";
		$admtext['task_families'] = "Familien hinzufügen";
		$admtext['task_revind'] = "Änderungsvorschläge zu Ereignissen für Personen prüfen";
		$admtext['task_revfam'] = "Änderungsvorschläge zu Ereignissen für Familien prüfen";
		$admtext['task_backup'] = "Backup ausführen";
		$admtext['nobackups'] = "Keine Backups vorhanden";
		$admtext['lastbackup'] = "Das letzte Backup ist mehr als xxx Tage alt";
		$admtext['dna_blurb'] = "DNA-Tests erfassen und mit Personen verknüpfen";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Änderungen an Quelle";
		$admtext['modifysource'] = "Quelle bearbeiten";
		$admtext['selectsrcaction'] = "Quelle und Aktion auswählen";
		$admtext['shorttitle'] = "Kurztitel";
		$admtext['longtitle'] = "Langtitel";
		$admtext['author'] = "Autor";
		$admtext['callnumber'] = "Signatur";
		$admtext['publisher'] = "Veröffentlicht durch";
		$admtext['actualtext'] = "Aktueller Text";
		$admtext['confdeletesrc'] = "Sind Sie sicher, dass Sie diese Quelle löschen möchten?";
		$admtext['selectshorttitle'] = "Geben Sie einen kurzen Titel für diesen Ereignistyp ein.";
		$admtext['existingsourceinfo'] = "Angaben zu bestehender Quelle";
		$admtext['newsourceinfo'] = "Angaben über neue Quelle";
		$admtext['addnewsource'] = "Neue Quelle hinzufügen";
		$admtext['prefixsourceid'] = "Quellen-Kennungen beginnen mit 'S' für 'Source' (= Quelle)";
		$admtext['entersourceid'] = "Quellen-Kennungen eingeben.";
		$admtext['validsourceid'] = "Gültige Quellen-Kennung eingeben. Eine Quellen-Kennung ist eine Ziffernfolge mit dem Präfix 'S' für 'Source' (= Quelle).";
		$admtext['createsource'] = "Neue Quelle erstellen";
		$admtext['editexistingsource'] = "Bearbeite Angaben zu bestehender Quelle";
		$admtext['addnewcite'] = "Neues Zitat hinzufügen";
		$admtext['reliability'] = "Verlässlichkeit";
		$admtext['relyexplain'] = "Größere Ziffern verweisen auf höhere Verlässlichkeit.";
		$admtext['citedate'] = "Zitat-Datum";
		$admtext['modifycite'] = "Zitat bearbeiten";
		$admtext['addingcite'] = "Zitat wird gespeichert...";
		$admtext['deletingcite'] = "Zitat wird gelöscht...";
		$admtext['updatingcite'] = "Zitat wird aktualisiert...";
		$admtext['citation'] = "Zitat";
		$admtext['sevslater'] = "Hinweis: Zusätzliche Ereignisse können hinzugefügt werden, nachdem diese Quelle gespeichert wurde.";
		$admtext['pleasesourcepart'] = "Bitte Teil des Quellen-Titels eingeben.";
		$admtext['addnewrepo'] = "Neuen Aufbewahrungsort hinzufügen";
		$admtext['modifyrepo'] = "Aufbewahrungsort bearbeiten";
		$admtext['createrepo'] = "Neuen Aufbewahrungsort anlegen";
		$admtext['editexistingrepo'] = "Angaben zu einem angelegten Aufbewahrungsort ändern";
		$admtext['enterrepoid'] = "Bitte geben Sie eine Aufbewahrungs-Kennung ein.";
		$admtext['enterreponame'] = "Bitte geben Sie den Namen des Aufbewahrungsortes ein.";
		$admtext['newrepoinfo'] = "Angaben zum neuen Aufbewahrungsort";
		$admtext['prefixrepoid'] = "Bitte stellen Sie der Aufbewahrungskennung \"REPO\" für \"Repository\" voran";
		$admtext['selectrepoaction'] = "Aufbewahrungsort und gewünschte Aktion auswählen";
		$admtext['confdeleterepo'] = "Sind Sie sicher, dass Sie diesen Aufbewahrungsort löschen möchten?";
		$admtext['changestorepo'] = "Änderungen am Aufbewahrungsort";
		$admtext['existingrepoinfo'] = "Vorhandene Angaben zum Aufbewahrungsort";
		$admtext['pleaserepopart'] = "Bitte geben Sie einen Teil des Aufbewahrungsort-Titels ein.";
		$admtext['choosemergesources'] = "Wählen Sie Quellen aus, um sie zu verschmelzen oder potentielle Dubletten zu finden";
		$admtext['confirmmergesources'] = "Sind Sie sicher, dass Sie diese beiden Quellen verschmelzen möchten?";
		$admtext['choosemergerepos'] = "Wählen Sie Aufbewahrungsorte aus, um sie zu verschmelzen oder potentielle Dubletten zu finden";
		$admtext['confirmmergerepos'] = "Sind Sie sicher, dass Sie diese beiden Aufbewahrungsorte verschmelzen möchten?";
		$admtext['revslater'] = "Hinweis: Zusätzliche Ereignisse sowie Notizen können hinzugefügt werden, nachdem der neue Aufbewahrungsort gespeichert wurde.";
		$admtext['confdeleterepo'] = "Sind Sie sicher, dass Sie diesen Aufbewahrungsort löschen möchten?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Prüfe neue Kennung";
		$admtext['idnotvalid'] = "ist keine gültige Kennung. Ein gültige Kennung ist eine Ziffernfolge mit dem Präfix";
		$admtext['idinuse'] = "wird bereits verwendet. Bitte andere Kennung wählen";
		$admtext['idok'] = "kann verwendet werden";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Template Nummer";
		$admtext['mainimage'] = "Haupt Bild (Homepage)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Titel Bild (Homepage)"; //1, 2, 3
		$admtext['headline'] = "Überschrift"; //4, 7
		$admtext['mainpara'] = "Willkommens Absatz";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Header Bild (inklusive Titel)"; //1
		$admtext['pedperson'] = "Stammbaum Personen ID"; //2
		$admtext['pedtree'] = "Stammbaum Baum ID"; //2
		$admtext['phhistperson'] = "Fotos &amp; Geschichten Personen ID"; //2
		$admtext['phhisttree'] = "Fotos &amp; Geschichten Baum ID"; //2
		$admtext['headimg'] = "Header Bild"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Header Titel Bild"; //2, 3
		$admtext['titleimg'] = "Titel Bild (alle Seiten)"; //4, 7
		$admtext['searchpara'] = "Absatz suchen"; //6
		$admtext['fhpara'] = "Familien Geschichten Absatz"; //6
		$admtext['fhlinkshis'] = "Familien Geschichten Verknüpfungen (Seine)"; //6
		$admtext['fhlinkshers'] = "Familien Geschichten Verknüpfungen (Ihre)"; //6
		$admtext['mwpara'] = "Absatz Am häufigsten gesucht"; //6
		$admtext['respara'] = "Ressourcen Absatz"; //6
		$admtext['reslinks'] = "Ressourcen links"; //6
		$admtext['headtitle1'] = "Header Titel, Teil 1"; //8
		$admtext['headtitle2'] = "Header Titel, Teil 2"; //8
		$admtext['headtitle3'] = "Header Titel, Teil 3"; //8
		$admtext['headsubtitle'] = "Header Untertitel"; //8
		$admtext['latestnews'] = "Letzte Neuheiten"; //8
		$admtext['momside'] = "Mutter´s Seite Beschriftung"; //8
		$admtext['dadside'] = "Vater's Seite Beschriftung"; //8
		$admtext['momperson'] = "Mutter's Seite Personen ID"; //8
		$admtext['momtree'] = "Mutter's Seite Baum ID"; //8
		$admtext['dadperson'] = "Vater's Seite Personen ID"; //8
		$admtext['dadtree'] = "Vater's Seite Baum ID"; //8
		$admtext['featurethumb1'] = "Merkmal 1 Thumbnail"; //4
		$admtext['featurelink1'] = "Merkmal 1 Verknüpfung"; //4
		$admtext['featuretitle1'] = "Merkmal 1 Titel"; //4
		$admtext['featurepara1'] = "Merkmal 1 Absatz"; //4
		$admtext['featurethumb2'] = "Merkmal 2 Thumbnail"; //4
		$admtext['featurelink2'] = "Merkmal 2 Verknüpfung"; //4
		$admtext['featuretitle2'] = "Merkmal 2 Titel"; //4
		$admtext['featurepara2'] = "Merkmal 2 Absatz"; //4
		$admtext['featurethumb3'] = "Merkmal 3 Thumbnail"; //4
		$admtext['featurelink3'] = "Merkmal 3 Verknüpfung"; //4
		$admtext['featuretitle3'] = "Merkmal 3 Titel"; //4
		$admtext['featurepara3'] = "Merkmal 3 Absatz"; //4
		$admtext['featurethumb4'] = "Merkmal 4 Thumbnail"; //4
		$admtext['featurelink4'] = "Merkmal 4 Verknüpfung"; //4
		$admtext['featuretitle4'] = "Merkmal 4 Titel"; //4
		$admtext['featurepara4'] = "Merkmal 4 Absatz"; //4
		$admtext['photocaption'] = "Haupt Bild Beschreibung"; //4
		$admtext['maintitle'] = "Haupt Titel"; //5
		$admtext['hisside'] = "Seine Seite Beschriftung"; //5
		$admtext['herside'] = "Ihre Seite Beschriftung"; //5
		$admtext['newstext'] = "Neuheiten Text"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Template-Umschaltung ermöglichen";
		//added in 9.0.0
		$admtext['template'] = "Template";
		$admtext['createcopy'] = "Erstelle Kopie in";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Zeige Links"; //9, 10
		$admtext['featurepara'] = "Zeige Absatz"; //9, 10
		$admtext['welcome'] = "Begrüßungs-Kopfzeile"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mutters Seite Nachnamen"; //8
		$admtext['dadsidenames'] = "Vaters Seite Nachnamen"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Kurzbeschreibung";
		$admtext['menutitle'] = "Menütitel";
		$admtext['titlechoice'] = "Titeloptionen";
		$admtext['photol'] = "Bild links";
		$admtext['phototitlel'] = "Bildtitel links";
		$admtext['photocaptionl'] = "Bildbeschreibung links";
		$admtext['photor'] = "Bild rechts";
		$admtext['phototitler'] = "Bildtitel rechts";
		$admtext['photocaptionr'] = "Bildbeschreibung rechts";
		$admtext['topsurnames'] = "Häufigste Nachnamen";
		$admtext['headimg2'] = "Titelbild 2"; //14
		$admtext['headimg3'] = "Titelbild 3"; //14
		$admtext['showprev'] = "Vorschau anzeigen";
		$admtext['hideprev'] = "Vorschau ausblenden";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Merkmal 5 Thumbnail"; //15
		$admtext['featurelink5'] = "Merkmal 5 Verknüpfung"; //15
		$admtext['featuretitle5'] = "Feature 5 title"; //15
		$admtext['featurepara5'] = "Merkmal 5 Absatz"; //15
		$admtext['featurethumb6'] = "Merkmal 6 Thumbnail"; //15
		$admtext['featurelink6'] = "Merkmal 6 Verknüpfung"; //15
		$admtext['featuretitle6'] = "Feature 6 title"; //15
		$admtext['featurepara6'] = "Merkmal 6 Absatz"; //15
		$admtext['featurethumb7'] = "Merkmal 7 Thumbnail"; //15
		$admtext['featurelink7'] = "Merkmal 7 Verknüpfung"; //15
		$admtext['featurepara7'] = "Merkmal 7 Absatz"; //15
		$admtext['featurethumb8'] = "Merkmal 8 Thumbnail"; //15
		$admtext['featurelink8'] = "Merkmal 8 Verknüpfung"; //15
		$admtext['featurepara8'] = "Merkmal 8 Absatz"; //15
		$admtext['sidebarhead1'] = "Seitenleiste Überschrift 1"; //15
		$admtext['sidebarhead2'] = "Seitenleiste Überschrift 2"; //15
		$admtext['sidebarhead3'] = "Seitenleiste Überschrift 3"; //15
		$admtext['texttitle1'] = "Text 1 Titel"; //15
		$admtext['textlink1'] = "Text 1 Verknüpfung"; //15
		$admtext['textpara1'] = "Text 1 Absatz"; //15
		$admtext['texttitle2'] = "Text 2 Titel"; //15
		$admtext['textlink2'] = "Text 2 Verknüpfung"; //15
		$admtext['textpara2'] = "Text 2 Absatz"; //15
		$admtext['texttitle3'] = "Text 3 Titel"; //15
		$admtext['textpara3'] = "Text 3 Absatz"; //15
		$admtext['subhead1'] = "Untertitel 1"; //15
		$admtext['subhead2'] = "Untertitel 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tabellen erfolgreich erzeugt.";
		$admtext['backtosetup'] = "Zurück zum Einstellungsmenü";
		$admtext['configuration'] = "Konfiguration";
		$admtext['entersysvars'] = "Systemvariablen einstellen.";
		$admtext['createdbtables'] = "Datenbanktabellen für erstmalige Verwendung anlegen.";
		$admtext['tcwarning'] = "<strong>Achtung!</strong> Wählen Sie diese Option nur, wenn Sie TNG erstmals installieren! <strong>Alle bestehenden Tabellen, zusammen mit den Angaben über Fotos, Geschichten, Grabsteine und Friedhöfe werden gelöscht!</strong>";
		$admtext['conftabledelete'] = "Hiermit werden ALLE Ihre bestehenden Dateien gelöscht!!! Sind Sie sicher, dass Sie fortfahren möchten?";
		$admtext['performdatamaint'] = "Wartung und Verwaltung der Fotos, Geschichten und anderer Daten.";
		$admtext['createtables'] = "Tabellen anlegen";
		$admtext['configsettings'] = "Allgemeine Einstellungen";
		$admtext['logconfigsettings'] = "Protokollierungs-Einstellungen";
		$admtext['importconfigsettings'] = "Import-Einstellungen";
		$admtext['diagnostics'] = "System-Überprüfung";
		$admtext['rundiags'] = "Starte System-Überprüfung";
		$admtext['phpinf'] = "Starte PHP-Überprüfung";
		$admtext['fromphp'] = "Diese Angaben stammen von Ihrem Server und hängen von Ihrer PHP-Installation ab, nicht von TNG.";
		$admtext['phpver'] = "PHP-Version";
		$admtext['phpreq'] = "(TNG benötigt 5.3 oder höher.)";
		$admtext['gdlib'] = "GD-Graphikbibliothek";
		$admtext['gdreq'] = "(Wird von den TNG-Funktionalitäten zur Erzeugung von Vorschaubildern benötigt.)";
		$admtext['availnogif'] = "Verfügbar, aber unterstützt keine GIF-Bilder";
		$admtext['notinst'] = "Nicht installiert";
		$admtext['safemode'] = "sicherer Modus (Safe Mode)";
		$admtext['off'] = "deaktiviert";
		$admtext['on'] = "aktiviert";
		$admtext['fileuploads'] = "Datei-Uploads";
		$admtext['fureq'] = "(Erforderlich für browsergestütztes Hochladen von GEDCOM- und Bild-Dateien sowie für weitere formularbasierte Funktionalitäten.)";
		$admtext['perm'] = "erlaubt";
		$admtext['notperm'] = "nicht erlaubt (benutzen Sie stattdessen FTP)";
		$admtext['sqlver'] = "MySQL-Version";
		$admtext['sqlreq'] = "(TNG benötigt 5.5 oder höher.)";
		$admtext['wsrvr'] = "Webserver (HTTP-Server-Programm)";
		$admtext['fperms'] = "Datei-/Verzeichnis-Berechtigungen";
		$admtext['fpreq'] = "(TNG benötigt einige Dateien und Verzeichnisse mit besonderen Zugriffsrechten.)";
		$admtext['scruser'] = "Skript läuft als Benutzer:";
		$admtext['phpuser'] = "Laut PHP läuft das Skript als Benutzer:";
		$admtext['usrprob'] = "Sie haben nicht die erforderlichen Datei-Zugriffsberechtigungen, damit TNG fehlerfrei läuft (FTP-User hat andere Rechte als der Skript-User)";
		$admtext['rofile'] = "Datei hat Nur-Lesen-Berechtigung (read-only):";
		$admtext['rofolder'] = "Verzeichnis hat Nur-Lesen-Berechtigung (read-only):";
		$admtext['publog'] = "Protokoll der öffentlichen Zugriffe";
		$admtext['admlog'] = "Protokoll der Verwaltungs-Zugriffe";
		$admtext['folderdne'] = "Verzeichnis ist nicht vorhanden:";
		$admtext['keyrw'] = "Alle wichtigen Verzeichnisse haben Lese-/Schreibberechtigung";
		$admtext['cfgrw'] = "Alle Konfigurationsdateien haben Lese-/Schreibberechtigung";
		$admtext['acceptable'] = "Akzeptabel.";
		$admtext['restricted'] = "Einige Funktionalitäten können eingeschränkt sein. Bei Installation oder Nutzung von TNG sind Fehler zu erwarten.";
		$admtext['needchngs'] = "TNG wird nicht ohne Anpassungen an Ihrer PHP- oder Server-Konfiguration laufen.";
		$admtext['yourbrowser'] = "Ihr Browser: ";
		$admtext['modifysettings'] = "Einstellungen bearbeiten";
		$admtext['dbhost'] = "Datenbank-Servername";
		$admtext['dbname'] = "Datenbankname";
		$admtext['dbusername'] = "Datenbank-Benutzerkennung";
		$admtext['dbpassword'] = "Datenbank-Passwort";
		$admtext['rootpath'] = "Root-Pfad";
		$admtext['homepage'] = "Startseite";
		$admtext['emailaddress'] = "E-Mail-Adresse";
		$admtext['siteowner'] = "Besitzer dieser Website";
		$admtext['maxdescgens'] = "Maximum Nachkommengenerationen";
		$admtext['disallow'] = "Verweigern";
		$admtext['defaultallowed'] = "Standard: Zulassen";
		$admtext['maxsearchresults'] = "Max. Anzahl Suchergebnisse je Seite";
		$admtext['targetframe'] = "Ziel-Frame";
		$admtext['table'] = "Tabelle";
		$admtext['lastbackup'] = "Letzte Sicherung";
		$admtext['backup'] = "Sicherung";
		$admtext['restore'] = "Wiederherstellen";
		$admtext['backupfilesize'] = "Dateigröße";
		$admtext['succbackedup'] = " - Sicherung erfolgreich";
		$admtext['succrestored'] = " - Wiederherstellung erfolgreich";
		$admtext['change_cutoff'] = "Max. Anzahl Tage in 'Aktuelles'";
		$admtext['change_limit'] = "Max. Anzahl je Medien-Kategorie in 'Aktuelles'";
		$admtext['photosext'] = "Dateierweiterung Fotos";
		$admtext['defaulttree'] = "Standard-Stammbaum";
		$admtext['requirelogin'] = "Login erforderlich";
		$admtext['defaultdontrequire'] = "Standard: Nicht erforderlich";
		$admtext['ldsdefault'] = "Anzeige von LDS-Daten (LDS = Heilige der letzten Tage = \"Mormonen\")";
		$admtext['ldson'] = "Immer";
		$admtext['ldsoff'] = "Niemals";
		$admtext['ldspermit'] = "Abhängig von den Benutzerrechten";
		$admtext['allow'] = "Zulassen";
		$admtext['chooselang'] = "Dynamische Sprachänderung";
		$admtext['optimize'] = "optimieren";
		$admtext['succoptimized'] = " - Optimierung erfolgreich";
		$admtext['customheader'] = "Header-Datei";
		$admtext['customfooter'] = "Footer-Datei";
		$admtext['custommeta'] = "Meta-Datei";
		$admtext['lineending'] = "Linienende";
		$admtext['backuppath'] = "Backup-Verzeichnis";
		$admtext['photopath'] = "Foto-Verzeichnis";
		$admtext['headstonepath'] = "Grabstein-Verzeichnis";
		$admtext['historypath'] = "Geschichten-Verzeichnis";
		$admtext['backuprestoretables'] = "Tabellen sichern/wiederherstellen/optimieren";
		$admtext['shownames'] = "Zeige Namen von Lebenden";
		$admtext['initials'] = "kürze Vorname ab";
		$admtext['regformat'] = "Listen-Format";
		$admtext['stdformat'] = "Standard-Format";
		$admtext['thumbprefix'] = "Präfix für Vorschaubilder";
		$admtext['thumbmaxh'] = "Maximale Höhe Vorschaubild";
		$admtext['thumbmaxw'] = "Maximale Breite Vorschaubild";
		$admtext['thumbsuffix'] = "Suffix für Vorschaubilder";
		$admtext['showextended'] = "Zeige ausführliche Foto-Angaben";
		$admtext['shownotes'] = "Anzeige der Notizen";
		$admtext['notestogether'] = "Unter den Ereignissen, wenn das möglich ist";
		$admtext['notestogether2'] = "Unter den Ereignissen, außer Allgemeine Notizen";
		$admtext['notesapart'] = "Im Notizbereich";
		$admtext['lnprefixes'] = "Namenszusatz (z.B. von, den)";
		$admtext['lntogether'] = "Als Teil des Nachnamens";
		$admtext['lnapart'] = "Als eigenen Teil verwenden";
		$admtext['detectpfx'] = "Namenspräfixe während des Imports ermitteln";
		$admtext['lnpfxnum'] = "Zahl der Präfixe (max)";
		$admtext['specpfx'] = "ODER diese speziellen Präfixe";
		$admtext['newmedialinks'] = "Neue Verknüpfungen für Fotos/Geschichten";
		$admtext['maxgedcom'] = "Max. Anzahl Generationen für GEDCOM-Download";
		$admtext['placestable'] = "Orte-Tabelle";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Genealogie-URL";
		$admtext['charset'] = "Zeichensatz";
		$admtext['time_offset'] = "Server Zeitabstand (Stunden)";
		$admtext['backupall'] = "Backup für gewählte Tabellen";
		$admtext['optimizeall'] = "Optimiere gewählte Tabellen";
		$admtext['alltables'] = "Ausgewählte Tabellen";
		$admtext['brinstructions'] = "Um eine Tabelle zu sichern (Backup), wiederherzustellen (Restore) oder zu optimieren, klicken Sie entweder bei der gewünschten Tabelle auf das entsprechende Icon ODER wählen Sie mehrere Tabellen aus und starten Sie dann für diese Tabellen die entsprechende Aktion, indem Sie den entsprechenden Button am Ende der Liste anklicken.";
		$admtext['tabstyle'] = "Style Sheet für Registerkarten";
		$admtext['iconloc'] = "Anordnung der Menü-Icons";
		$admtext['topleft'] = "Links oben, oberhalb der Überschriften";
		$admtext['topright'] = "Rechts oben, in der Nähe der Überschriften";
		$admtext['indstart'] = "Personenblatt anzeigen";
		$admtext['persinfo'] = "Nur mit persönlichen Angaben";
		$admtext['allinfo'] = "Mit allen Angaben";
		$admtext['thumbcols'] = "Spalten in der Vorschaubilder-Ansicht";
		$admtext['stdesc'] = "Nachkommensanzeige beginnt";
		$admtext['stexpand'] = "maximiert";
		$admtext['stcollapse'] = "minimiert";
		$admtext['regnosp'] = "Generationsanzeige in der Nachkommenliste";
		$admtext['chshow'] = "Zeige stets jeden";
		$admtext['chifsp'] = "Lösche Personen ohne Partnerschaft";
		$admtext['restoreall'] = "Restore für gewählte Tabellen";
		$admtext['surerestore'] = "Sind Sie sicher, dass Sie die ausgewählten Tabellen zurücksichern wollen (= restore ausführen)?";
		$admtext['surerestorets'] = "Sind Sie sicher, dass Sie die ausgewählten Tabellenstrukturen zurücksichern wollen (= restore ausführen)? Alle vorhandenen Daten werden gelöscht!";
		$admtext['backupstruct'] = "Backup der Tabellenstruktur";
		$admtext['tablestruct'] = "Tabellenstruktur";
		$admtext['brinstructions2'] = "Um für die Tabellenstruktur ein Backup oder Restore auszuführen, klicken Sie unterhalb auf das entsprechende Icon. ACHTUNG: Bei einem Restore der Tabellenstruktur werden alle vorhandenen Daten gelöscht!";
		$admtext['livedefault'] = "Anzeige der Daten lebender Personen";
		$admtext['nodisplay'] = "nicht anzeigen";
		$admtext['menudisp'] = "Menü anzeigen";
		$admtext['asicons'] = "als Icons";
		$admtext['asdrop'] = "als Dropdown-Liste";
		$admtext['gendex'] = "GENDEX-Verzeichnis";
		$admtext['modifypedsettings'] = "Stammbaumeinstellungen bearbeiten";
		$admtext['leftindent'] = "Linker Rand";
		$admtext['boxnamesize'] = "Schriftgröße (px)";
		$admtext['namesizeshift'] = "Größenänderung Name";
		$admtext['boxdatessize'] = "Blockgröße Datum";
		$admtext['datessizeshift'] = "Größenänderung Datum";
		$admtext['boxcolor'] = "Blockfarbe";
		$admtext['colorshift'] = "Farbänderung (%)";
		$admtext['emptycolor'] = "Keine Farbe";
		$admtext['bordercolor'] = "Randfarbe";
		$admtext['shadowcolor'] = "Schattenfarbe";
		$admtext['boxwidth'] = "Blockbreite (außer Popups)";
		$admtext['boxheight'] = "Blockhöhe (außer Popups)";
		$admtext['boxalign'] = "Blockausrichtung (außer Popups)";
		$admtext['boxheightshift'] = "Block-Höhenverschiebung (außer Popups)";
		$admtext['boxHsep'] = "Horizontale Trennlinien im Block";
		$admtext['boxVsep'] = "Vertikale Trennlinien im Block";
		$admtext['shadowoffset'] = "Schatten Offset";
		$admtext['linewidth'] = "Linienbreite";
		$admtext['borderwidth'] = "Randbreite";
		$admtext['popupcolor'] = "Popup Farbe";
		$admtext['popupinfosize'] = "Popup Infogröße";
		$admtext['popupinfosizeshift'] = "Popup Infoverschiebung (Größe)";
		$admtext['popuptimer'] = "Popup-Timer (ms)";
		$admtext['pedevent'] = "Popup-Ereignis";
		$admtext['puboxwidth'] = "Boxbreite (mit Popups)";
		$admtext['puboxheight'] = "Boxhöhe (mit Popups)";
		$admtext['puboxalign'] = "Boxausrichtung (mit Popups)";
		$admtext['puboxheightshift'] = "Box-Höhenverschiebung (mit Popups)";
		$admtext['popupspouses'] = "Popup Ehefrauen";
		$admtext['popupkids'] = "Popup Kinder";
		$admtext['popupchartlinks'] = "Popup Grafiklinks";
		$admtext['inclphotos'] = "Fotos einbeziehen";
		$admtext['overflow'] = "Überlauf";
		$admtext['pedcompact'] = "Kompakt";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Nur Text";
		$admtext['relchart'] = "Verwandtschafts-Darstellung";
		$admtext['maxupgen'] = "Max. Generationen Verwandtschaft";
		$admtext['left'] = "Links";
		$admtext['right'] = "Rechts";
		$admtext['center'] = "Zentriert";
		$admtext['mouseover'] = "MouseOver";
		$admtext['mousedown'] = "MouseDown";
		$admtext['ahnentafel'] = "Ahnenliste";
		$admtext['pedbox'] = "Mit Rahmen";
		$admtext['hideempty'] = "Leere Rahmen unterdrücken";
		$admtext['logfilename'] = "Dateiname Protokolldatei";
		$admtext['maxloglines'] = "Max. Zeilen Protokolldatei";
		$admtext['modifylogsettings'] = "Protokollierungs-Einstellungen bearbeiten";
		$admtext['badhosts'] = "schließe Hostnamen aus";
		$admtext['admin'] = "Verwalter";
		$admtext['text_public'] = "(öffentlich)";
		$admtext['saveimportstate'] = "Importstatus speichern";
		$admtext['allowresume'] = "Speichern, um eine Wiederaufnahme zu ermöglichen, wenn der Import scheitert";
		$admtext['modifyimportsettings'] = "Import-Konfiguration bearbeiten";
		$admtext['embeddedmedia'] = "Eingebettete Medien";
		$admtext['assignnames'] = "Erlaube TNG, eingebetteten Medien Namen zu geben.";
		$admtext['localphotopath'] = "Lokales Foto-Verzeichnis";
		$admtext['localdocpath'] = "Lokales Geschichten-Verzeichnis";
		$admtext['nopathmatch'] = "Wenn kein lokales Verzeichnis passt";
		$admtext['wholepath'] = "importiere das ganze Verzeichnis";
		$admtext['justname'] = "importiere nur den Dateinamen";
		$admtext['gedpath'] = "GEDCOM-Verzeichnis (Import/Export)";
		$admtext['makefolder'] = "Verzeichnis anlegen";
		$admtext['blankchangedt'] = "Wenn das \"Änderungsdatum\" leer ist";
		$admtext['usetoday'] = "Aktuelles Datum verwenden";
		$admtext['useblank'] = "Unverändert belassen";
		$admtext['nobirthdate'] = "Bei fehlendem Geburtsdatum";
		$admtext['persliving'] = "Person als lebend behandeln";
		$admtext['persdead'] = "Person als verstorben behandeln";
		$admtext['nodeathdate'] = "Bei fehlendem Sterbedatum die Person<br />als verstorben behandeln, sofern älter als";
		$admtext['pedconfigsettings'] = "Stammbaum-Einstellungen";
		$admtext['usepopups'] = "Standard-Anzeige";
		$admtext['maxpedgens'] = "Max. Generationenanzahl";
		$admtext['dbsection'] = "Datenbank";
		$admtext['tablesection'] = "Tabellen-Namen";
		$admtext['foldersection'] = "Pfade und Verzeichnisse";
		$admtext['sitesection'] = "Website-Design und allgemeine Angaben";
		$admtext['privsection'] = "Datenschutz/Vertraulichkeit";
		$admtext['namesection'] = "Namen";
		$admtext['descsection'] = "Nachkommenschaft";
		$admtext['miscsection'] = "Verschiedenes";
		$admtext['mediatable'] = "Medien-Tabelle";
		$admtext['pedanddesc'] = "Allgemeine Angaben";
		$admtext['descchart'] = "Nachkommens-Darstellung";
		$admtext['pedchart'] = "Vorfahrens-Darstellung";
		$admtext['initgens'] = "Generationenanzahl zu Beginn";
		$admtext['mediapath'] = "Allgemeines Medien-Verzeichnis";
		$admtext['documentpath'] = "Dokumenten-Verzeichnis";
		$admtext['localdocumentpath'] = "Lokales Dokumenten-Verzeichnis";
		$admtext['localotherpath'] = "Lokales Verzeichnis für andere Medien";
		$admtext['imgmaxh'] = "Maximale Bild-Höhe";
		$admtext['imgmaxw'] = "Maximale Bild-Breite";
		$admtext['succdel'] = "erfolgreich gelöscht";
		$admtext['delbkups'] = "Ausgewählte Backups löschen";
		$admtext['suredelbk'] = "Sind Sie sicher, dass Sie die ausgewählten Backups löschen möchten?";
		$admtext['showhome'] = "\"Home\"-Link anzeigen";
		$admtext['showsearch'] = "\"Suchen\"-Link anzeigen";
		$admtext['showlogin'] = "\"Anmelden/Abmelden\"-Link anzeigen";
		$admtext['showprint'] = "\"Drucken\"-Link anzeigen";
		$admtext['showbmarks'] = "\"Lesezeichen hinzufügen\"-Link anzeigen";
		$admtext['server'] = "(Server)";
		$admtext['client'] = "(Client)";
		$admtext['sitename'] = "Name der Website";
		$admtext['site_desc'] = "Beschreibung der Website";
		$admtext['privnote'] = "Präfix für private/vertrauliche Notizen";
		$admtext['custvars'] = "Hinweis: Sie können Ihre eigenen, benutzerdefinierten Einstellungen in \"customconfig.php\" anlegen (mit Text-Editor öffnen und den Erläuterungen folgen).";
		$admtext['blockemail'] = "Mitteilungen/Anmerkungen oder neue Benutzer-Registrierungen sperren, wenn";
		$admtext['addrcontains'] = "die Adresse folgendes enthält";
		$admtext['msgcontains'] = "die Nachricht folgendes enthält";
		$admtext['reqloginset'] = "\"Login erforderlich\" muss auf 'Ja' gesetzt werden, um diese Einstellung zu aktivieren";
		$admtext['treerestrict'] = "Zugriff auf den zugeordneten Stammbaum beschränken";
		$admtext['mapconfigsettings'] = "Karten-Einstellungen";
		$admtext['modifymapsettings'] = "Karten-Einstellungen ändern";
		$admtext['maptype'] = "Art";
		$admtext['maphybrid'] = "Hybrid";
		$admtext['mapsatellite'] = "Satellit";
		$admtext['mapdimsind'] = "Karten-Abmessungen für Personen-Seiten";
		$admtext['mapdimshst'] = "Karten-Abmessungen für Grabstein-Seiten";
		$admtext['mapdimsadm'] = "Karten-Abmessungen für Verwaltungs-Seiten";
		$admtext['mapwidth'] = "Breite (% oder Pixel)";
		$admtext['mapheight'] = "Höhe (Pixel)";
		$admtext['mapstlat'] = "Default-Wert für geographische Breite";
		$admtext['mapstlong'] = "Default-Wert für geographische Länge";
		$admtext['startoff'] = "Karten auf Verwaltungs-Seiten zu Beginn ausblenden";
		$admtext['conslpins'] = "Doppelte Pins zusammenführen";
		$admtext['ssenabled'] = "Diaschau aktivieren";
		$admtext['ssrepeat'] = "Diaschau mit automatischer Wiederholung";
		$admtext['sysinfo'] = "Informationen über die Software-Umgebung Ihrer Website.";
		$admtext['albumlinkstable'] = "Alben-Medien-Verknüpfungen";
		$admtext['addresstable'] = "Adressen";
		$admtext['statestable'] = "Staaten/Länder";
		$admtext['countriestable'] = "Regionen/Provinzen";
		$admtext['notelinkstable'] = "Notizen-Verknüpfungen";
		$admtext['medialinkstable'] = "Medien-Verknüpfungen";
		$admtext['saveimporttable'] = "Importspeicherung";
		$admtext['brlinkstable'] = "Zweig-Verknüpfungen";
		$admtext['temptable'] = "Temporäre Ereignisse";
		$admtext['tleventstable'] = "Zeitstrahl-Ereignisse";
		$admtext['album2entitiestable'] = "Alben-Verknüpfungen";
		$admtext['doctype'] = "Doctype-Deklaration";
		$admtext['cemrows'] = "Max. Zeilenanzahl pro Spalte (ungefähr)";
		$admtext['cemblanks'] = "\"Unbekannte\" Kategorien unterdrücken";
		$admtext['success'] = "Erfolgreich";
		$admtext['fexists'] = "Fehlgeschlagen. Ordner ist bereits vorhanden.";
		$admtext['fmanual'] = "Fehlgeschlagen. Bitte mittels FTP-Programm oder Online-Dateimanager erzeugen.";
		$admtext['maintmode'] = "Wartungs-Modus";
		$admtext['maintexp'] = "Wegen Wartungsarbeiten sind vorübergehend keine Datenbankzugriffe möglich. Bitte versuchen Sie es später nochmals. Sollte auch etliche Stunden nach dem erstmaligen Auftreten dieser Meldung keine reguläre Nutzung möglich sein, so wenden Sie sich bitte an den Verwalter dieser Website.";
		$admtext['defimpopt'] = "Standard-Ersetzungs-Option";
		$admtext['seltable'] = "Bitte wählen Sie mindestens eine Tabelle aus.";
		$admtext['renumber'] = "Kennungen resequenzieren";
		$admtext['idtype'] = "Kennungs-Typ";
		$admtext['mindigits'] = "Mindestanzahl Ziffern";
		$admtext['niprefix'] = "Kennungs-Präfix nicht eingeschlossen";
		$admtext['finreseq'] = "Resequenzieren beendet";
		$admtext['recsreseq'] = "Datensätze resequenziert";
		$admtext['needmaint'] = "Um diese Dienstroutine laufen zu lassen, müssen Sie zuerst in den Wartungsmodus gehen (siehe: Einstellungen &gt;&gt; Konfiguration &gt;&gt; Allgemeine Einstellungen &gt;&gt; Datenbank)";
		$admtext['reseqwarn'] = "<strong>ACHTUNG:</strong> Das Resequenzieren der Kennungen kann zur Folge haben, dass externe Links, die auf Ihre Website verweisen, ins Leere oder auf falsche Ziele zeigen.";
		$admtext['subroot'] = "Konfigurations-Verzeichnis";
		$admtext['hidechr'] = "Tauf-Angaben ausblenden";
		$admtext['datefmt'] = "Voreinstellung für numerische Datumsangaben";
		$admtext['dayfirst'] = "Tag/Monat/Jahr";
		$admtext['monthfirst'] = "Monat/Tag/Jahr";
		$admtext['exusers'] = "Ausgeschlossene Benutzerkennungen";
		$admtext['allowreg'] = "Neue Benutzer-Registrierungen gestatten";
		$admtext['localhspath'] = "Lokales Grabstein-Verzeichnis";
		$admtext['pardata'] = "Elterndaten auf Personenblatt";
		$admtext['pnoevents'] = "Keine Ereignisse anzeigen";
		$admtext['pstdonly'] = "Nur Standard-Ereignisse für Familien anzeigen";
		$admtext['palldata'] = "Alle Ereignisse und Medien anzeigen";
		$admtext['servertime'] = "Server-Zeit ist";
		$admtext['sitetime'] = "und Website-Zeit ist";
		$admtext['srexpl'] = "Optional. Verwenden Sie eine absolute Pfadangabe, wie im Root-Pfad ersichtlich. Verschieben Sie die folgenden Dateien <strong>sofort</strong> nach dem Speichern in das Konfigurations-Verzeichnis und machen Sie die Dateien beschreibbar (Berechtigung: 664): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php.";
		$admtext['mapstzm'] = "Start-Zoomwert";
		$admtext['mapfoundzm'] = "Orts-Zoom";
		$admtext['rrnum'] = "Berichtnummer speichern";
		$admtext['progint'] = "Fortschritts-Intervall (ms)";
		$admtext['timechart'] = "Zeitstrahl-Diagramm";
		$admtext['tcheight'] = "Diagramm-Höhe";
		$admtext['distances'] = "Alle Entfernungen sind in Pixel gemessen.";
		$admtext['mpixels'] = "Pixel zwischen Monaten";
		$admtext['ypixels'] = "Pixel zwischen Jahren";
		$admtext['ymult'] = "Jahre zwischen Markern";
		$admtext['mpct'] = "Vertikaler Prozentsatz zwischen Monaten";
		$admtext['ypct'] = "Vertikaler Prozentsatz zwischen Jahren";
		$admtext['inclevs'] = "Zu berücksichtigende Ereignisse";
		$admtext['allevs'] = "Alle Ereignisse";
		$admtext['rangeevs'] = "Nur Ereignisse im Lebenszeitraum der Personen im Diagramm darstellen";
		$admtext['tcwidth'] = "Anfangsbreite des Diagramms";
		$admtext['simile'] = "Vergleichenden Zeitstrahl aktivieren";
		//added in 8.0.0
		$admtext['pstartoff'] = "Öffentliche Karten zu Beginn verdecken";
		$admtext['maxrels'] = "Maximale Anzahl der Beziehungen";
		$admtext['initrels'] = "Start-Anzahl der Beziehungen";
		$admtext['templateconfigsettings'] = "Template-Einstellungen";
		$admtext['modifytemplatesettings'] = "Template-Einstellungen ändern";
		$admtext['ucsurnames'] = "Alle Nachnamen in Großbuchstaben";
		$admtext['maxnoteprev'] = "Maximale Zeichenanzahl in Listen-Bemerkungen";
		$admtext['mailreg'] = "E-Mail und Registrierung";
		$admtext['autoapp'] = "Neue Benutzer automatisch akzeptieren";
		$admtext['inclpwd'] = "Passwort in Willkommens-E-Mail aufnehmen";
		$admtext['ackemail'] = "Bestätigungs-E-Mail senden";
		$admtext['fromadmin'] = "Alle E-Mails mit obiger Adresse versenden";
		$admtext['autotree'] = "Für diesen Benutzer neuen Stammbaum anlegen";
		$admtext['modspath'] = "Pfad für Modifikationen";
		$admtext['extspath'] = "Pfad für Erweiterungen";
		$admtext['encrtype'] = "Verschlüsselungs-Typ";
		$admtext['none'] = "Keine Verschlüsslung";
		$admtext['imgviewer'] = "Bildbetrachter aktivieren";
		$admtext['docsonly'] = "Nur Dokumente";
		$admtext['imgvheight'] = "Bildbetrachter Höhe";
		$admtext['flex'] = "Immer das gesamte Bild zeigen";
		$admtext['setheight'] = "Fest (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Ortsdatensätze dem Stammbaum zuordnen";
		$admtext['convert'] = "Umwandeln";
		$admtext['convexpl'] = "(Damit werden alle aktuellen Orte dem ausgewählten Stammbaum zugeordnet)";
		$admtext['mergeexpl'] = "(Damit wird die Stammbaumzuordnung von den Ortsdatensätzen entfernt)";
        $admtext['nocutoff'] = "Freilassen oder auf Null (0) setzen, um diese Begrenzung zu entfernen.";
        $admtext['usesmtp'] = "SMTP-Authentifizierung verwenden";
        $admtext['mailhost'] = "Name des SMTP-Servers";
        $admtext['mailuser'] = "E-Mail-Benutzername";
        $admtext['mailpass'] = "Passwort";
        $admtext['mailport'] = "Port-Nummer";
		$admtext['showshare'] = "Soziale Netzwerk-Links anzeigen";
		$admtext['defpgsize'] = "Standard PDF-Seitengröße";
		$admtext['mapterrain'] = "Gelände";
		$admtext['maproadmap'] = "Straßenkarte";
		$admtext['usedefthumbs'] = "Standard-Vorschaubild verwenden";
        $admtext['autogeo'] = "Alle neuen Orte geocodieren";
        $admtext['revmail'] = "Benachrichtigung über zu prüfende Anmerkungen";
        $admtext['assumepriv'] = "Als privat ansehen, wenn nach so vielen Jahren nicht verstorben";
        $admtext['calstart'] = "Erster Tag der Woche";
		$admtext['edit_timeout'] = "Zeitlimit für die Bearbeitung (Minuten)";
		$admtext['shownamespr'] = "Zeige Namen von als vertraulich Markierten";
		$admtext['tables'] = "Tabellen";
		//changed in 10.0.0
		$admtext['regnotes'] = "Notizen und benutzerdefinierte Ereignisse in der Nachkommenliste anzeigen";
		//added in 10.0.0
		$admtext['collation'] = "Sortierreihenfolge (Kollation)";
		$admtext['collationexpl'] = "(leer lassen, um den Standard zu akzeptieren)";
		$admtext['scrollcite'] = "Quellenangaben auf Personenblatt mit Bildlaufleiste";
		$admtext['hidemedia'] = "Medien auf Personenseite einklappen";
		$admtext['searchchoice'] = "Link-Ziel suchen";
		$admtext['quicksearch'] = "Schnellsuche";
		$admtext['advsearch'] = "Erweiterte Suche";
		$admtext['pedvertical'] = "Vertikal";
		$admtext['vboxwidth'] = "Profilkarten-Breite";
		$admtext['vboxheight'] = "Profilkarten-Höhe";
		$admtext['vspacing'] = "Zwischenraum";
		$admtext['vchart'] = "Vertikale Ahnentafel";
		//added in 10.1.0
		$admtext['reuseids'] = "Gelöschte IDs wieder verwenden";
		$admtext['lastimport'] = "Letztes Importdatum anzeigen";
		//added in 10.1.2
        $admtext['mailenc'] = "Verschlüsselung";
        //added in 11.0.0
		$admtext['dbport'] = "Datenbank-Port";
		$admtext['dbsocket'] = "Datenbank-Socket";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Präfixe und Suffixe";
		$admtext['personprefix'] = "Personen-Präfix";
		$admtext['personsuffix'] = "Personen-Suffix";
		$admtext['familyprefix'] = "Familien-Präfix";
		$admtext['familysuffix'] = "Familien-Suffix";
		$admtext['sourceprefix'] = "Quellen-Präfix";
		$admtext['sourcesuffix'] = "Quellen-Suffix";
		$admtext['repoprefix'] = "Aufbewahrungsorte-Präfix";
		$admtext['reposuffix'] = "Aufbewahrungsorte-Suffix";
		$admtext['noteprefix'] = "Notizen-Präfix";
		$admtext['notesuffix'] = "Notizen-Suffix";
		$admtext['mobilesection'] = "Mobil";
		$admtext['mobilesite'] = "Name der mobilen Seite ist ";
		$admtext['menubar'] = "in mobiler Menüleiste";
		$admtext['belowbar'] = "unter mobiler Menüleiste";
		$admtext['responsivetables'] = "Responsive Tabellen aktivieren";
		$admtext['tabletype'] = "Responsiver Tabellentyp";
		$admtext['enablemodeswitch'] = "Umschalter responsiver Tabellenmodus aktivieren";
		$admtext['enableminimap'] = "Responsive Tabellen Mini-Map einschalten";
		$admtext['showtasks'] = "'Wichtige Aufgaben' anzeigen";
		$admtext['showtotals'] = "Datensatzanzahl in Verwaltung zeigen";
		$admtext['backupdays'] = "Warne nach so vielen Tagen ohne Backup";
		$admtext['backupnote'] = "HINWEIS: Wenn Ihre Datenbank sehr groß ist, können Sie ein unabhängiges Programm zur Sicherung und Wiederherstellung Ihrer Tabellen nutzen, wie z.B. MySQLDumper oder phpMyAdmin. Mindestens eines wird im Control Panel Ihrer Website zur Verfügung gestellt.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Alle DNA-Seiten und Daten ausblenden";
        $admtext['assumeliving'] = "Als lebend ansehen, wenn nach so vielen Jahren nicht verstorben";
		//changed in 11.0.2
		$admtext['mapkey'] = "Kartenschlüssel (Key)";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "Geben Sie einen Teil des Namens des Vaters und/oder der Mutter ein.";
		$admtext['pleasenamepart'] = "Bitte geben Sie einen Teil des Namens des Vaters und/oder der Mutter ein.";
		$admtext['enternamepart2'] = "Kennung oder Teil des Vor- und/oder Nachnamens eingeben";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Bitte Teil des Ortsnamens eingeben.";
		$admtext['addnewplace'] = "Neuen Ort hinzufügen";
		$admtext['createplace'] = "Neuen Ort anlegen";
		$admtext['modifyplace'] = "Ort bearbeiten";
		$admtext['editexistingplaceinfo'] = "Angaben zu einem bestehenden Ort verändern";
		$admtext['enterplace'] = "Bitte geben Sie einen Ort ein.";
		$admtext['newplaceinfo'] = "Angaben zum neuen Ort";
		$admtext['existingplaceinfo'] = "Angaben zum Ort";
		$admtext['changestoplace'] = "Änderungen am Ort";
		$admtext['selectplaceaction'] = "Ort und Aktion auswählen";
		$admtext['mergeplaces'] = "Orte verschmelzen";
		$admtext['findmerge'] = "Suche nach zu verschmelzenden Orten";
		$admtext['selectplacemerge'] = "Auswahl der zu verschmelzenden Orte";
		$admtext['mcol1'] = "Führe<br/>zusammen<br/>von<br/>(lösche)";
		$admtext['mcol2'] = "<br/><br/>nach<br/>(belasse)";
		$admtext['pmsucc'] = "Verschmelzen der Orte war erfolgreich";
		$admtext['nomerge'] = "Nichts zum Verschmelzen";
		$admtext['enterkeep'] = "Bitte wählen Sie ein Verschmelzungs-Ziel.";
		$admtext['backmerge'] = "Neue Suche";
		$admtext['confdeleteplace'] = "Sind Sie sicher, dass Sie diesen Ort löschen möchten?";
		$admtext['propagate'] = "Diese Änderung in vorhandenen Ereignissen durchführen";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Sind Sie sicher, dass Sie die Verknüpfung zu diesem Friedhof entfernen möchten?";
		$admtext['nocoords'] = "Längen- oder Breitengrad fehlt";
		$admtext['istemple'] = "Diese Ortsbezeichnung ist ein LDS-Tempelcode";
		$admtext['findtemples'] = "Nur LDS-Tempelcodes suchen";
		$admtext['choosecem'] = "Wählen Sie einen Friedhof";
		$admtext['geocopy'] = "Kopieren Sie den unten stehenden Geocode zu diesem Friedhof";
		$admtext['linkcem'] = "Verbinden Sie diesen Ort mit einem Friedhof";
		$admtext['cemsavail'] = "Die Liste enthält nur Friedhöfe die nicht bereits mit einem Ort verbunden sind";
		$admtext['nocemsavail'] = "Es existieren keine Friedhöfe oder jeder Friedhof ist bereits mit einem Ort verbunden.";
        //added in 9.0.0
        $admtext['geocode'] = "Geocodieren";
        $admtext['ignoreall'] = "Alles ignorieren";
        $admtext['usefirst'] = "Erste Übereinstimmung verwenden";
        $admtext['multchoice'] = "Falls für einen Ort mehrere Ergebnisse gefunden werden:";
        $admtext['geoexpl'] = "Alle Orte ohne Breiten- und Längengrade geocodieren";
        $admtext['geocoding'] = "Geocodieren...";
        $admtext['backgeo'] = "Zurück zum Geocodierungsmenü";
        $admtext['limit'] = "Limitierung:";
        $admtext['nolimit'] = "Keine Limitierung";
		$admtext['blankplace'] = "Ortsbezeichnung fehlt";
        $admtext['nogeocode'] = "Kann nicht geocodiert werden";
        $admtext['toomany'] = "Ignoriert (zu viele Ergebnisse)";
		$admtext['treesgone'] = "Stammbaum-Zuordnung wurde von allen Orten entfernt";
		//added in 11.0.0
		$admtext['nolevel'] = "Ortsebene nicht definiert";
		$admtext['placenotsaved'] = "Ort nicht gespeichert, weil bereits vorhanden. Verschmelzen Sie stattdessen.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Neue Kennung anlegen";
		$admtext['generating'] = "Neue Kennung wird erzeugt... bitte warten!";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Nachkommenslinien kennzeichnen...";
		$admtext['finishedtracking'] = "Kennzeichnung der Nachkommenslinien abgeschlossen.";
		$admtext['backtosecondary'] = "Zurück zu zusätzlichen Aktionen";
		$admtext['sortchildren'] = "Kinder sortieren";
		$admtext['sortingchildren'] = "Kinder sortieren";
		$admtext['sortspouses'] = "(Ehe-)Partner sortieren";
		$admtext['sortingspouses'] = "(Ehe-)Partner sortieren";
		$admtext['relabelbranches'] = "Neukennzeichnung von Zweigen";
		$admtext['relabeling'] = "Zweige neu kennzeichnen";
		$admtext['creatinggendex'] = "GENDEX-Datei wird erstellt...";
		$admtext['finishedgendex'] = "Erstellung der GENDEX-Datei abgeschlossen.";
		//added in 8.0.0
		$admtext['postgdx'] = "Wo Sie Ihre GENDEX-Datei veröffentlichen können";
		//added in 10.0.0
		$admtext['evalmedia'] = "Medien-Menü anpassen";
		$admtext['evaluating'] = "Medien zählen";
		$admtext['finished'] = "Fertig";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Neue Sprache hinzufügen";
		$admtext['enterlangdisplay'] = "Name der Sprache.";
		$admtext['enterlangfolder'] = "Name des Verzeichnisses, in dem die Dateien für diese Sprache gespeichert werden.";
		$admtext['newlanguageinfo'] = "Angaben über neue Sprache";
		$admtext['langdisplay'] = "Anzeigename für diese Sprache, <br>wie für Benutzer sichtbar";
		$admtext['createlanguage'] = "Neue Sprache hinzufügen";
		$admtext['nolanguages'] = "Keine Sprachen vorhanden";
		$admtext['conflangdelete'] = "Sind Sie sicher, dass Sie diese Sprache löschen möchten?";
		$admtext['existinglanguages'] = "Angaben zu bestehender Sprache";
		$admtext['modifylanguage'] = "Sprache bearbeiten";
		$admtext['changestolanguage'] = "Änderungen an Sprache";
		$admtext['charset'] = "Zeichensatz";
		$admtext['editexistinglanguage'] = "Bearbeite Angaben zu einer vorhandenen Sprache";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Neuen Stammbaum hinzufügen";
		$admtext['notrees'] = "Keine Stammbäume vorhanden";
		$admtext['existingtrees'] = "Angaben über bestehenden Stammbaum";
		$admtext['editexistingtree'] = "Bearbeite Angaben zu bestehendem Stammbaum ";
		$admtext['treename'] = "Stammbaum-Name";
		$admtext['owner'] = "Besitzer";
		$admtext['conftreedelete'] = "Sind Sie sicher, dass Sie diesen Stammbaum und alle zugehörigen Elemente löschen möchten?";
		$admtext['conftreeclear'] = "Sind Sie sicher, dass Sie alle Dateien zu diesem Stammbaum löschen möchten?";
		$admtext['changestotree'] = "Änderungen an Stammbaum";
		$admtext['newtreeinfo'] = "Angaben über neuen Stammbaum ";
		$admtext['existingtreeinfo'] = "Angaben zu bestehendem Stammbaum ";
		$admtext['modifytree'] = "Stammbaum bearbeiten";
		$admtext['succcleared'] = "wurde erfolgreich gelöscht";
		$admtext['gedcomextraction'] = "Benutzer dürfen keine GEDCOM-Dateien herunterladen";
		$admtext['gedexport'] = "GEDCOM-Export";
		$admtext['exporting'] = "Exportiere GEDCOM...";
		$admtext['ifexportfails'] = "wenn der Export fehlschlägt,";
		$admtext['finishedexporting'] = "GEDCOM-Export abgeschlossen";
		$admtext['backtotrees'] = "Zurück zu den Stammbäumen";
		$admtext['downloadged'] = "GEDCOM-herunterladen";
		$admtext['lastimport'] = "Letzter Import";
		$admtext['treeexists'] = "Es existiert bereits ein Stammbaum mit dieser Kennung. Bitte andere Kennung wählen und erneut versuchen.";
		$admtext['exportmedia'] = "Medien-Links exportieren (Fotos und Geschichten)";
		//added in 8.0.0
		$admtext['changetree'] = "Stammbaum wechseln";
		$admtext['newtree'] = "Neuer Stammbaum";
		$admtext['currtree'] = "Aktueller Stammbaum";
		$admtext['chwarn'] = "ACHTUNG: Hiermit werden im aktuellen Stammbaum alle Familien-Verknüpfungen, Zitate und andere Verweise auf dieses Element entfernt!";
		$admtext['keepprivate'] = "Eigentümer-Angaben vertraulich behandeln";
		//changed in 9.0.0
		$admtext['exppaths'] = "Lokaler Pfad";
		$admtext['nopdf'] = "Den Benutzern nicht erlauben, PDF-Dateien zu erstellen";
		//added in 10.0.0
		$admtext['exprivate'] = "Vertrauliche ausschließen";
		$admtext['exliving'] = "Lebende ausschließen";
		$admtext['importfilename'] = "Name der importierten Datei";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Neuen Benutzer hinzufügen";
		$admtext['createuser'] = "Datensatz für neuen Benutzer anlegen";
		$admtext['nousers'] = "Keine Benutzer vorhanden";
		$admtext['existingusers'] = "Angaben zu bestehendem Benutzer";
		$admtext['editexistinguser'] = "Bearbeite Angaben zu einem bestehenden Benutzer";
		$admtext['confuserdelete'] = "Sind Sie sicher, dass Sie diesen Benutzer löschen möchten?";
		$admtext['changestouser'] = "Änderungen an Benutzer";
		$admtext['enteruserpassword'] = "Passwort eingeben.";
		$admtext['enterusername'] = "Benutzerkennung eingeben.";
		$admtext['newuserinfo'] = "Angaben zu neuem Benutzer";
		$admtext['existinguserinfo'] = "Angaben zu bestehendem Benutzer";
		$admtext['modifyuser'] = "Benutzer bearbeiten";
		$admtext['allow_living'] = "Angaben über lebende Personen anzeigen";
		$admtext['allow_lds'] = "LDS-Daten anzeigen (LDS = Heilige der letzten Tage = \"Mormonen\")";
		$admtext['enterusername'] = "Benutzerkennung eingeben.";
		$admtext['enteruserdesc'] = "Beschreibung zum Benutzer eingeben.";
		$admtext['enterpassword'] = "Passwort eingeben.";
		$admtext['admin'] = "Verwalter";
		$admtext['firstuser'] = "Der erste Benutzer, den Sie anlegen, sollte der Verwalter sein (KEINEN Stammbaum auswählen). Dieser Benutzer sollte sämtliche Zugriffsrechte erhalten.";
		$admtext['userfailed'] = "FEHLER: Der Benutzer konnte nicht angelegt werden, da bereits ein anderer Benutzer mit dieser Benutzerkennung existiert.";
		$admtext['allow_ged'] = "Berechtigung zum Herunterladen von GEDCOM-Daten";
		$admtext['assigned'] = "Zugewiesen";
		$admtext['treemsg'] = "Optional. Wenn Sie dem Benutzer keinen Stammbaum zuweisen, hat der Benutzer das Zugriffsrecht auf alle Stammbäume und Zweige. Dem Verwalter sollte kein Stammbaum zugewiesen werden.";
		$admtext['branchmsg'] = "Optional. Wenn Sie dem Benutzer einen Zweig zuweisen, hat der Benutzer Zugriffsrecht nur für die Einträge dieses Zweiges innerhalb des zugewiesenen Stammbaumes.";
		$admtext['accesslimits'] = "Zugriffsbeschränkungen:";
		$admtext['rights'] = "Rechte:";
		$admtext['realname'] = "Name";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Anträge auf Benutzerkennungen";
		$admtext['editnewusers'] = "Bearbeitung von beantragten Benutzerkennungen. Ein neuer Benutzer hat solange keine Berechtigungen, bis sein Antrag bearbeitet ist.";
		$admtext['nonewusers'] = "Keine neuen Benutzer";
		$admtext['lastlogin'] = "Letzte Anmeldung (Login)";
		$admtext['tentative_edit'] = "Berechtigung, Änderungsvorschläge zu Personen, Familien und Quellen zu machen, die anschließend vom Verwalter freigegeben werden müssen";
		$admtext['notify'] = "Diesen Benutzer über die Aktivierung der Benutzerkennung benachrichtigen";
		$admtext['no_edit'] = "Keine Schreibrechte";
		$admtext['emailusers'] = "E-Mail an Benutzer";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "E-Mail-Nachricht an Benutzer";
		$admtext['subject'] = "E-Mail: Betreff";
		$admtext['messagetext'] = "E-Mail: Nachricht";
		$admtext['selectgroup'] = "Empfängergruppe für die E-Mail auswählen (Feld leerlassen, um Nachricht an alle Benutzer zu senden)";
		$admtext['treemailmsg'] = "Optional. Mit der Auswahl eines Stammbaumes erhalten nur diejenigen Benutzer die E-Mail, denen dieser Stammbaum zugewiesen wurde.";
		$admtext['branchmailmsg'] = "Optional. Mit der Auswahl eines Zweiges erhalten nur diejenigen Benutzer die E-Mail, denen dieser Zweig zugewiesen wurde.";
		$admtext['send'] = "E-Mail absenden";
		$admtext['sentmailmessage'] = "E-Mail-Nachricht versandt.";
		$admtext['succmail'] = "Ihre E-Mail-Nachricht wurde versandt.";
		$admtext['mailfailed'] = "Ihre E-Mail-Nachricht konnte nicht versendet werden.";
		$admtext['entersubject'] = "Bitte geben Sie den Betreff für Ihre Nachricht ein.";
		$admtext['entermsgtext'] = "Bitte geben Sie den Text für Ihre Nachricht ein.";
		$admtext['adminonly'] = "Nur Verwalter anzeigen";
		$admtext['dtregistered'] = "Datum der Registrierung";
		$admtext['dtactivated'] = "Datum der Aktivierung";
		$admtext['no_email'] = "Diesem Benutzer keine Massen-E-Mails senden";
		$admtext['allow_admin'] = "Zugriff auf alle System-Einstellungen und Verwaltungsfunktionen erlauben, und obige Rechte auf alle Stammbäume und Zweige anwenden.";
		$admtext['limitedrights'] = "Beschränke die obigen Rechte auf Folgendes:";
		$admtext['allow_edit'] = "Ändern vorhandener Datensätze erlauben";
		$admtext['allow_add'] = "Hinzufügen neuer Datensätze erlauben";
		$admtext['allow_delete'] = "Löschen von Datensätzen erlauben";
		//added in 8.0.0
		$admtext['usrguest'] = "Gast";
		$admtext['usrguestd'] = "Keine Berechtigung zum Hinzufügen, Ändern oder Löschen.";
		$admtext['noadmin'] = "Kein Zugang zum Verwaltungsbereich.";
		$admtext['usrsubm'] = "Absender";
		$admtext['usrsubmd'] = "Änderungen zur Überprüfung absenden.";
		$admtext['usrcontrib'] = "Einsender";
		$admtext['usrcontribd'] = "Informationen, einschliesslich Medien, hinzufügen.";
		$admtext['usreditor'] = "Bearbeiter";
		$admtext['usreditord'] = "Hinzufügen, Bearbeitung und Löschen aller Informationen, einschliesslich Medien.";
		$admtext['usradmin'] = "Verwalter";
		$admtext['usradmind'] = "Alle Rechte.";
		$admtext['usrmcontrib'] = "Medien-Einsender";
		$admtext['usrmcontribd'] = "Nur Medien hinzufügen.";
		$admtext['usrmeditor'] = "Medien-Bearbeiter";
		$admtext['usrmeditord'] = "Nur Hinzufügen, Bearbeiten und Löschen von Medien.";
		$admtext['allow_media_edit'] = "Nur Bearbeiten von Medien erlauben";
		$admtext['allow_media_add'] = "Nur Hinzufügen von Medien erlauben";
		$admtext['allow_media_delete'] = "Nur Löschen von Medien erlauben";
		$admtext['no_add'] = "Keine Berechtigung zum Hinzufügen";
		$admtext['no_delete'] = "Keine Berechtigung zum Löschen";
		$admtext['roles'] = "Rollen";
		$admtext['usrcustom'] = "Benutzerdefiniert";
        //added in 9.0.0
		$admtext['allow_private'] = "Anzeigen der Informationen von \"Vertraulich\" gekennzeichneten Personen erlauben";
		$admtext['allow_pdf'] = "Herunterladen von PDF-Dateien erlauben";
		$admtext['allow_profile'] = "Bearbeiten des eigenen Profils zulassen";
		break;

	case "login":
		$admtext['loginfailed'] = "Login fehlgeschlagen.";
		$admtext['adminlogfile'] = "Verwaltungs-Protokolldatei";
		$admtext['mostrecentactions'] = "Zuletzt durchgeführte Aktionen";
		$admtext['rempass'] = "Auf diesem Rechner angemeldet bleiben";
		$admtext['sessexp'] = "Ihre Sitzung ist abgelaufen.";
		$admtext['logagain'] = "Anklicken für erneutes Anmelden.";
		//added in 8.1.0
		$admtext['logininactive'] = "Ihr Login ist noch nicht aktiv. Bitte versuchen Sie es später noch einmal oder kontaktieren Sie den Administrator der Webseite.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Neues Zeitstrahl-Ereignis anlegen";
		$admtext['modifytlevent'] = "Zeitstrahl-Ereignis bearbeiten";
		$admtext['leaveblankalltlevents'] = "Leerlassen, um alle Zeitstrahl-Ereignisse anzuzeigen";
		$admtext['evyear'] = "Ereignis-Jahr";
		$admtext['evdetail'] = "Ereignis-Beschreibung";
		$admtext['selecttleventaction'] = "Zeitstrahl-Ereignis und gewünschte Aktion auswählen";
		$admtext['changestotlevent'] = "Änderungen am Zeitstrahl-Ereignis";
		$admtext['location'] = "Ort";
		$admtext['confdeletetlevent'] = "Sind Sie sicher, dass Sie dieses Zeitstrahl-Ereignis löschen möchten?";
		$admtext['enterevyear'] = "Bitte geben Sie das Ereignis-Jahr ein.";
		$admtext['enterevdetail'] = "Bitte geben Sie das Ereignis-Detail ein.";
		$admtext['existingtleventinfo'] = "Vorhandenes Zeitstrahl-Ereignis";
		$admtext['newtleventinfo'] = "Neues Zeitstrahl-Ereignis";
		$admtext['edittleventinfo'] = "Ein vorhandenes Zeitstrahl-Ereignis bearbeiten";
		$admtext['addnewtlevent'] = "Neues Zeitstrahl-Ereignis hinzufügen";
		$admtext['yrreq'] = "(nur die Angabe des Jahrs ist erforderlich, Tag/Monat sind optional)";
		$admtext['startdt'] = "Startdatum";
		$admtext['enddt'] = "Enddatum";
		//added in 9.0.0
		$admtext['evtitle'] = "Ereignis-Titel";
		break;

	case "review":
		$admtext['selectevaction'] = "Auswahl von Ereignis und Aktion";
		$admtext['suggested'] = "Vorgeschlagen";
		$admtext['usernotes'] = "Bemerkungen<br />zu vorgeschlagener Änderung<br />(werden nicht gespeichert)";
		$admtext['postdate'] = "Vorgeschlagen am";
		$admtext['savedel'] = "Vorschlag akzeptieren";
		$admtext['postpone'] = "Später entscheiden";
		$admtext['igndel'] = "Vorschlag ignorieren und löschen";
		$admtext['tentdel'] = "wurde gelöscht";
		$admtext['tentadd'] = "wurde dauerhaft übernommen";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Direktes Auffinden, Ändern oder Löschen jeder Bemerkung in Ihrer Datenbank.";
		$admtext['whatsnewblurb'] = "Hier können Sie die Besucher Ihrer Website auf der Seite 'Aktuelles' z.B. auf eine allgemeine Aktualisierung hinweisen.";
		$admtext['mwblurb'] = "Erstellen Sie eine Liste der Personen mit fehlenden Angaben bzw. Fotos mit unbekannten Personen, um Aufmerksamkeit auf Ihre 'toten Punkte' zu lenken.";
		$admtext['dvblurb'] = "Mögliche Probleme in Ihren Daten finden.";
		$admtext['wr_gender'] = "Falsches Geschlecht";
		$admtext['unk_gender'] = "Unbekanntes Geschlecht";
		$admtext['marr_young'] = "Zu jung bei Heirat (weniger als 15 Jahre alt)";
		$admtext['marr_aft_death'] = "Heirat nach Tod";
		$admtext['marr_bef_birth'] = "Heirat vor Geburt";
		$admtext['died_bef_birth'] = "Tod vor Geburt";
		$admtext['parents_younger'] = "Zu frühe Geburt (Eltern weniger als 15 Jahre alt oder Kind geboren vor Heirat)";
		$admtext['children_late'] = "Zu späte Geburt (Mutter älter als 50 Jahre)";
		$admtext['not_living'] = "Person als lebend markiert, Sterbedatum bekannt";
		$admtext['not_dead'] = "Person als verstorben markiert, möglicherweise noch lebend";
		$admtext['parmarr'] = "Eltern Heirat";
		$admtext['motherbirth'] = "Mutters Geburt";
		break;
		
	case "mods":
		$admtext['modlist'] = "Liste der Modifikationen";
		$admtext['reqremove'] = "Anforderung zum Deinstallieren einer Modifikation";
		$admtext['confcanc'] = "Anforderung bestätigen, oder Abbrechen";
		$admtext['confrem'] = "Deinstallieren bestätigen";
		$admtext['confirmedrem'] = "Bestätigung zum Deinstallieren der Modifikation";
		$admtext['removed'] = "Entfernt";
		$admtext['notremoved'] = "Modifikation wurden wegen folgender Fehler nicht deinstalliert";
		$admtext['reqclean'] = "Anforderung zum Bereinigen einer Modifikation";
		$admtext['confclean'] = "Bereinigung bestätigen";
		$admtext['confirmedclean'] = "Bestätigung zum Bereinigen der Modifikation";
		$admtext['cleanatt'] = "nettoyage tenté";
		$admtext['cleanperf'] = "Bereinigung wurde mit folgenden Hinweisen ausgeführt";
		$admtext['reqedit'] = "Anforderung zum Bearbeiten einer Modifikation";
		$admtext['confedit'] = "Änderungen sichern";
		$admtext['cfgvalsread'] = "Konfigurationswerte aus TNG-Dateien lesen.";
		$admtext['confirmededit'] = "Bestätigung, eine Modifikation mit Werten aktualisiert";
		$admtext['editdone'] = "Bearbeitung ist erfolgt";
		$admtext['editperf'] = "Die Einstellungen wurden wie folgt geändert:";
		$admtext['reqinstall'] = "Anforderung zum Installieren von Modifikationen";
		$admtext['confinst'] = "Installation bestätigen";
		$admtext['confirmedinst'] = "Bestätigung zum Installieren der Modifikation";
		$admtext['installed'] = "Installiert";
		$admtext['notinst2'] = "Keine Installation wegen folgender Fehler";
		$admtext['reqdelete'] = "Anforderung zum Löschen einer Modifikations-Konfigurationsdatei";
		$admtext['nomodundo'] = "Diese Aktion können Sie nicht rückgängig machen. Um diese Modifikation zu installieren oder später zu deinstallieren, müssen Sie sie erneut herunterladen.";
		$admtext['confdel'] = "Löschung bestätigen";
		$admtext['confirmeddel'] = "Bestätigung zum Löschen einer Modifikations-Konfigurationsdatei";
		$admtext['deleted'] = "Gelöscht";
		$admtext['cantdel'] = "Kann nicht gelöscht werden";
		$admtext['remman'] = "Bitte entfernen Sie diese Datei manuell";
		$admtext['cfgname'] = "Name der Konfigurationsdatei";
		$admtext['version'] = "Version";
		$admtext['clean'] = "Bereinigung";
		$admtext['nomods'] = "Im Modifikations-Verzeichnis wurden keine Definitionsdateien (xxx) gefunden";
		$admtext['notarget'] = "%target:% fehlt";
		$admtext['notarget2'] = "keine Zieldatei gefunden";
		$admtext['peerror'] = "Fehler bei der Bearbeitung der Parameter";
		$admtext['prerror'] = "Fehler beim Lesen der Parameter";
		$admtext['location'] = "Ort";
		$admtext['missing'] = "Fehlt";
		$admtext['badtarget'] = "Ziel ungültig";
		$admtext['targetlost'] = "Ziel konnte nicht gefunden werden";
		$admtext['modins'] = "Modifikations-Code wurde eingefügt.";
		$admtext['modtrins'] = "Modifikations-Code wurde abgeglichen und eingefügt.";
		$admtext['modrepl'] = "Modifikations-Code wurde ersetzt.";
		$admtext['nfilemissing'] = "Name für neue Datei fehlt";
		$admtext['create'] = "Anlegen...";
		$admtext['cantwrite'] = "Kann nicht schreiben auf";
		$admtext['checkperms'] = "Überprüfung der Berechtigungen läuft";
		$admtext['notwrite'] = "ist nicht schreibbar. Bitte Berechtigungen überprüfen.";
		$admtext['cfilemissing'] = "Name der zu kopierenden Datei fehlt";
		$admtext['cffilemissing'] = "Name der zu kopierenden Datei (Quelle) fehlt";
		$admtext['ctfilemissing'] = "Name der zu kopierenden Datei (Ziel) fehlt";
		$admtext['copyfile'] = "Datei xxx kopieren nach";
		$admtext['cantcopy'] = "Nicht möglich zu kopieren nach";
		$admtext['checkwrite'] = "Bitte Berechtigungen überprüfen. Muss schreibbar sein.";
		$admtext['forwrite'] = "für schreiben";
		$admtext['written'] = "Datei wurde geschrieben";
		$admtext['toterrors'] = "Anzahl der Fehler";
		$admtext['totfiles'] = "Anzahl der neuen Dateien";
		$admtext['notallinst'] = "Es wurden nicht alle Teile installiert";
		$admtext['notallrem'] = "Es wurden nicht alle Teile deinstalliert";
		$admtext['section'] = "Teil";
		$admtext['missfile'] = "Fehlende Datei";
		$admtext['targetsearch'] = "Ziel-Suche";
		$admtext['insrem'] = "Der durch die Modifikation eingefügte Code wurde entfernt.";
		$admtext['remrem'] = "Der durch die Modifikation entfernte Code wurde entfernt.";
		$admtext['trimrem'] = "Modifikations-Code abgegleichen und deinstalliert.";
		$admtext['orgrepl'] = "Original-Code wurde ersetzt";
		$admtext['cantrepl'] = "Original-Code konnte nicht ersetzt werden (nicht gefunden).";
		$admtext['orgtrrepl'] = "Original-Code abgeglichen und ersetzt";
		$admtext['keyword'] = "Schlüsselwort";
		$admtext['notunique'] = "nicht eindeutig";
		$admtext['noaction'] = "keine Aktion";
		$admtext['novers'] = "Vorhandene/r xxx hat keine Versionsnummer";
		$admtext['param'] = "Parameter";
		$admtext['params'] = "Parameter";
		$admtext['paramed'] = "Parameter-Editor";
		$admtext['enterparam'] = "Parameter-Modifikation eingeben";
		$admtext['paramval'] = "Wert";
		$admtext['noparams'] = "Keine Parameter-Definitionen";
		$admtext['nodesc'] = "Parameter-Definitionsfehler, Beschreibung fehlt";
		$admtext['defval'] = "Default-Wert";
		$admtext['updateval'] = "Aktualisierung [xxx]-Wert von [yyy] in der Modifikations-Konfigurationsdatei.";
		$admtext['rewritten'] = "erneut geschrieben";
		$admtext['fixingcfg'] = "Konfigurationsdatei reparieren";
		$admtext['fixedcfg'] = "Konfigurationsdatei repariert";
		$admtext['fixingtar'] = "Zieldatei reparieren";
		$admtext['fixedtar'] = "Zieldatei repariert";
		$admtext['fincorr'] = "Korrektur der gewünschten Daten beendet";
		$admtext['targetupd'] = "Zieldaten wurden aktualisiert";
		$admtext['written'] = "Datei wurde geschrieben";
		$admtext['permerr'] = "Fehler bei den Dateiberechtigungen";
		$admtext['updconfig'] = "Aktualisierung der Angaben zur Konfigurationsdatei";
		$admtext['configupd'] = "Konfigurationsdaten wurden aktualisiert, Ende der Schleife";
		//changed in 9.0.0
		$admtext['readvals'] = "Standardwerte wieder herstellen";
		$admtext['retstatus'] = "Zurück zum Status";
		$admtext['locmissing'] = "Lokale Kopie von xxx fehlt für Installation";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Modifikation-Aktualisierung erforderlich";
		$admtext['keywordmissing'] = "Suchwort fehlt. Modifikationsaufbau-Fehler.";
		$admtext['cannotinstall'] = "Installierung der Modifikation nicht möglich";
		$admtext['notargetkeyword'] = "Zieldatei fehlt";
		$admtext['emptytarget'] = "Zieldatei ist eine leere Datei.";
		$admtext['missingtarget'] = "Zieldatei ist nicht installiert.";
		$admtext['missingfiles'] = "Die zu kopierende Datei fehlt im Ursprungsordner";
		$admtext['pararead'] = "Parameter aus Datei gelesen";
		$admtext['rewritetarget'] = "Erneuern der Ziel-Datei";
		$admtext['targetcode'] = "Ziel-Code ist";
		$admtext['modtrimrepl'] = "Mod-Code eingefügt und ersetzt.";
		$admtext['cantdelmissing'] = "Kann nicht gelöscht werden, Datei fehlt";
		$admtext['totcopyfiles'] = "Insgesamt Dateien zum Kopieren";
		$admtext['successfully'] = "Erfolgreich";
		$admtext['filecreated'] = "Erfolgreich erzeugt";
		//changed in 10.0.3 
		$admtext['editperf'] = "Die Einstellungen wurden wie folgt geändert:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Stapelbearbeitung";
		$admtext['options'] = "Einstellungen";
		$admtext['viewlog'] = "Protokoll anzeigen";
		$admtext['filesexcused'] = "Dateien übersprungen";
		$admtext['fileexcused'] = "Datei übersprungen";
		$admtext['copiesexcused'] = "Kopien übersprungen";
		$admtext['copyexcused'] = "Kopie übersprungen";
		$admtext['optionalfile'] = "\"Fileoptional\" ist gesetzt für ";
		$admtext['installbypassed'] = "Installation wegen fehlender Zieldatei übersprungen";
		$admtext['removalbypassed'] = "Deinstallation wegen fehlender Zieldatei übersprungen";
		$admtext['target'] = "Zieldateien";
		$admtext['newfile'] = "Neue Dateien";
		$admtext['copiesfile'] = "Kopien";
		$admtext['copiesfile2'] = "Kopien nach";
		$admtext['aflistoptions'] = "Anzeige Änderungsliste";
		$admtext['showaflist'] = "Änderungsliste anzeigen";
		$admtext['shownewfile'] = "Neuen Dateien in der Liste anzeigen";
		$admtext['showfilecopies'] = "Kopierte Dateien in der Liste anzeigen";
		$admtext['namecol'] = "Liste anzeigen in der Spalte";
		$admtext['showlistas'] = "Liste anzeigen als";
		$admtext['showastable'] = "Tabelle";
		$admtext['showascsv'] = "Kommagetrennte Werte";
		$admtext['batchshowaflist'] = "Liste in der Stapelbearbeitung anzeigen";
		$admtext['logoptions'] = "Protokoll";
		$admtext['logactions'] = "Änderungen protokollieren";
		$admtext['mmlogfilename'] = "Name der Protokolldatei";
		$admtext['sortlistby'] = "Liste sortieren nach";
		$admtext['modname'] = "Modifikations-Name";
		$admtext['bypassconfirm'] = "Bestätigungsseite überspringen";
		$admtext['bypassaction'] = "Zusammenfassungsseite überspringen";
		$admtext['modifyoptions'] = "Änderung Mod Manager-Einstellungen";
		$admtext['ready'] = "Bereit zur Installation";
		$admtext['badmod'] = "Installation nicht möglich";
		$admtext['noselected'] = "Es wurde keine Datei ausgewählt!";
		$admtext['choose'] = "Auswählen";
		$admtext['showlogfile'] = "Anzeige Mod Manager-Protokoll";
		$admtext['recentactions'] = "Zuletzt durchgeführte Aktionen";
		$admtext['emptylog'] = "Protokollinhalt gelöscht";
		$admtext['clearlog'] = "Protokollinhalt löschen";
		$admtext['confirmclearlog'] = "Soll der Protokollinhalt wirklich gelöscht werden?";
		$admtext['copyfrom'] = "aus Ordner";
		$admtext['modsyntax'] = "Mod Syntax";
		$admtext['modguidelines'] = "Mod Richtlinien";
		$admtext['analyzer'] = "Mod Analyse";
		$admtext['filemod'] = "Die Datei xxx wird verändert von";
		$admtext['filesel'] = "Zieldatei für Detailansicht wählen";
		$admtext['potconf'] = "Mögliche Konflikte";
		$admtext['modifications'] = "Änderungen";
		$admtext['othermmoptions'] = "Andere";
		$admtext['file'] = "Datei";
		$admtext['tngmods'] = "Mods für TNG";
		$admtext['unexpected'] = "Unerwartetes Schlüsselwort";
		$admtext['syntax'] = "Syntax";
		//changed in TNG 10.1
		$admtext['copied'] = "Kopiert";
		$admtext['emptyfile'] = "Datei ist leer";
		$admtext['filescopied'] = "Dateien kopiert";
		$admtext['notarget'] = "%target:% fehlt";
		$admtext['notinst'] = "Nicht installiert";
		$admtext['install'] = "Installieren";
		$admtext['filedel'] = "Datei gelöscht";
		$admtext['created'] = "Erstellt";
		$admtext['choosefilter'] = "Zur Anzeige der Bearbeitungsoptionen Status auswählen.";
		$admtext['mmmaxloglines'] = "Max. angezeigte Aktionsanzahl";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Deinstallieren";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Bereinigen";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Einstellungen";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "Nicht installiert";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "Dateiversion nicht gleich";
		$admtext['bomfound'] = "BOM entfernt";
		$admtext['cantinst'] = "Nicht installierbar";
		$admtext['cantproc'] = "Nicht entferntbar";
		$admtext['cantupd'] = "Ändern der Parameter nicht möglich";
		$admtext['cleanupall'] = "Auswahl bereinigen";
		$admtext['confdelmod'] = "Soll die Modifikation wirklich gelöscht werden?";
		$admtext['copiesreq'] = "Dateikopien vorgesehen";
		$admtext['delete'] = "Löschen";
		$admtext['deleteall'] = "Auswahl löschen";
		$admtext['errors'] = "Fehler";
		$admtext['excused'] = "Dateien abgelehnt";
		$admtext['filesinst'] = "Dateien installiert";
		$admtext['filesrem'] = "Dateien entfernt";
		$admtext['format'] = "Formatierungsfehler";
		$admtext['ignored'] = "Zielbereiche ignoriert";
		$admtext['installall'] = "Auswahl installieren";
		$admtext['installing'] = "Installation";
		$admtext['line'] = "Zeile";
		$admtext['modified'] = "Modifiziert";
		$admtext['modsinst'] = "Kodeanpassungen installiert";
		$admtext['modrem'] = "Modifikation deinstalliert";
		$admtext['modsrem'] = "Kodeanpassungen entfernt";
		$admtext['modsreq'] = "Kodeanpassungen vorgesehen";
		$admtext['newfilesreq'] = "Neue Dateien vorgesehen";
		$admtext['nfcreated'] = "Neue Dateien erstellt";
		$admtext['noaccess'] = "Kein Zugriff";
		$admtext['noact'] = "Tag ungültig";
		$admtext['nocfgfile'] = "Moddatei nicht gefunden";
		$admtext['nocode'] = "Kodebereich fehlt";
		$admtext['nocomps'] = "Elemente fehlen";
		$admtext['noend'] = "%end:% fehlt";
		$admtext['noinsert'] = "Kodeeinfügung fehlgeschlagen";
		$admtext['noinsrem'] = "Kodeinfügung nicht entfernt";
		$admtext['nolocation'] = "%location:% fehlt";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "Kodeersetzung nicht möglich";
		$admtext['notgtfile'] = "Nicht erreichbar (keine Zieldatei)";
		$admtext['notopened'] = "Zieldatei nicht geöffnet";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "Geöffnet";
		$admtext['optional'] = "Optional";
		$admtext['parameter'] = "Einstellungen";
		$admtext['partinst'] = "Teilweise installiert";
		$admtext['removeall'] = "Auswahl deinstallieren";    // was Remove Selected mods
		$admtext['removing'] = "Deinstallation";    // was Removing
		$admtext['reqtag'] = "Benötigtes Schlüsselwort fehlt";
		$admtext['restparam'] = "Auf Standard zurücksetzen";
		$admtext['return'] = "Zurück zum Mod Manager";
		$admtext['secnoterm'] = "Bereich nicht geschlossen";
		$admtext['tagnoterm'] = "Tag nicht geschlossen";
		$admtext['tagunk'] = "Tag unbekannt";
		$admtext['tgtfile'] = "Zieldatei";
		$admtext['updated'] = "Geändert";
		$admtext['updparam'] = "Einstellungen ändern";
		$admtext['unxend'] = "Unerwartetes Dateiende";
		$admtext['warnings'] = "Warnungen";
		$admtext['whitespace'] = "Leerzeichen";
		$admtext['locations'] = "Zielbereiche";
		$admtext['allowdeletepartial'] = "Löschen teilweise installierter Mods erlauben";
		$admtext['allowdeleteinstalled'] = "Löschen installierter Mods erlauben";
		$admtext['showwarnings'] = "Syntax-Warnungen unter Status anzeigen";
		$admtext['logfullpath'] = "Kompletten Pfadbezeichnung protokollieren";
		$admtext['deletingmods'] = "Moddateien löschen";
		$admtext['deleting'] = "Löschen ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Files";
		$admtext['hasoptions'] = "Einstellungen";
		$admtext['update'] = "Ändern";
		$admtext['restore'] = "Auf Standard zurücksetzen";
		$admtext['compressnames'] = "Modnamen in der Modliste komprimieren";
		$admtext['stayon'] = "Statusauswahl beibehalten";
		$admtext['accessible'] = "Zugänglich";
		$admtext['bypassed'] = "Übersprungen";
		$admtext['willbypass'] = "Wird übersprungen";  // was "will bypass"
		$admtext['cantdel'] = "Kann nicht gelöscht werden";
		$admtext['optmissing'] = "Datei fehlt (optional)";
		$admtext['tgtmissing'] = "Zieldatei fehlt";
		$admtext['optlocked'] = "Datei gesperrt (optional)";
		$admtext['tgtlocked'] = "Datei gesperrt";
		$admtext['alreadyrem'] = "Schon entfernt";
		$admtext['noaccess'] = "Kein Zugriff";
		$admtext['code'] = "Kode";
		$admtext['alreadyins'] = "Schon installiert";
		$admtext['badinstall'] = "Installation fehlgeschlagen";
		$admtext['removed'] = "Entfernt";
		$admtext['deleted'] = "Gelöscht";
		$admtext['optsrcfilemissing'] = "Optionale Ursprungsdatei fehlt";
		$admtext['srcfilemissing'] = "Ursprungsdatei fehlt";
		$admtext['optnocopy'] = "Optionale Datei nicht kopiert";
		$admtext['notcopied'] = "Nicht kopiert";
		$admtext['copied'] = "Kopiert";
		$admtext['notcreated'] = "Konnte neue Datei nicht erstellen";
		$admtext['optnotcreated'] = "Konnte optionale Datei nicht erstellen";
		$admtext['nocreated'] = "Nicht erstellt";
		$admtext['fixedheader'] = "Feststehenden Kopfbereich nutzen";
		$admtext['cantremok'] = "Nicht deinstallierbar, optional, übersprungen";
		$admtext['nofolder'] = "Zielordner fehlt";
		$admtext['edparams'] = "Einstellungen ändern";
		$admtext['compresslog'] = "Protokoll verkürzt anzeigen";
		$admtext['showanalyzer'] = "Mod Analyse anzeigen";
		$admtext['formodname'] = "für Modifikationsname";
		$admtext['nofolder'] = "Zielordner fehlt";
		$admtext['fileperms'] = "Bitte Dateiberechtigungen prüfen";
		$admtext['noparam'] = "Einstellung fehlt";
		$admtext['editing'] = "Wird geändert";
		$admtext['redirect2log'] = "Weiterleiten zum Protokoll";
		$admtext['on_error'] = "Nur bei Fehlern";
		$admtext['on_all'] = "Bei allen Aktionen";
		$admtext['usestriping'] = "Abwechselnde Zeilenfarben nutzen";
		$admtext['stripeafter'] = "Farbwechsel nach wievielen Zeilen";
		$admtext['adjusthdrs'] = "Feststehenden Kopfbereich justieren";
		$admtext['displayoptions'] = "Anzeige";
		$admtext['no_frag'] = "Kodefragmente sind mit %replace:% nicht zulässig";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Wollen Sie den Test wirklich löschen?";
		$admtext['test_type'] = "Testtyp";
		$admtext['test_number'] = "Testnummer";
		$admtext['test_date'] = "Testdatum";
		$admtext['modifydna'] = "DNA-Test bearbeiten";
		$admtext['changestoalldna'] = "Alle Tests ändern";
		$admtext['addnewdna'] = "DNA-Test hinzufügen";
		$admtext['testinfo'] = "Testkenndaten";
		$admtext['urls'] = "Wichtige Verknüpfungen";
		$admtext['dnalater'] = "Hinweis: Der Test kann in der nächsten Ansicht mit anderen Personen verknüpft werden.";
		$admtext['selecttype'] = "Wählen Sie den Testtyp.";
		$admtext['entertestnum'] = "Geben Sie die Testnummer ein.";
		$admtext['test_taker'] = "Getestete Person";
		$admtext['test_links'] = "Mit dem Test verknüpfte Personen";
		$admtext['changestotest'] = "Änderungen zum Test";
		break;
}

//common
$admtext['cannotexecutequery'] = "Kann Abfrage nicht ausführen";
$admtext['addnew'] = "Hinzufügen";
$admtext['individuals'] = "Personen";
$admtext['succadded'] = "erfolgreich hinzugefügt";
$admtext['succaddedlinked'] = "erfolgreich hinzugefügt und verknüpft mit";
$admtext['succsaved'] = "erfolgreich hochgeladen";
$admtext['succdeleted'] = "erfolgreich entfernt";
$admtext['succdeletedpluslinks'] = "erfolgreich entfernt, inklusive aller Verknüpfungen";
$admtext['text_delete'] = "Löschen";
$admtext['deleted'] = "gelöscht";
$admtext['deleteselected'] = "Ausgewählte löschen";
$admtext['noresults'] = "Keine Ergebnisse gefunden. Bitte erneut versuchen.";
$admtext['action'] = "Aktion";
$admtext['id'] = "Kennung";
$admtext['edit'] = "Bearbeiten";
$admtext['notes'] = "Notizen";
$admtext['name'] = "Name";
$admtext['description'] = "Beschreibung";
$admtext['text_continue'] = "Weiter...";
$admtext['searchfor'] = "Suche nach";
$admtext['lookin'] = "<strong>Zusätzliche Suchkriterien</strong>";
$admtext['cemeteryid'] = "Friedhofs-Kennung";
$admtext['exactmatch'] = "Nur exakte Treffer";
$admtext['nothingtodelete'] = "Nichts zu löschen";
$admtext['state'] = "(Bundes-)Staat/-Land";
$admtext['country'] = "Land";
$admtext['finish'] = "Beenden";
$admtext['ifphotouploaded'] = "Lassen Sie dieses Feld leer, falls Sie alle Ihre Dateien bereits in das Foto-Verzeichnis hochgeladen haben.";
$admtext['eventtype'] = "Ereignis-Typ";
$admtext['source'] = "Quelle";
$admtext['savechanges'] = "Änderungen speichern";
$admtext['family'] = "Familie";
$admtext['find'] = "Suchen...";
$admtext['create'] = "Anlegen...";
$admtext['sourceid'] = "Quellen-Kennung";
$admtext['birthabbr'] = "geb.";
$admtext['chrabbr'] = "get.";
$admtext['remove'] = "Entfernen";
$admtext['moveup'] = "Nach oben";
$admtext['movedown'] = "Nach unten";
$admtext['enterpersonid'] = "Personen-Kennung eingeben";
$admtext['personid'] = "Personen-Kennung";
$admtext['otherevents'] = "Andere Ereignisse";
$admtext['required'] = "Erforderlich";
$admtext['children'] = "Kinder";
$admtext['chrdate'] = "Taufdatum";
$admtext['chrplace'] = "Taufort";
$admtext['deathdate'] = "Sterbedatum";
$admtext['deathplace'] = "Sterbeort";
$admtext['burialdate'] = "Beerdigungsdatum";
$admtext['burialplace'] = "Beerdigungsort";
$admtext['birthdate'] = "Geburtsdatum";
$admtext['birthplace'] = "Geburtsort";
$admtext['title'] = "Titel";
$admtext['sex'] = "Geschlecht";
$admtext['marriagedate'] = "Heiratsdatum";
$admtext['marriageplace'] = "Heiratsort";
$admtext['lastname'] = "Nachname";
$admtext['firstname'] = "Vorname";
$admtext['filename'] = "Dateiname";
$admtext['linkspersonid'] = "Verknüpfungen (Personen-Kennung)";
$admtext['cannotopen'] = "Kann Datei nicht öffnen";
$admtext['check'] = "Prüfen";
$admtext['generate'] = "Erzeugen";
$admtext['update'] = "Aktualisieren";
$admtext['confdeleteevent'] = "Sind Sie sicher, dass Sie dieses Ereignis löschen möchten?";
$admtext['existinglinks'] = "Bestehende Verknüpfung:<br>(Zum Löschen markieren)";
$admtext['lowersortfirst'] = "Kleinere Zahlen zuerst (Dezimalzahlen erlaubt).";
$admtext['personsname'] = "Name der Person";
$admtext['tablecreation'] = "Tabellen anlegen";
$admtext['tracklines'] = "Nachkommenslinien kennzeichnen";
$admtext['administration'] = "Verwaltung";
$admtext['text_or'] = "oder";
$admtext['cemeteries'] = "Friedhöfe";
$admtext['families'] = "Familien";
$admtext['headstones'] = "Grabsteine";
$admtext['histories'] = "Geschichten";
$admtext['people'] = "Personen";
$admtext['photos'] = "Fotos";
$admtext['reports'] = "Berichte";
$admtext['sources'] = "Quellen";
$admtext['suffix'] = "Suffix";
$admtext['add'] = "Hinzufügen";
$admtext['confdeleteentity'] = "Sind Sie sicher, dass Sie dies löschen möchten";
$admtext['cemetery'] = "Friedhof";
$admtext['language'] = "Sprache";
$admtext['display'] = "Anzeige";
$admtext['languages'] = "Sprachen";
$admtext['orderpound'] = "Position";
$admtext['tree'] = "Stammbaum";
$admtext['alltrees'] = "Alle Stammbäume";
$admtext['selectaddtree'] = "Stammbaum (Auswählen oder Hinzufügen)";
$admtext['selecttree'] = "Bitte Stammbaum auswählen/hinzufügen.";
$admtext['treebefevent'] = "Sie müssen einen Stammbaumnamen auswählen oder eingeben, bevor Sie neue Ereignisse hinzufügen können.";
$admtext['text_rename'] = "Umbenennen";
$admtext['clear'] = "Leeren";
$admtext['linktothis'] = "Mit dieser Person verknüpfen";
$admtext['linkexample'] = "(Kennung eingeben, z.B. \"I###\")";
$admtext['existingconfig'] = "aktuelle Konfiguration";
$admtext['lastmodified'] = "Zuletzt bearbeitet";
$admtext['addnotes'] = "Zusätzliche Notizen";
$admtext['confdeletenote'] = "Sind Sie sicher, dass Sie diese Notiz löschen möchten?";
$admtext['treebefnote'] = "Sie müssen einen Stammbaumnamen auswählen oder eingeben, bevor Sie neue Notizen hinzufügen können.";
$admtext['general'] = "Allgemein";
$admtext['entersearchvalue'] = "Suchbegriff eingeben.";
$admtext['trees'] = "Stammbäume";
$admtext['users'] = "Benutzerverwaltung";
$admtext['lds'] = "LDS";
$admtext['norights'] = "Keine Berechtigung für diese Seite. Sie müssen sich zuerst einloggen.";
$admtext['username'] = "Benutzerkennung";
$admtext['password'] = "Passwort";
$admtext['login'] = "Anmelden";
$admtext['logout'] = "Abmelden";
$admtext['city'] = "Ort";  //from cemeteries
$admtext['cap_country'] = "Land";  //from cemeteries
$admtext['addnewtree'] = "Neuen Stammbaum hinzufügen";
$admtext['test'] = "Prüfung";
$admtext['page'] = "Seite";  //from sources
$admtext['folder'] = "Verzeichnis";   //from languages
$admtext['confdeletepers'] = "Sind sie sicher, dass Sie diese Person löschen möchten?";
$admtext['save'] = "Speichern";
$admtext['of'] = "von";
$admtext['size'] = "Größe";
$admtext['select'] = "Auswahl";
$admtext['open'] = "Öffnen";
$admtext['selectfile'] = "Datei auswählen";
$admtext['altdesc'] = "Alternative Beschreibung";
$admtext['altnotes'] = "Alternative Notiz";
$admtext['savereturn'] = "Zurück zu dieser Seite";
$admtext['saveback'] = "Zurück zum Menü";
$admtext['user'] = "Benutzer";
$admtext['DIV'] = "Geschieden";
$admtext['search'] = "Suche";  //from findpersonform
$admtext['searchresults'] = "Suchergebnis";  //from people
$admtext['clicktoselect'] = "Klicken, um auszuwählen";
$admtext['familyid'] = "Familien-Kennung";  //from families
$admtext['secondary'] = "Zusätzliche Aktionen";
$admtext['commas'] = "Mehrere Eingaben mit Kommata trennen";
$admtext['onsave'] = "Beim Speichern";
$admtext['adminhome'] = "Verwaltung";
$admtext['labelbranches'] = "Zweig-Zuordnung";
$admtext['branch'] = "Zweig";
$admtext['findperson'] = "Suche Person...";
$admtext['findfamily'] = "Suche Familie...";
$admtext['repeatlastq'] = "Letzte Suche wiederholen";
$admtext['alwayson'] = "Immer sichtbar";
$admtext['all'] = "Alle";
$admtext['lnprefix'] = "Nachname Präfix";
$admtext['nameorder'] = "Sortierung";
$admtext['western'] = "Vorname";
$admtext['lockid'] = "Sperren";
$admtext['linktothese'] = "mit diesen Personen verknüpfen";
$admtext['alsolinkto'] = "Auch verknüpfen mit:";
$admtext['linkspersfam'] = "Verknüpfungen (Person-, Familien- oder Quellen-Kennung)";
$admtext['findsource'] = "Suche Quelle...";
$admtext['address'] = "Adresse";
$admtext['stateprov'] = "(Bundes-)Staat/Land";
$admtext['zip'] = "Postleitzahl";
$admtext['merge'] = "Verschmelzen";
$admtext['otherinfo'] = "Weitere Angaben";
$admtext['available'] = "Verfügbar";
$admtext['backuprestore'] = "Dienstprogramme";
$admtext['place'] = "Ort";
$admtext['treeid'] = "Stammbaum-Kennung";
$admtext['email'] = "E-Mail";
$admtext['event'] = "Ereignisse";
$admtext['eventdate'] = "Ereignisdatum";
$admtext['eventplace'] = "Ereignisort";
$admtext['detail'] = "Zusatzangaben";
$admtext['export'] = "Export";
$admtext['tlevents'] = "Zeitstrahl-Ereignisse";
$admtext['places'] = "Orte";
$admtext['duplicate'] = "Änderungen wurden nicht gespeichert. Ein Datensatz mit dem gleichen Schlüssel (Key) ist bereits vorhanden.";
$admtext['alttitle'] = "Alternativer Titel";
$admtext['enttitle'] = "Titel";  //title for a history or photo, not a person
$admtext['address1'] = "Adresse 1";
$admtext['address2'] = "Adresse 2";
$admtext['countryaddr'] = "Land";
$admtext['branches'] = "Zweige";
$admtext['nobranch'] = "Kein Zweig";
$admtext['scrollbranch'] = "(Scrollen, um die komplette Auswahl zu sehen)";
$admtext['matches'] = "Treffer";
$admtext['review'] = "Änderungsvorschläge prüfen";
$admtext['allusers'] = "Alle Benutzer";
$admtext['deathabbr'] = "gest.";
$admtext['burialabbr'] = "begr.";
$admtext['nochanges'] = "Es wurden keine Änderungen vorgenommen.";
$admtext['changestoallitems'] = "Änderungen für alle Elemente";  //were made successfully
$admtext['find2'] = "Suchen";
$admtext['text_sort'] = "Sortieren";
$admtext['documents'] = "Dokumente";
$admtext['repository'] = "Aufbewahrungsort";
$admtext['more'] = "Mehr";
$admtext['repositories'] = "Aufbewahrungsorte";
$admtext['divplace'] = "Scheidungsort";
$admtext['divdate'] = "Scheidungsdatum";
$admtext['divdatetr'] = "Scheidungsdatum (echt)";
$admtext['creategendex'] = "GENDEX-Datei erzeugen";
$admtext['datamaint'] = "Daten importieren/exportieren";
$admtext['imagefiletoupload'] = "Bilddatei zum Hochladen";
$admtext['indfamorsrc'] = "Personen, Familien oder Quellen";
$admtext['improperpermissions'] = "Unzureichende Verzeichnisberechtigung. Setzen Sie chmod(777)";
$admtext['person'] = "Person";
$admtext['setup'] = "Einstellungen";
$admtext['manage'] = "Verwalten";
$admtext['reset'] = "Zurücksetzen";
$admtext['norecords'] = "Keine Datensätze vorhanden.";
$admtext['secondarymaint'] = "Zusätzliche Aktionen";
$admtext['customeventtypes'] = "Benutzerdefinierte Ereignisse";
$admtext['findmatches'] = "Gleiche Datensätze suchen";
$admtext['matchthese'] = "Folgende Felder zur Übereinstimmung bringen:";
$admtext['otheroptions'] = "Andere Optionen:";
$admtext['ignoreblanks'] = "Ignoriere leere Felder";
$admtext['nextmatch'] = "Nächste Übereinstimmung";
$admtext['nextdup'] = "Nächste Dublette";
$admtext['comprefresh'] = "Vergleiche/Aktualisieren";
$admtext['mswitch'] = "Personen vertauschen";
$admtext['nomatches'] = "Keine Übereinstimmungen";
$admtext['combineextras'] = "Medien verschmelzen";  //changed as well
$admtext['fasterdisplay'] = "Hinweis: Diese Seite wird aus Geschwindigkeitsgründen in einem anderen Format dargestellt.";
$admtext['publichome'] = "Startseite";
$admtext['selectall'] = "Alle auswählen";
$admtext['clearall'] = "Gesamte Auswahl zurücknehmen";
$admtext['media'] = "Medien";
$admtext['albums'] = "Alben";
$admtext['import'] = "Import";
$admtext['item'] = "Element";
$admtext['combinenotesonly'] = "Notizen verschmelzen";
$admtext['addmedia'] = "Medium hinzufügen";
$admtext['latitude'] = "Geographische Breite";
$admtext['longitude'] = "Geographische Länge";
$admtext['gedimport'] = "GEDCOM-Import";
$admtext['improper2'] = "weil die Original-Datei entweder zu groß ist, oder keine gültige Bilddatei ist, oder weil das Verzeichnis nicht existiert (Root-Pfad überprüfen) bzw. nicht die richtigen Zugriffsrechte hat (versuchen Sie es mit chmod(777)).";
$admtext['confdeleterecs'] = "Sind Sie sicher, dass Sie die ausgewählten Datensätze löschen möchten?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocode-Ort";
$admtext['notfound'] = " nicht gefunden. Führen Sie eine erneute Suche durch, oder ziehen Sie die 'Hilfe zur Karten-Suche' zu Rate, um festzustellen, warum die Suche nicht erfolgreich war, oder versuchen Sie es mit der 'Erweiterten Google Map-Suche'";
$admtext['showhidemap'] = "Klickbare Karte ein-/ausblenden";
$admtext['getcoords'] = "(zur Festlegung von geographischer Breite, Länge und Zoom-Stufe)";
$admtext['searchstring'] = "Ort suchen";
$admtext['zoom'] = "Zoom-Stufe";
$admtext['selectplacelevel'] = "Ortsebene auswählen";
$admtext['difficultmap'] = "Erweiterte Google Map-Suche";
$admtext['maphelp'] = "Hilfe zur Karten-Suche";
$admtext['gobutton'] = "Suchen";
$admtext['findpersonid'] = "Suche Personen-Kennung";
$admtext['findfamilyid'] = "Suche Familien-Kennung";
$admtext['findsourceid'] = "Suche Quelle";
$admtext['entersourcepart'] = "Teil des Quellen-Titels";
$admtext['findrepoid'] = "Aufbewahrungsort-Kennung suchen";
$admtext['enterrepopart'] = "Teil des Aufbewahrungsort-Titels";
$admtext['findplace'] = "Suche Ort";
$admtext['enterplacepart'] = "Teil des Ortsnamens eingeben";
$admtext['entereventinfo'] = "Bitte Ereignisdatum, -ort oder Zusatzangaben eingeben.";
$admtext['entereventtype'] = "Ereignistyp eingeben.";
$admtext['enternote'] = "Bitte den Text der Notiz eingeben.";
$admtext['selectsource'] = "Wählen Sie eine Quelle aus.";
$admtext['confdeletecite'] = "Sind Sie sicher, dass Sie dieses Zitat löschen möchten?";
$admtext['spouses'] = "Ehe- / Lebensabschnittspartner";
$admtext['entertreeid'] = "Stammbaum-Kennung eingeben.";
$admtext['entertreename'] = "Stammbaum-Name.";
$admtext['citations'] = "Zitate";
$admtext['eventtypes'] = "Ereignistypen";
$admtext['associations'] = "Verbindungen";
$admtext['makefolder'] = "Verzeichnis anlegen";
$admtext['allcurrentdata'] = "Alle vorhandenen Daten";
$admtext['matchingonly'] = "Nur exakte Treffer";
$admtext['donotreplace'] = "Keine Daten ersetzen";
$admtext['useroffset'] = "Starte Kennungen bei:";
$admtext['phone'] = "Telefon";
$admtext['website'] = "Homepage";
$admtext['thumb'] = "Vorschaubild";  //as in thumbnail
$admtext['displayorder'] = "Anzeigereihenfolge";
$admtext['go'] = "Los!";
$admtext['help'] = "Hilfe für diesen Bereich";
$admtext['husband'] = "Vater";
$admtext['wife'] = "Mutter";
$admtext['husbname'] = "Name des Vaters";
$admtext['wifename'] = "Name der Mutter";
$admtext['drag'] = "Ziehen";
$admtext['enterinamepart'] = "Teil des Vornamens und/oder Nachnamens eingeben";
$admtext['enterfnamepart'] = "Teil des Namens des Vaters und/oder der Mutter eingeben";
$admtext['hide'] = "Verstecken";
$admtext['toggle'] = "Anzeige umschalten";
$admtext['wsel'] = "Aktion wählen:";
$admtext['msg'] = "Nachricht";
$admtext['default'] = "Standard";
$admtext['events'] = "Ereignisse";
$admtext['date'] = "Datum";
$admtext['savecont'] = "Speichern und Fortsetzen...";
$admtext['alphanum'] = "Bitte verwenden Sie in Ihrer Stammbaum-Kennung nur alphanumerische Zeichen.";
$admtext['mediatypes'] = "Medien-Typen";
$admtext['appendall'] = "Alle Datensätze hinzufügen";
$admtext['NPFX'] = "Präfix";
$admtext['prefix'] = "Präfix";
$admtext['mostwanted'] = "Gesuchte Angaben";
$admtext['idexists'] = "konnte nicht hinzugefügt werden, weil diese Kennung bereits besteht.";
$admtext['notdeleted'] = "Datei konnte nicht gelöscht werden. Bitte die Datei-Berechtigungen prüfen.";
$admtext['confdeletefile'] = "Sind Sie sicher, dass Sie diese Datei löschen möchten?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Hinweis:</strong><br>Datumsangaben bitte im Format 'TT MMM JJJJ' (z.B. 10 Mar 2004).<br>&nbsp;";
$admtext['oriental'] = "Nachname";
$admtext['langfolder'] = "Verwendeter Sprachenordner";
//moved here in 8.0.0
$admtext['active'] = "Aktiviert";
$admtext['repoid'] = "Aufbewahrungs-Kennung";
$admtext['whatsnew'] = "Aktuelles";
$admtext['linkedto'] = "Verknüpft mit";
$admtext['status'] = "Status";
//added in 8.0.0
$admtext['show'] = "Vorschau";
$admtext['lnfirst'] = "Nachname zuerst (mit Kommata)";
$admtext['savefirst'] = "Möchte Sie zuerst die Änderungen speichern?";
$admtext['misc'] = "Verschiedenes";
$admtext['modmgr'] = "Modifikations-Manager";
$admtext['menu'] = "Menü";
$admtext['cannotopendir'] = "Verzeichnis kann nicht geöffnet werden";
$admtext['reviewsh'] = "Prüfen"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Abbrechen";
$admtext['enterpassoc'] = "Bitte geben Sie die Kennung der Person ein, zu der die Verbindung hergestellt werden soll.";
$admtext['enterrela'] = "Bitte geben Sie die Art der Verbindung ein.";
$admtext['confdeleteassoc'] = "Sind Sie sicher, dass Sie diese Verbindung löschen möchten?";
$admtext['preview'] = "Vorschau";
$admtext['livingonly'] = "Nur Lebende";
$admtext['tentdata'] = "Temporärer Ereignis-Datensatz für ";
$admtext['checking'] = "Prüfe... Bitte warten!";
//added in 9.0.0
$admtext['clickresume'] = "Hier klicken, um fortzufahren";
$admtext['copylast'] = "Letztes kopieren";
$admtext['nicbold'] = "Fettschrift";
$admtext['nicitalic'] = "Kursivschrift";
$admtext['nicunderline'] = "Unterstreichen";
$admtext['niclalign'] = "Linksbündig";
$admtext['niccalign'] = "Zentriert";
$admtext['nicralign'] = "Rechtsbündig";
$admtext['nicjalign'] = "Blocksatz";
$admtext['nicinsol'] = "Nummerierte Liste einfügen";
$admtext['nicinsul'] = "Aufzählung einfügen";
$admtext['nicsub'] = "Tiefstellen";
$admtext['nicsup'] = "Hochstellen";
$admtext['nicstrike'] = "Durchstreichen";
$admtext['nicremfmt'] = "Formatierung entfernen";
$admtext['nicindent'] = "Texteinzug erhöhen";
$admtext['nicremind'] = "Texteinzug vermindern";
$admtext['nichr'] = "Horizontale Linie";
$admtext['nicfontsz'] = "Schriftgröße";
$admtext['nicfontfam'] = "Schriftname";
$admtext['nicfontfmt'] = "Schriftformat";
$admtext['niclink'] = "Link hinzufügen";
$admtext['nicremlink'] = "Link entfernen";
$admtext['nictxtcol'] = "Textfarbe ändern";
$admtext['nicbkgcol'] = "Text-Hintergrundfarbe ändern";
$admtext['nicimage'] = "Bild hinzufügen";
$admtext['change'] = "Ändern";
$admtext['editwarn'] = "Ihre Zugriffszeit auf diesen Datensatz ist fast abgelaufen. Speichern Sie jetzt Ihre Änderungen, um zu vermeiden, dass sie von einem anderen Benutzer überschrieben werden.";
$admtext['editconflict'] = "Dieser Datensatz wird gerade von einem anderen Benutzer bearbeitet. Versuchen Sie es später noch einmal.";
$admtext['retry'] = "Noch einmal versuchen";
$admtext['notsaved'] = "Die Änderungen wurden nicht gespeichert. Der Datensatz ist durch einen anderen Benutzer gesperrt.";
//changed in 9.2.0
$admtext['linktype'] = "Typ";
//moved here in 10.0.0
$admtext['disabled'] = "Deaktiviert";
$admtext['cremated'] = "Eingeäschert";
//added in 10.0.0
$admtext['videos'] = "Videos";
$admtext['recordings'] = "Aufnahmen";
$admtext['saveexit'] = "Speichern und Beenden";
$admtext['allbranches'] = "alle Zweige";
//moved here in 11.0.0
$admtext['nickname'] = "Beiname/Spitzname";
$admtext['role'] = "Rolle";
$admtext['commas'] = "Mehrere Eingaben mit Kommata trennen";
$admtext['confdellink'] = "Sind Sie sicher, dass Sie diese Verknüpfung löschen möchten?";
$admtext['existlinks'] = "Vorhandene Verknüpfungen";
$admtext['report'] = "Bericht";
//added in 11.0.0
$admtext['sortby'] = "Sortieren nach";
$admtext['unlink'] = "Verknüpfung lösen";
$admtext['privateonly'] = "Nur Vertrauliche";
$admtext['dna_links'] = "DNA-Verknüpfungen";
$admtext['dataval'] = "Datenprüfung";
$admtext['norels'] = "Schalte die Beziehungsmeldungen aus";

//change to $text
$admtext['living'] = "Lebend";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>