<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Greinar";
		$admtext['existingbranch'] = "Núverandi greinar";
		$admtext['newbranch'] = "Ný grein";
		$admtext['numgenerations'] = "Fjöldi kynslóða";
		$admtext['ancestors'] = "Forfeður";
		$admtext['descofanc'] = "Fjöldi kynslóða frá hverjum forföður";
		$admtext['descendants'] = "Afkomendur";
		$admtext['includespouses'] = "Taka með maka afkomenda";
		$admtext['partial'] = "Partial";
		$admtext['addlabels'] = "Nýtt merki";
		$admtext['clearlabels'] = "Hreinsa merki";
		$admtext['clearingbranch'] = "Hreinsa merki greinar";
		$admtext['addingbranch'] = "Nýtt merki greinar";
		$admtext['totalaffected'] = "Total Affected";
		$admtext['labelmore'] = "Merkja fleiri greinar";
		$admtext['enterbranch'] = "Vinsamlegast veldu grein eða sláðu inn nýja.";
		$admtext['enterstartingind'] = "Vinsamlegast sláðu inn upphafs nr. einstaklings.";
		$admtext['gensnumeric'] = "Values for Ancestors and Descendants must be numeric.";
		$admtext['overwrite'] = "Yfirskrifa";
		$admtext['branchid'] = "Nr. greinar";
		$admtext['addnewbranch'] = "Ný grein";
		$admtext['createbranch'] = "Búa til skrá fyrir nýja grein";
		$admtext['existingbranchinfo'] = "Upplýsingar um grein";
		$admtext['editexistingbranch'] = "Breyta upplýsingum greinar";
		$admtext['confbranchdelete'] = "Ertu viss um að vilja eyða þessari grein?";
		$admtext['enterbranchid'] = "Vinsamlegast sláðu inn ID fyrir greinina.";
		$admtext['entertreedesc'] = "Vinsamlegast sláðu inn lýsingu á greininni.";
		$admtext['newbranchinfo'] = "Upplýsingar um nýja grein";
		$admtext['modifybranch'] = "Breyta núverandi grein";
		$admtext['changestobranch'] = "Breytingar á grein";
		$admtext['existlabels'] = "Núverandi merki";
		$admtext['leave'] = "Lauf";
		$admtext['append'] = "Append all records";
		$admtext['showpeople'] = "Sýna fólk í þessu tré/grein";
		$admtext['branchdiscl'] = "This number represents the total number of branch links, not necessarily the number of people or families currently linked to this branch. If you have recently re-imported your data, you may need to relabel your branches.";
		$admtext['inclspouses'] = "Taka með maka allra afkomenda";
		$admtext['delpeople'] = "Delete people and families with this branch label";
		$admtext['confbrdel'] = "Are you sure you want to delete all people and families with this branch label?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Skrá kortamyndar var ekki afrituð til";
		$admtext['changestocem'] = "Breytingar á kirkjugarði";
		$admtext['modifycemetery'] = "Breyta kirkjugarði";
		$admtext['addnewcemetery'] = "Nýr kirkjugarður";
		$admtext['createnewcemetery'] = "Búa til skrá fyrir nýjan kirkjugarð";
		$admtext['selectcemaction'] = "Velja kirkjugarð og aðgerð";
		$admtext['location'] = "Location";
		$admtext['confdeletecem'] = "Ertu viss um að þú viljir eyða þessum kirkjugarði?";
		$admtext['editceminfo'] = "Breyta upplýsingum um nýskráðan kirkjugarð";
		$admtext['leaveblankallcems'] = "skildu eftir autt til að sjá alla kirkjugarða";
		$admtext['cemeteryname'] = "Nafn kirkjugarðs";
		$admtext['mapfilename'] = "Skráarnafn korts";
		$admtext['countyparish'] = "Hreppur";
		$admtext['stateprovince'] = "Sýsla";
		$admtext['entercountry'] = "Vinsamlegast sláið inn land.";
		$admtext['entermapfile'] = "Please enter a file name for your map file on the web server.";
		$admtext['existingceminfo'] = "Upplýsingar um kirkjugarð";
		$admtext['newceminfo'] = "Upplýsingar um nýjan kirkjugarð";
		$admtext['maptoupload'] = "Kortamynd til að hlaða inn";
		$admtext['mapfilenamefolder'] = "Skráarnafn korts<br/>innan legsteinamöppu";
		$admtext['ifmapuploaded'] = "Skildu þetta svæði eftir autt ef skránni hefur þegar verið hlaðið inn í legsteinamöppuna.";
		$admtext['requiredmap'] = "Required if you are using a map. This should correspond to the name and location of your file <em>within the headstones folder</em> once the file is uploaded. For example, if your headstones folder is called <em>headstones</em>,	and you want your file to be called <em>map.jpg</em> and go in a subfolder of headstones called <em>mymaps</em>, you would enter <em>mymaps/map.jpg</em> in this field.";
		//added in 8.0.0
		$admtext['linkplace'] = "Tengdur staður";
		$admtext['fillplace'] = "Fylla stað";
		$admtext['usecemcoords'] = "Afrita hnit fyrir neðan til þessa staðar";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "þegar til";
		$admtext['added'] = "Bætt við";
		$admtext['enternew'] = "Sláðu inn nýtt";
		$admtext['pleaseenter'] = "Vinsamlegast sláðu inn ";
		$admtext['netscapereload'] = "Notendur Netscape: <br/>You must reload the Cemeteries page to see your new";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Eyða athugasemd...";
		$admtext['addingnote'] = "Bæta við athugasemd...";
		$admtext['addnewnote'] = "Ný athugasemd";
		$admtext['note'] = "Athugasemd";
		$admtext['modifynote'] = "Breyta athugasemd";
		//added in 8.0.0
		$admtext['notechanges'] = "Breytingar á athugasemd";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Bæta við atburði...";
		$admtext['deletingevent'] = "Eyða atburði...";
		$admtext['updatingevent'] = "Uppfæra atburð...";
		$admtext['modifyevent'] = "Breyta atburði";
		$admtext['addnewevent'] = "Bæta við nýjum atburði";

		$admtext['dateformat'] = "(DD MMM YYYY)";
		$admtext['age'] = "Aldur";
		$admtext['agency'] = "Stofnun";
		$admtext['cause'] = "Orsök";
		$admtext['moreinfo'] = "Meiri upplýsingar";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplicate for";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Innset GEDCOM skýrslu...<br/>(þetta getur tekið nokkrar mínútur)";
		$admtext['ifimportfails'] = "If the import fails to run to completion,";
		$admtext['opened'] = "opnað...";
		$admtext['toresume'] = "to resume import";  //cannot open to resume import
		$admtext['openedtoresume'] = "opened to resume import...";
		$admtext['notresumed'] = "Innsetning gat ekki haldið áfram.";
		$admtext['finishedimporting'] = "Innsetningu GEDCOM skýrslu lokið";
		$admtext['treeexists'] = "Another tree already exists with the selected ID. Please select a different ID and try again.";
		$admtext['backtodataimport'] = "Back to Data Import";
		$admtext['moreoptions'] = "Fleiri valmöguleikar";
		$admtext['removeged'] = "Eyða GEDCOM skýrslu (valfrjálst)";
		$admtext['cannotupload'] = "Gat ekki hlaðið inn skýrslu";
		$admtext['invfperms'] = "Your 'gedcom' folder may have inadequate permissions (try 755 or 777).";
		$admtext['maybedone'] = "It may have already finished.";
		$admtext['turnonsis'] = "Make sure 'Save Import State' is turned on in the Import Settings.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Breyting á tegund atburðar";
		$admtext['modifyeventtype'] = "Breyta atburði á skrá";
		$admtext['individual'] = "Einstaklingur";
		$admtext['entertypedesc'] = "Vinsamlegast sláðu inn tegund/lýsingu á þessum nýja atburði.";
		$admtext['enterdisplay'] = "Vinsamlegast sláðu inn texta fyrir þennan nýja atburð.";
		$admtext['existingeventtypeinfo'] = "Núverandi upplýsingar um atburð";
		$admtext['neweventtypeinfo'] = "Upplýsingar um nýjan atburð";
		$admtext['tag'] = "Merki";
		$admtext['typedescription'] = "Tegund/Lýsing";
		$admtext['onimport'] = "On Import";
		$admtext['accept'] = "Samþykkja";
		$admtext['ignore'] = "Hunsa";
		$admtext['typerequired'] = "With custom tags (where tag = \"EVEN\"), this is the TYPE and is required. Optional for all other tags.";
		$admtext['addnewevtype'] = "Bæta við nýrri tegund atburðar";
		$admtext['createnewevtype'] = "Búa til nýjan atburð";
		$admtext['forindividuals'] = "Fyrir einstaklinga...";
		$admtext['forfamilies'] = "Fyrir fjölskyldur...";
		$admtext['existingevtypes'] = "Atburðir sem eru til nú þegar";
		$admtext['edsevtypes'] = "Breyta, eyða eða raða, áður skráðum atburðar tegundum";
		$admtext['indfam'] = "Einstakl./Fjölsk.";  //individual family
		$admtext['confdeleteevtype'] = "Ertu viss um að þú viljir eyða þessari tegund atburðar?";
		$admtext['selecttag'] = "Veldu merki";
		$admtext['selectentertag'] = "Vinsamlegast sláðu inn eða veldu merki fyrir þessa tegund atburðar.";
		$admtext['orenter'] = "eða sláðu inn";
		$admtext['ifbothdata'] = "verður notað ef báðir reitir innihalda upplýsingar";
		$admtext['EVEN'] = "Atburður";
		$admtext['ADOP'] = "Ættleiddur";
		$admtext['ADDR'] = "Heimilisfang";
		$admtext['ALIA'] = "Einnig þekkt/ur sem";
		$admtext['BARM'] = "Barmitzvah";
		$admtext['BASM'] = "Basmitzvah";
		$admtext['CAST'] = "Caste";
		$admtext['CENS'] = "Manntal";
		$admtext['CHRA'] = "Fullorðins skírn";
		$admtext['CONF'] = "Ferming";
		$admtext['CREM'] = "Brennsla";
		$admtext['DSCR'] = "Útlitslýsing";
		$admtext['EDUC'] = "Menntun";
		$admtext['EMIG'] = "Brottflutt/ur";
		$admtext['FCOM'] = "First Communion";
		$admtext['GRAD'] = "Útskrift";
		$admtext['IDNO'] = "National ID Number";
		$admtext['IMMI'] = "Innflutningur";
		$admtext['LANG'] = "Tungumál";
		$admtext['NATI'] = "Þjóðerni";
		$admtext['NATU'] = "Naturalization";
		$admtext['NCHI'] = "Fjöldi barna";
		$admtext['NMR'] = "Fjöldi hjónabanda";
		$admtext['OCCU'] = "Atvinna";
		$admtext['ORDI'] = "Ordinance";
		$admtext['ORDN'] = "Vígð(ur) til prests";
		$admtext['PHON'] = "Sími";
		$admtext['PROB'] = "Probate";
		$admtext['PROP'] = "Eignir";
		$admtext['RELI'] = "Trúarbrögð";
		$admtext['RESI'] = "Aðsetur";
		$admtext['RESN'] = "Tilkynning um aðsetur";
		$admtext['RETI'] = "Eftirlaun";
		$admtext['RFN'] = "Permanent Record Number";
		$admtext['SSN'] = "Kennitala";
		$admtext['WILL'] = "Erfðarskrá";
		$admtext['ANUL'] = "Ógilding";
		$admtext['DIVF'] = "Skilnaðir á skrá";
		$admtext['ENGA'] = "Trúlofun";
		$admtext['MARB'] = "Marriage Banns";
		$admtext['MARC'] = "Marriage Contract";
		$admtext['MARL'] = "Hjónabandsleyfi";
		$admtext['MARS'] = "Marriage Settlement";
		$admtext['forsources'] = "For Sources...";
		$admtext['RIN'] = "Record ID Number";
		$admtext['REFN'] = "Reference Number";
		$admtext['REPO'] = "Heimildasafn";

		$admtext['deleteselected'] = "Eyða völdu";
		$admtext['ignoreselected'] = "Horfa framhjá völdu";
		$admtext['acceptselected'] = "Staðfesta valið";
		$admtext['changestoallevtypes'] = "Breyta öllum tegundum atburða";
		$admtext['forrepos'] = "Fyrir heimildasöfn...";
		$admtext['noevtypes'] = "Engin tegund atburða er til.";
		$admtext['DESI'] = "Descendant Interest";
		$admtext['allnone'] = "Sláðu inn þann texta sem þú vilt að sjáist fyrir hvert tungumál,<br />eða skildu eftir autt og sláðu inn einn texta hér fyrir ofan.";
		$admtext['assocwith'] = "Tengt við";
		$admtext['BAPM'] = "Skírn";
		$admtext['umps'] = "GEDCOM skýrslan getur verið stærri heldur en leyfð hámarksstærð. You can ask your provider to increase the 'upload_max_filesize' value, or you can copy your file to the 'gedcom' folder on your site and import it from there instead.;";
		$admtext['othlangs'] = "Önnur tungumál";
		$admtext['evdata'] = "Event Data";
		$admtext['ANCI'] = "Submitter";
		//added in 10.0.0
		$admtext['collapseev'] = "Fella saman atburði";
		$admtext['collapse'] = "Fella saman";
		$admtext['collapseselected'] = "Fella saman valið";
		//added in 11.0.0
		$admtext['expselected'] = "Expand Selected";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Breytingar á fjölskyldu";
		$admtext['marrdate'] = "Giftingardagur"; //marriage date
		$admtext['modifyfamily'] = "Breyta fjölskyldu";
		$admtext['selectfamaction'] = "Veldu fjölskyldu og aðgerð";
		$admtext['confdeletefam'] = "Ertu viss um að vilja eyða þessari fjölskyldu?";
		$admtext['existingfamilyinfo'] = "Núverandi upplýsingar um fjölskyldu";
		$admtext['newfamilyinfo'] = "Nýjar upplýsingar um fjölskyldu";
		$admtext['sealedsdate'] = "Sealed S Date (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Sealed S Place (LDS)";     //S is for spouse
		$admtext['newchildren'] = "Ný börn";
		$admtext['addnewfamily'] = "Bæta við fjölskyldu";
		$admtext['createnewfamily'] = "Búa til skrá fyrir nýja fjöslkyldu";
		$admtext['editexistingfaminfo'] = "Edit information for a previously entered family";
		$admtext['spousesids'] = "Nr. maka";
		$admtext['noname'] = "Ekkert nafn";
		$admtext['familyidbefevent'] = "You must enter a Family ID before you can add new events.";
		$admtext['prefixfamilyid'] = "Vinsamlegast setjið \"F\" fyrir framan nr. fjölskyldu";
		$admtext['validfamilyid'] = "Please enter a valid Family ID. A valid ID is a numeric string prefixed with 'F'.";
		$admtext['familyidbefnote'] = "Þú verður að slá inn nr. fjölskyldu áður en þú getur bætt við nýjum athugasemdum.";
		$admtext['familyidbefcite'] = "You must enter a Family ID before you can use citations with this family.";
		$admtext['genfamily'] = "General Family";
		$admtext['marriagetype'] = "Tegund hjónabands";
		$admtext['reviewfamilies'] = "Accept or decline tentative changes to families";
		$admtext['fevslater'] = "Ath: Hægt er að bæta fleiri atburðum, athugasemdum og heimildum,<br />eftir að þessi nýja fjölskylda hefur verið vistuð.";
		$admtext['husbid'] = "Nr. eiginmanns";  //husband ID
		$admtext['wifeid'] = "Nr. eiginkonu";
		$admtext['enternamepart'] = "sláðu inn hluta af for- og/eða eftirnafni";
		$admtext['pleasenamepart'] = "Vinsamlegast sláðu inn hluta af for- eða eftirnafni.";
		$admtext['clickfind'] = "Smelltu á Finna eða Búa til =>";
		$admtext['chunlinked'] = "Barn hefur verið fjarlægt frá fjölskyldu";
		$admtext['child'] = "Barn";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Bæta við einstakling...";
		$admtext['changestoperson'] = "Breyta einstakling";
		$admtext['nobirthinfo'] = "Engar fæðingarupplýsingar";
		$admtext['modifyperson'] = "Breyta upplýsingum um einstakling";
		$admtext['selectpersaction'] = "Veldu einstakling og aðgerð";
		$admtext['existingpersoninfo'] = "Upplýsingar um einstakling";
		$admtext['firstgivennames'] = "Fornafn";
		$admtext['lastsurname'] = "Eftirnafn";
		$admtext['nickname'] = "Gælunafn";
		$admtext['male'] = "Maður";
		$admtext['female'] = "Kona";
		$admtext['bapldate'] = "Skírnardagur (LDS)";
		$admtext['baplplace'] = "Skírnarstaður (LDS)";
		$admtext['endldate'] = "Endowment Date (LDS)";
		$admtext['parents'] = "Foreldrar";
		$admtext['father'] = "Faðir";
		$admtext['mother'] = "Móðir";
		$admtext['unlinkindividual'] = "Fjarlægið núverandi einstakling";
		$admtext['aschild'] = "sem barn";
		$admtext['sealedpdate'] = "Sealed P Date (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Sealed P Place (LDS)";     //P is for parents
		$admtext['asspouse'] = "sem maka";
		$admtext['spouse'] = "Maki";
		$admtext['ordernumber'] = "Order Number";
		$admtext['married'] = "Gift";
		$admtext['nonewfamily'] = "Ekki fara í nýja fjölskyldu við vistun";
		$admtext['addnewperson'] = "Nýr einstaklingur";
		$admtext['createperson'] = "Create a record for a new individual";
		$admtext['personidbefevent'] = "You must enter a Person ID before you can add new events.";
		$admtext['prefixpersonid'] = "Vinsamlegast setjið \"I\" fyrir framan nr. einstaklings";
		$admtext['validpersonid'] = "Please enter a valid Person ID. A valid ID is a numeric string prefixed with 'I'.";
		$admtext['newpersoninfo'] = "Upplýsingar um nýjan einstakling";
		$admtext['selectsex'] = "Vinsamlegast veldu kyn.";
		$admtext['shortform'] = "Short Form";
		$admtext['editexistingpersoninfo'] = "Edit information for a previously entered individual";
		$admtext['unknown'] = "Óþekkt";
		$admtext['personidbefnote'] = "Þú verður að setja inn nr. einstaklings áður en þú getur bætt við nýrri athugasemd.";
		$admtext['endlplace'] = "Endowment Place (LDS)";
		$admtext['personidbefcite'] = "Þú verður að slá inn nr. einstaklings áður en þú getur notað tilvitnanir.";
		$admtext['relationship'] = "Tengsl";
		$admtext['asspouse'] = "sem maka";
		$admtext['mergepeople'] = "Merge information for duplicate individual records.";
		$admtext['choosemerge'] = "Choose individuals to merge or find potential matches";
		$admtext['usesoundex'] = "Use Soundex";
		$admtext['sdxdisclaimer'] = "Using this option will cause the program to take longer when finding the next match or duplicate.";
		$admtext['combinenotes'] = "Combine notes &amp; citations";
		$admtext['confirmmerge'] = "Ertu viss um að þú viljir sameina þessa tvo einstaklinga?";
		$admtext['gotonewfamily'] = "Fara í nýja fjölskyldu með núverandi einstakling sem";
		$admtext['genperson'] = "General Individual";
		$admtext['reviewpeople'] = "Accept or decline tentative changes to individuals";
		$admtext['nokids'] = "Engin börn";
		$admtext['noparents'] = "Engir foreldrar";
		$admtext['association'] = "Samband";
		$admtext['deletingassoc'] = "Eyði sambandi...";
		$admtext['addingassoc'] = "Bæti við sambandi...";
		$admtext['updatingassoc'] = "Uppfæri samband...";
		$admtext['addnewassoc'] = "Bæta við nýju sambandi";
		$admtext['modifyassoc'] = "Modify Existing Association";
		$admtext['pevslater'] = "Note: Additional events, as well as event-specific notes and citations,<br />may be added after the new person has been saved.";
		$admtext['ashusband'] = "sem eiginmann";
		$admtext['aswife'] = "sem eiginkonu";
		$admtext['pevslater2'] = "Ath: Hægt er að bæta við fleiri atburðum, athugasemdum og heimildum, síðar.";
		$admtext['nospouse'] = "Enginn maki";
		$admtext['revassoc'] = "Also add reverse association for same two people";
		$admtext['prefix'] = "Forskeyti";
		$admtext['chkdel'] = "Check empty box to delete item at left";
		//added in 9.0.0
		$admtext['choosedef'] = "Choose<br/>default<br/>photo"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Confirmation Date (LDS)";
		$admtext['confplace'] = "Confirmation Place (LDS)";
		$admtext['initdate'] = "Initiatory Date (LDS)";
		$admtext['initplace'] = "Initiatory Place (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Ekki var hægt að afrita smámynd til";
		$admtext['photo'] = "Mynd";
		$admtext['changestophoto'] = "Breyta mynd";
		$admtext['modifyphoto'] = "Breyta mynd";
		$admtext['addnewphoto'] = "Ný mynd";
		$admtext['selectphotoaction'] = "Veldu mynd og aðgerð";
		$admtext['photoid'] = "Photo ID";
		$admtext['confdeletephoto'] = "Are you sure you want to delete this photo and all links associated with it?";
		$admtext['enterphotopath'] = "Please enter the path (folder and file name) of the image file within the photos folder on your web server.";
		$admtext['enterthumbnailpath'] = "Please enter the path (folder and file name) of the thumbnail image file within the photos folder on your web server.";
		$admtext['enterphotodesc'] = "Please enter a description for the image.";
		$admtext['existingphotoinfo'] = "Upplýsingar um mynd";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Skýrsla smámyndar";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "File and Path Name";
		$admtext['sortphotos'] = "Sortera myndir";
		$admtext['sortphotosfor'] = "Sortera myndir fyrir";
		$admtext['editexistingphotoinfo'] = "Edit information for a previously entered photo";
		$admtext['leaveblankallphotos'] = "skilja eftir autt til að sjá allar myndir";
		$admtext['headstone'] = "Legsteinn";
		$admtext['imagenotcopied'] = "The image file could not be copied to";
		$admtext['changestohs'] = "Breyta legsteini";
		$admtext['modifyheadstone'] = "Modify Existing Headstone";
		$admtext['selecthsaction'] = "Veldu legstein og aðgerð";
		$admtext['confdeletehs'] = "Ertu viss um að vilja eyða þessum legsteini?";
		$admtext['photostatus'] = "Photo/Status";
		$admtext['selectcemetery'] = "Vinsamlegast veldu kirkjugarð.";
		$admtext['enterhsimage'] = "Please enter a file name for your headstone image on the web server.";
		$admtext['existinghsinfo'] = "Existing Headstone Information";
		$admtext['newhsinfo'] = "New Headstone Information";
		$admtext['hsimagefile'] = "Myndskýrsla legsteins";
		$admtext['located'] = "Staðsettur";
		$admtext['notyetlocated'] = "Ekki enn staðsettur";
		$admtext['unmarked'] = "Unmarked";
		$admtext['missing'] = "Missing";
		$admtext['leaveblankhs'] = "Skiljið þennan reit eftir auðan ef að skýrslunni hefur þegar verið sett inn í legsteina möppuna.";
		$admtext['requiredhs'] = "Required. This should correspond to the name and location of your file <em>within the headstones folder</em> once the file is uploaded. For example, if your headstones folder is called <em>photos/headstones</em>, and you want your file to be called <em>headstone.jpg</em> and go in a subfolder of photos/headstones called <em>newheadstones</em>, you would enter <em>newheadstones/headstone.jpg</em> in this field.";
		$admtext['addnewhs'] = "Bæta við nýjum legstein";
		$admtext['createnewhs'] = "Create a record for a new headstone and link it to an individual";
		$admtext['editexistinghsinfo'] = "Edit information for a previously entered headstone";
		$admtext['leaveblankallhs'] = "skilja eftir autt til að sýna alla legsteina";
		$admtext['cemnamelocation'] = "Nafn og staðsetning kirkjugarðs";
		$admtext['pedphoto'] = "Use this photo on pedigree charts and in name titles";
		$admtext['photoowner'] = "Eigandi/heimild";
		$admtext['dimensions'] = "Stærðir";
		$admtext['selectphoto'] = "Velja mynd";
		$admtext['specifyimg'] = "Velja mynd";
		$admtext['autoimg'] = "Búa til úr upprunalegu myndinni";
		$admtext['enterthumbpath'] = "Please enter a destination name for your thumbnail image";
		$admtext['genthumbs'] = "Búa til smámyndir";
		$admtext['genthumbsdesc'] = "Búa sjálfkrafa til minni útgáfur af öllum myndum sem ekki hafa smámynd.";
		$admtext['thumbsgenerated'] = "Smámyndir búnar til";
		$admtext['makedefault'] = "Gera sjálfgefið";
		$admtext['filewithinhs'] = "Path within headstones folder <br/>(subfolder and file name)";
		$admtext['recsupdated'] = "Records updated";
		$admtext['removedef'] = "Fjarlægja sjálgefna mynd";
		$admtext['numlinkhs'] = "Fjöldi einstaklinga sem tengja á við þennan legstein";
		$admtext['sortheadstones'] = "Raða legsteinum";
		$admtext['sortheadstonesfor'] = "Raða legsteinum fyrir";
		$admtext['sortheadstonesind'] = "Raða legsteinum fyrir einstakling";
		$admtext['headstoneorder'] = "Indicate a desired order for the headstones linked to a specific individual";
		$admtext['enternumberforphoto'] = "Enter a numeric value for each item.";
		$admtext['updownforphoto'] = "Smelltu á upp og niður pílurnar til að færa hluti upp eða niður í röðinni.";
		$admtext['createnewphoto'] = "Create a record for a new photo and link it to individuals, families or sources";
		$admtext['numlinkphoto'] = "Number of people, families or sources to link to this photo";
		$admtext['photoorder'] = "Indicate a desired order for the photos linked to a specific individual, family or source";
		$admtext['assigndefs'] = "Assign Default Photos";
		$admtext['assigndefsdesc'] = "Make first photo for each individual, family and source be that entity's default photo.";
		$admtext['overwritedefs'] = "Overwrite existing defaults";
		$admtext['assign'] = "Assign Defaults";
		$admtext['defsassigned'] = "Default photos assigned";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Kortlagning myndar";
		$admtext['circle'] = "hringur";
		$admtext['rect'] = "rétthryrningur";
		$admtext['poly'] = "marghyrningur";
		$admtext['shape'] = "Shape of region";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Breidd (pixlar)";
		$admtext['height'] = "Hæð (pixlar)";
		$admtext['imgdim'] = "Stærð myndar";
		$admtext['pixw'] = "px á breidd";
		$admtext['pixh'] = "px á hæð";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Changes to all selected photos";
		$admtext['changestoallhs'] = "Changes to all selected headstones";
		$admtext['datetaken'] = "Dagsetning";
		$admtext['placetaken'] = "Staðsetning";
		$admtext['abspath'] = "This media comes from an external source (you must supply your own thumbnail)";
		$admtext['imagefile'] = "Margmiðlunar skýrsla";
		$admtext['pathwithinphotos'] = "Nafn skýrslu á vefsetri";
		$admtext['linktocem'] = "Link this media directly to the selected cemetery";
		$admtext['defphotonote'] = "Use the thumbnail to identify this person, family or source on pedigree and other charts, including family group sheets.";
		$admtext['photonotadded'] = "The item could not be added, most likely because another media record already exists for the collection and physical file specified.";
		$admtext['requiredphoto'] = "Required. This should correspond to the name and location of your file <em>within the collection folder</em> once the file is uploaded. For example, suppose you are uploading a photo and your photos folder is called <em>photos</em>. If you want your file to be called <em>myphoto.jpg</em> and go in a subfolder of photos called <em>newphotos</em>, you would enter <em>newphotos/myphoto.jpg</em> in this field.";
		$admtext['leaveblankphoto'] = "Skiljið þennan reit eftir auðan ef skýrslunni hefur þegar verið hlaðið upp.";
		$admtext['thumbconflicts'] = "Thumbnails not generated due to path, permissions, size or file name problems";
		$admtext['showmap'] = "Show cemetery map and media whenever this item is displayed";
		$admtext['bodytext'] = "<strong>EÐA</strong><br/>Body Text";
		$admtext['usenl'] = "Convert line breaks to HTML on display";
		$admtext['newwin'] = "Opna í nýjum glugga";
		$admtext['modifymedia'] = "Modify Existing Media";
		$admtext['addnewmedia'] = "Bæta við nýrri margmiðlun";
		$admtext['confdeletemedia'] = "Ertu viss um að þú viljir eyða þessari skýrslu?";
		$admtext['thumbnails'] = "Smámyndir";
		$admtext['modifyalbum'] = "Breyta albúmi";
		$admtext['addnewalbum'] = "Bæta við nýju albúmi";
		$admtext['newalbuminfo'] = "Upplýsingar um nýtt albúm";
		$admtext['confdeletealbum'] = "Ertu viss um að þú viljir eyða þessu albúmi?";
		$admtext['enteralbumname'] = "Vinsamlegast sláðu inn heiti á albúmi.";
		$admtext['albumname'] = "Heiti albúms";
		$admtext['keywords'] = "Lykilorð";
		$admtext['changestoalbum'] = "Changes to album";
		$admtext['addtoalbum'] = "Bæta við albúm";
		$admtext['mediatype'] = "Safn";
		$admtext['fileext'] = "File ext."; //file extension (abbreviation)
		$admtext['anotherlink'] = "Bæta við öðrum tengli";
		$admtext['mediaurl'] = "Media URL";
		$admtext['put_in'] = "Vista skýrslur í";
		$admtext['usemedia'] = "Margmiðlunar möppu";
		$admtext['usecollect'] = "Möppu safns (t.d. \"photos\")";
		$admtext['notcopied'] = "The file could not be copied to";
		$admtext['existingmediainfo'] = "Núverandi upplýsingar um margmiðlunarskýrslu";
		$admtext['convto'] = "Breyta völdu til";
		$admtext['changestoallmedia'] = "Changes to all selected media";
		$admtext['changestoitem'] = "Changes to item";
		$admtext['eventlink'] = "Tengja við ákveðinn atburð";
		$admtext['sortmediaind'] = "Raða margmiðlun fyrir einstakling, fjölskyldu, heimild, heimildasafn eða stað";
		$admtext['sortmedia'] = "Sort xxx for";
		$admtext['unlinked'] = "Einungis ótengd";
		$admtext['samepaths'] = "The principal image and the thumbnail image may not be the same file. Please select a different thumbnail image, or have one created for you.";
		$admtext['regenerate'] = "Endurskapa smámyndir";
		$admtext['forcircles'] = "Fyrir hringi";
		$admtext['forrects'] = "Fyrir rétthyrninga";
		$admtext['circleinstr'] = "Smelltu fyrst í miðju hringsins, smelltu svo hvar sem er fyrir utan hringinn.";
		$admtext['rectinstr'] = "Smelltu fyrst í efra hornið vinstra megin, smelltu svo í neðra hornið vinstra megin.";
		$admtext['firstone'] = "first one";
		$admtext['controller'] = "Please allow about 16 vertical pixels for the media player controller.";
		$admtext['nostatus'] = "No status";
		$admtext['enterid'] = "Vinsamlegaset sláðu inn nr.";
		$admtext['existingalbuminfo'] = "Upplýsingar um núverandi albúm";
		$admtext['newmediainfo'] = "Upplýsingar um margmiðlun";
		$admtext['mapinstr2'] = "Tengdu svæði á myndinni við mismunandi fólk eða aðrar síður (valfrjálst) með því að skrifa HTML kóðann inn í kassann fyrir neðan, eða með því að fylgja leiðbeiningunum við myndina fyrir neðan.";
		$admtext['mapinstr3'] = "Til að tengja svæði á þessari mynd við einstakling, veldu þá fyrst það tré sem einstaklingurinn er í og búðu svo til rétthyrning fyrir svæðið.  Það gerirðu með því að smella í efra vinstra horn svæðiðsins og síðan dregurðu með músinni niður í neðra hægra horn.  Þú getur líka smellt einu sinni í efra vinstra horn og svo smellt aftur í neðra hægra hornið.  Sprettigluggi mun síðan opnast til að hjálpa þér að velja einstaklinginn.  Eftir að valið hefur farið fram, mun kóðinn fyrir kortlagninguna bætast við í kassann fyrir neðan. Endurtakið eins oft og þörf er á.";
		$admtext['albumlinks'] = "Albúm tenglar";
		$admtext['duplinkmsg'] = "A link to the selected entity already exists in this album.";
		$admtext['invlinkmsg'] = "The entity ID you entered is invalid. No link was created.";
		$admtext['albmedia'] = "Album Media";
		$admtext['removelink'] = "Fjarlægja tengil";
		$admtext['confremmedia'] = "Are you sure you want to remove this media from this album?";
		$admtext['selmedia'] = "Leita að margmiðlunarskýrslum sem taka á með í þetta albúm";
		$admtext['uploadfirst'] = "hlaða upp nýrra margmiðlun hér fyrst";
		$admtext['existmedia'] = "Existing Media";
		$admtext['emoptions'] = "Browse, Delete or Drag to Sort";
		$admtext['addlinks'] = "Bæta við nýjum tenglum";
		$admtext['eloptions'] = "Skoða eða eyða";
		$admtext['inclmsg'] = " included";
		$admtext['mediasubt'] = "Manage media included in this album (Add, Delete, Sort)";
		$admtext['infosubt'] = "Breya heiti albúms, lýsingu og lykilorðum";
		$admtext['linkssubt'] = "Tengja þetta albúm við einstaklinga, fjölskyldur, heimildir, heimildasöfn eða staði";
		$admtext['inclmedia'] = "Included Media";
		$admtext['nomedia'] = "No media included yet";
		$admtext['nolinks'] = "No links exist yet";
		$admtext['thumbsize'] = "(frumritið er of stórt)";
		$admtext['thumbinv'] = "(invalid image or inadequate permissions)";
		$admtext['thumblost'] = "(frumritið fannst ekki)";
		$admtext['uplsel'] = "Hlaða upp nýrri skýrslu frá tölvunni þinni eða velja úr skýrslum sem eru nú þegar á heimasíðunni";
		$admtext['alblater'] = "Ath: Hægt er að bæta margmiðlun í þetta albúm, og tengja albúmið við einstaklinga eða fjölskyldur, í næstu skjámynd.";
		$admtext['medlater'] = "Ath: Hægt er að bæta við frekari upplýsingum, og tengja þessa skýrslu við einstaklinga eða fjölskyldur, í næstu skjámynd.";
		$admtext['minfosubt'] = "Breyta heiti margmiðlunar, lýsingu og öðrum grunnupplýsingu";
		$admtext['medialinks'] = "Tengingar við margmiðlun";
		$admtext['defphoto'] = "Sjálfgefin mynd";
		$admtext['alttd'] = "Titill/lýsing";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Edit Media Link";
		$admtext['plot'] = "Plot";
		$admtext['addnewcoll'] = "Bæta við safni";
		$admtext['collid'] = "Nr. safns";
		$admtext['colldisplay'] = "Heiti";
		$admtext['collpath'] = "Heiti möppu";
		$admtext['collicon'] = "Teikn (icon) skýrsla";
		$admtext['colllike'] = "Sama uppsetning og";
		$admtext['entercollid'] = "Vinsamlegast sláðu inn nr. safns.";
		$admtext['entercolldisplay'] = "Vinsamlegast sláðu inn heiti safns.";
		$admtext['entercollpath'] = "Vinsamlegast sláðu inn heiti á möppu safns.";
		$admtext['entercollicon'] = "Vinsamlegast sláðu inn heiti á teikn (icon) skýrslu.";
		$admtext['editcoll'] = "Breyta safni";
		$admtext['confmtdelete'] = "Ertu viss um að þú viljir eyða þessum margmiðlunar flokk?";
		$admtext['histlimit'] = "<strong>Size note:</strong> Most browsers limit the amount of data that can be sent in a web form to about 64Kb. If you have a large amount of text to type or paste in the Body Text field above, you might consider using historytemplate.php instead. See the Help for more information.";
		$admtext['repath'] = "Regenerate thumbnail path names where file does not exist";
		$admtext['sortalbumind'] = "Raða albúmum fyrir einstakling, fjölskyldu, heimild, heimildasafn eða stað";
		$admtext['cidexists'] = "The Collection ID you entered could not be added because it already exists.";
		$admtext['phalltrees'] = "Valfrjálst.  Skiljið eftir autt til að láta myndir vera sýnilegar í öllum trjám.";
		//added in 8.0.0
		$admtext['fileexists'] = "Þessi skýrsla er þegar til.  Viltu skrifa yfir hana?";
		$admtext['collthumb'] = "Skýrsla smámyndar";
		$admtext['movetop'] = "Færa efst";
		//added in 9.0.0
		$admtext['collexpas'] = "Export as";
		//added in 9.2.0
		$admtext['upload'] = "Hlaða upp";
		$admtext['linksel'] = "Tengja við valdan einstakling";
		$admtext['mediaupl'] = "Hlaða upp margmiðlun";
		$admtext['addfiles'] = "Bæta við skýrslum...";
		$admtext['startupl'] = "Hefja innsetningu";
		$admtext['start'] = "Byrja";
		$admtext['cancelupl'] = "Hætta við innsetningu";
		//added in 11.0.0
		$admtext['localpath'] = "Local path(s)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Changes to report";
		$admtext['modifyreport'] = "Breyta skýrslu";
		$admtext['existingreportinfo'] = "Existing Report Information";
		$admtext['existingreports'] = "Existing Reports";
		$admtext['newreportinfo'] = "New Report Information";
		$admtext['reportname'] = "Heiti skýrslu";
		$admtext['rankpriority'] = "Rank/Priority";
		$admtext['choosedisplay'] = "Choose Fields to Display";
		$admtext['spouseid'] = "Nr. maka";
		$admtext['spousename'] = "Nafn maka";
		$admtext['lastmodified'] = "Síðast breytt";
		$admtext['ldsbapldate'] = "LDS Skírnardagur";
		$admtext['ldsbaplplace'] = "LDS Baptism Place";
		$admtext['ldsendldate'] = "LDS Endowment Date";
		$admtext['ldsendlplace'] = "LDS Endowment Place";
		$admtext['ldssealsdate'] = "LDS Seal/Spouse Date";
		$admtext['ldssealsplace'] = "LDS Seal/Spouse Place";
		$admtext['ldssealpdate'] = "LDS Seal/Parents Date";
		$admtext['ldssealpplace'] = "LDS Seal/Parents Place";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Choose Criteria";
		$admtext['fullname'] = "Fullt nafn";
		$admtext['lastfirst'] = "Eftirnafn, Fornafn";
		$admtext['monthonlyfrom'] = "Month Only From";
		$admtext['yearonlyfrom'] = "Year Only From";
		$admtext['dayonlyfrom'] = "Day Only From";
		$admtext['operators'] = "Operators";
		$admtext['contains'] = "inniheldur";
		$admtext['startswith'] = "byrjar á";
		$admtext['endswith'] = "endar á";
		$admtext['text_and'] = "OG";
		$admtext['currentmonth'] = "Current Month";
		$admtext['currentyear'] = "Current Year";
		$admtext['currentday'] = "Current Day";
		$admtext['constantstring'] = "Constant String";
		$admtext['constantvalue'] = "Constant Value";
		$admtext['foremptystring'] = "For an empty string, leave this field blank and click \"Add >>.\"";
		$admtext['choosesort'] = "Choose Sort Fields";
		$admtext['savereport'] = "Save Report";
		$admtext['addnewreport'] = "Add New Report";
		$admtext['createreport'] = "Create a new report";
		$admtext['noreports'] = "No reports exist";
		$admtext['rank'] = "Rank";
		$admtext['confreportdelete'] = "Are you sure you want to delete this report?";
		$admtext['enterreportname'] = "Please enter a Report Name.";
		$admtext['selectdisplayfield'] = "Please select at least one display field.";
		$admtext['today'] = "Today (true date)";
		$admtext['convtodays'] = "Convert to Days";
		$admtext['desc'] = "Descending (Prev)";
		$admtext['birthdatetr'] = "Birth Date (True)";
		$admtext['chrdatetr'] = "Christening Date (True)";
		$admtext['deathdatetr'] = "Death Date (True)";
		$admtext['burialdatetr'] = "Burial Date (True)";
		$admtext['marriagedatetr'] = "Marriage Date (True)";
		$admtext['ldsbapldatetr'] = "LDS Baptism Date (True)";
		$admtext['ldsendldatetr'] = "LDS Endowment Date (True)";
		$admtext['ldssealsdatetr'] = "LDS Seal/Spouse Date (True)";
		$admtext['ldssealpdatetr'] = "LDS Seal/Parents Date (True)";
		$admtext['currentmonthnum'] = "Current Month Number";
		$admtext['livingtrue'] = "Á lífi = já";
		$admtext['livingfalse'] = "Á lífi = nei";
		$admtext['altreport'] = "OR Leave Display, Criteria and Sort fields blank and enter direct SQL SELECT statement here";
		$admtext['rptdate'] = "Dagsetning";
		$admtext['rptdatetr'] = "Date (True)";
		$admtext['fact'] = "Fact";
		$admtext['testeditdelete'] = "Add, edit, test or delete reports";
		$admtext['wnmsg'] = "Skilaboð á \"Hvað er nýtt\" síðunni";
		$admtext['mwtype'] = "Tegund";
		$admtext['mysphoto'] = "Myndir sem vantar frekari upplýsingar um";
		$admtext['mysperson'] = "Einstaklingar sem vantar frekari upplýsingar um";
		$admtext['selphoto'] = "Veldu mynd";
		$admtext['entertitle'] = "Vinsamlegast sláðu inn titil";
		$admtext['enterdesc'] = "Vinsamlegast sláðu inn lýsingu";
		$admtext['confremmw'] = "Are you sure you want to remove this item?";
		$admtext['msgsaved'] = "Message saved";
		//added in 9.1.1
		$admtext['privatetrue'] = "Falið = já";
		$admtext['privatefalse'] = "Falið = nei";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Confirmation Date";
		$admtext['ldsconfplace'] = "LDS Confirmation Place";
		$admtext['ldsconfdatetr'] = "LDS Confirmation Date (True)";
		$admtext['ldsinitdate'] = "LDS Initiatory Date";
		$admtext['ldsinitplace'] = "LDS Initiatory Place";
		$admtext['ldsinitdatetr'] = "LDS Initiatory Date (True)";
		$admtext['savecopy'] = "Save as copy";
		$admtext['activeonly'] = "Active only";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Veljið skýrslu sem setja á inn.";
		$admtext['importgedcom'] = "Innsetning á GEDCOM skýrslu (staðlað 5.5 snið)";
		$admtext['addreplacedata'] = "Bæta við eða skipta út ættfræðiupplýsingum þínum (gæti tekið nokkrar mínútur, allt eftir skýrslustærð)";
		$admtext['fromyourcomputer'] = "Frá tölvunni þinni";
		$admtext['importdata'] = "Innsetning gagna";
		$admtext['setupfirsttime'] = "Setja upp hugbúnað í fyrsta skiptið.";
		$admtext['replace'] = "Skipta út (í völdu tré)";
		$admtext['desttree'] = "Ákvörðunartré";
		$admtext['selectdesttree'] = "Vinsamlegast veljið eða sláið inn ákvörðunartré.";
		$admtext['selectexisting'] = "Setjið inn í";
		$admtext['importgedcom2'] = "Innsetning á GEDCOM skýrslu";
		$admtext['setupitems'] = "Búa til töflur í gagnagrunni, stilla kjörstillingar";
		$admtext['custeventitems'] = "Stýra merkjum og tegundum atburða";
		$admtext['usersitems'] = "Stýra notendum og réttindum";
		$admtext['reportsitems'] = "Búa til sérsniðna lista og skýrslur";
		$admtext['langitems'] = "Stýra tungumálum";
		$admtext['backupitems'] = "Afrita, endurbyggja og fínstilla töflur í gagnagrunni";
		$admtext['ucaselast'] = "Hástafa öll eftirnöfn";
		$admtext['norecalc'] = "Do not recalculate Living flag";
		$admtext['autooffset'] = "Hefja nr. á fyrsta mögulega númeri";

		$admtext['mustselecttree'] = "Þú verður að velja tré áður en þú velur þennan möguleika.";
		$admtext['importmedia'] = "Innflytja margmiðlun ef hún er til staðar";
		$admtext['mainmenu'] = "Aðalvalmynd";
		$admtext['neweronly'] = "Aðeins skipta út ef nýrri";
		$admtext['secondaryitems'] = "Create a GENDEX file, Track lines of descent";
		$admtext['onwebserver'] = "Frá heimasíðu (í GEDCOM möppu)";
		$admtext['eventsonly'] = "Import Custom Event Types Only (no data is added, replaced or appended)";
		$admtext['imphints'] = "Aths: Öll núverandi gögn, þýðir allir einstaklingar, fjöskyldur, heimildir og athugasemdir (margmiðlunartengingar tapast ekki svo lengi sem að nr. haldast eins).  Samsvaranir byggjast alltaf eingöngu á nr.  Nýjum færslum er alltaf bætt við.  Append imports all records with new IDs.";
		$admtext['allevents'] = "Accept data for all new Custom Event Types";
		$admtext['destbranch'] = "Ákvörðunargrein (valfrjálst)";
		$admtext['inframe'] = "(í ramma)";
		$admtext['getstart'] = "Byrjunarleiðbeiningar";
		$admtext['importlatlong'] = "Setja inn upplýsingar um lengdargráðu / breiddargráðu ef þær eru til staðar";
		$admtext['opening'] = "Opna";
		$admtext['reopen'] = "Opna aftur";
		$admtext['uploading'] = "Uppflyt gögn";
		$admtext['stop'] = "Stoppa";
		$admtext['stopped'] = "Innsetning stöðvuð";
		$admtext['resume'] = "smelltu hér til að halda áfram";
		//changed in 8.0.0
		$admtext['showlog'] = "Skrá yfir breytingar";
		//added in 8.0.0
		$admtext['mmgritems'] = "Stýra viðbótarforritum frá 3ja aðila";
		//added in 9.0.0
		$admtext['oldimport'] = "Old style import (no progress bar)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Athugasemdir, Hvað er nýtt, Eftirlýsingar";
		//added in 11.0.0
		$admtext['tasks'] = "Important tasks";
		$admtext['task_revusers'] = "Review new user registrations";
		$admtext['task_tree'] = "Create your first tree";
		$admtext['task_user'] = "Create a user account for yourself";
		$admtext['task_people'] = "add new people";
		$admtext['task_families'] = "Add new families";
		$admtext['task_revind'] = "Review proposed changes to individual events";
		$admtext['task_revfam'] = "Review proposed changes to family events";
		$admtext['task_backup'] = "Back up the data";
		$admtext['nobackups'] = "no backups exist";
		$admtext['lastbackup'] = "Síðasta afrit";
		$admtext['dna_blurb'] = "Log DNA tests and link them to individuals";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Breytingar á heimild";
		$admtext['modifysource'] = "Breyta heimild";
		$admtext['selectsrcaction'] = "Select Source and Action";
		$admtext['shorttitle'] = "Stuttur titill";
		$admtext['longtitle'] = "Langur titill";
		$admtext['author'] = "Höfundur";
		$admtext['callnumber'] = "Númer";
		$admtext['publisher'] = "Útgefandi";
		$admtext['actualtext'] = "Raunverulegur texti";
		$admtext['confdeletesrc'] = "Ertu viss um að þú viljir eyða þessari heimild?";
		$admtext['selectshorttitle'] = "Vinsamlegast veljið eða sláið inn stutt heiti fyrir þessa tegund atburðar.";
		$admtext['existingsourceinfo'] = "Núverandi upplýsingar um heimild";
		$admtext['newsourceinfo'] = "Nýjar upplýsingar um heimild";
		$admtext['addnewsource'] = "Bæta við nýrri heimild";
		$admtext['prefixsourceid'] = "Vinsamlegast setjið \"S\" fyrir framan nr. heimildar";
		$admtext['entersourceid'] = "Vinsamlegast sláið inn nr. heimildar";
		$admtext['validsourceid'] = "Vinsamlegast sláið inn gilt nr. heimildar.  A valid ID is a numeric string prefixed with 'S'.";
		$admtext['createsource'] = "Create a record for a new source";
		$admtext['editexistingsource'] = "Edit information for a previously entered source";
		$admtext['addnewcite'] = "Bæta við nýrri heimild";
		$admtext['reliability'] = "Áreiðanleiki";
		$admtext['relyexplain'] = "Hærri tala þýðir meiri áreiðanleiki.";
		$admtext['citedate'] = "Dagsetning heimildar";
		$admtext['modifycite'] = "Breyta tilvitnun";
		$admtext['addingcite'] = "Bæta við tilvitnun...";
		$admtext['deletingcite'] = "Eyði tilvitnun...";
		$admtext['updatingcite'] = "Uppfæri tilvitnun...";
		$admtext['citation'] = "Tilvitnun";
		$admtext['sevslater'] = "Ath: Frekari atburðum og athugasemdum má bæta við eftir að þessi nýja heimild hefur verið geymd.";
		$admtext['pleasesourcepart'] = "Vinsamlegast sláið inn hluta úr heiti heimildar.";
		$admtext['addnewrepo'] = "Bæta við nýju heimildasafni";
		$admtext['modifyrepo'] = "Breyta heimildasafni";
		$admtext['createrepo'] = "Create a record for a new repository";
		$admtext['editexistingrepo'] = "Edit information for a previously entered repository";
		$admtext['enterrepoid'] = "Vinsamlegast sláið inn nr. heimildasafns.";
		$admtext['enterreponame'] = "Please enter a Repository name.";
		$admtext['newrepoinfo'] = "New Repository Information";
		$admtext['prefixrepoid'] = "Vinsamlegast setjið \"REPO\" fyrir framan nr. heimildasafns";
		$admtext['selectrepoaction'] = "Select Repository and Action";
		$admtext['confdeleterepo'] = "Ertu viss um að þú viljir eyða þessu heimildasafni?";
		$admtext['changestorepo'] = "Breytingar á heimildasafni";
		$admtext['existingrepoinfo'] = "Núverandi upplýsingar um heimildasafn";
		$admtext['pleaserepopart'] = "Vinsamlegast sláið inn hluta af heiti heimildasafns.";
		$admtext['choosemergesources'] = "Choose sources to merge or find potential matches";
		$admtext['confirmmergesources'] = "Ertu viss um að þú viljir sameina þessar tvær heimildir?";
		$admtext['choosemergerepos'] = "Choose repositories to merge or find potential matches";
		$admtext['confirmmergerepos'] = "Ertu viss um að þú viljir sameina þessi tvö heimildasöfn?";
		$admtext['revslater'] = "Note: Additional events and notes may be added after the new repository has been saved.";
		$admtext['confdeleterepo'] = "Ertu viss um að þú viljir eyða þessu heimildasafni?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Check New ID";
		$admtext['idnotvalid'] = "is not a valid ID. A valid ID is a numeric string prefixed with";
		$admtext['idinuse'] = "is in use. Please choose a different ID";
		$admtext['idok'] = "is OK to use";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Númer sniðmáts";
		$admtext['mainimage'] = "Aðalmynd (á upphafssíðunni)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Mynd með fyrirsögn (á upphafssíðunn)"; //1, 2, 3
		$admtext['headline'] = "Headline"; //4, 7
		$admtext['mainpara'] = "Fyrsta málsgrein";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Header image (including title)"; //1
		$admtext['pedperson'] = "Pedigree person ID"; //2
		$admtext['pedtree'] = "Pedigree tree ID"; //2
		$admtext['phhistperson'] = "Photos & Histories person ID"; //2
		$admtext['phhisttree'] = "Photos & Histories tree ID"; //2
		$admtext['headimg'] = "Mynd með fyrirsögn"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Header title image"; //2, 3
		$admtext['titleimg'] = "Title image (all pages)"; //4, 7
		$admtext['searchpara'] = "Leitar málsgrein"; //6
		$admtext['fhpara'] = "Family Histories paragraph"; //6
		$admtext['fhlinkshis'] = "Family Histories links (His)"; //6
		$admtext['fhlinkshers'] = "Family Histories links (Hers)"; //6
		$admtext['mwpara'] = "Eftirlýst málsgrein"; //6
		$admtext['respara'] = "Resources paragraph"; //6
		$admtext['reslinks'] = "Resources links"; //6
		$admtext['headtitle1'] = "Header title, part 1"; //8
		$admtext['headtitle2'] = "Header title, part 2"; //8
		$admtext['headtitle3'] = "Header title, part 3"; //8
		$admtext['headsubtitle'] = "Undir-fyrirsögn"; //8
		$admtext['latestnews'] = "Nýjustu fréttir"; //8
		$admtext['momside'] = "Mom's Side label"; //8
		$admtext['dadside'] = "Dad's Side label"; //8
		$admtext['momperson'] = "Mom's Side person ID"; //8
		$admtext['momtree'] = "Mom's Side tree ID"; //8
		$admtext['dadperson'] = "Dad's Side person ID"; //8
		$admtext['dadtree'] = "Dad's Side tree ID"; //8
		$admtext['featurethumb1'] = "Feature 1 thumbnail"; //4
		$admtext['featurelink1'] = "Feature 1 link"; //4
		$admtext['featuretitle1'] = "Feature 1 title"; //4
		$admtext['featurepara1'] = "Feature 1 paragraph"; //4
		$admtext['featurethumb2'] = "Feature 2 thumbnail"; //4
		$admtext['featurelink2'] = "Feature 2 link"; //4
		$admtext['featuretitle2'] = "Feature 2 title"; //4
		$admtext['featurepara2'] = "Feature 2 paragraph"; //4
		$admtext['featurethumb3'] = "Feature 3 thumbnail"; //4
		$admtext['featurelink3'] = "Feature 3 link"; //4
		$admtext['featuretitle3'] = "Feature 3 title"; //4
		$admtext['featurepara3'] = "Feature 3 paragraph"; //4
		$admtext['featurethumb4'] = "Feature 4 thumbnail"; //4
		$admtext['featurelink4'] = "Feature 4 link"; //4
		$admtext['featuretitle4'] = "Feature 4 title"; //4
		$admtext['featurepara4'] = "Feature 4 paragraph"; //4
		$admtext['photocaption'] = "Myndtexti fyrir aðalmynd"; //4
		$admtext['maintitle'] = "Fyrirsögn"; //5
		$admtext['hisside'] = "His Side label"; //5
		$admtext['herside'] = "Her Side label"; //5
		$admtext['newstext'] = "News text"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Virkja val á sniðmáti";
		//added in 9.0.0
		$admtext['template'] = "Sniðmát";
		$admtext['createcopy'] = "Búa til afrit í";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Feature links"; //9, 10
		$admtext['featurepara'] = "Features paragraph"; //9, 10
		$admtext['welcome'] = "Velkomin fyrirsögn"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Nöfn í móðurætt"; //8
		$admtext['dadsidenames'] = "Nöfn í föðurætt"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Features paragraph";
		$admtext['menutitle'] = "Menu Title";
		$admtext['titlechoice'] = "Valmöguleikar fyrir fyrirsögn";
		$admtext['photol'] = "Mynd vinstra megin";
		$admtext['phototitlel'] = "Titill fyrir mynd vinstra megin";
		$admtext['photocaptionl'] = "Texti fyrir mynd vinstra megin";
		$admtext['photor'] = "Right image";
		$admtext['phototitler'] = "Right image title";
		$admtext['photocaptionr'] = "Right image caption";
		$admtext['topsurnames'] = "Algengustu eftirnöfnin - lýsing";
		$admtext['headimg2'] = "Header image 2"; //14
		$admtext['headimg3'] = "Header image 3"; //14
		$admtext['showprev'] = "Sýna forsýni";
		$admtext['hideprev'] = "Fela forsýni";
		$admtext['ttitleimage'] = "Mynd";
		$admtext['ttitletext'] = "Texti";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Feature 5 thumbnail"; //15
		$admtext['featurelink5'] = "Feature 5 link"; //15
		$admtext['featuretitle5'] = "Feature 5 title"; //15
		$admtext['featurepara5'] = "Feature 5 paragraph"; //15
		$admtext['featurethumb6'] = "Feature 6 thumbnail"; //15
		$admtext['featurelink6'] = "Feature 6 link"; //15
		$admtext['featuretitle6'] = "Feature 6 title"; //15
		$admtext['featurepara6'] = "Feature 6 paragraph"; //15
		$admtext['featurethumb7'] = "Feature 7 thumbnail"; //15
		$admtext['featurelink7'] = "Feature 7 link"; //15
		$admtext['featurepara7'] = "Feature 7 paragraph"; //15
		$admtext['featurethumb8'] = "Feature 8 thumbnail"; //15
		$admtext['featurelink8'] = "Feature 8 link"; //15
		$admtext['featurepara8'] = "Feature 8 paragraph"; //15
		$admtext['sidebarhead1'] = "Sidebar header 1"; //15
		$admtext['sidebarhead2'] = "Sidebar header 2"; //15
		$admtext['sidebarhead3'] = "Sidebar header 3"; //15
		$admtext['texttitle1'] = "Text 1 title"; //15
		$admtext['textlink1'] = "Text 1 link"; //15
		$admtext['textpara1'] = "Text 1 paragraph"; //15
		$admtext['texttitle2'] = "Text 2 title"; //15
		$admtext['textlink2'] = "Text 2 link"; //15
		$admtext['textpara2'] = "Text 2 paragraph"; //15
		$admtext['texttitle3'] = "Text 3 title"; //15
		$admtext['textpara3'] = "Text 3 paragraph"; //15
		$admtext['subhead1'] = "Subhead 1"; //15
		$admtext['subhead2'] = "Subhead 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tables created successfully.";
		$admtext['backtosetup'] = "Aftur í valmynd uppsetningar";
		$admtext['configuration'] = "Stillingar";
		$admtext['entersysvars'] = "Enter values for system variables.";
		$admtext['createdbtables'] = "Búa til töflur í gagnagrunninum, fyrir skráðar upplýsingar.";
		$admtext['tcwarning'] = "<strong>Varúð!</strong> Veldu þetta eingöngu þegar þú ert að setja upp heimasíðuna þína í fyrsta sinn. <strong>Öllum gögnum sem eru nú þegar skráð, þar með talið myndir, sögur, legsteinar og kirkjugarðar, verður eytt!</strong>";
		$admtext['conftabledelete'] = "Þetta mun eyða ÖLLUM gögnum þínum!! Ertu viss um að þú viljir halda áfram?";
		$admtext['performdatamaint'] = "Perform data maintenance and manage photos, histories and other components.";
		$admtext['createtables'] = "Búa til töflur";
		$admtext['configsettings'] = "Almennar stillingar";
		$admtext['logconfigsettings'] = "Stillingar fyrir skrár";
		$admtext['importconfigsettings'] = "Stillingar fyrir innsetningu";
		$admtext['diagnostics'] = "Greiningar";
		$admtext['rundiags'] = "Keyra greiningu";
		$admtext['phpinf'] = "PHP upplýsinga skjámynd";
		$admtext['fromphp'] = "Þessar upplýsingar koma frá vefþjóni þínum og hefur með PHP kerfi þitt að gera, ekki TNG.";
		$admtext['phpver'] = "PHP útgáfa";
		$admtext['phpreq'] = "(TNG krefst 5.3 eða hærri.)";
		$admtext['gdlib'] = "GD myndefnis forritasafn";
		$admtext['gdreq'] = "(Required for TNG's thumbnail creation tools.)";
		$admtext['availnogif'] = "Aðgengilegt, en styður ekki .gif myndir";
		$admtext['notinst'] = "Ekki sett upp";
		$admtext['safemode'] = "Safe Mode";
		$admtext['off'] = "Óvirkt";
		$admtext['on'] = "Virkt";
		$admtext['fileuploads'] = "Innsetning skýrslna";
		$admtext['fureq'] = "(Krafist fyrir heimasíðu uppflytning á GEDCOM skýrslum, myndum og annars konar virkni eyðublaða.)";
		$admtext['perm'] = "Leyft";
		$admtext['notperm'] = "Ekki leyft, notið FTP í staðinn";
		$admtext['sqlver'] = "MySQL útgáfa";
		$admtext['sqlreq'] = "(TNG krefst 3.23.0 eða hærri.)";
		$admtext['wsrvr'] = "Vefþjónn";
		$admtext['fperms'] = "Skýrslu/möppu heimildir";
		$admtext['fpreq'] = "(TNG requires some files and folders to have special access rights.)";
		$admtext['scruser'] = "Script running as user:";
		$admtext['phpuser'] = "PHP reports it as user:";
		$admtext['usrprob'] = "You may not have the necessary level of file access to run TNG without problems if you use both FTP and the TNG admin functions to manage files.";
		$admtext['rofile'] = "Skýrslan er skrifvarin:";
		$admtext['rofolder'] = "Mappan er skrifvarin:";
		$admtext['publog'] = "Public log";
		$admtext['admlog'] = "Skrá stjórnanda";
		$admtext['folderdne'] = "Mappan er ekki til:";
		$admtext['keyrw'] = "Key folders are all read/write";
		$admtext['cfgrw'] = "Configuration files are all read/write";
		$admtext['acceptable'] = "Ásættanlegt.";
		$admtext['restricted'] = "Sum virkni gæti verið takmörkuð. Þú gætir upplifað villuboð við uppsetningu eða við notkun á TNG.";
		$admtext['needchngs'] = "TNG gæti þurft á breytingum á PHP uppsetningu eða vefþjón að halda til að geta keyrt.";
		$admtext['yourbrowser'] = "Vafrinn þinn: ";
		$admtext['modifysettings'] = "Breyta stillingum";
		$admtext['dbhost'] = "Hýsill fyrir gagnagrunn";
		$admtext['dbname'] = "Nafn gagnagrunns";
		$admtext['dbusername'] = "Notendanafn fyrir gagnagrunn";
		$admtext['dbpassword'] = "Aðgangsorð fyrir gagnagrunn";
		$admtext['rootpath'] = "Root Path";
		$admtext['homepage'] = "Heimasíða";
		$admtext['emailaddress'] = "Netfang";
		$admtext['siteowner'] = "Eigandi heimasíðu";
		$admtext['maxdescgens'] = "Max Descendancy Generations";
		$admtext['disallow'] = "Disallow";
		$admtext['defaultallowed'] = "Default: Allowed";
		$admtext['maxsearchresults'] = "Hámarks fjöldi leitarniðurstaðna";
		$admtext['targetframe'] = "Target Frame";
		$admtext['table'] = "Table";
		$admtext['lastbackup'] = "Síðasta afrit";
		$admtext['backup'] = "Afrita";
		$admtext['restore'] = "Endurheimta";
		$admtext['backupfilesize'] = "Skýrslustærð";
		$admtext['succbackedup'] = "successfully backed up";
		$admtext['succrestored'] = "successfully restored";
		$admtext['change_cutoff'] = "'Hvað er nýtt' fjöldi daga";
		$admtext['change_limit'] = "'Hvað er nýtt' hámark";
		$admtext['photosext'] = "Nafnauki mynda";
		$admtext['defaulttree'] = "Valið tré";
		$admtext['requirelogin'] = "Krefjast innskráningar";
		$admtext['defaultdontrequire'] = "Default: Don't Require";
		$admtext['ldsdefault'] = "Sýna LDS upplýsingar";
		$admtext['ldson'] = "Alltaf";
		$admtext['ldsoff'] = "Aldrei";
		$admtext['ldspermit'] = "Fer eftir réttindum notenda";
		$admtext['allow'] = "Leyfa";
		$admtext['chooselang'] = "Dynamic Language Change";
		$admtext['optimize'] = "Fínstilla";
		$admtext['succoptimized'] = "fínstillt";
		$admtext['customheader'] = "Sérsniðinn síðuhaus";
		$admtext['customfooter'] = "Sérsniðinn síðufótur";
		$admtext['custommeta'] = "Custom Meta";
		$admtext['lineending'] = "Línu endir";
		$admtext['backuppath'] = "Afrita mappa";
		$admtext['photopath'] = "Mynda mappa";
		$admtext['headstonepath'] = "Legsteina mappa";
		$admtext['historypath'] = "Sögu mappa";
		$admtext['backuprestoretables'] = "Afrite, endurheimta og fínstilla gögn í töflum";
		$admtext['shownames'] = "Sýna nöfn á einstaklingum sem eru á lífi";
		$admtext['initials'] = "Stytta fornafn";
		$admtext['regformat'] = "Register Format";
		$admtext['stdformat'] = "Standard Format";
		$admtext['thumbprefix'] = "Forskeyti smámynda";
		$admtext['thumbmaxh'] = "Hámarkshæð smámyndar";
		$admtext['thumbmaxw'] = "Hámarksbreidd smámyndar";
		$admtext['thumbsuffix'] = "Viðskeyti smámynda";
		$admtext['showextended'] = "Sýna ítarlegar upplýsingar um myndir";
		$admtext['shownotes'] = "Sýna athugasemdir";
		$admtext['notestogether'] = "Fyrir neðan tilsvarandi atburði þar sem mögulegt er";
		$admtext['notestogether2'] = "Fyrir neðan atburði, nema almennar athugasemdir";
		$admtext['notesapart'] = "Í Athugasemdir hlutanum";
		$admtext['lnprefixes'] = "Forskeyti eftirnafns (þ.e., van, de)";
		$admtext['lntogether'] = "Halda sem hluta af eftirnafni";
		$admtext['lnapart'] = "Sér eining";
		$admtext['detectpfx'] = "Prefix Detection on Import";
		$admtext['lnpfxnum'] = "Num. prefixes each  (max)";
		$admtext['specpfx'] = "OR These specific prefixes";
		$admtext['newmedialinks'] = "New links for Photos/Histories";
		$admtext['maxgedcom'] = "Hámarksfjöldi kynslóða við úttöku GEDCOM skýrslu";
		$admtext['placestable'] = "Staða tafla";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Ættfræði slóð";
		$admtext['charset'] = "Character set";
		$admtext['time_offset'] = "Hliðrun á tíma vefþjóns (klst)";
		$admtext['backupall'] = "Back up Selected";
		$admtext['optimizeall'] = "Optimize Selected";
		$admtext['alltables'] = "Valdar töflur";
		$admtext['brinstructions'] = "Til að afrita, endurheimta eða fínstilla töflu, smelltu á viðeigandi teikn (icon) fyrir þá töflu eða veldu fleiri töflur og framkvæmdu sömu aðgerð á þeim öllum með því að ýta á viðeigandi takka neðst í skjámyndinni.";
		$admtext['tabstyle'] = "Tabs Style Sheet";
		$admtext['iconloc'] = "Staðsetning valmyndar";
		$admtext['topleft'] = "Efst vinstra megin, yfir fyrirsögn";
		$admtext['topright'] = "Efst hægra megin, við hlið fyrirsagnar";
		$admtext['indstart'] = "Einstaklingar byrja á";
		$admtext['persinfo'] = "Eingöngu persónulegum upplýsingum";
		$admtext['allinfo'] = "Öllum upplýsingum";
		$admtext['thumbcols'] = "Dálkar í smámynda notendasýn";
		$admtext['stdesc'] = "Start Descendancy";
		$admtext['stexpand'] = "Expanded";
		$admtext['stcollapse'] = "Collapsed";
		$admtext['regnosp'] = "Register Generations";
		$admtext['chshow'] = "Alltaf sýna alla";
		$admtext['chifsp'] = "Fjarlægja einstaklinga án fjölskyldu";
		$admtext['restoreall'] = "Endurheimta valdar";
		$admtext['surerestore'] = "Ertu viss um að þú viljir endurheimta valdar töflur?";
		$admtext['surerestorets'] = "Ertu viss um að þú viljir endurheimta töfluskipan?  Öll núverandi gögn munu tapast!";
		$admtext['backupstruct'] = "Taka afrit af töfluskipan";
		$admtext['tablestruct'] = "Töfluskipan";
		$admtext['brinstructions2'] = "To back up or restore the table structure, click on the appropriate action icon below. WARNING: Restoring the table structure will delete all existing data!";
		$admtext['livedefault'] = "Sýna upplýsingar um fólk sem er á lífi";
		$admtext['nodisplay'] = "Sýna ekki";
		$admtext['menudisp'] = "Display menu";
		$admtext['asicons'] = "As icons";
		$admtext['asdrop'] = "As dropdown list";
		$admtext['gendex'] = "GENDEX mappa";
		$admtext['modifypedsettings'] = "Modify Pedigree Configuration Settings";
		$admtext['leftindent'] = "Vinstri jafnað";
		$admtext['boxnamesize'] = "Box Name Size";
		$admtext['namesizeshift'] = "Name Size Shift";
		$admtext['boxdatessize'] = "Box Dates Size";
		$admtext['datessizeshift'] = "Dates Size Shift";
		$admtext['boxcolor'] = "Litur kassa";
		$admtext['colorshift'] = "Color Shift (%)";
		$admtext['emptycolor'] = "Empty Color";
		$admtext['bordercolor'] = "Border Color";
		$admtext['shadowcolor'] = "Litur skugga";
		$admtext['boxwidth'] = "Box Width (w/o popups)";
		$admtext['boxheight'] = "Box Height (w/o popups)";
		$admtext['boxalign'] = "Box Alignment (w/o popups)";
		$admtext['boxheightshift'] = "Box Height Shift (w/o popups)";
		$admtext['boxHsep'] = "Box Horizontal Separation";
		$admtext['boxVsep'] = "Box Vertical Separation";
		$admtext['shadowoffset'] = "Shadow Offset";
		$admtext['linewidth'] = "Line Width";
		$admtext['borderwidth'] = "Border Width";
		$admtext['popupcolor'] = "Popup Color";
		$admtext['popupinfosize'] = "Popup Info Size";
		$admtext['popupinfosizeshift'] = "Popup Info Size Shift";
		$admtext['popuptimer'] = "Popup Timer (ms)";
		$admtext['pedevent'] = "Popup Event";
		$admtext['puboxwidth'] = "Box Width (w/popups)";
		$admtext['puboxheight'] = "Box Height (w/popups)";
		$admtext['puboxalign'] = "Box Alignment (w/popups)";
		$admtext['puboxheightshift'] = "Box Height Shift (w/popups)";
		$admtext['popupspouses'] = "Popup Spouses";
		$admtext['popupkids'] = "Popup Children";
		$admtext['popupchartlinks'] = "Popup Chart Links";
		$admtext['inclphotos'] = "Taka myndir með";
		$admtext['overflow'] = "Overflow";
		$admtext['pedcompact'] = "Compact";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Text Only";
		$admtext['relchart'] = "Relationship Chart";
		$admtext['maxupgen'] = "Max Relationship Generations";
		$admtext['left'] = "Vinstri";
		$admtext['right'] = "Hægri";
		$admtext['center'] = "Center";
		$admtext['mouseover'] = "Mouse Over";
		$admtext['mousedown'] = "Mouse Down";
		$admtext['ahnentafel'] = "Framætt";
		$admtext['pedbox'] = "Kassi";
		$admtext['hideempty'] = "Fela tóma kassa";
		$admtext['logfilename'] = "Skýrslunafn skráar";
		$admtext['maxloglines'] = "Hámarkslínufjöldi skráar";
		$admtext['modifylogsettings'] = "Breyta stillingum fyrir skrár";
		$admtext['badhosts'] = "Exclude Host Names";
		$admtext['admin'] = "Stjórnandi";
		$admtext['text_public'] = "(Public)";
		$admtext['saveimportstate'] = "Save Import State";
		$admtext['allowresume'] = "Save to allow resume if import fails";
		$admtext['modifyimportsettings'] = "Modify Import Configuration Settings";
		$admtext['embeddedmedia'] = "Embedded Media";
		$admtext['assignnames'] = "Allow TNG to assign names to embedded media";
		$admtext['localphotopath'] = "Local Photo Path(s)";
		$admtext['localdocpath'] = "Local History Path(s)";
		$admtext['nopathmatch'] = "If no local path match";
		$admtext['wholepath'] = "Import entire path";
		$admtext['justname'] = "Import file name only";
		$admtext['gedpath'] = "GEDCOM mappa (Innsetning/úttaka)";
		$admtext['makefolder'] = "Búa til möppu";
		$admtext['blankchangedt'] = "If 'Change Date' is blank";
		$admtext['usetoday'] = "Nota núverandi dagsetningu";
		$admtext['useblank'] = "Leave it as is";
		$admtext['nobirthdate'] = "Enginn fæðingardagur er skráður, reikna með að ";
		$admtext['persliving'] = "Einstaklingurinn er á lífi";
		$admtext['persdead'] = "Einstaklingurinn er látinn";
		$admtext['nodeathdate'] = "Ef engin dánardagur er skráður, gera ráð fyrir að einstaklingurinn sé látinn ef hann er eldri en";
		$admtext['pedconfigsettings'] = "Stillingar fyrir ættartré";
		$admtext['usepopups'] = "Initial Display";
		$admtext['maxpedgens'] = "Hámarksfjöldi kynslóða";
		$admtext['dbsection'] = "Gagnagrunnur";
		$admtext['tablesection'] = "Töfluheiti";
		$admtext['foldersection'] = "Slóðir og möppur";
		$admtext['sitesection'] = "Hönnun síðu og skilgreiningar";
		$admtext['privsection'] = "Gagnaleynd";
		$admtext['namesection'] = "Nöfn";
		$admtext['descsection'] = "Descendancy";
		$admtext['miscsection'] = "Ýmislegt";
		$admtext['mediatable'] = "Margmiðlunar tafla";
		$admtext['pedanddesc'] = "Common Elements";
		$admtext['descchart'] = "Descendancy Chart";
		$admtext['pedchart'] = "Pedigree Chart";
		$admtext['initgens'] = "Initial Generations";
		$admtext['mediapath'] = "Margmiðlunar mappa";
		$admtext['documentpath'] = "Skjala mappa";
		$admtext['localdocumentpath'] = "Local Document Path(s)";
		$admtext['localotherpath'] = "Local Path(s) for Other Media";
		$admtext['imgmaxh'] = "Hámarkshæð myndar";
		$admtext['imgmaxw'] = "Hámarksbreidd myndar";
		$admtext['succdel'] = "successfully deleted";
		$admtext['delbkups'] = "Eyða völdum afritum";
		$admtext['suredelbk'] = "Ertu viss um að þú viljir eyða völdum afritum?";
		$admtext['showhome'] = "Sýna tengil á aðalsíðu";
		$admtext['showsearch'] = "Sýna tengil fyrir leit";
		$admtext['showlogin'] = "Sýna tengil fyrir innskráningu/útskráningu";
		$admtext['showprint'] = "Sýna tengil fyrir prentun";
		$admtext['showbmarks'] = "Sýna bæta við bókamerki tengil";
		$admtext['server'] = "(þjónn)";
		$admtext['client'] = "(biðlari)";
		$admtext['sitename'] = "Heiti seturs";
		$admtext['site_desc'] = "Lýsing á setri";
		$admtext['privnote'] = "Forskeyti fyrir faldar athugasemdir";
		$admtext['custvars'] = "Ath: Þú getur búið til sérsniðnar stillingar í \"customconfig.php\" (opnið í texta ritli og fylgið leiðbeiningum).";
		$admtext['blockemail'] = "Block suggestions or new user registrations where";
		$admtext['addrcontains'] = "Heimilisfang inniheldur";
		$admtext['msgcontains'] = "Skilaboð innihalda";
		$admtext['reqloginset'] = "\"Krefst innskráningar\" verður að vera stillt á Já til að hægt sé að virkja þennan möguleika";
		$admtext['treerestrict'] = "Takmarka aðgang að tengdu tréi";
		$admtext['mapconfigsettings'] = "Kortastillingar";
		$admtext['modifymapsettings'] = "Breyta kortastillingum";
		$admtext['maptype'] = "Tegund korts";
		$admtext['maphybrid'] = "Hybrid";
		$admtext['mapsatellite'] = "Satellite";
		$admtext['mapdimsind'] = "Vídd, síða einstaklinga";
		$admtext['mapdimshst'] = "Vídd, legsteinasíða";
		$admtext['mapdimsadm'] = "Vídd, vefstjórnsíður";
		$admtext['mapwidth'] = "Vídd (% eða px)";
		$admtext['mapheight'] = "Hæð (px)";
		$admtext['mapstlat'] = "Upphafs breiddargráða";
		$admtext['mapstlong'] = "Upphafs lengdargráða";
		$admtext['startoff'] = "Hide Admin Maps to Start";
		$admtext['conslpins'] = "Sameina tvöfalda pinna";
		$admtext['ssenabled'] = "Virkja myndasýningu";
		$admtext['ssrepeat'] = "Sjálfvirk endurtekning á myndasýningu";
		$admtext['sysinfo'] = "Sýna upplýsingar um heimasíðu umhverfi þitt.";
		$admtext['albumlinkstable'] = "Albúm tengla tafla";
		$admtext['addresstable'] = "Heimilisfanga tafla";
		$admtext['statestable'] = "Fylkja tafla";
		$admtext['countriestable'] = "Landa tafla";
		$admtext['notelinkstable'] = "Athugasemda tengla tafla";
		$admtext['medialinkstable'] = "Margmiðlunar tengla tafla";
		$admtext['saveimporttable'] = "Tafla fyrir vistun innsetninga";
		$admtext['brlinkstable'] = "Greina tengla tafla";
		$admtext['temptable'] = "Atburða (tímabundnir) tafla";
		$admtext['tleventstable'] = "Tímalínu tafla";
		$admtext['album2entitiestable'] = "Albúm tenglar";
		$admtext['doctype'] = "Doctype Declaration";
		$admtext['cemrows'] = "Hámarks línufjöldi í dálk (ca.)";
		$admtext['cemblanks'] = "Fela \"Óþekkta\" flokka";
		$admtext['success'] = "Tókst";
		$admtext['fexists'] = "Mistókst.  Mappa er þegar til.";
		$admtext['fmanual'] = "Mistókst.  Vinsamlegast notið FTP forrit eða  online skýrslustjórnun.";
		$admtext['maintmode'] = "Viðhalds ástand";
		$admtext['maintexp'] = "All database access is temporarily unavailable for site maintenance. Please try again later. If regular functions do not resume within a few hours of first seeing this message, please contact the site administrator.";
		$admtext['defimpopt'] = "Default Replace Option";
		$admtext['seltable'] = "Please select at least one table.";
		$admtext['renumber'] = "Endurraða nr.";
		$admtext['idtype'] = "Tegund nr.";
		$admtext['mindigits'] = "Minimum Digits";
		$admtext['niprefix'] = "Not including ID prefix";
		$admtext['finreseq'] = "Finished resequencing";
		$admtext['recsreseq'] = "records resequenced";
		$admtext['needmaint'] = "You must be in Maintenance Mode to run this utility (go to Setup &gt;&gt; Configuration &gt;&gt; General Settings)";
		$admtext['reseqwarn'] = "<strong>WARNING:</strong> Resequencing your IDs could cause external links to your site to break or point to erroneous locations.";
		$admtext['subroot'] = "Subroot Path";
		$admtext['hidechr'] = "Fela reit fyrir skírn";
		$admtext['datefmt'] = "Uppsetning dagsetninga";
		$admtext['dayfirst'] = "Dagur/Mánuður/Ár";
		$admtext['monthfirst'] = "Mánuður/Dagur/Ár";
		$admtext['exusers'] = "Exclude Usernames";
		$admtext['allowreg'] = "Leyfið nýjar notendaskráningar";
		$admtext['localhspath'] = "Local Headstone Path(s)";
		$admtext['pardata'] = "Upplýsingar um foreldra á síðu einstaklings";
		$admtext['pnoevents'] = "Ekki sýna neina atburði";
		$admtext['pstdonly'] = "Sýna eingöngu staðlaða fjölskyldu atburði";
		$admtext['palldata'] = "Sýna alla atburði og alla margmiðlun";
		$admtext['servertime'] = "Tími hjá vefþjóni er";
		$admtext['sitetime'] = "og tími hjá vefsetri er";
		$admtext['srexpl'] = "Optional. Use an absolute path name, like what you see in the Root Path, then move the following files to the Config Path <strong>immediately</strong> after saving and make them writeable (664 permissions): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Þysjun í byrjun";
		$admtext['mapfoundzm'] = "Þysjun staða";
		$admtext['rrnum'] = "Record Report Number";
		$admtext['progint'] = "Progress Interval (ms)";
		$admtext['timechart'] = "Tímalínu graf";
		$admtext['tcheight'] = "Hæð grafs";
		$admtext['distances'] = "All distances measured in pixels.";
		$admtext['mpixels'] = "Pixlar milli mánuða";
		$admtext['ypixels'] = "Pixlar milli ára";
		$admtext['ymult'] = "Years between year markers";
		$admtext['mpct'] = "Vertical percentage for months";
		$admtext['ypct'] = "Vertical percentage for years";
		$admtext['inclevs'] = "Atburðir sem á að taka með";
		$admtext['allevs'] = "Allir atburðir";
		$admtext['rangeevs'] = "Einungis þeir atburðir sem að gerast á æviskeiði einstaklinganna sem eru með í grafinu";
		$admtext['tcwidth'] = "Upphafsbreidd grafs";
		$admtext['simile'] = "Enable Simile timeline";
		//added in 8.0.0
		$admtext['pstartoff'] = "Hide Public Maps to Start";
		$admtext['maxrels'] = "Hámarksfjöldi sambanda";
		$admtext['initrels'] = "Initial Relationships";
		$admtext['templateconfigsettings'] = "Stillingar fyrir sniðmát";
		$admtext['modifytemplatesettings'] = "Breyta stillingum fyrir sniðmát";
		$admtext['ucsurnames'] = "Hástafa öll eftirnöfn";
		$admtext['maxnoteprev'] = "Max characters in list notes";
		$admtext['mailreg'] = "Netfang og skráning";
		$admtext['autoapp'] = "Samþykkja nýja notendur sjálfvirkt";
		$admtext['inclpwd'] = "Senda lykilorð með í fyrsta tölvupósti";
		$admtext['ackemail'] = "Send acknowledgement email";
		$admtext['fromadmin'] = "Senda alla tölvupósta frá ofangreindu netfangi";
		$admtext['autotree'] = "Búa til nýtt tré fyrir notenda";
		$admtext['modspath'] = "Viðbóta mappa";
		$admtext['extspath'] = "Extensions Folder";
		$admtext['encrtype'] = "Tegund dulkóðunar";
		$admtext['none'] = "Engin dulkóðun";
		$admtext['imgviewer'] = "Enable image viewer";
		$admtext['docsonly'] = "Eingöngu skjöl";
		$admtext['imgvheight'] = "Image viewer height";
		$admtext['flex'] = "Always show full image";
		$admtext['setheight'] = "Föst (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Tengja staða upplýsingar við tré";
		$admtext['convert'] = "Convert";
		$admtext['convexpl'] = "(This will assign all current places to the selected tree)";
		$admtext['mergeexpl'] = "(This will remove the tree assignment from all Place records)";
        $admtext['nocutoff'] = "Leave blank or set to zero to remove this limit";
        $admtext['usesmtp'] = "Nota SMTP sannvottun";
        $admtext['mailhost'] = "SMTP host name";
        $admtext['mailuser'] = "Notendanafn fyrir tölvupóst";
        $admtext['mailpass'] = "Lykilorð fyrir tölvupóst";
        $admtext['mailport'] = "Port number";
		$admtext['showshare'] = "Sýna deila tengil";
		$admtext['defpgsize'] = "Stöðluð stærð PDF síðu";
		$admtext['mapterrain'] = "Terrain";
		$admtext['maproadmap'] = "Road Map";
		$admtext['usedefthumbs'] = "Nota staðlaðar smámyndir";
        $admtext['autogeo'] = "Setja inn GPS hnit fyrir alla nýja staði";
        $admtext['revmail'] = "Notify on reviewable submissions";
        $admtext['assumepriv'] = "Gera ráð fyrir að eigi að fela ef ekki látin(n) í þetta mörg ár";
        $admtext['calstart'] = "Fyrsti dagur vikunnar";
		$admtext['edit_timeout'] = "Edit timeout (minutes)";
		$admtext['shownamespr'] = "Sýna nöfn á földum";
		$admtext['tables'] = "Töflur";
		//changed in 9.0.0
		$admtext['mapkey'] = "Virkja kort";
		//changed in 10.0.0
		$admtext['regnotes'] = "Show Notes on Register";
		//added in 10.0.0
		$admtext['collation'] = "Collation";
		$admtext['collationexpl'] = "(skildu eftir autt til að nota það staðlaða)";
		$admtext['scrollcite'] = "Rúlla heimildir";
		$admtext['hidemedia'] = "Hide personal media";
		$admtext['searchchoice'] = "Search Link Destination";
		$admtext['quicksearch'] = "Hröð leit";
		$admtext['advsearch'] = "Ítarleg leit";
		$admtext['pedvertical'] = "Lóðrétt";
		$admtext['vboxwidth'] = "Breidd kassa";
		$admtext['vboxheight'] = "Hæð kassa";
		$admtext['vspacing'] = "Spacing";
		$admtext['vchart'] = "Vertical Chart";
		//added in 10.1.0
		$admtext['reuseids'] = "Re-use deleted IDs";
		$admtext['lastimport'] = "Show last import";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Database Port";
		$admtext['dbsocket'] = "Database Socket";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefixes and Suffixes";
		$admtext['personprefix'] = "Person prefix";
		$admtext['personsuffix'] = "Person suffix";
		$admtext['familyprefix'] = "Family prefix";
		$admtext['familysuffix'] = "Family suffix";
		$admtext['sourceprefix'] = "Source prefix";
		$admtext['sourcesuffix'] = "Source suffix";
		$admtext['repoprefix'] = "Repository prefix";
		$admtext['reposuffix'] = "Repository suffix";
		$admtext['noteprefix'] = "Note prefix";
		$admtext['notesuffix'] = "Note suffix";
		$admtext['mobilesection'] = "Mobile";
		$admtext['mobilesite'] = "Mobile site name will be ";
		$admtext['menubar'] = "in mobile menu bar";
		$admtext['belowbar'] = "below mobile menu bar";
		$admtext['responsivetables'] = "Enable responsive tables";
		$admtext['tabletype'] = "Responsive table type";
		$admtext['enablemodeswitch'] = "Enable responsive tables mode switcher";
		$admtext['enableminimap'] = "Enable responsive tables mini map";
		$admtext['showtasks'] = "Show 'Important tasks' messages";
		$admtext['showtotals'] = "Show record totals on Admin menu";
		$admtext['backupdays'] = "Alert if no backup in this many days";
		$admtext['backupnote'] = "NOTE: If your database is very large, you might want to use an independent tool (like mysqldumper or phpMyAdmin) to back up and restore your tables. At least one of these should be available from your site control panel.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Hide all DNA pages and data";
        $admtext['assumeliving'] = "Assume living if not dead this many years";
		//changed in 11.0.2
		$admtext['mapkey'] = "Map Key";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "sláðu inn hluta úr fornafni og/eða eftirnafni";
		$admtext['pleasenamepart'] = "Vinsamlegast sláðu inn hluta af fornafni eða eftirnafni.";
		$admtext['enternamepart2'] = "sláðu inn nr. eða hluta af fornafni og/eða eftirnafni";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Sláðu inn hluta úr staðarnafni.";
		$admtext['addnewplace'] = "Bæta við nýjum stað";
		$admtext['createplace'] = "Create a record for a new place";
		$admtext['modifyplace'] = "Breyta stað";
		$admtext['editexistingplaceinfo'] = "Edit information for a previously entered place";
		$admtext['enterplace'] = "Sláðu inn nýjan stað.";
		$admtext['newplaceinfo'] = "New Place Information";
		$admtext['existingplaceinfo'] = "Núverandi upplýsingar um stað";
		$admtext['changestoplace'] = "Breytingar á stað";
		$admtext['selectplaceaction'] = "Select Place and Action";
		$admtext['mergeplaces'] = "Sameina staði";
		$admtext['findmerge'] = "Finna staði sem mögulega er hægt að sameina";
		$admtext['selectplacemerge'] = "Velja staði til að sameina";
		$admtext['mcol1'] = "Sameina<br/>þessa<br/>(delete)";
		$admtext['mcol2'] = "í<br/>þennan<br/>(keep)";
		$admtext['pmsucc'] = "Place merge successful";
		$admtext['nomerge'] = "Ekkert að sameina";
		$admtext['enterkeep'] = "Please select a merge target.";
		$admtext['backmerge'] = "Leita aftur";
		$admtext['confdeleteplace'] = "Ertu viss um að þú viljir eyða þessum stað?";
		$admtext['propagate'] = "Breyta staðarnafni í atburðum sem eru þegar til";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Ertu viss um að þú viljir fjarlægja tenginguna við þennan kirkjugarð?";
		$admtext['nocoords'] = "Lengdar- eða breiddargráðu vantar";
		$admtext['istemple'] = "This place name is an LDS temple code";
		$admtext['findtemples'] = "Find only LDS temple codes";
		$admtext['choosecem'] = "Veldu kirkjugarð";
		$admtext['geocopy'] = "Afrita GPS hnit fyrir neðan til þessa kirkjugarðs";
		$admtext['linkcem'] = "Tengja þennan stað við kirkjugarð";
		$admtext['cemsavail'] = "Listinn inniheldur einungis kirkjugarða sem ekki eru þegar tengdir við staði";
		$admtext['nocemsavail'] = "Enginn kirkjugarður fannst, eða allir kirkjugarðar hafa verið tengdir við stað.";
        //added in 9.0.0
        $admtext['geocode'] = "Staðsetja GPS hnit";
        $admtext['ignoreall'] = "Hundsa allar";
        $admtext['usefirst'] = "Nota fyrstu niðurstöðuna";
        $admtext['multchoice'] = "Ef margar niðurstöður finnast fyrir einn stað þá skal:";
        $admtext['geoexpl'] = "Skrá GPS hnit fyrir alla staði sem eru án breiddargráðu og lengdargráðu";
        $admtext['geocoding'] = "Skrái GPS hnit...";
        $admtext['backgeo'] = "Snúa aftur til valmyndar fyrir GPS skráningu";
        $admtext['limit'] = "Hámark:";
        $admtext['nolimit'] = "Ekkert hámark";
		$admtext['blankplace'] = "Staðarnafn autt";
        $admtext['nogeocode'] = "Ekki var hægt að skrá GPS hnit";
        $admtext['toomany'] = "Hundsað (of margar niðurstöður)";
		$admtext['treesgone'] = "Tree assignments removed from all place records";
		//added in 11.0.0
		$admtext['nolevel'] = "Place Level not set";
		$admtext['placenotsaved'] = "Place not saved. Another place with that name already exists. Please merge instead.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Búa til nýtt nr.";
		$admtext['generating'] = "Generating...Please wait";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Tracking Lines of Descent...";
		$admtext['finishedtracking'] = "Finished tracking lines of descent.";
		$admtext['backtosecondary'] = "Back to Secondary Processes";
		$admtext['sortchildren'] = "Raða börnum";
		$admtext['sortingchildren'] = "Sorting Children";
		$admtext['sortspouses'] = "Raða mökum";
		$admtext['sortingspouses'] = "Sorting Spouses";
		$admtext['relabelbranches'] = "Endurmerkja greinar";
		$admtext['relabeling'] = "Endurmerki greinar";
		$admtext['creatinggendex'] = "Creating GENDEX file...";
		$admtext['finishedgendex'] = "Finished with GENDEX file creation.";
		//added in 8.0.0
		$admtext['postgdx'] = "Where to post your GENDEX file";
		//added in 10.0.0
		$admtext['evalmedia'] = "Trim Media Menus";
		$admtext['evaluating'] = "Counting media";
		$admtext['finished'] = "Finished";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Bæta við nýju tungumáli";
		$admtext['enterlangdisplay'] = "Please enter a language display name.";
		$admtext['enterlangfolder'] = "Please enter the name of the folder where files for this language will be stored.";
		$admtext['newlanguageinfo'] = "New Language Information";
		$admtext['langdisplay'] = "Heiti þessa tungumáls<br/>eins og það verður sýnt notendum";
		$admtext['createlanguage'] = "Create a record for a new language";
		$admtext['nolanguages'] = "No language records exist";
		$admtext['conflangdelete'] = "Ertu viss um að þú viljir eyða þessu tungumáli?";
		$admtext['existinglanguages'] = "Upplýsingar um tungumál";
		$admtext['modifylanguage'] = "Breyta tungumáli";
		$admtext['changestolanguage'] = "Breytingar á tungumáli";
		$admtext['charset'] = "Character set";
		$admtext['editexistinglanguage'] = "Bæta við, breyta eða eyða tungumálum";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Create a record for a new tree";
		$admtext['notrees'] = "Engar upplýsingar um tré eru til";
		$admtext['existingtrees'] = "Existing Tree Information";
		$admtext['editexistingtree'] = "Edit information for a previously entered tree";
		$admtext['treename'] = "Heiti trés";
		$admtext['owner'] = "Eigandi";
		$admtext['conftreedelete'] = "Ertu viss um að þú viljir eyða þessu tré og öllum tengdum hlutum?";
		$admtext['conftreeclear'] = "Are you sure you want to clear all data from this tree?";
		$admtext['changestotree'] = "Changes to tree";
		$admtext['newtreeinfo'] = "New Tree Information";
		$admtext['existingtreeinfo'] = "Existing Tree Information";
		$admtext['modifytree'] = "Modify Existing Tree";
		$admtext['succcleared'] = "was successfully cleared";
		$admtext['gedcomextraction'] = "Don't allow users to download GEDCOM files";
		$admtext['gedexport'] = "GEDCOM Export";
		$admtext['exporting'] = "Exporting GEDCOM...";
		$admtext['ifexportfails'] = "If the export fails to run to completion,";
		$admtext['finishedexporting'] = "Úttek GEDCOM skýrslu";
		$admtext['backtotrees'] = "Back to Trees";
		$admtext['downloadged'] = "Niðurhala GEDCOM skýrslu";
		$admtext['lastimport'] = "Síðasta innsetning";
		$admtext['treeexists'] = "Another tree already exists with the selected ID. Please select a different ID and try again.";
		$admtext['exportmedia'] = "Export media links";
		//added in 8.0.0
		$admtext['changetree'] = "Breyta tré";
		$admtext['newtree'] = "Nýtt tré";
		$admtext['currtree'] = "Núverandi tré";
		$admtext['chwarn'] = "WARNING: This operation will remove all family links, citations and other references to this entity within the current tree.";
		$admtext['keepprivate'] = "Fela upplýsingar um eiganda";
		//changed in 9.0.0
		$admtext['exppaths'] = "Local paths for";
		$admtext['nopdf'] = "Ekki leyfa notendum að búa til PDF skýrslur";
		//added in 10.0.0
		$admtext['exprivate'] = "Ekki taka falda með";
		$admtext['exliving'] = "Ekki taka fólk á lífi með";
		$admtext['importfilename'] = "Import File Name";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Add New User";
		$admtext['createuser'] = "Create a record for a new user";
		$admtext['nousers'] = "No user records exist";
		$admtext['existingusers'] = "Existing User Information";
		$admtext['editexistinguser'] = "Edit information for a previously entered user";
		$admtext['confuserdelete'] = "Are you sure you want to delete this user?";
		$admtext['changestouser'] = "Changes to user";
		$admtext['enteruserpassword'] = "Please enter a password.";
		$admtext['enterusername'] = "Please enter a username.";
		$admtext['newuserinfo'] = "New User Information";
		$admtext['existinguserinfo'] = "Existing User Information";
		$admtext['modifyuser'] = "Modify Existing User";
		$admtext['allow_living'] = "Allow to view information for living individuals";
		$admtext['allow_lds'] = "Allow to view LDS information";
		$admtext['enterusername'] = "Please enter a username.";
		$admtext['enteruserdesc'] = "Please enter a user description.";
		$admtext['enterpassword'] = "Please enter a password.";
		$admtext['admin'] = "Stjórnandi";
		$admtext['firstuser'] = "The first user you create will be an Administrator (NO tree selected) and will have access to all system settings.";
		$admtext['userfailed'] = "ERROR: Your user could not be created because another user with the same username already exists.";
		$admtext['allow_ged'] = "Allow to download GEDCOMs";
		$admtext['assigned'] = "Assigned";
		$admtext['treemsg'] = "Optional. Assigning no tree to the user will result in the user have rights for all trees and all branches. The site administrator should not be assigned a tree.";
		$admtext['branchmsg'] = "Optional. Assigning a branch to the user will constrain the rights granted on this page to the assigned branch within the selected tree.";
		$admtext['accesslimits'] = "Access Limits:";
		$admtext['rights'] = "Rights:";
		$admtext['realname'] = "Nafn";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Nýjar notendaskráningar";
		$admtext['editnewusers'] = "Fara í gegnum skráningar nýrra notenda.  Nýir notendur hafa engin réttindi fyrr en farið hefur verið yfir skráningarnar.";
		$admtext['nonewusers'] = "Engir nýir notendur";
		$admtext['lastlogin'] = "Síðasta innskráning";
		$admtext['tentative_edit'] = "Allow to submit edits for administrative review (People, Families and Sources only)";
		$admtext['notify'] = "Senda þessum notenda skilaboð um að nýr notendareikningur hefur verið búinn til.";
		$admtext['no_edit'] = "Engin réttindi til að breyta";
		$admtext['emailusers'] = "E-mail Users";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "E-mail Message To Users";
		$admtext['subject'] = "Efni";
		$admtext['messagetext'] = "Texti";
		$admtext['selectgroup'] = "Veldu hver á að fá þennan tölvupóst (skildu eftir autt til að senda á alla).";
		$admtext['treemailmsg'] = "Valfrjálst.  Ef þú velur tré mun tölvupósturinn einungis verða sendur til notenda sem hafa aðgang að því tré.";
		$admtext['branchmailmsg'] = "Valfrjálst.  Ef þú velur grein mun tölvupósturinn einungis verða sendur til notenda sem hafa aðgang að þeirri grein.";
		$admtext['send'] = "Senda tölvupóst";
		$admtext['sentmailmessage'] = "Sent E-mail Message";
		$admtext['succmail'] = "Tölvupóstur þinn hefur verið sendur.";
		$admtext['mailfailed'] = "Your e-mail message failed to send.";
		$admtext['entersubject'] = "Vinsamlegast skrifaðu hvert efni tölvupóstsins er.";
		$admtext['entermsgtext'] = "Vinsamlegast skrifaðu texta tölvupóstsins.";
		$admtext['adminonly'] = "Sýna eingöngu stjórnendur";
		$admtext['dtregistered'] = "Skráningardagur";
		$admtext['dtactivated'] = "Virkjunardagur";
		$admtext['no_email'] = "Ekki senda fjöldatölvupóst til þessa notenda.";
		$admtext['allow_admin'] = "Allow access to all system settings and administrative functions, and apply rights to all trees and branches.";
		$admtext['limitedrights'] = "Restrict access to the following:";
		$admtext['allow_edit'] = "Allow to edit existing records";
		$admtext['allow_add'] = "Allow to add new records";
		$admtext['allow_delete'] = "Allow to delete existing records";
		//added in 8.0.0
		$admtext['usrguest'] = "Gestur";
		$admtext['usrguestd'] = "Engin réttindi til að bæta við, breyta, eða eyða.";
		$admtext['noadmin'] = "Enginn aðgangur að stjórnsvæði.";
		$admtext['usrsubm'] = "Innsendari m/takmörkkuð réttindi";
		$admtext['usrsubmd'] = "Leyfi til að senda inn breytingar sem þurfa staðfestingu stjórnanda.";
		$admtext['usrcontrib'] = "Contributor";
		$admtext['usrcontribd'] = "Bæta við  upplýsingum, þar með talið margmiðlun.";
		$admtext['usreditor'] = "Ritstjóri";
		$admtext['usreditord'] = "Bæta við, breyta, og eyða alls konar upplýsingum, þar á meðal margmiðlun.";
		$admtext['usradmin'] = "Stjórnandi";
		$admtext['usradmind'] = "Öll réttindi.";
		$admtext['usrmcontrib'] = "Media Contributor";
		$admtext['usrmcontribd'] = "Add media only.";
		$admtext['usrmeditor'] = "Media Editor";
		$admtext['usrmeditord'] = "Add, edit and delete media only.";
		$admtext['allow_media_edit'] = "Allow to edit media only";
		$admtext['allow_media_add'] = "Allow to add media only";
		$admtext['allow_media_delete'] = "Allow to delete media only";
		$admtext['no_add'] = "No add rights";
		$admtext['no_delete'] = "No delete rights";
		$admtext['roles'] = "Roles";
		$admtext['usrcustom'] = "Custom";
        //added in 9.0.0
		$admtext['allow_private'] = "Leyfilegt að sjá upplýsingar um falda einstaklinga";
		$admtext['allow_pdf'] = "Leyfilegt að niðurhala PDF skýrslum";
		$admtext['allow_profile'] = "Leyfilegt að breyta notendaupplýsingum";
		break;

	case "login":
		$admtext['loginfailed'] = "Innskráning mistókst.";
		$admtext['adminlogfile'] = "Skráarskýrsla stjórnanda";
		$admtext['mostrecentactions'] = "Nýlegustu aðgerðir";
		$admtext['rempass'] = "Haldast innskráð(ur) á þessari tölvu";
		$admtext['sessexp'] = "Þessi lota er útrunnin.";
		$admtext['logagain'] = "Smelltu til að skrá þig inn aftur.";
		//added in 8.1.0
		$admtext['logininactive'] = "Innskráning þín er ekki enn virk.  Vinsamlegast reyndu aftur síðar eða hafðu samband við stjórnanda síðunnar.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Búa til nýja tímalínu";
		$admtext['modifytlevent'] = "Breyta tímalínu";
		$admtext['leaveblankalltlevents'] = "leave blank to show all timeline events";
		$admtext['evyear'] = "Ár";
		$admtext['evdetail'] = "Lýsing á atburði";
		$admtext['selecttleventaction'] = "Select Timeline Event and Action";
		$admtext['changestotlevent'] = "Breytingar á tímalínu";
		$admtext['location'] = "Staðsetning";
		$admtext['confdeletetlevent'] = "Are you sure you want to delete this timeline event?";
		$admtext['enterevyear'] = "Please enter the event year.";
		$admtext['enterevdetail'] = "Please enter the event detail.";
		$admtext['existingtleventinfo'] = "Existing Timeline Event";
		$admtext['newtleventinfo'] = "New Timeline Event";
		$admtext['edittleventinfo'] = "Add, edit or delete timeline events";
		$admtext['addnewtlevent'] = "Add New Event";
		$admtext['yrreq'] = "(einungis ártals er krafist)";
		$admtext['startdt'] = "Byrjunardagur";
		$admtext['enddt'] = "Lokadagur";
		//added in 9.0.0
		$admtext['evtitle'] = "Heiti atburðar";
		break;

	case "review":
		$admtext['selectevaction'] = "Select Event and Action";
		$admtext['suggested'] = "Suggested";
		$admtext['usernotes'] = "Notes regarding<br />suggested change<br />(will not be saved)";
		$admtext['postdate'] = "Posted on";
		$admtext['savedel'] = "Vista og eyða";
		$admtext['postpone'] = "Fresta";
		$admtext['igndel'] = "Ignore and Delete";
		$admtext['tentdel'] = "var eytt";
		$admtext['tentadd'] = "was made permanent";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Finna, breyta eða eyða athugasemdum í gagnagrunninum.";
		$admtext['whatsnewblurb'] = "Hér geturðu gefið gestum upplýsingar um hvað er að gerast á síðunni þinni, eða komið með aðrar upplýsingar, efst á Hvað er nýtt síðunni.";
		$admtext['mwblurb'] = "Búa til lista yfir einstaklinga og myndir sem vantar frekari upplýsingar um, og leita þannig aðstoðar hjá gestum síðunnar.";
		$admtext['dvblurb'] = "Find potential problems in your information.";
		$admtext['wr_gender'] = "Wrong gender";
		$admtext['unk_gender'] = "Unknown gender";
		$admtext['marr_young'] = "Married too young (less than 15 years old)";
		$admtext['marr_aft_death'] = "Married after death";
		$admtext['marr_bef_birth'] = "Married before birth";
		$admtext['died_bef_birth'] = "Died before birth";
		$admtext['parents_younger'] = "Born too early (parents less than 15 years old, or child born before marriage)";
		$admtext['children_late'] = "Born too late (mother more than 50 years old)";
		$admtext['not_living'] = "Person marked as living, death date present";
		$admtext['not_dead'] = "Person marked as deceased, possibly still living";
		$admtext['parmarr'] = "Parents' Marriage";
		$admtext['motherbirth'] = "Mother's Birth";
		break;
		
	case "mods":
		$admtext['modlist'] = "Mod List";
		$admtext['reqremove'] = "Request to remove mod";
		$admtext['confcanc'] = "Confirm request or cancel";
		$admtext['confrem'] = "Confirm Remove";
		$admtext['confirmedrem'] = "Confirmed request to remove mod";
		$admtext['removed'] = "removed";
		$admtext['notremoved'] = "Not Removed due to the following errors";
		$admtext['reqclean'] = "Request to clean mod";
		$admtext['confclean'] = "Confirm Clean";
		$admtext['confirmedclean'] = "Confirmed request to clean mod";
		$admtext['cleanatt'] = "Clean attempted";
		$admtext['cleanperf'] = "Cleanup performed with following notes";
		$admtext['reqedit'] = "Request to edit mod";
		$admtext['confedit'] = "Confirm Edit";
		$admtext['cfgvalsread'] = "Configuration Values Read from TNG files.";
		$admtext['confirmededit'] = "Confirmed request to update mod with values";
		$admtext['editdone'] = "Edit completed";
		$admtext['editperf'] = "The Edit parameters were changed as follows:";
		$admtext['reqinstall'] = "Request to install mod";
		$admtext['confinst'] = "Confirm Install";
		$admtext['confirmedinst'] = "Confirmed request to install mod";
		$admtext['installed'] = "Installed";
		$admtext['notinst2'] = "Not Installed due to the following errors";
		$admtext['reqdelete'] = "Request to delete MOD configuration file";
		$admtext['nomodundo'] = "You can not undo this operation. You will need to re-download this mod if you wish to install or remove it later.";
		$admtext['confdel'] = "Confirm Delete";
		$admtext['confirmeddel'] = "Confirmed request to delete the mod config file";
		$admtext['deleted'] = "deleted";
		$admtext['cantdel'] = "can't delete";
		$admtext['remman'] = "Please remove this file manually";
		$admtext['cfgname'] = "Config File Name";
		$admtext['version'] = "Útgáfa";
		$admtext['clean'] = "Clean up";
		$admtext['nomods'] = "Engar viðbóta skýrslur (xxx) fundust í viðbóta möppunni (mod)";
		$admtext['notarget'] = "%target: tag missing";
		$admtext['notarget2'] = "no target file located";
		$admtext['peerror'] = "Parameter Edit Error";
		$admtext['prerror'] = "Parameter Read Error";
		$admtext['location'] = "Staðsetning";
		$admtext['missing'] = "Missing";
		$admtext['badtarget'] = "Bad target";
		$admtext['targetlost'] = "Could not find target";
		$admtext['modins'] = "Mod code inserted.";
		$admtext['modtrins'] = "Mod code trimmed and inserted.";
		$admtext['modrepl'] = "Mod code replaced.";
		$admtext['nfilemissing'] = "New file name missing";
		$admtext['create'] = "Búa til...";
		$admtext['cantwrite'] = "Unable to write to";
		$admtext['checkperms'] = "Check permissions, currently";
		$admtext['notwrite'] = "is not writable, check permissions";
		$admtext['cfilemissing'] = "Copy file name missing";
		$admtext['cffilemissing'] = "Copy file name (from) missing";
		$admtext['ctfilemissing'] = "Copy file name (to) missing";
		$admtext['copyfile'] = "Copy file xxx to";
		$admtext['cantcopy'] = "Unable to copy to";
		$admtext['checkwrite'] = "Check permissions, must be writeable.";
		$admtext['forwrite'] = "for writing";
		$admtext['written'] = "File written";
		$admtext['toterrors'] = "Total Errors";
		$admtext['totfiles'] = "Total new files";
		$admtext['notallinst'] = "Not all sections installed";
		$admtext['notallrem'] = "Not all sections removed";
		$admtext['section'] = "Section";
		$admtext['missfile'] = "Missing file";
		$admtext['targetsearch'] = "Target search";
		$admtext['insrem'] = "Mod inserted code removed.";
		$admtext['remrem'] = "Mod removed code removed.";
		$admtext['trimrem'] = "Mod code trimmed and removed.";
		$admtext['orgrepl'] = "Original code replaced";
		$admtext['cantrepl'] = "Unable to replace original code, not found.";
		$admtext['orgtrrepl'] = "Original code trimmed and replaced";
		$admtext['keyword'] = "lykilorð";
		$admtext['notunique'] = "not unique";
		$admtext['noaction'] = "no action";
		$admtext['novers'] = "Existing xxx does not have a version number";
		$admtext['param'] = "Parameter";
		$admtext['params'] = "Parameters";
		$admtext['paramed'] = "Parameter Editor";
		$admtext['enterparam'] = "Enter Parameter mod";
		$admtext['paramval'] = "value";
		$admtext['noparams'] = "No parameter definitions";
		$admtext['nodesc'] = "Parameter definition error, missing description";
		$admtext['defval'] = "Default value";
		$admtext['updateval'] = "Updating xxx value of [yyy] to the mod config file.";
		$admtext['rewritten'] = "rewritten";
		$admtext['fixingcfg'] = "Fixing Config File";
		$admtext['fixedcfg'] = "Config File Fixed";
		$admtext['fixingtar'] = "Fixing Target File";
		$admtext['fixedtar'] = "Target File Fixed";
		$admtext['fincorr'] = "Finished correcting desired data";
		$admtext['targetupd'] = "Target data updated";
		$admtext['written'] = "File written";
		$admtext['permerr'] = "File permission error";
		$admtext['updconfig'] = "Update config file info";
		$admtext['configupd'] = "Config data updated, End of Loop";
		//changed in 9.0.0
		$admtext['readvals'] = "Read Existing Values from TNG files";
		$admtext['retstatus'] = "Return to Status";
		$admtext['locmissing'] = "Local copy of xxx for installation is missing";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Viðbóta uppfærslna er krafist";
		$admtext['keywordmissing'] = "Keyword is missing. Mod construction error.";
		$admtext['cannotinstall'] = "Unable to install this mod";
		$admtext['notargetkeyword'] = "Target file is required";
		$admtext['emptytarget'] = "Target file is an empty file.";
		$admtext['missingtarget'] = "Target file is not installed.";
		$admtext['missingfiles'] = "File to be copied is missing from source folder";
		$admtext['pararead'] = "Parameters read from files";
		$admtext['rewritetarget'] = "Rewrite target file";
		$admtext['targetcode'] = "target code is";
		$admtext['modtrimrepl'] = "Mod code trimmed and replaced.";
		$admtext['cantdelmissing'] = "Get ekki eytt, skýrsluna vantar";
		$admtext['totcopyfiles'] = "Total files to copy";
		$admtext['successfully'] = "Successfully";
		$admtext['filecreated'] = "Created successfully";
		//changed in 10.0.3 
		$admtext['editperf'] = "The Edit parameters were changed as follows:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Batch Updates";
		$admtext['options'] = "Options";
		$admtext['viewlog'] = "View Log";
		$admtext['filesexcused'] = "Files allowed to fail";
		$admtext['fileexcused'] = "File allowed to fail";
		$admtext['copiesexcused'] = "Copies allowed to fail";
		$admtext['copyexcused'] = "Copy allowed to fail";
		$admtext['optionalfile'] = "Fileoptional specified ";
		$admtext['installbypassed'] = "section install bypassed";
		$admtext['removalbypassed'] = "section removal bypassed";
		$admtext['target'] = "Changes";
		$admtext['newfile'] = "Creates";
		$admtext['copiesfile'] = "Copies";
		$admtext['copiesfile2'] = "Copies to";
		$admtext['aflistoptions'] = "Affected Files List";
		$admtext['showaflist'] = "Show Affected Files List";
		$admtext['shownewfile'] = "Show New Files in List";
		$admtext['showfilecopies'] = "Show Files Copied in List";
		$admtext['namecol'] = "Show List in Column";
		$admtext['showlistas'] = "Show List as";
		$admtext['showastable'] = "Table";
		$admtext['showascsv'] = "Comma Separated Values";
		$admtext['batchshowaflist'] = "Show List in Batch Updates";
		$admtext['logoptions'] = "Mod Manager Log";
		$admtext['logactions'] = "Log Mod Manager Actions";
		$admtext['mmlogfilename'] = "Log File Name";
		$admtext['sortlistby'] = "Sort Lists by";
		$admtext['modname'] = "Mod Name";
		$admtext['bypassconfirm'] = "Bypass the Confirmations";
		$admtext['bypassaction'] = "Bypass the Action Messages";
		$admtext['modifyoptions'] = "Modify Mod Manager Options";
		$admtext['ready'] = "OK to Install";
		$admtext['badmod'] = "Unable to Install";
		$admtext['noselected'] = "You have not selected any files!";
		$admtext['choose'] = "Select";
		$admtext['showlogfile'] = "Show Mod Manager Action Log";
		$admtext['recentactions'] = "Mod Manager Most Recent Actions";
		$admtext['emptylog'] = "Empty Log";
		$admtext['clearlog'] = "Clear Log";
		$admtext['confirmclearlog'] = "Are you sure you want to clear the log?";
		$admtext['copyfrom'] = "from folder ";
		$admtext['modsyntax'] = "Mod Syntax";
		$admtext['modguidelines'] = "Mod Standards";
		$admtext['analyzer'] = "Analyzer";
		$admtext['filemod'] = "File xxx is modified by";
		$admtext['filesel'] = "Select Modified File to examine the changes";
		$admtext['potconf'] = "Potential Conflicts";
		$admtext['modifications'] = "modifications";
		$admtext['othermmoptions'] = "Other";
		$admtext['file'] = "File";
		$admtext['tngmods'] = "Mods for TNG ";
		$admtext['unexpected'] = "Unexpected keyword";
		$admtext['syntax'] = "Syntax";
		//changed in TNG 10.1
		$admtext['copied'] = "copied";
		$admtext['emptyfile'] = "file is empty";
		$admtext['filescopied'] = "files copied";
		$admtext['notarget'] = "%target: tag missing";
		$admtext['notinst'] = "not installed";
		$admtext['install'] = "install";
		$admtext['filedel'] = "File deleted";
		$admtext['created'] = "created";
		$admtext['choosefilter'] = "Choose the filter and click Go for the available controls";
		$admtext['mmmaxloglines'] = "Max number of transactions";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Uninstall";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Clean Up";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Edit Options";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "OK to install";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "file version/version mismatch";
		$admtext['bomfound'] = "BOM removed";
		$admtext['cantinst'] = "cannot install";
		$admtext['cantproc'] = "cannot remove mod";
		$admtext['cantupd'] = "unable to update parameter";
		$admtext['cleanupall'] = "Clean up";
		$admtext['confdelmod'] = "Do you really want to delete this mod from your system?";
		$admtext['copiesreq'] = "file copies specified";
		$admtext['delete'] = "Delete";
		$admtext['deleteall'] = "Delete";
		$admtext['errors'] = "errors";
		$admtext['excused'] = "files excused";
		$admtext['filesinst'] = "files installed";
		$admtext['filesrem'] = "files removed";
		$admtext['format'] = "format error";
		$admtext['ignored'] = "location ignored";
		$admtext['installall'] = "Install";
		$admtext['installing'] = "Installing";
		$admtext['line'] = "Line";
		$admtext['modified'] = "modified";
		$admtext['modsinst'] = "code modifications installed";
		$admtext['modrem'] = "mod uninstalled";
		$admtext['modsrem'] = "code modifications removed";
		$admtext['modsreq'] = "code modifications specified";
		$admtext['newfilesreq'] = "new files specified";
		$admtext['nfcreated'] = "new file created";
		$admtext['noaccess'] = "no access";
		$admtext['noact'] = "action tag invalid";
		$admtext['nocfgfile'] = "mod file not found";
		$admtext['nocode'] = "code section missing";
		$admtext['nocomps'] = "missing elements";
		$admtext['noend'] = "%end:% tag missing";
		$admtext['noinsert'] = "code insert failed";
		$admtext['noinsrem'] = "inserted code not removed";
		$admtext['nolocation'] = "missing location tag";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "unable to replace code";
		$admtext['notgtfile'] = "not accessible (no target file)";
		$admtext['notopened'] = "target file not opened";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "opened";
		$admtext['optional'] = "optional";
		$admtext['parameter'] = "parameter";
		$admtext['partinst'] = "partially installed";
		$admtext['removeall'] = "Uninstall";    // was Remove Selected mods
		$admtext['removing'] = "Uninstalling";    // was Removing
		$admtext['reqtag'] = "required tag missing";
		$admtext['restparam'] = "Restoring default parameter";
		$admtext['return'] = "Return to Mod Manager";
		$admtext['secnoterm'] = "section not terminated";
		$admtext['tagnoterm'] = "tag not terminated";
		$admtext['tagunk'] = "tag is unknown";
		$admtext['tgtfile'] = "target file";
		$admtext['updated'] = "updated";
		$admtext['updparam'] = "Updating parameter";
		$admtext['unxend'] = "unexpected end of file";
		$admtext['warnings'] = "Warnings";
		$admtext['whitespace'] = "whitespace";
		$admtext['locations'] = "locations";
		$admtext['allowdeletepartial'] = "Allow Delete Selected of Partially Installed Mods";
		$admtext['allowdeleteinstalled'] = "Allow Delete of individually Installed Mods";
		$admtext['showwarnings'] = "Show Mod Warnings in Status";
		$admtext['logfullpath'] = "Log full path for file actions";
		$admtext['deletingmods'] = "Deleting mod files";
		$admtext['deleting'] = "Deleting ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Files";
		$admtext['hasoptions'] = "Options";
		$admtext['update'] = "Update";
		$admtext['restore'] = "Restore Default";
		$admtext['compressnames'] = "Compress Mod Names in Mod List";
		$admtext['stayon'] = "Lock";
		$admtext['accessible'] = "accessible";
		$admtext['bypassed'] = "bypassed";
		$admtext['willbypass'] = "will ignore";  // was "will bypass"
		$admtext['cantdel'] = "can't delete";
		$admtext['optmissing'] = "file missing (optional)";
		$admtext['tgtmissing'] = "target file missing";
		$admtext['optlocked'] = "file locked (optional)";
		$admtext['tgtlocked'] = "file locked";
		$admtext['alreadyrem'] = "already removed";
		$admtext['noaccess'] = "no access";
		$admtext['code'] = "code";
		$admtext['alreadyins'] = "already installed";
		$admtext['badinstall'] = "failed to install";
		$admtext['removed'] = "removed";
		$admtext['deleted'] = "deleted";
		$admtext['optsrcfilemissing'] = "optional source missing";
		$admtext['srcfilemissing'] = "source missing";
		$admtext['optnocopy'] = "optional file not copied";
		$admtext['notcopied'] = "not copied";
		$admtext['copied'] = "copied";
		$admtext['notcreated'] = "can't create new file";
		$admtext['optnotcreated'] = "can't create optional new file";
		$admtext['nocreated'] = "not created";
		$admtext['fixedheader'] = "Use Fixed Headers";
		$admtext['cantremok'] = "can't remove, optional, bypassed";
		$admtext['nofolder'] = "target folder missing";
		$admtext['edparams'] = "edit parameters";
		$admtext['compresslog'] = "Collapse Log Display";
		$admtext['showanalyzer'] = "Show Analyzer tab";
		$admtext['formodname'] = "for mod name ";
		$admtext['nofolder'] = "target folder missing";
		$admtext['fileperms'] = "Please check file permissions";
		$admtext['noparam'] = "parameter missing";
		$admtext['editing'] = "editing";
		$admtext['redirect2log'] = "Redirect to Log For";
		$admtext['on_error'] = "Errors Only";
		$admtext['on_all'] = "All Transactions";
		$admtext['usestriping'] = "Use stripes";
		$admtext['stripeafter'] = "Stripe after number of rows";
		$admtext['adjusthdrs'] = "Adjust Fixed Headers";
		$admtext['displayoptions'] = "Display Settings";
		$admtext['no_frag'] = "code fragment not allowed here";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Are you sure you want to delete this test?";
		$admtext['test_type'] = "Test Type";
		$admtext['test_number'] = "Test Number";
		$admtext['test_date'] = "Test Date";
		$admtext['modifydna'] = "Edit Existing DNA Test";
		$admtext['changestoalldna'] = "Changes to all tests";
		$admtext['addnewdna'] = "Add New DNA Test";
		$admtext['testinfo'] = "Test Information";
		$admtext['urls'] = "Relevant Links";
		$admtext['dnalater'] = "Note: Test can be linked to other individuals on the next screen.";
		$admtext['selecttype'] = "Please select a test type.";
		$admtext['entertestnum'] = "Please enter the test number.";
		$admtext['test_taker'] = "Person who took this test";
		$admtext['test_links'] = "People Linked by this Test";
		$admtext['changestotest'] = "Changes to test";
		break;
}

//common
$admtext['cannotexecutequery'] = "Ekki hægt að framkvæma aðgerð";
$admtext['addnew'] = "Bæta við";
$admtext['individuals'] = "einstaklingar";
$admtext['succadded'] = "hefur verið bætt við";
$admtext['succaddedlinked'] = "was successfully added and linked to";
$admtext['succsaved'] = "voru geymdar";
$admtext['succdeleted'] = "was successfully deleted";
$admtext['succdeletedpluslinks'] = "was successfully deleted, along with all links";
$admtext['text_delete'] = "Eyða";
$admtext['deleted'] = "Eytt";
$admtext['deleteselected'] = "Eyða völdu";
$admtext['noresults'] = "Ekkert fannst.  Vinsamlegast reyndu aftur.";
$admtext['action'] = "Aðgerð";
$admtext['id'] = "Nr.";
$admtext['edit'] = "Breyta";
$admtext['notes'] = "Athugasemdir";
$admtext['name'] = "Nafn";
$admtext['description'] = "Lýsing";
$admtext['text_continue'] = "Áfram...";
$admtext['searchfor'] = "Leita að";
$admtext['lookin'] = "Look in (check all that apply)";
$admtext['cemeteryid'] = "Nr. kirkjugarðs";
$admtext['exactmatch'] = "Nákvæm leit";
$admtext['nothingtodelete'] = "Ekkert til að eyða";
$admtext['state'] = "sýsla";
$admtext['country'] = "land";
$admtext['finish'] = "Lokið";
$admtext['ifphotouploaded'] = "Leave this field blank if the file has already been uploaded to your photos folder.";
$admtext['eventtype'] = "Tegund atburðar";
$admtext['source'] = "Heimild";
$admtext['savechanges'] = "Geyma breytingar";
$admtext['family'] = "Fjölskylda";
$admtext['find'] = "Finna...";
$admtext['create'] = "Búa til...";
$admtext['sourceid'] = "Nr. heimildar";
$admtext['birthabbr'] = "b.";
$admtext['chrabbr'] = "c.";
$admtext['remove'] = "Fjarlægja";
$admtext['moveup'] = "Færa upp";
$admtext['movedown'] = "Færa niður";
$admtext['enterpersonid'] = "Sláðu inn nr. einstaklings";
$admtext['personid'] = "Nr. einstaklings";
$admtext['otherevents'] = "Aðrir atburðir";
$admtext['required'] = "krafist";
$admtext['children'] = "Börn";
$admtext['chrdate'] = "Skírnardagur";
$admtext['chrplace'] = "Staðsetning skírnar";
$admtext['deathdate'] = "Dánardagur";
$admtext['deathplace'] = "Dánarstaður";
$admtext['burialdate'] = "Dagsetning greftrunar";
$admtext['burialplace'] = "Staðsetning greftrunar";
$admtext['birthdate'] = "Fæðingardagur";
$admtext['birthplace'] = "Fæðingarstaður";
$admtext['title'] = "Titill";
$admtext['sex'] = "Kyn";
$admtext['marriagedate'] = "Dagsetning brúðkaups";
$admtext['marriageplace'] = "Staðsetning brúðkaups";
$admtext['lastname'] = "Eftirnafn";
$admtext['firstname'] = "Fornafn";
$admtext['filename'] = "Heiti skýrslu";
$admtext['linkspersonid'] = "Links (Person ID)";
$admtext['cannotopen'] = "Get ekki opnað skýrslu";
$admtext['check'] = "Prófa";
$admtext['generate'] = "Búa til";
$admtext['update'] = "Uppfæra";
$admtext['confdeleteevent'] = "Are you sure you want to delete this event?";
$admtext['existinglinks'] = "Existing Links:<br/>(check to delete)";
$admtext['lowersortfirst'] = "Lower numbers sort first. Decimal numbers may also be used.";
$admtext['personsname'] = "Nafn einstaklings";
$admtext['tablecreation'] = "Table Creation";
$admtext['tracklines'] = "Track Lines";
$admtext['administration'] = "Vefstjórn";
$admtext['text_or'] = "EÐA";
$admtext['cemeteries'] = "Kirkjugarðar";
$admtext['families'] = "Fjölskyldur";
$admtext['headstones'] = "Legsteinar";
$admtext['histories'] = "Sögur";
$admtext['people'] = "Einstaklingar";
$admtext['photos'] = "Myndir";
$admtext['reports'] = "Skýrslur";
$admtext['sources'] = "Heimildir";
$admtext['suffix'] = "Viðskeyti";
$admtext['add'] = "Bæta við";
$admtext['confdeleteentity'] = "Ertu viss um að þú viljir eyða þessar";
$admtext['cemetery'] = "Kirkjugarður";
$admtext['language'] = "Tungumál";
$admtext['display'] = "Sýnt sem";
$admtext['languages'] = "Tungumál";
$admtext['orderpound'] = "Röðun #";
$admtext['tree'] = "Tré";
$admtext['alltrees'] = "Öll tré";
$admtext['selectaddtree'] = "Tré (veldu eða bættu við nýju)";
$admtext['selecttree'] = "Vinsamlegast veldu tré eða bættu við nýju.";
$admtext['treebefevent'] = "You must select or enter a Tree name before you can add new events.";
$admtext['text_rename'] = "Endurnefna";
$admtext['clear'] = "Eyða";
$admtext['linktothis'] = "Link to this individual";
$admtext['linkexample'] = "(sláðu inn nr., þ.e. \"I###\")";
$admtext['existingconfig'] = "Existing Configuration";
$admtext['lastmodified'] = "Síðast breytt";
$admtext['addnotes'] = "Additional Notes";
$admtext['confdeletenote'] = "Are you sure you want to delete this note?";
$admtext['treebefnote'] = "You must select or enter a Tree name before you can add new notes.";
$admtext['general'] = "General";
$admtext['entersearchvalue'] = "Please enter a search value.";
$admtext['trees'] = "Tré";
$admtext['users'] = "Notendur";
$admtext['lds'] = "LDS";
$admtext['norights'] = "Þú hefur ekki leyfi til að skoða þessa síðu.  Ef þú hefur notendanafn og lykilorð, skráðu þig þá inn fyrir neðan.";
$admtext['username'] = "Notendanafn";
$admtext['password'] = "Lykilorð";
$admtext['login'] = "Innskráning";
$admtext['logout'] = "Útskráning";
$admtext['city'] = "Borg";  //from cemeteries
$admtext['cap_country'] = "Land";  //from cemeteries
$admtext['addnewtree'] = "Bæta við tré";
$admtext['test'] = "Prófa";
$admtext['page'] = "Síða";  //from sources
$admtext['folder'] = "Mappa";   //from languages
$admtext['confdeletepers'] = "Ertu viss um að þú viljir eyða þessum einstakling?";
$admtext['save'] = "Vista";
$admtext['of'] = "af";
$admtext['size'] = "Stærð";
$admtext['select'] = "Velja";
$admtext['open'] = "Opna";
$admtext['selectfile'] = "Velja skýrslu";
$admtext['altdesc'] = "Alternate Description";
$admtext['altnotes'] = "Alternate Notes";
$admtext['savereturn'] = "Snúa aftur á þessa síðu";
$admtext['saveback'] = "Snúa aftur til valmyndar";
$admtext['user'] = "Notandanum";
$admtext['DIV'] = "Skilin";
$admtext['search'] = "Leit";  //from findpersonform
$admtext['searchresults'] = "Leitarniðurstöður";  //from people
$admtext['clicktoselect'] = "smelltu á til að velja";
$admtext['familyid'] = "Nr. fjölskyldu";  //from families
$admtext['secondary'] = "Secondary Processes";
$admtext['commas'] = "Separate multiple entries with commas";
$admtext['onsave'] = "Við vistun";
$admtext['adminhome'] = "Vefstjórn";
$admtext['labelbranches'] = "Merkja greinar";
$admtext['branch'] = "Grein";
$admtext['findperson'] = "Finna einstakling...";
$admtext['findfamily'] = "Finna fjölskyldu...";
$admtext['repeatlastq'] = "Endurtaka síðustu leit";
$admtext['alwayson'] = "Alltaf sýnilegt";
$admtext['all'] = "Allt";
$admtext['lnprefix'] = "Forskeyti eftirnafns";
$admtext['nameorder'] = "Nafnaröð";
$admtext['western'] = "Fornafn fyrst";
$admtext['lockid'] = "Læsa";
$admtext['linktothese'] = "Tengt við:";
$admtext['alsolinkto'] = "Also link to:";
$admtext['linkspersfam'] = "Links (Person, Family or Source ID)";
$admtext['findsource'] = "Finna heimild...";
$admtext['address'] = "Heimilisfang";
$admtext['stateprov'] = "Fylki/hérað";
$admtext['zip'] = "Póstnr.";
$admtext['merge'] = "Sameina";
$admtext['otherinfo'] = "Aðrar upplýsingar";
$admtext['available'] = "Aðgengilegt";
$admtext['backuprestore'] = "Verkfæri";
$admtext['place'] = "Staður";
$admtext['treeid'] = "Nr. trés";
$admtext['email'] = "Tölvupóstur";
$admtext['event'] = "Atburður";
$admtext['eventdate'] = "Dagsetning atburðar";
$admtext['eventplace'] = "Staðsetning atburðar";
$admtext['detail'] = "Nánar";
$admtext['export'] = "Úttaka";
$admtext['tlevents'] = "Tímalínur";
$admtext['places'] = "Staðir";
$admtext['duplicate'] = "Changes were not saved. Another record with the same key already exists.";
$admtext['alttitle'] = "Alternate Title";
$admtext['enttitle'] = "Title";  //title for a history or photo, not a person
$admtext['address1'] = "Heimilisfang 1";
$admtext['address2'] = "Heimilisfang 2";
$admtext['countryaddr'] = "Land";
$admtext['branches'] = "Greinar";
$admtext['nobranch'] = "Engin grein";
$admtext['scrollbranch'] = "(Scroll to see all choices)";
$admtext['matches'] = "Niðurstöður";
$admtext['review'] = "Skoða";
$admtext['allusers'] = "Allir notendur";
$admtext['deathabbr'] = "d.";
$admtext['burialabbr'] = "jarðs.";
$admtext['nochanges'] = "Engar breytingar voru gerðar.";
$admtext['changestoallitems'] = "Changes to all items";  //were made successfully
$admtext['find2'] = "Leita";
$admtext['text_sort'] = "Raða";
$admtext['documents'] = "Skjöl";
$admtext['repository'] = "Heimildasafn";
$admtext['more'] = "Meira";
$admtext['repositories'] = "Heimildasöfn";
$admtext['divplace'] = "Skilnaðarstaður";
$admtext['divdate'] = "Skilnaðardagur";
$admtext['divdatetr'] = "Divorce Date (True)";
$admtext['creategendex'] = "Búa til GENDEX";
$admtext['datamaint'] = "Innsetning/úttaka";
$admtext['imagefiletoupload'] = "Skýrsla sem á að hlaða upp";
$admtext['indfamorsrc'] = "individual(s), families, sources, repositories or places.";
$admtext['improperpermissions'] = "because the folder does not exist (check the Root Path) or does not have proper permissions (try chmod(777)).";
$admtext['person'] = "Persóna";
$admtext['setup'] = "Uppsetning";
$admtext['manage'] = "Manage";
$admtext['reset'] = "Hreinsa";
$admtext['norecords'] = "Engar niðurstöður fundust";
$admtext['secondarymaint'] = "Secondary Processes";
$admtext['customeventtypes'] = "Sérsniðnir atburðir";
$admtext['findmatches'] = "Find Matches";
$admtext['matchthese'] = "Match the following fields:";
$admtext['otheroptions'] = "Other Options:";
$admtext['ignoreblanks'] = "Ignore Blanks";
$admtext['nextmatch'] = "Next Match";
$admtext['nextdup'] = "Next Duplicate";
$admtext['comprefresh'] = "Compare/Refresh";
$admtext['mswitch'] = "Switch";
$admtext['nomatches'] = "No Matches";
$admtext['combineextras'] = "Combine media";  //changed as well
$admtext['fasterdisplay'] = "Note: This page is formatted differently to allow for faster display.";
$admtext['publichome'] = "Forsíða";
$admtext['selectall'] = "Velja allt";
$admtext['clearall'] = "Eyða öllu";
$admtext['media'] = "Margmiðlun";
$admtext['albums'] = "Albúm";
$admtext['import'] = "Innsetning";
$admtext['item'] = "Hlutur";
$admtext['combinenotesonly'] = "Sameina athugasemdir";
$admtext['addmedia'] = "Bæta við margmiðlun";
$admtext['latitude'] = "Breiddargráða";
$admtext['longitude'] = "Lengdargráða";
$admtext['gedimport'] = "Innsetning GEDCOM skýrslu";
$admtext['improper2'] = "þar sem skýrslan er of stór eða er ekki gild myndskýrsla, eða af því að mappan er ekki til (check the Root Path) or does not have proper permissions (try chmod(777)).";
$admtext['confdeleterecs'] = "Are you sure you want to delete the selected records?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Staðsetning";
$admtext['notfound'] = " fannst ekki. Reynið aðra leit. Skoðið Hjálp við leit á korti til að finna hvaða ástæður gætu verið fyrir því að leit þín mistókst eða notaðu Leita með Google Maps tengilinn";
$admtext['showhidemap'] = "Sýna/fela kort sem hægt er að smella á";
$admtext['getcoords'] = "(til að finna lengdargráðu, breiddargráðu og þysjun)";
$admtext['searchstring'] = "Leita að stað";
$admtext['zoom'] = "Þysjun";
$admtext['selectplacelevel'] = "Veldu gerð staðar";
$admtext['difficultmap'] = "Leita með Google Maps";
$admtext['maphelp'] = "Hjálp við leit á korti";
$admtext['gobutton'] = "Leita";
$admtext['findpersonid'] = "Find nr. einstaklings";
$admtext['findfamilyid'] = "Finna nr. fjölskyldu";
$admtext['findsourceid'] = "Finna nr. heimildar";
$admtext['entersourcepart'] = "Sláðu inn hluta úr nafni heimildar";
$admtext['findrepoid'] = "Finna nr. heimildasafns";
$admtext['enterrepopart'] = "Sláðu inn hluta úr heiti heimildasafns";
$admtext['findplace'] = "Finna stað";
$admtext['enterplacepart'] = "sláðu inn hluta úr staðarnafni";
$admtext['entereventinfo'] = "Vinsamlegast sláðu inn dagsetningu, staðsetningu eða nánar um þennan atburð.";
$admtext['entereventtype'] = "Vinsamlegast veldu tegund athburðar.";
$admtext['enternote'] = "Vinsamlegast sláðu inn texta athugasemdar.";
$admtext['selectsource'] = "Vinsamlegast veljið heimild.";
$admtext['confdeletecite'] = "Ertu viss um að þú viljir eyða þessari tilvitnun?";
$admtext['spouses'] = "Makar";
$admtext['entertreeid'] = "Sláðu inn nr. á tré.";
$admtext['entertreename'] = "Sláðu inn nafn á tré.";
$admtext['citations'] = "Tilvitnanir";
$admtext['eventtypes'] = "Atburða tegundir";
$admtext['associations'] = "Sambönd";
$admtext['makefolder'] = "Búa til möppu";
$admtext['allcurrentdata'] = "Öllum núverandi gögnum";
$admtext['matchingonly'] = "Einungis samsvarandi færslum";
$admtext['donotreplace'] = "Skiptið ekki út neinum gögnum";
$admtext['useroffset'] = "Hefja nr. á:";
$admtext['phone'] = "Sími";
$admtext['website'] = "Heimasíða";
$admtext['thumb'] = "Smámynd";  //as in thumbnail
$admtext['displayorder'] = "Röðun";
$admtext['go'] = "Áfram";
$admtext['help'] = "Hjálp";
$admtext['husband'] = "Eiginmaður";
$admtext['wife'] = "Eiginkona";
$admtext['husbname'] = "Nafn eiginmanns";
$admtext['wifename'] = "Nafn eiginkonu";
$admtext['drag'] = "Draga";
$admtext['enterinamepart'] = "enter part of first and/or last name";
$admtext['enterfnamepart'] = "Enter part of father's and/or mother's name";
$admtext['hide'] = "Hide";
$admtext['toggle'] = "toggle display";
$admtext['wsel'] = "Með völdu:";
$admtext['msg'] = "Skilaboð";
$admtext['default'] = "Sjálfgefið";
$admtext['events'] = "Atburðir";
$admtext['date'] = "Dagsetning";
$admtext['savecont'] = "Geyma og halda áfram...";
$admtext['alphanum'] = "Vinstamlegast notaðu einungis tölustafi í nr. tré þíns.";
$admtext['mediatypes'] = "Margmiðlunartegundir";
$admtext['appendall'] = "Skeyta öllum gögnum við";
$admtext['NPFX'] = "Forskeyti";
$admtext['prefix'] = "Forskeyti";
$admtext['mostwanted'] = "Eftirlýsingar";
$admtext['idexists'] = "gat ekki verið bætt við þar sem þetta nr. er þegar til.  Notaðu til baka hnappinn til að fara aftur á fyrri síðu og veldu annað nr.";
$admtext['notdeleted'] = "Ekki var hægt að eyða skýrslunni.  Athugaðu skýrslu heimildir.";
$admtext['confdeletefile'] = "Ertu viss um að þú viljir eyða þessari skýrslu?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Ath:</strong> Vinsamlegast sláið dagsetningar inn á forminu DD MMM ÁÁÁÁ - notið <strong>ekki</strong> punkta. Mánuður er skammstafaður á ensku, þannig að t.d. ágúst er Aug.<br />Dæmi um dagsetningu: 10 Apr 2004.";
$admtext['oriental'] = "Eftirnafn fyrst";
$admtext['langfolder'] = "Mappa þar sem tungumálaskýrslur<br/>verða geymdar";
//moved here in 8.0.0
$admtext['active'] = "Virkt";
$admtext['repoid'] = "Nr. heimildasafns";
$admtext['whatsnew'] = "Hvað er nýtt";
$admtext['linkedto'] = "Tengt við";
$admtext['status'] = "Staða";
//added in 8.0.0
$admtext['show'] = "Forskoðun";
$admtext['lnfirst'] = "Eftirnafn fyrst (með kommu)";
$admtext['savefirst'] = "Geyma breytingar fyrst?";
$admtext['misc'] = "Ýmislegt";
$admtext['modmgr'] = "Stjórna viðbætum";
$admtext['menu'] = "Valmynd";
$admtext['cannotopendir'] = "Get ekki opnað skýrslu";
$admtext['reviewsh'] = "Review"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Hætta við";
$admtext['enterpassoc'] = "Please enter the ID of the associated person.";
$admtext['enterrela'] = "Please enter the relationship.";
$admtext['confdeleteassoc'] = "Are you sure you want to delete this association?";
$admtext['preview'] = "Forskoða";
$admtext['livingonly'] = "Aðeins á lífi";
$admtext['tentdata'] = "Temporary event record";
$admtext['checking'] = "Checking...Please wait";
//added in 9.0.0
$admtext['clickresume'] = "smellið hér til að halda áfram";
$admtext['copylast'] = "Afrita síðasta";
$admtext['nicbold'] = "Smellið til að feitletra";
$admtext['nicitalic'] = "Smellið til að skáletra";
$admtext['nicunderline'] = "Smellið til að undirstrika";
$admtext['niclalign'] = "Vinstri jafnað";
$admtext['niccalign'] = "Miðju jafnað";
$admtext['nicralign'] = "Hægri jafnað";
$admtext['nicjalign'] = "Full jafnað";
$admtext['nicinsol'] = "Insert Ordered List";
$admtext['nicinsul'] = "Insert Unordered List";
$admtext['nicsub'] = "Smellið til að hnéletra";
$admtext['nicsup'] = "Smellið til að brjóstletra";
$admtext['nicstrike'] = "Smellið til að yfirstrika";
$admtext['nicremfmt'] = "Fjarlægja forsnið";
$admtext['nicindent'] = "Draga inn";
$admtext['nicremind'] = "Fjarlægja inndrátt";
$admtext['nichr'] = "Horizontal Rule";
$admtext['nicfontsz'] = "Letur&nbsp;stærð";
$admtext['nicfontfam'] = "Font&nbsp;Family";
$admtext['nicfontfmt'] = "Font&nbsp;Format";
$admtext['niclink'] = "Bæta við tengli";
$admtext['nicremlink'] = "Fjarlægja tengil";
$admtext['nictxtcol'] = "Change Text Color";
$admtext['nicbkgcol'] = "Change Background Color";
$admtext['nicimage'] = "Bæta við mynd";
$admtext['change'] = "Breyta";
$admtext['editwarn'] = "Your lock on this record is about to expire. Save your changes now to prevent them from being overwritten by another user.";
$admtext['editconflict'] = "Another user is already editing this record. Please try again later.";
$admtext['retry'] = "Try again";
$admtext['notsaved'] = "Changes were not saved. Another user has locked the record.";
//changed in 9.2.0
$admtext['linktype'] = "Tegund";
//moved here in 10.0.0
$admtext['disabled'] = "Disabled";
$admtext['cremated'] = "Brennd(ur)";
//added in 10.0.0
$admtext['videos'] = "Videos";
$admtext['recordings'] = "Recordings";
$admtext['saveexit'] = "Vista og loka";
$admtext['allbranches'] = "Allar greinar";
//moved here in 11.0.0
$admtext['nickname'] = "Gælunafn";
$admtext['role'] = "Hlutverk";
$admtext['commas'] = "Separate multiple entries with commas";
$admtext['confdellink'] = "Are you sure you want to delete this link?";
$admtext['existlinks'] = "Núverandi tenglar";
$admtext['report'] = "Report";
//added in 11.0.0
$admtext['sortby'] = "Sort by";
$admtext['unlink'] = "Unlink";
$admtext['privateonly'] = "Private only";
$admtext['dna_links'] = "DNA Links";
$admtext['dataval'] = "Data Validation";
$admtext['norels'] = "Turn off relationship messages";

//change to $text
$admtext['living'] = "Lifandi";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>