<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Navn på gren";
		$admtext['existingbranch'] = "Eksisterende gren";
		$admtext['newbranch'] = "Ny gren";
		$admtext['numgenerations'] = "Antall generasjoner";
		$admtext['ancestors'] = "Aner";
		$admtext['descofanc'] = "Etterkommende generasjoner fra hver enkelt ane";
		$admtext['descendants'] = "Etterkommere";
		$admtext['includespouses'] = "Inkluder etterkommeres ektefeller/partnere";
		$admtext['partial'] = "Delvis";
		$admtext['addlabels'] = "Sett tilhørighet";
		$admtext['clearlabels'] = "Fjern tilhørighet";
		$admtext['clearingbranch'] = "Slett grennavn";
		$admtext['addingbranch'] = "Legg til grennavn";
		$admtext['totalaffected'] = "Antall berørte";
		$admtext['labelmore'] = "Sett tilhørighet til flere grener";
		$admtext['enterbranch'] = "Vennligst velg en eksisterende gren eller opprett en ny.";
		$admtext['enterstartingind'] = "Vennligst velg en startpersons ID.";
		$admtext['gensnumeric'] = "Verdier for aner og etterkommere må være numerisk.";
		$admtext['overwrite'] = "Overskriv";
		$admtext['branchid'] = "Gren ID";
		$admtext['addnewbranch'] = "Legg til ny gren";
		$admtext['createbranch'] = "Lag ny oppføring i en ny gren";
		$admtext['existingbranchinfo'] = "Informasjon om eksisterende grener";
		$admtext['editexistingbranch'] = "Rediger informasjon om tidligere opprettet gren";
		$admtext['confbranchdelete'] = "Er du sikker på at du vil slette denne grenen?";
		$admtext['enterbranchid'] = "Angi en gren ID.";
		$admtext['entertreedesc'] = "Angi en grenbeskrivelse.";
		$admtext['newbranchinfo'] = "Informasjon om ny gren";
		$admtext['modifybranch'] = "Rediger gren";
		$admtext['changestobranch'] = "Endringer for gren";
		$admtext['existlabels'] = "Eksisterende tilhørighet";
		$admtext['leave'] = "Avslutt";
		$admtext['append'] = "Legg til ny";
		$admtext['showpeople'] = "Vis personer i dette tre/gren";
		$admtext['branchdiscl'] = "Dette tallet representerer grenens antall grenlinker, ikke nødvendigvis antall personer eller familier linket til denne grenen. Dersom du nylig har importert dine data på nytt, kan det være nødvendig å sette også tilhørighet på nytt.";
		$admtext['inclspouses'] = "Inkluder etterkommeres ektefeller/partnere";
		$admtext['delpeople'] = "Slett personer og familier som tilhører denne grenen";
		$admtext['confbrdel'] = "Er du sikker på at du vil slette alle personer og familier som sorterer under dette treet?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Kartfil kunne ikke bli kopiert til";
		$admtext['changestocem'] = "Endringer for kirkegård";
		$admtext['modifycemetery'] = "Endre eksisterende kirkegård";
		$admtext['addnewcemetery'] = "Legg til ny kirkegård";
		$admtext['createnewcemetery'] = "Lagre ny kirkegård";
		$admtext['selectcemaction'] = "Velg kirkegår og handling";
		$admtext['location'] = "Lokasjon";
		$admtext['confdeletecem'] = "Er du sikker på at du vil slette denne kirkegården?";
		$admtext['editceminfo'] = "Endre informasjon om en tidligere lagret kirkegård";
		$admtext['leaveblankallcems'] = "blankt viser alle kirkegårder";
		$admtext['cemeteryname'] = "Navn på kirkegård";
		$admtext['mapfilename'] = "Navn på kartfil";
		$admtext['countyparish'] = "Fylke/Sokn";
		$admtext['stateprovince'] = "Stat/Provins/Grevskap";
		$admtext['entercountry'] = "Skriv navn på land.";
		$admtext['entermapfile'] = "Skriv navnet på kartfilen som ligger på vertsmaskinen.";
		$admtext['existingceminfo'] = "Eksisterende opplysninger om kirkegården";
		$admtext['newceminfo'] = "Nye opplysninger om kirkegården";
		$admtext['maptoupload'] = "Kartfil til opplasting";
		$admtext['mapfilenamefolder'] = "Navn på kartfil<br>i 'headstones' mappen";
		$admtext['ifmapuploaded'] = "La feltet være blankt hvis filen allerede har blitt lastet opp til din 'headstones' mappe.";
		$admtext['requiredmap'] = "Viktig. Dette må stemme overens med navn og plassering av filen <em>innen 'headstones' mappen</em> når filen er lastet opp. F.eks., dersom din mappe for gravsteiner heter <em>'headstones'</em>,  og du ønsker å kalle filen <em>kart.jpg</em> og plassere den i en undermappe kallt <em>mine_kart</em>, må du skrive <em>mine_kart/kart.jpg</em> i dette feltet.";
		//added in 8.0.0
		$admtext['linkplace'] = "Tilknyttet sted";
		$admtext['fillplace'] = "Skriv inn Sted";
		$admtext['usecemcoords'] = "Kopier geokode informasjonen under til dette stedet";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "eksisterer allerede";
		$admtext['added'] = "Lagt til";
		$admtext['enternew'] = "Skriv inn ny";
		$admtext['pleaseenter'] = "Skriv inn en ";
		$admtext['netscapereload'] = "Netscape brukere: <br>Du må oppdatere kirkegårdssiden for å se endringen";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Slette Notat...";
		$admtext['addingnote'] = "Legge til i et Notat...";
		$admtext['addnewnote'] = "Legge til nytt Notat";
		$admtext['note'] = "Notat";
		$admtext['modifynote'] = "Endre Notat";
		//added in 8.0.0
		$admtext['notechanges'] = "Endring på notat";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Legge til hendelse...";
		$admtext['deletingevent'] = "Slette hendelse...";
		$admtext['updatingevent'] = "Hendelsen blir oppdatert...";
		$admtext['modifyevent'] = "Endre Hendelse";
		$admtext['addnewevent'] = "Legg til ny hendelse";

		$admtext['dateformat'] = "(DD MMM YYYY)";
		$admtext['age'] = "Alder";
		$admtext['agency'] = "Firma";
		$admtext['cause'] = "Årsak";
		$admtext['moreinfo'] = "Mer informasjon";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplikat for";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importerer GEDCOM...<br>(dette kan ta flere minutter)";
		$admtext['ifimportfails'] = "Hvis importen stopper før den er ferdig,";
		$admtext['opened'] = "åpnet...";
		$admtext['toresume'] = "for å fortsette importen";  //cannot open to resume import
		$admtext['openedtoresume'] = "åpnet for å fortsette importen...";
		$admtext['notresumed'] = "Importen kunne ikke fortsette.";
		$admtext['finishedimporting'] = "GEDCOM import ferdig";
		$admtext['treeexists'] = "Et tre med denne ID eksisterer allerede. Velg en annen ID, og prøv igjen.";
		$admtext['backtodataimport'] = "Tilbake til Import";
		$admtext['moreoptions'] = "Flere valg";
		$admtext['removeged'] = "Slett GEDCOM fil (valgfritt)";
		$admtext['cannotupload'] = "Kunne ikke laste opp fil:";
		$admtext['invfperms'] = "Din 'gedcom' mappe kan ha feilaktige rettigheter (prøv 755 eller 777).";
		$admtext['maybedone'] = "Den kan allerede være ferdig.";
		$admtext['turnonsis'] = "Sjekk at 'Lagre importstatus' er slått på under innstillinger for Import.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Endre hendelsestype";
		$admtext['modifyeventtype'] = "Endre eksisterende hendelsestype";
		$admtext['individual'] = "Person";
		$admtext['entertypedesc'] = "En beskrivelse av den nye type hendelse.";
		$admtext['enterdisplay'] = "Skriv en forkortelse for den nye type hendelse.";
		$admtext['existingeventtypeinfo'] = "Informasjon om eksisterende hendelser";
		$admtext['neweventtypeinfo'] = "Informasjon om nye hendelser";
		$admtext['tag'] = "Kode";
		$admtext['typedescription'] = "Type/Beskrivelse";
		$admtext['onimport'] = "Ved Import";
		$admtext['accept'] = "Akseptere";
		$admtext['ignore'] = "Ignorere";
		$admtext['typerequired'] = "Ved egendefinerte koder (hvor koden = \"EVEN\"), er dette type, og må være med. Valgfri for andre koder.";
		$admtext['addnewevtype'] = "Legg til ny hendelse type";
		$admtext['createnewevtype'] = "Lag en fil for ny hendelsetype";
		$admtext['forindividuals'] = "For enkeltpersoner...";
		$admtext['forfamilies'] = "For familier...";
		$admtext['existingevtypes'] = "Eksisterende hendelsetyper";
		$admtext['edsevtypes'] = "Rediger, slett eller sorter eksisterende hendelsetyper";
		$admtext['indfam'] = "Pers/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Er du sikker på at du vil slette denne hendelsetype?";
		$admtext['selecttag'] = "Velg kode";
		$admtext['selectentertag'] = "Velg eller skriv koden for denne hendelsetype.";
		$admtext['orenter'] = "eller skriv";
		$admtext['ifbothdata'] = "Tar forrang hvis begge feltene inneholder data";
		$admtext['EVEN'] = "Hendelse";
		$admtext['ADOP'] = "Adoptert";
		$admtext['ADDR'] = "Adresse";
		$admtext['ALIA'] = "Alias";
		$admtext['BARM'] = "Barmitzvah";
		$admtext['BASM'] = "Basmitzvah";
		$admtext['CAST'] = "Kaste";
		$admtext['CENS'] = "Folketelling";
		$admtext['CHRA'] = "Voksendåp";
		$admtext['CONF'] = "Konfirmasjon";
		$admtext['CREM'] = "Kremert";
		$admtext['DSCR'] = "Fysisk beskrivelse";
		$admtext['EDUC'] = "Utdannelse";
		$admtext['EMIG'] = "Emigrasjon";
		$admtext['FCOM'] = "Nattverd";
		$admtext['GRAD'] = "Graduering";
		$admtext['IDNO'] = "Nasjonalt ID Nummer";
		$admtext['IMMI'] = "Immigrasjon";
		$admtext['LANG'] = "Språk";
		$admtext['NATI'] = "Nasjonalitet";
		$admtext['NATU'] = "Statsborgerskap";
		$admtext['NCHI'] = "Antall barn";
		$admtext['NMR'] = "Antall ekteskap";
		$admtext['OCCU'] = "Yrke";
		$admtext['ORDI'] = "Forordning";
		$admtext['ORDN'] = "Ordinert";
		$admtext['PHON'] = "Telefon";
		$admtext['PROB'] = "Testamentstadfestelse";
		$admtext['PROP'] = "Eiendeler";
		$admtext['RELI'] = "Religion";
		$admtext['RESI'] = "Bolig";
		$admtext['RESN'] = "Restriksjoner";
		$admtext['RETI'] = "Pensjonert";
		$admtext['RFN'] = "Permanent protokoll nummer";
		$admtext['SSN'] = "SSN";
		$admtext['WILL'] = "Testamente";
		$admtext['ANUL'] = "Annullering";
		$admtext['DIVF'] = "Skilsmissekrav";
		$admtext['ENGA'] = "Forlovet";
		$admtext['MARB'] = "Ekteskapslysning";
		$admtext['MARC'] = "Ekteskapskontrakt";
		$admtext['MARL'] = "Ekteskapslisens";
		$admtext['MARS'] = "Ektepakt";
		$admtext['forsources'] = "For kilder...";
		$admtext['RIN'] = "Fil ID nummer";
		$admtext['REFN'] = "Referanse nummer";
		$admtext['REPO'] = "Arkiv";

		$admtext['deleteselected'] = "Slett valgte";
		$admtext['ignoreselected'] = "Ignorer valgte";
		$admtext['acceptselected'] = "Godkjenn valgte";
		$admtext['changestoallevtypes'] = "Endringer for alle hendelsestyper";
		$admtext['forrepos'] = "For arkiver...";
		$admtext['noevtypes'] = "Ingen hendelsestyper finnes.";
		$admtext['DESI'] = "Etterkommerinteresse";
		$admtext['allnone'] = "Skriv en melding for hvert språk,<br />eller la alle være blanke og skriv en melding.";
		$admtext['assocwith'] = "Assosiert med";
		$admtext['BAPM'] = "Dåp";
		$admtext['umps'] = "GEDCOM filen kan være større enn hva som er maksimum for din PHP installasjon. Du kan be din nettstedleverandør om å øke 'upload_max_filesize' verdien, eller du kan kopiere GEDCOM filen til din 'gedcom' mappe på vertsmaskinen, og importere derfra.;";
		$admtext['othlangs'] = "Andre språk";
		$admtext['evdata'] = "Hendelsedata";
		$admtext['ANCI'] = "Aneinteresse";
		//added in 10.0.0
		$admtext['collapseev'] = "Minimer hendelse";
		$admtext['collapse'] = "Minimer";
		$admtext['collapseselected'] = "Minimer valgte";
		//added in 11.0.0
		$admtext['expselected'] = "Utvid valgte";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Familieendringer";
		$admtext['marrdate'] = "Gift dato"; //marriage date
		$admtext['modifyfamily'] = "Endre eksisterende familie";
		$admtext['selectfamaction'] = "Velg familie og handling";
		$admtext['confdeletefam'] = "Er det sikkert at du vil slette denne familien?";
		$admtext['existingfamilyinfo'] = "Eksisterende informasjon om familien";
		$admtext['newfamilyinfo'] = "Ny informasjon om familien";
		$admtext['sealedsdate'] = "Beseglet S Dato (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Beseglet S Sted (LDS)";     //S is for spouse
		$admtext['newchildren'] = "Nye barn";
		$admtext['addnewfamily'] = "Legg til ny familie";
		$admtext['createnewfamily'] = "Lag en fil for ny familie";
		$admtext['editexistingfaminfo'] = "Endre informasjon om en eksisterende familie";
		$admtext['spousesids'] = "Ektefellers/Partneres ID";
		$admtext['noname'] = "Ingen navn";
		$admtext['familyidbefevent'] = "Du må skrive en Familie ID før du kan legge til nye hendelser.";
		$admtext['prefixfamilyid'] = "Skriv  \"F\" for \"Familie\" foran Familie ID";
		$admtext['validfamilyid'] = "Skriv inn en gyldig Familie ID. En gyldig Familie ID er 'F' etterfulgt av et tall.";
		$admtext['familyidbefnote'] = "Du må skrive en Familie ID før du kan legge til nye notater.";
		$admtext['familyidbefcite'] = "Du må skrive en Familie ID før du kan bruke henvisninger med denne familien.";
		$admtext['genfamily'] = "Hovedfamilie";
		$admtext['marriagetype'] = "Type ekteskap";
		$admtext['reviewfamilies'] = "Aksepter eller avvis foreslåtte endringer til familier";
		$admtext['fevslater'] = "NB! Ytterligere hendelser, i tillegg til hendelsesspesifikke notater og henvisninger, kan legges til etter den nye familien er lagret.";
		$admtext['husbid'] = "Mann ID";  //husband ID
		$admtext['wifeid'] = "Hustru ID";
		$admtext['enternamepart'] = "skriv del av fornavn og/eller etternavn";
		$admtext['pleasenamepart'] = "Vennligst skriv en del av fornavn eller etternavn.";
		$admtext['clickfind'] = "Klikk Finn og Opprett =>";
		$admtext['chunlinked'] = "Barn linket fra familien";
		$admtext['child'] = "Barn";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Legge til person...";
		$admtext['changestoperson'] = "Endringer for person";
		$admtext['nobirthinfo'] = "Ingen fødselsinformasjon";
		$admtext['modifyperson'] = "Endre eksisterende person";
		$admtext['selectpersaction'] = "Velg person og handling";
		$admtext['existingpersoninfo'] = "Eksisterende informasjon om personen";
		$admtext['firstgivennames'] = "Fornavn/Døpenavn";
		$admtext['lastsurname'] = "Etternavn";
		$admtext['nickname'] = "Kallenavn";
		$admtext['male'] = "Mann";
		$admtext['female'] = "Kvinne";
		$admtext['bapldate'] = "Dåp dato (LDS)";
		$admtext['baplplace'] = "Dåp sted (LDS)";
		$admtext['endldate'] = "Velsignet (Endowment) dato (LDS)";
		$admtext['parents'] = "Foreldre";
		$admtext['father'] = "Far";
		$admtext['mother'] = "Mor";
		$admtext['unlinkindividual'] = "Slett kobling til denne personen";
		$admtext['aschild'] = "som barn";
		$admtext['sealedpdate'] = "Beseglet P dato (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Beseglet P sted (LDS)";     //P is for parents
		$admtext['asspouse'] = "som ektefelle/partner";
		$admtext['spouse'] = "Ektefelle/partner";
		$admtext['ordernumber'] = "Rekkefølge";
		$admtext['married'] = "Gift";
		$admtext['nonewfamily'] = "Ikke gå til en ny familie etter lagring";
		$admtext['addnewperson'] = "Legg til ny person";
		$admtext['createperson'] = "Lag en fil for en ny person";
		$admtext['personidbefevent'] = "Du må skrive en persons ID før du kan legge til nye hendelser.";
		$admtext['prefixpersonid'] = "Skriv \"I\" for \"Individ\" foran ID nummeret";
		$admtext['validpersonid'] = "Skriv en gyldig ID. En gyldig ID er et tall med 'I' foran.";
		$admtext['newpersoninfo'] = "Ny Person Informasjon";
		$admtext['selectsex'] = "Velg kjønn.";
		$admtext['shortform'] = "Kort Form";
		$admtext['editexistingpersoninfo'] = "Rediger informasjon for en tidligere lagret person";
		$admtext['unknown'] = "Ukjent";
		$admtext['personidbefnote'] = "Du må skrive en persons ID før du kan legge til nye notater.";
		$admtext['endlplace'] = "Velsignet (Endowment) Sted (LDS)";
		$admtext['personidbefcite'] = "Du må skrive en persons ID før du kan legge til henvisninger til denne personen.";
		$admtext['relationship'] = "Slektskap";
		$admtext['asspouse'] = "som ektefelle/partner";
		$admtext['mergepeople'] = "Slå sammen informasjon fra dubliserte personposter.";
		$admtext['choosemerge'] = "Velg personer som skal slås sammen, eller søk etter potensielle treff";
		$admtext['usesoundex'] = "Bruk Soundex";
		$admtext['sdxdisclaimer'] = "Ved å bruke denne muligheten, vil programmet bruke lengre tid for å finne neste treff eller duplikat.";
		$admtext['combinenotes'] = "Kombiner notater og kildehenvisninger";
		$admtext['confirmmerge'] = "Er du sikker på at du vil slå sammen disse to personene?";
		$admtext['gotonewfamily'] = "Gå til ny familie med valgte person";
		$admtext['genperson'] = "Hovedperson";
		$admtext['reviewpeople'] = "Aksepter eller avvis foreslåtte endringer til enkeltpersoner";
		$admtext['nokids'] = "Ingen barn";
		$admtext['noparents'] = "Ingen foreldre";
		$admtext['association'] = "Assosiasjon";
		$admtext['deletingassoc'] = "Slett assosiasjon...";
		$admtext['addingassoc'] = "Legger til assosiasjon...";
		$admtext['updatingassoc'] = "Oppdaterer assosiasjon...";
		$admtext['addnewassoc'] = "Legger til ny assosiasjon";
		$admtext['modifyassoc'] = "Endre eksisterende assosiasjon.";
		$admtext['pevslater'] = "NB! Ytterligere hendelser, i tillegg til hendelsesspesifikke notater og henvisninger, kan legges til etter den nye personen er lagret.";
		$admtext['ashusband'] = "som mann";
		$admtext['aswife'] = "som hustru";
		$admtext['pevslater2'] = "NB: Ekstra hendelser, samt hendelsespesifikke notater, kan bli lagt til senere.";
		$admtext['nospouse'] = "Ingen ektefelle/partner";
		$admtext['revassoc'] = "Legg til motsatt assosiasjon for disse to personene";
		$admtext['prefix'] = "Prefiks";
		$admtext['chkdel'] = "Sett hake i boksen for å slette elementet på venstre side";
		//added in 9.0.0
		$admtext['choosedef'] = "Velg<br/>standard<br/>foto"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Konfirmasjonsdato (LDS)";
		$admtext['confplace'] = "Konfirmasjonssted (LDS)";
		$admtext['initdate'] = "Initiatory Date (LDS)";
		$admtext['initplace'] = "Initiatory Place (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Miniatyrbildefilen ble ikke kopiert til";
		$admtext['photo'] = "Bilde";
		$admtext['changestophoto'] = "Endringer for bilder";
		$admtext['modifyphoto'] = "Rediger eksisterende bilde";
		$admtext['addnewphoto'] = "Legge til nytt bilde";
		$admtext['selectphotoaction'] = "Velg bilde og handling";
		$admtext['photoid'] = "Bilde ID";
		$admtext['confdeletephoto'] = "Er du sikker på at du vil slette dette bildet og alle linker til den?";
		$admtext['enterphotopath'] = "Skriv inn sti (mappe og filnavn) til denne bildefilen på vertsmaskinen.";
		$admtext['enterthumbnailpath'] = "Skriv inn sti (mappe og filnavn) til denne miniatyrbildefilen på vertsmaskinen.";
		$admtext['enterphotodesc'] = "Skriv en beskrivelse av bildet.";
		$admtext['existingphotoinfo'] = "Eksisterende bilde informasjon";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Miniatyrbildefil";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Fil- og sti- navn";
		$admtext['sortphotos'] = "Sorter bildene";
		$admtext['sortphotosfor'] = "Sorter bildene for";
		$admtext['editexistingphotoinfo'] = "Rediger informasjon for et eksisterende bilde";
		$admtext['leaveblankallphotos'] = "la feltet være tomt for å vise alle bilder";
		$admtext['headstone'] = "Gravstein";
		$admtext['imagenotcopied'] = "Kunne ikke kopiere bildefilen til";
		$admtext['changestohs'] = "Endring for Gravstein";
		$admtext['modifyheadstone'] = "Endring for eksisterende Gravstein";
		$admtext['selecthsaction'] = "Velg Gravstein og handling";
		$admtext['confdeletehs'] = "Er du sikker på at du vil slette denne gravstein?";
		$admtext['photostatus'] = "Foto/Status";
		$admtext['selectcemetery'] = "Velg en kirkegård.";
		$admtext['enterhsimage'] = "Velg gravsteinsbilde (filnavn) på vertsmaskinen.";
		$admtext['existinghsinfo'] = "Eksisterende gravsteininformasjon";
		$admtext['newhsinfo'] = "Ny gravsteininformasjon";
		$admtext['hsimagefile'] = "Gravsteinsbilde (filnavn)";
		$admtext['located'] = "Lokalisert";
		$admtext['notyetlocated'] = "Ikke lokalisert";
		$admtext['unmarked'] = "Umarkert";
		$admtext['missing'] = "Mangler";
		$admtext['leaveblankhs'] = "La feltet være blankt hvis filen allerede har blitt lastet opp til din 'headstones' mappe.";
		$admtext['requiredhs'] = "Viktig. Dette må stemme overens med navn og plassering av filen <em>innen 'headstones' mappen</em> når filen er lastet opp. F.eks., dersom din mappe for gravsteiner heter <em>foto/gravstein</em>, og du ønsker å kalle filen <em>gravstein.jpg</em> og plassere den i en undermappe kalt <em>nye_gravsteiner</em>, må du skrive <em>nye_gravsteiner/gravstein.jpg</em> i dette feltet.";
		$admtext['addnewhs'] = "Legg til ny gravstein";
		$admtext['createnewhs'] = "Lag en post for en ny gravstein, og link den til en person";
		$admtext['editexistinghsinfo'] = "Endre informasjon for en tidligere gravstein";
		$admtext['leaveblankallhs'] = "la feltet være tomt for i visse alle gravsteinene";
		$admtext['cemnamelocation'] = "Navn og plassering av kirkegård";
		$admtext['pedphoto'] = "Bruk dette bildet i anetre og i overskrifter";
		$admtext['photoowner'] = "Eier/Kilde";
		$admtext['dimensions'] = "Dimensjoner";
		$admtext['selectphoto'] = "Velg bilde";
		$admtext['specifyimg'] = "Spesifiser bilde";
		$admtext['autoimg'] = "Lag fra original";
		$admtext['enterthumbpath'] = "Velg navn på miniatyrbildet";
		$admtext['genthumbs'] = "Lag miniatyrbilde";
		$admtext['genthumbsdesc'] = "Generer mindre versjoner av alle bilder som ikke allerede har miniatyrbilde.";
		$admtext['thumbsgenerated'] = "Miniatyrbilde generert";
		$admtext['makedefault'] = "Lag standard";
		$admtext['filewithinhs'] = "Sti innenfor gravsteinmappe <br>(underkatalog og filnavn)";
		$admtext['recsupdated'] = "Oppføring oppdatert";
		$admtext['removedef'] = "Fjern standard bilde";
		$admtext['numlinkhs'] = "Antallet mennesker knyttet til denne gravsteinen";
		$admtext['sortheadstones'] = "Sorter gravsteiner";
		$admtext['sortheadstonesfor'] = "Sorter gravsteiner for";
		$admtext['sortheadstonesind'] = "Sorter gravsteiner for en person";
		$admtext['headstoneorder'] = "Angi ønsket rekkefølge for gravsteiner knyttet til en bestemt person";
		$admtext['enternumberforphoto'] = "Angi en nummerisk verdi for hvert valg.";
		$admtext['updownforphoto'] = "Klikk på opp- og ned- pilene for å endre rekkefølgen.";
		$admtext['createnewphoto'] = "Lagre et nytt bilde som skal linkes til personer, familie eller kilder";
		$admtext['numlinkphoto'] = "Antall personer, familier eller kilder som skal linkes til dette bildet";
		$admtext['photoorder'] = "Indiker ønsket sortering for bilder linket til person, familie eller kilde";
		$admtext['assigndefs'] = "Velg normalbilde";
		$admtext['assigndefsdesc'] = "La første bildet til hver person, familie eller kilde være normalbildet.";
		$admtext['overwritedefs'] = "Erstatt tidligere standardinnstillinger";
		$admtext['assign'] = "Velg standardinnstillinger";
		$admtext['defsassigned'] = "Normalbilde valgt";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Bildekart";
		$admtext['circle'] = "sirkel";
		$admtext['rect'] = "rektangel";
		$admtext['poly'] = "polygon";
		$admtext['shape'] = "Form av område";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Bredde (piksler)";
		$admtext['height'] = "Høyde (piksler)";
		$admtext['imgdim'] = "Bildestørrelse";
		$admtext['pixw'] = "piksler bredde";
		$admtext['pixh'] = "piksler høyde";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Endringer for alle valgte bilder";
		$admtext['changestoallhs'] = "Endringer for alle valgte gravsteiner";
		$admtext['datetaken'] = "Dato tatt/laget";
		$admtext['placetaken'] = "Sted tatt";
		$admtext['abspath'] = "Dette bildet kommer fra en ekstern kilde (du må angi ditt eget miniatyrbilde)";
		$admtext['imagefile'] = "Bildefil";
		$admtext['pathwithinphotos'] = "Sti og filnavn på vertsmaskin";
		$admtext['linktocem'] = "Link dette bildet direkte til den valgte kirkegård";
		$admtext['defphotonote'] = "Bruk miniatyrbilde til å identifisere denne personen, familien eller kilden på anetrær og andre oversikter, inkludert familieside.";
		$admtext['photonotadded'] = "Bildet kunne ikke legges til, sansynligvis fordi en annen oppføring allerede finnes for angitte filnavn.";
		$admtext['requiredphoto'] = "Viktig. Dette må stemme overens med navn og plassering av filen <em>innen bildemappen </em> når filen er lastet opp. F.eks., dersom din mappe for bilder heter <em>photos</em>, og du ønsker å kalle filen <em>myphoto.jpg</em> og plassere den i en undermappe kallt <em>newphotos</em>, må du skrive <em>newphotos/myphoto.jpg</em> i dette feltet.";
		$admtext['leaveblankphoto'] = "La feltet være blankt hvis filen allerede har blitt lastet opp til din bildemappe.";
		$admtext['thumbconflicts'] = "Miniatyrbilde ble ikke generert p.g.a. sti-, rettighets- eller filnavn- problemer";
		$admtext['showmap'] = "Vis kirkegårdskart og bilder når dette bildet blir vist";
		$admtext['bodytext'] = "<strong>ELLER</strong><br/>Hovedtekst";
		$admtext['usenl'] = "Konverter linjeskift til HTML ved visning";
		$admtext['newwin'] = "Åpne i nytt vindu";
		$admtext['modifymedia'] = "Endre eksisterende media";
		$admtext['addnewmedia'] = "Legg til nytt media";
		$admtext['confdeletemedia'] = "Er du sikke på at du vil slette dette media?";
		$admtext['thumbnails'] = "Miniatyrbilder";
		$admtext['modifyalbum'] = "Endre eksisterende album";
		$admtext['addnewalbum'] = "Legg til nytt album";
		$admtext['newalbuminfo'] = "Informasjon om nytt album";
		$admtext['confdeletealbum'] = "Er du sikker på at du vil slette dette album?";
		$admtext['enteralbumname'] = "Gi albumet et navn.";
		$admtext['albumname'] = "Navn på album";
		$admtext['keywords'] = "Søkeord";
		$admtext['changestoalbum'] = "Endringer for albumet";
		$admtext['addtoalbum'] = "Legg til i albumet";
		$admtext['mediatype'] = "Samling";
		$admtext['fileext'] = "Filsuffiks."; //file extension (abbreviation)
		$admtext['anotherlink'] = "Legg til ny link";
		$admtext['mediaurl'] = "Media URL";
		$admtext['put_in'] = "Lagre filen i";
		$admtext['usemedia'] = "Media mappe";
		$admtext['usecollect'] = "Samlemappe (e.g., \"photos\")";
		$admtext['notcopied'] = "Filen kunne ikke bli kopiert til";
		$admtext['existingmediainfo'] = "Informasjon om eksisterende media";
		$admtext['convto'] = "Konverter valgte til";
		$admtext['changestoallmedia'] = "Endringer for alle valgte media";
		$admtext['changestoitem'] = "Endringer for element";
		$admtext['eventlink'] = "Link til en spesifikk hendelse";
		$admtext['sortmediaind'] = "Sorter media for en Person, Familie, Kilde, Arkiv eller Sted";
		$admtext['sortmedia'] = "Sorter xxx for";
		$admtext['unlinked'] = "Kun ulinkede";
		$admtext['samepaths'] = "Hovedbildet og miniatyrbildet er ikke nødvendigvis det samme. Velg et annet miniatyrbilde eller lag et nytt.";
		$admtext['regenerate'] = "Regenerer eksisterende miniatyrbilder";
		$admtext['forcircles'] = "For sirkler";
		$admtext['forrects'] = "For rektangler";
		$admtext['circleinstr'] = "Klikk først i senter av den tenkte sirkelen, deretter hvor som helst langs en tenkt omkrets av sirkelen.";
		$admtext['rectinstr'] = "Klikk først i øvre venstre hjørne av et tenkt rektangel, deretter i nedre høyre hjørne.";
		$admtext['firstone'] = "første";
		$admtext['controller'] = "La det være plass til ca. 16 vertikale piksler til mediaspilleren.";
		$admtext['nostatus'] = "Ukjent status";
		$admtext['enterid'] = "Skriv en ID.";
		$admtext['existingalbuminfo'] = "Informasjon om eksisterende album";
		$admtext['newmediainfo'] = "Informasjon om nye media";
		$admtext['mapinstr2'] = "Du kan linke ulike deler av bildet til ulike personer eller steder (valgfritt) ved å legge inn 'HTML image map' informasjon under, eller ved å følge instruksjonene ved bildet under.";
		$admtext['mapinstr3'] = "For å linke en del av dette bildet til en bestemt person, velg først personens tre og deretter opprette et rektangel for det ønskede utsnitt. Dette gjøres ved å klikke i øvre venstre hjørne av utsnittet og deretter dra musepekeren til det nedre høyre hjørne. Alternativt kan du klikke en gang i øvre venstre hjørne, for så å klikke igjen i nedre høyre hjørne. Et dialogboks for å velge tilknyttet person kommer deretter opp. Når valget er foretatt, vil koden for bildekart automatisk bli lagt til i tekstboksen nedenfor. Gjenta denne prosessen for å lage flere utsnitt i samme bilde.";
		$admtext['albumlinks'] = "Album Linker";
		$admtext['duplinkmsg'] = "En link til dette valget eksisterer allerede i dette albumet.";
		$admtext['invlinkmsg'] = "Den valgte ID er ugyldig. Ingen link ble opprettet.";
		$admtext['albmedia'] = "Album Media";
		$admtext['removelink'] = "Fjern Link";
		$admtext['confremmedia'] = "Er du sikker på at du vil fjerne denne filen fra dette albumet?";
		$admtext['selmedia'] = "Søk etter eksisterende media som du vil legge til dette albumet";
		$admtext['uploadfirst'] = "last opp ny mediafil først";
		$admtext['existmedia'] = "Eksisterende Media";
		$admtext['emoptions'] = "Bla gjennom, Slett eller Dra for å sortere";
		$admtext['addlinks'] = "Legg til nye linker";
		$admtext['eloptions'] = "Bla gjennom eller slett";
		$admtext['inclmsg'] = " inkluder";
		$admtext['mediasubt'] = "Organiser media i dette albumet (Legg til, Slett, Sorter)";
		$admtext['infosubt'] = "Rediger albumnavn, beskrivelse og søkeord";
		$admtext['linkssubt'] = "Link dette albumet til Personer, Familier, Kilder, Arkiver eller Steder";
		$admtext['inclmedia'] = "Inkluderte Media";
		$admtext['nomedia'] = "Ingen Media er foreløpig inkludert";
		$admtext['nolinks'] = "Ingen Linker finnes enda";
		$admtext['thumbsize'] = "(originalen er for stor)";
		$admtext['thumbinv'] = "(ugyldig bilde eller utilstrekkelig rettighet)";
		$admtext['thumblost'] = "(originalen ikke funnet)";
		$admtext['uplsel'] = "Last opp en ny fil, eller velg en fil som allerede finnes på vertsmaskinen";
		$admtext['alblater'] = "NB: Media kan legges til dette album, og albumet linkes til personer eller familier, på neste skjermbilde.";
		$admtext['medlater'] = "NB: Mer informasjon kan legges til, og det kan linkes til personer eller familier, på neste skjermbilde.";
		$admtext['minfosubt'] = "Rediger Media tittel, beskrivelse eller andre detaljer";
		$admtext['medialinks'] = "Medialinker";
		$admtext['defphoto'] = "Standard foto";
		$admtext['alttd'] = "Alt Tittel/Beskr.";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Rediger Media link";
		$admtext['plot'] = "Felt";
		$admtext['addnewcoll'] = "Legg til samling";
		$admtext['collid'] = "Samling ID";
		$admtext['colldisplay'] = "Visningstittel";
		$admtext['collpath'] = "Mappenavn";
		$admtext['collicon'] = "Ikonfil";
		$admtext['colllike'] = "Samme innstilling som";
		$admtext['entercollid'] = "vennligst skriv samlingens ID.";
		$admtext['entercolldisplay'] = "Vennligst skriv Samlingens visningsnavn.";
		$admtext['entercollpath'] = "Vennligst skriv Samlingens mappenavn.";
		$admtext['entercollicon'] = "Vennligst skriv Samlingens ikonnavn.";
		$admtext['editcoll'] = "Rediger samling";
		$admtext['confmtdelete'] = "Er du sikker på at du vil slette denne mediatypen?";
		$admtext['histlimit'] = "<strong>NB:</strong> De fleste nettlesere kan ikke sende mer en ca 64Kb på en 'Web-form'. Dersom du skal skrive inn store mengder tekst i tekstfeltet over, kan du bruke 'historytemplate.php' istedet. Se 'Help' for mer informasjon.";
		$admtext['repath'] = "Regenerer navn på miniatyrbildesti hvis filen ikke finnes";
		$admtext['sortalbumind'] = "Sorter Album for en Person, Familie, Kilde, Arkiv eller Sted";
		$admtext['cidexists'] = "Denne ID er allerede i bruk.";
		$admtext['phalltrees'] = "Valgfritt. La være blank slik at bilder blir synlige i alle trær.";
		//added in 8.0.0
		$admtext['fileexists'] = "Denne filen eksisterer allerede. Skriv over?";
		$admtext['collthumb'] = "Miniatyrbildefil";
		$admtext['movetop'] = "Flytt til toppen";
		//added in 9.0.0
		$admtext['collexpas'] = "Eksporter som";
		//added in 9.2.0
		$admtext['upload'] = "Last opp";
		$admtext['linksel'] = "Link til valgte";
		$admtext['mediaupl'] = "Last opp Media";
		$admtext['addfiles'] = "Legg til filer...";
		$admtext['startupl'] = "Start opplasting";
		$admtext['start'] = "Start";
		$admtext['cancelupl'] = "Avbryt opplasting";
		//added in 11.0.0
		$admtext['localpath'] = "Lokal(e) sti(er)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Endring for rapport";
		$admtext['modifyreport'] = "Endre eksisterende rapport";
		$admtext['existingreportinfo'] = "Informasjon om eksisterende rapport";
		$admtext['existingreports'] = "Eksisterende rapporter";
		$admtext['newreportinfo'] = "Ny rapport informasjon";
		$admtext['reportname'] = "Rapportnavn";
		$admtext['rankpriority'] = "Rang/Prioritet";
		$admtext['choosedisplay'] = "Velg felt som skal Vises";
		$admtext['spouseid'] = "Ektefelles/partner ID";
		$admtext['spousename'] = "Ektefelles/partners navn";
		$admtext['lastmodified'] = "Sist endret";
		$admtext['ldsbapldate'] = "LDS Dåp Dato";
		$admtext['ldsbaplplace'] = "LDS Dåp Sted";
		$admtext['ldsendldate'] = "LDS Velsignelse Dato";
		$admtext['ldsendlplace'] = "LDS Velsignelse Sted";
		$admtext['ldssealsdate'] = "LDS Besegling/Ektefelle Dato";
		$admtext['ldssealsplace'] = "LDS Besegling/Ektefelle Sted";
		$admtext['ldssealpdate'] = "LDS Besegling/Foreldre Dato";
		$admtext['ldssealpplace'] = "LDS Besegling/Foreldre Sted";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Velg Kriterier";
		$admtext['fullname'] = "Fullt Navn";
		$admtext['lastfirst'] = "Etternavn, Fornavn";
		$admtext['monthonlyfrom'] = "Bare fra måned";
		$admtext['yearonlyfrom'] = "Bare fra år";
		$admtext['dayonlyfrom'] = "Bare fra dag";
		$admtext['operators'] = "Søk";
		$admtext['contains'] = "inneholder";
		$admtext['startswith'] = "starter med";
		$admtext['endswith'] = "slutter med";
		$admtext['text_and'] = "OG";
		$admtext['currentmonth'] = "Denne måned";
		$admtext['currentyear'] = "Dette år";
		$admtext['currentday'] = "Denne dag";
		$admtext['constantstring'] = "Konstant innhold";
		$admtext['constantvalue'] = "Konstant verdi";
		$admtext['foremptystring'] = "For tomt innhold, la feltet være tomt og klikk \"Legg til >>.\"";
		$admtext['choosesort'] = "Velg Sorteringsfelt";
		$admtext['savereport'] = "Lagre Rapport";
		$admtext['addnewreport'] = "Legg til ny rapport";
		$admtext['createreport'] = "Lag en ny rapport";
		$admtext['noreports'] = "Det finnes ingen rapporter";
		$admtext['rank'] = "Rang";
		$admtext['confreportdelete'] = "Er du sikker på at du vil slette denne rapporten?";
		$admtext['enterreportname'] = "Skriv et rapportnavn.";
		$admtext['selectdisplayfield'] = "Velg minst ett visningsfelt.";
		$admtext['today'] = "I dag (ekte dato)";
		$admtext['convtodays'] = "Konvertere til dager";
		$admtext['desc'] = "Nedgående (Tidl.)";
		$admtext['birthdatetr'] = "Født Dato (Sann)";
		$admtext['chrdatetr'] = "Døpt Dato (Sann)";
		$admtext['deathdatetr'] = "Død Dato (Sann)";
		$admtext['burialdatetr'] = "Gravlagt Dato (Sann)";
		$admtext['marriagedatetr'] = "Gift Dato (Sann)";
		$admtext['ldsbapldatetr'] = "LDS Dåp Dato (Sann)";
		$admtext['ldsendldatetr'] = "LDS Besegling Dato (Sann)";
		$admtext['ldssealsdatetr'] = "LDS Besegling/Ektefelle Dato (Sann)";
		$admtext['ldssealpdatetr'] = "LDS Besegling/Foreldre Dato (Sann)";
		$admtext['currentmonthnum'] = "Aktuell måneds nummer";
		$admtext['livingtrue'] = "Nålevende = ja";
		$admtext['livingfalse'] = "Nålevende = nei";
		$admtext['altreport'] = "ELLER la feltene Vises, Kriterier og Sorteringsfelt være blanke og legg i stedet inn en SQL SELECT setning her";
		$admtext['rptdate'] = "Dato";
		$admtext['rptdatetr'] = "Dato (Sann)";
		$admtext['fact'] = "Fakta";
		$admtext['testeditdelete'] = "Test, rediger eller slett eksisterende rapporter";
		$admtext['wnmsg'] = "Overskrift på \"Hva er nytt?\" side";
		$admtext['mwtype'] = "Type";
		$admtext['mysphoto'] = "Ukjent bilde";
		$admtext['mysperson'] = "Ukjente personer";
		$admtext['selphoto'] = "Velg bilde";
		$admtext['entertitle'] = "Vennligst skriv en tittel";
		$admtext['enterdesc'] = "Vennligst skriv en beskrivelse";
		$admtext['confremmw'] = "Er du sikker på at du vil fjerne dette?";
		$admtext['msgsaved'] = "Melding lagret";
		//added in 9.1.1
		$admtext['privatetrue'] = "Privat = ja";
		$admtext['privatefalse'] = "Privat = nei";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Confirmation Date";
		$admtext['ldsconfplace'] = "LDS Confirmation Place";
		$admtext['ldsconfdatetr'] = "LDS Confirmation Date (True)";
		$admtext['ldsinitdate'] = "LDS Initiatory Date";
		$admtext['ldsinitplace'] = "LDS Initiatory Place";
		$admtext['ldsinitdatetr'] = "LDS Initiatory Date (True)";
		$admtext['savecopy'] = "Lagre som kopi";
		$admtext['activeonly'] = "Bare aktive";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Velg en fil som skal importeres.";
		$admtext['importgedcom'] = "Importer GEDCOM (standard 5.5 format)";
		$admtext['addreplacedata'] = "Legg til eller erstatt database (kan ta flere minutter, avhengig av størrelse på GEDCOM filen og Internett tilkobling)";
		$admtext['fromyourcomputer'] = "Fra din datamaskin";
		$admtext['importdata'] = "Importer data";
		$admtext['setupfirsttime'] = "Sette opp programmet for første gang.";
		$admtext['replace'] = "Erstatt (i valgt tre)";
		$admtext['desttree'] = "Måltre";
		$admtext['selectdesttree'] = "Velg eller skriv inn mål (tre).";
		$admtext['selectexisting'] = "Importer til";
		$admtext['importgedcom2'] = "Importer en GEDCOM fil";
		$admtext['setupitems'] = "Lag database tabeller, Sett preferanser";
		$admtext['custeventitems'] = "Ordne egendefinerte merker og hendelse typer";
		$admtext['usersitems'] = "Ordne brukere og rettigheter";
		$admtext['reportsitems'] = "Lag egne lister og rapporter";
		$admtext['langitems'] = "Ordne alternative språk";
		$admtext['backupitems'] = "Sikkerhetskopiering, gjenoppretting og optimalisering av tabelldata";
		$admtext['ucaselast'] = "Endre alle etternavn til store bokstaver";
		$admtext['norecalc'] = "Ikke kalkuler Nålevende 'flagget' på nytt";
		$admtext['autooffset'] = "Start ID med første ledige nummer";

		$admtext['mustselecttree'] = "Du må velge et tre først.";
		$admtext['importmedia'] = "Importer media hvis det finnes";
		$admtext['mainmenu'] = "Hovedmeny";
		$admtext['neweronly'] = "Erstatt kun hvis nyere";
		$admtext['secondaryitems'] = "Lag en GENDEX fil, følg etterkommerlinjer";
		$admtext['onwebserver'] = "på vertsmaskin (i GEDCOM mappe)";
		$admtext['eventsonly'] = "Importer kun Egendefinerte hendelsetyper (ingen data blir lagt til, erstattet eller utvidet)";
		$admtext['imphints'] = "Tips: 'Alle eksisterende data' betyr alle personer, familier, kilder og notater (assosierte media blir ikke borte så lenge ID-nummeret forblir det samme). Sammenfallende poster er alltid basert på kun ID. Nye poster legges alltid til. 'Legg til alle poster' importerer alle poster med nye ID'er.";
		$admtext['allevents'] = "Aksepter data for alle nye Egendefinerte hendelsetyper";
		$admtext['destbranch'] = "Målgren (valgfritt)";
		$admtext['inframe'] = "(i 'frame')";
		$admtext['getstart'] = "Getting Started";
		$admtext['importlatlong'] = "Importer breddegrad / lengdegrad data hvis det finnes";
		$admtext['opening'] = "Åpner";
		$admtext['reopen'] = "Åpner på nytt";
		$admtext['uploading'] = "Laster opp";
		$admtext['stop'] = "Stopp";
		$admtext['stopped'] = "Import stoppet";
		$admtext['resume'] = "klikk her for å fortsette";
		//changed in 8.0.0
		$admtext['showlog'] = "Endringslogg";
		//added in 8.0.0
		$admtext['mmgritems'] = "Installer og fjern TNG Modifikasjoner (Tredjeparts tillegg)";
		//added in 9.0.0
		$admtext['oldimport'] = "Gammel importmetode (ingen fremdriftsindikator)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Hva er nytt?, Etterlysninger, Datakontroll";
		//added in 11.0.0
		$admtext['tasks'] = "Viktige oppgaver";
		$admtext['task_revusers'] = "Vurder nyregistrerte brukere";
		$admtext['task_tree'] = "Opprett ditt første tre";
		$admtext['task_user'] = "Opprett en brukerkonto for deg selv";
		$admtext['task_people'] = "legg til nye personer";
		$admtext['task_families'] = "Legg til nye familier";
		$admtext['task_revind'] = "Vurder foreslåtte endringer til enkeltpersoners hendelser";
		$admtext['task_revfam'] = "Vurder foreslåtte endringer til familiers hendelser";
		$admtext['task_backup'] = "Sikkerhetskopier data";
		$admtext['nobackups'] = "det finnes ingen sikkerhetskopi";
		$admtext['lastbackup'] = "siste sikkerhetskopi er mer enn xxx dager gammel";
		$admtext['dna_blurb'] = "Legg inn DNA tester og koble dem til personer";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Endre kilder";
		$admtext['modifysource'] = "Endre eksisterende kilder";
		$admtext['selectsrcaction'] = "Velg kilde og handling";
		$admtext['shorttitle'] = "Kort tittel";
		$admtext['longtitle'] = "Lang tittel";
		$admtext['author'] = "Forfatter";
		$admtext['callnumber'] = "ISBN nummer";
		$admtext['publisher'] = "Utgiver";
		$admtext['actualtext'] = "Aktuell tekst";
		$admtext['confdeletesrc'] = "Er det sikkert at du vil slette denne kilden?";
		$admtext['selectshorttitle'] = "Velg eller skriv Kort Tittel for denne hendelsen.";
		$admtext['existingsourceinfo'] = "Eksisterende informasjon for kilder";
		$admtext['newsourceinfo'] = "Ny kilde informasjon";
		$admtext['addnewsource'] = "Legg til ny kilde";
		$admtext['prefixsourceid'] = "Start Kilde ID med \"S\" for \"Source\"";
		$admtext['entersourceid'] = "Skriv kilde ID.";
		$admtext['validsourceid'] = "Skriv en gyldig kilde ID. En gyldig ID er et tall med en 'S' foran.";
		$admtext['createsource'] = "Lagre en ny kilde";
		$admtext['editexistingsource'] = "Rediger informasjon om en eksisterende kilde";
		$admtext['addnewcite'] = "Legg til ny henvisning";
		$admtext['reliability'] = "Kvalitet";
		$admtext['relyexplain'] = "Høyere tall indikerer bedre kvalitet.";
		$admtext['citedate'] = "Dato for henvisning";
		$admtext['modifycite'] = "Endre eksisterende henvisning";
		$admtext['addingcite'] = "Legger til henvisning...";
		$admtext['deletingcite'] = "Sletter henvisning...";
		$admtext['updatingcite'] = "Oppdaterer henvisning...";
		$admtext['citation'] = "Henvisning";
		$admtext['sevslater'] = "NB! Ytterligere hendelser kan legges til etter at kilde er opprettet.";
		$admtext['pleasesourcepart'] = "Vennligst skriv del av kildetittel.";
		$admtext['addnewrepo'] = "Legg til nytt arkiv";
		$admtext['modifyrepo'] = "Rediger eksisterende arkiv";
		$admtext['createrepo'] = "Lag ny oppføring i et nytt arkiv";
		$admtext['editexistingrepo'] = "Rediger informasjon for et tidligere opprettet arkiv";
		$admtext['enterrepoid'] = "Angi en Arkiv ID.";
		$admtext['enterreponame'] = "Angi et navn for arkivet.";
		$admtext['newrepoinfo'] = "Informasjon for nytt arkiv";
		$admtext['prefixrepoid'] = "Start Arkiv ID med \"REPO\" for \"Repository\"";
		$admtext['selectrepoaction'] = "Velg arkiv og handling";
		$admtext['confdeleterepo'] = "Er du sikker på at du ønsker å slette dette arkivet?";
		$admtext['changestorepo'] = "Endringer for arkiv";
		$admtext['existingrepoinfo'] = "Eksisterende informasjon for arkiv";
		$admtext['pleaserepopart'] = "Skriv del av navn på arkiv.";
		$admtext['choosemergesources'] = "Velg kilder som skal slås sammen eller finn like kilder";
		$admtext['confirmmergesources'] = "Er du sikker på at du vil slå sammen disse to kildene?";
		$admtext['choosemergerepos'] = "Velg arkiver som skal slås sammen eller finn like arkiver";
		$admtext['confirmmergerepos'] = "Er du sikker på at du vil slå sammen disse to arkivene?";
		$admtext['revslater'] = "NB: Nye hendelser og notater kan legges til når det nye arkivet er lagret.";
		$admtext['confdeleterepo'] = "Er du sikker på at du ønsker å slette dette arkivet?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Sjekk ny ID";
		$admtext['idnotvalid'] = "er ikke en gyldig ID. En gyldig ID er et tall som starter med";
		$admtext['idinuse'] = "er i bruk. Velg en annen ID";
		$admtext['idok'] = "kan brukes";
		$admtext['isok'] = "kan brukes";
		$admtext['isinuse'] = "er allerede i bruk.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Mal nummer";
		$admtext['mainimage'] = "Hovedbilde (startside)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Tittelbilde (startside)"; //1, 2, 3
		$admtext['headline'] = "Overskrift"; //4, 7
		$admtext['mainpara'] = "Velkommen avsnitt";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Toppbilde (inkludert tittel)"; //1
		$admtext['pedperson'] = "Anetre person ID"; //2
		$admtext['pedtree'] = "Tre ID"; //2
		$admtext['phhistperson'] = "Bilder & Historier person ID"; //2
		$admtext['phhisttree'] = "Bilder & Historier tre ID"; //2
		$admtext['headimg'] = "Toppbilde"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Topptittel bilde"; //2, 3
		$admtext['titleimg'] = "Toppbilde (alle sider)"; //4, 7
		$admtext['searchpara'] = "Søk avsnitt"; //6
		$admtext['fhpara'] = "Familiehistorier avsnitt"; //6
		$admtext['fhlinkshis'] = "Familiehistorier linker (Hans)"; //6
		$admtext['fhlinkshers'] = "Familiehistorier linker (Hennes)"; //6
		$admtext['mwpara'] = "Etterlysning avsnitt"; //6
		$admtext['respara'] = "Ressurser avsnitt"; //6
		$admtext['reslinks'] = "Ressurser linker"; //6
		$admtext['headtitle1'] = "Topptittel, del 1"; //8
		$admtext['headtitle2'] = "Topptittel, del 2"; //8
		$admtext['headtitle3'] = "Topptittel, del 3"; //8
		$admtext['headsubtitle'] = "Undertittel"; //8
		$admtext['latestnews'] = "Siste nytt"; //8
		$admtext['momside'] = "Mors side betegnelse"; //8
		$admtext['dadside'] = "Fars side betegnelse"; //8
		$admtext['momperson'] = "Mors side person ID"; //8
		$admtext['momtree'] = "Mors side tre ID"; //8
		$admtext['dadperson'] = "Fars side person ID"; //8
		$admtext['dadtree'] = "Fars side tre ID"; //8
		$admtext['featurethumb1'] = "Aktuelt 1 miniatyrbilde"; //4
		$admtext['featurelink1'] = "Aktuelt 1 link"; //4
		$admtext['featuretitle1'] = "Aktuelt 1 tittel"; //4
		$admtext['featurepara1'] = "Aktuelt 1 avsnitt"; //4
		$admtext['featurethumb2'] = "Aktuelt 2 miniatyrbilde"; //4
		$admtext['featurelink2'] = "Aktuelt 2 link"; //4
		$admtext['featuretitle2'] = "Aktuelt 2 tittel"; //4
		$admtext['featurepara2'] = "Aktuelt 2 avsnitt"; //4
		$admtext['featurethumb3'] = "Aktuelt 3 miniatyrbilde"; //4
		$admtext['featurelink3'] = "Aktuelt 3 link"; //4
		$admtext['featuretitle3'] = "Aktuelt 3 tittel"; //4
		$admtext['featurepara3'] = "Aktuelt 3 avsnitt"; //4
		$admtext['featurethumb4'] = "Aktuelt 4 miniatyrbilde"; //4
		$admtext['featurelink4'] = "Aktuelt 4 link"; //4
		$admtext['featuretitle4'] = "Aktuelt 4 tittel"; //4
		$admtext['featurepara4'] = "Aktuelt 4 avsnitt"; //4
		$admtext['photocaption'] = "Hovedbilde bildetekst"; //4
		$admtext['maintitle'] = "Hovedtittel"; //5
		$admtext['hisside'] = "Hans side betegnelse"; //5
		$admtext['herside'] = "Hennes side betegnelse"; //5
		$admtext['newstext'] = "Nyhetstekst"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Aktiver valg av Maler";
		//added in 9.0.0
		$admtext['template'] = "Mal";
		$admtext['createcopy'] = "Lag kopi på";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Aktuelt linker"; //9, 10
		$admtext['featurepara'] = "Aktuelt avsnitt"; //9, 10
		$admtext['welcome'] = "Velkommen overskrift"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mors side navn"; //8
		$admtext['dadsidenames'] = "Fars side navn"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Aktuelt avsnitt";
		$admtext['menutitle'] = "Menytittel";
		$admtext['titlechoice'] = "Tittelopsjon";
		$admtext['photol'] = "Venstre bilde";
		$admtext['phototitlel'] = "Venstre bildetittel";
		$admtext['photocaptionl'] = "Venstre bildetekst";
		$admtext['photor'] = "Høyre bilde";
		$admtext['phototitler'] = "Høyre bildetittel";
		$admtext['photocaptionr'] = "Høyre bildetekst";
		$admtext['topsurnames'] = "Topp Etternavn overskrift";
		$admtext['headimg2'] = "Toppbilde 2"; //14
		$admtext['headimg3'] = "Toppbilde 3"; //14
		$admtext['showprev'] = "Vis forhåndsvisninger";
		$admtext['hideprev'] = "Skjul forhåndsvisninger";
		$admtext['ttitleimage'] = "Bilde";
		$admtext['ttitletext'] = "Tekst";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Aktuelt 5 miniatyrbilde"; //15
		$admtext['featurelink5'] = "Aktuelt 5 link"; //15
		$admtext['featuretitle5'] = "Aktuelt 5 tittel"; //15
		$admtext['featurepara5'] = "Aktuelt 5 avsnitt"; //15
		$admtext['featurethumb6'] = "Aktuelt 6 miniatyrbilde"; //15
		$admtext['featurelink6'] = "Aktuelt 6 link"; //15
		$admtext['featuretitle6'] = "Aktuelt 6 tittel"; //15
		$admtext['featurepara6'] = "Aktuelt 6 avsnitt"; //15
		$admtext['featurethumb7'] = "Aktuelt 7 miniatyrbilde"; //15
		$admtext['featurelink7'] = "Aktuelt 7 link"; //15
		$admtext['featurepara7'] = "Aktuelt 7 avsnitt"; //15
		$admtext['featurethumb8'] = "Aktuelt 8 miniatyrbilde"; //15
		$admtext['featurelink8'] = "Aktuelt 8 link"; //15
		$admtext['featurepara8'] = "Aktuelt 8 avsnitt"; //15
		$admtext['sidebarhead1'] = "Sidepanel overskrift 1"; //15
		$admtext['sidebarhead2'] = "Sidepanel overskrift 2"; //15
		$admtext['sidebarhead3'] = "Sidepanel overskrift 3"; //15
		$admtext['texttitle1'] = "Tekst 1 tittel"; //15
		$admtext['textlink1'] = "Tekst 1 link"; //15
		$admtext['textpara1'] = "Tekst 1 avsnitt"; //15
		$admtext['texttitle2'] = "Tekst 2 tittel"; //15
		$admtext['textlink2'] = "Tekst 2 link"; //15
		$admtext['textpara2'] = "Tekst 2 avsnitt"; //15
		$admtext['texttitle3'] = "Tekst 3 tittel"; //15
		$admtext['textpara3'] = "Tekst 3 avsnitt"; //15
		$admtext['subhead1'] = "Undertittel 1"; //15
		$admtext['subhead2'] = "Undertittel 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tabellene ble opprettet.";
		$admtext['backtosetup'] = "Tilbake til Oppsett menyen";
		$admtext['configuration'] = "Konfigurasjon";
		$admtext['entersysvars'] = "Velg innstillinger for systemvariabler.";
		$admtext['createdbtables'] = "Lag databasetabellene der dine data skal lagres.";
		$admtext['tcwarning'] = "<strong>Advarsel!</strong> Velg denne muligheten KUN når du setter opp sidene for FØRSTE GANG. <strong>ALLE eksisterende data, inkludert bilder, historier, gravsteiner og kirkegårdsinformasjon vil bli SLETTET!</strong>";
		$admtext['conftabledelete'] = "Dette vil slette ALLE eksisterende data!! Er du sikker på at du vil fortsette?";
		$admtext['performdatamaint'] = "Utfør vedlikehold på data, ordne bilder, historier og andre komponenter.";
		$admtext['createtables'] = "Lag Tabeller";
		$admtext['configsettings'] = "Generelle";
		$admtext['logconfigsettings'] = "Logger";
		$admtext['importconfigsettings'] = "Import";
		$admtext['diagnostics'] = "Diagnose";
		$admtext['rundiags'] = "Kjør diagnose";
		$admtext['phpinf'] = "PHP Informasjon";
		$admtext['fromphp'] = "Denne informasjonen kommer fra vertsmaskinen og er knyttet til PHP-installasjonen, ikke TNG.";
		$admtext['phpver'] = "PHP versjon";
		$admtext['phpreq'] = "(TNG krever 5.3 eller nyere.)";
		$admtext['gdlib'] = "GD grafikkbibliotek";
		$admtext['gdreq'] = "(Kreves av TNG for generering av miniatyrbilder.)";
		$admtext['availnogif'] = "Tilgjengelig, men støtter ikke .gif bilder";
		$admtext['notinst'] = "Ikke installert";
		$admtext['safemode'] = "Sikker Modus";
		$admtext['off'] = "Av";
		$admtext['on'] = "På";
		$admtext['fileuploads'] = "Opplasting av filer";
		$admtext['fureq'] = "(Kreves for web-basert opplasting av GEDCOM, bilder og annen funksjonalitet.)";
		$admtext['perm'] = "Tillatt";
		$admtext['notperm'] = "Ikke tillatt, bruk FTP i stedet for";
		$admtext['sqlver'] = "MySQL versjon";
		$admtext['sqlreq'] = "(TNG krever 5.5 eller nyere.)";
		$admtext['wsrvr'] = "Vertsmaskin";
		$admtext['fperms'] = "Fil/Mappe rettigheter";
		$admtext['fpreq'] = "(TNG krever at bestemte filer og mapper har spesielle tilgangsrettigheter.)";
		$admtext['scruser'] = "Script kjøres som bruker:";
		$admtext['phpuser'] = "PHP rapporterer det som bruker:";
		$admtext['usrprob'] = "Du har kanskje ikke de nødvendige rettigheter for å kjøre TNG problemfritt dersom du bruker både FTP og funksjoner i TNG Administrasjon til filbehandling.";
		$admtext['rofile'] = "Filen er skrivebeskyttet:";
		$admtext['rofolder'] = "Mappen er skrivebeskyttet:";
		$admtext['publog'] = "Offentlig tilgangslogg";
		$admtext['admlog'] = "Tilgangslogg for administrator";
		$admtext['folderdne'] = "Mappen finnes ikke:";
		$admtext['keyrw'] = "Viktige mapper har skrive/leserettigheter";
		$admtext['cfgrw'] = "Konfigurasjonsfiler har skrive/leserettigheter";
		$admtext['acceptable'] = "Ok.";
		$admtext['restricted'] = "Noe funksjonalitet kan være tilgangsbegrenset. Du kan oppleve feil under installasjon eller drift.";
		$admtext['needchngs'] = "TNG kan muligens ikke fungere uten å endre innstillinger for PHP eller vertsmaskin.";
		$admtext['yourbrowser'] = "Din nettleser:";
		$admtext['modifysettings'] = "Endre innstillinger";
		$admtext['dbhost'] = "Database Vertsmaskin";
		$admtext['dbname'] = "Database Navn";
		$admtext['dbusername'] = "Database Brukernavn";
		$admtext['dbpassword'] = "Database Passord";
		$admtext['rootpath'] = "Rotsti";
		$admtext['homepage'] = "Startside";
		$admtext['emailaddress'] = "E-postadresse";
		$admtext['siteowner'] = "Eier av nettsted";
		$admtext['maxdescgens'] = "Maks Generasjoner Etterkommere";
		$admtext['disallow'] = "Ikke tillatt";
		$admtext['defaultallowed'] = "Normalt: Tillatt";
		$admtext['maxsearchresults'] = "Maks søkeresultater";
		$admtext['targetframe'] = "Målramme";
		$admtext['table'] = "Tabell";
		$admtext['lastbackup'] = "Siste sikkerhetskopi";
		$admtext['backup'] = "Ta sikkerhetskopi";
		$admtext['restore'] = "Gjenopprett";
		$admtext['backupfilesize'] = "Filstørrelse";
		$admtext['succbackedup'] = "ble sikkerhetskopiert";
		$admtext['succrestored'] = "ble gjenopprettet";
		$admtext['change_cutoff'] = "'Hva er nytt?' dager";
		$admtext['change_limit'] = "'Hva er nytt?' antall";
		$admtext['photosext'] = "Bilder suffiks";
		$admtext['defaulttree'] = "Standard Tre";
		$admtext['requirelogin'] = "Krev innlogging";
		$admtext['defaultdontrequire'] = "Standard: Kreves ikke";
		$admtext['ldsdefault'] = "Vis LDS data";
		$admtext['ldson'] = "Alltid";
		$admtext['ldsoff'] = "Aldri";
		$admtext['ldspermit'] = "Avhengig av brukers rettigheter";
		$admtext['allow'] = "Tillat";
		$admtext['chooselang'] = "Dynamisk språkskifte";
		$admtext['optimize'] = "Optimaliser";
		$admtext['succoptimized'] = "ble optimalisert";
		$admtext['customheader'] = "Tilpasset toppmeny";
		$admtext['customfooter'] = "Tilpasset bunnmeny";
		$admtext['custommeta'] = "Tilpasset meta";
		$admtext['lineending'] = "Linje slutter";
		$admtext['backuppath'] = "Mappe for Sikkerhetskopier";
		$admtext['photopath'] = "Mappe for Bilder";
		$admtext['headstonepath'] = "Mappe for Gravsteiner";
		$admtext['historypath'] = "Mappe for Historier";
		$admtext['backuprestoretables'] = "Sikkerhetskopiering, gjenoppretting og optimalisering av database";
		$admtext['shownames'] = "Vis navn for Nålevende";
		$admtext['initials'] = "Forkorte fornavn";
		$admtext['regformat'] = "Generasjon Format";
		$admtext['stdformat'] = "Standard";
		$admtext['thumbprefix'] = "Prefiks for miniatyrbilder";
		$admtext['thumbmaxh'] = "Maks høyde for miniatyrbilder";
		$admtext['thumbmaxw'] = "Maks bredde for miniatyrbilder";
		$admtext['thumbsuffix'] = "Suffiks for miniatyrbilder";
		$admtext['showextended'] = "Vis utvidet bildeinformasjon";
		$admtext['shownotes'] = "Vis notater";
		$admtext['notestogether'] = "Nedenfor tilhørende hendelse, hvor mulig";
		$admtext['notestogether2'] = "Nedenfor hendelser, unntatt generelle notater";
		$admtext['notesapart'] = "I notatseksjonen";
		$admtext['lnprefixes'] = "Prefiks for etternavn (f.eks. van, de)";
		$admtext['lntogether'] = "Behold som del av etternavn";
		$admtext['lnapart'] = "Behandles som separat enhet";
		$admtext['detectpfx'] = "Oppdag prefiks ved import";
		$admtext['lnpfxnum'] = "Antall prefiks for hver (maks)";
		$admtext['specpfx'] = "ELLER disse prefiksene";
		$admtext['newmedialinks'] = "Ny kobling for bilder/historier";
		$admtext['maxgedcom'] = "Maks antall generasjoner, GEDCOM nedlasting";
		$admtext['placestable'] = "Stedstabell";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Nettsted adresse (URL)";
		$admtext['charset'] = "Tegnsett";
		$admtext['time_offset'] = "Korrigering for vertsmaskinklokke (timer)";
		$admtext['backupall'] = "Sikkerhetskopier valgte";
		$admtext['optimizeall'] = "Optimaliser valgte";
		$admtext['alltables'] = "Valgte tabeller";
		$admtext['brinstructions'] = "For å ta sikkerhetskopi, gjenopprette eller optimalisere en tabell, klikk på tilhørende handlingsikon for den tabellen, eller velg flere tabeller og start valgte handling på alle valgte tabeller ved å klikke på tilhørende knapp øverst i skjermbildet.";
		$admtext['tabstyle'] = "Faner stil";
		$admtext['iconloc'] = "Menyplassering";
		$admtext['topleft'] = "Topp venstre, over toppmeny";
		$admtext['topright'] = "Topp høyre, ved siden av toppmeny";
		$admtext['indstart'] = "Personsider starter med";
		$admtext['persinfo'] = "Kun 'Personlig informasjon'";
		$admtext['allinfo'] = "All informasjon";
		$admtext['thumbcols'] = "Kolonner i miniatyrbildevisning";
		$admtext['stdesc'] = "Start etterkommere";
		$admtext['stexpand'] = "Utvidet";
		$admtext['stcollapse'] = "Minimert";
		$admtext['regnosp'] = "Generasjoner i Generasjon Format";
		$admtext['chshow'] = "Vis alltid alle";
		$admtext['chifsp'] = "Fjern enkeltpersoner uten familie";
		$admtext['restoreall'] = "Gjenopprett valgte";
		$admtext['surerestore'] = "Er du sikker på at du vil gjenopprette valgte tabeller?";
		$admtext['surerestorets'] = "Er du sikker på at du vil gjenopprette tabellstruktur? Alle data vil bli slettet!";
		$admtext['backupstruct'] = "Sikkerhetskopier tabellstruktur";
		$admtext['tablestruct'] = "Tabellstruktur";
		$admtext['brinstructions2'] = "For å sikkerhetskopiere eller gjenopprette tabellstrukturen, klikk på tilhørende handlingsikon under. <strong>ADVARSEL:</strong> Gjenoppretting av tabellstruktur vil <strong>slette alle data</strong> i tabellene!";
		$admtext['livedefault'] = "Vis informasjon om Nålevende personer";
		$admtext['nodisplay'] = "Ikke vis";
		$admtext['menudisp'] = "Vis meny";
		$admtext['asicons'] = "Som ikoner";
		$admtext['asdrop'] = "Som nedtrekksmeny";
		$admtext['gendex'] = "Mappe for GENDEX filer";
		$admtext['modifypedsettings'] = "Endre innstillinger for Anetre";
		$admtext['leftindent'] = "Innrykk fra venstre";
		$admtext['boxnamesize'] = "Størrelse for navneboks";
		$admtext['namesizeshift'] = "Endring i skriftstørrelse for Navn";
		$admtext['boxdatessize'] = "Størrelse for datoer i boksen";
		$admtext['datessizeshift'] = "Endring i skriftstørrelse for datoer";
		$admtext['boxcolor'] = "Boksfarge";
		$admtext['colorshift'] = "Endring i fargen (%)";
		$admtext['emptycolor'] = "Farge for tomme bokser";
		$admtext['bordercolor'] = "Rammefarge";
		$admtext['shadowcolor'] = "Skyggefarge";
		$admtext['boxwidth'] = "Boksbredde (uten 'popups')";
		$admtext['boxheight'] = "Bokshøyde (uten 'popups')";
		$admtext['boxalign'] = "Boksjustering (uten 'popups')";
		$admtext['boxheightshift'] = "Endring i bokshøyden (uten 'popups')";
		$admtext['boxHsep'] = "Horisontal avstand mellom bokser";
		$admtext['boxVsep'] = "Vertikal avstand mellom bokser";
		$admtext['shadowoffset'] = "Skygge";
		$admtext['linewidth'] = "Linjebredde";
		$admtext['borderwidth'] = "Kantlinjebredde";
		$admtext['popupcolor'] = "'Popup' farge";
		$admtext['popupinfosize'] = "'Popup' info størrelse";
		$admtext['popupinfosizeshift'] = "'Popup' endring av info størrelse";
		$admtext['popuptimer'] = "'Popup Timer' (ms)";
		$admtext['pedevent'] = "'Popup' Hendelse";
		$admtext['puboxwidth'] = "Boksbredde (med 'popups')";
		$admtext['puboxheight'] = "Bokshøyde (med 'popups')";
		$admtext['puboxalign'] = "Boksoppstilling (med 'popups')";
		$admtext['puboxheightshift'] = "Endring i bokshøyden (med 'popups')";
		$admtext['popupspouses'] = "'Popup' Partnere";
		$admtext['popupkids'] = "'Popup' Barn";
		$admtext['popupchartlinks'] = "'Popup' Diagramlinker";
		$admtext['inclphotos'] = "Inkludere bilder";
		$admtext['overflow'] = "Overløp";
		$admtext['pedcompact'] = "Kompakt";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Bare tekst";
		$admtext['relchart'] = "Slektskap diagram";
		$admtext['maxupgen'] = "Maksimum generasjoner i slektsforhold";
		$admtext['left'] = "Venstre";
		$admtext['right'] = "Høyre";
		$admtext['center'] = "Sentrer";
		$admtext['mouseover'] = "Mus over";
		$admtext['mousedown'] = "Mus ned";
		$admtext['ahnentafel'] = "Anetavle";
		$admtext['pedbox'] = "Boks";
		$admtext['hideempty'] = "Skjul tomme bokser";
		$admtext['logfilename'] = "Navn på loggfil,";
		$admtext['maxloglines'] = "Maks linjer i loggen,";
		$admtext['modifylogsettings'] = "Endre innstillinger for logg";
		$admtext['badhosts'] = "Ekskluder vertsnavn";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Brukere)";
		$admtext['saveimportstate'] = "Lagre importstatus";
		$admtext['allowresume'] = "Lagre for å kunne fortsette hvis importen feiler";
		$admtext['modifyimportsettings'] = "Endre innstillinger for Import";
		$admtext['embeddedmedia'] = "Vedlagte Media";
		$admtext['assignnames'] = "La TNG navnsette vedlagte media";
		$admtext['localphotopath'] = "Lokal sti for Bilder";
		$admtext['localdocpath'] = "Lokal sti for Historier";
		$admtext['nopathmatch'] = "Dersom ingen lokal sti stemmer overens";
		$admtext['wholepath'] = "Importer hele stien";
		$admtext['justname'] = "Importer kun filnavn";
		$admtext['gedpath'] = "GEDCOM Mappe (Import/Eksport)";
		$admtext['makefolder'] = "Opprett mappe";
		$admtext['blankchangedt'] = "Dersom 'Endret dato' er blank";
		$admtext['usetoday'] = "Bruk dagens dato";
		$admtext['useblank'] = "Behold eksisterende";
		$admtext['nobirthdate'] = "Dersom fødselsdato ikke er angitt, anta";
		$admtext['persliving'] = "Personen lever";
		$admtext['persdead'] = "Personen er død";
		$admtext['nodeathdate'] = "Dersom dødsdato ikke er angitt, anta død <br />dersom eldre enn";
		$admtext['pedconfigsettings'] = "Diagrammer";
		$admtext['usepopups'] = "Initiell visning";
		$admtext['maxpedgens'] = "Maksimum generasjoner";
		$admtext['dbsection'] = "Database";
		$admtext['tablesection'] = "Tabellnavn";
		$admtext['foldersection'] = "Stier og mapper";
		$admtext['sitesection'] = "Nettstedsutforming og definisjon";
		$admtext['privsection'] = "Personvern";
		$admtext['namesection'] = "Navn";
		$admtext['descsection'] = "Descendancy";
		$admtext['miscsection'] = "Forskjellig";
		$admtext['mediatable'] = "Media Tabell";
		$admtext['pedanddesc'] = "Felles elementer";
		$admtext['descchart'] = "Etterkommertre";
		$admtext['pedchart'] = "Anetre";
		$admtext['initgens'] = "Initielle generasjoner";
		$admtext['mediapath'] = "Mappe for generelle Media";
		$admtext['documentpath'] = "Mappe for Dokumenter";
		$admtext['localdocumentpath'] = "Lokal sti for Dokumenter";
		$admtext['localotherpath'] = "Lokal sti for andre Media";
		$admtext['imgmaxh'] = "Maks høyde for bilder";
		$admtext['imgmaxw'] = "Maks bredde for bilder";
		$admtext['succdel'] = "slettet";
		$admtext['delbkups'] = "Slett valgte sikkerhetskopi";
		$admtext['suredelbk'] = "Er du sikker på at du vil slette valgte sikkerhetskopi?";
		$admtext['showhome'] = "Vis 'Startside' link";
		$admtext['showsearch'] = "Vis 'Søk' link";
		$admtext['showlogin'] = "Vis 'Logg inn'/'Logg ut' linker";
		$admtext['showprint'] = "Vis 'Skriv ut' link";
		$admtext['showbmarks'] = "Vis 'Legg til bokmerke' link";
		$admtext['server'] = "(vertsmaskin)";
		$admtext['client'] = "(klient)";
		$admtext['sitename'] = "Nettsted navn";
		$admtext['site_desc'] = "Nettsted beskrivelse";
		$admtext['privnote'] = "Prefiks for private notater";
		$admtext['custvars'] = "NB: Du kan opprette egne tilpassede innstillinger  i \"customconfig.php\" (åpne i en teksteditor og følg instruksjonene).";
		$admtext['blockemail'] = "Blokker forslag eller nye brukerregistreringer hvor";
		$admtext['addrcontains'] = "Adresse inneholder";
		$admtext['msgcontains'] = "Melding inneholder";
		$admtext['reqloginset'] = "\"Krev innlogging\" velg 'Ja' for å aktivere denne opsjonen";
		$admtext['treerestrict'] = "Begrens tilgang til valgt tre";
		$admtext['mapconfigsettings'] = "Kart";
		$admtext['modifymapsettings'] = "Endre innstillinger for Kart";
		$admtext['maptype'] = "Karttype";
		$admtext['maphybrid'] = "Bilder med gatenavn";
		$admtext['mapsatellite'] = "Satellittbilder";
		$admtext['mapdimsind'] = "Størrelse, Personsider";
		$admtext['mapdimshst'] = "Størrelse, Gravsteinsider";
		$admtext['mapdimsadm'] = "Størrelse, Adminsider";
		$admtext['mapwidth'] = "Bredde (% eller px)";
		$admtext['mapheight'] = "Høyde (px)";
		$admtext['mapstlat'] = "Breddegrad utgangspunkt";
		$admtext['mapstlong'] = "Lengdegrad utgangspunkt";
		$admtext['startoff'] = "Skjul Admin kart fra start";
		$admtext['conslpins'] = "Slå sammen duplikate kartnåler";
		$admtext['ssenabled'] = "Aktiver lysbildefremvisning";
		$admtext['ssrepeat'] = "Autorepeter lysbildefremvisning";
		$admtext['sysinfo'] = "Vis informasjon om programvare på vertsmaskin.";
		$admtext['albumlinkstable'] = "Albummedia";
		$admtext['addresstable'] = "Adresser";
		$admtext['statestable'] = "Fylker";
		$admtext['countriestable'] = "Land";
		$admtext['notelinkstable'] = "Notatlinker";
		$admtext['medialinkstable'] = "Medialinker";
		$admtext['saveimporttable'] = "Lagre Import";
		$admtext['brlinkstable'] = "Grenlinker";
		$admtext['temptable'] = "Temp-hendelser";
		$admtext['tleventstable'] = "Tidslinjehendelser";
		$admtext['album2entitiestable'] = "Albumlinker";
		$admtext['doctype'] = "'Doctype' deklarasjon";
		$admtext['cemrows'] = "Maks linjer per kolonne (ca.)";
		$admtext['cemblanks'] = "Ikke vis \"Ukjent\" kategorier";
		$admtext['success'] = "Suksess";
		$admtext['fexists'] = "Feil. Mappen finnes allerede.";
		$admtext['fmanual'] = "Feil. Vennligst bruk et FTP program eller en online filbehandler.";
		$admtext['maintmode'] = "Vedlikeholdsmodus";
		$admtext['maintexp'] = "All tilgang til databasen er midlertidig stengt på grunn av vedlikehold. Vennligst prøv igjen om noen minutter. Dersom databasen ikke blir tilgjengelig innen rimelig tid, ta kontakt med administratoren.";
		$admtext['defimpopt'] = "Standard erstatt opsjon";
		$admtext['seltable'] = "Vennligst velg minst en tabell.";
		$admtext['renumber'] = "Omnummerer ID'er";
		$admtext['idtype'] = "ID Type";
		$admtext['mindigits'] = "Minste Tall";
		$admtext['niprefix'] = "Ikke inkludert ID prefiks";
		$admtext['finreseq'] = "Sortering ferdig";
		$admtext['recsreseq'] = "data sortert";
		$admtext['needmaint'] = "Du må være i Vedlikeholdsmodus for å kjøre dette programmet (gå til Oppsett &gt;&gt; Konfigurasjon &gt;&gt; Generelle &gt;&gt; Database)";
		$admtext['reseqwarn'] = "<strong>ADVARSEL:</strong> Sortering av ID kan føre til at eksterne linker ikke virker eller blir feil.";
		$admtext['subroot'] = "Konfigurasjonssti";
		$admtext['hidechr'] = "Skjul dåp";
		$admtext['datefmt'] = "Numerisk datoformat";
		$admtext['dayfirst'] = "Dag/Måned/År";
		$admtext['monthfirst'] = "Måned/Dag/År";
		$admtext['exusers'] = "Ekskluder Brukernavn";
		$admtext['allowreg'] = "Tillat nye brukerregistreringer";
		$admtext['localhspath'] = "Lokal sti for Gravsteiner";
		$admtext['pardata'] = "Foreldredata på personside";
		$admtext['pnoevents'] = "Ikke vis noen hendelser";
		$admtext['pstdonly'] = "Vis bare standard familiehendelser";
		$admtext['palldata'] = "Vis alle hendelser og media";
		$admtext['servertime'] = "Vertsmaskin tid er";
		$admtext['sitetime'] = "og nettsted tid er";
		$admtext['srexpl'] = "Valgfritt. Bruk en absolutt sti, slik du ser i Rotsti, og flytt <strong>umiddelbart</strong> de følgende filer til mappen som Konfigurasjonsstien peker til, og gjør dem skrivbare (664 rettigheter): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Standard Zoom";
		$admtext['mapfoundzm'] = "Sted Zoom";
		$admtext['rrnum'] = "Rapporter til skjerm for hver importerte (antall) poster";
		$admtext['progint'] = "Fremdriftsintervall (ms)";
		$admtext['timechart'] = "Tidslinje diagram";
		$admtext['tcheight'] = "Diagram høyde";
		$admtext['distances'] = "Alle avstander målt i piksler.";
		$admtext['mpixels'] = "Piksler mellom måneder";
		$admtext['ypixels'] = "Piksler mellom år";
		$admtext['ymult'] = "År mellom årmarkører";
		$admtext['mpct'] = "Vertikal prosentandel for måneder";
		$admtext['ypct'] = "Vertikal prosentandel for år";
		$admtext['inclevs'] = "Hendelser som skal inkluderes";
		$admtext['allevs'] = "Alle hendelser";
		$admtext['rangeevs'] = "Kun hendelser som kommer innenfor levetiden for personene på diagrammet";
		$admtext['tcwidth'] = "Initiell diagram bredde";
		$admtext['simile'] = "Aktiver SIMILE tidslinje";
		//added in 8.0.0
		$admtext['pstartoff'] = "Skjul brukeres kart fra start";
		$admtext['maxrels'] = "Maksimum slektskap";
		$admtext['initrels'] = "Initielle slektskap";
		$admtext['templateconfigsettings'] = "Maler";
		$admtext['modifytemplatesettings'] = "Endre innstillinger for Maler";
		$admtext['ucsurnames'] = "Store bokstaver for alle etternavn";
		$admtext['maxnoteprev'] = "Maks bokstaver for notater i lister";
		$admtext['mailreg'] = "E-post og registering";
		$admtext['autoapp'] = "Automatisk godkjenning av nye brukere";
		$admtext['inclpwd'] = "Inkluder passord i velkomst e-post";
		$admtext['ackemail'] = "Send bekreftelse med e-post";
		$admtext['fromadmin'] = "Send all e-post fra adressen over";
		$admtext['autotree'] = "Lag et nytt tre til bruker";
		$admtext['modspath'] = "Mappe for Modifikasjoner";
		$admtext['extspath'] = "Mappe for Utvidelser";
		$admtext['encrtype'] = "Type kryptering";
		$admtext['none'] = "Ingen kryptering";
		$admtext['imgviewer'] = "Aktiver bildevisning";
		$admtext['docsonly'] = "Kun Dokumenter";
		$admtext['imgvheight'] = "Bildevisning høyde";
		$admtext['flex'] = "Vis alltid fullt bilde";
		$admtext['setheight'] = "Fast (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Koble Steder til Trær";
		$admtext['convert'] = "Konverter";
		$admtext['convexpl'] = "(Dette vil koble alle nåværende Steder til valgte Tre)";
		$admtext['mergeexpl'] = "(Dette vil fjerne trekoblingen fra alle Steder)";
        $admtext['nocutoff'] = "La stå tomt eller sett til null for å fjerne denne begrensningen";
        $admtext['usesmtp'] = "Bruk SMTP autentisering";
        $admtext['mailhost'] = "SMTP vertsnavn";
        $admtext['mailuser'] = "E-post brukernavn";
        $admtext['mailpass'] = "E-post passord";
        $admtext['mailport'] = "Portnummer";
		$admtext['showshare'] = "Vis 'Del' link";
		$admtext['defpgsize'] = "Standard PDF arkstørrelse";
		$admtext['mapterrain'] = "Gatekart med terreng";
		$admtext['maproadmap'] = "Gatekart";
		$admtext['usedefthumbs'] = "Bruk standard miniatyrbilder";
        $admtext['autogeo'] = "Geokode alle nye Steder";
        $admtext['revmail'] = "Varsle om innsendte endringsforslag";
        $admtext['assumepriv'] = "Sett status til Privat hvis ikke død så mange år";
        $admtext['calstart'] = "Første dag i uke";
		$admtext['edit_timeout'] = "Tidsavbrudd for redigering (minutter)";
		$admtext['shownamespr'] = "Vis navn for Privat";
		$admtext['tables'] = "Tabeller";
		//changed in 10.0.0
		$admtext['regnotes'] = "Vis notater i Generasjon Format";
		//added in 10.0.0
		$admtext['collation'] = "Sortering";
		$admtext['collationexpl'] = "(la stå tomt for å godta standard)";
		$admtext['scrollcite'] = "Bla henvisninger";
		$admtext['hidemedia'] = "Skjul personlig media";
		$admtext['searchchoice'] = "Standard søkemetode";
		$admtext['quicksearch'] = "Hurtigsøk";
		$admtext['advsearch'] = "Advansert søk";
		$admtext['pedvertical'] = "Vertikalt";
		$admtext['vboxwidth'] = "Boksbredde";
		$admtext['vboxheight'] = "Bokshøyde";
		$admtext['vspacing'] = "Avstander";
		$admtext['vchart'] = "Vertikalt diagram";
		//added in 10.1.0
		$admtext['reuseids'] = "Gjenbruk av slettede IDer";
		$admtext['lastimport'] = "Vis siste import";
		//added in 10.1.2
        $admtext['mailenc'] = "Kryptering";
        //added in 11.0.0
		$admtext['dbport'] = "Database Port";
		$admtext['dbsocket'] = "Database Socket";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefikser og suffikser";
		$admtext['personprefix'] = "Person prefiks";
		$admtext['personsuffix'] = "Person suffiks";
		$admtext['familyprefix'] = "Familie prefiks";
		$admtext['familysuffix'] = "Familie suffiks";
		$admtext['sourceprefix'] = "Kilde prefiks";
		$admtext['sourcesuffix'] = "Kilde suffiks";
		$admtext['repoprefix'] = "Arkiv prefiks";
		$admtext['reposuffix'] = "Arkiv suffiks";
		$admtext['noteprefix'] = "Notat prefiks";
		$admtext['notesuffix'] = "Notat suffiks";
		$admtext['mobilesection'] = "Mobil";
		$admtext['mobilesite'] = "Mobilnettsteds navn vil være ";
		$admtext['menubar'] = "i menyfelt for mobil";
		$admtext['belowbar'] = "under menyfelt for mobil";
		$admtext['responsivetables'] = "Aktiver 'Responsive tabeller'";
		$admtext['tabletype'] = "Type 'Responsive tabeller'";
		$admtext['enablemodeswitch'] = "Aktiver 'Responsive tabeller' modusvelger";
		$admtext['enableminimap'] = "Aktiver 'Responsive tabeller' minikart";
		$admtext['showtasks'] = "Vis 'Viktige oppgaver' meldinger";
		$admtext['showtotals'] = "Vis totalt antall poster på Administrasjonsmenyen";
		$admtext['backupdays'] = "Varsle hvis ingen backup i så mange dager";
		$admtext['backupnote'] = "Merk: Hvis din database er veldig stor, kan det være lurt å bruke en tredjeparts verktøy (som mysqldumper eller phpMyAdmin) til å sikkerhetskopiere og gjenopprette tabeller. Minst en av disse bør være tilgjengelig fra din nettstedsleverandørs kontrollpanel ('cpanel').";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Skjul alle DNA-sider og data";
                $admtext['assumeliving'] = "Sett status til Nålevende hvis ikke død så mange år";
		//changed in 11.0.2
		$admtext['mapkey'] = "Google Maps API Key";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "skriv del av fornavn og/eller etternavn";
		$admtext['pleasenamepart'] = "Vennligst skriv en del av fornavn eller etternavn.";
		$admtext['enternamepart2'] = "skriv ID eller del av for- eller etternavn";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Vennligst angi en del av et stedsnavn.";
		$admtext['addnewplace'] = "Legg til nytt sted";
		$admtext['createplace'] = "Lag oppføring for nytt sted";
		$admtext['modifyplace'] = "Rediger eksisterende sted";
		$admtext['editexistingplaceinfo'] = "Rediger informasjon for tidligere opprettet sted";
		$admtext['enterplace'] = "Angi et sted.";
		$admtext['newplaceinfo'] = "Informasjon om nytt sted";
		$admtext['existingplaceinfo'] = "Nåværende informasjon om sted";
		$admtext['changestoplace'] = "Endringer for sted";
		$admtext['selectplaceaction'] = "Velg sted og handling";
		$admtext['mergeplaces'] = "Slå sammen steder";
		$admtext['findmerge'] = "Finn mulige duplikater";
		$admtext['selectplacemerge'] = "Velg steder som skal sammenslås";
		$admtext['mcol1'] = "Slå sammen<br/>disse<br/>(slett)";
		$admtext['mcol2'] = "med<br/>denne<br/>(behold)";
		$admtext['pmsucc'] = "Sammenslåing sted fullført";
		$admtext['nomerge'] = "Ingenting å slå sammen";
		$admtext['enterkeep'] = "Velg mål for sammenslåingen.";
		$admtext['backmerge'] = "Søk igjen";
		$admtext['confdeleteplace'] = "Er du sikker på at du ønsker å slette dette stedet?";
		$admtext['propagate'] = "Oppdater endringer i eksisterende hendelser";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Er du sikker på at du vil fjærne linken til denne gravplassen?";
		$admtext['nocoords'] = "Manglende bredde- og lengdegrad";
		$admtext['istemple'] = "Dette stedet er en LDS tempel kode";
		$admtext['findtemples'] = "Finn bare LDS tempel koder";
		$admtext['choosecem'] = "Velg en Kirkegård";
		$admtext['geocopy'] = "Kopier geokode informasjonen under til denne kirkegården";
		$admtext['linkcem'] = "Link dette stedet til en kirkegård";
		$admtext['cemsavail'] = "Listen inneholder kun kirkegårder som ikke allerede er linket til et sted";
		$admtext['nocemsavail'] = "Ingen kirkegård finnes, eller kirkegården er allerede linket til et sted.";
        //added in 9.0.0
        $admtext['geocode'] = "Geokode";
        $admtext['ignoreall'] = "Ignorer alle";
        $admtext['usefirst'] = "Bruk første treff";
        $admtext['multchoice'] = "Hvis det finnes flere treff for Steder:";
        $admtext['geoexpl'] = "Geokode alle Steder uten breddegrad og lengdegrad koordinater";
        $admtext['geocoding'] = "Geokoder...";
        $admtext['backgeo'] = "Tilbake til Geokode meny";
        $admtext['limit'] = "Maksimum antall:";
        $admtext['nolimit'] = "Ingen maksimumverdi";
		$admtext['blankplace'] = "Uten stedsnavn";
        $admtext['nogeocode'] = "Kunne ikke geokodes";
        $admtext['toomany'] = "Ikke utført (for mange resultat)";
		$admtext['treesgone'] = "Tretilknytninger fjernet fra alle Steder";
		//added in 11.0.0
		$admtext['nolevel'] = "Stedsnivå ikke satt";
		$admtext['placenotsaved'] = "Sted ikke lagret. Et annet sted med dette navnet finnes allerede. Velg heller 'Slå sammen'.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Generer Ny ID";
		$admtext['generating'] = "Genererer...Vent litt";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Sporer etterkommerlinjer...";
		$admtext['finishedtracking'] = "Ferdig med å spore etterkommerlinjer.";
		$admtext['backtosecondary'] = "Tilbake til Sekundære Prosesser";
		$admtext['sortchildren'] = "Sorter barn";
		$admtext['sortingchildren'] = "Sorterer barn";
		$admtext['sortspouses'] = "Sorter ektefeller/partnere";
		$admtext['sortingspouses'] = "Sorterer ektefeller/partnere";
		$admtext['relabelbranches'] = "Sett ny tilhørighet til gren";
		$admtext['relabeling'] = "Endrer navn på gren";
		$admtext['creatinggendex'] = "Oppretter GENDEX fil...";
		$admtext['finishedgendex'] = "Ferdig med å opprette GENDEX fil.";
		//added in 8.0.0
		$admtext['postgdx'] = "Hvor GENDEX filen skal lastes opp";
		//added in 10.0.0
		$admtext['evalmedia'] = "Trim Media menyer";
		$admtext['evaluating'] = "Teller media";
		$admtext['finished'] = "Ferdig";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Legg til nytt språk";
		$admtext['enterlangdisplay'] = "Vennligst legg til navn på språk.";
		$admtext['enterlangfolder'] = "Skriv navn på mappen som inneholder filene for dette språket.";
		$admtext['newlanguageinfo'] = "Informasjon om nytt språk";
		$admtext['langdisplay'] = "Navn på språk <br>som blir presentert på startsiden";
		$admtext['createlanguage'] = "Lag en fil for et nytt språk";
		$admtext['nolanguages'] = "Ingen språkfiler eksisterer";
		$admtext['conflangdelete'] = "Er det sikkert at du vil slette dette språket?";
		$admtext['existinglanguages'] = "Eksisterende språkinformasjon";
		$admtext['modifylanguage'] = "Endre eksisterende språk";
		$admtext['changestolanguage'] = "Endringer for språket";
		$admtext['charset'] = "Tegnsett";
		$admtext['editexistinglanguage'] = "Rediger informasjon om et lagret språk";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Oppprett en post for et nytt tre";
		$admtext['notrees'] = "Ingen filer med tre eksisterer";
		$admtext['existingtrees'] = "Informasjon om Eksisterende Tre";
		$admtext['editexistingtree'] = "Endre informasjon for et eksisterende tre";
		$admtext['treename'] = "Treets navn";
		$admtext['owner'] = "Eier";
		$admtext['conftreedelete'] = "Er du sikker på at du vil slette dette treet og alle koblinger?";
		$admtext['conftreeclear'] = "Er du sikker på at du vil fjerne alle data fra dette treet?";
		$admtext['changestotree'] = "Endringer for tre";
		$admtext['newtreeinfo'] = "Ny Informasjon om tre";
		$admtext['existingtreeinfo'] = "Eksisterende informasjon om tre";
		$admtext['modifytree'] = "Endre eksisterende tre";
		$admtext['succcleared'] = "ble fjernet";
		$admtext['gedcomextraction'] = "Ikke tillat nedlasting av GEDCOM filer";
		$admtext['gedexport'] = "GEDCOM Eksport";
		$admtext['exporting'] = "Eksporterer GEDCOM...";
		$admtext['ifexportfails'] = "Dersom GEDCOM eksporten ikke blir fullført,";
		$admtext['finishedexporting'] = "GEDCOM eksport ferdig";
		$admtext['backtotrees'] = "Tilbake til trærne";
		$admtext['downloadged'] = "Last ned GEDCOM";
		$admtext['lastimport'] = "Siste import";
		$admtext['treeexists'] = "Et tre med denne ID eksisterer allerede. Velg en annen ID, og prøv igjen.";
		$admtext['exportmedia'] = "Eksporter medialinker";
		//added in 8.0.0
		$admtext['changetree'] = "Endre tre";
		$admtext['newtree'] = "Nytt tre";
		$admtext['currtree'] = "Gjeldende tre";
		$admtext['chwarn'] = "ADVARSEL: Denne handlingen vil fjærne alle familielinker, steder og andre referanser til denne oppføringen i gjeldende tre.";
		$admtext['keepprivate'] = "Hold eierinformasjon privat";
		//changed in 9.0.0
		$admtext['exppaths'] = "Lokal sti";
		$admtext['nopdf'] = "Ikke tillat brukere å lage PDF filer";
		//added in 10.0.0
		$admtext['exprivate'] = "Ekskluder Privat";
		$admtext['exliving'] = "Ekskluder Nålevende";
		$admtext['importfilename'] = "Importens filnavn";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Legg til ny bruker";
		$admtext['createuser'] = "Lag en ny bruker";
		$admtext['nousers'] = "Ingen bruker informasjon finnes";
		$admtext['existingusers'] = "Eksisterende bruker informasjon";
		$admtext['editexistinguser'] = "Endre informasjon for en eksisterende bruker";
		$admtext['confuserdelete'] = "Er du sikker på at du vil slette denne brukeren?";
		$admtext['changestouser'] = "Endringer for brukeren";
		$admtext['enteruserpassword'] = "Skriv et passord.";
		$admtext['enterusername'] = "Skriv inn et brukernavn.";
		$admtext['newuserinfo'] = "Ny Bruker Informasjon";
		$admtext['existinguserinfo'] = "Eksisterende brukerinformasjon";
		$admtext['modifyuser'] = "Endre eksisterende bruker";
		$admtext['allow_living'] = "Tillat å se informasjon om Nålevende personer";
		$admtext['allow_lds'] = "Tillat å se LDS informasjon";
		$admtext['enterusername'] = "Skriv inn et brukernavn.";
		$admtext['enteruserdesc'] = "Skriv en beskrivelse av brukeren.";
		$admtext['enterpassword'] = "Skriv et passord.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "Første bruker som opprettes er en administrator (INGEN tre valgt) og vil ha tilgang til alle systeminnstillinger.";
		$admtext['userfailed'] = "FEIL: Brukeren kan ikke opprettes siden en annen bruker med samme brukernavn allerede finnes.";
		$admtext['allow_ged'] = "Tillat nedlasting av GEDCOM filer";
		$admtext['assigned'] = "Tildelt";
		$admtext['treemsg'] = "Valgfritt. Dersom en bruker ikke knyttes til et bestemt tre vil denne få tilgang til alle tre. Administrator skal ikke være tilknyttet et bestemt tre.";
		$admtext['branchmsg'] = "Valgfritt. Dersom en bruker tilknyttes en gren vil dette begrense brukerens tilgang til kun angitte gren innen valgte tre.";
		$admtext['accesslimits'] = "Tilgangsgrenser:";
		$admtext['rights'] = "Rettigheter:";
		$admtext['realname'] = "Fullt navn";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Registrer ny bruker";
		$admtext['editnewusers'] = "Behandle oppføringer for nyregistrerte brukere. Nye brukere har ingen tilgang før registreringen er behandlet.";
		$admtext['nonewusers'] = "Ingen nye brukere";
		$admtext['lastlogin'] = "Sist innlogget";
		$admtext['tentative_edit'] = "Tillat å poste endringsforslag til administrator (kun personer, familier og kilder)";
		$admtext['notify'] = "Varsle bruker når kontoen aktiveres";
		$admtext['no_edit'] = "Ingen redigeringsrettigheter";
		$admtext['emailusers'] = "Send e-post til brukere";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "E-postmelding til Brukere";
		$admtext['subject'] = "E-post Emne";
		$admtext['messagetext'] = "E-post Tekst";
		$admtext['selectgroup'] = "Velg en gruppe å sende e-post til (la stå åpent for å sende til alle)";
		$admtext['treemailmsg'] = "Valgfritt. Ved å velge et tre, blir e-posten kun sendt til brukere av dette treet.";
		$admtext['branchmailmsg'] = "Valgfritt. Ved å velge en gren, blir e-posten kun sendt til brukere av denne grenen.";
		$admtext['send'] = "Send E-post";
		$admtext['sentmailmessage'] = "Sendte e-postmeldinger";
		$admtext['succmail'] = "Din e-postmelding har blitt sendt.";
		$admtext['mailfailed'] = "Din e-postmelding har ikke blitt sendt.";
		$admtext['entersubject'] = "Skriv et emne for din melding.";
		$admtext['entermsgtext'] = "Skriv innholdet i din melding.";
		$admtext['adminonly'] = "Vis bare adminbrukere";
		$admtext['dtregistered'] = "Dato registert";
		$admtext['dtactivated'] = "Dato aktivert";
		$admtext['no_email'] = "Send ikke masseutsendt e-post til denne brukeren";
		$admtext['allow_admin'] = "Gir tilgang til alle systeminnstillinger og administrative funksjoner, og tildeler rettigheter til alle tre og grener.";
		$admtext['limitedrights'] = "Begrens tilgangen til følgende:";
		$admtext['allow_edit'] = "Tillat redigering av eksisterende data";
		$admtext['allow_add'] = "Tillat å legge til nye data";
		$admtext['allow_delete'] = "Tillat å slette eksisterende data";
		//added in 8.0.0
		$admtext['usrguest'] = "Gjest";
		$admtext['usrguestd'] = "Ingen rett til å legge til, redigere eller slette.";
		$admtext['noadmin'] = "Ingen tilgang til Administrasjonsområdet.";
		$admtext['usrsubm'] = "Innsender";
		$admtext['usrsubmd'] = "Send inn forslag til endringer.";
		$admtext['usrcontrib'] = "Bidragsyter";
		$admtext['usrcontribd'] = "Legg til informasjon, inkludert Media.";
		$admtext['usreditor'] = "Redaktør";
		$admtext['usreditord'] = "Legg til, rediger og slett all informasjon, inkludert media.";
		$admtext['usradmin'] = "Administrator";
		$admtext['usradmind'] = "Alle rettigheter.";
		$admtext['usrmcontrib'] = "Media Bidragsyter";
		$admtext['usrmcontribd'] = "Legg til kun media.";
		$admtext['usrmeditor'] = "Media Redaktør";
		$admtext['usrmeditord'] = "Legg til, rediger og slett kun media.";
		$admtext['allow_media_edit'] = "Tillat kun redigering av media";
		$admtext['allow_media_add'] = "Tillat kun å legge til media";
		$admtext['allow_media_delete'] = "Tillat kun å slette media";
		$admtext['no_add'] = "Ingen rettighet til å legge til";
		$admtext['no_delete'] = "Ingen rettighet til å slette";
		$admtext['roles'] = "Roller";
		$admtext['usrcustom'] = "Tilpasset";
        //added in 9.0.0
		$admtext['allow_private'] = "Tillat å se informasjon om Private personer";
		$admtext['allow_pdf'] = "Tillat å laste ned PDF'er";
		$admtext['allow_profile'] = "Tillat å endre brukerprofil";
		break;

	case "login":
		$admtext['loginfailed'] = "Innlogging mislykket.";
		$admtext['adminlogfile'] = "Admin Loggfil";
		$admtext['mostrecentactions'] = "Siste utførte handlinger";
		$admtext['rempass'] = "Forbli innlogget (husk meg)";
		$admtext['sessexp'] = "Din økt har utløpt på tid.";
		$admtext['logagain'] = "Klikk for å logge inn igjen.";
		//added in 8.1.0
		$admtext['logininactive'] = "Din konto er ennå ikke aktiv. Prøv igjen senere eller ta kontakt med nettstedets administrator.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Lag en ny tidslinjehendelse";
		$admtext['modifytlevent'] = "Rediger eksisterende hendelse i tidslinje";
		$admtext['leaveblankalltlevents'] = "la stå blankt for å vise alle hendelser i tidslinje";
		$admtext['evyear'] = "Hendelse år";
		$admtext['evdetail'] = "Hendelse detalj";
		$admtext['selecttleventaction'] = "Velg hendelse i tidslinje og handling";
		$admtext['changestotlevent'] = "Endringer for hendelse i tidslinje";
		$admtext['location'] = "Lokasjon";
		$admtext['confdeletetlevent'] = "Er du sikker på at du vil slette denne hendelsen i tidslinjen?";
		$admtext['enterevyear'] = "Angi år for hendelsen.";
		$admtext['enterevdetail'] = "Angi detaljer for hendelsen.";
		$admtext['existingtleventinfo'] = "Eksisterende hendelser i tidslinjen";
		$admtext['newtleventinfo'] = "Ingen hendelser i tidslinjen";
		$admtext['edittleventinfo'] = "Rediger en tidligere registrert hendelse i tidslinjen";
		$admtext['addnewtlevent'] = "Legg til hendelse i tidslinjen";
		$admtext['yrreq'] = "(kun år er obligatorisk)";
		$admtext['startdt'] = "Startdato";
		$admtext['enddt'] = "Sluttdato";
		//added in 9.0.0
		$admtext['evtitle'] = "Hendelse tittel";
		break;

	case "review":
		$admtext['selectevaction'] = "Velg hendelse og handling";
		$admtext['suggested'] = "Forslag";
		$admtext['usernotes'] = "Notater vedrørende<br />foreslåtte endring<br />(vil ikke bli lagret)";
		$admtext['postdate'] = "Postet på";
		$admtext['savedel'] = "Lagre og slett";
		$admtext['postpone'] = "Utsett";
		$admtext['igndel'] = "Overse og slett";
		$admtext['tentdel'] = "ble slettet";
		$admtext['tentadd'] = "ble gjort permanent";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Lokaliser direkte, rediger, eller slett et notat i din database.";
		$admtext['whatsnewblurb'] = "Gi dine besøkende en generell oppdatering eller annen informasjon øverst på 'Hva er nytt?' siden.";
		$admtext['mwblurb'] = "Lag en liste over personer uten tilknytning og uidentifiserte foto, med håp om at dette gir mer publisitet til ting som har vært vanskelig å finne ut av.";
		$admtext['dvblurb'] = "Finn potensielle problemer i dine data.";
		$admtext['wr_gender'] = "Feil kjønn";
		$admtext['unk_gender'] = "Ukjent kjønn";
		$admtext['marr_young'] = "Gift for ung (mindre enn 15 år gammel)";
		$admtext['marr_aft_death'] = "Gift etter død";
		$admtext['marr_bef_birth'] = "Gift før fødsel";
		$admtext['died_bef_birth'] = "Død før fødsel";
		$admtext['parents_younger'] = "Født for tidlig (foreldre mindre enn 15 år gamle, eller barn født før ekteskap)";
		$admtext['children_late'] = "Født for sent (mor mer enn 50 år gammel)";
		$admtext['not_living'] = "Person markert som nålevende, dødsdato registrert";
		$admtext['not_dead'] = "Person markert som død, mulig fremdeles nålevende";
		$admtext['parmarr'] = "Foreldres ekteskap";
		$admtext['motherbirth'] = "Mors fødsel";
		break;
		
	case "mods":
		$admtext['modlist'] = "Modifikasjonsliste";
		$admtext['reqremove'] = "Vil du fjerne modifikasjon";
		$admtext['confcanc'] = "Bekreft forespørselen eller avbryt";
		$admtext['confrem'] = "Bekreft fjern";
		$admtext['confirmedrem'] = "Bekreftet forespørsel om å fjerne modifikasjon";
		$admtext['removed'] = "fjernet";
		$admtext['notremoved'] = "Ikke fjernet på grunn av følgende feil";
		$admtext['reqclean'] = "Vil du rydde modifikasjon";
		$admtext['confclean'] = "Bekreft rydding ";
		$admtext['confirmedclean'] = "Bekreftet forespørsel om å rydde modifikasjon";
		$admtext['cleanatt'] = "Prøvde å rydde";
		$admtext['cleanperf'] = "Rydding utført med følgende merknader ";
		$admtext['reqedit'] = "Vil du rydde modifikasjonen";
		$admtext['confedit'] = "Bekreft endring";
		$admtext['cfgvalsread'] = "Konfigurasjonsverdier lest fra TNG filer";
		$admtext['confirmededit'] = "Bekreftet forespørsel om å oppdatere modifikasjonen med verdier";
		$admtext['editdone'] = "Redigering fullført";
		$admtext['editperf'] = "Redigeringsparametre ble endret slik:";
		$admtext['reqinstall'] = "Vil du installere modifikasjonen";
		$admtext['confinst'] = "Bekreft installasjon";
		$admtext['confirmedinst'] = "Bekreftet forespørselen om å installere modifikasjonen";
		$admtext['installed'] = "Installert ";
		$admtext['notinst2'] = "Ikke installert på grunn av følgende feil";
		$admtext['reqdelete'] = "Vil du slette modifikasjonens konfigurasjonsfil";
		$admtext['nomodundo'] = "Du kan ikke angre denne operasjonen. Du må laste ned denne modifikasjonens konfigurasjonsfil på nytt hvis du ønsker å installere eller fjerne modifikasjonen senere.";
		$admtext['confdel'] = "Bekreft sletting";
		$admtext['confirmeddel'] = "Bekreftet forespørsel om å slette modifikasjonens konfigurasjonsfil.";
		$admtext['deleted'] = "slettet";
		$admtext['cantdel'] = "kan ikke slette";
		$admtext['remman'] = "må du fjerne denne filen manuelt";
		$admtext['cfgname'] = "Konfigurasjonsfilens navn";
		$admtext['version'] = "Versjon";
		$admtext['clean'] = "Rydde opp";
		$admtext['nomods'] = "Ingen definisjonsfiler for modifikasjoner (xxx) funnet i 'mods' mappen";
		$admtext['notarget'] = "%target: tagg mangler";
		$admtext['notarget2'] = "ingen målfil funnet";
		$admtext['peerror'] = "Parameter redigeringsfeil";
		$admtext['prerror'] = "Parameter lesefeil";
		$admtext['location'] = "Lokasjon";
		$admtext['missing'] = "Mangler";
		$admtext['badtarget'] = "Søkestreng ikke funnet";
		$admtext['targetlost'] = "Kunne ikke finne søkestrengen";
		$admtext['modins'] = "Modifikasjonskoden satt inn.";
		$admtext['modtrins'] = "Modifikasjonskoden tilpasset og satt inn";
		$admtext['modrepl'] = "Modifikasjonskoden erstattet";
		$admtext['nfilemissing'] = "Nytt filnavn mangler";
		$admtext['create'] = "Lag...";
		$admtext['cantwrite'] = "Kan ikke skrive til";
		$admtext['checkperms'] = "Sjekk rettighetene, for tiden";
		$admtext['notwrite'] = "er ikke skrivbar, sjekk rettigheter";
		$admtext['cfilemissing'] = "Kopiens filnavn mangler";
		$admtext['cffilemissing'] = "Kopiens filnavn (fra) mangler";
		$admtext['ctfilemissing'] = "Kopiens filnavn (til) mangler";
		$admtext['copyfile'] = "Kopier filen xxx til";
		$admtext['cantcopy'] = "Kan ikke kopiere til";
		$admtext['checkwrite'] = "Sjekk rettigheter, må være skrivbar.";
		$admtext['forwrite'] = "for skriving";
		$admtext['written'] = "Fil skrevet";
		$admtext['toterrors'] = "Antall feil";
		$admtext['totfiles'] = "Antall nye filer";
		$admtext['notallinst'] = "Ikke alle seksjoner installert";
		$admtext['notallrem'] = "Ikke alle seksjoner fjernet";
		$admtext['section'] = "Seksjon";
		$admtext['missfile'] = "Mangler fil";
		$admtext['targetsearch'] = "Målsøk";
		$admtext['insrem'] = "Modifikasjonens innsatte kode fjernet";
		$admtext['remrem'] = "Modifikasjonens kode fjernet";
		$admtext['trimrem'] = "Modifikasjonens kode tilpasset og fjernet";
		$admtext['orgrepl'] = "Opprinnelig kode erstattet";
		$admtext['cantrepl'] = "Kan ikke erstatte original kode, ikke funnet";
		$admtext['orgtrrepl'] = "Opprinnelig kode tilpasset og erstattet";
		$admtext['keyword'] = "søkeord";
		$admtext['notunique'] = "ikke unik";
		$admtext['noaction'] = "ingen handling";
		$admtext['novers'] = "Eksisterende xxx har ikke versjonsnummer";
		$admtext['param'] = "Parameter";
		$admtext['params'] = "Parametere";
		$admtext['paramed'] = "Parameter Editor";
		$admtext['enterparam'] = "Skriv inn parameter modifikasjon";
		$admtext['paramval'] = "verdi";
		$admtext['noparams'] = "Ingen parameter definisjoner";
		$admtext['nodesc'] = "Parameter definisjonsfeil, mangler beskrivelse";
		$admtext['defval'] = "Standardverdi";
		$admtext['updateval'] = "Oppdaterer xxx verdi for [yyy] til modifikasjonens konfigurasjonsfil.";
		$admtext['rewritten'] = "skrevet tilbake";
		$admtext['fixingcfg'] = "Ordner konfigurasjonsfil";
		$admtext['fixedcfg'] = "Konfigurasjonsfil ordnet";
		$admtext['fixingtar'] = "Ordner målfilen";
		$admtext['fixedtar'] = "Målfil ordnet";
		$admtext['fincorr'] = "Ferdig med korreksjon av ønskede data";
		$admtext['targetupd'] = "Måldata oppdatert";
		$admtext['written'] = "Fil skrevet";
		$admtext['permerr'] = "Filrettighetsfeil";
		$admtext['updconfig'] = "Oppdater konfigurasjonsfil info";
		$admtext['configupd'] = "Konfigurasjonsdata oppdatert, Slutt på sløyfe";
		//changed in 9.0.0
		$admtext['readvals'] = "Les eksisterende verdier fra TNG filer";
		$admtext['retstatus'] = "Tilbake til Modifikasjonsliste";
		$admtext['locmissing'] = "Lokal kopi av xxx for installasjon mangler";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Oppdateringer av modifikasjonen kreves";
		$admtext['keywordmissing'] = "Søkeord mangler. Konstruksjonsfeil i modifikasjonen.";
		$admtext['cannotinstall'] = "Kan ikke installere denne modifikasjonen";
		$admtext['notargetkeyword'] = "Målfil kreves";
		$admtext['emptytarget'] = "Målfil er uten innhold.";
		$admtext['missingtarget'] = "Målfil er ikke installert.";
		$admtext['missingfiles'] = "Fil som skal kopieres mangler i kildemappen";
		$admtext['pararead'] = "Parametere lest fra filer";
		$admtext['rewritetarget'] = "Skriver målfil på nytt";
		$admtext['targetcode'] = "målkoden er";
		$admtext['modtrimrepl'] = "Modifikasjonskoden tilpasset og erstattet.";
		$admtext['cantdelmissing'] = "Kan ikke slette, fil mangler";
		$admtext['totcopyfiles'] = "Antall filer som skal kopieres";
		$admtext['successfully'] = "Fullført";
		$admtext['filecreated'] = "Fil opprettet";
		//changed in 10.0.3 
		$admtext['editperf'] = "Redigeringsparametre ble endret slik:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Gruppeoppdateringer";
		$admtext['options'] = "Innstillinger";
		$admtext['viewlog'] = "Vis logg";
		$admtext['filesexcused'] = "Filer tillatt å feile";
		$admtext['fileexcused'] = "Fil tillatt å feile";
		$admtext['copiesexcused'] = "Kopier tillatt å feile";
		$admtext['copyexcused'] = "Kopi tillatt å feile";
		$admtext['optionalfile'] = "Tilleggsfil angitt ";
		$admtext['installbypassed'] = "hoppet over innsetting av seksjon";
		$admtext['removalbypassed'] = "hoppet over fjerning av seksjon";
		$admtext['target'] = "Endres";
		$admtext['newfile'] = "Opprettes";
		$admtext['copiesfile'] = "Kopieres";
		$admtext['copiesfile2'] = "Kopieres til";
		$admtext['aflistoptions'] = "Liste over berørte filer";
		$admtext['showaflist'] = "Vis liste over berørte filer";
		$admtext['shownewfile'] = "Vis nye filer i listen";
		$admtext['showfilecopies'] = "Vis kopierte filer i listen";
		$admtext['namecol'] = "Vis liste i kolonne";
		$admtext['showlistas'] = "Vis liste som";
		$admtext['showastable'] = "Tabell";
		$admtext['showascsv'] = "Kommaseparerte verdier (CSV)";
		$admtext['batchshowaflist'] = "Vis liste i gruppeoppdateringer";
		$admtext['logoptions'] = "Mod Manager logg";
		$admtext['logactions'] = "Loggfør Mod Manager handlinger";
		$admtext['mmlogfilename'] = "Navn på loggfil";
		$admtext['sortlistby'] = "Sorter lister etter";
		$admtext['modname'] = "Mod navn";
		$admtext['bypassconfirm'] = "Hopp over bekreftelser";
		$admtext['bypassaction'] = "Hopp over handlingsmeldinger";
		$admtext['modifyoptions'] = "Endre Mod Manager innstillinger";
		$admtext['ready'] = "Klar for installering";
		$admtext['badmod'] = "Kan ikke installeres";
		$admtext['noselected'] = "Du har ikke valgt noen filer!";
		$admtext['choose'] = "Velg";
		$admtext['showlogfile'] = "Vis Mod Manager handlingslogg";
		$admtext['recentactions'] = "Mod Manager siste handlinger";
		$admtext['emptylog'] = "Slett logg";
		$admtext['clearlog'] = "Slett logg";
		$admtext['confirmclearlog'] = "Er du sikker på at du vil slette loggen?";
		$admtext['copyfrom'] = "fra mappe ";
		$admtext['modsyntax'] = "Mod Syntaks";
		$admtext['modguidelines'] = "Mod Standarder";
		$admtext['analyzer'] = "Filanalyse";
		$admtext['filemod'] = "Filen xxx modifisert av";
		$admtext['filesel'] = "Velg modifisert fil for å kontrollere endringer";
		$admtext['potconf'] = "Mulige konflikter";
		$admtext['modifications'] = "modifikasjoner";
		$admtext['othermmoptions'] = "Annet";
		$admtext['file'] = "Fil";
		$admtext['tngmods'] = "Mods for TNG ";
		$admtext['unexpected'] = "Uventet søkeord";
		$admtext['syntax'] = "Syntaks";
		//changed in TNG 10.1
		$admtext['copied'] = "kopiert";
		$admtext['emptyfile'] = "fil er tom";
		$admtext['filescopied'] = "Antall filer kopiert";
		$admtext['notarget'] = "%target: tagg mangler";
		$admtext['notinst'] = "ikke installert";
		$admtext['install'] = "Installer";
		$admtext['filedel'] = "fil slettet";
		$admtext['created'] = "opprettet";
		$admtext['choosefilter'] = "Velg statusfilter og klikk OK for å vise tilgjengelige videre valg";
		$admtext['mmmaxloglines'] = "Maks linjer i loggen";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Avinstaller";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Rydde opp";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Endre innstillinger";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "Klar for installering";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "filversjon/versjonsfeil";
		$admtext['bomfound'] = "BOM fjernet";
		$admtext['cantinst'] = "Kan ikke installeres";
		$admtext['cantproc'] = "Kan ikke fjerne mod";
		$admtext['cantupd'] = "kan ikke oppdatere parameter";
		$admtext['cleanupall'] = "rydd opp";
		$admtext['confdelmod'] = "Er du sikker på at du vil slette denne modifikasjonen fra systemet?";
		$admtext['copiesreq'] = "filkopieringer spesifisert";
		$admtext['delete'] = "Slett";
		$admtext['deleteall'] = "Slett";
		$admtext['errors'] = "feil";
		$admtext['excused'] = "filer unntatt";
		$admtext['filesinst'] = "filer installert";
		$admtext['filesrem'] = "filer fjernet";
		$admtext['format'] = "format feil";
		$admtext['ignored'] = "plassering ignorert";
		$admtext['installall'] = "Installer";
		$admtext['installing'] = "Installerer";
		$admtext['line'] = "Linje";
		$admtext['modified'] = "modifisert";
		$admtext['modsinst'] = "kodemodifikasjoner installert";
		$admtext['modrem'] = "Mod avinstallert";
		$admtext['modsrem'] = "kodemodifikasjoner fjernet";
		$admtext['modsreq'] = "kodemodifikasjoner spesifisert";
		$admtext['newfilesreq'] = "nye filer spesifisert";
		$admtext['nfcreated'] = "ny fil opprettet";
		$admtext['noaccess'] = "ingen tilgang";
		$admtext['noact'] = "handlingstagg ugyldig";
		$admtext['nocfgfile'] = "modifikasjonsfil ikke funnet";
		$admtext['nocode'] = "kodeseksjon mangler";
		$admtext['nocomps'] = "manglende elementer";
		$admtext['noend'] = "%end:% tagg mangler";
		$admtext['noinsert'] = "innsetting av programkode feilet";
		$admtext['noinsrem'] = "innsatt kode ikke fjernet";
		$admtext['nolocation'] = "manglende plasseringskode";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "kan ikke erstatte programkode";
		$admtext['notgtfile'] = "ikke tilgjengelig (ingen målfil)";
		$admtext['notopened'] = "målfil ikke åpnet";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "åpnet";
		$admtext['optional'] = "alternativ";
		$admtext['parameter'] = "parameter";
		$admtext['partinst'] = "Delvis installert";
		$admtext['removeall'] = "Avinstaller";    // was Remove Selected mods
		$admtext['removing'] = "Avinstallerer";    // was Removing
		$admtext['reqtag'] = "nødvendig tagg mangler";
		$admtext['restparam'] = "Gjenoppretter standard parameter";
		$admtext['return'] = "Tilbake til Mod Manager";
		$admtext['secnoterm'] = "seksjon ikke avsluttet";
		$admtext['tagnoterm'] = "tagg ikke avsluttet";
		$admtext['tagunk'] = "tagg er ukjent";
		$admtext['tgtfile'] = "målfil";
		$admtext['updated'] = "oppdatert";
		$admtext['updparam'] = "Oppdaterer parameter";
		$admtext['unxend'] = "uventet slutt på fil";
		$admtext['warnings'] = "Advarsler";
		$admtext['whitespace'] = "mellomrom";
		$admtext['locations'] = "plasseringer";
		$admtext['allowdeletepartial'] = "Tillat 'Slett valgte' av 'Delvis installert' Mods";
		$admtext['allowdeleteinstalled'] = "Tillat 'Slett' av individuelle 'Installert' Mods";
		$admtext['showwarnings'] = "Vis Mod advarsler i Status";
		$admtext['logfullpath'] = "Loggfør full sti for filbehandlinger";
		$admtext['deletingmods'] = "Sletter modifikasjonsfiler";
		$admtext['deleting'] = "Sletter ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Filer";
		$admtext['hasoptions'] = "Inneholder innstillinger";
		$admtext['update'] = "Oppdater";
		$admtext['restore'] = "Gjenopprett standard";
		$admtext['compressnames'] = "Komprimer Mod navn i Mod liste";
		$admtext['stayon'] = "Lås";
		$admtext['accessible'] = "tilgjengelig";
		$admtext['bypassed'] = "hoppet over";
		$admtext['willbypass'] = "vil hoppe over";  // was "will bypass"
		$admtext['cantdel'] = "kan ikke slette";
		$admtext['optmissing'] = "fil mangler (alternativ)";
		$admtext['tgtmissing'] = "målfil mangler";
		$admtext['optlocked'] = "fil låst (alternativ)";
		$admtext['tgtlocked'] = "fil låst";
		$admtext['alreadyrem'] = "allerede fjernet";
		$admtext['noaccess'] = "ingen tilgang";
		$admtext['code'] = "kode";
		$admtext['alreadyins'] = "allerede installert";
		$admtext['badinstall'] = "installasjon feilet";
		$admtext['removed'] = "fjernet";
		$admtext['deleted'] = "slettet";
		$admtext['optsrcfilemissing'] = "alternativ kilde mangler";
		$admtext['srcfilemissing'] = "kilde mangler";
		$admtext['optnocopy'] = "alternativ fil ikke kopiert";
		$admtext['notcopied'] = "ikke kopiert";
		$admtext['copied'] = "kopiert";
		$admtext['notcreated'] = "kan ikke opprette ny fil";
		$admtext['optnotcreated'] = "kan ikke opprette alternativ ny fil";
		$admtext['nocreated'] = "ikke opprettet";
		$admtext['fixedheader'] = "Bruk faste kolonneoverskrifter";
		$admtext['cantremok'] = "kan ikke fjerne, alternativ, hoppet over";
		$admtext['nofolder'] = "målmappe mangler";
		$admtext['edparams'] = "endre parametere";
		$admtext['compresslog'] = "Kollaps loggvisning";
		$admtext['showanalyzer'] = "Vis fane for Filanalyse";
		$admtext['formodname'] = "for Mod navn ";
		$admtext['nofolder'] = "målmappe mangler";
		$admtext['fileperms'] = "Vennligst sjekk filrettigheter";
		$admtext['noparam'] = "parameter mangler";
		$admtext['editing'] = "endrer";
		$admtext['redirect2log'] = "Send til Logg";
		$admtext['on_error'] = "Bare ved feil";
		$admtext['on_all'] = "Alle transaksjoner";
		$admtext['usestriping'] = "Bruk fargestriper";
		$admtext['stripeafter'] = "Fargestriper etter antall linjer";
		$admtext['adjusthdrs'] = "Juster faste kolonneoverskrifter";
		$admtext['displayoptions'] = "Visningsalternativer";
		$admtext['no_frag'] = "kodefragment ikke tillatt her";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Er du sikker på at du vil slette denne testen?";
		$admtext['test_type'] = "Testtype";
		$admtext['test_number'] = "Testnummer";
		$admtext['test_date'] = "Testdato";
		$admtext['modifydna'] = "Endre eksisterende DNA test";
		$admtext['changestoalldna'] = "Endringer for alle tester";
		$admtext['addnewdna'] = "Legg til ny DNA test";
		$admtext['testinfo'] = "Testinformasjon";
		$admtext['urls'] = "Relevante linker";
		$admtext['dnalater'] = "Mer: Testen kan linkes til andre personer i neste skjermbilde.";
		$admtext['selecttype'] = "Vennligst velg en testtype.";
		$admtext['entertestnum'] = "Vennligst skriv inn testnummer.";
		$admtext['test_taker'] = "Personen som tok testen";
		$admtext['test_links'] = "Personer linket til denne testen";
		$admtext['changestotest'] = "Endringer for test";
		break;
}

//common
$admtext['cannotexecutequery'] = "Kan ikke utføre spørringen";
$admtext['addnew'] = "Legg til ny";
$admtext['individuals'] = "personer";
$admtext['succadded'] = "ble lagt til";
$admtext['succaddedlinked'] = "ble lagt til og linket til";
$admtext['succsaved'] = "ble lagret";
$admtext['succdeleted'] = "ble slettet";
$admtext['succdeletedpluslinks'] = "ble slettet, sammen med sine koblinger";
$admtext['text_delete'] = "Slett";
$admtext['deleted'] = "Slettet";
$admtext['deleteselected'] = "Slett valgte";
$admtext['noresults'] = "Ingen resultat. Prøv igjen.";
$admtext['action'] = "Handling";
$admtext['id'] = "ID";
$admtext['edit'] = "Endre";
$admtext['notes'] = "Notater";
$admtext['name'] = "Navn";
$admtext['description'] = "Beskrivelse";
$admtext['text_continue'] = "Fortsett...";
$admtext['searchfor'] = "Søk etter";
$admtext['lookin'] = "Se etter (merk alle aktuelle)";
$admtext['cemeteryid'] = "Kirkegård ID";
$admtext['exactmatch'] = "Kun eksakte treff";
$admtext['nothingtodelete'] = "Ingen ting å slette";
$admtext['state'] = "stat";
$admtext['country'] = "Land";
$admtext['finish'] = "Fullfør";
$admtext['ifphotouploaded'] = "La feltet være tomt hvis filen allerede er lastet opp til din bildemappe.";
$admtext['eventtype'] = "Hendelse type";
$admtext['source'] = "Kilde";
$admtext['savechanges'] = "Lagre endringer";
$admtext['family'] = "Familie";
$admtext['find'] = "Finn...";
$admtext['create'] = "Lag...";
$admtext['sourceid'] = "Kilde ID";
$admtext['birthabbr'] = "f.";
$admtext['chrabbr'] = "dp.";
$admtext['remove'] = "Fjern";
$admtext['moveup'] = "Flytt opp";
$admtext['movedown'] = "Flytt ned";
$admtext['enterpersonid'] = "Skriv en persons ID";
$admtext['personid'] = "Person ID";
$admtext['otherevents'] = "Andre hendelser";
$admtext['required'] = "obligatorisk";
$admtext['children'] = "Barn";
$admtext['chrdate'] = "Dåpsdato";
$admtext['chrplace'] = "Dåpssted";
$admtext['deathdate'] = "Dødsdato";
$admtext['deathplace'] = "Død sted";
$admtext['burialdate'] = "Gravlagt dato";
$admtext['burialplace'] = "Gravlagt sted";
$admtext['birthdate'] = "Fødselsdato";
$admtext['birthplace'] = "Fødested";
$admtext['title'] = "Tittel";
$admtext['sex'] = "Kjønn";
$admtext['marriagedate'] = "Giftermål dato";
$admtext['marriageplace'] = "Giftermål sted";
$admtext['lastname'] = "Etternavn";
$admtext['firstname'] = "Fornavn";
$admtext['filename'] = "Navn på fil";
$admtext['linkspersonid'] = "Kobling (Person ID)";
$admtext['cannotopen'] = "Kan ikke åpne fil";
$admtext['check'] = "Kontroller";
$admtext['generate'] = "Generer";
$admtext['update'] = "Oppdater";
$admtext['confdeleteevent'] = "Er du sikker på at du vil slette denne hendelsen?";
$admtext['existinglinks'] = "Eksisterende koblinger:<br>(merk for å slette)";
$admtext['lowersortfirst'] = "Laveste tall kommer først. Desimaltall kan også brukes.";
$admtext['personsname'] = "Personens Navn";
$admtext['tablecreation'] = "Lag Tabeller";
$admtext['tracklines'] = "Spor linjer";
$admtext['administration'] = "Administrasjon";
$admtext['text_or'] = "ELLER";
$admtext['cemeteries'] = "Kirkegårder";
$admtext['families'] = "Familier";
$admtext['headstones'] = "Gravsteiner";
$admtext['histories'] = "Historier";
$admtext['people'] = "Personer";
$admtext['photos'] = "Bilder";
$admtext['reports'] = "Rapporter";
$admtext['sources'] = "Kilder";
$admtext['suffix'] = "Suffiks";
$admtext['add'] = "Legg til";
$admtext['confdeleteentity'] = "Er du sikker på at du vil slette det valgte";
$admtext['cemetery'] = "Kirkegård";
$admtext['language'] = "Språk";
$admtext['display'] = "Vis";
$admtext['languages'] = "Språk";
$admtext['orderpound'] = "Rekkefølge #";
$admtext['tree'] = "Tre";
$admtext['alltrees'] = "Alle Trær";
$admtext['selectaddtree'] = "Tre (velg eller legg til nytt)";
$admtext['selecttree'] = "Velg/legg til et tre.";
$admtext['treebefevent'] = "Du må velge eller skrive treets navn før du kan legge til nye hendelser.";
$admtext['text_rename'] = "Gi nytt navn";
$admtext['clear'] = "Fjern innhold";
$admtext['linktothis'] = "Linke til denne personen";
$admtext['linkexample'] = "(skriv ID, Dvs. \"I###\")";
$admtext['existingconfig'] = "Eksisterende Konfigurasjon";
$admtext['lastmodified'] = "Sist endret";
$admtext['addnotes'] = "Tilleggsnotater";
$admtext['confdeletenote'] = "Er du sikker på at du vil slette dette notatet?";
$admtext['treebefnote'] = "Du må velge eller skrive treets navn før du kan legge til nye notater.";
$admtext['general'] = "Generelt";
$admtext['entersearchvalue'] = "Skriv en søkeverdi.";
$admtext['trees'] = "Trær";
$admtext['users'] = "Brukere";
$admtext['lds'] = "LDS";
$admtext['norights'] = "Du er ikke autorisert. Hvis du har et brukernavn og passord, logg inn nedenfor.";
$admtext['username'] = "Brukernavn";
$admtext['password'] = "Passord";
$admtext['login'] = "Logg inn";
$admtext['logout'] = "Logg ut";
$admtext['city'] = "By";  //from cemeteries
$admtext['cap_country'] = "Land";  //from cemeteries
$admtext['addnewtree'] = "Legg til nytt tre";
$admtext['test'] = "Test";
$admtext['page'] = "Side";  //from sources
$admtext['folder'] = "Mappe";   //from languages
$admtext['confdeletepers'] = "Er du sikker på at du vil slette denne personen?";
$admtext['save'] = "Lagre";
$admtext['of'] = "av";
$admtext['size'] = "Størrelse";
$admtext['select'] = "Velg";
$admtext['open'] = "Åpne";
$admtext['selectfile'] = "Velg fil";
$admtext['altdesc'] = "Alternativ beskrivelse";
$admtext['altnotes'] = "Alternative notater";
$admtext['savereturn'] = "Returner til denne siden";
$admtext['saveback'] = "Returner til meny";
$admtext['user'] = "Bruker";
$admtext['DIV'] = "Skilt";
$admtext['search'] = "Søk";  //from findpersonform
$admtext['searchresults'] = "Søkeresultater";  //from people
$admtext['clicktoselect'] = "klikk for å velge";
$admtext['familyid'] = "Familie ID";  //from families
$admtext['secondary'] = "Sekundære prosesser";
$admtext['commas'] = "Separer oppføringer med komma";
$admtext['onsave'] = "Etter lagring,";
$admtext['adminhome'] = "Administrasjonsoversikt";
$admtext['labelbranches'] = "Sett tilhørighet til gren";
$admtext['branch'] = "Gren";
$admtext['findperson'] = "Finn person...";
$admtext['findfamily'] = "Finn familie..";
$admtext['repeatlastq'] = "Gjenta siste søk";
$admtext['alwayson'] = "Vis alltid";
$admtext['all'] = "Alle";
$admtext['lnprefix'] = "Etternavn prefiks";
$admtext['nameorder'] = "Navnesortering";
$admtext['western'] = "Fornavn først";
$admtext['lockid'] = "Lås";
$admtext['linktothese'] = "Link til:";
$admtext['alsolinkto'] = "Link også til:";
$admtext['linkspersfam'] = "Koblinger (Person, Familie og Kilde ID)";
$admtext['findsource'] = "Finn kilde...";
$admtext['address'] = "Adresse";
$admtext['stateprov'] = "Stat/Fylke";
$admtext['zip'] = "Postnummer";
$admtext['merge'] = "Slå sammen";
$admtext['otherinfo'] = "Annen informasjon";
$admtext['available'] = "Tilgjengelig";
$admtext['backuprestore'] = "Verktøy";
$admtext['place'] = "Sted";
$admtext['treeid'] = "Tre ID";
$admtext['email'] = "E-post";
$admtext['event'] = "Hendelse";
$admtext['eventdate'] = "Dato for hendelse";
$admtext['eventplace'] = "Sted for hendelse";
$admtext['detail'] = "Detaljer";
$admtext['export'] = "Eksport";
$admtext['tlevents'] = "Hendelser i tidslinje";
$admtext['places'] = "Steder";
$admtext['duplicate'] = "Endringer ble ikke lagret. En annen oppføring med samme nøkkel finnes allerede.";
$admtext['alttitle'] = "Alternativ tittel";
$admtext['enttitle'] = "Tittel";  //title for a history or photo, not a person
$admtext['address1'] = "Adresse 1";
$admtext['address2'] = "Adresse 2";
$admtext['countryaddr'] = "Land";
$admtext['branches'] = "Grener";
$admtext['nobranch'] = "Ingen gren";
$admtext['scrollbranch'] = "(Bla nedover for å se alle valgene)";
$admtext['matches'] = "Treff";
$admtext['review'] = "Vurder";
$admtext['allusers'] = "Alle brukere";
$admtext['deathabbr'] = "d.";
$admtext['burialabbr'] = "begr.";
$admtext['nochanges'] = "Ingen endringer er gjort.";
$admtext['changestoallitems'] = "Endringer for alle oppføringer";  //were made successfully
$admtext['find2'] = "Finn";
$admtext['text_sort'] = "Sorter";
$admtext['documents'] = "Dokumenter";
$admtext['repository'] = "Arkiv";
$admtext['more'] = "Mer";
$admtext['repositories'] = "Arkiver";
$admtext['divplace'] = "Skilt sted";
$admtext['divdate'] = "Skilt dato";
$admtext['divdatetr'] = "Skilt dato (Sann)";
$admtext['creategendex'] = "Lag GENDEX";
$admtext['datamaint'] = "Import/Eksport";
$admtext['imagefiletoupload'] = "Bildefil som skal lastes opp";
$admtext['indfamorsrc'] = "personer, familier eller kilder";
$admtext['improperpermissions'] = "fordi rettighetene til mappen ikke er satt riktig. Prøv chmod(777)";
$admtext['person'] = "Person";
$admtext['setup'] = "Oppsett";
$admtext['manage'] = "Administrer";
$admtext['reset'] = "Tilbakestill";
$admtext['norecords'] = "Ingen data eksisterer.";
$admtext['secondarymaint'] = "Sekundære vedlikeholdsprosesser";
$admtext['customeventtypes'] = "Egendefinerte hendelser";
$admtext['findmatches'] = "Søk etter treff";
$admtext['matchthese'] = "Treff i følgende felt:";
$admtext['otheroptions'] = "Andre opsjoner:";
$admtext['ignoreblanks'] = "Ignorer tomme felt";
$admtext['nextmatch'] = "Neste treff";
$admtext['nextdup'] = "Neste duplikat";
$admtext['comprefresh'] = "Sammenlign/Oppdater";
$admtext['mswitch'] = "Bytt om";
$admtext['nomatches'] = "Ingen treff";
$admtext['combineextras'] = "Kombiner media";  //changed as well
$admtext['fasterdisplay'] = "NB: Denne siden er formattert for å øke hastigheten.";
$admtext['publichome'] = "Startside";
$admtext['selectall'] = "Velg alle";
$admtext['clearall'] = "Velg ingen";
$admtext['media'] = "Media";
$admtext['albums'] = "Album";
$admtext['import'] = "Import";
$admtext['item'] = "Enhet";
$admtext['combinenotesonly'] = "Kombiner notater";
$admtext['addmedia'] = "Legg til Media";
$admtext['latitude'] = "Breddegrad";
$admtext['longitude'] = "Lengdegrad";
$admtext['gedimport'] = "GEDCOM Import";
$admtext['improper2'] = "på grunn av at originalfilen er for stor eller ikke en gyldig bildefil, eller på grunn av at mappen ikke eksisterer (sjekk rotstien), eller ikke har rettigheter (prøv chmod(777)).";
$admtext['confdeleterecs'] = "Er du sikker på at du vil slette denne oppføringen?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geokode Lokasjon";
$admtext['notfound'] = " ikke funnet. Prøv et nytt søk. Prøv hjelpfunksjonen for å finne årsaken, eller prøv å søke med linken 'Fullt Google Maps søk'";
$admtext['showhidemap'] = "Vis/skjul klikkbart kart";
$admtext['getcoords'] = "(for å bestemme breddegrad, lengdegrad og zoom)";
$admtext['searchstring'] = "Søk etter et sted";
$admtext['zoom'] = "Zoom";
$admtext['selectplacelevel'] = "Velg nivå";
$admtext['difficultmap'] = "Fullt Google Maps søk";
$admtext['maphelp'] = "Hjelp til kartsøk";
$admtext['gobutton'] = "Søk";
$admtext['findpersonid'] = "Finn Person ID";
$admtext['findfamilyid'] = "Finn Familie ID";
$admtext['findsourceid'] = "Finn Kilde ID";
$admtext['entersourcepart'] = "Skriv del av kildetittel";
$admtext['findrepoid'] = "Finn Arkiv ID";
$admtext['enterrepopart'] = "Skriv del av arkivnavnet";
$admtext['findplace'] = "Finn sted";
$admtext['enterplacepart'] = "angi del av et stedsnavn";
$admtext['entereventinfo'] = "Skriv en dato for hendelsen, ett sted eller detaljer for denne hendelsen.";
$admtext['entereventtype'] = "Velg type hendelse.";
$admtext['enternote'] = "Skriv inn notattekst.";
$admtext['selectsource'] = "Velg en kilde.";
$admtext['confdeletecite'] = "Er du sikker på at du vil slette denne henvisningen?";
$admtext['spouses'] = "Ektefeller/partnere";
$admtext['entertreeid'] = "Skriv ID til tre.";
$admtext['entertreename'] = "Skriv inn treets navn.";
$admtext['citations'] = "Henvisninger";
$admtext['eventtypes'] = "Hendelse type";
$admtext['associations'] = "Assosiasjoner";
$admtext['makefolder'] = "Opprett mappe";
$admtext['allcurrentdata'] = "Alle eksisterende data";
$admtext['matchingonly'] = "Kun sammenfallende poster";
$admtext['donotreplace'] = "Ikke erstatt noen data";
$admtext['useroffset'] = "Start ID med:";
$admtext['phone'] = "Telefon";
$admtext['website'] = "Nettsted:";
$admtext['thumb'] = "Miniatyrbilde";  //as in thumbnail
$admtext['displayorder'] = "Visningsrekkefølge";
$admtext['go'] = "Ok";
$admtext['help'] = "Hjelp";
$admtext['husband'] = "Ektemann";
$admtext['wife'] = "Hustru";
$admtext['husbname'] = "Mannens navn";
$admtext['wifename'] = "Hustrus navn";
$admtext['drag'] = "Dra";
$admtext['enterinamepart'] = "skriv del av for- og/eller etternavn";
$admtext['enterfnamepart'] = "Skriv del av fars og/eller mors navn";
$admtext['hide'] = "Skjul";
$admtext['toggle'] = "Velg visning";
$admtext['wsel'] = "Med valgt:";
$admtext['msg'] = "Beskjed";
$admtext['default'] = "Standard";
$admtext['events'] = "Hendelser";
$admtext['date'] = "Dato";
$admtext['savecont'] = "Lagre og fortsett...";
$admtext['alphanum'] = "Vennligst bruk bare alfanummeriske tegn i Tre-ID'en.";
$admtext['mediatypes'] = "Mediatyper";
$admtext['appendall'] = "Legg til alle poster";
$admtext['NPFX'] = "Prefiks";
$admtext['prefix'] = "Prefiks";
$admtext['mostwanted'] = "Etterlysning";
$admtext['idexists'] = "denne ID eksisterer allerede. Gå til forrige side og velg en ny ID.";
$admtext['notdeleted'] = "Filen kunne ikke slettes. Sjekk filrettigheter.";
$admtext['confdeletefile'] = "Er du sikker du vil slette denne filen?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>NB!</strong> Når du skriver datoer, må du bruke standardformatet for slektsforskning (DD MMM YYYY).<br />For eksempel: 10 Apr 2004.";
$admtext['oriental'] = "Etternavn først (uten komma)";
$admtext['langfolder'] = "Mappen hvor språkfilene blir lagret";
//moved here in 8.0.0
$admtext['active'] = "Aktiv";
$admtext['repoid'] = "Arkiv ID";
$admtext['whatsnew'] = "Hva er nytt?";
$admtext['linkedto'] = "Linket til";
$admtext['status'] = "Status";
//added in 8.0.0
$admtext['show'] = "Forhåndsvisning";
$admtext['lnfirst'] = "Etternavn først (med komma)";
$admtext['savefirst'] = "Lagre endringer først?";
$admtext['misc'] = "Diverse";
$admtext['modmgr'] = "Mod Manager";
$admtext['menu'] = "Meny";
$admtext['cannotopendir'] = "Kan ikke åpne mappe";
$admtext['reviewsh'] = "Vurder"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Avbryt";
$admtext['enterpassoc'] = "Skriv ID til assosiert person.";
$admtext['enterrela'] = "Skriv inn slektskap.";
$admtext['confdeleteassoc'] = "Er du sikker på at du vil slette denne assosiasjon?";
$admtext['preview'] = "Forhåndsvis";
$admtext['livingonly'] = "Kun nålevende";
$admtext['tentdata'] = "Temporær hendelsesfil";
$admtext['checking'] = "Sjekker...Vennligst vent";
//added in 9.0.0
$admtext['clickresume'] = "klikk her for å fortsette";
$admtext['copylast'] = "Kopier siste";
$admtext['nicbold'] = "Klikk for Fet";
$admtext['nicitalic'] = "Klikk for Kursiv";
$admtext['nicunderline'] = "Klikk for Understrek";
$admtext['niclalign'] = "Juster tekst Venstre";
$admtext['niccalign'] = "Midtstill tekst";
$admtext['nicralign'] = "Juster tekst Høyre";
$admtext['nicjalign'] = "Blokkjuster tekst";
$admtext['nicinsol'] = "Sett inn nummerert liste";
$admtext['nicinsul'] = "Sett inn punktmerket liste";
$admtext['nicsub'] = "Klikk for Senket skrift";
$admtext['nicsup'] = "Klikk for Hevet skrift";
$admtext['nicstrike'] = "Klikk for Gjennomstreket skrift";
$admtext['nicremfmt'] = "Fjern formatering";
$admtext['nicindent'] = "Innrykk tekst";
$admtext['nicremind'] = "Fjern Innrykk";
$admtext['nichr'] = "Horisontal Linje";
$admtext['nicfontsz'] = "Skrift&nbsp;Størrelse";
$admtext['nicfontfam'] = "Skrift&nbsp;Familie";
$admtext['nicfontfmt'] = "Skrift&nbsp;Format";
$admtext['niclink'] = "Legg til Link";
$admtext['nicremlink'] = "Fjern Link";
$admtext['nictxtcol'] = "Endre Tekstfarge";
$admtext['nicbkgcol'] = "Endre Bakgrunnsfarge";
$admtext['nicimage'] = "Legg til Bilde";
$admtext['change'] = "Endre";
$admtext['editwarn'] = "Din lås på denne posten er i ferd med å gå ut på tid. Lagre dine endringer for å hindre dem i å overskrives av annen bruker.";
$admtext['editconflict'] = "En annen bruker er allerede i ferd med å redigere denne posten. Prøv igjen senere.";
$admtext['retry'] = "Prøv igjen";
$admtext['notsaved'] = "Endringer ble ikke lagret. En annen bruker has låst posten.";
//changed in 9.2.0
$admtext['linktype'] = "Type";
//moved here in 10.0.0
$admtext['disabled'] = "Deaktivert";
$admtext['cremated'] = "Kremert";
//added in 10.0.0
$admtext['videos'] = "Videoer";
$admtext['recordings'] = "Opptak";
$admtext['saveexit'] = "Lagre og avslutt";
$admtext['allbranches'] = "Alle Grener";
//moved here in 11.0.0
$admtext['nickname'] = "Kallenavn";
$admtext['role'] = "Rolle";
$admtext['commas'] = "Separer oppføringer med komma";
$admtext['confdellink'] = "Er du sikker på at du vil fjerne denne linken?";
$admtext['existlinks'] = "Eksisterende linker";
$admtext['report'] = "Rapport";
//added in 11.0.0
$admtext['sortby'] = "Sorter etter";
$admtext['unlink'] = "Opphev link";
$admtext['privateonly'] = "Bare Privat";
$admtext['dna_links'] = "DNA linker";
$admtext['dataval'] = "Datakontroll";
$admtext['norels'] = "Slå av tekstbasert slektskapsberegning";

//change to $text
$admtext['living'] = "Nålevende";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>