<?php
include("../../helplib.php");
echo help_header("Pomoc: rda");
?>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="families_help.php" class="lightlink">&laquo; Pomoc: Rodziny</a> &nbsp; | &nbsp;
			<a href="repositories_help.php" class="lightlink">Pomoc: Repozytoria &raquo;</a>
		</p>
		<span class="largeheader">Pomoc: rda</span>
		<p class="smaller menu">
			<a href="#search" class="lightlink">Szukaj</a> &nbsp; | &nbsp;
			<a href="#add" class="lightlink">Dodaj nowe</a> &nbsp; | &nbsp;
			<a href="#edit" class="lightlink">Edycja</a> &nbsp; | &nbsp;
			<a href="#delete" class="lightlink">Usu</a> &nbsp; | &nbsp;
			<a href="#merge" class="lightlink">Scalanie</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="search"><p class="subheadbold">Szukanie</p></a>
        <p>Znajd istniejce rda szukajc penego lub czci <strong>ID rda, tytuu, autora, numeru telefonu</strong> lub <strong>wydawcy</strong>.
		Wybierz drzewo lub zaznacz "Tylko dokadna nazwa" w celu dalszego zawenia kryteriw wyszukiwania.
		Jeli nie wybierzesz adnej z wymienionych opcji, w polu wyszukiwania znajd si wszystkie rda zapisane w bazie danych.</p>

		<p>Twoje kryteria wyszukiwania na tej stronie zostan zapamitane dopki nie naciniesz przycisku <strong>Zerowanie</strong>, ktry przywraca domylne wartoci i wszystkich wyszukiwa.</p>

		<span class="optionhead">Czynno</span>
		<p>Ikonki w polu "czynno" obok kadego wyniku wyszukiwania pozwalaj na edycj, usuwanie lub podgld tego wyniku. Aby usun wicej ni jeden rekord jednoczenie, kliknij pole w kolumnie
		<strong>Wybierz</strong> dla kadego rekordu, ktry ma zosta usunity, a nastpnie klikn przycisk "Usu wybrane" znajdujcy si na grze listy. Uyj <strong>Wybierz wszystko</strong> lub <strong>Wyczy wszystko</strong>
		aby zaznaczy lub usun zaznaczenie wszystkich pl wyboru naraz.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wrc</a></p>
		<a name="add"><p class="subheadbold">Dodawanie nowego rda</p></a>
		<p><strong>rdo</strong> jest  form ewidencji cytatw przeznaczonych do udowodnienia lub uzasadnienia jakiego elementu danych. To samo rdo moe by cytowane w treci dokumentu wielokrotnie na wielu osb,
                rodzin lub wydarze.</p>

		<p>Aby doda nowe rdo, kliknij na <strong>Dodaj nowe</strong> a nastpnie wypeni formularz. Niektre informacje (notatki i dodatkowe wydarzenia) mog by dodane dopiero po klikniciu na
                przycisk Zapisz i kontynuuj. Do dyspozycji s nastpujce pola:</p>

		<span class="optionhead">Drzewo</span>
		<p>Jeli masz tylko jedno drzewo, zostanie ono zaznaczone automatycznie. W innym przypadku, naley wybra drzewo na nowej osoby.</p>

		<span class="optionhead">ID rda</span>
		<p>ID rda musi by unikalne w obrbie wybranego drzewa i powinno skada si z litery <strong>S</strong> oraz nastpujcych po niej cyfr (nie wicej ni 21).
		Numer ID jest generowany automatycznie za kadym razem, gdy strona jest wywietlana po raz pierwszy,  ale mona take w  razie potrzeby wpisa wasny ID.
		Aby sprawdzi, czy wpisany ID jest unikalny, kliknij przycisk <strong>Sprawd</strong>. Pojawi si informacja mwica, czy wybrany ID jest dostpny.
		Aby wygenerowa unikalny ID, kliknij przycisk <strong>Generuj</strong>. Bdzie to najwysza liczba zlokalizowana w bazie danych (najwysze uywane ID + 1).
	        Aby zabezpieczy wybrany ID przed zajciem go przez innego uytkownika podczas wprowadzania danych, kliknij przycisk <strong>Zastosuj</strong>.</p>

		<p><strong>UWAGA</strong>: Jeli korzystasz na Twoim komputerze z programu genealogicznego, ktry take tworzy numery ID dla nowych osb,
		jest WYSOCE ZALECANE zachowanie tych ID dla synchronizacji midzy dwoma programami. Brak tej synchronizacji moe skutkowa konfliktami, ktre mog spowodowa,
		e Twoje cza do zdj, historii i nagrobkw mog sta si nie do uycia. Jeli Twj program tworzy ID, nie dostosowane do tradycyjnych standardw
		(na przykad <strong>I</strong> jest na kocu, nie na pocztku), moesz zmodyfikowa plik "prefixes.php" tak, aby przyjmowa inne prefiksy.</p>

		<span class="optionhead">Krtki tytu</span>
		<p>Skrcony tytu dla rda.</p>

		<span class="optionhead">Dugi tytu</span>
		<p>Formalny, dugi tytu dla rda.</p>

		<span class="optionhead">Autor, numer telefonu, wydawca</span><br />
		<p>Dodatkowa informacja zwizana ze rdem (jeli dostpna).</p>

		<span class="optionhead">Repozytorium</span><br />
		<p>Wybierz repozytorium, w ktrym znajduje si to rdo. Jeli repozytorium jeszcze nie istnieje, przejd do dziau Administracja/Repozytoria, dodaj go tam,
                wtedy wr i wybierz go tutaj.</p>

		<span class="optionhead">Faktyczny tekst</span><br />
		<p>Cytat albo fragment materiau ze rda (opcjonalne).</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="edit"><p class="subheadbold">Edycja istniejcych rde</p></a>
		<p>Aby wprowadzi zmiany dotyczce istniejcego rda, naley klikn przycisk <a href="#search">Szukaj</a> w celu jego zlokalizowania, a nastpnie klikn na ikonk "Edycja" obok wybranego rda.</p>

		<span class="optionhead">Notatki</span>
		<p>Notatki moesz czy z wydarzeniami lub rdami klikajc na ikony czy u gry strony lub obok kadego wydarzenia.
		"Wicej" informacji dla wydarzenia mona doda klikajc na ikonk "Plus ". Jeli w ktrej z kategorii istniej ju jakie elementy,
		odpowiednie ikonki oznaczone s zielonymi kropkami w prawym grnym rogu. Aby uzyska wicej informacji na temat kadej z kategorii, zobacz <em>Pomoc</em>  w okienkach,
		ktre staj si widoczne, gdy ikona zostanie nacinita.</p>


		<span class="optionhead">Inne wydarzenia</span>
		<p>Aby doda lub zarzdza dodatkowymi wydarzeniami, kliknij na przycisk "Dodaj nowe" obok <strong>Inne wydarzenia</strong>. Klikajc <a href="events_help.php">Pomoc</a> znajdziesz wicej informacji na temat dodawania nowych wydarze.
	        Gdy wydarzenie zostao dodane, pod polem "Dodaj nowe"  pokae si krtkie streszczenie. Przyciski w polu "Czynno" dla kadego wydarzenia pozwalaj na edycj
		lub usunicie wydarzenia, oraz dodawanie notatek lub cytatw. Kolejno, w ktrej wydarzenia s wywietlane jest ustalana wg daty (jeeli dotyczy) i przez przypisany w "Rodzajach wydarze " priorytet
	        (jeli nie jest zwizane terminem). Priorytet ten moe ulec zmianie podczas edycji rodzajw wydarze.


		<p><strong>Uwaga</strong>: Takie informacje o standardowych wydarzeniach jak uwagi, cytaty ze rde, zwizki, "inne" wydarzenia i "wicej"  s zapisywane
		automatycznie. Inne zmiany (dotyczce np. nazwiska lub standardowego wydarzenia) mona zapisa klikajc przycisk "Zapisz" na dole strony,
		lub klikajc na ikonk "Zapisz" u gry strony. Drzewo oraz ID osoby nie mog zosta zmienione.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="delete"><p class="subheadbold">Usuwanie rde</p></a>
		<p>Aby usun jedno rdo, naley nacisn przycisk <a href="#search">Szukaj</a> w celu jego zlokalizowania, a nastpnie klikn na ikonk Usu  obok tego rda. Wiersz zmieni kolor,
		a nastpnie zniknie. rdo zostao usunite. Aby usun wicej ni jedno rdo naraz, zaznacz pole w kolumnie Wybierz obok kadego rda, ktre
		ma zosta usunite, a nastpnie klikn przycisk "Usu wybrane" znajdujcy si na grze strony.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="merge"><p class="subheadbold">Scalanie</p></a>
		<p>Aby znale i scali dwa powtarzajce si rda, ktre mog by nieco inne, lecz odnosz si do tego samego materiau, kliknij na przycisk "Scalanie".
                Uytkownik decyduje, czy dwa zapisy s identyczne, czy te nie.</p>
		
		<span class="optionhead">Szukaj zgodnoci</span>
		<p>Po pierwsze, wybierz drzewo. Nie moesz poczy rde z rnych drzew, tak wic tylko jedno drzewo moe zosta wybrane. Dalej, masz moliwo
                wyboru rda jako punkt wyjciowy dla Twojego szukania (rdo 1), albo zezwoli TNG na szukanie pierwszej zgodnoci za Ciebie. Jeli zdecydowae,
                e TNG wyszukuje zgodnoci, pozostaw pole ID rda 1 puste.</p>
		
		<p>Jeli wybrae rdo jako rdo 1, moesz te wybra rcznie ID rda 2. Wskazane jest jednak, aby pozwoli TNG na szukanie duplikatw dla rda 1,
                pozostawiajc pole ID rda 2 puste.</p>

		<span class="optionhead">Zgodno nastpujcych pozycji</span>
		<p>Te kryteria TNG su do okrelania moliwych zgodnoci. Tytu i krtki tytu jako domylne. To oznacza, e te pola musz zgadza si w obydwch
                zapisach, aby zostay wzite pod uwag jako moliwe zgodnoci. Jeli wybierzesz te autora, wydawc, repozytorium, faktyczny tekst,
                to te pola musz si te zgadza.</p>

		<span class="optionhead">Inne opcje</span><br />
        <p><em>Ignoruj puste pola</em> znaczy, e puste pola nie bd brane pod uwag. Na przykad, rda z krtkim, nie penym tytuem nie zostanie uwzgldnione,
               jeli peny tytu jest wrd zaznaczonych kryteriw.</p>

        <p><em>Pocz notatki</em> znaczy, e notatki ze rda 2 bd dodane do notatek ze rda 1 we wszystkich polach. Jeli ta moliwo nie zostanie wybrana,
               notatki dotyczce rda 2 zostan utracone, poniewa zostan skasowane przez te, odpowiadajce polu rda 1.</p>

        <p><em>Pocz media</em> znaczy, e media ze rda 2 bd dodane do mediw ze rda 1 we wszystkich polach. Jeli ta moliwo nie zostanie wybrana,
               media dotyczce rda 2 zostan utracone, poniewa zostan skasowane przez te, odpowiadajce polu rda 1.</p>

		<p><span class="optionhead">Ostrzeenie!</span> Raz wykonane scalanie nie moe zosta cofnite! Prosz rozway wykonanie kopii zapasowej tabel bazy danych zanim dokonasz operacji scalania na wypadek,
                gdyby scali niechcco niewaciwe osoby.</p>

		<span class="optionhead">Nastpna zgodno</span><br />
		<p>Znajd nastpn moliw zgodno, ktra nie wymaga podania rda 1. TNG zmienia list moliwych rde w przyporzdkowany ID rda cig znakw. To znaczy, e "10" nastpuje po "1" ale przed "2".</p>

		<span class="optionhead">Nastpny duplikat</span><br />
		<p>Znajd nastpny moliwy duplikat dla rda 1. Jeli ta operacja zakoczy si brakiem zapisu dla rda 2, znaczy, e duplikat nie zosta znaleziony.</p>
		
		<span class="optionhead">Porwnaj / odwie.</span><br />
		<p>Porwnanie rde 1 i 2. Jeli to porwnanie jest ju widoczne, kliknicie na ten przycisk spowoduje odwieenie strony.</p>

		<span class="optionhead">Przecz</span><br />
		<p>Zamiana - rdo 1 staje si rdem 2 i vice versa.</p>
		
		<span class="optionhead">Scalanie</span><br />
		<p>rdo 2 jest scalane ze rdem 1. ID rda 1 oraz jego wszystkie inne dane zostan zachowane, chyba, e dla rda 2 zostao zaznaczone odpowiednie pole(a).
                Na przykad, jeli zaznaczye pole autor dla rda 2, dane w tym polu bd podczas scalania skopiowane ze rda 2 do rda 1. Odpowiadajce im dane rda 1 zostan wtedy usunite.
                Pola dla rda 2 s znaczone automatycznie, jeli adne odpowiadajce im dane nie istniej dla rda 1. Jeli pole danych dla rda 1 lub 2 jest puste, znaczy, e nie istniej adne
                dane dla ktregokolwiek rda.</p>

		<span class="optionhead">Edycja</span><br />
		<p>Edytuj indywidualny zapis dla tego rda w nowym oknie. Jeli dokonae zmian, musisz klikn Porwnaj / odwie by zobaczy zmiany w widoku scalania.</p>
		<li><p>Uwagi dotyczce polskiego tumaczenia: <a href="mailto:januszkielak@gmail.com">januszkielak@gmail.com</a>. Prosimy zgasza ewentualne bdy lub niejasnoci.</p></li>

	</td>
</tr>

</table>
</body>
</html>
