<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Rótulo de Ramo";
		$admtext['existingbranch'] = "Ramo Existente";
		$admtext['newbranch'] = "Novo Ramo";
		$admtext['numgenerations'] = "Número de Gerações";
		$admtext['ancestors'] = "Ancestrais";
		$admtext['descofanc'] = "Gerações descendentes de cada ancestral";
		$admtext['descendants'] = "Descendentes";
		$admtext['includespouses'] = "Incluir cônjuges dos descendentes";
		$admtext['partial'] = "Parcial";
		$admtext['addlabels'] = "Incluir rótulos";
		$admtext['clearlabels'] = "Limpar rótulos";
		$admtext['clearingbranch'] = "Limpando Rótulos de Ramos";
		$admtext['addingbranch'] = "Incluindo Rótulos de Ramos";
		$admtext['totalaffected'] = "Total de Afetados";
		$admtext['labelmore'] = "Rotular mais ramos";
		$admtext['enterbranch'] = "Por favor, selecione um ramo existente ou informe um novo.";
		$admtext['enterstartingind'] = "Por favor, informe o ID da pessoa inicial.";
		$admtext['gensnumeric'] = "Os valores para Ancestrais e Descendentes devem ser numéricos.";
		$admtext['overwrite'] = "Sobrecrever";
		$admtext['branchid'] = "ID do Ramo";
		$admtext['addnewbranch'] = "Incluir novo Ramo";
		$admtext['createbranch'] = "Criar um registro para um novo ramo.";
		$admtext['existingbranchinfo'] = "Informação sobre um Ramo Existente";
		$admtext['editexistingbranch'] = "Modificar a informação de um ramo existente.";
		$admtext['confbranchdelete'] = "Tem certeza que quer eliminar este ramo?";
		$admtext['enterbranchid'] = "Por favor, informe o ID do ramo.";
		$admtext['entertreedesc'] = "Por favor informe a descrição do ramo.";
		$admtext['newbranchinfo'] = "Informação sobre o novo Ramo";
		$admtext['modifybranch'] = "Modificar um Ramo existente";
		$admtext['changestobranch'] = "As mudanças do ramo";
		$admtext['existlabels'] = "Rótulos existentes";
		$admtext['leave'] = "Deixar";
		$admtext['append'] = "Anexar todos os registros";
		$admtext['showpeople'] = "Mostrar pessoas desta árvore/ramo";
		$admtext['branchdiscl'] = "Este número representa o número total de ligações a ramos, não necessariamente igual ao número de pessoas ou famílias liagaas a este ramo. Se você recentemente re-importou seus dados, pode ser necessário redefinir rótulos para seus ramos.";
		$admtext['inclspouses'] = "Incluir esposas para todos descendentes";
		$admtext['delpeople'] = "Excluir pessoas e famílias com este rótulo de ramo";
		$admtext['confbrdel'] = "Está seguro de que deseja excluir todas pessoas e famílias com este rótulo de ramo?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "O arquivo do mapa de imagem não pode ser copiado para";
		$admtext['changestocem'] = "Mudanças no cemitério";
		$admtext['modifycemetery'] = "Modificar Cemitério Existente";
		$admtext['addnewcemetery'] = "Acrescentar Novo Cemitério";
		$admtext['createnewcemetery'] = "Criar um registro para um novo cemitério";
		$admtext['selectcemaction'] = "Selecionar Cemitério e Ação";
		$admtext['location'] = "Lugar";
		$admtext['confdeletecem'] = "Tem certeza que quer excluir este cemitério?";
		$admtext['editceminfo'] = "Modificar informação de um cemitério já incluido";
		$admtext['leaveblankallcems'] = "deixar em branco para mostrar todos os cemitérios";
		$admtext['cemeteryname'] = "Nome do Cemitério";
		$admtext['mapfilename'] = "Nome do Arquivo de Mapa";
		$admtext['countyparish'] = "Condado/Comarca/Paróquia";
		$admtext['stateprovince'] = "Estado/Província";
		$admtext['entercountry'] = "Por favor,informe o nome do país.";
		$admtext['entermapfile'] = "Por favor informe o nome-de-arquivo de seu mapa no servidor web.";
		$admtext['existingceminfo'] = "Informação de Cemitério existente";
		$admtext['newceminfo'] = "Informação de novo Cemitério";
		$admtext['maptoupload'] = "Imagem de mapa para transferir";
		$admtext['mapfilenamefolder'] = "Nome do Arquivo de Mapa<br/>dentro da pasta de lápides";
		$admtext['ifmapuploaded'] = "Deixar este campo em branco se o arquivo já foi transferido para a pasta de lápides.";
		$admtext['requiredmap'] = "Obrigatório. Deve coincidir com o nome e a localização de seu arquivo <em>dentro da pasta de lápides</em> depois que o arquivo tenha sido transferido. Por exemplo, se sua pasta de lápides se chama <em>lápides</em>, e você deseja chamar seu arquivo <em>mapa.jpg</em> e colocá-lo em uma sub-pasta chamada <em>meusmapas</em>, deverá escrever <em>meusmapas/mapa.jpg</em> neste campo.";
		//added in 8.0.0
		$admtext['linkplace'] = "Lugar associado";
		$admtext['fillplace'] = "Preencher lugar";
		$admtext['usecemcoords'] = "Copiar a informação de geocódigo abaixo para este lugar";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "já existe";
		$admtext['added'] = "Incluido";
		$admtext['enternew'] = "Incluir novo";
		$admtext['pleaseenter'] = "Por favor, informe um";
		$admtext['netscapereload'] = "Usuários do Netscape: <br/> Devem recarregar a página de Cemitérios para ver o incluído";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Apagando Nota...";
		$admtext['addingnote'] = "Incluindo Nota...";
		$admtext['addnewnote'] = "Incluir Nova Nota";
		$admtext['note'] = "Nota";
		$admtext['modifynote'] = "Modificar Nota";
		//added in 8.0.0
		$admtext['notechanges'] = "Alterações à nota";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Incluindo Evento...";
		$admtext['deletingevent'] = "Apagando Evento...";
		$admtext['updatingevent'] = "Atualizando Evento...";
		$admtext['modifyevent'] = "Modificar Evento";
		$admtext['addnewevent'] = "Incluir Novo Evento";

		$admtext['dateformat'] = "(DD MMM AAAA)";
		$admtext['age'] = "Idade";
		$admtext['agency'] = "Agência";
		$admtext['cause'] = "Causa";
		$admtext['moreinfo'] = "Mais informações";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplicata para";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importando GEDCOM...<br/>(isto pode levar vários minutos)";
		$admtext['ifimportfails'] = "Se a importação falhar antes de ser completada,";
		$admtext['opened'] = "aberto...";
		$admtext['toresume'] = "para recomeçar a importação";  //cannot open to resume import
		$admtext['openedtoresume'] = "aberto para recomeçar a importação...";
		$admtext['notresumed'] = "a importação não pode ser recomeçada.";
		$admtext['finishedimporting'] = "Importação de GEDCOM concluída";
		$admtext['treeexists'] = "Já existe outra árvore com o ID selecionado. Selecione um ID diferente e tente novamente.";
		$admtext['backtodataimport'] = "Retornar à Importação de Dados";
		$admtext['moreoptions'] = "Mais Opções";
		$admtext['removeged'] = "Excluir arquivo GEDCOM (opcional)";
		$admtext['cannotupload'] = "Não foi possível carregar arquivo:";
		$admtext['invfperms'] = "Sua pasta 'gedcom' pode estar com permissões inadequadas (tente 755 ou 777).";
		$admtext['maybedone'] = "Pode já ter encerrado.";
		$admtext['turnonsis'] = "Assegure-se de que 'Salvar estado de importação' está ligado no Importar Configuração.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Modificações no tipo de evento";
		$admtext['modifyeventtype'] = "Modificar Tipo de Evento Existente";
		$admtext['individual'] = "Indivíduo";
		$admtext['entertypedesc'] = "Por favor, escreva um tipo/descrição para este novo tipo de evento";
		$admtext['enterdisplay'] = "Por favor, escreva um texto de vídeo para este novo tipo de evento.";
		$admtext['existingeventtypeinfo'] = "Informações Existentes de Tipos de Eventos";
		$admtext['neweventtypeinfo'] = "Informação de Novo Tipo de Evento";
		$admtext['tag'] = "Rótulo";
		$admtext['typedescription'] = "Tipo/Descrição";
		$admtext['onimport'] = "Ao Importar";
		$admtext['accept'] = "Aceitar";
		$admtext['ignore'] = "Ignorar";
		$admtext['typerequired'] = "Com rótulos personalizados (onde rótulo = \"EVEN\"), este é o TIPO e é obrigatório. Opcional para os demais rótulos.";
		$admtext['addnewevtype'] = "Incluir Novo Tipo de Evento";
		$admtext['createnewevtype'] = "Criar um registro de novo tipo de evento";
		$admtext['forindividuals'] = "Para Indivíduos...";
		$admtext['forfamilies'] = "Para Famílias...";
		$admtext['existingevtypes'] = "Tipos de Eventos Existentes";
		$admtext['edsevtypes'] = "Editar, excluir ou ordenar tipos de eventos incluidos anteriormente";
		$admtext['indfam'] = "Pess/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Tem certeza que quer excluir este tipo de evento?";
		$admtext['selecttag'] = "Selecione Rótulo";
		$admtext['selectentertag'] = "Por favor, selecione ou informe um rótulo para este tipo de evento.";
		$admtext['orenter'] = "ou informe";
		$admtext['ifbothdata'] = "terá precedência se ambos campos contêm dados";
		$admtext['EVEN'] = "Evento";
		$admtext['ADOP'] = "Adoção";
		$admtext['ADDR'] = "Endereço";
		$admtext['ALIA'] = "Também conhecido como";
		$admtext['BARM'] = "Bar Mitzvá";
		$admtext['BASM'] = "Bat Mitzvá";
		$admtext['CAST'] = "Casta";
		$admtext['CENS'] = "Censo";
		$admtext['CHRA'] = "Batismo Adulto";
		$admtext['CONF'] = "Confirmação";
		$admtext['CREM'] = "Cremação";
		$admtext['DSCR'] = "Descrição Física";
		$admtext['EDUC'] = "Educação";
		$admtext['EMIG'] = "Emigração";
		$admtext['FCOM'] = "Primeira Comunhão";
		$admtext['GRAD'] = "Formação";
		$admtext['IDNO'] = "Nº Identidade";
		$admtext['IMMI'] = "Imigração";
		$admtext['LANG'] = "Idioma";
		$admtext['NATI'] = "Nacionalidade";
		$admtext['NATU'] = "Naturalização";
		$admtext['NCHI'] = "Quant. de Filhos";
		$admtext['NMR'] = "Quant. de Casamentos";
		$admtext['OCCU'] = "Profissão";
		$admtext['ORDI'] = "Ordenação";
		$admtext['ORDN'] = "Ordenado";
		$admtext['PHON'] = "Fone";
		$admtext['PROB'] = "Inventário";
		$admtext['PROP'] = "Propriedades";
		$admtext['RELI'] = "Religião";
		$admtext['RESI'] = "Residência";
		$admtext['RESN'] = "Restrição de acesso";
		$admtext['RETI'] = "Aposentadoria";
		$admtext['RFN'] = "Número de Registro Permanente";
		$admtext['SSN'] = "Número do CPF";
		$admtext['WILL'] = "Testamento";
		$admtext['ANUL'] = "Anulação";
		$admtext['DIVF'] = "Pedido de Divórcio";
		$admtext['ENGA'] = "Noivado";
		$admtext['MARB'] = "Proclamas de Casamento";
		$admtext['MARC'] = "Contrato de Casamento";
		$admtext['MARL'] = "Licença de Casamento";
		$admtext['MARS'] = "Acordo de Casamento";
		$admtext['forsources'] = "Para Fontes...";
		$admtext['RIN'] = "Nº ID Registro";
		$admtext['REFN'] = "Nº de Referência";
		$admtext['REPO'] = "Repositório";

		$admtext['deleteselected'] = "Excluir Selecionados";
		$admtext['ignoreselected'] = "Ignorar Selecionado";
		$admtext['acceptselected'] = "Aceitar Selecionado";
		$admtext['changestoallevtypes'] = "Mudanças de todos os tipos de eventos";
		$admtext['forrepos'] = "Para Repositórios...";
		$admtext['noevtypes'] = "Não existem tipos de eventos.";
		$admtext['DESI'] = "Descendentes procurados";
		$admtext['allnone'] = "Entre um texto para cada idioma,<br />ou deixe todos em branco e entre texto acima.";
		$admtext['assocwith'] = "Associado com";
		$admtext['BAPM'] = "Batismo";
		$admtext['umps'] = "Seu GEDCOM pode ser maior que o admitido por seu provedor. Você pode solicitar ao seu provedor que ele aumenta o valor de 'upload_max_filesize', ou você pode copiar o arquivo para a pasta 'gedcom' em seu site e importá-lo de lá.;";
		$admtext['othlangs'] = "Outros idiomas";
		$admtext['evdata'] = "Dados do Evento";
		$admtext['ANCI'] = "Ancestrais procurados";
		//added in 10.0.0
		$admtext['collapseev'] = "Exibir evento contraído";
		$admtext['collapse'] = "Exibir contraído";
		$admtext['collapseselected'] = "Selecionados - exibir contraídos";
		//added in 11.0.0
		$admtext['expselected'] = "Expandir Selecionado";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Mudanças em família";
		$admtext['marrdate'] = "Data Cas."; //marriage date
		$admtext['modifyfamily'] = "Modificar Família Existente";
		$admtext['selectfamaction'] = "Selecionar Família e Ação";
		$admtext['confdeletefam'] = "Tem certeza que quer excluir esta família?";
		$admtext['existingfamilyinfo'] = "Informações Existentes da Família";
		$admtext['newfamilyinfo'] = "Nova Informação de Família";
		$admtext['sealedsdate'] = "Data Selado S (SUD)";     //S is for spouse
		$admtext['sealedsplace'] = "Lugar Selado C (SUD)";     //S is for spouse
		$admtext['newchildren'] = "Novos Filhos";
		$admtext['addnewfamily'] = "Incluir Nova Família";
		$admtext['createnewfamily'] = "Criar um registro para uma nova família";
		$admtext['editexistingfaminfo'] = "Editar informações de uma família já incluída";
		$admtext['spousesids'] = "IDs dos Cônjuges";
		$admtext['noname'] = "Sem Nome";
		$admtext['familyidbefevent'] = "É preciso informar o ID da Família antes de adicionar novos eventos.";
		$admtext['prefixfamilyid'] = "Por favor, preceda o ID da Família de \"F\" para \"Família\"";
		$admtext['validfamilyid'] = "Por favor, informe um ID de Família válido. Um ID válido é uma seqüência numérica precedida de 'F'.";
		$admtext['familyidbefnote'] = "É preciso informar o ID da Família antes de adicionar novas notas.";
		$admtext['familyidbefcite'] = "É preciso informar o ID da Família antes de usar citações com esta família.";
		$admtext['genfamily'] = "Família Geral";
		$admtext['marriagetype'] = "Tipo de Casamento";
		$admtext['reviewfamilies'] = "Aceitar ou recusar mudanças experimentais nas famílias";
		$admtext['fevslater'] = "Nota: Filhos e eventos adicionais, bem como notas e citações de eventos podem ser adicionadas na próxima tela.";
		$admtext['husbid'] = "ID do pai";  //husband ID
		$admtext['wifeid'] = "ID da mãe";
		$admtext['enternamepart'] = "Entre parte do nome do pai e/ou do nome da mãe";
		$admtext['pleasenamepart'] = "Favor entrar parte do nome do pai e/ou do nome da mãe.";
		$admtext['clickfind'] = "Clique Buscar ou Criar =>";
		$admtext['chunlinked'] = "Filhos não ligados a família";
		$admtext['child'] = "Filho";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Incluindo Pessoa...";
		$admtext['changestoperson'] = "Mudanças na pessoa";
		$admtext['nobirthinfo'] = "Sem informação de nascimento";
		$admtext['modifyperson'] = "Modificar Pessoa Existente";
		$admtext['selectpersaction'] = "Selecione Pessoa e Ação";
		$admtext['existingpersoninfo'] = "Informações Existentes da Pessoa";
		$admtext['firstgivennames'] = "Nome(s)";
		$admtext['lastsurname'] = "Sobrenome";
		$admtext['nickname'] = "Apelido";
		$admtext['male'] = "Masculino";
		$admtext['female'] = "Feminino";
		$admtext['bapldate'] = "Data do Batismo";
		$admtext['baplplace'] = "Lugar do Batismo";
		$admtext['endldate'] = "Data da Crisma";
		$admtext['parents'] = "Pais";
		$admtext['father'] = "Pai";
		$admtext['mother'] = "Mãe";
		$admtext['unlinkindividual'] = "Desvincular a pessoa atual";
		$admtext['aschild'] = "como filho";
		$admtext['sealedpdate'] = "Data Selado P (SUD)";     //P is for parents
		$admtext['sealedpplace'] = "Lugar Selado P (SUD)";     //P is for parents
		$admtext['asspouse'] = "como cônjuge";
		$admtext['spouse'] = "Cônjuge";
		$admtext['ordernumber'] = "Número de Ordem";
		$admtext['married'] = "Casado";
		$admtext['nonewfamily'] = "Não ir para nova família ao salvar";
		$admtext['addnewperson'] = "Incluir Nova Pessoa";
		$admtext['createperson'] = "Criar registro para nova pessoa";
		$admtext['personidbefevent'] = "É preciso informar um ID de Pessoa antes de incluir novos eventos.";
		$admtext['prefixpersonid'] = "Por favor, preceda o ID da Pessoa com \"I\" de \"Indivíduo\"";
		$admtext['validpersonid'] = "Por favor, informe um ID de Pessoa válido. Um ID válido é uma seqüência numérica precedida de 'I'.";
		$admtext['newpersoninfo'] = "Informações de Nova Pessoa";
		$admtext['selectsex'] = "Selecione o sexo.";
		$admtext['shortform'] = "Forma Curta";
		$admtext['editexistingpersoninfo'] = "Editar informações de uma pessoa já incluída";
		$admtext['unknown'] = "Desconhecido";
		$admtext['personidbefnote'] = "É preciso informar o ID da Pessoa antes de incluir novas notas.";
		$admtext['endlplace'] = "Lugar da Investidura";
		$admtext['personidbefcite'] = "É preciso informar o ID da pessoa antes de usar citações dessa pessoa.";
		$admtext['relationship'] = "Relacionamento";
		$admtext['asspouse'] = "como cônjuge";
		$admtext['mergepeople'] = "Mesclar informações de registros de pessoas duplicados.";
		$admtext['choosemerge'] = "Escolher pessoas para mesclar ou procurar semelhanças potenciais";
		$admtext['usesoundex'] = "Usar Soundex";
		$admtext['sdxdisclaimer'] = "Usando esta opção fará o programa demorar mais para procurar o próximo semelhante ou duplicata.";
		$admtext['combinenotes'] = "Combinar notas & citações";
		$admtext['confirmmerge'] = "Tem certeza que quer mesclar estas duas pessoas?";
		$admtext['gotonewfamily'] = "Ir para nova família com a atual pessoa";
		$admtext['genperson'] = "Pessoa Geral";
		$admtext['reviewpeople'] = "Aceitar ou recusar mudanças experimentais em indivíduos";
		$admtext['nokids'] = "Sem filhos";
		$admtext['noparents'] = "Sem pais";
		$admtext['association'] = "Relacionamento";
		$admtext['deletingassoc'] = "Excluindo Relacionamento...";
		$admtext['addingassoc'] = "Incluindo Relacionamento...";
		$admtext['updatingassoc'] = "Atualizando Relacionamento...";
		$admtext['addnewassoc'] = "Adicionar novo relacionamento";
		$admtext['modifyassoc'] = "Modificar Relacionamento Existente";
		$admtext['pevslater'] = " Nota: Eventos adicionais, bem como notas e citações de eventos podem ser adicionadas na próxima tela.";
		$admtext['ashusband'] = "como pai";
		$admtext['aswife'] = "como mãe";
		$admtext['pevslater2'] = "Nota: Filhos e eventos adicionais, bem como notas e citações de eventos podem ser adicionadas mais tarde.";
		$admtext['nospouse'] = "Sem esposa";
		$admtext['revassoc'] = "Também adicionar relacionamento reverso para as mesmas duas pessoas";
		$admtext['prefix'] = "Prefixo";
		$admtext['chkdel'] = "Marque a caixa vazia para excluir item à esquerda";
		//added in 9.0.0
		$admtext['choosedef'] = "Escolha<br/>foto<br/>padrão"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Data de confirmação (SUD)";
		$admtext['confplace'] = "Local de confirmação (SUD)";
		$admtext['initdate'] = "Data de iniciação (SUD)";
		$admtext['initplace'] = "Local de iniciação (SUD)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "O arquivo de miniaturas não pode ser copiado para";
		$admtext['photo'] = "Foto";
		$admtext['changestophoto'] = "Mudanças em foto";
		$admtext['modifyphoto'] = "Modificar Foto Existente";
		$admtext['addnewphoto'] = "Incluir Nova Foto";
		$admtext['selectphotoaction'] = "Selecionar Foto e Ação";
		$admtext['photoid'] = "ID da Foto";
		$admtext['confdeletephoto'] = "Tem certeza que que excluir esta foto e todos os links a ela associados?";
		$admtext['enterphotopath'] = "Por favor, informe o caminho (pasta e nome-de-arquivo) do arquivo de imagens dentro da pasta de fotos em seu servidor web.";
		$admtext['enterthumbnailpath'] = "Por favor, informe o caminho (pasta e nome-de-arquivo) do arquivo de miniatura da imagem dentro da pasta de fotos de seu servidor web.";
		$admtext['enterphotodesc'] = "Por favor, informe uma descrição para a imagem.";
		$admtext['existingphotoinfo'] = "Informações Existentes de Foto";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Arquivo de Miniatura da Imagem";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Nome-de-Arquivo e Caminho";
		$admtext['sortphotos'] = "Ordenar Fotos";
		$admtext['sortphotosfor'] = "Ordenar Fotos por";
		$admtext['editexistingphotoinfo'] = "Editar informações de uma foto já incluída";
		$admtext['leaveblankallphotos'] = "deixar em branco para mostrar todas as fotos";
		$admtext['headstone'] = "Lápide";
		$admtext['imagenotcopied'] = "O arquivo de imagens não pode ser copiado para";
		$admtext['changestohs'] = "Mudanças em lápide";
		$admtext['modifyheadstone'] = "Modificar Lápide Existente";
		$admtext['selecthsaction'] = "Selecionar Lápide e Ação";
		$admtext['confdeletehs'] = "Tem certeza que quer excluir esta lápide?";
		$admtext['photostatus'] = "Foto/Estado";
		$admtext['selectcemetery'] = "Selecione um cemitério.";
		$admtext['enterhsimage'] = "Informe um nome-de-arquivo para suas imagens de lápides no servidor web.";
		$admtext['existinghsinfo'] = "Informações Existentes de Lápides";
		$admtext['newhsinfo'] = "Nova Informação de Lápide";
		$admtext['hsimagefile'] = "Arquivo de Imagens de Lápides";
		$admtext['located'] = "Localizado";
		$admtext['notyetlocated'] = "Ainda não localizado";
		$admtext['unmarked'] = "Não Marcado";
		$admtext['missing'] = "Faltante";
		$admtext['leaveblankhs'] = "Deixar este campo em branco se o arquivo já foi carregado para a sua pasta de Lápides.";
		$admtext['requiredhs'] = "Obrigatório. Deve corresponder ao nome e localização de seu arquivo <em>dentro da pasta de Lápides</em> após carregado o arquivo. Por exemplo, se sua pasta de Lápides chama-se <em>fotos/Lápides</em>, e você queira chamar seu arquivo <em>túmulo.jpg</em> e colocar numa sub-pasta de fotos/Lápides chamada <em>novosLápides</em>,  deve informar <em>novos Lápides/túmulo.jpg</em> neste campo.";
		$admtext['addnewhs'] = "Incluir Nova Lápide";
		$admtext['createnewhs'] = "Criar um registro para uma nova lápide e vinculá-lo a uma pessoa";
		$admtext['editexistinghsinfo'] = "Editar informações de uma lápide já incluída.";
		$admtext['leaveblankallhs'] = "Deixar em branco para mostrar todas as lápides";
		$admtext['cemnamelocation'] = "Nome e Localização do Cemitério";
		$admtext['pedphoto'] = "Usar esta foto nas árvores genealógicas e nos títulos do nome";
		$admtext['photoowner'] = "Dono/Fonte";
		$admtext['dimensions'] = "Dimensões";
		$admtext['selectphoto'] = "Selecionar Imagem";
		$admtext['specifyimg'] = "Especificar imagem";
		$admtext['autoimg'] = "Criar do original";
		$admtext['enterthumbpath'] = "Informe o nome do destino de sua miniatura de imagem";
		$admtext['genthumbs'] = "Gerar Miniaturas";
		$admtext['genthumbsdesc'] = "Gerar automaticamente versões menores de todas as fotos que não têm miniaturas.";
		$admtext['thumbsgenerated'] = "Miniaturas geradas";
		$admtext['makedefault'] = "Tornar Padrão";
		$admtext['filewithinhs'] = "Caminho dentro da pasta de Lápides <br>(sub-pasta e nome-de-arquivo)";
		$admtext['recsupdated'] = "Registros atualizados";
		$admtext['removedef'] = "Remover foto padrão";
		$admtext['numlinkhs'] = "Número de pessoas para ligar a esta lápide";
		$admtext['sortheadstones'] = "Ordenar Lápides";
		$admtext['sortheadstonesfor'] = "Ordenar Lápides por";
		$admtext['sortheadstonesind'] = "Ordenar Lápides para uma Pessoa";
		$admtext['headstoneorder'] = "Indicar uma ordem desejada para as Lápides vinculadas a uma dada pessoa";
		$admtext['enternumberforphoto'] = "Informar um valor numérico para cada item.";
		$admtext['updownforphoto'] = "Clicar nas setas para cima e para baixo para mover os itens para cima ou para baixo na ordem.";
		$admtext['createnewphoto'] = "Criar registro para uma nova foto e vinculá-lo a pessoas, famílias e fontes";
		$admtext['numlinkphoto'] = "Número de pessoas, famílias ou fontes para vincular com esta foto";
		$admtext['photoorder'] = "Indicar a ordem desejada para as fotos vinculadas a uma pessoa, família ou fonte específica";
		$admtext['assigndefs'] = "Atribuir Fotos Padrões";
		$admtext['assigndefsdesc'] = "Tornar a primeira foto de cada pessoa, família e fonte, a foto padrão dessa entidade.";
		$admtext['overwritedefs'] = "Sobregravar os padrões existentes";
		$admtext['assign'] = "Atribuir Padrões";
		$admtext['defsassigned'] = "Fotos padrões atribuídas";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Mapa da Imagem";
		$admtext['circle'] = "círculo";
		$admtext['rect'] = "retângulo";
		$admtext['poly'] = "polígono";
		$admtext['shape'] = "Forma da região";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Largura (pixels)";
		$admtext['height'] = "Altura (pixels)";
		$admtext['imgdim'] = "Dimensões da imagem";
		$admtext['pixw'] = "largura em pixels";
		$admtext['pixh'] = "altura em pixels";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Mudanças para todas as fotos selecionadas";
		$admtext['changestoallhs'] = "Mudanças para todas as lápides selecionadas";
		$admtext['datetaken'] = "Data da Foto";
		$admtext['placetaken'] = "Onde foi tirada";
		$admtext['abspath'] = "Esta imagem provém de uma fonte externa (Você deve fornecer uma miniatura)";
		$admtext['imagefile'] = "Arquivo da Imagem";
		$admtext['pathwithinphotos'] = "Arquivar no arquivo de fotos";
		$admtext['linktocem'] = "Vincular esta imagem diretamente ao cemitério selecionado";
		$admtext['defphotonote'] = "Usar a miniatura desta foto para identificar esta pessoa, família ou fonte na árvore genealógica e outras tabelas, inclusive as folhas de grupo familiar.";
		$admtext['photonotadded'] = "A foto não pode ser incluída, possivelmente porque outro registro de foto já existe para o arquivo físico de foto especificado.";
		$admtext['requiredphoto'] = "Obrigatório. Deve corresponder ao nome e localização de seu arquivo <em>dentro da pasta de fotos</em> após carregado o arquivo. Por exemplo, se sua pasta de fotos chama-se <em>fotos</em>, e você queira chamar seu arquivo <em>minhafoto.jpg</em> e colocar numa sub-pasta de fotos chamada <em>novasfotos</em>,  deve informar <em>novasfotos/minhafoto.jpg</em> neste campo.";
		$admtext['leaveblankphoto'] = "Deixar este campo em branco se o arquivo já foi carregado para a sua pasta de fotos.";
		$admtext['thumbconflicts'] = "Miniaturas não geradas devido a problemas de caminho, permissões ou nome-de-arquivo";
		$admtext['showmap'] = "Mostar o mapa e as fotos do cemitério sempre que for exibida esta imagem";
		$admtext['bodytext'] = "<strong>OU</strong><br/>Texto da Página";
		$admtext['usenl'] = "Converter mudanças de linhas em HTML ao exibir";
		$admtext['newwin'] = "Abrir em nova janela";
		$admtext['modifymedia'] = "Modificar mídia existente";
		$admtext['addnewmedia'] = "Adicionar Nova Mídia";
		$admtext['confdeletemedia'] = "Você está seguro de que deseja excluir esta mídia?";
		$admtext['thumbnails'] = "Ícones";
		$admtext['modifyalbum'] = "Modificar Album Existente";
		$admtext['addnewalbum'] = "Adicionar Novo Álbum";
		$admtext['newalbuminfo'] = "Informação do Novo Álbum";
		$admtext['confdeletealbum'] = "Você está seguro de que deseja excluir este álbum?";
		$admtext['enteralbumname'] = "Favor entrar o nome do álbum.";
		$admtext['albumname'] = "Nome do álbum";
		$admtext['keywords'] = "Palavras-chave";
		$admtext['changestoalbum'] = "Alterações ao álbum";
		$admtext['addtoalbum'] = "Adições ao álbum";
		$admtext['mediatype'] = "Coleção";
		$admtext['fileext'] = "Extensão do arq."; //file extension (abbreviation)
		$admtext['anotherlink'] = "Adcionar outro link";
		$admtext['mediaurl'] = "URL da mídia";
		$admtext['put_in'] = "Armazenar arquivos em";
		$admtext['usemedia'] = "Pasta de Mídia";
		$admtext['usecollect'] = "Pasta da Coleção (por ex., \"photos\")";
		$admtext['notcopied'] = "Este arquivo não pode ser copiado para";
		$admtext['existingmediainfo'] = "Informação da Mídia Existente";
		$admtext['convto'] = "Converter Selecionados para";
		$admtext['changestoallmedia'] = "Modificações a todas mídias selecionadas";
		$admtext['changestoitem'] = "Modificações ao item";
		$admtext['eventlink'] = "Link a um evento específico";
		$admtext['sortmediaind'] = "Classificar Mídia para uma Pessoa, Família, Fonte, Repositório ou Local";
		$admtext['sortmedia'] = "Classificar xxx para";
		$admtext['unlinked'] = "Não ligado";
		$admtext['samepaths'] = "A imagem principal e seu ícone devem ser arquivos diferentes. Favor selecionar outro ícone, ou deixe que o TNG gere um.";
		$admtext['regenerate'] = "Regenere ícones existentes";
		$admtext['forcircles'] = "Para círculos";
		$admtext['forrects'] = "Para retângulos";
		$admtext['circleinstr'] = "Clique primeiro no centro do círculo, depois em qualquer ponto da borda.";
		$admtext['rectinstr'] = "Clique primeiro no canto superior esquerdo do retângulo, depois no canto inferior direito.";
		$admtext['firstone'] = "o primeiro";
		$admtext['controller'] = "Favor liberar ao redor de 16 pixels na vertical para o controlador de mídia.";
		$admtext['nostatus'] = "Sem status";
		$admtext['enterid'] = "Favor entrar um ID para o Tipo de Associação selecionado.";
		$admtext['existingalbuminfo'] = "Informação de Álbum";
		$admtext['newmediainfo'] = "Informação da Mídia";
		$admtext['mapinstr2'] = "Ligue regiões de sua imagem à diferentes pessoas ou páginas (opcional)";
		$admtext['mapinstr3'] = "Para ligar uma região desta fotografia a um indivíduo, primeiro selecione a árvore em que o indivíduo se encontra e depois crie um retângulo na área correspondente da fotografia. Para tal, clique no canto superior esquerdo do retângulo e arraste o cursor até o seu canto inferior direito. Alternativamente, você pode iniciar pelo canto superior esquerdo e arrastar o cursor até o canto inferior direito. Após, você deve selecionar o indivíduo na caixa de diálogo aberta. Com isso, o código necessário para estabelecer a ligação entre a região do mapa e o indivíduo é exibida na caixa abaixo. Repita o processo conforme necessário, ligando outras regiões da fotografia a indivíduos.";
		$admtext['albumlinks'] = "Ligações de Álbums";
		$admtext['duplinkmsg'] = "Uma ligação à entidade selecionada já existe neste álbum.";
		$admtext['invlinkmsg'] = "O ID de entidade fornecido é inválido. Não foi criada ligação.";
		$admtext['albmedia'] = "Álbum da Mídia";
		$admtext['removelink'] = "Remover Ligação";
		$admtext['confremmedia'] = "Tem certeza de que deseja excluir esta mídia deste álbum?";
		$admtext['selmedia'] = "Buscar mídia para inclusão neste álbum";
		$admtext['uploadfirst'] = "carregar a nova mídia aqui primeiro";
		$admtext['existmedia'] = "Mídia Existente";
		$admtext['emoptions'] = "Percorrer, Excluir ou Arrastar para Ordenar";
		$admtext['addlinks'] = "Adicionar Novas Ligações";
		$admtext['eloptions'] = "Percorrer ou Excluir";
		$admtext['inclmsg'] = " incluído";
		$admtext['mediasubt'] = "Gerenciar mídia incluída neste álbum (Adicionar, Excluir, Ordenar)";
		$admtext['infosubt'] = "Editar nome do álbum, descrição e palavras chaves";
		$admtext['linkssubt'] = "Ligar este álbum a Pessoas, Famílias, Fontes, Repositórios e Lugares";
		$admtext['inclmedia'] = "Mídia Incluída";
		$admtext['nomedia'] = "Ainda não há mídia incluída";
		$admtext['nolinks'] = "Ainda não há ligações";
		$admtext['thumbsize'] = "(original grande demais)";
		$admtext['thumbinv'] = "(imagem inválida ou permissões inadequadas)";
		$admtext['thumblost'] = "(original não encontrado)";
		$admtext['uplsel'] = "Carregue um novo arquivo de seu computador ou selecione dentre os aquivos já em seu site";
		$admtext['alblater'] = "Nota: Mídia pode ser adicionada a este álbum e o álbum pode ser ligado a indivíduos ou famílias através da próxima tela.";
		$admtext['medlater'] = "Nota: mais informação pode ser adicionada e o item pode ser ligado a indivíduos e famílias através da próxima tela.";
		$admtext['minfosubt'] = "Editar título da mídia, descrição e outros detalhes básicos";
		$admtext['medialinks'] = "Ligações da Mídia";
		$admtext['defphoto'] = "Foto padrão";
		$admtext['alttd'] = "Tit altern/Desc";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Editar associação da mídia";
		$admtext['plot'] = "Plotar";
		$admtext['addnewcoll'] = "Adicionar Coleção";
		$admtext['collid'] = "ID da Coleção";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Nome da Pasta";
		$admtext['collicon'] = "Arquivo com ícone";
		$admtext['colllike'] = "Mesma configuração que";
		$admtext['entercollid'] = "Por favor, entre o ID da coleção.";
		$admtext['entercolldisplay'] = "Por favor, entre o nome de exibição da coleção.";
		$admtext['entercollpath'] = "Por favor, entre o nome da pasta da coleção.";
		$admtext['entercollicon'] = "Por favor, entre o nome do arquivo do ícone da coleção.";
		$admtext['editcoll'] = "Editar Coleção";
		$admtext['confmtdelete'] = "Tem certeza de que deseja excluir este tipo de mídia?";
		$admtext['histlimit'] = "<strong>Nota sobre tamanho:</strong> A maioria dos navegadores limita o tamanho dos dados a enviar através de um formulário web em ao redor de 64KB. Se você tem um grande volume de texto para digitar ou colar no campo Corpo do Texto acima, considere a opção de utilizar o historytemplate.php. Veja a ajuda para maiores informações.";
		$admtext['repath'] = "Regenerar nomes de caminhos de arquivos de miniaturas quando o arquivo não existir";
		$admtext['sortalbumind'] = "Ordenar Álbums para um Indivíduo, Família, Fonte, Repositório ou Lugar";
		$admtext['cidexists'] = "O ID da Coleção entrado não pode ser adicionado, pois já existe.";
		$admtext['phalltrees'] = "Opcional. Deixar vazio para tornar fotos visíveis em todas árvores.";
		//added in 8.0.0
		$admtext['fileexists'] = "Arquivo já existente. Sobrescrever?";
		$admtext['collthumb'] = "Arquivo de miniatura";
		$admtext['movetop'] = "Mover para o topo";
		//added in 9.0.0
		$admtext['collexpas'] = "Exportar como";
		//added in 9.2.0
		$admtext['upload'] = "Carregar";
		$admtext['linksel'] = "Vincular a selecionado";
		$admtext['mediaupl'] = "Carregar Mídia";
		$admtext['addfiles'] = "Adicionar arquivos...";
		$admtext['startupl'] = "Iniciar carregamento";
		$admtext['start'] = "Iniciar";
		$admtext['cancelupl'] = "Cancelar carregamento";
		//added in 11.0.0
		$admtext['localpath'] = "Caminho(s) local(is)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Mudanças no relatório";
		$admtext['modifyreport'] = "Modificar Relatório Existente";
		$admtext['existingreportinfo'] = "Informações de Relatório Existentes";
		$admtext['existingreports'] = "Relatórios Existentes";
		$admtext['newreportinfo'] = "Nova Informação de Relatório";
		$admtext['reportname'] = "Nome do Relatório";
		$admtext['rankpriority'] = "Ordem/Prioridade";
		$admtext['choosedisplay'] = "Escolher os Campos a Exibir";
		$admtext['spouseid'] = "ID do Cônjuge";
		$admtext['spousename'] = "Nome do Cônjuge";
		$admtext['lastmodified'] = "Última Modificação";
		$admtext['ldsbapldate'] = "Data Batismo SUD";
		$admtext['ldsbaplplace'] = "Lugar Batismo SUD";
		$admtext['ldsendldate'] = "Data Investidura SUD";
		$admtext['ldsendlplace'] = "Lugar Investidura SUD";
		$admtext['ldssealsdate'] = "Data Selamento a Cônjuge SUD";
		$admtext['ldssealsplace'] = "Lugar Selamento a Cônjuge SUD";
		$admtext['ldssealpdate'] = "Data Selamento a Pais SUD";
		$admtext['ldssealpplace'] = "Lugar Selamento a Pais SUD";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Escolher Critério";
		$admtext['fullname'] = "Nome Completo";
		$admtext['lastfirst'] = "Sobrenome, Nome";
		$admtext['monthonlyfrom'] = "Só desde o Mês";
		$admtext['yearonlyfrom'] = "Só desde o Ano";
		$admtext['dayonlyfrom'] = "Só desde o Dia";
		$admtext['operators'] = "Operadores";
		$admtext['contains'] = "contém";
		$admtext['startswith'] = "Começa com";
		$admtext['endswith'] = "termina com";
		$admtext['text_and'] = "E";
		$admtext['currentmonth'] = "Mês Atual";
		$admtext['currentyear'] = "Ano Atual";
		$admtext['currentday'] = "Dia Atual";
		$admtext['constantstring'] = "Seqüência Constante";
		$admtext['constantvalue'] = "Valor Constante";
		$admtext['foremptystring'] = "Para uma seqüência vazia, deixe este campo em branco e clique em \"Incluir >>.\"";
		$admtext['choosesort'] = "Ordenar por Campos";
		$admtext['savereport'] = "Salvar Relatório";
		$admtext['addnewreport'] = "Incluir Novo Relatório";
		$admtext['createreport'] = "Criar novo relatório";
		$admtext['noreports'] = "Não há nenhum relatório";
		$admtext['rank'] = "Ordem";
		$admtext['confreportdelete'] = "Tem certeza que quer excluir este relatório?";
		$admtext['enterreportname'] = "Informe um Nome de Relatório.";
		$admtext['selectdisplayfield'] = "Selecione pelo menos um campo de exibição.";
		$admtext['today'] = "Hoje (data real)";
		$admtext['convtodays'] = "Converter em Dias";
		$admtext['desc'] = "Descendente (Prev)";
		$admtext['birthdatetr'] = "Data de Nascimento (Real)";
		$admtext['chrdatetr'] = "Data de Batismo (Real)";
		$admtext['deathdatetr'] = "Data de Falecimento (Real)";
		$admtext['burialdatetr'] = "Data de Sepultamento(Real)";
		$admtext['marriagedatetr'] = "Data de Casamento (Real)";
		$admtext['ldsbapldatetr'] = "Data Batismo SUD (Real)";
		$admtext['ldsendldatetr'] = "Data Investidura SUD (Real)";
		$admtext['ldssealsdatetr'] = "Data Selamento a Cônjuge SUD (Real)";
		$admtext['ldssealpdatetr'] = "Data Selamento a Pais SUD (Real)";
		$admtext['currentmonthnum'] = "Nº Mês Corrente";
		$admtext['livingtrue'] = "Vivo = sim";
		$admtext['livingfalse'] = "Vivo = não";
		$admtext['altreport'] = "OU deixar os campos a exibir, os critérios e os campos de ordenamento em branco e escrever uma declaração SQL SELECT neste espaço";
		$admtext['rptdate'] = "Data";
		$admtext['rptdatetr'] = "Data (Real)";
		$admtext['fact'] = "Fato";
		$admtext['testeditdelete'] = "Testar, Editar ou excluir relatórios existentes";
		$admtext['wnmsg'] = "Mensagem na Página \"Novidades\"";
		$admtext['mwtype'] = "Tipo";
		$admtext['mysphoto'] = "Fotos Procuradas";
		$admtext['mysperson'] = "Pessoas Procuradas";
		$admtext['selphoto'] = "Selecionar Foto";
		$admtext['entertitle'] = "Favor entrar título";
		$admtext['enterdesc'] = "Favor entrar descrição";
		$admtext['confremmw'] = "Tem certeza de que deseja remover este item?";
		$admtext['msgsaved'] = "Mensagem salva";
		//added in 9.1.1
		$admtext['privatetrue'] = "Privativas = sim";
		$admtext['privatefalse'] = "Privativas = não";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "Data de confirmação - SUD";
		$admtext['ldsconfplace'] = "Local de confirmação - SUD";
		$admtext['ldsconfdatetr'] = "Data de confirmação - SUD (Verdadeiro)";
		$admtext['ldsinitdate'] = "Data de iniciação - SUD";
		$admtext['ldsinitplace'] = "Local de iniciação - SUD";
		$admtext['ldsinitdatetr'] = "Data de iniciação - SUD (Verdadeiro)";
		$admtext['savecopy'] = "Salvar como cópia";
		$admtext['activeonly'] = "Somente ativo";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Por favor, selecione um arquivo para importar.";
		$admtext['importgedcom'] = "Importar GEDCOM (formato padrão 5.5)";
		$admtext['addreplacedata'] = "Adicionar ou substituir sua genealogia (pode levar vários minutos, dependendo do tamanho de seu arquivo)";
		$admtext['fromyourcomputer'] = "Do seu computador";
		$admtext['importdata'] = "Importar Dados";
		$admtext['setupfirsttime'] = "Configurar o programa pela primeira vez.";
		$admtext['replace'] = "Substituir (na árvore selecionada)";
		$admtext['desttree'] = "Árvore de Destino";
		$admtext['selectdesttree'] = "Por favor, selecione ou informe uma árvore de destino.";
		$admtext['selectexisting'] = "Importar para";
		$admtext['importgedcom2'] = "Imp.GEDCOM | Exp.GEDCOM | Processos Secundários";
		$admtext['setupitems'] = "Criar tabelas | Estabelecer preferências";
		$admtext['custeventitems'] = "Gerir rótulos presonalizados e tipos de eventos";
		$admtext['usersitems'] = "Gerir usuários e permissões";
		$admtext['reportsitems'] = "Criar listas e relatórios personalizados";
		$admtext['langitems'] = "Administrar idiomas alternativos";
		$admtext['backupitems'] = "Backup, restauração e otimização de tabelas";
		$admtext['ucaselast'] = "Todos os sobrenomes em maiúsculas";
		$admtext['norecalc'] = "Não recalcular a marcação de pessoas vivas";
		$admtext['autooffset'] = "Começar IDs com o 1º número disponível";

		$admtext['mustselecttree'] = "É necessário selecionar uma árvore antes de poder usar esta opção.";
		$admtext['importmedia'] = "Importar multimídia, se existir";
		$admtext['mainmenu'] = "Menu Principal";
		$admtext['neweronly'] = "Substituir somente se for mais novo";
		$admtext['secondaryitems'] = "Criar arquivo GENDEX, Rastrear linhas descendentes";
		$admtext['onwebserver'] = "No servidor web (na pasta GEDCOM)";
		$admtext['eventsonly'] = "Apenas importar eventos definidos pelo usuário (custom events)";
		$admtext['imphints'] = "Dicas: Todos Dados Atuais significa todas pessoas, famílias e fontes (associações a mídias não são perdidas, desde que os IDs fiquem os mesmos). Registros são coincidentes quanto têm o mesmo ID. Novos registros são sempre adicionados. Anexar importa todos registros com novos IDs.";
		$admtext['allevents'] = "Aceitar dados para todos novos Tipos de Evento";
		$admtext['destbranch'] = "Ramo de Destino (opcional)";
		$admtext['inframe'] = "(sem frame)";
		$admtext['getstart'] = "Iniciação";
		$admtext['importlatlong'] = "Importar dados de latitude / longitude quando presentes";
		$admtext['opening'] = "Abrindo";
		$admtext['reopen'] = "Reabrindo";
		$admtext['uploading'] = "Carregando";
		$admtext['stop'] = "Parar";
		$admtext['stopped'] = "Importação interrompida";
		$admtext['resume'] = "Reiniciar";
		//changed in 8.0.0
		$admtext['showlog'] = "Registro de Alterações";
		//added in 8.0.0
		$admtext['mmgritems'] = "Configurar add-ons de terceiros";
		//added in 9.0.0
		$admtext['oldimport'] = "Importar na versão antiga (sem barra de progresso)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Notas, Novidades, Procurados";
		//added in 11.0.0
		$admtext['tasks'] = "Tarefas importantes";
		$admtext['task_revusers'] = "Revisar pedidos de registro de novo usuário";
		$admtext['task_tree'] = "Criar sua primeira árvore";
		$admtext['task_user'] = "Criar uma conta de usuário para você mesmo";
		$admtext['task_people'] = "adicionar novas pessoas";
		$admtext['task_families'] = "Adicionar novas famílias";
		$admtext['task_revind'] = "Revisar propostas de alterações de eventos individuais";
		$admtext['task_revfam'] = "Revisar propostas de alterações de eventos familiares";
		$admtext['task_backup'] = "Backup dos dados";
		$admtext['nobackups'] = "não existem backups";
		$admtext['lastbackup'] = "último backup tem mais de xxx dias";
		$admtext['dna_blurb'] = "Criar log de testes de DNA e ligá-los a indivíduos";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Mudanças na fonte";
		$admtext['modifysource'] = "Modificar Fonte Existente";
		$admtext['selectsrcaction'] = "Selecionar Fonte e Ação";
		$admtext['shorttitle'] = "Título Abreviado";
		$admtext['longtitle'] = "Título Completo";
		$admtext['author'] = "Autor";
		$admtext['callnumber'] = "Número de registro";
		$admtext['publisher'] = "Editor(a)";
		$admtext['actualtext'] = "Citação textual";
		$admtext['confdeletesrc'] = "Tem certeza que quer eliminar esta fonte?";
		$admtext['selectshorttitle'] = "Por favor, Selecione ou informe um título curto para este tipo de evento.";
		$admtext['existingsourceinfo'] = "Informações existentes para a Fonte";
		$admtext['newsourceinfo'] = "Informação da Nova Fonte";
		$admtext['addnewsource'] = "Incluir Nova Fonte";
		$admtext['prefixsourceid'] = "Por favor, anteceda o ID da Fonte com \"S\" de \"Source\"";
		$admtext['entersourceid'] = "Informe um ID de Fonte.";
		$admtext['validsourceid'] = "Informe um ID de Fonte válido. Um ID válido é uma seqüência numérica precedida de 'S',";
		$admtext['createsource'] = "Criar um registro para uma nova fonte";
		$admtext['editexistingsource'] = "Editar informações de uma fonte já incluída";
		$admtext['addnewcite'] = "Incluir Nova Citação";
		$admtext['reliability'] = "Confiabilidade";
		$admtext['relyexplain'] = "Quanto maior o número maior a confiabilidade.";
		$admtext['citedate'] = "Data da Citação";
		$admtext['modifycite'] = "Modificar Citação Existente";
		$admtext['addingcite'] = "Incluindo Citação...";
		$admtext['deletingcite'] = "Apagando Citação...";
		$admtext['updatingcite'] = "Atualizando Citação...";
		$admtext['citation'] = "Citação";
		$admtext['sevslater'] = "Nota: Podem ser incluídos eventos adicionais depois que a nova fonte tenha sido salva.";
		$admtext['pleasesourcepart'] = "Por favor, informe parte do título da fonte.";
		$admtext['addnewrepo'] = "Incluir Novo Repositório";
		$admtext['modifyrepo'] = "Modificar Repositório Existente";
		$admtext['createrepo'] = "Criar um registro para um novo repositório";
		$admtext['editexistingrepo'] = "Editar informações de um repositório já existente";
		$admtext['enterrepoid'] = "Por favor, informe um ID de Repositório.";
		$admtext['enterreponame'] = "Por favor, informe um nome de Repositório.";
		$admtext['newrepoinfo'] = "Informação do novo Repositório";
		$admtext['prefixrepoid'] = "Por favor, preceda o ID do Repositório com \"REPO\" de \"Repositório\"";
		$admtext['selectrepoaction'] = "Selecione o Repositório e a Ação desejada";
		$admtext['confdeleterepo'] = "Tem certeza de que deseja excluir este repositório?";
		$admtext['changestorepo'] = "As mundanças ao repositório";
		$admtext['existingrepoinfo'] = "Informações existentes para o Repositório";
		$admtext['pleaserepopart'] = "Favor entrar parte do título do repositório.";
		$admtext['choosemergesources'] = "Escolha fontes para mesclar ou encontre fontes candidatas à mesclagem";
		$admtext['confirmmergesources'] = "Está seguro de que deseja mesclar estas fontes?";
		$admtext['choosemergerepos'] = "Escolha repositórios para mesclar ou encontre repositórios candidatos à mesclagem";
		$admtext['confirmmergerepos'] = "Você está seguro de que deseja mesclar estes repositórios?";
		$admtext['revslater'] = "Observação: Eventos e notas adicionais poderão ser adicionados depois de salvar o novo repositório.";
		$admtext['confdeleterepo'] = "Tem certeza de que deseja excluir este repositório?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Verificar Novo ID";
		$admtext['idnotvalid'] = "não  é um ID válido. Um ID válido é uma seqüência numérica precedida de";
		$admtext['idinuse'] = "está em uso. Escolha um ID diferente";
		$admtext['idok'] = "está OK para usar";
		$admtext['isok'] = "OK para uso";
		$admtext['isinuse'] = "já está em uso.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Número do template";
		$admtext['mainimage'] = "Imagem principal (página de abertura)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Imagem de título (página de abertura)"; //1, 2, 3
		$admtext['headline'] = "Cabeçalho"; //4, 7
		$admtext['mainpara'] = "Páragrafo de bosas vindas";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Imagem de cabeçalho (inclusive título)"; //1
		$admtext['pedperson'] = "ID da pessoa do pedigree"; //2
		$admtext['pedtree'] = "ID da árvore do pedigree"; //2
		$admtext['phhistperson'] = "ID da pessoa de Fotos e Histórias"; //2
		$admtext['phhisttree'] = "ID da árvore de Fotos e Histórias"; //2
		$admtext['headimg'] = "Imagem de cabeçalho"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Imagem de título de cabeçalho"; //2, 3
		$admtext['titleimg'] = "Imagem de título (todas páginas)"; //4, 7
		$admtext['searchpara'] = "Páragrafo para busca"; //6
		$admtext['fhpara'] = "Parágrafo para Famílias e Histórias"; //6
		$admtext['fhlinkshis'] = "Links de Histórias de Família (dele)"; //6
		$admtext['fhlinkshers'] = "Links de Histórias de Família (dela)"; //6
		$admtext['mwpara'] = "Parágrafo para Mais Procurados"; //6
		$admtext['respara'] = "Parágrafo para Recursos"; //6
		$admtext['reslinks'] = "Links para Recursos"; //6
		$admtext['headtitle1'] = "Título do cabeçalho, parte 1"; //8
		$admtext['headtitle2'] = "Título do cabeçalho, parte 2"; //8
		$admtext['headtitle3'] = "Título do cabeçalho, parte 3"; //8
		$admtext['headsubtitle'] = "Sub-título do cabeçalho"; //8
		$admtext['latestnews'] = "Últimas novidades"; //8
		$admtext['momside'] = "Rótulo para a parte de mãe"; //8
		$admtext['dadside'] = "Rótulo para a parte do pai"; //8
		$admtext['momperson'] = "ID da pessoa por parte de mãe"; //8
		$admtext['momtree'] = "ID da árvore por parte de mãe"; //8
		$admtext['dadperson'] = "ID da pessoa por parte de pai"; //8
		$admtext['dadtree'] = "ID da árvore por parte de pai"; //8
		$admtext['featurethumb1'] = "Ícone para a Característica 1"; //4
		$admtext['featurelink1'] = "Link para a Característica 1"; //4
		$admtext['featuretitle1'] = "Título para a Característica 1"; //4
		$admtext['featurepara1'] = "Parágrafo para a Característica 1"; //4
		$admtext['featurethumb2'] = "Ícone para a Característica 2"; //4
		$admtext['featurelink2'] = "Link para a Característica 2"; //4
		$admtext['featuretitle2'] = "Título para a Característica 2"; //4
		$admtext['featurepara2'] = "Parágrafo para a Característica 2"; //4
		$admtext['featurethumb3'] = "Ícone para a Característica 3"; //4
		$admtext['featurelink3'] = "Link para a Característica 3"; //4
		$admtext['featuretitle3'] = "Título para a Característica 3"; //4
		$admtext['featurepara3'] = "Parágrafo para a Característica 3"; //4
		$admtext['featurethumb4'] = "Ícone para a Característica 4"; //4
		$admtext['featurelink4'] = "Link para a Característica 4"; //4
		$admtext['featuretitle4'] = "Título para a Característica 4"; //4
		$admtext['featurepara4'] = "Parágrafo para a Característica 4"; //4
		$admtext['photocaption'] = "Legenda da imagem principal"; //4
		$admtext['maintitle'] = "Título principal"; //5
		$admtext['hisside'] = "Rótulo para o lado dele"; //5
		$admtext['herside'] = "Rótulo para o lado dela"; //5
		$admtext['newstext'] = "Texto de novidadades"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Habilitar troca de template";
		//added in 9.0.0
		$admtext['template'] = "Template";
		$admtext['createcopy'] = "Criar cópia em";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Links para artigos"; //9, 10
		$admtext['featurepara'] = "Parágrafo de artigo"; //9, 10
		$admtext['welcome'] = "Cabeçalho de boas vindas"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Nomes do lado materno"; //8
		$admtext['dadsidenames'] = "Nomes do lado paterno"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Parágrafo de características";
		$admtext['menutitle'] = "Título do menu";
		$admtext['titlechoice'] = "Opção do título";
		$admtext['photol'] = "Imagem esquerda";
		$admtext['phototitlel'] = "Título da imagem esquerda";
		$admtext['photocaptionl'] = "Legenda da imagem esquerda";
		$admtext['photor'] = "Imagem direita";
		$admtext['phototitler'] = "Título da imagem direita";
		$admtext['photocaptionr'] = "Legenda da imagem direita";
		$admtext['topsurnames'] = "Rótulo para primeiros sobre-nomes";
		$admtext['headimg2'] = "Imagem cabeç 2"; //14
		$admtext['headimg3'] = "Imagem cabeç 3"; //14
		$admtext['showprev'] = "Exibir pré-visualizações";
		$admtext['hideprev'] = "Ocultar pré-visualizações";
		$admtext['ttitleimage'] = "Imagem";
		$admtext['ttitletext'] = "Texto";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Miniatura da característica 5"; //15
		$admtext['featurelink5'] = "Link da característica 5"; //15
		$admtext['featuretitle5'] = "Título da característica 5"; //15
		$admtext['featurepara5'] = "Parágrafo da característica 5"; //15
		$admtext['featurethumb6'] = "Miniatura da característica 6"; //15
		$admtext['featurelink6'] = "Link da característica 6"; //15
		$admtext['featuretitle6'] = "Título da característica 6"; //15
		$admtext['featurepara6'] = "Parágrafo da característica 6"; //15
		$admtext['featurethumb7'] = "Miniatura da característica 7"; //15
		$admtext['featurelink7'] = "Link da característica 7"; //15
		$admtext['featurepara7'] = "Parágrafo da característica 7"; //15
		$admtext['featurethumb8'] = "Miniatura da característica 8"; //15
		$admtext['featurelink8'] = "Link da característica 8"; //15
		$admtext['featurepara8'] = "Parágrafo da característica 8"; //15
		$admtext['sidebarhead1'] = "Cabeçalho lateral 1"; //15
		$admtext['sidebarhead2'] = "Cabeçalho lateral 2"; //15
		$admtext['sidebarhead3'] = "Cabeçalho lateral 3"; //15
		$admtext['texttitle1'] = "Título do texto 1"; //15
		$admtext['textlink1'] = "Link do texto 1"; //15
		$admtext['textpara1'] = "Parágrafo do texto 1"; //15
		$admtext['texttitle2'] = "Título do texto 2"; //15
		$admtext['textlink2'] = "Link do texto 2"; //15
		$admtext['textpara2'] = "Parágrafo do texto 2"; //15
		$admtext['texttitle3'] = "Título do texto 3"; //15
		$admtext['textpara3'] = "Parágrafo do texto 3"; //15
		$admtext['subhead1'] = "Sub-cabeçalho 1"; //15
		$admtext['subhead2'] = "Sub-cabeçalho 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tabelas criadas com sucesso.";
		$admtext['backtosetup'] = "Retornar ao Menu de Configuração";
		$admtext['configuration'] = "Configuração";
		$admtext['entersysvars'] = "Estabelecer valores para variáveis do sistema.";
		$admtext['createdbtables'] = "Criar as tabelas de base de dados para conter suas informações.";
		$admtext['tcwarning'] = "<strong>Atenção!</strong> Escolha esta opção somente se estiver configurando seu site pela primeira vez. <strong> Todos os dados existentes, inclusive de fotos, histórias, lápides e informações de cemitérios, serão apagados!</strong>";
		$admtext['conftabledelete'] = "Serão apagados TODOS os dados existentes!! Tem certeza que quer continuar?";
		$admtext['performdatamaint'] = "Executar manutenção de dados e gerir fotos, histórias e outros componentes.";
		$admtext['createtables'] = "Criar Tabelas";
		$admtext['configsettings'] = "Configuração Geral";
		$admtext['logconfigsettings'] = "Configuração de Log";
		$admtext['importconfigsettings'] = "Configuração de Importação";
		$admtext['diagnostics'] = "Diagnósticos";
		$admtext['rundiags'] = "Executar Diagnósticos";
		$admtext['phpinf'] = "Tela PHP Info";
		$admtext['fromphp'] = "Esta informação provém de seu servidor e está relacionada com sua instalação PHP. Não foi produzida pelo TNG.";
		$admtext['phpver'] = "Versão do PHP";
		$admtext['phpreq'] = "(TNG requer versão 5.3 ou posterior.)";
		$admtext['gdlib'] = "Biblioteca de Gráficos GD";
		$admtext['gdreq'] = "(Necessário para que o TNG possa criar miniaturas de fotos.)";
		$admtext['availnogif'] = "Disponível, mas não funciona com imagens de tipo .gif";
		$admtext['notinst'] = "Não instalado";
		$admtext['safemode'] = "Modo Seguro";
		$admtext['off'] = "Desativado";
		$admtext['on'] = "Ativado";
		$admtext['fileuploads'] = "Transferências de arquivos";
		$admtext['fureq'] = "(Necessário para transferir GEDCOM ao servidor via web, transferir imagens e outras funções.)";
		$admtext['perm'] = "Permitido";
		$admtext['notperm'] = "Não permitido. É melhor usar FTP";
		$admtext['sqlver'] = "Versão do MySQL";
		$admtext['sqlreq'] = "(TNG requer versão 5.5 ou posterior.)";
		$admtext['wsrvr'] = "Servidor web";
		$admtext['fperms'] = "Permissões de Arquivos/Pastas";
		$admtext['fpreq'] = "(TNG requer que alguns arquivos e pastas tenham permissões de acesso especiais.)";
		$admtext['scruser'] = "O script está sendo executado como usuário:";
		$admtext['phpuser'] = "O PGP informa que é usuário:";
		$admtext['usrprob'] = "É possível que você não tenha o necessário nível de acesso aos arquivos para que o TNG funcione sem problemas no caso de utilizar o FTP e as funções administrativas do TNG simultaneamente.";
		$admtext['rofile'] = "O arquivo é só de leitura:";
		$admtext['rofolder'] = "A pasta é só de leitura:";
		$admtext['publog'] = "Registro Público";
		$admtext['admlog'] = "Registro administrativo";
		$admtext['folderdne'] = "A pasta não existe:";
		$admtext['keyrw'] = "As pastas chaves são todas de leitura/gravação";
		$admtext['cfgrw'] = "Os arquivos de configuração são todos de leitura/gravação";
		$admtext['acceptable'] = "Aceitável.";
		$admtext['restricted'] = "Algumas funções podem estar restritas. É possível que surjam erros durante a instalação ou o funcionamento do TNG.";
		$admtext['needchngs'] = "Pode ser que o TNG não funcione sem que sejam feitas mudanças na configuração do PHP ou do servidor.";
		$admtext['yourbrowser'] = "Seu navegador:";
		$admtext['modifysettings'] = "Modificar Opções de Configuração";
		$admtext['dbhost'] = "Servidor da Base de Dados";
		$admtext['dbname'] = "Nome da Base de Dados";
		$admtext['dbusername'] = "Nome do Usuário da Base de Dados";
		$admtext['dbpassword'] = "Senha da Base de Dados";
		$admtext['rootpath'] = "Caminho Raiz";
		$admtext['homepage'] = "Página Inicial";
		$admtext['emailaddress'] = "Endereço de Email";
		$admtext['siteowner'] = "Proprietário do Site";
		$admtext['maxdescgens'] = "Nº máxímo de Gerações de Descendentes";
		$admtext['disallow'] = "Não permitir";
		$admtext['defaultallowed'] = "Padrão: Permitido";
		$admtext['maxsearchresults'] = "Quant. máxima de Resultados de Busca";
		$admtext['targetframe'] = "Marco de Destino";
		$admtext['table'] = "Tabela";
		$admtext['lastbackup'] = "Último Backup";
		$admtext['backup'] = "Cópia de segurança";
		$admtext['restore'] = "Restaurar";
		$admtext['backupfilesize'] = "Tamanho Arquivo";
		$admtext['succbackedup'] = "feito back up com sucesso";
		$admtext['succrestored'] = "restaurado com sucesso";
		$admtext['change_cutoff'] = "Dias de 'Novidades'";
		$admtext['change_limit'] = "Limite de 'Novidades";
		$admtext['photosext'] = "Extensão de Fotos";
		$admtext['defaulttree'] = "Árvore Padrão";
		$admtext['requirelogin'] = "Exigir autenticação (Login)";
		$admtext['defaultdontrequire'] = "Padrão: Não Exigir";
		$admtext['ldsdefault'] = "Mostrar Dados SUD";
		$admtext['ldson'] = "Sempre";
		$admtext['ldsoff'] = "Nunca";
		$admtext['ldspermit'] = "Dependendo dos direitos do usuário";
		$admtext['allow'] = "Permitir";
		$admtext['chooselang'] = "Troca Dinâmica de Idioma";
		$admtext['optimize'] = "Otimizar";
		$admtext['succoptimized'] = "otimizado com sucesso";
		$admtext['customheader'] = "Cabeçalho Personalizado";
		$admtext['customfooter'] = "Pé-de-página Personalizado";
		$admtext['custommeta'] = "Meta Personalizada";
		$admtext['lineending'] = "Fim de Linha";
		$admtext['backuppath'] = "Pasta Backup";
		$admtext['photopath'] = "Pasta Foto";
		$admtext['headstonepath'] = "Pasta Lápide";
		$admtext['historypath'] = "Pasta História";
		$admtext['backuprestoretables'] = "Fazer Backup, Restaurar & Otimizar Dados da Tabela";
		$admtext['shownames'] = "Mostar nomes de pessoas vivas";
		$admtext['initials'] = "Abreviar o primeiro nome";
		$admtext['regformat'] = "Formato de Registro";
		$admtext['stdformat'] = "Formato Standard";
		$admtext['thumbprefix'] = "Prefixo de Miniaturas";
		$admtext['thumbmaxh'] = "Altura Máx de Miniatura";
		$admtext['thumbmaxw'] = "Largura Máx de Miniatura";
		$admtext['thumbsuffix'] = "Sufixo de Miniaturas";
		$admtext['showextended'] = "Mostrar Info Completa da Foto";
		$admtext['shownotes'] = "Mostrar Notas";
		$admtext['notestogether'] = "Colocar embaixo dos eventos correspondentes, caso seja possível";
		$admtext['notestogether2'] = "Após os eventos, exceto notas gerais";
		$admtext['notesapart'] = "Na seção de Notas";
		$admtext['lnprefixes'] = "Partículas de Sobrenome (i.e., van, de)";
		$admtext['lntogether'] = "Manter como parte normal do sobrenome";
		$admtext['lnapart'] = "Tratar como entidade separada";
		$admtext['detectpfx'] = "Deteção de Partículas na Importação";
		$admtext['lnpfxnum'] = "Num. partículas cada (máx)";
		$admtext['specpfx'] = "OU estas partículas específicas";
		$admtext['newmedialinks'] = "Novos vínculos para Fotos/Histórias";
		$admtext['maxgedcom'] = "Nº máximo de gerações, para baixar GEDCOM";
		$admtext['placestable'] = "Tabela de Locais";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "URL do site de Genealogia";
		$admtext['charset'] = "Conjunto de Caracteres";
		$admtext['time_offset'] = "Diferença de fuso horário do Servidor (horas)";
		$admtext['backupall'] = "Fazer back up dos elementos selecionados";
		$admtext['optimizeall'] = "Otimizar os elementos selecionados";
		$admtext['alltables'] = "Tabelas selecionadas";
		$admtext['brinstructions'] = "Para fazer back up, restaurar ou otimizar uma tabela, clique no ícone da ação apropriada para esta tabela, ou selecione várias tabelas e aplique tal ação a todas as selecionadas clicando no botão que aparece no pé da tela.";
		$admtext['tabstyle'] = "Folha de Estilo de Tabulações";
		$admtext['iconloc'] = "Localização do Menu";
		$admtext['topleft'] = "Superior esquerda, acima do título";
		$admtext['topright'] = "Superior direita, próximo do título";
		$admtext['indstart'] = "Mostrar inicialmente pessoas com";
		$admtext['persinfo'] = "informação pessoal, somente";
		$admtext['allinfo'] = "Todas as informações";
		$admtext['thumbcols'] = "Colunas em Visão de Miniaturas";
		$admtext['stdesc'] = "Estado inicial da Árvore de Descendentes";
		$admtext['stexpand'] = "Expandido";
		$admtext['stcollapse'] = "Contraído";
		$admtext['regnosp'] = "Registrar Gerações";
		$admtext['chshow'] = "Todos sempre visíveis";
		$admtext['chifsp'] = "Eliminar indivíduos sem família";
		$admtext['restoreall'] = "Restaurar a Seleção";
		$admtext['surerestore'] = "Tem certeza que quer restaurar as tabelas selecionadas?";
		$admtext['surerestorets'] = "Tem certeza que quer restaurar a estrutura da tabela? Todos os dados existentes serão perdidos!";
		$admtext['backupstruct'] = "Fazer back up da estrutura da tabela";
		$admtext['tablestruct'] = "Estrutura da Tabela";
		$admtext['brinstructions2'] = "Para fazer back up ou restaurar a estrutura da tabela, clique no ícone da ação apropriada, mais abaixo. ATENÇÃO: Ao restaurar a estrutura da tabela, serão perdidos todos os dados existentes!";
		$admtext['livedefault'] = "Mostrar os dados das pessoas vivas";
		$admtext['nodisplay'] = "Não mostrar";
		$admtext['menudisp'] = "Exibir menu";
		$admtext['asicons'] = "Como ícones";
		$admtext['asdrop'] = "Como menu suspenso";
		$admtext['gendex'] = "Pasta GENDEX";
		$admtext['modifypedsettings'] = "Modificar Ajustes de Configuração de Árvores Genealógicas";
		$admtext['leftindent'] = "Indentação Esquerda";
		$admtext['boxnamesize'] = "Tamanho da Caixa de Nome";
		$admtext['namesizeshift'] = "Tamanho Deslocamento do Nome";
		$admtext['boxdatessize'] = "Tamanho da Caixa de Datas";
		$admtext['datessizeshift'] = "Tamanho Deslocamento de Datas";
		$admtext['boxcolor'] = "Cor da Caixa";
		$admtext['colorshift'] = "Cor do Deslocamento(%)";
		$admtext['emptycolor'] = "Cor do Vazio";
		$admtext['bordercolor'] = "Cor da Borda";
		$admtext['shadowcolor'] = "Cor da Sombra";
		$admtext['boxwidth'] = "Largura da Caixa (sem popups)";
		$admtext['boxheight'] = "Altura da Caixa (sem popups)";
		$admtext['boxalign'] = "Alinhamento da Caixa (sem popups)";
		$admtext['boxheightshift'] = "Altura do Deslocamento da Caixa (sem popups)";
		$admtext['boxHsep'] = "Separação Horizontal da Caixa";
		$admtext['boxVsep'] = "Separação Vertical da Caixa";
		$admtext['shadowoffset'] = "Deslocamento da Sombra";
		$admtext['linewidth'] = "Largura da Linha";
		$admtext['borderwidth'] = "Largura da Borda";
		$admtext['popupcolor'] = "Cor do Popup";
		$admtext['popupinfosize'] = "Tamanho da Informação de Popup";
		$admtext['popupinfosizeshift'] = "Tamanho do Deslocamento da Informação de Popup";
		$admtext['popuptimer'] = "Temporizador de Popup (ms)";
		$admtext['pedevent'] = "Evento de Popup";
		$admtext['puboxwidth'] = "Largura da Caixa (c/popups)";
		$admtext['puboxheight'] = "Altura da Caixa (c/popups)";
		$admtext['puboxalign'] = "Alinhamento Caixa (c/popups)";
		$admtext['puboxheightshift'] = "Deslocamenro da Altura da Caixa (c/popups)";
		$admtext['popupspouses'] = "Popup de Cônjuges";
		$admtext['popupkids'] = "Popup de Filhos";
		$admtext['popupchartlinks'] = "Popup de Graficos de Vínculos";
		$admtext['inclphotos'] = "Incluir Fotos";
		$admtext['overflow'] = "Overflow";
		$admtext['pedcompact'] = "Compacto";
		$admtext['pedstandard'] = "Padrão";
		$admtext['pedtextonly'] = "Só Texto";
		$admtext['relchart'] = "Gráfico de Parentesco";
		$admtext['maxupgen'] = "Nº Máximo de Gerações no Parentesco";
		$admtext['left'] = "Esquerda";
		$admtext['right'] = "Direita";
		$admtext['center'] = "Centro";
		$admtext['mouseover'] = "Mouse Sobre";
		$admtext['mousedown'] = "Mouse por Baixo";
		$admtext['ahnentafel'] = "Ahnentafel";
		$admtext['pedbox'] = "Extendido";
		$admtext['hideempty'] = "Ocultar Caixas Vazias";
		$admtext['logfilename'] = "Nome do Arquivo de Log";
		$admtext['maxloglines'] = "Nº Máximo de Linhas de Log";
		$admtext['modifylogsettings'] = "Modificar Opções de Configuração de Log";
		$admtext['badhosts'] = "Excluir Nomes de Servidores";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Público)";
		$admtext['saveimportstate'] = "Salvar Estado de Importação";
		$admtext['allowresume'] = "Salvar para permitir recomeçar se a importação falhar";
		$admtext['modifyimportsettings'] = "Modificar Opções da Configuração de Importação";
		$admtext['embeddedmedia'] = "Objetos Multimídia embutidos";
		$admtext['assignnames'] = "Permitir que o TNG atribua nomes aos objetos multimídia embutidos";
		$admtext['localphotopath'] = "Path(s) Local/is de Fotos";
		$admtext['localdocpath'] = "Path(s) Local/is de Histórias";
		$admtext['nopathmatch'] = "Se nenhum path local coincide";
		$admtext['wholepath'] = "Importar o path completo";
		$admtext['justname'] = "Importar somente o nome-de-arquivo";
		$admtext['gedpath'] = "Pasta GEDCOM (Importar/Exportar)";
		$admtext['makefolder'] = "Criar Pasta";
		$admtext['blankchangedt'] = "Se 'Mudar a Data' estiver em branco";
		$admtext['usetoday'] = "Usar a data atual";
		$admtext['useblank'] = "Deixar como está";
		$admtext['nobirthdate'] = "Se não houver data de nascimento, presumir que";
		$admtext['persliving'] = "A pessoa ainda está viva";
		$admtext['persdead'] = "A pessoa já faleceu";
		$admtext['nodeathdate'] = "Se falta a data de falecimento, presumir que a pessoa já faleceu<br /> se tiver mais de";
		$admtext['pedconfigsettings'] = "Configuração de Árvore Genealógica";
		$admtext['usepopups'] = "Exibir Inicial";
		$admtext['maxpedgens'] = "Nº Máximo de Gerações na Árvore de Ascendentes";
		$admtext['dbsection'] = "Base de Dados";
		$admtext['tablesection'] = "Nomes das tabelas";
		$admtext['foldersection'] = "Caminhos e Pastas";
		$admtext['sitesection'] = "Layout e definição do site";
		$admtext['privsection'] = "Privacidade";
		$admtext['namesection'] = "Nomes";
		$admtext['descsection'] = "Descendência";
		$admtext['miscsection'] = "Miscelânea";
		$admtext['mediatable'] = "Tabela de Mídia";
		$admtext['pedanddesc'] = "Elementos Comuns";
		$admtext['descchart'] = "Grafo de Descendência";
		$admtext['pedchart'] = "Grafo de Ascendência";
		$admtext['initgens'] = "Gerações para Iniciar";
		$admtext['mediapath'] = "Pasta Geral de Mídia";
		$admtext['documentpath'] = "Pasta de Documentos";
		$admtext['localdocumentpath'] = "Caminho(s) para Documentos Locais";
		$admtext['localotherpath'] = "Caminho(s) para Outras Mídias";
		$admtext['imgmaxh'] = "Altura Max. de Imagem";
		$admtext['imgmaxw'] = "Largura Max. de Imagem";
		$admtext['succdel'] = "excluído com sucesso";
		$admtext['delbkups'] = "Excluir Backups Selecionados";
		$admtext['suredelbk'] = "Está segure de que deseja excluir os backups selecionados?";
		$admtext['showhome'] = "Mostrar Link Início(Home)";
		$admtext['showsearch'] = "Mostrar Link Buscar";
		$admtext['showlogin'] = "Mostrar Link de Login/Logout";
		$admtext['showprint'] = "Mostrar Link de Impressão";
		$admtext['showbmarks'] = "Mostrar Link Adicionar Marcador";
		$admtext['server'] = "(servidor)";
		$admtext['client'] = "(cliente)";
		$admtext['sitename'] = "Nome do Site";
		$admtext['site_desc'] = "Descrição do Site";
		$admtext['privnote'] = "Prefixo para notas privativas";
		$admtext['custvars'] = "Nota: você pode criar seus ajustes próprios no arquivo \"customconfig.php\" (abra-o em um editor de texto e siga as instruções).";
		$admtext['blockemail'] = "Bloquear sugestões ou registros de usuário quando";
		$admtext['addrcontains'] = "Endereço contém";
		$admtext['msgcontains'] = "Mensagem contém";
		$admtext['reqloginset'] = "\"Exigir Autenticação\" deve ser Sim para habilitar esta opção";
		$admtext['treerestrict'] = "Restringir o acesso à árvore correspondente";
		$admtext['mapconfigsettings'] = "Definições de Mapa";
		$admtext['modifymapsettings'] = "Modificar Configuração do Mapa";
		$admtext['maptype'] = "Tipo de Mapa";
		$admtext['maphybrid'] = "Híbrido";
		$admtext['mapsatellite'] = "Satélite";
		$admtext['mapdimsind'] = "Dimensões, Página de Pessoal";
		$admtext['mapdimshst'] = "Dimensões, Página de Sepultura";
		$admtext['mapdimsadm'] = "Dimensões, Paginas de Administração";
		$admtext['mapwidth'] = "Largura (% or px)";
		$admtext['mapheight'] = "Altura (px)";
		$admtext['mapstlat'] = "Latitude do Início";
		$admtext['mapstlong'] = "Longitude de Início";
		$admtext['startoff'] = "Ocultar Mapas na Administração para Iniciar";
		$admtext['conslpins'] = "Consolidadar Marcadores (Pins) Duplicados";
		$admtext['ssenabled'] = "Habilitar Slide Show";
		$admtext['ssrepeat'] = "Auto-repetição de Slide Show";
		$admtext['sysinfo'] = "Informação sobre o ambiente de seu site.";
		$admtext['albumlinkstable'] = "Álbum de Mídia";
		$admtext['addresstable'] = "Endereços";
		$admtext['statestable'] = "Estados";
		$admtext['countriestable'] = "Países";
		$admtext['notelinkstable'] = "Ligações de notas";
		$admtext['medialinkstable'] = "Ligações de mídia";
		$admtext['saveimporttable'] = "Salvar Importação";
		$admtext['brlinkstable'] = "Rótular Associações";
		$admtext['temptable'] = "Eventos Temp";
		$admtext['tleventstable'] = "Eventos de Linha de Tempo";
		$admtext['album2entitiestable'] = "Ligações de Álbums";
		$admtext['doctype'] = "Declaração Doctype";
		$admtext['cemrows'] = "Max linhas por coluna (aprox.)";
		$admtext['cemblanks'] = "Suprimir categorias \"Unknown\"";
		$admtext['success'] = "Sucesso";
		$admtext['fexists'] = "Falha. Pasta já existe.";
		$admtext['fmanual'] = " Falha. Favor criar usando programa de FTP ou gerenciador de arquivos do site.";
		$admtext['maintmode'] = "Modo de Manutenção";
		$admtext['maintexp'] = "Todo acesso à base de dados está temporariamente suspenso devido a manutenção do site. Favor tentar novamente mais tarde. Se o site não voltar ao ar após algumas horas, favor contatar o administrador.";
		$admtext['defimpopt'] = "Opção Padrão de Substituição";
		$admtext['seltable'] = "Favor selecionar ao menos uma tabela.";
		$admtext['renumber'] = "Resequencear IDs";
		$admtext['idtype'] = "Tipo de ID";
		$admtext['mindigits'] = "Número Mínimo de Dígitos";
		$admtext['niprefix'] = "Sem incluir o prefixo ID";
		$admtext['finreseq'] = "Resequenciamento finalizado";
		$admtext['recsreseq'] = "registros resquenciados";
		$admtext['needmaint'] = "Você deve estar no Modo de Manutenção para executar este utilitário (vá para Setup &gt;&gt; Configuração &gt;&gt; Configuração Geral)";
		$admtext['reseqwarn'] = "<strong>AVISO:</strong> Resequencear os IDs pode ter como conseqüência que links externos ao seu site apontem para endereços incorretos.";
		$admtext['subroot'] = "Caminho de Configuração";
		$admtext['hidechr'] = "Ocultar Rótulos de Batismo";
		$admtext['datefmt'] = "Preferência de Data Numérica";
		$admtext['dayfirst'] = "Dia/Mês/Ano";
		$admtext['monthfirst'] = "Mês/Dia/Ano";
		$admtext['exusers'] = "Excluir Nomes de Usuário";
		$admtext['allowreg'] = "Permitir registro de novos usuários";
		$admtext['localhspath'] = "Caminhos Locais para Lápides";
		$admtext['pardata'] = "Dados dos pais na página da pessoa:";
		$admtext['pnoevents'] = "Não mostrar eventos";
		$admtext['pstdonly'] = "Mostrar apenas eventos padrão";
		$admtext['palldata'] = "Mostrar todos eventos e mídia";
		$admtext['servertime'] = "Hora no servidor é";
		$admtext['sitetime'] = "é hora local é";
		$admtext['srexpl'] = "Opcional. Use um caminho absoluto, como o Caminho Raíz, e então mova os arquivos a seguir <strong>imediatamente</strong> para o Caminho de Configuração após salvá-los e permitir escrita (permissões 664: config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Zoom inicial";
		$admtext['mapfoundzm'] = "Zoom do local";
		$admtext['rrnum'] = "Registrar Número do Relatório";
		$admtext['progint'] = "Intervalo de progresso (ms)";
		$admtext['timechart'] = "Diagrama de linha de tempo";
		$admtext['tcheight'] = "Altura do gráfico";
		$admtext['distances'] = "Todas distâncias medidas em pixels.";
		$admtext['mpixels'] = "Pixels entre os meses";
		$admtext['ypixels'] = "Pixels entre os anos";
		$admtext['ymult'] = "Anos entre as marcas de ano";
		$admtext['mpct'] = "Percentagem vertical para meses";
		$admtext['ypct'] = "Percentagem vertical para anos";
		$admtext['inclevs'] = "Eventos a Incluir";
		$admtext['allevs'] = "Todos eventos";
		$admtext['rangeevs'] = "Somente eventos que estão dentro do tempo de vida das pessoas no gráfico";
		$admtext['tcwidth'] = "Largura Inicial do Gráfico";
		$admtext['simile'] = "Habilitar linha de tempo Simile";
		//added in 8.0.0
		$admtext['pstartoff'] = "Ocultar mapas públicos para iniciar";
		$admtext['maxrels'] = "Max Parentescos";
		$admtext['initrels'] = "Parentescos iniciais";
		$admtext['templateconfigsettings'] = "Parâmetros do template";
		$admtext['modifytemplatesettings'] = "Modificar parâmetros de configuração do template";
		$admtext['ucsurnames'] = "Sobrenomes em maiúsculas";
		$admtext['maxnoteprev'] = "Número máximo de caracteres em notas de lista";
		$admtext['mailreg'] = "Email e Registro";
		$admtext['autoapp'] = "Auto-aprovar novos usuários";
		$admtext['inclpwd'] = "Incluir senha no email de boas-vindas";
		$admtext['ackemail'] = "Enviar email de confirmação";
		$admtext['fromadmin'] = "Enviar todos emails do endereço acima";
		$admtext['autotree'] = "Criar nova árvore para o usuário";
		$admtext['modspath'] = "Caminho para os Mods";
		$admtext['extspath'] = "Caminho para as extensões";
		$admtext['encrtype'] = "Tipo de criptografia";
		$admtext['none'] = "Sem criptografia";
		$admtext['imgviewer'] = "Habilitar visualizador de imagens";
		$admtext['docsonly'] = "Somente documentos";
		$admtext['imgvheight'] = "Altura do visualizador de imagens";
		$admtext['flex'] = "Sempre exibir imagem inteira";
		$admtext['setheight'] = "Fixo (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Ligar registros de lugares a árvores";
		$admtext['convert'] = "Converter";
		$admtext['convexpl'] = "(Isto ligará todos lugares à árvore selecionada)";
		$admtext['mergeexpl'] = "(Isto removerá todas ligações a árvores de todos registros de lugar)";
        $admtext['nocutoff'] = "Deixe em branco ou atribua zero para remover este limite";
        $admtext['usesmtp'] = "Usar autenticação por SMTP";
        $admtext['mailhost'] = "Nome do servidor SMTP";
        $admtext['mailuser'] = "Nome do usuário de email";
        $admtext['mailpass'] = "Senha de email";
        $admtext['mailport'] = "Número da porta";
		$admtext['showshare'] = "Exibir link de compartilhamento";
		$admtext['defpgsize'] = "Tamanho padrão de página PDF";
		$admtext['mapterrain'] = "Terreno";
		$admtext['maproadmap'] = "Mapa viário";
		$admtext['usedefthumbs'] = "Usar miniaturas padrão";
        $admtext['autogeo'] = "Geocodificar todos novos lugares";
        $admtext['revmail'] = "Notificar ao receber uma submissão para revisão";
        $admtext['assumepriv'] = "Assumir como privativo, se não estiver morto por este número de anos";
        $admtext['calstart'] = "Primeiro dia da semana";
		$admtext['edit_timeout'] = "Tempo limite de edição (minutos)";
		$admtext['shownamespr'] = "Mostrar nomes de pessoas com dados privativos";
		$admtext['tables'] = "Tabelas";
		//changed in 10.0.0
		$admtext['regnotes'] = "Exibir notas e eventos personalizados no registro";
		//added in 10.0.0
		$admtext['collation'] = "Ordem";
		$admtext['collationexpl'] = "(deixar vazio para usar padrão)";
		$admtext['scrollcite'] = "Rolar nas citações";
		$admtext['hidemedia'] = "Ocultar mídia pessoal";
		$admtext['searchchoice'] = "Buscar no destino";
		$admtext['quicksearch'] = "Busca rápida";
		$admtext['advsearch'] = "Busca avançada";
		$admtext['pedvertical'] = "Vertical";
		$admtext['vboxwidth'] = "Largura da caixa";
		$admtext['vboxheight'] = "Altura da caixa";
		$admtext['vspacing'] = "Espaçamento";
		$admtext['vchart'] = "Gráfico vertical";
		//added in 10.1.0
		$admtext['reuseids'] = "Reusar IDs excluídos";
		$admtext['lastimport'] = "Mostrar última iportação";
		//added in 10.1.2
        $admtext['mailenc'] = "Criptografia";
        //added in 11.0.0
		$admtext['dbport'] = "Porta da base de dados";
		$admtext['dbsocket'] = "Socket da base de dados";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefixos e Sufixos";
		$admtext['personprefix'] = "Prefixo da pessoa";
		$admtext['personsuffix'] = "Sufixo da pessoa";
		$admtext['familyprefix'] = "Prefixo da família";
		$admtext['familysuffix'] = "Sufixo da família";
		$admtext['sourceprefix'] = "Prefixo da fonte";
		$admtext['sourcesuffix'] = "Sufixo da fonte";
		$admtext['repoprefix'] = "Prefixo do repositório";
		$admtext['reposuffix'] = "Sufixo do repositório";
		$admtext['noteprefix'] = "Prefixo da nota";
		$admtext['notesuffix'] = "Sufixo da nota";
		$admtext['mobilesection'] = "Dispositivo móvel";
		$admtext['mobilesite'] = "Nome do sítio em dispositivo móvel ";
		$admtext['menubar'] = "na barra de menu do dispositivo móvel";
		$admtext['belowbar'] = "abaixo da barra de menu do dispositivo móvel";
		$admtext['responsivetables'] = "Habilitar tabelas adaptativas";
		$admtext['tabletype'] = "Tipo de tabela adaptativa";
		$admtext['enablemodeswitch'] = "Habilitar chaveador de tabelas adaptativas";
		$admtext['enableminimap'] = "Habilitar mini-mapa de tabelas adaptativas";
		$admtext['showtasks'] = "Mostrar mensagens de 'Tarefas importantes'";
		$admtext['showtotals'] = "Mostrar totais de registro no menu Admin";
		$admtext['backupdays'] = "Alertar caso não seja feito backup neste número de dias";
		$admtext['backupnote'] = "NOTA: Caso sua base de dados seja muito grande, considere usar outra ferramenta, como mysqldumper ou phpMyAdmin, para fazer backup e restauração de tabelas. Uma destas ferramentas deve estar disponível no painel de controle de seu provedor.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Ocultar dados e páginas referentes a DNA";
		$admtext['assumeliving'] = "Assumir como vivo se não estiver morto por este número de anos";
		//changed in 11.0.2
		$admtext['mapkey'] = "Chave do mapa";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "Entre parte do nome do pai e/ou do nome da mãe";
		$admtext['pleasenamepart'] = "Favor entrar parte do nome do pai e/ou do nome da mãe.";
		$admtext['enternamepart2'] = "entrar ID ou parte do nome e/ou do sobrenome";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Por favor, escreva parte do nome do lugar.";
		$admtext['addnewplace'] = "Incluir um Novo Lugar";
		$admtext['createplace'] = "Criar um registro para um novo lugar";
		$admtext['modifyplace'] = "Modificar Lugar Existente";
		$admtext['editexistingplaceinfo'] = "Modificar a informação de um lugar já existente";
		$admtext['enterplace'] = "Por favor, informe um lugar.";
		$admtext['newplaceinfo'] = "Informação do Novo Lugar";
		$admtext['existingplaceinfo'] = "Informação existente para o Lugar";
		$admtext['changestoplace'] = "Mudanças para o Lugar";
		$admtext['selectplaceaction'] = "Selecionar Lugar e Ação";
		$admtext['mergeplaces'] = "Mesclar Lugares";
		$admtext['findmerge'] = "Buscar possíveis duplicatas";
		$admtext['selectplacemerge'] = "Selecionar os Lugares para Mesclar";
		$admtext['mcol1'] = "Mesclar<br/>estes<br/>(excluir)";
		$admtext['mcol2'] = "com<br/>este<br/>(manter)";
		$admtext['pmsucc'] = "Mescla de lugares bem sucedida";
		$admtext['nomerge'] = "Nada para mesclar";
		$admtext['enterkeep'] = "Por favor, selecione um objeto para mesclar.";
		$admtext['backmerge'] = "Buscar de novo";
		$admtext['confdeleteplace'] = "Tem certeza que quer excluir este lugar?";
		$admtext['propagate'] = "Fazer esta mudança no nome do lugar nos eventos que o referenciam";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Você está certo de que deseja desassociar este cemitério?";
		$admtext['nocoords'] = "Latitude ou Longitude faltante";
		$admtext['istemple'] = "O nome do lugar é o código de um templo SUD";
		$admtext['findtemples'] = "Encontrar somente códigos de templos SUD";
		$admtext['choosecem'] = "Escolha um cemitério";
		$admtext['geocopy'] = "Copiar informação geográfica abaixo para este cemitério";
		$admtext['linkcem'] = "Ligar este lugar a um cemitério";
		$admtext['cemsavail'] = "A lista inclui somente cemitérios ainda não ligados a algum lugar";
		$admtext['nocemsavail'] = "Não existem cemitérios ou todos estão ligados a algum lugar.";
        //added in 9.0.0
        $admtext['geocode'] = "Geocodificar";
        $admtext['ignoreall'] = "Ignorar todos";
        $admtext['usefirst'] = "Usar o primeiro casamento";
        $admtext['multchoice'] = "Se múltiplos resultados forem encontrados para um lugar:";
        $admtext['geoexpl'] = "Geocodificar todos lugares sem coordenadas de latitude/longitude";
        $admtext['geocoding'] = "Geocodificando...";
        $admtext['backgeo'] = "Retornar ao menu Geocodificar";
        $admtext['limit'] = "Limite:";
        $admtext['nolimit'] = "Sem limite";
		$admtext['blankplace'] = "Nome de lugar vazio";
        $admtext['nogeocode'] = "Não pode ser geocodificado";
        $admtext['toomany'] = "Ignorado (resultados em excesso)";
		$admtext['treesgone'] = "Atribuição à árovore removida de todos lugares";
		//added in 11.0.0
		$admtext['nolevel'] = "Nível do lugar não definido";
		$admtext['placenotsaved'] = "Lugar não salvo. Existe outro lugar com este nome. Use mesclagem de lugares.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Gerar Novo ID";
		$admtext['generating'] = "Gerando...Aguarde, por favor";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Rastreando Linhas de Descendência...";
		$admtext['finishedtracking'] = "Rastreamento de linhas de descendentes encerrado.";
		$admtext['backtosecondary'] = "Voltar para Processos Secundários";
		$admtext['sortchildren'] = "Ordenar os Filhos";
		$admtext['sortingchildren'] = "Ordenando os Filhos";
		$admtext['sortspouses'] = "Ordenar Cônjuges";
		$admtext['sortingspouses'] = "Ordenando os Cônjuges";
		$admtext['relabelbranches'] = "Rotular de novo os Ramos";
		$admtext['relabeling'] = "Rotulando de novo os Ramos";
		$admtext['creatinggendex'] = "Criando arquivo GENDEX...";
		$admtext['finishedgendex'] = "Criação de arquivo GENDEX finalizada.";
		//added in 8.0.0
		$admtext['postgdx'] = "Onde postar seu arquivo GENDEX";
		//added in 10.0.0
		$admtext['evalmedia'] = "Ajustar menus de mídia";
		$admtext['evaluating'] = "Contando mídia";
		$admtext['finished'] = "Terminado";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Incluir Novo Idioma";
		$admtext['enterlangdisplay'] = "Por favor, informe um nome com que se exibirá o idioma.";
		$admtext['enterlangfolder'] = "Por favor, informe o nome da pasta onde os arquivos deste idioma serão armazenados.";
		$admtext['newlanguageinfo'] = "Informação de Novo Idioma";
		$admtext['langdisplay'] = "Nome deste idioma<br>como será exibido aos visitantes";
		$admtext['createlanguage'] = "Criar um registro para um novo idioma";
		$admtext['nolanguages'] = "Não existe registro de idioma";
		$admtext['conflangdelete'] = "Tem certeza que quer excluir este idioma?";
		$admtext['existinglanguages'] = "Informação de Idioma Existente";
		$admtext['modifylanguage'] = "Modificar Idioma Existente";
		$admtext['changestolanguage'] = "Mudanças no idioma";
		$admtext['charset'] = "Conjunto de Caracteres";
		$admtext['editexistinglanguage'] = "Editar informação de um idioma já existente";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Criar um registro para uma nova árvore";
		$admtext['notrees'] = "Não existem registros de árvores";
		$admtext['existingtrees'] = "Informação de Árvore Existente";
		$admtext['editexistingtree'] = "Editar informações de uma árvore já existente";
		$admtext['treename'] = "Nome da Árvore";
		$admtext['owner'] = "Proprietário";
		$admtext['conftreedelete'] = "Tem certeza que quer excluir esta árvore e todos os itens associados?";
		$admtext['conftreeclear'] = "Tem certeza que quer limpar todos os dados desta árvore?";
		$admtext['changestotree'] = "Mudanças na árvore";
		$admtext['newtreeinfo'] = "Nova Informação de Árvore";
		$admtext['existingtreeinfo'] = "Informação de Árvore Existentes";
		$admtext['modifytree'] = "Modificar Árvore Existente";
		$admtext['succcleared'] = "foi limpo com sucesso";
		$admtext['gedcomextraction'] = "Não permitir usuários baixar arquivos GEDCOM";
		$admtext['gedexport'] = "Exportação de GEDCOM";
		$admtext['exporting'] = "Exportando GEDCOM...";
		$admtext['ifexportfails'] = "Se o processo de exportação falhar antes de completar-se,";
		$admtext['finishedexporting'] = "Exportação de GEDCOM concluída";
		$admtext['backtotrees'] = "Voltar para Árvores";
		$admtext['downloadged'] = "Baixar GEDCOM";
		$admtext['lastimport'] = "Última Importação";
		$admtext['treeexists'] = "Já existe outra árvore com o ID selecionado. Selecione um ID diferente e tente novamente.";
		$admtext['exportmedia'] = "Exportar vínculos de mídia (fotos e histórias)";
		//added in 8.0.0
		$admtext['changetree'] = "Alterar árvore";
		$admtext['newtree'] = "Nova árvore";
		$admtext['currtree'] = "Árvore atual";
		$admtext['chwarn'] = "ADVERTÊNCIA: esta operação irá remover todas ligações familiares, citações e outras referências a esta entidade dentro da árvore atual.";
		$admtext['keepprivate'] = "Manter informações do proprietário ocultas (privativas)";
		//changed in 9.0.0
		$admtext['exppaths'] = "Caminho local";
		$admtext['nopdf'] = "Não permitir que usuários criem arquivos PDF";
		//added in 10.0.0
		$admtext['exprivate'] = "Excluir privado";
		$admtext['exliving'] = "Excluir vivo";
		$admtext['importfilename'] = "Nome do arquivo de importação";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Incluir Novo Usuário";
		$admtext['createuser'] = "Criar um registro para um novo usuário";
		$admtext['nousers'] = "Não há registro de usuário";
		$admtext['existingusers'] = "Informação de Usuário Existente";
		$admtext['editexistinguser'] = "Editar informações de um usuário já existente";
		$admtext['confuserdelete'] = "Tem certeza que quer excluir este usuário?";
		$admtext['changestouser'] = "Mudanças no usuário";
		$admtext['enteruserpassword'] = "Por favor, informe uma senha.";
		$admtext['enterusername'] = "Por favor, informe um nome-de-usuário.";
		$admtext['newuserinfo'] = "Informações de novo Usuário";
		$admtext['existinguserinfo'] = "Informações de usuário Existente";
		$admtext['modifyuser'] = "Modificar Usuário Existente";
		$admtext['allow_living'] = "Permitir ver informações de pessoas vivas";
		$admtext['allow_lds'] = "Permitir ver informações SUD";
		$admtext['enterusername'] = "Por favor, informe um nome-de-usuário.";
		$admtext['enteruserdesc'] = "Por favor, informe uma descrição de usuário.";
		$admtext['enterpassword'] = "Por favor, informe uma senha.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "O primeiro usuário que você criar será um Administrador (NENHUMA árvore atribuída) e terá acesso a todas as configurações do sistema.";
		$admtext['userfailed'] = "ERRO: Seu usuário não pôde ser criado porque outro usuário com o mesmo nome já existe.";
		$admtext['allow_ged'] = "Permitir baixar GEDCOMs";
		$admtext['assigned'] = "Atribuído";
		$admtext['treemsg'] = "Opcional. Não atribuir árvore ao usuário resultará que ele terá direitos para todas as árvores e todos os ramos. Ao administrador do site não pode ser atribuída uma árvore.";
		$admtext['branchmsg'] = "Opcional. Atribuir um ramo ao usuário limitará os direitos concedidos ao ramo assinalado dentro da árvore selecionada.";
		$admtext['accesslimits'] = "Limites de Acesso:";
		$admtext['rights'] = "Direitos:";
		$admtext['realname'] = "Nome Real";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Novos Registros de Usuários";
		$admtext['editnewusers'] = "Processar os registros dos usuários recentemente registrados. Os novos usuários não terão nenhum direito até que os registros sejam processados.";
		$admtext['nonewusers'] = "Não há nenhum usuário novo";
		$admtext['lastlogin'] = "Último Login";
		$admtext['tentative_edit'] = "Permitir fazer correções sujeitas a revisão administrativa (somente Pessoas, Famílias e Fontes)";
		$admtext['notify'] = "Notificar este usuário a ativação de sua conta";
		$admtext['no_edit'] = "Sem direitos de edição";
		$admtext['emailusers'] = "Enviar email para usuários";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "Enviar mensagem para usuários";
		$admtext['subject'] = "Assunto do email";
		$admtext['messagetext'] = "Texto do email";
		$admtext['selectgroup'] = "Selecione grupo para receber email (deixe em branco para mandar a todos)";
		$admtext['treemailmsg'] = "Opcional. Escolhendo uma árvore, mensagens são enviadas somente aos usuários ligados a esta árvore.";
		$admtext['branchmailmsg'] = "Optional. Escolhendo um ramo, mensagens são enviadas somente aos usuários ligados a esta árvore.";
		$admtext['send'] = "Enviar Email";
		$admtext['sentmailmessage'] = "Email enviado";
		$admtext['succmail'] = "Seu email foi enviado.";
		$admtext['mailfailed'] = "Falha no envio de seu email.";
		$admtext['entersubject'] = "Favor entrar um assunto para sua mensagem.";
		$admtext['entermsgtext'] = "Favor entrar o texto de sua mensagem.";
		$admtext['adminonly'] = "Mostrar apenas usuários administradores";
		$admtext['dtregistered'] = "Data registrada";
		$admtext['dtactivated'] = "Data ativada";
		$admtext['no_email'] = "Excluir este usuário do envio de emails";
		$admtext['allow_admin'] = "Permitir acesso a todas configurações e funções administrativas e aplicar os direitos acima a todas árvores e ramos.";
		$admtext['limitedrights'] = "Restringir os direitos acima ao seguinte:";
		$admtext['allow_edit'] = "Permitir editar registros existentes";
		$admtext['allow_add'] = "Permitir incluir novos registros";
		$admtext['allow_delete'] = "Permitir excluir registros existentes";
		//added in 8.0.0
		$admtext['usrguest'] = "Hóspede";
		$admtext['usrguestd'] = "Sem permissão para adições, alterações ou exclusões.";
		$admtext['noadmin'] = "Sem acesso à área de administração.";
		$admtext['usrsubm'] = "Proponente";
		$admtext['usrsubmd'] = "Propor alterações sujeitas a revisões.";
		$admtext['usrcontrib'] = "Contribuidor";
		$admtext['usrcontribd'] = "Incluir informações, inclusive mídia.";
		$admtext['usreditor'] = "Editor";
		$admtext['usreditord'] = "Incluir, alterar e excluir informações, inclusive mídia.";
		$admtext['usradmin'] = "Administrador";
		$admtext['usradmind'] = "Todas permissões.";
		$admtext['usrmcontrib'] = "Contribuidor de mídia";
		$admtext['usrmcontribd'] = "Incluir mídia somente.";
		$admtext['usrmeditor'] = "Editor de mídia";
		$admtext['usrmeditord'] = "Incluir, alterar e excluir somente mídia.";
		$admtext['allow_media_edit'] = "Permitir alterar somente mídia";
		$admtext['allow_media_add'] = "Permitir incluir somente mídia";
		$admtext['allow_media_delete'] = "Permitir excluir somente mídia";
		$admtext['no_add'] = "Sem permissão de inclusão";
		$admtext['no_delete'] = "Sem permissão de exclusão";
		$admtext['roles'] = "Papéis";
		$admtext['usrcustom'] = "À medida";
        //added in 9.0.0
		$admtext['allow_private'] = "Permitir a visualização de dados de pessoas com dados privativos";
		$admtext['allow_pdf'] = "Permitir baixar PDFs";
		$admtext['allow_profile'] = "Permitir a edição do perfil do usuário";
		break;

	case "login":
		$admtext['loginfailed'] = "O login falhou.";
		$admtext['adminlogfile'] = "Arquivo de Log de Admin";
		$admtext['mostrecentactions'] = "Ações Mais Recentes";
		$admtext['rempass'] = "Ficar logado neste computador";
		$admtext['sessexp'] = "Sua sessão expirou.";
		$admtext['logagain'] = "Clique para fazer log in novamente.";
		//added in 8.1.0
		$admtext['logininactive'] = "Sua conta ainda não foi ativada. Por favor, tente mais tarde novamente ou contate o administrador do sítio.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Criar um novo evento na linha de tempo";
		$admtext['modifytlevent'] = "Modificar um Evento de Linha de Tempo Existente";
		$admtext['leaveblankalltlevents'] = "deixar em branco para mostrar todos os eventos de linha de tempo";
		$admtext['evyear'] = "Ano do evento";
		$admtext['evdetail'] = "Detalhes do evento";
		$admtext['selecttleventaction'] = "Selecionar Evento da Linha de Tempo e Ação a Realizar";
		$admtext['changestotlevent'] = "Mudanças no evento de linha de tempo";
		$admtext['location'] = "Lugar";
		$admtext['confdeletetlevent'] = "Tem certeza que quer excluir este evento de linha de tempo?";
		$admtext['enterevyear'] = "Por favor, informe o ano do evento.";
		$admtext['enterevdetail'] = "Por favor, informe os detalhes do evento.";
		$admtext['existingtleventinfo'] = "Evento de Linha de Tempo Existente";
		$admtext['newtleventinfo'] = "Novo Evento de Linha de Tempo";
		$admtext['edittleventinfo'] = "Editar um evento de linha de tempo já existente";
		$admtext['addnewtlevent'] = "Incluir Novo Evento de Linha de Tempo";
		$admtext['yrreq'] = "(somente o ano é requerido)";
		$admtext['startdt'] = "Data Inicial";
		$admtext['enddt'] = "Data Final";
		//added in 9.0.0
		$admtext['evtitle'] = "Título do evento";
		break;

	case "review":
		$admtext['selectevaction'] = "Selecione o Evento e a Ação a Realizar";
		$admtext['suggested'] = "Sugerido";
		$admtext['usernotes'] = "As notas referentes à <br />mudança sugerida<br />não serão salvas";
		$admtext['postdate'] = "Publicado em";
		$admtext['savedel'] = "Salvar e Excluir";
		$admtext['postpone'] = "Postergar";
		$admtext['igndel'] = "Ignorar e Excluir";
		$admtext['tentdel'] = "foi excluído";
		$admtext['tentadd'] = "foi tornado permanente";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Localizar, editar ou excluir diretamente notas em sua base de dados.";
		$admtext['whatsnewblurb'] = "Forneça informações atualizadas sobre o sítio no topo da página de Novidades.";
		$admtext['mwblurb'] = "Crie uma lista de pessoas difíceis de encontrar e de fotos não identificadas, objetivando publicidade daqueles itens que lhe dão mais trabalho.";
		$admtext['dvblurb'] = "Encontre potenciais problemas em seus dados.";
		$admtext['wr_gender'] = "Gênero incorreto";
		$admtext['unk_gender'] = "Gênero desconhecido";
		$admtext['marr_young'] = "Casou muito cedo (menos de 15 anos de idade)";
		$admtext['marr_aft_death'] = "Casamento depois do falecimento";
		$admtext['marr_bef_birth'] = "Casamento antes do nascimento";
		$admtext['died_bef_birth'] = "Faleceu antes do nascimento";
		$admtext['parents_younger'] = "Nasceu muito cedo (pais com menos de 15 anos ou filho(a) nascido(a) antes do casamento)";
		$admtext['children_late'] = "Nasceu muito tarde (mãe com mais de 50 anos de idade)";
		$admtext['not_living'] = "Pessoa marcada como viva, mas data de falecimento preenchida";
		$admtext['not_dead'] = "Pessoa marcada como morta, possivelmente ainda vive";
		$admtext['parmarr'] = "Casamento dos pais";
		$admtext['motherbirth'] = "Nascimento da mãe";
		break;
		
	case "mods":
		$admtext['modlist'] = "Lista de Mods";
		$admtext['reqremove'] = "Solicitar remoção de Mod";
		$admtext['confcanc'] = "Conformar requisição ou cancelar";
		$admtext['confrem'] = "Confirmar remoção";
		$admtext['confirmedrem'] = "Confirmada requisição de remoção do Mod";
		$admtext['removed'] = "removed";
		$admtext['notremoved'] = "Não removido devido aos seguintes erros";
		$admtext['reqclean'] = "Solicitar Mod limpo";
		$admtext['confclean'] = "Confirmar limpo";
		$admtext['confirmedclean'] = "Confirmada solicitação de Mod limpo";
		$admtext['cleanatt'] = "Limpeza tentada";
		$admtext['cleanperf'] = "Limpeza executada com as seguintes notas";
		$admtext['reqedit'] = "Solicitação de alteração de Mod";
		$admtext['confedit'] = "Confirmar alteração";
		$admtext['cfgvalsread'] = "Valores de configuração lidos de arquivos TNG.";
		$admtext['confirmededit'] = "Confirmada solicitação de alteração de Mod com valores";
		$admtext['editdone'] = "Alteração completada";
		$admtext['editperf'] = "Os parâmetros de edição foram alterados como segue:";
		$admtext['reqinstall'] = "Solicitar instalação de Mod";
		$admtext['confinst'] = "Confirmar instalação";
		$admtext['confirmedinst'] = "Confirmada solicitação de instalação de Mod";
		$admtext['installed'] = "Instalado";
		$admtext['notinst2'] = "Não instalado devido aos erros a seguir";
		$admtext['reqdelete'] = "Solicitar exclusão de arquivo de configuração de Mod";
		$admtext['nomodundo'] = "Esta operação não pode ser desfeita. Você deverá refazer o download do Mod se quiser instalá-lo ou remove-lo mais tarde.";
		$admtext['confdel'] = "Confirmar exclusão";
		$admtext['confirmeddel'] = "Requisição de exclusão de arquivo de configuração de Mod confirmada";
		$admtext['deleted'] = "excluído";
		$admtext['cantdel'] = "exclusão impossível";
		$admtext['remman'] = "Favor remover este arquivo manualmente";
		$admtext['cfgname'] = "Nome do arquivo de configuração";
		$admtext['version'] = "Versão";
		$admtext['clean'] = "Limpar";
		$admtext['nomods'] = "Não foram encontrados arquivos de definição de Mod na pasta de Mods";
		$admtext['notarget'] = "%target: rótulo faltante";
		$admtext['notarget2'] = "não foi encontrado arquivo de destino";
		$admtext['peerror'] = "Erro de edição de parâmetro";
		$admtext['prerror'] = "Erro de leitura de parâmetro";
		$admtext['location'] = "Lugar";
		$admtext['missing'] = "Faltante";
		$admtext['badtarget'] = "Destino incorreto";
		$admtext['targetlost'] = "Não foi possível encontrar destino";
		$admtext['modins'] = "Código de Mod inserido.";
		$admtext['modtrins'] = "Código do Mod abreviado (trimmed) e inserido.";
		$admtext['modrepl'] = "Código do Mod inserido.";
		$admtext['nfilemissing'] = "Nome de novo arquivo faltante";
		$admtext['create'] = "Criar...";
		$admtext['cantwrite'] = "Impossível escrever para";
		$admtext['checkperms'] = "Verifique permissões, atualmente";
		$admtext['notwrite'] = "não pode ser escrito, verifique as permissões";
		$admtext['cfilemissing'] = "Nome de arquivo de cópia faltante";
		$admtext['cffilemissing'] = "Nome de arquivo de cópia (de) faltante";
		$admtext['ctfilemissing'] = "Nome de arquivo de cópia (para) faltante";
		$admtext['copyfile'] = "Copiar arquivo xxx para";
		$admtext['cantcopy'] = "Impossível copiar para";
		$admtext['checkwrite'] = "Verifique permissões, escrita tem que estar habilitada.";
		$admtext['forwrite'] = "para escrita";
		$admtext['written'] = "Arquivo escrito";
		$admtext['toterrors'] = "Erros totais";
		$admtext['totfiles'] = "Total de novos arquivos";
		$admtext['notallinst'] = "Nem todas seções foram instaladas";
		$admtext['notallrem'] = "Nem todas seções foram removidas";
		$admtext['section'] = "Seção";
		$admtext['missfile'] = "Arquivo faltante";
		$admtext['targetsearch'] = "Busca de destino";
		$admtext['insrem'] = "Mod inserido código removido.";
		$admtext['remrem'] = "Mod removido código removido.";
		$admtext['trimrem'] = "Código do Mod abreviado (trimmed) e removido.";
		$admtext['orgrepl'] = "Código original substituído";
		$admtext['cantrepl'] = "Impossível substituir código original, não encontrado.";
		$admtext['orgtrrepl'] = "Código original abreviado (trimmed) e substituído";
		$admtext['keyword'] = "palavra chave";
		$admtext['notunique'] = "não único";
		$admtext['noaction'] = "sem ação";
		$admtext['novers'] = "xxx existente não possui número de versão";
		$admtext['param'] = "Parâmetro";
		$admtext['params'] = "Parâmetros";
		$admtext['paramed'] = "Editor de parâmetro";
		$admtext['enterparam'] = "Entrar parâmetro do Mod";
		$admtext['paramval'] = "valor";
		$admtext['noparams'] = "Sem definições de parâmetro";
		$admtext['nodesc'] = "Erro de definição de parâmetro, descrição faltante";
		$admtext['defval'] = "Valor assumido por omissão";
		$admtext['updateval'] = "Atualizando valor xxx de [yyy] ao arquivo de configuração do Mod.";
		$admtext['rewritten'] = "reescrito";
		$admtext['fixingcfg'] = "Corrigindo arquivo de configuração do Mod";
		$admtext['fixedcfg'] = "Arquivo de configuração do Mod corrigido";
		$admtext['fixingtar'] = "Corrigindo arquivo destino";
		$admtext['fixedtar'] = "Arquivo destino corrigido";
		$admtext['fincorr'] = "Correção dos dados finalizada";
		$admtext['targetupd'] = "Dados destino atualizados";
		$admtext['written'] = "Arquivo escrito";
		$admtext['permerr'] = "Erro de permissão de arquivo";
		$admtext['updconfig'] = "Atualizar informações do arquivo de configuração";
		$admtext['configupd'] = "Dados de configuração atualizados. Fim do laço";
		//changed in 9.0.0
		$admtext['readvals'] = "Ler valores existentes de arquivos TNG";
		$admtext['retstatus'] = "Retornar ao status";
		$admtext['locmissing'] = "Cópia local de xxx para instalação faltante";
		//added in 9.0.0
		$admtext['needmodupdate'] = "É necessária a atualização do Mod";
		$admtext['keywordmissing'] = "Palavra chave faltante. Erro de construção do Mod.";
		$admtext['cannotinstall'] = "Instalação do Mod impossível";
		$admtext['notargetkeyword'] = "Arquivo destino é requerido";
		$admtext['emptytarget'] = "Arquivo destino vazio.";
		$admtext['missingtarget'] = "Arquivo destino não foi instalado.";
		$admtext['missingfiles'] = "Arquivo a copiar não existe na pasta fonte";
		$admtext['pararead'] = "Parâmetros lidos de arquivos";
		$admtext['rewritetarget'] = "Sobrescrever arquivo destino";
		$admtext['targetcode'] = "código destino é";
		$admtext['modtrimrepl'] = "Código do mod depurado e substituído.";
		$admtext['cantdelmissing'] = "Impossível excluir, falta arquivo";
		$admtext['totcopyfiles'] = "Total de arquivos a copiar";
		$admtext['successfully'] = "Com sucesso";
		$admtext['filecreated'] = "Criado com sucesso";
		//changed in 10.0.3 
		$admtext['editperf'] = "Os parâmetros de edição foram alterados como segue:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Atualizações em lote";
		$admtext['options'] = "Opções";
		$admtext['viewlog'] = "Ver Log";
		$admtext['filesexcused'] = "Arquivos que podem falhar";
		$admtext['fileexcused'] = "Arquivo que pode falhar";
		$admtext['copiesexcused'] = "Cópias que podem falhar";
		$admtext['copyexcused'] = "Cópia que pode falhar";
		$admtext['optionalfile'] = "Especificado fileoptional ";
		$admtext['installbypassed'] = "instalação de seção ignorada";
		$admtext['removalbypassed'] = "remoção de seção ignorada";
		$admtext['target'] = "Altera";
		$admtext['newfile'] = "Cria";
		$admtext['copiesfile'] = "Copia";
		$admtext['copiesfile2'] = "Copia para";
		$admtext['aflistoptions'] = "Lista de arquivos afetados";
		$admtext['showaflist'] = "Mostrar lista de arquivos afetados";
		$admtext['shownewfile'] = "Mostrar lista de novos arquivos";
		$admtext['showfilecopies'] = "Mostrar arquivos copiados em lista";
		$admtext['namecol'] = "Mostrar lista em coluna";
		$admtext['showlistas'] = "Mostrar lista como";
		$admtext['showastable'] = "Tabela";
		$admtext['showascsv'] = "Valores separados por vírgulas (CSV)";
		$admtext['batchshowaflist'] = "Mostrar lista el atualizações em lote";
		$admtext['logoptions'] = "Log do gerente de Mods";
		$admtext['logactions'] = "Ações do Log do gerente de Mods";
		$admtext['mmlogfilename'] = "Nome do arquivo de Log";
		$admtext['sortlistby'] = "Ordenar listas por";
		$admtext['modname'] = "Nome do Mod";
		$admtext['bypassconfirm'] = "Ignorar as confirmações";
		$admtext['bypassaction'] = "Ignorar as mensagens de ação";
		$admtext['modifyoptions'] = "Modificar opções do gerente de Mods";
		$admtext['ready'] = "OK para instalar";
		$admtext['badmod'] = "Instalação impossível";
		$admtext['noselected'] = "Você não selecionou nenhum arquivo!";
		$admtext['choose'] = "Selecionar";
		$admtext['showlogfile'] = "Mostar o Log de acões do gerente de Mods";
		$admtext['recentactions'] = "Ações mais recentes do gerente de Mods";
		$admtext['emptylog'] = "Log vazio";
		$admtext['clearlog'] = "Limpar o Log";
		$admtext['confirmclearlog'] = "Tem certeza de que deseja limpar o Logo";
		$admtext['copyfrom'] = "da pasta ";
		$admtext['modsyntax'] = "Sintaxe dos Mods";
		$admtext['modguidelines'] = "Padrões para os Mods";
		$admtext['analyzer'] = "Analisador";
		$admtext['filemod'] = "Arquivo xxx é modificado por";
		$admtext['filesel'] = "Selecione o arquivo modificado para examinar alterações";
		$admtext['potconf'] = "Confilitos potenciais";
		$admtext['modifications'] = "modificações";
		$admtext['othermmoptions'] = "Outro";
		$admtext['file'] = "Arquivo";
		$admtext['tngmods'] = "Mods para o TNG ";
		$admtext['unexpected'] = "Palavra chave inesperada";
		$admtext['syntax'] = "Sintaxe";
		//changed in TNG 10.1
		$admtext['copied'] = "copiado";
		$admtext['emptyfile'] = "arquivo está vazio";
		$admtext['filescopied'] = "arquivos copiados";
		$admtext['notarget'] = "%target: destino faltante";
		$admtext['notinst'] = "não instalado";
		$admtext['install'] = "Instalar";
		$admtext['filedel'] = "Arquivo excluído";
		$admtext['created'] = "criado";
		$admtext['choosefilter'] = "Selecione o filtro e clique Ir para ver os controles disponíveis";
		$admtext['mmmaxloglines'] = "Número máximo de transações";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Remover";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Limpar";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Opções de edição";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "OK para instalar";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "versão do arquivo e do Mod discrepantes";
		$admtext['bomfound'] = "BOM removido";
		$admtext['cantinst'] = "impossível instalar";
		$admtext['cantproc'] = "impossível remover o Mod";
		$admtext['cantupd'] = "impossível atualizar o parâmetro";
		$admtext['cleanupall'] = "Limpar";
		$admtext['confdelmod'] = "Você está seguro de que deseja excluir este Mod de seu sistema?";
		$admtext['copiesreq'] = "cópias de arquivo especificadas";
		$admtext['delete'] = "Excluir";
		$admtext['deleteall'] = "Excluir";
		$admtext['errors'] = "erros";
		$admtext['excused'] = "arquivos dispensados";
		$admtext['filesinst'] = "arquivos instalados";
		$admtext['filesrem'] = "arquivos removidos";
		$admtext['format'] = "erro de formato";
		$admtext['ignored'] = "localização ignorada";
		$admtext['installall'] = "Instalar";
		$admtext['installing'] = "Instalando";
		$admtext['line'] = "Linha";
		$admtext['modified'] = "modificado";
		$admtext['modsinst'] = "modificações de código instaladas";
		$admtext['modrem'] = "Mod removido";
		$admtext['modsrem'] = "modificações de código removidas";
		$admtext['modsreq'] = "modificações de código especificadas";
		$admtext['newfilesreq'] = "novos arquivos especificados";
		$admtext['nfcreated'] = "novo arquivo criado";
		$admtext['noaccess'] = "sem acesso";
		$admtext['noact'] = "rótulo de ação inválido";
		$admtext['nocfgfile'] = "arquivo de Mod não encontrado";
		$admtext['nocode'] = "seção de código faltante";
		$admtext['nocomps'] = "elementos faltantes";
		$admtext['noend'] = "falta rótulo %end:%";
		$admtext['noinsert'] = "inserção de código falhou";
		$admtext['noinsrem'] = "código inserido não foi removido";
		$admtext['nolocation'] = "rótulo de local faltante";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "impossível substituir o código";
		$admtext['notgtfile'] = "inacessível (arquivo de destino inexistente)";
		$admtext['notopened'] = "arquivo de destino não pode ser aberto";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "aberto";
		$admtext['optional'] = "opcional";
		$admtext['parameter'] = "parâmetro";
		$admtext['partinst'] = "instalado parcialmente";
		$admtext['removeall'] = "Remover";    // was Remove Selected mods
		$admtext['removing'] = "Removendo";    // was Removing
		$admtext['reqtag'] = "falta róutlo requerido";
		$admtext['restparam'] = "Recuperando parâmetro default";
		$admtext['return'] = "Retornar ao gerente de Mods";
		$admtext['secnoterm'] = "seção não terminada";
		$admtext['tagnoterm'] = "rótulo não terminado";
		$admtext['tagunk'] = "rótulo desconhecido";
		$admtext['tgtfile'] = "arquivo destino";
		$admtext['updated'] = "atualizado";
		$admtext['updparam'] = "Atualizando parâmetro";
		$admtext['unxend'] = "fim de arquivo inesperado";
		$admtext['warnings'] = "Avisos";
		$admtext['whitespace'] = "espaço";
		$admtext['locations'] = "locais";
		$admtext['allowdeletepartial'] = "Habilita o botão Excluir Selecionados para Mods parcialmente instalados";
		$admtext['allowdeleteinstalled'] = "Habilita a exclusão de Mods instalados individualmente";
		$admtext['showwarnings'] = "Mostrar avisos de Mod em status";
		$admtext['logfullpath'] = "Registrar caminho completo para ações de arquivos";
		$admtext['deletingmods'] = "Excluindo arquivos de Mod";
		$admtext['deleting'] = "Excluindo ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Arquivos";
		$admtext['hasoptions'] = "Opções";
		$admtext['update'] = "Atualizar";
		$admtext['restore'] = "Restaurar Default";
		$admtext['compressnames'] = "Comprimir nomes de Mod na lista";
		$admtext['stayon'] = "Bloquear";
		$admtext['accessible'] = "acessível";
		$admtext['bypassed'] = "ignorado";
		$admtext['willbypass'] = "vai ser ignorado";  // was "will bypass"
		$admtext['cantdel'] = "impossível excluir";
		$admtext['optmissing'] = "arquivo faltante (opcional)";
		$admtext['tgtmissing'] = "arquivo destino faltante";
		$admtext['optlocked'] = "arquivo bloqueado (opcional)";
		$admtext['tgtlocked'] = "arquivo bloqueado";
		$admtext['alreadyrem'] = "já removido";
		$admtext['noaccess'] = "sem acesso";
		$admtext['code'] = "código";
		$admtext['alreadyins'] = "já instalado";
		$admtext['badinstall'] = "falha ao instalar";
		$admtext['removed'] = "removido";
		$admtext['deleted'] = "escluido";
		$admtext['optsrcfilemissing'] = "fonte opcional faltante";
		$admtext['srcfilemissing'] = "fonte faltante";
		$admtext['optnocopy'] = "arquivo opcional não copiado";
		$admtext['notcopied'] = "não copiado";
		$admtext['copied'] = "copiado";
		$admtext['notcreated'] = "impossível criar novo arquivo";
		$admtext['optnotcreated'] = "impossível criar novo arquivo opcional";
		$admtext['nocreated'] = "não criado";
		$admtext['fixedheader'] = "Usar cabeçalhos fixos";
		$admtext['cantremok'] = "impossível remover, opcional, ignorado";
		$admtext['nofolder'] = "pasta destino faltante";
		$admtext['edparams'] = "editar parâmetros";
		$admtext['compresslog'] = "Minimizar exibição de Log";
		$admtext['showanalyzer'] = "Mostrar analisador";
		$admtext['formodname'] = "para Mod de nome ";
		$admtext['nofolder'] = "pasta destino faltante";
		$admtext['fileperms'] = "Favor verificar permissões de arquivo";
		$admtext['noparam'] = "parâmetro faltante";
		$admtext['editing'] = "editando";
		$admtext['redirect2log'] = "Registrar no Log";
		$admtext['on_error'] = "Somente erros";
		$admtext['on_all'] = "Todas transações";
		$admtext['usestriping'] = "Usar resumos";
		$admtext['stripeafter'] = "Resumir após o número de linhas";
		$admtext['adjusthdrs'] = "Ajustar cabeçalhos fixos";
		$admtext['displayoptions'] = "Ajustes de exibição";
		$admtext['no_frag'] = "fragmento de código proibido aqui";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Está seguro de que deseja excluir este teste?";
		$admtext['test_type'] = "Tipo de teste";
		$admtext['test_number'] = "Número do teste";
		$admtext['test_date'] = "Data do teste";
		$admtext['modifydna'] = "Editar Teste de DNA Existente";
		$admtext['changestoalldna'] = "Alterações em todos testes de DNA";
		$admtext['addnewdna'] = "Adicionar Novo Teste de DNA";
		$admtext['testinfo'] = "Informação do Teste";
		$admtext['urls'] = "Ligações Relevantes";
		$admtext['dnalater'] = "Nota: O teste pode ser ligado a outras pessoas na próxima tela.";
		$admtext['selecttype'] = "Favor selecionar um tipo de teste.";
		$admtext['entertestnum'] = "Favor entrar com o número do teste.";
		$admtext['test_taker'] = "Pessoa que tomou o teste";
		$admtext['test_links'] = "Pessoas ligadas ao teste";
		$admtext['changestotest'] = "Alterações por testar";
		break;
}

//common
$admtext['cannotexecutequery'] = "Não dá para fazer a consulta";
$admtext['addnew'] = "Incluir Novo";
$admtext['individuals'] = "pessoa(s)";
$admtext['succadded'] = "foi incluído com sucesso";
$admtext['succaddedlinked'] = "foi incluído e vinculado com sucesso";
$admtext['succsaved'] = "foram salvos com sucesso";
$admtext['succdeleted'] = "foi apagado com sucesso";
$admtext['succdeletedpluslinks'] = "foi apagado com sucesso, junto com todos os vínculos";
$admtext['text_delete'] = "Excluir";
$admtext['deleted'] = "Apagado";
$admtext['deleteselected'] = "Excluir Selecionados";
$admtext['noresults'] = "Não foram encontrados resultados. Por favor, tente de novo.";
$admtext['action'] = "Ação";
$admtext['id'] = "ID";
$admtext['edit'] = "Editar";
$admtext['notes'] = "Notas";
$admtext['name'] = "Nome";
$admtext['description'] = "Descrição";
$admtext['text_continue'] = "Continuar...";
$admtext['searchfor'] = "Buscar";
$admtext['lookin'] = "Buscar em (marcar todos os critérios que se aplicam)";
$admtext['cemeteryid'] = "ID de Cemitério";
$admtext['exactmatch'] = "Somente coincidência exata";
$admtext['nothingtodelete'] = "Nada para excluir";
$admtext['state'] = "estado";
$admtext['country'] = "país";
$admtext['finish'] = "Finalizar";
$admtext['ifphotouploaded'] = "Deixe este campo em branco se o arquivo já foi carregado para a sua pasta de fotos.";
$admtext['eventtype'] = "Tipo de Evento";
$admtext['source'] = "Fonte";
$admtext['savechanges'] = "Salvar Modificações";
$admtext['family'] = "Família";
$admtext['find'] = "Buscar...";
$admtext['create'] = "Criar...";
$admtext['sourceid'] = "ID da Fonte";
$admtext['birthabbr'] = "n.";
$admtext['chrabbr'] = "b.";
$admtext['remove'] = "Remover";
$admtext['moveup'] = "Mover p/Cima";
$admtext['movedown'] = "Mover p/Baixo";
$admtext['enterpersonid'] = "Por favor, informe um ID de Pessoa";
$admtext['personid'] = "ID de Pessoa";
$admtext['otherevents'] = "Outros Eventos";
$admtext['required'] = "obrigatório";
$admtext['children'] = "Filhos";
$admtext['chrdate'] = "Data do Batismo";
$admtext['chrplace'] = "Lugar do Batismo";
$admtext['deathdate'] = "Data de Falecimento";
$admtext['deathplace'] = "Lugar de Falecimento";
$admtext['burialdate'] = "Data de Sepultamento";
$admtext['burialplace'] = "Lugar de Sepultamento";
$admtext['birthdate'] = "Data de Nascimento";
$admtext['birthplace'] = "Lugar de Nascimento";
$admtext['title'] = "Título";
$admtext['sex'] = "Sexo";
$admtext['marriagedate'] = "Data de Casamento";
$admtext['marriageplace'] = "Lugar de Casamento";
$admtext['lastname'] = "Sobrenome";
$admtext['firstname'] = "Nome";
$admtext['filename'] = "Nome-de-Arquivo";
$admtext['linkspersonid'] = "Vínculos (ID de Pessoa)";
$admtext['cannotopen'] = "É impossível abrir o arquivo";
$admtext['check'] = "Verificar";
$admtext['generate'] = "Gerar";
$admtext['update'] = "Atualizar";
$admtext['confdeleteevent'] = "Tem certeza que quer excluir este evento?";
$admtext['existinglinks'] = "Vínculos existentes:<br>(marcar para eliminar)";
$admtext['lowersortfirst'] = "Numeros menores vêm antes. Números decimais também podem ser usados.";
$admtext['personsname'] = "Nome da Pessoa";
$admtext['tablecreation'] = "Criação de Tabelas";
$admtext['tracklines'] = "Rastrear Linhas";
$admtext['administration'] = "Administração";
$admtext['text_or'] = "OU";
$admtext['cemeteries'] = "Cemitérios";
$admtext['families'] = "Famílias";
$admtext['headstones'] = "Lápides";
$admtext['histories'] = "Histórias";
$admtext['people'] = "Pessoas";
$admtext['photos'] = "Fotos";
$admtext['reports'] = "Relatórios";
$admtext['sources'] = "Fontes";
$admtext['suffix'] = "Sufixo";
$admtext['add'] = "Incluir";
$admtext['confdeleteentity'] = "Tem certeza que quer eliminar o selecionado";
$admtext['cemetery'] = "Cemitério";
$admtext['language'] = "Idioma";
$admtext['display'] = "Exibição";
$admtext['languages'] = "Idiomas";
$admtext['orderpound'] = "Nº Ordem";
$admtext['tree'] = "Árvore";
$admtext['alltrees'] = "Todas as Árvores";
$admtext['selectaddtree'] = "Árvore (selecionar ou incluir nova)";
$admtext['selecttree'] = "Por favor, selecione ou inclua uma árvore.";
$admtext['treebefevent'] = "Você deve selecionar ou informar um nome de Árvore antes de poder incluir novos eventos.";
$admtext['text_rename'] = "Mudar Nome";
$admtext['clear'] = "Limpar";
$admtext['linktothis'] = "Vincular a esta pessoa";
$admtext['linkexample'] = "(informe ID, i.e. \"I###\")";
$admtext['existingconfig'] = "Configuração Existente";
$admtext['lastmodified'] = "Última Modificação";
$admtext['addnotes'] = "Notas Adicionais";
$admtext['confdeletenote'] = "Tem certeza que quer excluir esta nota?";
$admtext['treebefnote'] = "Você deve selecionar ou informar um nome de Árvore antes de poder incluir novas notas.";
$admtext['general'] = "Geral";
$admtext['entersearchvalue'] = "Informe um valor para pesquisar.";
$admtext['trees'] = "Árvores";
$admtext['users'] = "Usuários";
$admtext['lds'] = "SUD";
$admtext['norights'] = "Você não está autorizado a ver esta página. Se tiver um nome-de-usuário e uma senha, faça login abaixo.";
$admtext['username'] = "Nome-de-Usuário";
$admtext['password'] = "Senha";
$admtext['login'] = "Entrar";
$admtext['logout'] = "Sair";
$admtext['city'] = "Cidade";  //from cemeteries
$admtext['cap_country'] = "País";  //from cemeteries
$admtext['addnewtree'] = "Incluir Nova Árvore";
$admtext['test'] = "Testar";
$admtext['page'] = "Página";  //from sources
$admtext['folder'] = "Pasta";   //from languages
$admtext['confdeletepers'] = "Tem certeza que quer excluir esta pessoa?";
$admtext['save'] = "Salvar";
$admtext['of'] = "de";
$admtext['size'] = "Tamanho";
$admtext['select'] = "Selecionar";
$admtext['open'] = "Abrir";
$admtext['selectfile'] = "Selecionar Arquivo";
$admtext['altdesc'] = "Descrição Alternativa";
$admtext['altnotes'] = "Notas Alternativas";
$admtext['savereturn'] = "Voltar a esta página";
$admtext['saveback'] = "Voltar ao menu";
$admtext['user'] = "Usuário";
$admtext['DIV'] = "Divorciado/a";
$admtext['search'] = "Buscar";  //from findpersonform
$admtext['searchresults'] = "Resultados da Busca";  //from people
$admtext['clicktoselect'] = "clique para selecionar";
$admtext['familyid'] = "ID de Família";  //from families
$admtext['secondary'] = "Processos Secundários";
$admtext['commas'] = "Separar múltiplas entradas com vírgulas";
$admtext['onsave'] = "Ao salvar";
$admtext['adminhome'] = "Início da Administração";
$admtext['labelbranches'] = "Rotular Ramos";
$admtext['branch'] = "Ramo";
$admtext['findperson'] = "Buscar Pessoa...";
$admtext['findfamily'] = "Buscar Família...";
$admtext['repeatlastq'] = "Repetir a última busca";
$admtext['alwayson'] = "Sempre visível";
$admtext['all'] = "Todos";
$admtext['lnprefix'] = "Partícula de Sobrenome";
$admtext['nameorder'] = "Ordem de Nome";
$admtext['western'] = "Primeiro o Nome";
$admtext['lockid'] = "Bloquear";
$admtext['linktothese'] = "Vincular a:";
$admtext['alsolinkto'] = "Vincular também a:";
$admtext['linkspersfam'] = "Vínculos (ID de Pessoa, Família ou Fonte)";
$admtext['findsource'] = "Buscar Fonte...";
$admtext['address'] = "Endereço";
$admtext['stateprov'] = "Estado/Província";
$admtext['zip'] = "CEP/Código Postal";
$admtext['merge'] = "Mesclar";
$admtext['otherinfo'] = "Outras informações";
$admtext['available'] = "Disponível";
$admtext['backuprestore'] = "Utilidades";
$admtext['place'] = "Lugar";
$admtext['treeid'] = "ID de árvore";
$admtext['email'] = "Email";
$admtext['event'] = "Evento";
$admtext['eventdate'] = "Data do Evento";
$admtext['eventplace'] = "Lugar do Evento";
$admtext['detail'] = "Detalhe";
$admtext['export'] = "Exportar";
$admtext['tlevents'] = "Eventos de Linha de Tempo";
$admtext['places'] = "Lugares";
$admtext['duplicate'] = "As alteraões não foram salvas. Já existe um registro com a mesma chave.";
$admtext['alttitle'] = "Título Alternativo";
$admtext['enttitle'] = "Título";  //title for a history or photo, not a person
$admtext['address1'] = "Endereço 1";
$admtext['address2'] = "Endereço 2";
$admtext['countryaddr'] = "País";
$admtext['branches'] = "Ramos";
$admtext['nobranch'] = "Nenhum Ramo";
$admtext['scrollbranch'] = "(Rolar para ver todas as opções)";
$admtext['matches'] = "Coincidências";
$admtext['review'] = "Revisão";
$admtext['allusers'] = "Todos os usuários";
$admtext['deathabbr'] = "f.";
$admtext['burialabbr'] = "sep.";
$admtext['nochanges'] = "Não houve alterações.";
$admtext['changestoallitems'] = "As mudanças em todos os objetos";  //were made successfully
$admtext['find2'] = "Buscar";
$admtext['text_sort'] = "Ordenar";
$admtext['documents'] = "Documentos";
$admtext['repository'] = "Repositório";
$admtext['more'] = "Mais";
$admtext['repositories'] = "Repositórios";
$admtext['divplace'] = "Lugar do Divórcio";
$admtext['divdate'] = "Data do Divórcio";
$admtext['divdatetr'] = "Data do Divórcio (Real)";
$admtext['creategendex'] = "Criar GENDEX";
$admtext['datamaint'] = "Gedcom-Proc. Secund.";
$admtext['imagefiletoupload'] = "Arquivo da Imagem para carregar";
$admtext['indfamorsrc'] = "pessoas, famílias ou fontes";
$admtext['improperpermissions'] = "porque a pasta náo tem permissões apropriadas. Tente chmod(777)";
$admtext['person'] = "Pessoa";
$admtext['setup'] = "Setup";
$admtext['manage'] = "Gerenciar";
$admtext['reset'] = "Limpar";
$admtext['norecords'] = "Não há registros.";
$admtext['secondarymaint'] = "Processos Secundários";
$admtext['customeventtypes'] = "Tipos de Eventos Personalizados";
$admtext['findmatches'] = "Buscar Similares";
$admtext['matchthese'] = "Igualar os seguintes campos:";
$admtext['otheroptions'] = "Outras Opções:";
$admtext['ignoreblanks'] = "Ignorar Espaços";
$admtext['nextmatch'] = "Próximo Similar";
$admtext['nextdup'] = "Próxima Duplicata";
$admtext['comprefresh'] = "Comparar/Restaurar";
$admtext['mswitch'] = "Comutar";
$admtext['nomatches'] = "Sem Similares";
$admtext['combineextras'] = "Combinar fotos & histórias";  //changed as well
$admtext['fasterdisplay'] = "Nota: Esta página tem um formato diferente para acelerar sua exibição.";
$admtext['publichome'] = "Início Público";
$admtext['selectall'] = "Selecionar todas";
$admtext['clearall'] = "Limpar todas";
$admtext['media'] = "Mídia";
$admtext['albums'] = "Álbums";
$admtext['import'] = "Importar";
$admtext['item'] = "Item";
$admtext['combinenotesonly'] = "Combinar notas";
$admtext['addmedia'] = "Adicionar Mídia";
$admtext['latitude'] = "Latitude";
$admtext['longitude'] = "Longitude";
$admtext['gedimport'] = "Importar GEDCOM";
$admtext['improper2'] = "porque o arquivo original é grande demais ou não é uma imagem, ou então porque a pasta não existe (verifique o caminho raís), ou ainda porque as permissões estão incorretas (tente chmod(777)).";
$admtext['confdeleterecs'] = "Você está seguro de que deseja excluir os registros selecionados?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocodificar lugar";
$admtext['notfound'] = " não encontrado. Tente outra descrição. Verfique a ajuda em Map Search Help (em Inglês) para possíveis razões, ou tente buscar usando o link para a Busca Avançada abaixo";
$admtext['showhidemap'] = "Mostrar/ocultar o mapa";
$admtext['getcoords'] = "(para determinar latitude, longitude e zoom)";
$admtext['searchstring'] = "Buscar por um Lugar";
$admtext['zoom'] = "Zoom";
$admtext['selectplacelevel'] = "Selecione o Nível do Lugar";
$admtext['difficultmap'] = "Busca Avançada";
$admtext['maphelp'] = "Ajuda da busca no mapa";
$admtext['gobutton'] = "Buscar";
$admtext['findpersonid'] = "Buscar ID de Pessoa";
$admtext['findfamilyid'] = "Buscar ID da Família";
$admtext['findsourceid'] = "Achar ID de Fonte";
$admtext['entersourcepart'] = "Informar parte do título da fonte";
$admtext['findrepoid'] = "Encontrar ID do repositório";
$admtext['enterrepopart'] = "Entrar parte do título do repositório";
$admtext['findplace'] = "Buscar Lugar";
$admtext['enterplacepart'] = "informar parte do nome do lugar";
$admtext['entereventinfo'] = "Por favor, escreva uma Data, um Lugar ou os Detalhes para este evento.";
$admtext['entereventtype'] = "Por favor, selecione um Tipo de Evento.";
$admtext['enternote'] = "Por favor, escreva o texto da nota.";
$admtext['selectsource'] = "Selecione uma Fonte.";
$admtext['confdeletecite'] = "Tem certeza que quer excluir esta citação?";
$admtext['spouses'] = "Cônjuges";
$admtext['entertreeid'] = "Por favor, informe um ID de árvore.";
$admtext['entertreename'] = "Por favor, informe um nome de árvore.";
$admtext['citations'] = "Citações";
$admtext['eventtypes'] = "Tipos de Eventos";
$admtext['associations'] = "Relacionamentos";
$admtext['makefolder'] = "Criar Pasta";
$admtext['allcurrentdata'] = "Todos os dados atuais";
$admtext['matchingonly'] = "Só os registros coincidentes";
$admtext['donotreplace'] = "Não substituir nenhum dado";
$admtext['useroffset'] = "Começar IDs em:";
$admtext['phone'] = "Telefone";
$admtext['website'] = "Site na Web";
$admtext['thumb'] = "Mini.";  //as in thumbnail
$admtext['displayorder'] = "Ordem de Exibição";
$admtext['go'] = "Ir";
$admtext['help'] = "Ajuda para esta área";
$admtext['husband'] = "Pai";
$admtext['wife'] = "Mãe";
$admtext['husbname'] = "Nome do Pai";
$admtext['wifename'] = "Nome da Mãe";
$admtext['drag'] = "Arraste";
$admtext['enterinamepart'] = "entre parte do prenome ou sobrenome";
$admtext['enterfnamepart'] = "Entre parte do nome do pai ou da mãe";
$admtext['hide'] = "Ocultar";
$admtext['toggle'] = "mudar exibição";
$admtext['wsel'] = "Com selecionado:";
$admtext['msg'] = "Mensagem";
$admtext['default'] = "Default";
$admtext['events'] = "Eventos";
$admtext['date'] = "Data";
$admtext['savecont'] = "Salvar e prosseguir...";
$admtext['alphanum'] = "Favor usar somente caracteres alfanuméricos no ID de sua árvore.";
$admtext['mediatypes'] = "Tipos de Mídia";
$admtext['appendall'] = "Anexar todos registros";
$admtext['NPFX'] = "Prefixo";
$admtext['prefix'] = "Prefixo";
$admtext['mostwanted'] = "Mais Procurados";
$admtext['idexists'] = "não pode ser adicionado, pois seu ID já existe.";
$admtext['notdeleted'] = "Arquivo não pôde ser excluído. Por favor, verifique as permissões.";
$admtext['confdeletefile'] = "Está seguro de que deseja excluir o arquivo?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Nota:</strong> Quando informar datas, use o formato padrão genealógico DD MMM AAAA em Inglês. Por exemplo, 10 APR 2004.";
$admtext['oriental'] = "Primeiro o Sobrenome";
$admtext['langfolder'] = "Nome da pasta onde os arquivos do idioma<br>serão armazenados";
//moved here in 8.0.0
$admtext['active'] = "Ativo";
$admtext['repoid'] = "ID de Repositório";
$admtext['whatsnew'] = "Novidades";
$admtext['linkedto'] = "Ligado a";
$admtext['status'] = "Estado";
//added in 8.0.0
$admtext['show'] = "Pré-Visualizar";
$admtext['lnfirst'] = "Sobrenome no início (com vírgulas)";
$admtext['savefirst'] = "Salvar alterações primeiro?";
$admtext['misc'] = "Miscelânea";
$admtext['modmgr'] = "Gerente de Mods";
$admtext['menu'] = "Menu";
$admtext['cannotopendir'] = "Não é possível abrir pasta";
$admtext['reviewsh'] = "Revisão"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Cancelar";
$admtext['enterpassoc'] = "Favor entrar com o ID da pessoa relacionada.";
$admtext['enterrela'] = "Favor entrar com o tipo de relacionamento.";
$admtext['confdeleteassoc'] = "Você está seguro de que deseja excluir este relacionamento?";
$admtext['preview'] = "Pé-visualização";
$admtext['livingonly'] = "Somente vivo";
$admtext['tentdata'] = "Registro temporário de evento para ";
$admtext['checking'] = "Verificando... Aguarde";
//added in 9.0.0
$admtext['clickresume'] = "clicar aqui para reiniciar";
$admtext['copylast'] = "Copiar o último";
$admtext['nicbold'] = "Clicar para Negrito";
$admtext['nicitalic'] = "Clicar para Itálico";
$admtext['nicunderline'] = "Clicar para Sublinhado";
$admtext['niclalign'] = "Alinhar à esquerda";
$admtext['niccalign'] = "Centralizar";
$admtext['nicralign'] = "Alinhar à direita";
$admtext['nicjalign'] = "Justificar";
$admtext['nicinsol'] = "Inserir Lista Numerada";
$admtext['nicinsul'] = "Inserir Lista de Marcadores";
$admtext['nicsub'] = "Clicar para Subscrito";
$admtext['nicsup'] = "Clicar para Superscrito";
$admtext['nicstrike'] = "Clicar para Taxado";
$admtext['nicremfmt'] = "Remover Formatação";
$admtext['nicindent'] = "Recuar o Texto";
$admtext['nicremind'] = "Remover Recuo";
$admtext['nichr'] = "Linha Horizontal";
$admtext['nicfontsz'] = "Tamanho&nbsp;da&nbsp;Fonte";
$admtext['nicfontfam'] = "Família&nbsp;da&nbsp;Fonte";
$admtext['nicfontfmt'] = "Formato&nbsp;da&nbsp;Fonte";
$admtext['niclink'] = "Inserir Link";
$admtext['nicremlink'] = "Remover Link";
$admtext['nictxtcol'] = "Mudar Cor de Texto";
$admtext['nicbkgcol'] = "Mudar Cor de Fundo";
$admtext['nicimage'] = "Inserir Imagem";
$admtext['change'] = "Alterar";
$admtext['editwarn'] = "Seu bloqueio para este revistro está por expirar. Salve suas alterações para evitar que seja sobre-escritas por outro usuário.";
$admtext['editconflict'] = "Há outro usuário editando este registro. Tente novamente mais tarde.";
$admtext['retry'] = "Tente novamente";
$admtext['notsaved'] = "As alterações foram perdidas. Há outro usuário alternado o registro.";
//changed in 9.2.0
$admtext['linktype'] = "Tipo";
//moved here in 10.0.0
$admtext['disabled'] = "Desabilitado";
$admtext['cremated'] = "Cremação";
//added in 10.0.0
$admtext['videos'] = "Vídeos";
$admtext['recordings'] = "Áudios";
$admtext['saveexit'] = "Salvar e sair";
$admtext['allbranches'] = "Todos eventos";
//moved here in 11.0.0
$admtext['nickname'] = "Apelido";
$admtext['role'] = "Papel";
$admtext['commas'] = "Separar múltiplas entradas com vírgulas";
$admtext['confdellink'] = "Tem certeza de que deseja excluir esta ligação?";
$admtext['existlinks'] = "Ligações Existentes";
$admtext['report'] = "Relatório";
//added in 11.0.0
$admtext['sortby'] = "Classificar por";
$admtext['unlink'] = "Desligar";
$admtext['privateonly'] = "Somente privado";
$admtext['dna_links'] = "Ligações de DNA";
$admtext['dataval'] = "Validação de dados";
$admtext['norels'] = "Desligar mensagens de relacionamento";

//change to $text
$admtext['living'] = "Vivo";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>