<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Etiqueta de Rama";
		$admtext['existingbranch'] = "Rama Existente";
		$admtext['newbranch'] = "Nueva Rama";
		$admtext['numgenerations'] = "Nmero de Generaciones";
		$admtext['ancestors'] = "Ancestros";
		$admtext['descofanc'] = "Generaciones descendientes de cada ancestro";
		$admtext['descendants'] = "Descendientes";
		$admtext['includespouses'] = "Incluir cnyuges de los descendientes";
		$admtext['partial'] = "Parcial";
		$admtext['addlabels'] = "Aadir etiquetas";
		$admtext['clearlabels'] = "Borrar etiquetas";
		$admtext['clearingbranch'] = "Borrando Etiquetas de Rama";
		$admtext['addingbranch'] = "Aadiendo Etiquetas de Rama";
		$admtext['totalaffected'] = "Total Afectado";
		$admtext['labelmore'] = "Etiquetar ms ramas";
		$admtext['enterbranch'] = "Por favor, seleccione una rama existente o ingrese una nueva.";
		$admtext['enterstartingind'] = "Por favor, ingrese el ID del individuo inicial.";
		$admtext['gensnumeric'] = "Los valores para ancestros y descendientes deben ser numricos.";
		$admtext['overwrite'] = "Sobrescribir";
		$admtext['branchid'] = "ID de Rama";
		$admtext['addnewbranch'] = "Aadir Nueva Rama";
		$admtext['createbranch'] = "Crear registro para una nueva rama.";
		$admtext['existingbranchinfo'] = "Informacin de Rama Existente.";
		$admtext['editexistingbranch'] = "Editar informacin de rama previamente aadida.";
		$admtext['confbranchdelete'] = " Est usted seguro que desea eliminar esta rama?";
		$admtext['enterbranchid'] = "Por favor, indique el ID de rama.";
		$admtext['entertreedesc'] = "Por favor, ingrese una descripcin de la rama.";
		$admtext['newbranchinfo'] = "Informacin de Nueva Rama";
		$admtext['modifybranch'] = "Editar Rama Existente";
		$admtext['changestobranch'] = "Cambios para rama";
		$admtext['existlabels'] = "Etiquetas existentes";
		$admtext['leave'] = "Dejar";
		$admtext['append'] = "Aadir nuevo";
		$admtext['showpeople'] = "Mostrar personas de este rbol/rama";
		$admtext['branchdiscl'] = "Este nmero representa el nmero total de ramas vinculadas, no necesariamente el nmero de personas o familias vinculadas a sta rama. Si usted ha re-importado sus datos recientemente, es posible que necesite re-etiquetar sus ramas.";
		$admtext['inclspouses'] = "Incluir cnyuges para todos los descendientes";
		$admtext['delpeople'] = "Eliminar personas y familias con esta etiqueta de rama";
		$admtext['confbrdel'] = "Est seguro que quiere eliminar personas y familias con esta etiqueta de rama?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "El archivo de imagen del mapa no pudo ser copiado a";
		$admtext['changestocem'] = "Cambios en cementerio";
		$admtext['modifycemetery'] = "Editar Cementerio Existente";
		$admtext['addnewcemetery'] = "Aadir Nuevo Cementerio";
		$admtext['createnewcemetery'] = "Crear registro para un nuevo cementerio";
		$admtext['selectcemaction'] = "Seleccionar Cementerio y Accin";
		$admtext['location'] = "Ubicacin";
		$admtext['confdeletecem'] = "Est seguro que desea borrar este cementerio?";
		$admtext['editceminfo'] = "Editar informacin de cementerio previamente aadido";
		$admtext['leaveblankallcems'] = "dejar en blanco para mostrar todos los cementerios";
		$admtext['cemeteryname'] = "Nombre del Cementerio";
		$admtext['mapfilename'] = "Nombre de Archivo del Mapa";
		$admtext['countyparish'] = "Condado/Parroquia";
		$admtext['stateprovince'] = "Estado/Provincia/Comarca";
		$admtext['entercountry'] = "Por favor, escriba el nombre del pas.";
		$admtext['entermapfile'] = "Por favor, ingrese un nombre de archivo para su archivo de mapa en el servidor web.";
		$admtext['existingceminfo'] = "Informacin de Cementerio Existente";
		$admtext['newceminfo'] = "Informacin de Nuevo Cementerio";
		$admtext['maptoupload'] = "Imagen del mapa para subir";
		$admtext['mapfilenamefolder'] = "Nombre de Archivo del Mapa<br />dentro de la carpeta de Lpidas";
		$admtext['ifmapuploaded'] = "Dejar este campo en blanco si el archivo ya ha sido subido a la carpeta de lpidas.";
		$admtext['requiredmap'] = "Requerido si usted est usando un mapa. Esto debe coincidir con el nombre y la ubicacin de su archivo <em>dentro de la carpeta de lpidas</em> luego que su archivo sea subido. Por ejemplo, si su carpeta de lpidas se llama <em>lapidas</em>, y usted desea llamar a su archivo <em>mapa.jpg</em> y colocarlo en una sub-carpeta de lpidas llamada <em>mismapas</em>, usted ingresar en ste campo <em>mismapas/mapa.jpg</em>.";
		//added in 8.0.0
		$admtext['linkplace'] = "Lugar Asociado";
		$admtext['fillplace'] = "Rellenar Lugar";
		$admtext['usecemcoords'] = "Copiar la informacin de codificacin geogrfica sobre este lugar";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "ya existe";
		$admtext['added'] = "Aadido";
		$admtext['enternew'] = "Ingresar nuevo";
		$admtext['pleaseenter'] = "Por favor, ingrese un ";
		$admtext['netscapereload'] = "Usuarios de Netscape: <br />Debe recargar la pgina Cementerios para ver el nuevo";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Borrando Nota...";
		$admtext['addingnote'] = "Aadiendo Nota...";
		$admtext['addnewnote'] = "Aadir Nueva Nota";
		$admtext['note'] = "Nota";
		$admtext['modifynote'] = "Modificar Nota";
		//added in 8.0.0
		$admtext['notechanges'] = "Cambios en nota";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Aadiendo Evento...";
		$admtext['deletingevent'] = "Borrando Evento...";
		$admtext['updatingevent'] = "Actualizando Evento...";
		$admtext['modifyevent'] = "Modificar Evento";
		$admtext['addnewevent'] = "Aadir Nuevo Evento";

		$admtext['dateformat'] = "(DD MMM AAAA)";
		$admtext['age'] = "Edad";
		$admtext['agency'] = "Organismo";
		$admtext['cause'] = "Causa";
		$admtext['moreinfo'] = "Ms Informacin";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplicada para";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importando GEDCOM...<br />(esta operacin puede tardar varios minutos)";
		$admtext['ifimportfails'] = "Si el proceso de importacin no puede completarse,";
		$admtext['opened'] = "abierto...";
		$admtext['toresume'] = "para reanudar la importacin";  //cannot open to resume import
		$admtext['openedtoresume'] = "abierto para reanudar la importacin...";
		$admtext['notresumed'] = "La importacin no se pudo reanudar.";
		$admtext['finishedimporting'] = "Importacin GEDCOM finalizada";
		$admtext['treeexists'] = "Ya existe otro rbol con el ID seleccionado. Por favor, seleccione un ID diferente e intente de nuevo.";
		$admtext['backtodataimport'] = "Volver a Importacin de Datos";
		$admtext['moreoptions'] = "Ms Opciones";
		$admtext['removeged'] = "Eliminar archivo GEDCOM (opcional)";
		$admtext['cannotupload'] = "No se pudo cargar el archivo:";
		$admtext['invfperms'] = "Su carpeta 'gedcom' puede tener permisos inadecuados (pruebe 755 o 777).";
		$admtext['maybedone'] = "Es posible que ya haya terminado.";
		$admtext['turnonsis'] = "Asegrese de que 'Guardar Estado de Importacin' est activado en Configuracin de importacin.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Cambios en tipo de evento";
		$admtext['modifyeventtype'] = "Editar Tipo de Evento Existente";
		$admtext['individual'] = "Individuo";
		$admtext['entertypedesc'] = "Por favor, ingrese tipo/descripcin para este nuevo tipo de evento.";
		$admtext['enterdisplay'] = "Por favor, escriba un texto de pantalla para este nuevo tipo de evento.";
		$admtext['existingeventtypeinfo'] = "Informacin de Tipo de Evento Existente";
		$admtext['neweventtypeinfo'] = "Informacin de Nuevo Tipo de Evento";
		$admtext['tag'] = "Etiqueta";
		$admtext['typedescription'] = "Tipo/Descripcin";
		$admtext['onimport'] = "Al importar";
		$admtext['accept'] = "Aceptar";
		$admtext['ignore'] = "Ignorar";
		$admtext['typerequired'] = "Con etiquetas personalizadas (donde etiqueta = \"EVEN\"), ste es el TIPO y es requerido. Opcional para el resto de las etiquetas.";
		$admtext['addnewevtype'] = "Aadir Nuevo Tipo de Evento";
		$admtext['createnewevtype'] = "Crear registro de nuevo tipo de evento";
		$admtext['forindividuals'] = "Para Individuos...";
		$admtext['forfamilies'] = "Para Familias...";
		$admtext['existingevtypes'] = "Tipos de Eventos Existentes";
		$admtext['edsevtypes'] = "Editar, borrar u ordenar tipos de eventos previamente aadidos";
		$admtext['indfam'] = "Ind/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Est seguro que quiere borrar este tipo de evento?";
		$admtext['selecttag'] = "Seleccionar Etiqueta";
		$admtext['selectentertag'] = "Por favor, seleccione o ingrese la etiqueta para este tipo de evento.";
		$admtext['orenter'] = "o ingrese";
		$admtext['ifbothdata'] = "va a prevalecer ste si ambos campos contienen datos";
		$admtext['EVEN'] = "Evento";
		$admtext['ADOP'] = "Adoptado/a";
		$admtext['ADDR'] = "Direccin";
		$admtext['ALIA'] = "Tambin conocido/a como";
		$admtext['BARM'] = "Barmitzvah";
		$admtext['BASM'] = "Barmitzvah";
		$admtext['CAST'] = "Casta";
		$admtext['CENS'] = "Censo";
		$admtext['CHRA'] = "Cristianizado/a Adulto";
		$admtext['CONF'] = "Confirmacin";
		$admtext['CREM'] = "Cremado/a";
		$admtext['DSCR'] = "Descripcin Fsica";
		$admtext['EDUC'] = "Educacin";
		$admtext['EMIG'] = "Emigracin";
		$admtext['FCOM'] = "Primera Comunin";
		$admtext['GRAD'] = "Graduacin";
		$admtext['IDNO'] = "No. Documento Nacional Identidad";
		$admtext['IMMI'] = "Inmigracin";
		$admtext['LANG'] = "Idioma";
		$admtext['NATI'] = "Nacionalidad";
		$admtext['NATU'] = "Naturalizacin";
		$admtext['NCHI'] = "Nro. de Hijos";
		$admtext['NMR'] = "Nro. de Matrimonios";
		$admtext['OCCU'] = "Ocupacin";
		$admtext['ORDI'] = "Ordenanza";
		$admtext['ORDN'] = "Ordenado";
		$admtext['PHON'] = "Telfono";
		$admtext['PROB'] = "Lagalizacin";
		$admtext['PROP'] = "Posesiones";
		$admtext['RELI'] = "Religin";
		$admtext['RESI'] = "Residencia";
		$admtext['RESN'] = "Aviso de Restriccin";
		$admtext['RETI'] = "Jubilado";
		$admtext['RFN'] = "Nmero Registro Permanente";
		$admtext['SSN'] = "Nmero Seguridad Social";
		$admtext['WILL'] = "Testamento";
		$admtext['ANUL'] = "Anulado";
		$admtext['DIVF'] = "Divorcio Registrado";
		$admtext['ENGA'] = "Compromiso Matrimonial";
		$admtext['MARB'] = "Impedimento Matrimonial";
		$admtext['MARC'] = "Contrato Matrimonial";
		$admtext['MARL'] = "Licencia Matrimonial";
		$admtext['MARS'] = "Matrimonio Establecido";
		$admtext['forsources'] = "Para fuentes...";
		$admtext['RIN'] = "Nmero ID de Registro";
		$admtext['REFN'] = "Nmero de Referencia";
		$admtext['REPO'] = "Repositorio";

		$admtext['deleteselected'] = "Borrar Seleccionados";
		$admtext['ignoreselected'] = "Ignorar Seleccionados";
		$admtext['acceptselected'] = "Aceptar Seleccionados";
		$admtext['changestoallevtypes'] = "Cambios a todos los tipos de evento";
		$admtext['forrepos'] = "Para Repositorios...";
		$admtext['noevtypes'] = "No existe ningn tipo de evento.";
		$admtext['DESI'] = "Descendiente de Inters";
		$admtext['allnone'] = "Ingrese un mensaje a mostrar para cada idioma,<br />o deje todo en blanco e ingrese un mensaje arriba para mostrar.";
		$admtext['assocwith'] = "Asociado con";
		$admtext['BAPM'] = "Bautismo";
		$admtext['umps'] = "Su archivo GEDCOM podra ser mayor que el tamao mximo admitido por su instalacin de PHP. Usted puede solicitar a su proveedor de hosting que aumente el valor 'upload_max_filesize', o puede copiar el archivo en la carpeta 'gedcom' de su sitio web e importarlo desde all.";
		$admtext['othlangs'] = "Otros Idiomas";
		$admtext['evdata'] = "Datos del Evento";
		$admtext['ANCI'] = "Ancestro de Inters";
		//added in 10.0.0
		$admtext['collapseev'] = "Contraer Evento";
		$admtext['collapse'] = "Contraer";
		$admtext['collapseselected'] = "Contraer Seleccionado";
		//added in 11.0.0
		$admtext['expselected'] = "Expandir Selecccionadas";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Cambios en familia";
		$admtext['marrdate'] = "Fecha Matrimonio"; //marriage date
		$admtext['modifyfamily'] = "Editar Familia Existente";
		$admtext['selectfamaction'] = "Seleccionar Familia y Accin";
		$admtext['confdeletefam'] = "Est seguro que quiere borrar esta familia?";
		$admtext['existingfamilyinfo'] = "Informacin Existente de Familia";
		$admtext['newfamilyinfo'] = "Informacin de Nueva Familia";
		$admtext['sealedsdate'] = "Fecha sellado cnyuge (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Lugar sellado cnyuge (LDS)";     //S is for spouse
		$admtext['newchildren'] = "Nuevos Hijos";
		$admtext['addnewfamily'] = "Aadir Nueva Familia";
		$admtext['createnewfamily'] = "Crear registro para una nueva familia";
		$admtext['editexistingfaminfo'] = "Editar informacin de una familia previamente aadida";
		$admtext['spousesids'] = "ID de Cnyuges";
		$admtext['noname'] = "Sin Nombre";
		$admtext['familyidbefevent'] = "Debe ingresar un ID de Familia para poder aadir nuevos eventos.";
		$admtext['prefixfamilyid'] = "Por favor, anteponer prefijo al ID de Familia con \"F\" para \"Familia\"";
		$admtext['validfamilyid'] = "Por favor, ingrese un ID de Familia vlido. Un ID vlido es una cadena numrica precedida del prefijo 'F'.";
		$admtext['familyidbefnote'] = "Debe ingresar antes un ID de Familia para poder aadir nuevas notas.";
		$admtext['familyidbefcite'] = "Debe ingresar antes un ID de Familia para poder utilizar citas con esta familia.";
		$admtext['genfamily'] = "Familia General";
		$admtext['marriagetype'] = "Tipo de Matrimonio";
		$admtext['reviewfamilies'] = "Aceptar o rechazar cambios provisorios en familias";
		$admtext['fevslater'] = "Nota: Los hijos y eventos adicionales, as como notas y citas para eventos especficos, podrn ser aadidos en la siguiente pantalla, despus de que la Nueva Familia haya sido guardada.";
		$admtext['husbid'] = "ID de Padre";  //husband ID
		$admtext['wifeid'] = "ID de Madre";
		$admtext['enternamepart'] = "ingrese parte del nombre y/o apellido";
		$admtext['pleasenamepart'] = "Por favor, ingrese una parte del nombre o del apellido.";
		$admtext['clickfind'] = "Haga Clic en Buscar o Crear =>";
		$admtext['chunlinked'] = "Hijo no vinculado de la familia";
		$admtext['child'] = "Hijo";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Aadiendo Persona...";
		$admtext['changestoperson'] = "Cambios en persona";
		$admtext['nobirthinfo'] = "Sin informacin de nacimiento";
		$admtext['modifyperson'] = "Editar Persona Existente";
		$admtext['selectpersaction'] = "Seleccionar Persona y Accin";
		$admtext['existingpersoninfo'] = "Informacin Existente para Persona";
		$admtext['firstgivennames'] = "Nombre(s)";
		$admtext['lastsurname'] = "Apellido(s)";
		$admtext['nickname'] = "Apodo";
		$admtext['male'] = "Masculino";
		$admtext['female'] = "Femenino";
		$admtext['bapldate'] = "Fecha Bautismo (LDS)";
		$admtext['baplplace'] = "Lugar Bautismo (LDS)";
		$admtext['endldate'] = "Fecha Investidura (LDS)";
		$admtext['parents'] = "Padres";
		$admtext['father'] = "Padre";
		$admtext['mother'] = "Madre";
		$admtext['unlinkindividual'] = "Desvincular al individuo actual";
		$admtext['aschild'] = "como hijo/a";
		$admtext['sealedpdate'] = "Fecha Sellado Padres (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Lugar Sellado Padres (LDS)";     //P is for parents
		$admtext['asspouse'] = "como cnyuge";
		$admtext['spouse'] = "Cnyuge";
		$admtext['ordernumber'] = "Nmero de orden";
		$admtext['married'] = "Casado/a";
		$admtext['nonewfamily'] = "Al guardar no ir a nueva familia";
		$admtext['addnewperson'] = "Aadir Nueva Persona";
		$admtext['createperson'] = "Crear registro para un nuevo individuo";
		$admtext['personidbefevent'] = "Debe ingresar un ID de Persona antes de aadir nuevos eventos.";
		$admtext['prefixpersonid'] = "Por favor, anteponer prefijo al ID de Persona con \"I\" para \"Individuo\"";
		$admtext['validpersonid'] = "Por favor, ingrese un ID de Persona vlido. Un ID vlido es una cadena numrica precedida del prefijo 'I'.";
		$admtext['newpersoninfo'] = "Informacin de Nueva Persona";
		$admtext['selectsex'] = "Por favor seleccione el sexo.";
		$admtext['shortform'] = "Forma abreviada";
		$admtext['editexistingpersoninfo'] = "Editar informacin de un individuo previamente aadido";
		$admtext['unknown'] = "Desconocido";
		$admtext['personidbefnote'] = "Debe ingresar antes un ID de Persona para poder aadir nuevas notas.";
		$admtext['endlplace'] = "Lugar Investidura (LDS)";
		$admtext['personidbefcite'] = "Debe ingresar un ID de persona antes de poder utilizar citas con esta persona.";
		$admtext['relationship'] = "Parentesco";
		$admtext['asspouse'] = "como cnyuge";
		$admtext['mergepeople'] = "Fusionar la informacin de registros individuales duplicados.";
		$admtext['choosemerge'] = "Escoger los individuos a fusionar o encontrar posibles coincidencias";
		$admtext['usesoundex'] = "Usar Soundex";
		$admtext['sdxdisclaimer'] = "Si utiliza esta opcin, el programa va a tardar ms tiempo en encontrar la siguiente coincidencia o duplicacin.";
		$admtext['combinenotes'] = "Combinar notas y citas";
		$admtext['confirmmerge'] = "Est seguro que desea fusionar estos dos individuos?";
		$admtext['gotonewfamily'] = "Ir a nueva familia con el individuo actual";
		$admtext['genperson'] = "Individuo General";
		$admtext['reviewpeople'] = "Aceptar o rechazar cambios provisorios en individuos.";
		$admtext['nokids'] = "Sin hijos";
		$admtext['noparents'] = "Sin padres";
		$admtext['association'] = "Asociacin";
		$admtext['deletingassoc'] = "Eliminando Asociacin...";
		$admtext['addingassoc'] = "Aadiendo Asociacin...";
		$admtext['updatingassoc'] = "Actualizando Asociacin...";
		$admtext['addnewassoc'] = "Aadir Nueva Asociacin";
		$admtext['modifyassoc'] = "Editar Asociacin Existente";
		$admtext['pevslater'] = "Nota: Eventos adicionales, adems de notas y citas para eventos especficos, podrn ser aadidos en la siguiente pantalla una vez que la nueva persona haya sido guardada.";
		$admtext['ashusband'] = "como padre";
		$admtext['aswife'] = "como madre";
		$admtext['pevslater2'] = "Nota: Eventos adicionales, adems de notas y citas para eventos especficos, pueden aadirse ms tarde.";
		$admtext['nospouse'] = "Sin esposo";
		$admtext['revassoc'] = "Tambin aadir asociacin inversa para las dos mismas personas";
		$admtext['prefix'] = "Prefijo";
		$admtext['chkdel'] = "Marque el box vaco para eliminar el tem a la izquierda";
		//added in 9.0.0
		$admtext['choosedef'] = "Elegir<br/>foto<br/>por defecto"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Fecha de Confirmacin (LDS)";
		$admtext['confplace'] = "Lugar de Confirmacin (LDS)";
		$admtext['initdate'] = "Fecha de Inicio (LDS)";
		$admtext['initplace'] = "Lugar de Inicio (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "El archivo miniatura no pudo ser copiado a";
		$admtext['photo'] = "Foto";
		$admtext['changestophoto'] = "Cambios en foto";
		$admtext['modifyphoto'] = "Editar Foto Existente";
		$admtext['addnewphoto'] = "Aadir Nueva Foto";
		$admtext['selectphotoaction'] = "Seleccionar Foto y Accin";
		$admtext['photoid'] = "ID de Foto";
		$admtext['confdeletephoto'] = "Est seguro que quiere borrar esta foto y todos los vnculos asociados a ella?";
		$admtext['enterphotopath'] = "Por favor, ingrese la ruta (carpeta y nombre de archivo) de la imagen dentro de la carpeta de fotos en su servidor web.";
		$admtext['enterthumbnailpath'] = "Por favor, ingrese la ruta (carpeta y nombre de archivo) de la imagen en miniatura dentro de la carpeta de fotos en su servidor web.";
		$admtext['enterphotodesc'] = "Por favor, ingrese una descripcin de la imagen.";
		$admtext['existingphotoinfo'] = "Informacin de Foto Existente";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Archivo de Imagen Miniatura";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Nombre de Archivo y Ruta";
		$admtext['sortphotos'] = "Ordenar Fotos";
		$admtext['sortphotosfor'] = "Ordenar Fotos de";
		$admtext['editexistingphotoinfo'] = "Editar informacin de una foto previamente aadida";
		$admtext['leaveblankallphotos'] = "dejar en blanco para mostrar todas las fotos";
		$admtext['headstone'] = "Lpida";
		$admtext['imagenotcopied'] = "El archivo de imagen no pudo ser copiado a";
		$admtext['changestohs'] = "Cambios en lpida";
		$admtext['modifyheadstone'] = "Editar Lpida Existente";
		$admtext['selecthsaction'] = "Seleccionar Lpida y Accin";
		$admtext['confdeletehs'] = "Est seguro que quiere borrar esta lpida?";
		$admtext['photostatus'] = "Foto/Estatus";
		$admtext['selectcemetery'] = "Por favor, seleccione un cementerio.";
		$admtext['enterhsimage'] = "Por favor, ingrese el nombre de archivo de su imagen de lpida en el servidor web.";
		$admtext['existinghsinfo'] = "Informacin Existente de Lpida";
		$admtext['newhsinfo'] = "Informacin de Nueva Lpida";
		$admtext['hsimagefile'] = "Archivo de Imagen de Lpida";
		$admtext['located'] = "Ubicacin";
		$admtext['notyetlocated'] = "An no ubicada";
		$admtext['unmarked'] = "Sin marca";
		$admtext['missing'] = "Falta";
		$admtext['leaveblankhs'] = "Dejar este campo en blanco si el archivo ya ha sido subido a su carpeta de lpidas.";
		$admtext['requiredhs'] = "Requerido. Esto debe coincidir con el nombre y la ubicacin de su archivo <em>dentro de la carpeta de lpidas</em> una vez que el archivo haya sido subido. Por ejemplo, si su carpeta de lpidas se llama <em>fotos/lapidas</em>, y usted quiere que su archivo se llame <em>lapida.jpg</em> y se ubique en la sub-carpeta fotos/lapidas, usted debe ingresar <em>fotos/lapidas/lapida.jpg</em> en este campo.";
		$admtext['addnewhs'] = "Aadir Nueva Lpida";
		$admtext['createnewhs'] = "Crear registro para una nueva lpida y vincular con un individuo";
		$admtext['editexistinghsinfo'] = "Editar informacin de una lpida previamente aadida";
		$admtext['leaveblankallhs'] = "dejar en blanco para mostrar todas las lpidas";
		$admtext['cemnamelocation'] = "Nombre del Cementerio o Ubicacin";
		$admtext['pedphoto'] = "Usar esta foto en cuadros genealgicos y nombres de ttulos";
		$admtext['photoowner'] = "Propietario/Fuente";
		$admtext['dimensions'] = "Dimensiones";
		$admtext['selectphoto'] = "Seleccionar Imagen";
		$admtext['specifyimg'] = "Especificar imagen";
		$admtext['autoimg'] = "Crear desde original";
		$admtext['enterthumbpath'] = "Por favor, ingrese un nombre de destino para su imagen en miniatura";
		$admtext['genthumbs'] = "Generar Miniaturas";
		$admtext['genthumbsdesc'] = "Generar en forma automtica versiones ms pequeas de todas las fotos en caso de no haber miniaturas previamente existentes.";
		$admtext['thumbsgenerated'] = "Miniaturas generadas";
		$admtext['makedefault'] = "Por Defecto";
		$admtext['filewithinhs'] = "Ruta dentro de la carpeta de lpidas <br>(nombre de sub-carpeta y archivo)";
		$admtext['recsupdated'] = "Registros actualizados";
		$admtext['removedef'] = "Eliminar foto por defecto";
		$admtext['numlinkhs'] = "Nmero de personas a vincular con esta lpida";
		$admtext['sortheadstones'] = "Ordenar Lpidas";
		$admtext['sortheadstonesfor'] = "Ordenar Lpidas para";
		$admtext['sortheadstonesind'] = "Ordenar Lpidas para un individuo";
		$admtext['headstoneorder'] = "Establecer orden deseado para las lpidas vinculadas a un individuo especfico";
		$admtext['enternumberforphoto'] = "Ingresar un valor numrico para cada tem.";
		$admtext['updownforphoto'] = "Haga Clic en las flechas para mover los items hacia arriba y hacia abajo.";
		$admtext['createnewphoto'] = "Crear registro para una nueva foto y vincular a individuos, familias o fuentes";
		$admtext['numlinkphoto'] = "Nmero de personas, familias o fuentes vinculadas a esta foto";
		$admtext['photoorder'] = "Indicar el orden deseado para las fotos vinculadas a un individuo, familia o fuentes especficas";
		$admtext['assigndefs'] = "Asignar Fotos Por Defecto";
		$admtext['assigndefsdesc'] = "Convertir por defecto la primera foto de cada familia, individuo o fuente.";
		$admtext['overwritedefs'] = "Sobrescribir las actuales por defecto";
		$admtext['assign'] = "Asignar Por Defecto";
		$admtext['defsassigned'] = "Fotos por defecto asignadas";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Mapa de Imagen";
		$admtext['circle'] = "crculo";
		$admtext['rect'] = "rectngulo";
		$admtext['poly'] = "polgono";
		$admtext['shape'] = "Forma de la regin";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Ancho (pxeles)";
		$admtext['height'] = "Altura (pxeles)";
		$admtext['imgdim'] = "Dimensiones de la imagen";
		$admtext['pixw'] = "pxeles de ancho";
		$admtext['pixh'] = "pxeles de alto";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Cambios para todas las fotos seleccionadas.";
		$admtext['changestoallhs'] = "Cambios para todas las lpidas seleccionadas";
		$admtext['datetaken'] = "Fecha de la toma";
		$admtext['placetaken'] = "Lugar de la toma";
		$admtext['abspath'] = "Este medio proviene de una fuente externa (Ud. debe proporcionar una miniatura)";
		$admtext['imagefile'] = "Archivo de Medio";
		$admtext['pathwithinphotos'] = "Nombre del archivo en el sitio";
		$admtext['linktocem'] = "Vincular este medio directamente al cementerio seleccionado.";
		$admtext['defphotonote'] = "Usar la miniatura de esta imagen para identificar a esta persona, familia o fuente en rboles y otros grficos, incluidas las hojas de grupo familiar.";
		$admtext['photonotadded'] = "El elemento no pudo ser aadido, probablemente porque existe ya otro registro en la base de datos para el archivo de medio especificado.";
		$admtext['requiredphoto'] = "Requerido. Esto debe coincidir con el nombre y la ubicacin de su archivo <em>dentro de la carpeta de fotos</em> una vez que el archivo ha sido subido. Por ejemplo, si su carpeta de fotos se llama <em>fotos</em>, y usted desea llamar a su archivo <em>mifoto.jpg</em> y colocarlo en una sub-carpeta llamada <em>nuevasfotos</em>, deber ingresar <em>nuevasfotos/mifoto.jpg</em> en este campo.";
		$admtext['leaveblankphoto'] = "Dejar este campo en blanco si el archivo ya ha sido subido a la carpeta de fotos.";
		$admtext['thumbconflicts'] = "No se han generado miniaturas debido a problemas con la ruta, los permisos, el tamao o el nombre de archivo";
		$admtext['showmap'] = "Mostrar mapa y medios del cementerio siempre que se visualice este tem.";
		$admtext['bodytext'] = "<strong>O</strong><br/>Texto del Cuerpo";
		$admtext['usenl'] = "Convertir saltos de lnea a HTML al mostrar";
		$admtext['newwin'] = "Abrir en nueva ventana";
		$admtext['modifymedia'] = "Editar Medios Existentes";
		$admtext['addnewmedia'] = "Aadir Nuevo Medio";
		$admtext['confdeletemedia'] = "Est seguro que quiere eliminar este medio?";
		$admtext['thumbnails'] = "Miniaturas";
		$admtext['modifyalbum'] = "Editar Album Existente";
		$admtext['addnewalbum'] = "Aadir Nuevo Album";
		$admtext['newalbuminfo'] = "Informacin de Nuevo Album";
		$admtext['confdeletealbum'] = "Est seguro que quiere eliminar este lbum?";
		$admtext['enteralbumname'] = "Por favor, ingrese el nombre del lbum.";
		$admtext['albumname'] = "Nombre del Album";
		$admtext['keywords'] = "Palabras Clave(Keywords)";
		$admtext['changestoalbum'] = "Cambios en lbum";
		$admtext['addtoalbum'] = "Agregar al Album";
		$admtext['mediatype'] = "Coleccin";
		$admtext['fileext'] = "Ext. de archivo"; //file extension (abbreviation)
		$admtext['anotherlink'] = "Agregar Otro Enlace";
		$admtext['mediaurl'] = "URL de Medio";
		$admtext['put_in'] = "Guardar archivos en";
		$admtext['usemedia'] = "Carpeta de Medios";
		$admtext['usecollect'] = "Carpeta de Coleccin (p.ej., \"fotos\")";
		$admtext['notcopied'] = "El archivo no pudo ser copiado a";
		$admtext['existingmediainfo'] = "Informacin de Medio Existente";
		$admtext['convto'] = "Convertir Seleccionados a";
		$admtext['changestoallmedia'] = "Cambiar todos los medios seleccionados";
		$admtext['changestoitem'] = "Cambiar el item";
		$admtext['eventlink'] = "Enlace a evento especfico";
		$admtext['sortmediaind'] = "Ordenar Medios para un Individuo, Familia, Fuente, Repositorio o Lugar";
		$admtext['sortmedia'] = "Ordenar xxx para";
		$admtext['unlinked'] = "Slo sin enlaces";
		$admtext['samepaths'] = "La imagen principal y la imagen en miniatura no deben ser el mismo archivo. Por favor, seleccione una imagen en miniatura diferente, o disponga de una creada por usted.";
		$admtext['regenerate'] = "Regenerar las miniaturas existentes";
		$admtext['forcircles'] = "Para crculos";
		$admtext['forrects'] = "Para rectngulos";
		$admtext['circleinstr'] = "Primero haga Clic en el centro del crculo, luego haga Clic fuera del crculo en cualquier lado.";
		$admtext['rectinstr'] = "Primero haga Clic en la esquina superior izquierda del rectngulo, luego haga Clic en la esquina inferior derecha.";
		$admtext['firstone'] = "primero una";
		$admtext['controller'] = "Por favor, permita alrededor de 16 pxeles verticales para el controlador del reproductor de medios.";
		$admtext['nostatus'] = "Sin estatus";
		$admtext['enterid'] = "Por favor, ingrese un ID para el Tipo de Vnculo seleccionado.";
		$admtext['existingalbuminfo'] = "Informacin de Album Existente";
		$admtext['newmediainfo'] = "Informacin de Medio";
		$admtext['mapinstr2'] = "Vincular regiones de su imagen a diferentes personas o a otras pginas (opcional)";
		$admtext['mapinstr3'] = "Para vincular un regin de esta foto a un individuo especfico, seleccione el rbol del individuo, defina la forma y las dimensiones de la regin y luego haga Clic en el centro de la regin correspondiente en la foto. Una ventana emergente le ayudar a seleccionar el individuo. Despus de realizar la seleccin, el cdigo del mapa de imagen se aadir en el box de abajo. Repita este procedimiento cada vez que sea necesario para las regiones adicionales.";
		$admtext['albumlinks'] = "Enlaces a Album";
		$admtext['duplinkmsg'] = "Un enlace a la entidad seleccionada ya existe en este lbum.";
		$admtext['invlinkmsg'] = "El ID de la entidad ingresado no es vlido. No se creo el enlace.";
		$admtext['albmedia'] = "Album de Medios";
		$admtext['removelink'] = "Quitar Enlace";
		$admtext['confremmedia'] = "Esta seguro que quiere quitar este medio del lbum?";
		$admtext['selmedia'] = "Buscar medios existentes para incluir en este lbum";
		$admtext['uploadfirst'] = "subir nuevo medio primero aqu";
		$admtext['existmedia'] = "Medios Existentes";
		$admtext['emoptions'] = "Explorar, Eliminar o Arrastrar para Ordenar";
		$admtext['addlinks'] = "Aadir Nuevos Enlaces";
		$admtext['eloptions'] = "Explorar o Eliminar";
		$admtext['inclmsg'] = " incluido";
		$admtext['mediasubt'] = "Administrar medio incluido en este lbum (Aadir, Eliminar, Ordenar)";
		$admtext['infosubt'] = "Editar nombre de lbum, descripcin y palabras clave";
		$admtext['linkssubt'] = "Vincular el lbum a Personas, Familias, Fuentes, Repositorios o Lugares";
		$admtext['inclmedia'] = "Medio Incluido";
		$admtext['nomedia'] = "Todava no se ha incluido medio";
		$admtext['nolinks'] = "Todava no existen enlaces";
		$admtext['thumbsize'] = "(el original es muy grande)";
		$admtext['thumbinv'] = "(imagen no vlida o permisos inadecuados)";
		$admtext['thumblost'] = "(no se encuentra el original)";
		$admtext['uplsel'] = "Subir nuevo archivo desde su computadora, o seleccionar archivos ya ubicados en su sitio web";
		$admtext['alblater'] = "Nota: El medio puede ser aadido a este lbum, y el lbum ser vinculado a individuos o familias en la siguiente pantalla.";
		$admtext['medlater'] = "Nota: Puede aadir ms informacin, y el item ser vinculado a individuos o familias en la siguiente pantalla.";
		$admtext['minfosubt'] = "Editar ttulo del medio, descripcin y otros detalles bsicos";
		$admtext['medialinks'] = "Enlaces de Medios";
		$admtext['defphoto'] = "Foto por Defecto";
		$admtext['alttd'] = "Alternar Ttulo/Desc.";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Editar Enlace de Medio";
		$admtext['plot'] = "Trazar";
		$admtext['addnewcoll'] = "Aadir Coleccin";
		$admtext['collid'] = "ID de Coleccin";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Nombre de Carpeta";
		$admtext['collicon'] = "Archivo de Icono";
		$admtext['colllike'] = "Igual configuracin que";
		$admtext['entercollid'] = "Por favor, ingrese ID de coleccin.";
		$admtext['entercolldisplay'] = "Por favor, ingrese un nombre de coleccin para mostrar.";
		$admtext['entercollpath'] = "Por favor, ingrese un nombre de carpeta de coleccin.";
		$admtext['entercollicon'] = "Por favor, ingrese un nombre de archivo de icono de coleccin.";
		$admtext['editcoll'] = "Editar Coleccin";
		$admtext['confmtdelete'] = "Esta seguro que quiere eliminar este tipo de medio?";
		$admtext['histlimit'] = "<strong>Nota de tamao:</strong> La mayora de los exploradores limitan la cantidad de datos que pueden enviarse en fomulario web a 64Kb. Si usted tiene una gran cantidad de texto para tipear o pegar en el campo Cuerpo de Texto de arriba, debera considerar el uso del historytemplate.php en su lugar. Vea la Ayuda para ms informacin.";
		$admtext['repath'] = "Regenerar nombres de ruta de miniaturas donde los archivos no existen";
		$admtext['sortalbumind'] = "Ordenar Albums para un Individuo, Familia, Fuente, Repositorio o Lugar";
		$admtext['cidexists'] = "La ID de Coleccin que ha ingresado no pudo aadirse debido a que ya existe.";
		$admtext['phalltrees'] = "Opcional. Dejar en blanco para permitir que las fotos sean visibles en todos los rboles.";
		//added in 8.0.0
		$admtext['fileexists'] = "Este archivo ya existe. Desea sobrescribirlo?";
		$admtext['collthumb'] = "Archivo Miniatura";
		$admtext['movetop'] = "Mover hacia arriba";
		//added in 9.0.0
		$admtext['collexpas'] = "Exportar como";
		//added in 9.2.0
		$admtext['upload'] = "Cargar";
		$admtext['linksel'] = "Enlazar a seleccionado";
		$admtext['mediaupl'] = "Cargar Media";
		$admtext['addfiles'] = "Agregar archivos...";
		$admtext['startupl'] = "Iniciar carga";
		$admtext['start'] = "Iniciar";
		$admtext['cancelupl'] = "Cancelar la carga";
		//added in 11.0.0
		$admtext['localpath'] = "Ruta local";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Cambios en reporte";
		$admtext['modifyreport'] = "Editar Reporte Existente";
		$admtext['existingreportinfo'] = "Informacin de Reporte Existente";
		$admtext['existingreports'] = "Reportes Existentes";
		$admtext['newreportinfo'] = "Informacin del Nuevo Reporte";
		$admtext['reportname'] = "Nombre del Reporte";
		$admtext['rankpriority'] = "Ranking/Prioridad";
		$admtext['choosedisplay'] = "Elegir Campos para Mostrar";
		$admtext['spouseid'] = "ID de Cnyuge";
		$admtext['spousename'] = "Nombre del Cnyuge";
		$admtext['lastmodified'] = "Ultima Modificacin";
		$admtext['ldsbapldate'] = "Fecha Bautismo LDS";
		$admtext['ldsbaplplace'] = "Lugar Bautismo LDS";
		$admtext['ldsendldate'] = "Fecha Investidura LDS";
		$admtext['ldsendlplace'] = "Lugar Investidura LDS";
		$admtext['ldssealsdate'] = "Fecha Sellado Cnyuge LDS";
		$admtext['ldssealsplace'] = "Lugar Sellado Cnyuge LDS";
		$admtext['ldssealpdate'] = "Fecha Sellado Padres LDS";
		$admtext['ldssealpplace'] = "Lugar Sellado Padres LDS";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Elegir criterio";
		$admtext['fullname'] = "Nombre completo";
		$admtext['lastfirst'] = "Apellido, Nombre";
		$admtext['monthonlyfrom'] = "Slo Desde el Mes";
		$admtext['yearonlyfrom'] = "Slo Desde el Ao";
		$admtext['dayonlyfrom'] = "Slo Desde el Da";
		$admtext['operators'] = "Operadores";
		$admtext['contains'] = "contiene";
		$admtext['startswith'] = "comienza con";
		$admtext['endswith'] = "termina con";
		$admtext['text_and'] = "Y";
		$admtext['currentmonth'] = "Mes Actual";
		$admtext['currentyear'] = "Ao Actual";
		$admtext['currentday'] = "Da Actual";
		$admtext['constantstring'] = "Cadena Constante";
		$admtext['constantvalue'] = "Valor Constante";
		$admtext['foremptystring'] = "Para una cadena vaca, deje este campo en blanco y haga Clic en \"Aadir \"";
		$admtext['choosesort'] = "Ordenar Por Campos";
		$admtext['savereport'] = "Guardar Reporte";
		$admtext['addnewreport'] = "Aadir Nuevo Reporte";
		$admtext['createreport'] = "Crear nuevo reporte";
		$admtext['noreports'] = "No existen reportes";
		$admtext['rank'] = "Rango";
		$admtext['confreportdelete'] = "Est seguro que quiere eliminar este reporte?";
		$admtext['enterreportname'] = "Por favor, ingrese un nombre de reporte.";
		$admtext['selectdisplayfield'] = "Por favor, seleccione al menos un campo a mostrar.";
		$admtext['today'] = "Hoy (fecha real)";
		$admtext['convtodays'] = "Convertir a das";
		$admtext['desc'] = "Descendente (Prev.)";
		$admtext['birthdatetr'] = "Fecha de Nacimiento (real)";
		$admtext['chrdatetr'] = "Fecha de Bautismo (real)";
		$admtext['deathdatetr'] = "Fecha de Fallecimiento (real)";
		$admtext['burialdatetr'] = "Fecha de Entierro (real)";
		$admtext['marriagedatetr'] = "Fecha de Matrimonio (real)";
		$admtext['ldsbapldatetr'] = "Fecha Bautismo LDS (real)";
		$admtext['ldsendldatetr'] = "Fecha Investidura LDS (real)";
		$admtext['ldssealsdatetr'] = "Fecha Sellado Cnyuge LDS (real)";
		$admtext['ldssealpdatetr'] = "Fecha Sellado Padres LDS (real)";
		$admtext['currentmonthnum'] = "Nmero Mes Actual";
		$admtext['livingtrue'] = "Vivo = s";
		$admtext['livingfalse'] = "Vivo = no";
		$admtext['altreport'] = "O deje en blanco los campos Criterio y Clasificacin e ingrese directamente una declaracin SQL SELECT en el siguiente espacio";
		$admtext['rptdate'] = "Fecha";
		$admtext['rptdatetr'] = "Fecha (real)";
		$admtext['fact'] = "Hecho";
		$admtext['testeditdelete'] = "Aadir, editar, evaluar o eliminar reportes";
		$admtext['wnmsg'] = "Mensaje en Pgina \"Novedades\"";
		$admtext['mwtype'] = "Tipo";
		$admtext['mysphoto'] = "Fotos Raras";
		$admtext['mysperson'] = "Personas Difciles";
		$admtext['selphoto'] = "Seleccionar Foto";
		$admtext['entertitle'] = "Por favor, ingrese un ttulo";
		$admtext['enterdesc'] = "Por favor, ingrese una descripcin";
		$admtext['confremmw'] = "Esta seguro que quiere eliminar este item?";
		$admtext['msgsaved'] = "Mensaje guardado";
		//added in 9.1.1
		$admtext['privatetrue'] = "Privado = s";
		$admtext['privatefalse'] = "Privado = no";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "Fecha de Confirmacion LDS";
		$admtext['ldsconfplace'] = "Lugar de Confirmacion LDS";
		$admtext['ldsconfdatetr'] = "Lugar de Confirmacion LDS (Verdadero)";
		$admtext['ldsinitdate'] = "Fecha de Iniciacion LDS";
		$admtext['ldsinitplace'] = "Lugar de Iniciacion LDS";
		$admtext['ldsinitdatetr'] = "Lugar de Iniciacion LDS (Verdadero)";
		$admtext['savecopy'] = "Salvar como copia";
		$admtext['activeonly'] = "Activo solamente";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Por favor, seleccione un archivo para importar.";
		$admtext['importgedcom'] = "Importar GEDCOM (formato 5.5 estndar)";
		$admtext['addreplacedata'] = "Aadir o reemplazar su genealoga (puede tardar varios minutos, dependiendo del tamao del archivo)";
		$admtext['fromyourcomputer'] = "Desde su PC";
		$admtext['importdata'] = "Importar Datos";
		$admtext['setupfirsttime'] = "Configurar el software por primera vez.";
		$admtext['replace'] = "Reemplazar (en rbol seleccionado)";
		$admtext['desttree'] = "Arbol de destino";
		$admtext['selectdesttree'] = "Por favor, seleccione o ingrese un rbol de destino.";
		$admtext['selectexisting'] = "Importar a";
		$admtext['importgedcom2'] = "Importar un archivo GEDCOM";
		$admtext['setupitems'] = "Crear tablas base de datos, establecer preferencias";
		$admtext['custeventitems'] = "Gestionar etiquetas y eventos personalizados";
		$admtext['usersitems'] = "Gestionar usuarios y permisos";
		$admtext['reportsitems'] = "Crear listas y reportes personalizados";
		$admtext['langitems'] = "Gestionar idiomas alternativos";
		$admtext['backupitems'] = "Respaldar, restaurar y optimizar tablas";
		$admtext['ucaselast'] = "Todos los apellidos en maysculas";
		$admtext['norecalc'] = "No re-calcular marcas de individuos vivos";
		$admtext['autooffset'] = "Comenzar IDs con el primer nmero disponible";

		$admtext['mustselecttree'] = "Debe seleccionar un rbol antes de poder utilizar esta opcin.";
		$admtext['importmedia'] = "Importar medio, si existe";
		$admtext['mainmenu'] = "Men Principal";
		$admtext['neweronly'] = "Reemplazar slo si es nuevo";
		$admtext['secondaryitems'] = "Crear archivo GENDEX, Seguir lneas de descendencia";
		$admtext['onwebserver'] = "Desde el sitio web (en la carpeta GEDCOM)";
		$admtext['eventsonly'] = "Importar Slo Tipo de Eventos Personalizados (sin datos aadidos, reemplazados o adjuntos)";
		$admtext['imphints'] = "Consejos: Todos los Datos Actuales significa todas las personas, familias, fuentes y notas (los medios asociados no se pierden siempre que los ID permanezcan iguales). Las coincidencias se basan siempre slo en los ID. Los registros nuevos son siempre aadidos. Adjuntar importa todos los registros con nuevo ID.";
		$admtext['allevents'] = "Aceptar datos para todo nuevo Tipo de Evento personalizado";
		$admtext['destbranch'] = "Rama de Destino (opcional)";
		$admtext['inframe'] = "(en cuadro)";
		$admtext['getstart'] = "Comenzando";
		$admtext['importlatlong'] = "Importar datos de Latitud / longitud si existe";
		$admtext['opening'] = "Abriendo";
		$admtext['reopen'] = "Reabriendo";
		$admtext['uploading'] = "Cargando";
		$admtext['stop'] = "Detener";
		$admtext['stopped'] = "Importacin interrumpida";
		$admtext['resume'] = "Clic aqu para reanudar";
		//changed in 8.0.0
		$admtext['showlog'] = "Registro de cambios";
		//added in 8.0.0
		$admtext['mmgritems'] = "Configurar 3ra parte complementos";
		//added in 9.0.0
		$admtext['oldimport'] = "Importar al viejo estilo (sin barra de progreso)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Notas, Novedades, Ms Buscado";
		//added in 11.0.0
		$admtext['tasks'] = "Tareas Importantes";
		$admtext['task_revusers'] = "Revisar registro nuevos usuarios";
		$admtext['task_tree'] = "Cree su primer arbol";
		$admtext['task_user'] = "Cree una cuenta de usuario para Usted";
		$admtext['task_people'] = "Agregar personas";
		$admtext['task_families'] = "Agregar familias";
		$admtext['task_revind'] = "Revise cambios propuestos a eventos individuales";
		$admtext['task_revfam'] = "Revise cambios propuestos a eventos familiares";
		$admtext['task_backup'] = "Haga copia de seguridad de los datos";
		$admtext['nobackups'] = "No existe copia de seguridad";
		$admtext['lastbackup'] = "Ultima copia de seguridad tiene xxx dias";
		$admtext['dna_blurb'] = "Entre pruebas de ADN y vinculelas a las personas";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Cambios en fuente";
		$admtext['modifysource'] = "Editar Fuente Existente";
		$admtext['selectsrcaction'] = "Seleccionar Fuente y Accin";
		$admtext['shorttitle'] = "Ttulo Abreviado";
		$admtext['longtitle'] = "Ttulo Completo";
		$admtext['author'] = "Autor";
		$admtext['callnumber'] = "Nmero Referencia";
		$admtext['publisher'] = "Editor/a";
		$admtext['actualtext'] = "Texto Real";
		$admtext['confdeletesrc'] = "Est seguro que quiere eliminar esta fuente?";
		$admtext['selectshorttitle'] = "Por favor, seleccione o ingrese un ttulo breve para este tipo de evento.";
		$admtext['existingsourceinfo'] = "Informacin Existente para Fuente";
		$admtext['newsourceinfo'] = "Informacin de Nueva Fuente";
		$admtext['addnewsource'] = "Aadir Nueva Fuente";
		$admtext['prefixsourceid'] = "Por favor, anteponer prefijo al ID de fuente con \"S\" para \"Source (Fuente)\"";
		$admtext['entersourceid'] = "Por favor, ingrese un ID de fuente.";
		$admtext['validsourceid'] = "Por favor, ingrese un ID de fuente vlido. Un ID vlido es una cadena numrica con el prefijo 'S'.";
		$admtext['createsource'] = "Crear registro para una nueva fuente";
		$admtext['editexistingsource'] = "Editar informacin de una fuente previamente aadida";
		$admtext['addnewcite'] = "Aadir Nueva Cita";
		$admtext['reliability'] = "Confiabilidad";
		$admtext['relyexplain'] = "El nmero ms alto indica mayor confiabilidad.";
		$admtext['citedate'] = "Fecha de Cita";
		$admtext['modifycite'] = "Editar Cita Existente";
		$admtext['addingcite'] = "Aadiendo Cita...";
		$admtext['deletingcite'] = "Eliminando Cita...";
		$admtext['updatingcite'] = "Actualizando Cita...";
		$admtext['citation'] = "Citacin";
		$admtext['sevslater'] = "Nota: Se puede aadir eventos adicionales despus de guardar la nueva fuente.";
		$admtext['pleasesourcepart'] = "Por favor, ingrese parte del ttulo de la fuente.";
		$admtext['addnewrepo'] = "Aadir Nuevo Repositorio";
		$admtext['modifyrepo'] = "Editar Repositorio Existente";
		$admtext['createrepo'] = "Crear registro para un nuevo repositorio";
		$admtext['editexistingrepo'] = "Editar informacin para un Repositorio previamente aadido";
		$admtext['enterrepoid'] = "Por favor, ingrese el ID del Repositorio.";
		$admtext['enterreponame'] = "Por favor, ingrese el nombre del Repositorio.";
		$admtext['newrepoinfo'] = "Informacin del Nuevo Repositorio";
		$admtext['prefixrepoid'] = "Por favor, anteponer prefijo al ID de Repositorio con \"REPO\" para \"Repositorio\"";
		$admtext['selectrepoaction'] = "Seleccione Repositorio y Accin";
		$admtext['confdeleterepo'] = "Est seguro que quiere eliminar este Repositorio?";
		$admtext['changestorepo'] = "Cambios en repositorio";
		$admtext['existingrepoinfo'] = "Informacin Existente para Repositorio";
		$admtext['pleaserepopart'] = "Por favor, ingrese parte del ttulo del repositorio.";
		$admtext['choosemergesources'] = "Elegir fuentes para fusionar o encontrar posibles coincidencias";
		$admtext['confirmmergesources'] = "Usted est seguro que quiere fusionar estas dos fuentes?";
		$admtext['choosemergerepos'] = "Elegir Repositorios para fusionar o encontrar posibles coincidencias";
		$admtext['confirmmergerepos'] = "Usted est seguro que quiere fusionar estos dos Repositorios?";
		$admtext['revslater'] = "Nota: Eventos y notas adicionales se pueden agregar luego de que el nuevo Repositorio sea guardado.";
		$admtext['confdeleterepo'] = "Est seguro que quiere eliminar este Repositorio?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Comprobar Nuevo ID";
		$admtext['idnotvalid'] = "no es un ID vlido. Un ID vlido es una cadena numrica con el prefijo";
		$admtext['idinuse'] = "est en uso. Por favor, elija un ID diferente";
		$admtext['idok'] = "est OK para usar";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Nmero de Plantilla";
		$admtext['mainimage'] = "Imagen principal (pagina inicio)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Ttulo de imagen (pagina inicio)"; //1, 2, 3
		$admtext['headline'] = "Encabezamiento"; //4, 7
		$admtext['mainpara'] = "Prrafo de Bienvenida";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Imagen de cabecera (incluyendo ttulo)"; //1
		$admtext['pedperson'] = "ID Linaje de persona"; //2
		$admtext['pedtree'] = "ID Linaje de rbol"; //2
		$admtext['phhistperson'] = "ID Fotos &amp; Historias de persona"; //2
		$admtext['phhisttree'] = "ID Fotos &amp; Historias de rbol"; //2
		$admtext['headimg'] = "Imagen de cabecera"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Ttulo imagen de cabecera"; //2, 3
		$admtext['titleimg'] = "Ttulo imagen (todas las pginas)"; //4, 7
		$admtext['searchpara'] = "Buscar prrafo"; //6
		$admtext['fhpara'] = "Prrafo Historias de Familia"; //6
		$admtext['fhlinkshis'] = "Enlaces Historias de Familia (de l)"; //6
		$admtext['fhlinkshers'] = "Enlaces Historias de Familia (de ellos)"; //6
		$admtext['mwpara'] = "Prrafo de Ms Buscado"; //6
		$admtext['respara'] = "Prrafo de Recursos"; //6
		$admtext['reslinks'] = "Enlaces de Recursos"; //6
		$admtext['headtitle1'] = "Ttulo cabecera, parte 1"; //8
		$admtext['headtitle2'] = "Ttulo cabecera, parte 2"; //8
		$admtext['headtitle3'] = "Ttulo cabecera, parte 3"; //8
		$admtext['headsubtitle'] = "Subttulo de encabezado"; //8
		$admtext['latestnews'] = "Ultimas novedades"; //8
		$admtext['momside'] = "Etiqueta del Lado de la Madre"; //8
		$admtext['dadside'] = "Etiqueta del Lado del Padre"; //8
		$admtext['momperson'] = "ID persona del Lado de la Madre"; //8
		$admtext['momtree'] = "ID rbol del Lado de la Madre"; //8
		$admtext['dadperson'] = "ID persona del Lado del Padre"; //8
		$admtext['dadtree'] = "ID rbol del Lado del Padre"; //8
		$admtext['featurethumb1'] = "Caracterstica 1 miniatura"; //4
		$admtext['featurelink1'] = "Caracterstica 1 enlace"; //4
		$admtext['featuretitle1'] = "Caracterstica 1 ttulo"; //4
		$admtext['featurepara1'] = "Caracterstica 1 prrafo"; //4
		$admtext['featurethumb2'] = "Caracterstica 2 miniatura"; //4
		$admtext['featurelink2'] = "Caracterstica 2 enlace"; //4
		$admtext['featuretitle2'] = "Caracterstica 2 ttulo"; //4
		$admtext['featurepara2'] = "Caracterstica 2 prrafo"; //4
		$admtext['featurethumb3'] = "Caracterstica 3 miniatura"; //4
		$admtext['featurelink3'] = "Caracterstica 3 enlace"; //4
		$admtext['featuretitle3'] = "Caracterstica 3 ttulo"; //4
		$admtext['featurepara3'] = "Caracterstica 3 prrafo"; //4
		$admtext['featurethumb4'] = "Caracterstica 4 miniatura"; //4
		$admtext['featurelink4'] = "Caracterstica 4 enlace"; //4
		$admtext['featuretitle4'] = "Caracterstica 4 ttulo"; //4
		$admtext['featurepara4'] = "Caracterstica 4 prrafo"; //4
		$admtext['photocaption'] = "Leyenda principal de la imagen"; //4
		$admtext['maintitle'] = "Ttulo principal"; //5
		$admtext['hisside'] = "Etiqueta Lado de l"; //5
		$admtext['herside'] = "Etiqueta Lado de ella"; //5
		$admtext['newstext'] = "Texto de Noticias"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Habilitar la seleccin de plantillas";
		//added in 9.0.0
		$admtext['template'] = "Plantilla";
		$admtext['createcopy'] = "Crear copia en";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Enlaces a caractersticas"; //9, 10
		$admtext['featurepara'] = "Prrafo de Caractersticas"; //9, 10
		$admtext['welcome'] = "Encabezado de bienvenida"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mom's Side names"; //8
		$admtext['dadsidenames'] = "Dad's Side names"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Caractersticas de prrafo";
		$admtext['menutitle'] = "Ttulo del Men";
		$admtext['titlechoice'] = "Opcin de Ttulo";
		$admtext['photol'] = "Imagen izquierda";
		$admtext['phototitlel'] = "Ttulo imagen izquierda";
		$admtext['photocaptionl'] = "Etiqueta imagen izquierda";
		$admtext['photor'] = "Imagen derecha";
		$admtext['phototitler'] = "Ttulo imagen derecha";
		$admtext['photocaptionr'] = "Etiqueta imagen derecha";
		$admtext['topsurnames'] = "Etiqueta apellidos arriba";
		$admtext['headimg2'] = "Cabecera de imagen 2"; //14
		$admtext['headimg3'] = "Cabecera de imagen 3"; //14
		$admtext['showprev'] = "Mostrar Previas";
		$admtext['hideprev'] = "Ocultar Previas";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Caracteristica de la miniatura 5"; //15
		$admtext['featurelink5'] = "Caracteristica del enlace 5"; //15
		$admtext['featuretitle5'] = "Caracteristica del titulo 5"; //15
		$admtext['featurepara5'] = "Caracteristica del paragrafo 5"; //15
		$admtext['featurethumb6'] = "Caracteristica de la miniatura 6"; //15
		$admtext['featurelink6'] = "Caracteristica del enlace 6"; //15
		$admtext['featuretitle6'] = "Caracteristica del titulo 6"; //15
		$admtext['featurepara6'] = "Caracteristica del paragrafo 6"; //15
		$admtext['featurethumb7'] = "Caracteristica de la miniatura 7"; //15
		$admtext['featurelink7'] = "Caracteristica del enlace 7"; //15
		$admtext['featurepara7'] = "Caracteristica del paragrafo 7"; //15
		$admtext['featurethumb8'] = "Caracteristica del la minitura 8"; //15
		$admtext['featurelink8'] = "Caracteristica del enlace 8"; //15
		$admtext['featurepara8'] = "Caracteristica del paragrafo 8"; //15
		$admtext['sidebarhead1'] = "Encabezado 1"; //15
		$admtext['sidebarhead2'] = "Encabezado 2"; //15
		$admtext['sidebarhead3'] = "Encabezado 3"; //15
		$admtext['texttitle1'] = "Titulo del texto 1"; //15
		$admtext['textlink1'] = "Enlace del texto 1"; //15
		$admtext['textpara1'] = "Paragrafo de texto 1"; //15
		$admtext['texttitle2'] = "Titulo del texto 2"; //15
		$admtext['textlink2'] = "Enlace del texto 2"; //15
		$admtext['textpara2'] = "Paragrafo del texto 2"; //15
		$admtext['texttitle3'] = "Titulo del texto 3"; //15
		$admtext['textpara3'] = "paragrafo del texto 3"; //15
		$admtext['subhead1'] = "Subtitulo 1"; //15
		$admtext['subhead2'] = "Subtitulo 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tablas creadas con xito.";
		$admtext['backtosetup'] = "Volver al men de configuracin";
		$admtext['configuration'] = "Configuracin";
		$admtext['entersysvars'] = "Establecer valores para variables del sistema";
		$admtext['createdbtables'] = "Crear tablas de base de datos para almacenar su informacin.";
		$admtext['tcwarning'] = "<strong>Cuidado!</strong> Seleccione esta opcin slo si est configurando su sitio por primera vez. <strong>Todos los datos existentes, incluidas fotos, historias, lpidas e informacin de cementerios se van a borrar</strong>";
		$admtext['conftabledelete'] = "Esto borrar TODOS los datos existentes! Est seguro que quiere continuar?";
		$admtext['performdatamaint'] = "Realizar mantenimiento y gestin de fotos, historias y otros componentes.";
		$admtext['createtables'] = "Crear Tablas";
		$admtext['configsettings'] = "Configuracin General";
		$admtext['logconfigsettings'] = "Configuracin de Log";
		$admtext['importconfigsettings'] = "Configuracin de Importacin";
		$admtext['diagnostics'] = "Diagnsticos";
		$admtext['rundiags'] = "Ejecutar Diagnsticos";
		$admtext['phpinf'] = "Pantalla info PHP";
		$admtext['fromphp'] = "Esta informacin ha sido producida por su servidor y est relacionada con su instalacin de PHP. No ha sido producida por TNG.";
		$admtext['phpver'] = "Versin PHP";
		$admtext['phpreq'] = "(TNG requiere la versin 5.3 o superior.)";
		$admtext['gdlib'] = "Biblioteca de grficos GD";
		$admtext['gdreq'] = "(Requerida para que TNG pueda crear las miniaturas.)";
		$admtext['availnogif'] = "Disponible, pero no soporta imgenes .gif";
		$admtext['notinst'] = "No Instalado";
		$admtext['safemode'] = "Modo Seguro";
		$admtext['off'] = "Desactivado";
		$admtext['on'] = "Activado";
		$admtext['fileuploads'] = "Subir archivos";
		$admtext['fureq'] = "(Requerido para subir archivos GEDCOM al servidor via web, subir imgenes y otras funciones.)";
		$admtext['perm'] = "Permitido";
		$admtext['notperm'] = "No permitido, use FTP en su lugar";
		$admtext['sqlver'] = "Versin MySQL";
		$admtext['sqlreq'] = "(TNG requiere la versin 5.5 o superior.)";
		$admtext['wsrvr'] = "Servidor web";
		$admtext['fperms'] = "Permisos de archivos/carpetas";
		$admtext['fpreq'] = "(TNG requiere que algunos archivos y carpetas tengan permisos especiales.)";
		$admtext['scruser'] = "El script se ejecuta como usuario:";
		$admtext['phpuser'] = "PHP reporta como usuario:";
		$admtext['usrprob'] = "Es posible que no tenga el nivel necesario de acceso a los archivos para que TNG funcione sin problemas en caso de utilizar FTP y las funciones administrativas de TNG simultneamente.";
		$admtext['rofile'] = "El archivo es de slo lectura:";
		$admtext['rofolder'] = "La carpeta es de slo lectura:";
		$admtext['publog'] = "Log Pblico";
		$admtext['admlog'] = "Log Admin";
		$admtext['folderdne'] = "La carpeta no existe:";
		$admtext['keyrw'] = "Las carpetas clave son todas de lectura/escritura";
		$admtext['cfgrw'] = "Los archivos de configuracin son todos de lectura/escritura";
		$admtext['acceptable'] = "Aceptable.";
		$admtext['restricted'] = "Algunas funciones pueden estar restringidas. Es posible que se produzcan errores durante la instalacin o en el funcionamiento de TNG.";
		$admtext['needchngs'] = "Puede que TNG no funcione sin hacer cambios en la configuracin de su PHP o en la del servidor.";
		$admtext['yourbrowser'] = "Su navegador:";
		$admtext['modifysettings'] = "Modificar opciones de configuracin";
		$admtext['dbhost'] = "Host base de datos";
		$admtext['dbname'] = "Nombre base de datos";
		$admtext['dbusername'] = "Nombre Usuario base de datos";
		$admtext['dbpassword'] = "Contrasea base de datos";
		$admtext['rootpath'] = "Ruta raz";
		$admtext['homepage'] = "Pgina inicio";
		$admtext['emailaddress'] = "Direccin E-mail";
		$admtext['siteowner'] = "Propietario del sitio";
		$admtext['maxdescgens'] = "Nro. Mximo de Generaciones Descendientes";
		$admtext['disallow'] = "No permitir";
		$admtext['defaultallowed'] = "Por Defecto: Permitido";
		$admtext['maxsearchresults'] = "Nro. Mximo de Resultados en Bsqueda";
		$admtext['targetframe'] = "Marco de Destino";
		$admtext['table'] = "Tabla";
		$admtext['lastbackup'] = "ltimo Respaldo";
		$admtext['backup'] = "Copia de Respaldo";
		$admtext['restore'] = "Restaurar";
		$admtext['backupfilesize'] = "Tamao Archivo";
		$admtext['succbackedup'] = "respaldo exitoso";
		$admtext['succrestored'] = "restauracin exitosa";
		$admtext['change_cutoff'] = "'Novedades' Das";
		$admtext['change_limit'] = "'Novedades' Lmite";
		$admtext['photosext'] = "Extensin de Fotos";
		$admtext['defaulttree'] = "Arbol Por Defecto";
		$admtext['requirelogin'] = "Requerir Autenticacin";
		$admtext['defaultdontrequire'] = "Por Defecto: No requerir";
		$admtext['ldsdefault'] = "Mostrar Datos LDS";
		$admtext['ldson'] = "Siempre";
		$admtext['ldsoff'] = "Nunca";
		$admtext['ldspermit'] = "Dependiendo de los derechos del usuario";
		$admtext['allow'] = "Permitir";
		$admtext['chooselang'] = "Cambio Dinmico de Idioma";
		$admtext['optimize'] = "Optimizar";
		$admtext['succoptimized'] = "optimizacin exitosa";
		$admtext['customheader'] = "Encabezado Personalizado";
		$admtext['customfooter'] = "Pie Personalizado";
		$admtext['custommeta'] = "Meta personalizados";
		$admtext['lineending'] = "Final de lnea";
		$admtext['backuppath'] = "Carpeta de Respaldos";
		$admtext['photopath'] = "Carpeta de Fotos";
		$admtext['headstonepath'] = "Carpeta de Lpidas";
		$admtext['historypath'] = "Carpeta de Historias";
		$admtext['backuprestoretables'] = "Respaldar, restaurar y optimizar tablas";
		$admtext['shownames'] = "Mostrar nombres de personas vivas";
		$admtext['initials'] = "Abreviar nombre";
		$admtext['regformat'] = "Formato Registro";
		$admtext['stdformat'] = "Formato Estndar";
		$admtext['thumbprefix'] = "Prefijo Miniaturas";
		$admtext['thumbmaxh'] = "Altura Mxima Miniaturas";
		$admtext['thumbmaxw'] = "Ancho Mximo Miniaturas";
		$admtext['thumbsuffix'] = "Sufijo Miniaturas";
		$admtext['showextended'] = "Mostrar Info Extensin de Fotos";
		$admtext['shownotes'] = "Mostrar Notas";
		$admtext['notestogether'] = "Debajo del evento correspondiente, cuando sea posible";
		$admtext['notestogether2'] = "Eventos de abajo, excepto notas generales";
		$admtext['notesapart'] = "En seccin Notas";
		$admtext['lnprefixes'] = "Prefijos de Apellidos (por ej., van, de)";
		$admtext['lntogether'] = "Mantener como parte del apellido normal";
		$admtext['lnapart'] = "Tratar como entidad separada";
		$admtext['detectpfx'] = "Detectar Prefijo al Importar";
		$admtext['lnpfxnum'] = "Nro. prefijos cada  (max)";
		$admtext['specpfx'] = "= Estos prefijos especficos";
		$admtext['newmedialinks'] = "Nuevos enlaces para Fotos/Historias";
		$admtext['maxgedcom'] = "Mximo de Generaciones en descargas GEDCOM";
		$admtext['placestable'] = "Tabla Lugares";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "URL Genealoga";
		$admtext['charset'] = "Juego de caracteres";
		$admtext['time_offset'] = "Correccin horaria del servidor (horas)";
		$admtext['backupall'] = "Respaldo de elementos seleccionados";
		$admtext['optimizeall'] = "Optimizar elementos seleccionados";
		$admtext['alltables'] = "Tablas seleccionadas";
		$admtext['brinstructions'] = "Para respaldar, restaurar u optimizar una tabla, haga Clic en el icono de la accin apropiada para esa tabla, o seleccione mltiples tablas y aplique tal accin en 'Con lo seleccionado' y luego haga Clic en Ir.";
		$admtext['tabstyle'] = "Hoja de estilo para Etiquetas";
		$admtext['iconloc'] = "Ubicacin del Men";
		$admtext['topleft'] = "Superior izquierda, arriba del ttulo";
		$admtext['topright'] = "Superior derecha, al lado del ttulo";
		$admtext['indstart'] = "Individuos comienzan con";
		$admtext['persinfo'] = "Slo Informacin personal";
		$admtext['allinfo'] = "Toda la Informacin";
		$admtext['thumbcols'] = "Vista de Miniaturas en Columnas";
		$admtext['stdesc'] = "Inicio Descendencia";
		$admtext['stexpand'] = "Expandido";
		$admtext['stcollapse'] = "Contraido";
		$admtext['regnosp'] = "Registro de Generaciones";
		$admtext['chshow'] = "Siempre mostrar todos";
		$admtext['chifsp'] = "Quitar individuos sin familia";
		$admtext['restoreall'] = "Restaurar Seleccionados";
		$admtext['surerestore'] = "Est seguro que quiere restaurar las tablas seleccionadas?";
		$admtext['surerestorets'] = "Est seguro que quiere restaurar la estructura de la tabla? Todos los datos existentes se perdern!";
		$admtext['backupstruct'] = "Respaldar Estructura de Tabla";
		$admtext['tablestruct'] = "Estructura de tabla";
		$admtext['brinstructions2'] = "Para respaldar o restaurar la estructura de la tabla, haga Clic en el icono de la accin apropiada ms abajo. ATENCIN: Al restaurar la estructura de la tabla se eliminarn todos los datos existentes!";
		$admtext['livedefault'] = "Mostrar datos de personas vivas";
		$admtext['nodisplay'] = "No mostrar";
		$admtext['menudisp'] = "Mostrar men";
		$admtext['asicons'] = "Como iconos";
		$admtext['asdrop'] = "Como lista desplegable";
		$admtext['gendex'] = "Carpeta GENDEX";
		$admtext['modifypedsettings'] = "Modificar ajustes de configuracin de rboles";
		$admtext['leftindent'] = "Sangra Izquierda";
		$admtext['boxnamesize'] = "Tamao Box del Nombre";
		$admtext['namesizeshift'] = "Variacin Tamao de nombre";
		$admtext['boxdatessize'] = "Tamao Box de Fechas";
		$admtext['datessizeshift'] = "Variacin Tamao de Fechas";
		$admtext['boxcolor'] = "Color del Box";
		$admtext['colorshift'] = "Variacin de Color (%)";
		$admtext['emptycolor'] = "Color Vacos";
		$admtext['bordercolor'] = "Color de Bordes";
		$admtext['shadowcolor'] = "Color de Sombra";
		$admtext['boxwidth'] = "Ancho del Box (s/ popups)";
		$admtext['boxheight'] = "Altura del Box (s/ popups)";
		$admtext['boxalign'] = "Alineacin del Box (s/ popups)";
		$admtext['boxheightshift'] = "Variacin Altura del Box (s/ popups)";
		$admtext['boxHsep'] = "Separacin Horizontal del Box";
		$admtext['boxVsep'] = "Separacin Vertical del Box";
		$admtext['shadowoffset'] = "Separacin de Sombra";
		$admtext['linewidth'] = "Ancho de lnea";
		$admtext['borderwidth'] = "Ancho del Borde";
		$admtext['popupcolor'] = "Color Ventana Emergente";
		$admtext['popupinfosize'] = "Tamao Info de Ventana Emergente";
		$admtext['popupinfosizeshift'] = "Variacin Tamao Info de ventana Emergente";
		$admtext['popuptimer'] = "Temporizador de Ventana Emergente (ms)";
		$admtext['pedevent'] = "Evento de Ventana Emergente";
		$admtext['puboxwidth'] = "Ancho del Box (c/popups)";
		$admtext['puboxheight'] = "Altura del Box (c/popups)";
		$admtext['puboxalign'] = "Alineacin del Box (c/popups)";
		$admtext['puboxheightshift'] = "Variacin Altura del Box (c/popups)";
		$admtext['popupspouses'] = "Ventana Emergente de Cnyuges";
		$admtext['popupkids'] = "Ventana Emergente de Hijos";
		$admtext['popupchartlinks'] = "Ventana Emergente Cuadro de Enlaces";
		$admtext['inclphotos'] = "Incluir Fotos";
		$admtext['overflow'] = "Extendido";
		$admtext['pedcompact'] = "Compacto";
		$admtext['pedstandard'] = "Estndar";
		$admtext['pedtextonly'] = "Slo Texto";
		$admtext['relchart'] = "Grfico Parentesco";
		$admtext['maxupgen'] = "Mx. Generaciones en Parentesco";
		$admtext['left'] = "Izquierda";
		$admtext['right'] = "Derecha";
		$admtext['center'] = "Centro";
		$admtext['mouseover'] = "Ratn Arriba";
		$admtext['mousedown'] = "Ratn Abajo";
		$admtext['ahnentafel'] = "Ahnentafel";
		$admtext['pedbox'] = "Caja";
		$admtext['hideempty'] = "Ocultar Box Vacos";
		$admtext['logfilename'] = "Nombre del Archivo Log";
		$admtext['maxloglines'] = "Mx. Lneas del Archivo Log";
		$admtext['modifylogsettings'] = "Modificar Opciones de Configuracin del Archivo Log";
		$admtext['badhosts'] = "Excluir Nombres de Host";
		$admtext['admin'] = "Admin.";
		$admtext['text_public'] = "(Pblico)";
		$admtext['saveimportstate'] = "Guardar Estado de Importacin";
		$admtext['allowresume'] = "Guardar para permitir reanudar si la importacin falla";
		$admtext['modifyimportsettings'] = "Modificar Opciones de Configuracin de Importacin";
		$admtext['embeddedmedia'] = "Medio Incorporado";
		$admtext['assignnames'] = "Permitir a TNG asignar nombres a medios incorporados";
		$admtext['localphotopath'] = "Ruta(s) Local de Fotos";
		$admtext['localdocpath'] = "Ruta(s) Local de Historias";
		$admtext['nopathmatch'] = "Si no coincide la ruta local";
		$admtext['wholepath'] = "Importar ruta completa";
		$admtext['justname'] = "Importar slo nombre de archivo";
		$admtext['gedpath'] = "Carpeta GEDCOM (Importar/Exportar)";
		$admtext['makefolder'] = "Crear Carpeta";
		$admtext['blankchangedt'] = "Si 'Cambiar Fecha' est en blanco";
		$admtext['usetoday'] = "Usar fecha actual";
		$admtext['useblank'] = "Dejar como est";
		$admtext['nobirthdate'] = "Sin fecha de nacimiento, se presume que";
		$admtext['persliving'] = "La persona an vive";
		$admtext['persdead'] = "La persona ha fallecido";
		$admtext['nodeathdate'] = "Sin fecha de muerte, presumir fallecido<br />si es mayor de";
		$admtext['pedconfigsettings'] = "Configuracin de Grficos";
		$admtext['usepopups'] = "Muestra Inicial";
		$admtext['maxpedgens'] = "Mx. de Generaciones";
		$admtext['dbsection'] = "Base de Datos";
		$admtext['tablesection'] = "Nombre de Tablas";
		$admtext['foldersection'] = "Rutas y Carpetas";
		$admtext['sitesection'] = "Diseo del Sitio y Definiciones";
		$admtext['privsection'] = "Privacidad";
		$admtext['namesection'] = "Nombres";
		$admtext['descsection'] = "Descendencia";
		$admtext['miscsection'] = "Miscelneo";
		$admtext['mediatable'] = "Tabla de Medios";
		$admtext['pedanddesc'] = "Elementos Comunes";
		$admtext['descchart'] = "Grfico de Descendencia";
		$admtext['pedchart'] = "Grfico de Linaje";
		$admtext['initgens'] = "Generaciones Inicial";
		$admtext['mediapath'] = "Carpeta de Medios";
		$admtext['documentpath'] = "Carpeta de Documentos";
		$admtext['localdocumentpath'] = "Ruta(s) a Documentos Locales";
		$admtext['localotherpath'] = "Ruta(s) Local a Otros Medios";
		$admtext['imgmaxh'] = "Altura Mx. de Imagen";
		$admtext['imgmaxw'] = "Ancho Mx. de Imagen";
		$admtext['succdel'] = "eliminado con xito";
		$admtext['delbkups'] = "Eliminar Respaldos Seleccionados";
		$admtext['suredelbk'] = "Est seguro que quiere eliminar los Respaldos seleccionados?";
		$admtext['showhome'] = "Mostrar Enlace de Inicio";
		$admtext['showsearch'] = "Mostrar Enlace de Buscar";
		$admtext['showlogin'] = "Mostrar Enlace de Ingresar/Salir";
		$admtext['showprint'] = "Mostrar Enlace de Imprimir";
		$admtext['showbmarks'] = "Mostrar Enlace de Aadir a Favoritos";
		$admtext['server'] = "(servidor)";
		$admtext['client'] = "(cliente)";
		$admtext['sitename'] = "Nombre del Sitio";
		$admtext['site_desc'] = "Descripcin del Sitio";
		$admtext['privnote'] = "Prefijo para notas privadas";
		$admtext['custvars'] = "Nota: Usted puede crear su configuracin personalizada en el archivo \"customconfig.php\" (abra el mismo en un editor de texto y siga las instrucciones).";
		$admtext['blockemail'] = "Bloquear sugerencias o registro de nuevos usuarios donde";
		$admtext['addrcontains'] = "Las direcciones contienen";
		$admtext['msgcontains'] = "Los mensajes contienen";
		$admtext['reqloginset'] = "\"Requerir Autenticacin\" debe ser puesto a S para habilitar esta opcin";
		$admtext['treerestrict'] = "Restringir acceso al rbol asignado";
		$admtext['mapconfigsettings'] = "Configuracin del Mapa";
		$admtext['modifymapsettings'] = "Modificar la Configuracin del Mapa";
		$admtext['maptype'] = "Tipo de Mapa";
		$admtext['maphybrid'] = "Hbrido";
		$admtext['mapsatellite'] = "Satelital";
		$admtext['mapdimsind'] = "Dimensiones, Pgina Individuos";
		$admtext['mapdimshst'] = "Dimensiones, Pgina Lpidas";
		$admtext['mapdimsadm'] = "Dimensiones, Pgina Admin";
		$admtext['mapwidth'] = "Ancho (% o px)";
		$admtext['mapheight'] = "Altura (px)";
		$admtext['mapstlat'] = "Latitud Inicial";
		$admtext['mapstlong'] = "Longitud Inicial";
		$admtext['startoff'] = "Ocultar Mapas en Admin al Iniciar";
		$admtext['conslpins'] = "Fusionar Alfileres Duplicados";
		$admtext['ssenabled'] = "Habilitar Muestra en Diapositivas ";
		$admtext['ssrepeat'] = "Autorrepetir Muestra en Diapositivas";
		$admtext['sysinfo'] = "Informacin del entorno de su sitio web.";
		$admtext['albumlinkstable'] = "Album de Medios";
		$admtext['addresstable'] = "Direcciones";
		$admtext['statestable'] = "Estados/Provincias";
		$admtext['countriestable'] = "Pases";
		$admtext['notelinkstable'] = "Enlaces de notas";
		$admtext['medialinkstable'] = "Enlaces de Medios";
		$admtext['saveimporttable'] = "Guardar Importacin";
		$admtext['brlinkstable'] = "Enlaces de Rama";
		$admtext['temptable'] = "Eventos Temporales";
		$admtext['tleventstable'] = "Eventos Cronolgicos";
		$admtext['album2entitiestable'] = "Enlaces de Album";
		$admtext['doctype'] = "Declaracin Doctype";
		$admtext['cemrows'] = "Max. Lneas por columna (aprx.)";
		$admtext['cemblanks'] = "Suprimir categoras \"Desconocido\"";
		$admtext['success'] = "Exito";
		$admtext['fexists'] = "Fall. La Carpeta ya existe.";
		$admtext['fmanual'] = "Fall. Por favor, crearla utilizando un programa FTP o administrador de archivos en lnea.";
		$admtext['maintmode'] = "Modo Mantenimiento";
		$admtext['maintexp'] = "Todo acceso a la base de datos no est disponible temporalmente debido al mantenimiento del sitio web. Por favor, intente ms tarde. Si el funcionamiento normal no se restablece en pocas horas, luego de ver este mensaje por primera vez, por favor contacte con el Administrador.";
		$admtext['defimpopt'] = "Reemplazar Opcin Por Defecto";
		$admtext['seltable'] = "Por favor, elija al menos una tabla.";
		$admtext['renumber'] = "Ordenar los ID";
		$admtext['idtype'] = "Tipo de ID";
		$admtext['mindigits'] = "Mnimo de Dgitos";
		$admtext['niprefix'] = "No incluir prefijo ID";
		$admtext['finreseq'] = "Terminando ordenacin";
		$admtext['recsreseq'] = "registros ordenados";
		$admtext['needmaint'] = "Usted debe estar en Modo Mantenimiento para ejecutar esta utilidad (ir a Configurar &gt;&gt; Configuracin &gt;&gt; Configuracin General)";
		$admtext['reseqwarn'] = "<strong>ATENCIN:</strong> Ordenar los ID puede provocar que enlaces externos a su sitio web aparezcan rotos o apuntando a lugares equivocados.";
		$admtext['subroot'] = "Ruta Config";
		$admtext['hidechr'] = "Ocultar Etiquetas de Bautismo";
		$admtext['datefmt'] = "Preferencia Numrica para Fechas";
		$admtext['dayfirst'] = "Da/Mes/Ao";
		$admtext['monthfirst'] = "Mes/Da/Ao";
		$admtext['exusers'] = "Excluir Nombre de Usuarios";
		$admtext['allowreg'] = "Permitir Registro de Nuevos Usuarios";
		$admtext['localhspath'] = "Ruta(s) Local de Lpidas";
		$admtext['pardata'] = "Datos de Padres en pgina de la persona:";
		$admtext['pnoevents'] = "No mostrar ningn evento";
		$admtext['pstdonly'] = "Mostrar slo eventos familiares estndar";
		$admtext['palldata'] = "Mostrar todos los eventos y medios";
		$admtext['servertime'] = "La hora del servidor es";
		$admtext['sitetime'] = "y la hora del sitio web es";
		$admtext['srexpl'] = "Opcional. Use un nombre de ruta absoluto, como lo que ve en la Ruta Raz, luego mueva los siguientes archivos a la Ruta Config e <strong>inmediatamente</strong> despus de guardar, hgalos escribibles (permisos 664): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Zum Inicial";
		$admtext['mapfoundzm'] = "Ubicacin del Zum";
		$admtext['rrnum'] = "Nmero de Registros Informados";
		$admtext['progint'] = "Intervalo de Progreso (ms)";
		$admtext['timechart'] = "Grfico de Cronologa";
		$admtext['tcheight'] = "Altura del grfico";
		$admtext['distances'] = "Todos las distancias medidas en pxeles.";
		$admtext['mpixels'] = "Pxeles entre meses";
		$admtext['ypixels'] = "Pxeles entre aos";
		$admtext['ymult'] = "Aos entre marcadores de aos";
		$admtext['mpct'] = "Porcentaje vertical para meses";
		$admtext['ypct'] = "Porcentaje vertical para aos";
		$admtext['inclevs'] = "Eventos para incluir";
		$admtext['allevs'] = "Todos los eventos";
		$admtext['rangeevs'] = "Slo eventos que caen dentro del perodo de vida de las personas en el grfico";
		$admtext['tcwidth'] = "Ancho inicial del grfico";
		$admtext['simile'] = "Permitir Smil cronologa";
		//added in 8.0.0
		$admtext['pstartoff'] = "Ocultar Mapas Pblicos al Iniciar";
		$admtext['maxrels'] = "Max. de Parentescos";
		$admtext['initrels'] = "Parentesco Inicial";
		$admtext['templateconfigsettings'] = "Configuracin de plantillas";
		$admtext['modifytemplatesettings'] = "Modificar ajustes Configuracin de Plantilla";
		$admtext['ucsurnames'] = "Todos los Apellidos en Maysculas";
		$admtext['maxnoteprev'] = "Mx. caracteres en notas de lista";
		$admtext['mailreg'] = "Correo y Registro";
		$admtext['autoapp'] = "Auto aprobar nuevos usuarios";
		$admtext['inclpwd'] = "Incluir contrasea en E-mail de Bienvenida";
		$admtext['ackemail'] = "Enviar E-mail de confirmacin";
		$admtext['fromadmin'] = "Enviar todo el correo desde la direccion de arriba";
		$admtext['autotree'] = "Crear nuevo rbol para usuario";
		$admtext['modspath'] = "Carpeta de Mods";
		$admtext['extspath'] = "Carpeta de Extensiones";
		$admtext['encrtype'] = "Tipo de Encriptacin";
		$admtext['none'] = "No encriptar";
		$admtext['imgviewer'] = "Activar visor de imgenes";
		$admtext['docsonly'] = "Slo documentos";
		$admtext['imgvheight'] = "Altura visor de imgenes";
		$admtext['flex'] = "Siempre mostrar imagen completa";
		$admtext['setheight'] = "Fijo (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Asignar Lugar de registros a rboles";
		$admtext['convert'] = "Convertir";
		$admtext['convexpl'] = "(Esto va a asignar todos los actuales lugares al rbol seleccionado)";
		$admtext['mergeexpl'] = "(Esto va a quitar la asignacin del rbol de todos los Lugar de registros)";
        $admtext['nocutoff'] = "Dejar en blanco o poner a cero para quitar este lmite";
        $admtext['usesmtp'] = "Usar autenticacin SMTP";
        $admtext['mailhost'] = "Nombre de servidor SMTP";
        $admtext['mailuser'] = "Usuario de Mail";
        $admtext['mailpass'] = "Contrasea de Mail";
        $admtext['mailport'] = "Nmero de Puerta";
		$admtext['showshare'] = "Mostrar Enlace Compartido";
		$admtext['defpgsize'] = "Tamao por Defecto de Pgina PDF";
		$admtext['mapterrain'] = "Terreno";
		$admtext['maproadmap'] = "Mapa de Rutas";
		$admtext['usedefthumbs'] = "Usar miniaturas por defecto";
        $admtext['autogeo'] = "Poner Geocode a todo nuevo lugar";
        $admtext['revmail'] = "Notificar sobre presentaciones para revisar";
        $admtext['assumepriv'] = "Asumir que es privado si no ha muerto en tantos aos";
        $admtext['calstart'] = "Primer da de la semana";
		$admtext['edit_timeout'] = "Plazo para la edicin (minutos)";
		$admtext['shownamespr'] = "Mostrar Nombres para Privado";
		$admtext['tables'] = "Tablas";
		//changed in 10.0.0
		$admtext['regnotes'] = "Mostrar Notas y Eventos personalizados del Registro";
		//added in 10.0.0
		$admtext['collation'] = "Cotejar";
		$admtext['collationexpl'] = "(deje en blanco para aceptar por defecto)";
		$admtext['scrollcite'] = "Desplazamiento de citas";
		$admtext['hidemedia'] = "Ocultar reproductor";
		$admtext['searchchoice'] = "Destino Enlace de Bsqueda";
		$admtext['quicksearch'] = "Bsqueda rpida";
		$admtext['advsearch'] = "Bsqueda Avanzada";
		$admtext['pedvertical'] = "Vertical";
		$admtext['vboxwidth'] = "Ancho del Box";
		$admtext['vboxheight'] = "Altura del Box";
		$admtext['vspacing'] = "Espaciado";
		$admtext['vchart'] = "Cuadro Vertical";
		//added in 10.1.0
		$admtext['reuseids'] = "Reutilizar ID eliminados";
		$admtext['lastimport'] = "Mostrar ltima importacin";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Puerto de la Base de Datos";
		$admtext['dbsocket'] = "Socket de la Base de Datos";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefijos y Subfijos";
		$admtext['personprefix'] = "Prefijo de la Persona";
		$admtext['personsuffix'] = "Subfijo de la Persona";
		$admtext['familyprefix'] = "Prefijo de la Familia";
		$admtext['familysuffix'] = "Subfijo de la Familia";
		$admtext['sourceprefix'] = "Prefijo de la Fuente";
		$admtext['sourcesuffix'] = "Subfijo de la Fuente";
		$admtext['repoprefix'] = "Repository prefix";
		$admtext['reposuffix'] = "Repository suffix";
		$admtext['noteprefix'] = "prefijo de la Nota";
		$admtext['notesuffix'] = "subfijo de la Nota";
		$admtext['mobilesection'] = "Mobil";
		$admtext['mobilesite'] = "El nombre del sitio Mobil sera";
		$admtext['menubar'] = "en la barra del menu Mobil";
		$admtext['belowbar'] = "debajo de la barra del menu Mobil";
		$admtext['responsivetables'] = "Activar tablas de respuesta";
		$admtext['tabletype'] = "Tipos de tablas de respuesta";
		$admtext['enablemodeswitch'] = "Activar modo conmutado de tabla de respuesta";
		$admtext['enableminimap'] = "Activar mini mapa de tabla de respuesta";
		$admtext['showtasks'] = "Muestre mensajes de 'tareas importantes'";
		$admtext['showtotals'] = "Mostrar registros totales en menu de Administracion";
		$admtext['backupdays'] = "Alertar si no hay copia de respaldo en muchos dias";
		$admtext['backupnote'] = "NOTA: si si base de datos es muy grande, Usted puede usar una herramienta independiente (como mysqldumper o phpMyAdmin) para hacer la popia de respaldo o restaurar sus tablas. Por lo menos una de ellas debe estar disponible en el panel de control de su sitio.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Hide all DNA pages and data";
        $admtext['assumeliving'] = "Assume living if not dead this many years";
		//changed in 11.0.2
		$admtext['mapkey'] = "Clave del Mapa";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "ingrese parte del nombre y/o apellido";
		$admtext['pleasenamepart'] = "Por favor, ingrese una parte del nombre o del apellido.";
		$admtext['enternamepart2'] = "ingresar ID o parte del nombre y/o apellido";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Por favor, ingrese parte del nombre del lugar.";
		$admtext['addnewplace'] = "Aadir Nuevo Lugar";
		$admtext['createplace'] = "Crear registro para un nuevo lugar";
		$admtext['modifyplace'] = "Editar Lugar Existente";
		$admtext['editexistingplaceinfo'] = "Editar informacin de Lugar previamente aadido";
		$admtext['enterplace'] = "Por favor, ingrese un lugar.";
		$admtext['newplaceinfo'] = "Informacin del Nuevo Lugar";
		$admtext['existingplaceinfo'] = "Informacin Existente para Lugar";
		$admtext['changestoplace'] = "Cambios para lugar";
		$admtext['selectplaceaction'] = "Seleccionar Lugar y Accin";
		$admtext['mergeplaces'] = "Fusionar Lugares";
		$admtext['findmerge'] = "Buscar Posibles Fusiones";
		$admtext['selectplacemerge'] = "Seleccionar Lugares para Fusionar";
		$admtext['mcol1'] = "Fusionar<br />estos<br />(eliminar)";
		$admtext['mcol2'] = "con<br />este<br />(conservar)";
		$admtext['pmsucc'] = "Fusin de lugares exitosa";
		$admtext['nomerge'] = "Nada para fusionar";
		$admtext['enterkeep'] = "Por favor, seleccione un objetivo de fusin";
		$admtext['backmerge'] = "Buscar de nuevo";
		$admtext['confdeleteplace'] = "Est seguro que quiere eliminar este lugar?";
		$admtext['propagate'] = "Hacer cambios de nombres de lugares en eventos existentes";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Est seguro que desea desvincular este cementerio?";
		$admtext['nocoords'] = "Falta Latitud o Longitud";
		$admtext['istemple'] = "Este nombre de lugar es un cdigo del templo LDS";
		$admtext['findtemples'] = "Buscar slo cdigos del templo LDS";
		$admtext['choosecem'] = "Elegir un Cementerio";
		$admtext['geocopy'] = "Copiar informacin de codificacin geogrfica sobre este cementerio";
		$admtext['linkcem'] = "Vincular este lugar a un cementerio";
		$admtext['cemsavail'] = "Lista slo incluyendo cementerios que no estn vinculados a un lugar";
		$admtext['nocemsavail'] = "No existen cementerios, o cada cementerio ya ha sido vinculado a un lugar.";
        //added in 9.0.0
        $admtext['geocode'] = "Geocode";
        $admtext['ignoreall'] = "Ignorar todo";
        $admtext['usefirst'] = "Usar primera coincidencia";
        $admtext['multchoice'] = "Si se encuentran mltiples resultados para un lugar:";
        $admtext['geoexpl'] = "Poner Geocode a todos los Lugares sin coordenadas de latitud y longitud";
        $admtext['geocoding'] = "Haciendo Geocode...";
        $admtext['backgeo'] = "Volver al men Geocode";
        $admtext['limit'] = "Limite:";
        $admtext['nolimit'] = "Sin limite";
		$admtext['blankplace'] = "Nombre de lugar en blanco";
        $admtext['nogeocode'] = "no se pudo hacer geocode";
        $admtext['toomany'] = "Ignorado (demasiados resultados)";
		$admtext['treesgone'] = "Asignaciones de rboles quitados de registros de todos los lugares";
		//added in 11.0.0
		$admtext['nolevel'] = "Nivel del lugar no establecido";
		$admtext['placenotsaved'] = "Lugar no salvado. Otro lugar con el mismo nombre existe actualmente. Por favor una ambos.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Generar Nuevo ID";
		$admtext['generating'] = "Generando... Por favor espere";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Seguiendo Lneas de Descendencia...";
		$admtext['finishedtracking'] = "Seguimiento Lneas de Descendencia finalizado.";
		$admtext['backtosecondary'] = "Volver a procesos secundarios";
		$admtext['sortchildren'] = "Ordenar hijos";
		$admtext['sortingchildren'] = "Orden de hijos";
		$admtext['sortspouses'] = "Ordenar cnyuges";
		$admtext['sortingspouses'] = "Orden de cnyuges";
		$admtext['relabelbranches'] = "Re-etiquetar ramas";
		$admtext['relabeling'] = "Re-etiquetado de ramas";
		$admtext['creatinggendex'] = "Creando archivo GENDEX...";
		$admtext['finishedgendex'] = "Finalizada la creacin del archivo GENDEX.";
		//added in 8.0.0
		$admtext['postgdx'] = "Dnde enviar su archivo GENDEX";
		//added in 10.0.0
		$admtext['evalmedia'] = "Recortar Men de Medios";
		$admtext['evaluating'] = "Conteo de medios";
		$admtext['finished'] = "Terminado";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Aadir Nuevo Idioma";
		$admtext['enterlangdisplay'] = "Por favor, ingrese el nombre con que se mostrara este idioma.";
		$admtext['enterlangfolder'] = "Por favor, ingrese el nombre de la carpeta en la que se guardarn los archivos para este idioma.";
		$admtext['newlanguageinfo'] = "Informacin de Nuevo Idioma";
		$admtext['langdisplay'] = "Nombre del idioma<br />tal como se mostrar a los visitantes";
		$admtext['createlanguage'] = "Crear registro para un nuevo idioma";
		$admtext['nolanguages'] = "No existe registro de idioma";
		$admtext['conflangdelete'] = "Est seguro que quiere eliminar este idioma?";
		$admtext['existinglanguages'] = "Informacin de Idioma Existente";
		$admtext['modifylanguage'] = "Editar Idioma Existente";
		$admtext['changestolanguage'] = "Cambios en idioma";
		$admtext['charset'] = "Juego de caracteres";
		$admtext['editexistinglanguage'] = "Aadir, editar o eliminar idiomas";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Crear registro para un nuevo rbol";
		$admtext['notrees'] = "No existen registros de rbol";
		$admtext['existingtrees'] = "Informacin de Arbol Existente";
		$admtext['editexistingtree'] = "Editar informacin de un rbol previamente aadido";
		$admtext['treename'] = "Nombre de Arbol";
		$admtext['owner'] = "Propietario";
		$admtext['conftreedelete'] = "Est seguro que quiere eliminar este rbol y todos sus componentes asociados?";
		$admtext['conftreeclear'] = "Est seguro que quiere borrar todos los datos de este rbol?";
		$admtext['changestotree'] = "Cambios en rbol";
		$admtext['newtreeinfo'] = "Informacin de Nuevo Arbol";
		$admtext['existingtreeinfo'] = "Informacin de Arbol Existente";
		$admtext['modifytree'] = "Editar Arbol Existente";
		$admtext['succcleared'] = "fue borrado con xito";
		$admtext['gedcomextraction'] = "No permitir a usuarios descargar archivos GEDCOM";
		$admtext['gedexport'] = "Exportar GEDCOM";
		$admtext['exporting'] = "Exportando GEDCOM...";
		$admtext['ifexportfails'] = "Si la exportacin no puede completarse,";
		$admtext['finishedexporting'] = "Exportacin de GEDCOM finalizada";
		$admtext['backtotrees'] = "Regresar a Arboles";
		$admtext['downloadged'] = "Descargar GEDCOM";
		$admtext['lastimport'] = "ltima importacin";
		$admtext['treeexists'] = "Ya existe otro rbol con el ID seleccionado. Por favor, seleccione un ID diferente e intente de nuevo.";
		$admtext['exportmedia'] = "Exportar enlaces de medios";
		//added in 8.0.0
		$admtext['changetree'] = "Cambiar Arbol";
		$admtext['newtree'] = "Nuevo Arbol";
		$admtext['currtree'] = "Arbol Actual";
		$admtext['chwarn'] = "ADVERTENCIA: Esta operacin eliminar todos los vnculos familiares, citas y otras referencias a esta entidad dentro del rbol actual.";
		$admtext['keepprivate'] = "Mantener en privado la informacin del propietario";
		//changed in 9.0.0
		$admtext['exppaths'] = "Paso local";
		$admtext['nopdf'] = "No permitir a los usuarios crear archivos PDF";
		//added in 10.0.0
		$admtext['exprivate'] = "Excluir privado";
		$admtext['exliving'] = "Excluir vivos";
		$admtext['importfilename'] = "Importar Nombre Archivo";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Aadir Nuevo Usuario";
		$admtext['createuser'] = "Crear registro para un nuevo usuario";
		$admtext['nousers'] = "No existe registro de usuario";
		$admtext['existingusers'] = "Informacin de Usuario Existente";
		$admtext['editexistinguser'] = "Editar informacin de un usuario previamente aadido";
		$admtext['confuserdelete'] = "Est seguro que quiere eliminar este usuario?";
		$admtext['changestouser'] = "Cambios en usuario";
		$admtext['enteruserpassword'] = "Por favor, ingrese una contrasea.";
		$admtext['enterusername'] = "Por favor, ingrese un nombre de usuario.";
		$admtext['newuserinfo'] = "Informacin de Nuevo Usuario";
		$admtext['existinguserinfo'] = "Informacin de Usuario Existente";
		$admtext['modifyuser'] = "Editar Usuario Existente";
		$admtext['allow_living'] = "Permitir visualizar informacin de individuos vivos";
		$admtext['allow_lds'] = "Permitir visualizar informacin LDS";
		$admtext['enterusername'] = "Por favor, ingrese un nombre de usuario.";
		$admtext['enteruserdesc'] = "Por favor, ingrese una descripcin de usuario.";
		$admtext['enterpassword'] = "Por favor, ingrese una contrasea.";
		$admtext['admin'] = "Admin.";
		$admtext['firstuser'] = "El primer usuario que cree debe ser un Administrador (NO se le debe asignar rbol) y tendr acceso a todas las configuraciones del sistema.";
		$admtext['userfailed'] = "ERROR: Su usuario no pudo ser creado porque ya existe otro con el mismo nombre de usuario.";
		$admtext['allow_ged'] = "Permitir descargar archivos GEDCOM";
		$admtext['assigned'] = "Asignado";
		$admtext['treemsg'] = "Opcional. Si no se asigna rbol al usuario, sus derechos se aplicarn a todos los rboles y todas las ramas. El administrador del sitio no debe tener asignado un rbol.";
		$admtext['branchmsg'] = "Opcional. Al asignar una rama al usuario, los derechos concedidos se van a ajustar a la rama asignada dentro del rbol seleccionado.";
		$admtext['accesslimits'] = "Lmites de acceso:";
		$admtext['rights'] = "Derechos:";
		$admtext['realname'] = "Nombre Real";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Registros de Nuevos Usuarios";
		$admtext['editnewusers'] = "Procesar registros para usuarios recien registrados. Los nuevos usuarios no tendrn ningn derecho hasta que los registros sean procesados.";
		$admtext['nonewusers'] = "Ningn usuario nuevo";
		$admtext['lastlogin'] = "ltimo Acceso";
		$admtext['tentative_edit'] = "Permitir correcciones sujetas a revisin administrativa. (slo Personas, Familias y Fuentes)";
		$admtext['notify'] = "Notificar a este usuario la activacin de su cuenta.";
		$admtext['no_edit'] = "Sin derechos para editar";
		$admtext['emailusers'] = "E-mail Usuarios";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "Mensaje por E-mail a Usuarios";
		$admtext['subject'] = "Asunto del E-mail";
		$admtext['messagetext'] = "Texto del E-mail";
		$admtext['selectgroup'] = "Seleccione el grupo al cual enviar el E-mail (dejar en blanco para enviar a todos)";
		$admtext['treemailmsg'] = "Opcional. Eligiendo un rbol va a restringir el mensaje a los usuarios asignados a ese rbol.";
		$admtext['branchmailmsg'] = "Opcional. Eligiendo una rama va a restringir el mensaje a los usuarios asignados a esa rama.";
		$admtext['send'] = "Enviar E-mail";
		$admtext['sentmailmessage'] = "Enviar Mensaje por E-mail";
		$admtext['succmail'] = "Su mensaje por E-mail ha sido enviado.";
		$admtext['mailfailed'] = "Fall el envo de su mensaje por E-mail.";
		$admtext['entersubject'] = "Por favor, ingrese un asunto para su mensaje.";
		$admtext['entermsgtext'] = "Por favor, ingrese el texto de su mensaje.";
		$admtext['adminonly'] = "Mostrar slo usuarios Admin";
		$admtext['dtregistered'] = "Fecha de Registro";
		$admtext['dtactivated'] = "Fecha de Activacin";
		$admtext['no_email'] = "No enviar E-mail masivo a ste usuario";
		$admtext['allow_admin'] = "Permitir acceso a todas las configuraciones del sistema y funciones administrativas, y aplicar los derechos de arriba a todos los rboles y ramas.";
		$admtext['limitedrights'] = "Restringir los derechos de arriba a lo siguiente:";
		$admtext['allow_edit'] = "Permitir editar cualquier dato existente";
		$admtext['allow_add'] = "Permitir aadir cualquier nuevo dato";
		$admtext['allow_delete'] = "Permitir eliminar cualquier dato existente";
		//added in 8.0.0
		$admtext['usrguest'] = "Invitado";
		$admtext['usrguestd'] = "No aadir, editar o eliminar derechos.";
		$admtext['noadmin'] = "No acceder al rea de Administracin.";
		$admtext['usrsubm'] = "Sugeridor";
		$admtext['usrsubmd'] = "Enviar cambios sujetos a revisin.";
		$admtext['usrcontrib'] = "Colaborador";
		$admtext['usrcontribd'] = "Aadir informacin, incluyendo medios.";
		$admtext['usreditor'] = "Editor";
		$admtext['usreditord'] = "Aadir, editar y eliminar toda la informacin, incluidos los medios.";
		$admtext['usradmin'] = "Administrador";
		$admtext['usradmind'] = "Todos los derechos.";
		$admtext['usrmcontrib'] = "Colaborador de Medios";
		$admtext['usrmcontribd'] = "Aadir slo medios.";
		$admtext['usrmeditor'] = "Editor de Medios";
		$admtext['usrmeditord'] = "Aadir, editar y eleminar slo medios.";
		$admtext['allow_media_edit'] = "Permitir editar slo medios";
		$admtext['allow_media_add'] = "Permitir aadir slo medios";
		$admtext['allow_media_delete'] = "Permitir eliminar slo medios";
		$admtext['no_add'] = "No aadir derechos";
		$admtext['no_delete'] = "No eliminar derechos";
		$admtext['roles'] = "Roles";
		$admtext['usrcustom'] = "Personalizado";
        //added in 9.0.0
		$admtext['allow_private'] = "Permitir ver informacin a individuos privados";
		$admtext['allow_pdf'] = "Permitir la descarga de PDFs";
		$admtext['allow_profile'] = "Permitir edicin del perfil de usuario";
		break;

	case "login":
		$admtext['loginfailed'] = "Datos de acceso incorrectos.";
		$admtext['adminlogfile'] = "Archivo Log de Admin";
		$admtext['mostrecentactions'] = "Acciones Ms Recientes";
		$admtext['rempass'] = "Recordar en este equipo";
		$admtext['sessexp'] = "Su sesin ha expirado.";
		$admtext['logagain'] = "Haga Clic para ingresar nuevamente.";
		//added in 8.1.0
		$admtext['logininactive'] = "Su inicio de sesin no est activa. Por favor, intntelo de nuevo ms tarde o contacte con el administrador del sitio.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Crear nuevo evento en lnea de tiempo";
		$admtext['modifytlevent'] = "Editar Evento Cronolgico Existente";
		$admtext['leaveblankalltlevents'] = "dejar en blanco para mostrar todos los evento cronolgicos";
		$admtext['evyear'] = "Ao del evento";
		$admtext['evdetail'] = "Detalles del evento";
		$admtext['selecttleventaction'] = "Seleccionar Evento Cronolgico y Accin";
		$admtext['changestotlevent'] = "Cambios en evento cronolgico";
		$admtext['location'] = "Ubicacin";
		$admtext['confdeletetlevent'] = "Est seguro que quiere eliminar este evento cronolgico?";
		$admtext['enterevyear'] = "Por favor, ingrese el ao del evento.";
		$admtext['enterevdetail'] = "Por favor, ingrese los detalles del evento.";
		$admtext['existingtleventinfo'] = "Evento Cronolgico Existente";
		$admtext['newtleventinfo'] = "Nuevo Evento Cronolgico";
		$admtext['edittleventinfo'] = "Aadir, editar o eliminar eventos cronolgicos";
		$admtext['addnewtlevent'] = "Aadir Nuevo Evento";
		$admtext['yrreq'] = "(slo el ao es requerido)";
		$admtext['startdt'] = "Fecha Inicial";
		$admtext['enddt'] = "Fecha Final";
		//added in 9.0.0
		$admtext['evtitle'] = "Ttulo del evento";
		break;

	case "review":
		$admtext['selectevaction'] = "Seleccione Evento y Accin";
		$admtext['suggested'] = "Sugerido";
		$admtext['usernotes'] = "Notas respecto al<br />cambio sugerido<br />(no se guardarn)";
		$admtext['postdate'] = "Publicado el";
		$admtext['savedel'] = "Guardar y Eliminar";
		$admtext['postpone'] = "Postergar";
		$admtext['igndel'] = "Ignorar y Eliminar";
		$admtext['tentdel'] = "fue eliminado";
		$admtext['tentadd'] = "se hizo permanente";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Localizar directamente, editar o eliminar cualquier nota en su base de datos.";
		$admtext['whatsnewblurb'] = "Proporcione a sus visitantes con una actualizacin general del sitio o de otra informacin actualizada en la parte superior de la pgina Novedades.";
		$admtext['mwblurb'] = "Crear una lista de personas difciles de ubicar y de fotos no identificadas, con la esperanza de conseguir ms difusin para los elementos que le estn dando ms problemas.";
		$admtext['dvblurb'] = "Find potential problems in your information.";
		$admtext['wr_gender'] = "Wrong gender";
		$admtext['unk_gender'] = "Unknown gender";
		$admtext['marr_young'] = "Married too young (less than 15 years old)";
		$admtext['marr_aft_death'] = "Married after death";
		$admtext['marr_bef_birth'] = "Married before birth";
		$admtext['died_bef_birth'] = "Died before birth";
		$admtext['parents_younger'] = "Born too early (parents less than 15 years old, or child born before marriage)";
		$admtext['children_late'] = "Born too late (mother more than 50 years old)";
		$admtext['not_living'] = "Person marked as living, death date present";
		$admtext['not_dead'] = "Person marked as deceased, possibly still living";
		$admtext['parmarr'] = "Parents' Marriage";
		$admtext['motherbirth'] = "Mother's Birth";
		break;
		
	case "mods":
		$admtext['modlist'] = "Lista de Mod";
		$admtext['reqremove'] = "Solicitud para quitar mod";
		$admtext['confcanc'] = "Confirmar solicitud o cancelar";
		$admtext['confrem'] = "Confirmar Quitar";
		$admtext['confirmedrem'] = "Solicitud confirmada para quitar mod";
		$admtext['removed'] = "removido";
		$admtext['notremoved'] = "No se Quit debido a los siguientes errores";
		$admtext['reqclean'] = "Solicitud para borrar mod";
		$admtext['confclean'] = "Confirmar Borrado";
		$admtext['confirmedclean'] = "Solicitud confirmada para borrar mod";
		$admtext['cleanatt'] = "Intentando borrar";
		$admtext['cleanperf'] = "Borrado ejecutado con las siguientes notas";
		$admtext['reqedit'] = "Solicitud para editar mod";
		$admtext['confedit'] = "Confirmar Editar";
		$admtext['cfgvalsread'] = "Configuracin Valores de Lectura desde archivos TNG.";
		$admtext['confirmededit'] = "Solicitud confirmada para actualizar mod con los valores";
		$admtext['editdone'] = "Edicin completa";
		$admtext['editperf'] = "Edicin ejecutada con las siguientes notas";
		$admtext['reqinstall'] = "Solicitud para instalar mod";
		$admtext['confinst'] = "Confirmar Instalacin";
		$admtext['confirmedinst'] = "Solicitud Confirmada para instalar mod";
		$admtext['installed'] = "Instalado";
		$admtext['notinst2'] = "No se ha Instalado debido a los siguientes errores";
		$admtext['reqdelete'] = "Solicitud para eliminar archivo de configuracin del MOD";
		$admtext['nomodundo'] = "No puede deshacer esta operacin. Tendr que volver a descargar este mod si desea instalarlo o eliminarlo ms adelante.";
		$admtext['confdel'] = "Confirmar Eliminacin";
		$admtext['confirmeddel'] = "Solicitud confirmada para eliminar el archivo de configuracin del mod";
		$admtext['deleted'] = "eliminado";
		$admtext['cantdel'] = "no se puede eliminar";
		$admtext['remman'] = "Por favor, quite el archivo manualmente";
		$admtext['cfgname'] = "Nombre del Archivo de Configuracin";
		$admtext['version'] = "Versin";
		$admtext['clean'] = "Borrar";
		$admtext['nomods'] = "No hay archivos de definicin del mod (xxx) que se encuentren en la carpeta mod";
		$admtext['notarget'] = "%destino: etiqueta ausente";
		$admtext['notarget2'] = "No se localiza el archivo";
		$admtext['peerror'] = "Editar Parmetros de Error";
		$admtext['prerror'] = "Leer Parmetros de Error";
		$admtext['location'] = "Ubicacin";
		$admtext['missing'] = "Falta";
		$admtext['badtarget'] = "Destino incorrecto";
		$admtext['targetlost'] = "No se pudo encontrar destino";
		$admtext['modins'] = "Cdigo del Mod insertado.";
		$admtext['modtrins'] = "Cdigo del Mod arreglado e insertado.";
		$admtext['modrepl'] = "Cdigo del Mod reemplazado.";
		$admtext['nfilemissing'] = "Falta Nombre del nuevo archivo";
		$admtext['create'] = "Crear...";
		$admtext['cantwrite'] = "No se puede escribir en";
		$admtext['checkperms'] = "Comprobar permisos, actualmente";
		$admtext['notwrite'] = "no puede ser escrito, verificar permisos";
		$admtext['cfilemissing'] = "Copiar nombre de archivo que falta";
		$admtext['cffilemissing'] = "Copiar nombre de archivo (desde) faltante";
		$admtext['ctfilemissing'] = "Copiar nombre de archivo (a) faltante";
		$admtext['copyfile'] = "Copiar archivo xxx a";
		$admtext['cantcopy'] = "No se puede copiar a";
		$admtext['checkwrite'] = "Comprobar permisos, debe tener permiso de escritura.";
		$admtext['forwrite'] = "para escritura";
		$admtext['written'] = "Archivo escrito";
		$admtext['toterrors'] = "Total Errores";
		$admtext['totfiles'] = "Total nuevos archivos";
		$admtext['notallinst'] = "No todas las secciones estn instaladas";
		$admtext['notallrem'] = "No todas las secciones fueron quitadas";
		$admtext['section'] = "Seccin";
		$admtext['missfile'] = "Falta archivo";
		$admtext['targetsearch'] = "Buscar destino";
		$admtext['insrem'] = "Mod insertado cdigo eliminado.";
		$admtext['remrem'] = "Mod eliminado cdigo eliminado.";
		$admtext['trimrem'] = "Mod cdigo arreglado y eliminado.";
		$admtext['orgrepl'] = "Cdigo Original reemplazado";
		$admtext['cantrepl'] = "No se puede reemplazar el cdigo original, no se encuentra.";
		$admtext['orgtrrepl'] = "Cdigo original arreglado y reemplazado";
		$admtext['keyword'] = "palabra clave";
		$admtext['notunique'] = "no es nico";
		$admtext['noaction'] = "ninguna accin";
		$admtext['novers'] = "Existentes xxx no tiene un nmero de versin";
		$admtext['param'] = "Parmetro";
		$admtext['params'] = "Parmetros";
		$admtext['paramed'] = "Editar Parmetros";
		$admtext['enterparam'] = "Ingresar Parmetros del mod";
		$admtext['paramval'] = "valor";
		$admtext['noparams'] = "No hay definicin de parmetros";
		$admtext['nodesc'] = "Error en la definicin de parmetros, falta descripcin";
		$admtext['defval'] = "Valor por defecto";
		$admtext['updateval'] = "Actualizar el valor xxx de [yyy] en el archivo de configuracin del mod.";
		$admtext['rewritten'] = "reescrito";
		$admtext['fixingcfg'] = "Fijar Archivo de Configuracin";
		$admtext['fixedcfg'] = "Archivo de Configuracin Fijado";
		$admtext['fixingtar'] = "Fijacin del Archivo de Destino";
		$admtext['fixedtar'] = "Archivo de Destino Fijado";
		$admtext['fincorr'] = "Finalizada la correccin deseada de datos";
		$admtext['targetupd'] = "Datos de destino actualizados";
		$admtext['written'] = "Archivo escrito";
		$admtext['permerr'] = "Error en permiso de archivo";
		$admtext['updconfig'] = "Actualizar info archivo de configuracin";
		$admtext['configupd'] = "Datos de configuracin actualizados, Fin del ciclo";
		//changed in 9.0.0
		$admtext['readvals'] = "Leer Valores Existentes desde archivos TNG";
		$admtext['retstatus'] = "Regresar a Estatus";
		$admtext['locmissing'] = "Copia local de xxx para la instalacin no se encuentra";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Se requiere la actualizacin del Mod";
		$admtext['keywordmissing'] = "Falta palabra clave. Error de construccin en Mod.";
		$admtext['cannotinstall'] = "No se puede instalar este mod";
		$admtext['notargetkeyword'] = "Se requiere archivo de destino";
		$admtext['emptytarget'] = "El archivo de destino es un archivo vaco.";
		$admtext['missingtarget'] = "El archivo de destino no est instalado.";
		$admtext['missingfiles'] = "El archivo a copiar no est presente en carpeta fuente";
		$admtext['pararead'] = "Parmetros ledos de archivos";
		$admtext['rewritetarget'] = "Reescribir archivo de objetivo";
		$admtext['targetcode'] = "el cdigo objetivo es";
		$admtext['modtrimrepl'] = "Cdigo del mod prolijado y reemplazado.";
		$admtext['cantdelmissing'] = "No se puede eliminar, el archivo no se encuentra";
		$admtext['totcopyfiles'] = "Total de archivos a copiar";
		$admtext['successfully'] = "Con xito";
		$admtext['filecreated'] = "Creado con xito";
		//changed in 10.0.3 
		$admtext['editperf'] = "Edicin ejecutada con las siguientes notas";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Actualizaciones por lotes";
		$admtext['options'] = "Opciones";
		$admtext['viewlog'] = "Ver registro";
		$admtext['filesexcused'] = "Archivos quebrar";
		$admtext['fileexcused'] = "Archivo quebrar";
		$admtext['copiesexcused'] = "Copias permitieron fallar";
		$admtext['copyexcused'] = "Copia permitida a fallar";
		$admtext['optionalfile'] = "Fileoptional especificado";
		$admtext['installbypassed'] = "seccin Instalacin omite";
		$admtext['removalbypassed'] = "seccin retiro evitado";
		$admtext['target'] = "Cambios";
		$admtext['newfile'] = "Crea";
		$admtext['copiesfile'] = "Copias";
		$admtext['copiesfile2'] = "Copias 2";
		$admtext['aflistoptions'] = "Afectado archivos de lista de opciones";
		$admtext['showaflist'] = "Mostrar afectados lista de archivos";
		$admtext['shownewfile'] = "Mostrar archivos nuevos en la lista";
		$admtext['showfilecopies'] = "Mostrar archivos copiados en la lista";
		$admtext['namecol'] = "Mostrar lista en la columna";
		$admtext['showlistas'] = "Mostrar lista como";
		$admtext['showastable'] = "Tabla";
		$admtext['showascsv'] = "Valores separados por comas";
		$admtext['batchshowaflist'] = "Mostrar lista de actualizaciones por lotes";
		$admtext['logoptions'] = "Opciones de Log Manager Mod";
		$admtext['logactions'] = "Log Mod Manager acciones";
		$admtext['mmlogfilename'] = "Nombre del archivo Log";
		$admtext['sortlistby'] = "Tipo listas";
		$admtext['modname'] = "Nombre del Mod";
		$admtext['bypassconfirm'] = "Saltarse las confirmaciones";
		$admtext['bypassaction'] = "Omitir los mensajes de accin";
		$admtext['modifyoptions'] = "Modificar opciones de Mod Manager";
		$admtext['ready'] = "OK to Install";
		$admtext['badmod'] = " No se puede instalar";
		$admtext['noselected'] = "No ha seleccionado ningn archivo!";
		$admtext['choose'] = "Elija";
		$admtext['showlogfile'] = "Mostrar registro de accin Mod Manager";
		$admtext['recentactions'] = "Mod Manager ms recientes acciones";
		$admtext['emptylog'] = "Log vaco";
		$admtext['clearlog'] = "Borrar registro";
		$admtext['confirmclearlog'] = "Ests seguro que quieres borrar el registro?";
		$admtext['copyfrom'] = "de la carpeta";
		$admtext['modsyntax'] = "Mod Syntax";
		$admtext['modguidelines'] = "Mod Standards";
		$admtext['analyzer'] = "Analyzer";
		$admtext['filemod'] = "File xxx is modified by";
		$admtext['filesel'] = "Select Modified File to examine the changes";
		$admtext['potconf'] = "Potential Conflicts";
		$admtext['modifications'] = "modifications";
		$admtext['othermmoptions'] = "Other";
		$admtext['file'] = "File";
		$admtext['tngmods'] = "Mods for TNG ";
		$admtext['unexpected'] = "Unexpected keyword";
		$admtext['syntax'] = "Syntax";
		//changed in TNG 10.1
		$admtext['copied'] = "copiado";
		$admtext['emptyfile'] = "archivo vaco";
		$admtext['filescopied'] = "archivos copiados";
		$admtext['notarget'] = "%destino: etiqueta ausente";
		$admtext['notinst'] = "no instalado";
		$admtext['install'] = "instalar";
		$admtext['filedel'] = "Archivo borrado";
		$admtext['created'] = "creado";
		$admtext['choosefilter'] = "Seleccione el filtro y haga clic en Ir para los controles disponibles";
		$admtext['mmmaxloglines'] = "N mx. de transacciones";
		$admtext['statusfilter'] = "Estado";
		//added in TNG 10.1
		$admtext['uninstall'] = "Desinstalar";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Limpiar";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Editar Opciones";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "Aceptar para instalar";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "versin archivo / versin incompatible";
		$admtext['bomfound'] = "BOM eliminado";
		$admtext['cantinst'] = "no se puede instalar";
		$admtext['cantproc'] = "no puede eliminar mod";
		$admtext['cantupd'] = "no se puede actualizar el parmetro";
		$admtext['cleanupall'] = "Limpiar";
		$admtext['confdelmod'] = "Realmente desea eliminar este mod de su sistema?";
		$admtext['copiesreq'] = "copias de archivos especficos";
		$admtext['delete'] = "Borrar";
		$admtext['deleteall'] = "Borrar";
		$admtext['errors'] = "errores";
		$admtext['excused'] = "archivos exentos";
		$admtext['filesinst'] = "archivos instalados";
		$admtext['filesrem'] = "archivos removidos";
		$admtext['format'] = "error de formato";
		$admtext['ignored'] = "ubicacin ignorada";
		$admtext['installall'] = "Instalar";
		$admtext['installing'] = "Instalando";
		$admtext['line'] = "Lnea";
		$admtext['modified'] = "modificado";
		$admtext['modsinst'] = "modificaciones de cdigo instalados";
		$admtext['modrem'] = "mod desinstalado";
		$admtext['modsrem'] = "modificaciones de cdigo removidos";
		$admtext['modsreq'] = "modificaciones de cdigo especificados";
		$admtext['newfilesreq'] = "nuevos archivos especificados";
		$admtext['nfcreated'] = "nuevo archivo creado";
		$admtext['noaccess'] = "sin acceso";
		$admtext['noact'] = "etiqueta de accin invlida";
		$admtext['nocfgfile'] = "archivo mod no encontrado";
		$admtext['nocode'] = "seccin de cdigo ausente";
		$admtext['nocomps'] = "elementos ausentes";
		$admtext['noend'] = "%final:% etiqueta ausente";
		$admtext['noinsert'] = "insertar cdigo fallido";
		$admtext['noinsrem'] = "cdigo insertado no removido";
		$admtext['nolocation'] = "etiqueta de ubicacin ausente";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "no se puede reemplazar cdigo";
		$admtext['notgtfile'] = "no accesible (sin archivo de destino)";
		$admtext['notopened'] = "archivo de destino no se abri";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "abierto";
		$admtext['optional'] = "opcional";
		$admtext['parameter'] = "parmetro";
		$admtext['partinst'] = "parcialmente instalado";
		$admtext['removeall'] = "Desinstalar";    // was Remove Selected mods
		$admtext['removing'] = "Desinstalando";    // was Removing
		$admtext['reqtag'] = "etiqueta requerida ausente";
		$admtext['restparam'] = "Restaurar parmetro por defecto";
		$admtext['return'] = "Volver a Mod Manager";
		$admtext['secnoterm'] = "seccin no terminada";
		$admtext['tagnoterm'] = "etiqueta no terminada";
		$admtext['tagunk'] = "etiqueta desconocida";
		$admtext['tgtfile'] = "archivo destino";
		$admtext['updated'] = "actualizado";
		$admtext['updparam'] = "Actualizacin de parmetro";
		$admtext['unxend'] = "final inesperado de archivo";
		$admtext['warnings'] = "Advertencias";
		$admtext['whitespace'] = "espacio en blanco";
		$admtext['locations'] = "Ubicaciones";
		$admtext['allowdeletepartial'] = "Permitir Eliminar Seleccin de Mods Parcialmente Instalados";
		$admtext['allowdeleteinstalled'] = "Permitir Eliminar Mods individualmente instalados";
		$admtext['showwarnings'] = "Mostar Advertencias de Mod en Estado";
		$admtext['logfullpath'] = "Registrar ruta completa para archivo de acciones";
		$admtext['deletingmods'] = "Eliminar archivos de Mod";
		$admtext['deleting'] = "Eliminando ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Archivos";
		$admtext['hasoptions'] = "Opciones";
		$admtext['update'] = "Actualizar";
		$admtext['restore'] = "Restaurar Predeterminado";
		$admtext['compressnames'] = "Comprimir Nombres de Mod en Lista de Mod";
		$admtext['stayon'] = "Bloquear";
		$admtext['accessible'] = "accesible";
		$admtext['bypassed'] = "Desviado";
		$admtext['willbypass'] = "ignorar";  // was "will bypass"
		$admtext['cantdel'] = "no se puede eliminar";
		$admtext['optmissing'] = "archivo ausente (opcional)";
		$admtext['tgtmissing'] = "archivo destino ausente";
		$admtext['optlocked'] = "archivo bloqueado (opcional)";
		$admtext['tgtlocked'] = "archivo bloqueado";
		$admtext['alreadyrem'] = "ya removido";
		$admtext['noaccess'] = "sin acceso";
		$admtext['code'] = "cdigo";
		$admtext['alreadyins'] = "ya instalado";
		$admtext['badinstall'] = "fallado para instalar";
		$admtext['removed'] = "removido";
		$admtext['deleted'] = "eliminado";
		$admtext['optsrcfilemissing'] = "fuente opcional ausente";
		$admtext['srcfilemissing'] = "fuente ausente";
		$admtext['optnocopy'] = "archivo opcional no copiado";
		$admtext['notcopied'] = "no copiado";
		$admtext['copied'] = "copiado";
		$admtext['notcreated'] = "no puede crear nuevo archivo";
		$admtext['optnotcreated'] = "no puede crear nuevo archivo opcional";
		$admtext['nocreated'] = "no creado";
		$admtext['fixedheader'] = "Usar Encabezados Fijos";
		$admtext['cantremok'] = "no puede remover, opcional, desviado";
		$admtext['nofolder'] = "carpeta destino ausente";
		$admtext['edparams'] = "editar parmetros";
		$admtext['compresslog'] = "Mostrar Colapso de Log";
		$admtext['showanalyzer'] = "Mostrar pestaa Analizadora";
		$admtext['formodname'] = "para nombre de mod ";
		$admtext['nofolder'] = "carpeta destino ausente";
		$admtext['fileperms'] = "Por favor, compruebe permiso de archivos";
		$admtext['noparam'] = "parmetro ausente";
		$admtext['editing'] = "edicin";
		$admtext['redirect2log'] = "Redirigir a Log Para";
		$admtext['on_error'] = "Slo Errores";
		$admtext['on_all'] = "Todas las Transacciones";
		$admtext['usestriping'] = "Usar rayas";
		$admtext['stripeafter'] = "Raya despus de nmero de filas";
		$admtext['adjusthdrs'] = "Ajustar Encabezados Fijos";
		$admtext['displayoptions'] = "Mostrar Configuraciones";
		$admtext['no_frag'] = "fragmento de cdigo no permitido aqu";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Esta seguro que quiere eliminar este texto?";
		$admtext['test_type'] = "Tipo de prueba";
		$admtext['test_number'] = "Prueba Numero";
		$admtext['test_date'] = "Fecha de la Prueba";
		$admtext['modifydna'] = "Edite la Prueba existente de DNA";
		$admtext['changestoalldna'] = "Cambios a todas las Pruebas";
		$admtext['addnewdna'] = "Agregue una nueva Prueba de DNA";
		$admtext['testinfo'] = "Informacion de la prueba";
		$admtext['urls'] = "Enlaces Relevantes";
		$admtext['dnalater'] = "Nota: La Prueba puede ser enlazada a otros individuos en la siguiente pantalla.";
		$admtext['selecttype'] = "Por favor seleccione el tipo de prueba.";
		$admtext['entertestnum'] = "Por favor entre el numero de la prueba.";
		$admtext['test_taker'] = "Persona que tomo esta prueba";
		$admtext['test_links'] = "Gente enlazada a esta prueba";
		$admtext['changestotest'] = "Changes to test";
		break;
}

//common
$admtext['cannotexecutequery'] = "No se puede ejecutar la consulta";
$admtext['addnew'] = "Aadir Nuevo";
$admtext['individuals'] = "individuos";
$admtext['succadded'] = "fue aadido con xito";
$admtext['succaddedlinked'] = "fue aadido con xito y vinculado a";
$admtext['succsaved'] = "se guardaron con xito";
$admtext['succdeleted'] = "fue eliminado con xito";
$admtext['succdeletedpluslinks'] = "fue eliminado con xito, junto con todos los enlaces";
$admtext['text_delete'] = "Eliminar";
$admtext['deleted'] = "Eliminado";
$admtext['deleteselected'] = "Borrar Seleccionados";
$admtext['noresults'] = "No se encontraron resultados. Por favor, intente nuevamente.";
$admtext['action'] = "Accin";
$admtext['id'] = "ID";
$admtext['edit'] = "Editar";
$admtext['notes'] = "Notas";
$admtext['name'] = "Nombre";
$admtext['description'] = "Descripcin";
$admtext['text_continue'] = "Continuar...";
$admtext['searchfor'] = "Buscar";
$admtext['lookin'] = "Mirar en (comprobar todo lo marcado)";
$admtext['cemeteryid'] = "ID de cementerio";
$admtext['exactmatch'] = "Slo coincidencia exacta";
$admtext['nothingtodelete'] = "Nada para eliminar";
$admtext['state'] = "provincia";
$admtext['country'] = "pas";
$admtext['finish'] = "Finalizar";
$admtext['ifphotouploaded'] = "Dejar este campo en blanco si el archivo ya ha sido subido a la carpeta de fotos.";
$admtext['eventtype'] = "Tipo de Evento";
$admtext['source'] = "Fuente";
$admtext['savechanges'] = "Guardar Cambios";
$admtext['family'] = "Familia";
$admtext['find'] = "Buscar...";
$admtext['create'] = "Crear...";
$admtext['sourceid'] = "ID de Fuente";
$admtext['birthabbr'] = "n.";
$admtext['chrabbr'] = "b.";
$admtext['remove'] = "Quitar";
$admtext['moveup'] = "Mover arriba";
$admtext['movedown'] = "Mover abajo";
$admtext['enterpersonid'] = "Por favor, ingrese un ID de Persona";
$admtext['personid'] = "Id de Persona";
$admtext['otherevents'] = "Otros Eventos";
$admtext['required'] = "requerido";
$admtext['children'] = "Hijos";
$admtext['chrdate'] = "Fecha de Bautismo";
$admtext['chrplace'] = "Lugar de Bautismo";
$admtext['deathdate'] = "Fecha de Fallecimiento";
$admtext['deathplace'] = "Lugar de Fallecimiento";
$admtext['burialdate'] = "Fecha de Entierro";
$admtext['burialplace'] = "Lugar de Entierro";
$admtext['birthdate'] = "Fecha de Nacimiento";
$admtext['birthplace'] = "Lugar de Nacimiento";
$admtext['title'] = "Ttulo";
$admtext['sex'] = "Sexo";
$admtext['marriagedate'] = "Fecha de Casamiento";
$admtext['marriageplace'] = "Lugar de Casamiento";
$admtext['lastname'] = "Apellido";
$admtext['firstname'] = "Nombre";
$admtext['filename'] = "Nombre de Archivo";
$admtext['linkspersonid'] = "Vnculos (ID de Persona)";
$admtext['cannotopen'] = "No se puede abrir el archivo";
$admtext['check'] = "Comprobar";
$admtext['generate'] = "Generar";
$admtext['update'] = "Actualizar";
$admtext['confdeleteevent'] = "Est seguro que quiere eliminar este evento?";
$admtext['existinglinks'] = "Enlaces existentes:<br />(marcar para borrar)";
$admtext['lowersortfirst'] = "Los nmeros ms bajos se ponen primero. Tambin puede usar nmeros decimales.";
$admtext['personsname'] = "Nombre de la Persona";
$admtext['tablecreation'] = "Creacin de Tablas";
$admtext['tracklines'] = "Seguir Lneas";
$admtext['administration'] = "Administracin";
$admtext['text_or'] = "O";
$admtext['cemeteries'] = "Cementerios";
$admtext['families'] = "Familias";
$admtext['headstones'] = "Lpidas";
$admtext['histories'] = "Historias";
$admtext['people'] = "Personas";
$admtext['photos'] = "Fotos";
$admtext['reports'] = "Reportes";
$admtext['sources'] = "Fuentes";
$admtext['suffix'] = "Sufijo";
$admtext['add'] = "Aadir";
$admtext['confdeleteentity'] = "Est seguro que quiere eliminar lo seleccionado?";
$admtext['cemetery'] = "Cementerio";
$admtext['language'] = "Idioma";
$admtext['display'] = "mostrar";
$admtext['languages'] = "Idiomas";
$admtext['orderpound'] = "Nro. de orden";
$admtext['tree'] = "Arbol";
$admtext['alltrees'] = "Todos los Arboles";
$admtext['selectaddtree'] = "Arbol (seleccionar o aadir nuevo)";
$admtext['selecttree'] = "Por favor, seleccione o aada un rbol.";
$admtext['treebefevent'] = "Debe seleccionar o ingresar un nombre de Arbol antes de aadir nuevos eventos.";
$admtext['text_rename'] = "Cambiar nombre";
$admtext['clear'] = "Borrar";
$admtext['linktothis'] = "Vincular a este individuo";
$admtext['linkexample'] = "(ingrese ID, p. ej. \"I###\")";
$admtext['existingconfig'] = "Configuracin Existente";
$admtext['lastmodified'] = "Ultima Modificacin";
$admtext['addnotes'] = "Notas Adicionales";
$admtext['confdeletenote'] = "Est seguro que quiere eliminar esta nota?";
$admtext['treebefnote'] = "Debe seleccionar o ingresar un nombre de Arbol antes de aadir nuevas notas.";
$admtext['general'] = "General";
$admtext['entersearchvalue'] = "Por favor, ingrese un valor de bsqueda.";
$admtext['trees'] = "Arboles";
$admtext['users'] = "Usuarios";
$admtext['lds'] = "LDS";
$admtext['norights'] = "Usted no est autorizado a ver esta pgina. Si usted posee un nombre de usuario y contrasea, por favor, ingrselos a continuacin.";
$admtext['username'] = "Nombre de usuario";
$admtext['password'] = "Contrasea";
$admtext['login'] = "Iniciar Sesin";
$admtext['logout'] = "Salir";
$admtext['city'] = "Ciudad";  //from cemeteries
$admtext['cap_country'] = "Pas";  //from cemeteries
$admtext['addnewtree'] = "Aadir Nuevo Arbol";
$admtext['test'] = "Prueba";
$admtext['page'] = "Pgina";  //from sources
$admtext['folder'] = "Carpeta";   //from languages
$admtext['confdeletepers'] = "Est seguro que quiere eliminar esta persona? El individuo ser completamente eliminado de su rbol.";
$admtext['save'] = "Guardar";
$admtext['of'] = "de";
$admtext['size'] = "Tamao";
$admtext['select'] = "Seleccionar";
$admtext['open'] = "Abrir";
$admtext['selectfile'] = "Seleccionar Archivo";
$admtext['altdesc'] = "Descripcin Alternativa";
$admtext['altnotes'] = "Notas Alternativas";
$admtext['savereturn'] = "Volver a esta pgina";
$admtext['saveback'] = "Volver al men";
$admtext['user'] = "Usuario";
$admtext['DIV'] = "Divorciado/a";
$admtext['search'] = "Buscar";  //from findpersonform
$admtext['searchresults'] = "Resultados de la Bsqueda";  //from people
$admtext['clicktoselect'] = "Clic para seleccionar";
$admtext['familyid'] = "ID de Familia";  //from families
$admtext['secondary'] = "Procesos Secundarios";
$admtext['commas'] = "Separar entradas mltiples con comas";
$admtext['onsave'] = "Al guardar";
$admtext['adminhome'] = "Inicio Administracin";
$admtext['labelbranches'] = "Etiquetas de Ramas";
$admtext['branch'] = "Rama";
$admtext['findperson'] = "Buscar Persona...";
$admtext['findfamily'] = "Buscar Familia...";
$admtext['repeatlastq'] = "Repetir ltima bsqueda";
$admtext['alwayson'] = "Siempre visible";
$admtext['all'] = "Todo";
$admtext['lnprefix'] = "Prefijo de Apellido";
$admtext['nameorder'] = "Orden de Nombres";
$admtext['western'] = "Nombres primero";
$admtext['lockid'] = "Bloquear";
$admtext['linktothese'] = "Vincular a:";
$admtext['alsolinkto'] = "Tambin vincular a:";
$admtext['linkspersfam'] = "Vnculos (ID de Persona, Familia o Fuente)";
$admtext['findsource'] = "Buscar Fuente...";
$admtext['address'] = "Direccin";
$admtext['stateprov'] = "Estado/Provincia";
$admtext['zip'] = "Cdigo Postal";
$admtext['merge'] = "Fusionar";
$admtext['otherinfo'] = "Otra informacin";
$admtext['available'] = "Disponible";
$admtext['backuprestore'] = "Utilidades";
$admtext['place'] = "Lugar";
$admtext['treeid'] = "ID de Arbol";
$admtext['email'] = "E-mail";
$admtext['event'] = "Evento";
$admtext['eventdate'] = "Fecha del Evento";
$admtext['eventplace'] = "Lugar del Evento";
$admtext['detail'] = "Detalles";
$admtext['export'] = "Exportar";
$admtext['tlevents'] = "Eventos Cronolgicos";
$admtext['places'] = "Lugares";
$admtext['duplicate'] = "Los cambios no se guardaron. Ya existe otro registro con la misma clave.";
$admtext['alttitle'] = "Ttulo Alternativo";
$admtext['enttitle'] = "Ttulo";  //title for a history or photo, not a person
$admtext['address1'] = "Direccin 1";
$admtext['address2'] = "Direccin 2";
$admtext['countryaddr'] = "Pas";
$admtext['branches'] = "Ramas";
$admtext['nobranch'] = "Ninguna Rama";
$admtext['scrollbranch'] = "Desplazar para ver todas las opciones";
$admtext['matches'] = "Coincidencias";
$admtext['review'] = "Revisin";
$admtext['allusers'] = "Todos los Usuarios";
$admtext['deathabbr'] = "Fall.";
$admtext['burialabbr'] = "Ent.";
$admtext['nochanges'] = "No se hicieron cambios.";
$admtext['changestoallitems'] = "Cambios en todos los tems";  //were made successfully
$admtext['find2'] = "Buscar";
$admtext['text_sort'] = "Ordenar";
$admtext['documents'] = "Documentos";
$admtext['repository'] = "Repositorio";
$admtext['more'] = "Ms";
$admtext['repositories'] = "Repositorios";
$admtext['divplace'] = "Lugar de Divorcio";
$admtext['divdate'] = "Fecha de Divorcio";
$admtext['divdatetr'] = "Fecha de Divorcio (Real)";
$admtext['creategendex'] = "Crear GENDEX";
$admtext['datamaint'] = "Importar/Exportar";
$admtext['imagefiletoupload'] = "Archivo para subir";
$admtext['indfamorsrc'] = "individuo(s), familias, fuentes, repositorios o lugares.";
$admtext['improperpermissions'] = "debido a que la carpeta no existe (controlar la Ruta Raz) o no tiene los permisos adecuados (intente con chmod(777))";
$admtext['person'] = "Persona";
$admtext['setup'] = "Configurar";
$admtext['manage'] = "Administrar";
$admtext['reset'] = "Reiniciar";
$admtext['norecords'] = "No existe registro.";
$admtext['secondarymaint'] = "Procesos Secundarios";
$admtext['customeventtypes'] = "Tipos de Eventos Personalizados";
$admtext['findmatches'] = "Buscar Coincidencias";
$admtext['matchthese'] = "Coincidencia en los siguientes campos:";
$admtext['otheroptions'] = "Otras Opciones:";
$admtext['ignoreblanks'] = "Ignorar Blancos";
$admtext['nextmatch'] = "Siguiente Coincidencia";
$admtext['nextdup'] = "Siguiente Duplicado";
$admtext['comprefresh'] = "Comparar/Refrescar";
$admtext['mswitch'] = "Intercambiar";
$admtext['nomatches'] = "Sin Coincidencias";
$admtext['combineextras'] = "Combinar medios";  //changed as well
$admtext['fasterdisplay'] = "Nota: Esta pgina tiene un formato diferente para permitir que se muestre rpidamente.";
$admtext['publichome'] = "Inicio Pblico";
$admtext['selectall'] = "Seleccionar Todo";
$admtext['clearall'] = "Borrar Todo";
$admtext['media'] = "Medios";
$admtext['albums'] = "lbumes";
$admtext['import'] = "Importar";
$admtext['item'] = "Item";
$admtext['combinenotesonly'] = "Combinar notas";
$admtext['addmedia'] = "Aadir Medios";
$admtext['latitude'] = "Latitud";
$admtext['longitude'] = "Longitud";
$admtext['gedimport'] = "Importar GEDCOM";
$admtext['improper2'] = "porque el archivo original es muy grande o no es una imagen vlida, o bien porque la carpeta no existe (controlar la Ruta Raz) o no tiene los permisos adecuados (intente con chmod(777)).";
$admtext['confdeleterecs'] = "Esta seguro que quiere eliminar los registros seleccionados?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocdigo de Ubicacin";
$admtext['notfound'] = " no encontrado. Trate con otra bsqueda. Chequear la Ayuda de Bsqueda del Mapa para las posibles causas del fallo de la bsqueda, o intente realizar su bsqueda utilizando el enlace de Bsqueda Completa para Google Map";
$admtext['showhidemap'] = "Mostrar/Ocultar mapa interactivo";
$admtext['getcoords'] = "(para determinar latitud, longitud y zum)";
$admtext['searchstring'] = "Buscar por Lugar";
$admtext['zoom'] = "Zum";
$admtext['selectplacelevel'] = "Seleccionar Nivel del Lugar";
$admtext['difficultmap'] = "Bsqueda Completa en Google Map";
$admtext['maphelp'] = "Ayuda para Buscar en el Mapa";
$admtext['gobutton'] = "Buscar";
$admtext['findpersonid'] = "Buscar ID de Persona";
$admtext['findfamilyid'] = "Buscar ID de Familia";
$admtext['findsourceid'] = "Buscar ID de Fuente";
$admtext['entersourcepart'] = "Ingrese parte del ttulo de la fuente";
$admtext['findrepoid'] = "Buscar ID de Repositorio";
$admtext['enterrepopart'] = "Ingresar parte del ttulo del repositorio";
$admtext['findplace'] = "Buscar lugar";
$admtext['enterplacepart'] = "ingresar parte del nombre del lugar";
$admtext['entereventinfo'] = "Por favor, ingrese una Fecha del Evento, un Lugar del Evento o los Detalles para este evento.";
$admtext['entereventtype'] = "Por favor, seleccione un Tipo de Evento.";
$admtext['enternote'] = "Por favor, ingrese el texto de la nota.";
$admtext['selectsource'] = "Por favor, seleccione una Fuente.";
$admtext['confdeletecite'] = "Est seguro que quiere eliminar esta cita?";
$admtext['spouses'] = "Cnyuges / Parejas";
$admtext['entertreeid'] = "Por favor, ingrese un ID de rbol.";
$admtext['entertreename'] = "Por favor, ingrese un nombre de rbol.";
$admtext['citations'] = "Citas";
$admtext['eventtypes'] = "Tipos de Eventos";
$admtext['associations'] = "Asociaciones";
$admtext['makefolder'] = "Crear Carpeta";
$admtext['allcurrentdata'] = "Todos los datos actuales";
$admtext['matchingonly'] = "Slo datos coincidentes";
$admtext['donotreplace'] = "No reemplazar ningn dato";
$admtext['useroffset'] = "Comenzar IDs en:";
$admtext['phone'] = "Telfono";
$admtext['website'] = "Sitio Web";
$admtext['thumb'] = "Miniatura";  //as in thumbnail
$admtext['displayorder'] = "Orden de Muestra";
$admtext['go'] = "Ir";
$admtext['help'] = "Ayuda para esta rea";
$admtext['husband'] = "Padre";
$admtext['wife'] = "Madre";
$admtext['husbname'] = "Nombre del Padre";
$admtext['wifename'] = "Nombre de la Madre";
$admtext['drag'] = "Arrastrar";
$admtext['enterinamepart'] = "ingresar parte del nombre y/o apellido";
$admtext['enterfnamepart'] = "Ingrese parte del nombre del padre y/o madre";
$admtext['hide'] = "Ocultar";
$admtext['toggle'] = "alternar muestra";
$admtext['wsel'] = "Con lo seleccionado:";
$admtext['msg'] = "Mensaje";
$admtext['default'] = "Por Defecto";
$admtext['events'] = "Eventos";
$admtext['date'] = "Fecha";
$admtext['savecont'] = "Guardar y continuar...";
$admtext['alphanum'] = "Por favor, use solo caracteres alfanumricos en el ID del Arbol.";
$admtext['mediatypes'] = "Tipos de Medios";
$admtext['appendall'] = "Anexar todos los registros";
$admtext['NPFX'] = "Prefijo";
$admtext['prefix'] = "Prefijo";
$admtext['mostwanted'] = "Ms Buscado";
$admtext['idexists'] = "No se ha podido aadir porque ya existe este ID.";
$admtext['notdeleted'] = "El archivo no puede ser eliminado. Por favor, compruebe los permisos de archivos.";
$admtext['confdeletefile'] = "Est seguro que desea eliminar este archivo?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Atencin:</strong> Para ingresar las fechas utilice el formato genealgico estndar DD MMM AAAA. Por ejemplo, 10 Abr 2004.";
$admtext['oriental'] = "Apellidos primero (sin comas)";
$admtext['langfolder'] = "Carpeta en la que se guardarn<br />los archivos de idioma";
//moved here in 8.0.0
$admtext['active'] = "Activo";
$admtext['repoid'] = "ID de Repositorio";
$admtext['whatsnew'] = "Novedades";
$admtext['linkedto'] = "Vinculado a";
$admtext['status'] = "Estado";
//added in 8.0.0
$admtext['show'] = "Mostrar";
$admtext['lnfirst'] = "Apellido Primero (con comas)";
$admtext['savefirst'] = "Guardar cambios primero?";
$admtext['misc'] = "Miscelneos";
$admtext['modmgr'] = "Administrador de Mod";
$admtext['menu'] = "Men";
$admtext['cannotopendir'] = "No se puede abrir la carpeta";
$admtext['reviewsh'] = "Revisin"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Cancelar";
$admtext['enterpassoc'] = "Por favor, ingrese el ID de la persona asociada.";
$admtext['enterrela'] = "Por favor, ingrese el parentesco.";
$admtext['confdeleteassoc'] = "Est seguro que quiere eliminar sta asociacin?";
$admtext['preview'] = "Vista Previa";
$admtext['livingonly'] = "Slo vivos";
$admtext['tentdata'] = "Registro temporal del evento para ";
$admtext['checking'] = "Comprobando... espere";
//added in 9.0.0
$admtext['clickresume'] = "hacer click aqu para reasumir";
$admtext['copylast'] = "Copiar ltimo";
$admtext['nicbold'] = "Click para Negrita";
$admtext['nicitalic'] = "Click para Itlica";
$admtext['nicunderline'] = "Click para Sub rayada";
$admtext['niclalign'] = "Alinear a Izquierda";
$admtext['niccalign'] = "Alinear al Centro";
$admtext['nicralign'] = "Alinear a Derecha";
$admtext['nicjalign'] = "Alinear Justificado";
$admtext['nicinsol'] = "Insertar Lista Ordenada";
$admtext['nicinsul'] = "Insertar Lista Desordenada";
$admtext['nicsub'] = "Click para Sub escrita";
$admtext['nicsup'] = "Click para Sobre escrita";
$admtext['nicstrike'] = "Click para Tachada";
$admtext['nicremfmt'] = "Quitar Formato";
$admtext['nicindent'] = "Indentar  Texto";
$admtext['nicremind'] = "Quitar Indentado";
$admtext['nichr'] = "Regla Horizontal";
$admtext['nicfontsz'] = "Tamao&nbsp;Fuente";
$admtext['nicfontfam'] = "Familia&nbsp;Fuente";
$admtext['nicfontfmt'] = "Formato&nbsp;Fuente";
$admtext['niclink'] = "Agregar Enlace";
$admtext['nicremlink'] = "Quitar Enlace";
$admtext['nictxtcol'] = "Cambiar Color de Texto";
$admtext['nicbkgcol'] = "Cambiar Color de Fondo";
$admtext['nicimage'] = "Agregar Imgen";
$admtext['change'] = "Cambiar";
$admtext['editwarn'] = "El bloqueo sobre este registro est por expirar. Guarde ahora sus cambios para evitar que sea sobrescrito por otro usuario.";
$admtext['editconflict'] = "Otro usuario est editando el registro en este momento. Por favor intente ms tarde.";
$admtext['retry'] = "Intente nuevamente";
$admtext['notsaved'] = "Los cambios no fueron guardados. Otro usuario a bloqueado el registro.";
//changed in 9.2.0
$admtext['linktype'] = "Tipo";
//moved here in 10.0.0
$admtext['disabled'] = "Des-habilitar";
$admtext['cremated'] = "Cremado";
//added in 10.0.0
$admtext['videos'] = "Videos";
$admtext['recordings'] = "Grabaciones";
$admtext['saveexit'] = "Guardar y Salir";
$admtext['allbranches'] = "Todas las Ramas";
//moved here in 11.0.0
$admtext['nickname'] = "Apodo";
$admtext['role'] = "Rol";
$admtext['commas'] = "Separar entradas mltiples con comas";
$admtext['confdellink'] = "Esta seguro que quiere eliminar este enlace?";
$admtext['existlinks'] = "Enlaces Existentes";
$admtext['report'] = "Reporte";
//added in 11.0.0
$admtext['sortby'] = "Ordenar por";
$admtext['unlink'] = "Desenlazar";
$admtext['privateonly'] = "Solo privado";
$admtext['dna_links'] = "Enlaces de DNA";
$admtext['dataval'] = "Validacion de los Datos";
$admtext['norels'] = "Turn off relationship messages";

//change to $text
$admtext['living'] = "Vivo";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>