<?php
include("../../helplib.php");
echo help_header("Npovda: Udlosti");
?>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tng.community" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="citations_help.php" class="lightlink">&laquo; Npovda: Citace</a> &nbsp; | &nbsp;
			<a href="more_help.php" class="lightlink">Npovda: Vce &raquo;</a>
		</p>
		<span class="largeheader">Npovda: Udlosti</span>
		<p class="smaller menu">
			<a href="#what" class="lightlink">Standardn a vlastn</a> &nbsp; | &nbsp;
			<a href="#add" class="lightlink">Pidat nov</a> &nbsp; | &nbsp;
			<a href="#edit" class="lightlink">Upravit existujc</a> &nbsp; | &nbsp;
			<a href="#del" class="lightlink">Vymazat</a> &nbsp; | &nbsp;
			<a href="#citations" class="lightlink">Citace</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="what"><p class="subheadbold">Standardn a vlastn udlosti</p></a>
		<p>Udlosti obvykl jako je narozen, mrt, satek a nkter dal se vkldaj na hlavn strnce osoby, rodiny, pramenu a loit pramen
		a jsou uloeny do odpovdajcch tabulek v databzi. Dokumentace TNG na tyto udlosti odkazuje jako na "standardn" udlosti. Vechny ostatn udlosti jsou nazvny "vlastn" udlosti
		a jsou spravovny v sekci <strong>Dal udlosti</strong> na strnkch osoby, rodiny, pramenu a loit pramen. Tyto udlosti se ukldaj do zvltn
		tabulky Udlosti (Events). Toto tma npovdy se vnuje tmto <em>vlastnm</em> udlostem.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="add"><p class="subheadbold">Pidat udlost</p></a>

		<p>Chcete-li pidat novou udlost, kliknte na tlatko "Pidat nov" v sekci Dal udlosti a vyplte formul. Pokud udlosti ji existuj,
		budou zobrazeny v sekci Dal udlosti v tabulce. V dal sti jsou vysvtlena dostupn pole.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="edit"><p class="subheadbold">Upravit udlost</p></a>

		<p>Pokud chcete upravit existujc udlost, kliknte v sekci Dal udlosti na ikonu Upravit vedle tto udlosti (pro pravu daj "standardnch" udlost
		jako je narozen nebo mrt zmte jednodue text).</p>

		<p>Pi pidn nebo prav udlosti si vimnte nsledujcho:</p>

		<span class="optionhead">Typ udlosti</span>
		<p>Vyberte typ udlosti (u existujc udlosti nelze zmnit typ udlosti). Nen-li typ udlosti, kter chcete, ve vbrovm poli typ udlost,
		jdte nejprve do Admin/Vlastn typy udlost a nastavte zde typ udlosti, pak se vrate na tuto obrazovku a vyberte jej.</p>

        <span class="optionhead">Datum udlosti</span>
		<p>Aktuln nebo pedpokldan datum spojen s udlost.</p>

        <span class="optionhead">Msto udlosti</span>
		<p>Msto, kde udlost probhla. Zapite nzev msta nebo kliknte na ikonu Najt (lupa).</p>

        <span class="optionhead">Podrobnosti</span>
		<p>Dal podrobnosti popisujc udlost. Pokud s udlost nen spojeno dn datum ani msto, me pole Podrobnosti obsahovat daje, kter tuto udlost definuj.</p>

        <span class="optionhead">Duplikovat pro (ID):</span>
		<p>Chcete-li tuto udlost duplikovat pro vce osob nebo rodin, zapite sem sla ID tchto osob nebo rodin. Vkldte-li vce sel ID, oddlte je rkou. 
      Pokud slo ID neznte, kliknte na ikonu "Najt" vpravo od tohoto pole a mete je vyhledat podle jmna. Po kliknut na tlatko "Uloit" bude tato udlost nakoprovna 
      tmto osobm (rodinm). Pokud znovu otevete okno s pravou udlolsti, toto pole bude przdn. Vechny zmny, kter od tohoto okamiku v tto udlosti 
      provedete, <b>nebudou</b> promtnuty do dve vytvoench duplikt.</p>

        <span class="optionhead">Vce</span><br />
		<p>Kliknutm na "Vce" mete pro kadou udlost zapsat nkter mn bn daje. Objev se dal pole.
		Tato pole lze skrt optovnm kliknutm na "Vce". Skryt pol neznamen vymazn jejich obsahu. Tato pole obsahuj:</p>

        <p><span class="optionhead">Vk</span>: Vk osoby v dob udlosti.</p>

        <p><span class="optionhead">Instituce</span>: Instituce nebo osoba, kter mla v dob udlosti autoritu nebo odpovdnost.</p>

        <p><span class="optionhead">Pina</span>: Pina udlosti (nejastji pouita s udlost mrt).</p>

        <p><span class="optionhead">Adresa 1/Adresa 2/Msto/Kraj/provincie/PS/Zem/Telefon/Email/Internetov strnky</span>: Adresa a ostatn kontaktn daje spojen s udlost.</p>

        <span class="optionhead">Povinn pole:</span>
		<p>Vybrat muste typ udlosti a nejmn do jednoho z nsledujcch pol muste nco vloit: <strong>Datum udlosti</strong>, <strong>Msto udlosti</strong>,
		nebo <strong>Podrobnosti</strong>. Vechna ostatn pole jsou nepovinn.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="del"><p class="subheadbold">Vymazat udlost</p></a>

		<p>Chcete-li vymazat existujc udlost, kliknte v sekci Dal udlosti na ikonu Vymazat vedle tto udlosti. Udlost bude vymazna bez ohledu na to, zda ostatn daje na strnce jsou uloeny.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="citations"><p class="subheadbold">Poznmky a citace</p>
		Chcete-li pidat nebo upravit poznmky nebo citace u udlosti, udlost nejdve ulote, a pot kliknte na pslunou ikonu vedle zznamu tto udlosti v aktulnm seznamu udlost.
		Vce informac o poznmkch naleznete zde: <a href="notes_help.php">Npovda: Poznmky</a>. 
		Vce informac o citacch naleznete zde: <a href="citations_help.php">Npovda: Citace</a>.</p>

	</td>
</tr>

</table>
</body>
</html>
