<?php
include("../../helplib.php");
echo help_header("Npovda: Google Maps");
?>

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tng.community" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="places_help.php" class="lightlink">&laquo; Npovda: Msta</a> &nbsp; | &nbsp;
			<a href="tlevents_help.php" class="lightlink">Npovda: Udlosti asov osy &raquo;</a>
		</p>
		<span class="largeheader">Npovda: Google Maps</span>
		<p class="smaller menu">
			<a href="#show" class="lightlink">Zobrazit</a> &nbsp; | &nbsp;
			<a href="#search" class="lightlink">Hledat</a> &nbsp; | &nbsp;
			<a href="#controls" class="lightlink">Ovldn mapy</a> &nbsp; | &nbsp;
			<a href="#help" class="lightlink">Npovda</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
		<a name="show"><p class="subheadbold">Zobrazit/skrt klikac mapu</p></a>
		<p>Kliknutm na tlatko "Zobrazit/skrt klikac mapu" se zobraz Google Maps a monost vyhledat msta pro geokdovn
		nebo se po dokonen mapa skryje. Vchoz nastaven je specifikovno v Admin/Nastaven/Nastaven mapy.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">
	
		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="search"><p class="subheadbold">Hledat</p></a>
		<p>Google Map Geocoder vm umon nalzt souadnice zempisn ky a dlky pro nzev msta pi pouit pole Geokdovat umstn jako vstupnho pole.
		Pro vyhledn souadnic mete tak vyut aplikaci Streetmap (<a href="http://www.streetmap.co.uk" target="_blank">http://www.streetmap.co.uk</a>).</p>

		<span class="optionhead">Geokdovat umstn</span>
		<p>Pokud ji bylo msto zavedeno v TNG, obsahuje pole Geokdovat umstn nzev tohoto msta. Pi pidn novho msta bude do pole Geokdovat umstn
		doplnn nzev msta z TNG. Pi pidn hbitov nebo mdi nejsou nzvy mst doplnny. </p>
		<p>U existujcch nzv mst v TNG je nkdy teba ve vstupnm poli Geokdovat umstn upravit nzev msta. Nap. Google nem rd nzvy okres
		jako soust nzv mst v USA, ani si neporad s novozlandskmi provinciemi. Jako vstup mete tak chtt vloit pouze nzev msta a zemi.
		Nzev zem mete tak zapsat v anglitin.</p>
		<span class="optionhead">Pklady nzv mst</span>
		<p>Nsleduj pklady, jak maj bt zapsna msta, aby vsledek obsahoval sprvn daje o zempisn ce a dlce:
		<ul>
			<li>1102 Shipwatch Circle, Tampa, Florida</li>
			<li>Klippan 1, 41451 Sweden</li>
			<li>Avenida de Velasquez 126, Malaga</li>
			<li>49 Rue de Tournai, Lille, France</li>
			<li>Ocean Drive, Twin Waters, Queensland, Australia</li>
			<li>Rue de la Wastinne 45, 1301 Wavre, Belgium</li>
			<li>Via Villanova 31, 40050 Bologna villanova, Italy</li>
			<li>Europaboulevard 10, Amsterdam</li>
			<li>Lise-Meitner-Strasse 2, 60486 Frankfurt, Germany</li>
		</ul></p>

		<p>Geocoder neme pracovat s mapami nkterch stt z nrodnostnch nebo licennch dvod.
		Pro tyto stty muste pout odkaz <a href="http://maps.google.com/" target="_blank">Pln vyhledvn v Google Maps</a>.</p>

		<span class="optionhead">Zempisn ka a dlka</span>
		<p>Pi pijet souadnic zempisn ky a dlky, kter vm nabz vyhledvn v map, muste bt velmi peliv. Pinejmenm byste mli alespo trochu
		vdt, kde se dan msto nachz a co oekvte ped tm, ne pijmete vsledek z hledn v map. Pokud se pendlk na map
		nenachz na mst, kde byste jej ekali, zempisn ka a dlka, kter je vrcena, nemus bt sprvn. V takovm ppad byste mli zpozornt a kliknout na
		Google Maps pro pozici k lepmu umstn.</p>

		<p>Pijatou zempisnou ku a dlku byste mli tak otestovat kliknutm na ikonu Test v seznamu mst a pot kliknutm na pendlk ovit
		na extern map, e umstn je sprvn.</p>
		
		<span class="optionhead">Piblen</span>
		<p>Nen-li msto na map v poadovanm piblen, mete pout ne popsan ovlada piblen k pizpsoben zobrazen
		mapy, zvlṻe pro omezen chybovch hlen, e Google neobsahuje mapu v tto rovni piblen. Hodnota vslednho piblen bude
		uloena ve va databzi TNG.</p>

		<span class="optionhead">rove sdla</span>
		<p>Rozbalovac seznam rove sdla mete pout k vbru rovn lenn sdla zastoupenho nzvem msta. K dispozici je est rovn v rozsahu od adresy po zemi,
		kde adresa je nejpodrobnj. Pepsat obsah promnn $admtext pro rovn 1 a 6, kter jsou v souboru alltext.php, mete ve svm souboru cust_text.php.
		Tagy pro rovn 2 a 5 mete zmnit, aby reflektovali nap. kostel/nemocnice/hbitov, msto/obec, okres/department, kraj/provincie/region.
		Rzn barevn pendlky oznauj lenn rovn sdla na strnce osoby. Indiktor rovn sdla se neobjevuje
		v tabulce hbitov a mdi. pendlky zobrazen v tabulce hbitov jsou v rovni 2, co umouje, e nhrobky jsou zobrazeny v nejpodrobnj rovni.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="controls"><p class="subheadbold">Ovldac prvky Google Maps</p></a>

		<span class="optionhead">Bod / Klik</span>
		<p>Chcete-li zpesnit daj o zempisn ce a dlce u danho msta, kliknte v Google Maps na bod, kde si myslte, e se msto nachz. Pro obdren lepch daj
		o zempisn ce a dlce pro nzev msta v TNG mete tak v Google Maps pout tlatka Mapa nebo Satelitn. </p>

		<span class="optionhead">Thnout a posunout</span>
		<p>Mapy se daj posunovat, take mete pout my nebo smrov ipky pro posun doleva, doprava, nahoru nebo dol pro zobrazen oblast, kter jsou skryt
		mimo obrazovku. Monost thnout a posunout znamen, e nemuste klikat ani ekat na nov naten grafiky pokad, kdy chcete vidt pilehl sti mapy.</p>

		<span class="optionhead">Piblen</span>
		<p>Znaky plus (+) a minus (-) nebo posuvnk piblen mete pout pro piblen nebo oddlen mapy. Pi piblen mapy mete pout smrov ipky 
    pro vylepen pozice na map. Zmnte-li rove piblen, hodnota piblen bude uloena v tabulce TNG.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Nahoru</a></p>
		<a name="help"><p class="subheadbold">Npovda Google Maps</p></a>

		<p>Dal npovdu najdete na <a href="http://www.google.com/apis/maps/documentation/" target="_blank">Google Maps API</a>.</p>
	</td>
</tr>

</table>
</body>
</html>
