<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Branch Label";
		$admtext['existingbranch'] = "Existing Branch";
		$admtext['newbranch'] = "New Branch";
		$admtext['numgenerations'] = "Number of Generations";
		$admtext['ancestors'] = "Ancestors";
		$admtext['descofanc'] = "Descendant generations from each ancestor";
		$admtext['descendants'] = "Descendants";
		$admtext['includespouses'] = "Include spouses of descendants";
		$admtext['partial'] = "Partial";
		$admtext['addlabels'] = "Add labels";
		$admtext['clearlabels'] = "Clear labels";
		$admtext['clearingbranch'] = "Clearing Branch Labels";
		$admtext['addingbranch'] = "Adding Branch Labels";
		$admtext['totalaffected'] = "Total Affected";
		$admtext['labelmore'] = "Label more branches";
		$admtext['enterbranch'] = "Please select an existing branch or enter a new one.";
		$admtext['enterstartingind'] = "Please enter a starting individual ID.";
		$admtext['gensnumeric'] = "Values for Ancestors and Descendants must be numeric.";
		$admtext['overwrite'] = "Overwrite";
		$admtext['branchid'] = "Branch ID";
		$admtext['addnewbranch'] = "Add New Branch";
		$admtext['createbranch'] = "Create a record for a new branch";
		$admtext['existingbranchinfo'] = "Existing Branch Information";
		$admtext['editexistingbranch'] = "Edit information for a previously entered branch";
		$admtext['confbranchdelete'] = "Are you sure you want to delete this branch?";
		$admtext['enterbranchid'] = "Please enter a branch ID.";
		$admtext['entertreedesc'] = "Please enter a branch description.";
		$admtext['newbranchinfo'] = "New Branch Information";
		$admtext['modifybranch'] = "Edit Existing Branch";
		$admtext['changestobranch'] = "Changes to branch";
		$admtext['existlabels'] = "Existing labels";
		$admtext['leave'] = "Leave";
		$admtext['append'] = "Append New";
		$admtext['showpeople'] = "Show people with this tree/branch";
		$admtext['branchdiscl'] = "This number represents the total number of branch links, not necessarily the number of people or families currently linked to this branch. If you have recently re-imported your data, you may need to relabel your branches.";
		$admtext['inclspouses'] = "Include spouses for all descendants";
		$admtext['delpeople'] = "Delete people and families with this branch label";
		$admtext['confbrdel'] = "Are you sure you want to delete all people and families with this branch label?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "The map image file could not be copied to";
		$admtext['changestocem'] = "Changes to cemetery";
		$admtext['modifycemetery'] = "Edit Existing Cemetery";
		$admtext['addnewcemetery'] = "Add New Cemetery";
		$admtext['createnewcemetery'] = "Create a record for a new cemetery";
		$admtext['selectcemaction'] = "Select Cemetery and Action";
		$admtext['location'] = "Location";
		$admtext['confdeletecem'] = "Are you sure you want to delete this cemetery?";
		$admtext['editceminfo'] = "Edit information for a previously entered cemetery";
		$admtext['leaveblankallcems'] = "leave blank to show all cemeteries";
		$admtext['cemeteryname'] = "Cemetery Name";
		$admtext['mapfilename'] = "Map File Name";
		$admtext['countyparish'] = "County/Parish";
		$admtext['stateprovince'] = "State/Province/Shire";
		$admtext['entercountry'] = "Please enter a country name.";
		$admtext['entermapfile'] = "Please enter a file name for your map file on the web server.";
		$admtext['existingceminfo'] = "Existing Cemetery Information";
		$admtext['newceminfo'] = "New Cemetery Information";
		$admtext['maptoupload'] = "Map image to upload";
		$admtext['mapfilenamefolder'] = "Map File Name<br/>within Headstones folder";
		$admtext['ifmapuploaded'] = "Leave this field blank if the file has already been uploaded to your headstones folder.";
		$admtext['requiredmap'] = "Required if you are using a map. This should correspond to the name and location of your file <em>within the headstones folder</em> once the file is uploaded. For example, if your headstones folder is called <em>headstones</em>,	and you want your file to be called <em>map.jpg</em> and go in a subfolder of headstones called <em>mymaps</em>, you would enter <em>mymaps/map.jpg</em> in this field.";
		//added in 8.0.0
		$admtext['linkplace'] = "Associated Place";
		$admtext['fillplace'] = "Fill Place";
		$admtext['usecemcoords'] = "Copy the geocode information below to this place";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "already exists";
		$admtext['added'] = "Added";
		$admtext['enternew'] = "Enter new";
		$admtext['pleaseenter'] = "Please enter a ";
		$admtext['netscapereload'] = "Netscape users: <br/>You must reload the Cemeteries page to see your new";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Deleting Note...";
		$admtext['addingnote'] = "Adding Note...";
		$admtext['addnewnote'] = "Add New Note";
		$admtext['note'] = "Note";
		$admtext['modifynote'] = "Modify Note";
		//added in 8.0.0
		$admtext['notechanges'] = "Changes to note";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Adding Event...";
		$admtext['deletingevent'] = "Deleting Event...";
		$admtext['updatingevent'] = "Updating Event...";
		$admtext['modifyevent'] = "Modify Event";
		$admtext['addnewevent'] = "Add New Event";

		$admtext['dateformat'] = "(DD MMM YYYY)";
		$admtext['age'] = "Age";
		$admtext['agency'] = "Agency";
		$admtext['cause'] = "Cause";
		$admtext['moreinfo'] = "More Information";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplicate for";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importing GEDCOM...<br/>(this may take several minutes)";
		$admtext['ifimportfails'] = "If the import fails to run to completion,";
		$admtext['opened'] = "opened...";
		$admtext['toresume'] = "to resume import";  //cannot open to resume import
		$admtext['openedtoresume'] = "opened to resume import...";
		$admtext['notresumed'] = "Import could not be resumed.";
		$admtext['finishedimporting'] = "Finished Importing GEDCOM";
		$admtext['treeexists'] = "Another tree already exists with the selected ID. Please select a different ID and try again.";
		$admtext['backtodataimport'] = "Back to Data Import";
		$admtext['moreoptions'] = "More Options";
		$admtext['removeged'] = "Delete GEDCOM file (optional)";
		$admtext['cannotupload'] = "Could not upload file:";
		$admtext['invfperms'] = "Your 'gedcom' folder may have inadequate permissions (try 755 or 777).";
		$admtext['maybedone'] = "It may have already finished.";
		$admtext['turnonsis'] = "Make sure 'Save Import State' is turned on in the Import Settings.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Changes to event type";
		$admtext['modifyeventtype'] = "Edit Existing Event Type";
		$admtext['individual'] = "Individual";
		$admtext['entertypedesc'] = "Please enter a type/description for this new event type.";
		$admtext['enterdisplay'] = "Please enter a display string for this new event type.";
		$admtext['existingeventtypeinfo'] = "Existing Event Type Information";
		$admtext['neweventtypeinfo'] = "New Event Type Information";
		$admtext['tag'] = "Tag";
		$admtext['typedescription'] = "Type/Description";
		$admtext['onimport'] = "On Import";
		$admtext['accept'] = "Accept";
		$admtext['ignore'] = "Ignore";
		$admtext['typerequired'] = "With custom tags (where tag = \"EVEN\"), this is the TYPE and is required. Optional for all other tags.";
		$admtext['addnewevtype'] = "Add New Event Type";
		$admtext['createnewevtype'] = "Create a new event type record";
		$admtext['forindividuals'] = "For Individuals...";
		$admtext['forfamilies'] = "For Families...";
		$admtext['existingevtypes'] = "Existing Event Types";
		$admtext['edsevtypes'] = "Edit, delete or sort previously entered event types";
		$admtext['indfam'] = "Ind/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Are you sure you want to delete this event type?";
		$admtext['selecttag'] = "Select Tag";
		$admtext['selectentertag'] = "Please select or enter the tag for this event type.";
		$admtext['orenter'] = "or enter";
		$admtext['ifbothdata'] = "will take precedence if both fields contain data";
		$admtext['EVEN'] = "Event";
		$admtext['ADOP'] = "Adopted";
		$admtext['ADDR'] = "Address";
		$admtext['ALIA'] = "Also Known As";
		$admtext['BARM'] = "Barmitzvah";
		$admtext['BASM'] = "Basmitzvah";
		$admtext['CAST'] = "Caste";
		$admtext['CENS'] = "Census";
		$admtext['CHRA'] = "Adult Christening";
		$admtext['CONF'] = "Confirmation";
		$admtext['CREM'] = "Cremated";
		$admtext['DSCR'] = "Physical Description";
		$admtext['EDUC'] = "Education";
		$admtext['EMIG'] = "Emigration";
		$admtext['FCOM'] = "First Communion";
		$admtext['GRAD'] = "Graduation";
		$admtext['IDNO'] = "National ID Number";
		$admtext['IMMI'] = "Immigration";
		$admtext['LANG'] = "Language";
		$admtext['NATI'] = "Nationality";
		$admtext['NATU'] = "Naturalization";
		$admtext['NCHI'] = "Count of Children";
		$admtext['NMR'] = "Count of Marriages";
		$admtext['OCCU'] = "Occupation";
		$admtext['ORDI'] = "Ordinance";
		$admtext['ORDN'] = "Ordained";
		$admtext['PHON'] = "Phone";
		$admtext['PROB'] = "Probate";
		$admtext['PROP'] = "Possessions";
		$admtext['RELI'] = "Religion";
		$admtext['RESI'] = "Residence";
		$admtext['RESN'] = "Restriction Notice";
		$admtext['RETI'] = "Retired";
		$admtext['RFN'] = "Permanent Record Number";
		$admtext['SSN'] = "Social Security Number";
		$admtext['WILL'] = "Will";
		$admtext['ANUL'] = "Annulled";
		$admtext['DIVF'] = "Divorce Filed";
		$admtext['ENGA'] = "Engaged";
		$admtext['MARB'] = "Marriage Banns";
		$admtext['MARC'] = "Marriage Contract";
		$admtext['MARL'] = "Marriage License";
		$admtext['MARS'] = "Marriage Settlement";
		$admtext['forsources'] = "For Sources...";
		$admtext['RIN'] = "Record ID Number";
		$admtext['REFN'] = "Reference Number";
		$admtext['REPO'] = "Repository";

		$admtext['deleteselected'] = "Delete Selected";
		$admtext['ignoreselected'] = "Ignore Selected";
		$admtext['acceptselected'] = "Accept Selected";
		$admtext['changestoallevtypes'] = "Changes to all event types";
		$admtext['forrepos'] = "For Repositories...";
		$admtext['noevtypes'] = "No event types exist.";
		$admtext['DESI'] = "Descendant Interest";
		$admtext['allnone'] = "Enter a display message for each language,<br />or leave all blank and enter one display message above.";
		$admtext['assocwith'] = "Associated with";
		$admtext['BAPM'] = "Baptism";
		$admtext['umps'] = "Your GEDCOM file may be larger than the maximum size allowed by your PHP installation. You can ask your provider to increase the 'upload_max_filesize' value, or you can copy your file to the 'gedcom' folder on your site and import it from there instead.";
		$admtext['othlangs'] = "Other Languages";
		$admtext['evdata'] = "Event Data";
		$admtext['ANCI'] = "Ancestor Interest";
		//added in 10.0.0
		$admtext['collapseev'] = "Collapse Event";
		$admtext['collapse'] = "Collapse";
		$admtext['collapseselected'] = "Collapse Selected";
		//added in 11.0.0
		$admtext['expselected'] = "Expand Selected";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Changes to family";
		$admtext['marrdate'] = "Marr Date"; //marriage date
		$admtext['modifyfamily'] = "Edit Existing Family";
		$admtext['selectfamaction'] = "Select Family and Action";
		$admtext['confdeletefam'] = "Are you sure you want to delete this family?";
		$admtext['existingfamilyinfo'] = "Existing Information for Family";
		$admtext['newfamilyinfo'] = "New Family Information";
		$admtext['sealedsdate'] = "Sealed S Date (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Sealed S Place (LDS)";     //S is for spouse
		$admtext['newchildren'] = "New Children";
		$admtext['addnewfamily'] = "Add New Family";
		$admtext['createnewfamily'] = "Create a record for a new family";
		$admtext['editexistingfaminfo'] = "Edit information for a previously entered family";
		$admtext['spousesids'] = "Spouses' IDs";
		$admtext['noname'] = "No Name";
		$admtext['familyidbefevent'] = "You must enter a Family ID before you can add new events.";
		$admtext['prefixfamilyid'] = "Please prefix Family ID with \"F\" for \"Family\"";
		$admtext['validfamilyid'] = "Please enter a valid Family ID. A valid ID is a numeric string prefixed with 'F'.";
		$admtext['familyidbefnote'] = "You must enter a Family ID before you can add new notes.";
		$admtext['familyidbefcite'] = "You must enter a Family ID before you can use citations with this family.";
		$admtext['genfamily'] = "General Family";
		$admtext['marriagetype'] = "Marriage Type";
		$admtext['reviewfamilies'] = "Accept or decline tentative changes to families";
		$admtext['fevslater'] = "Note: Children and additional events, plus event-specific notes and citations, may be added on the next screen.";
		$admtext['husbid'] = "Father ID";  //husband ID
		$admtext['wifeid'] = "Mother ID";
		$admtext['enternamepart'] = "Enter part of father's and/or mother's name";
		$admtext['pleasenamepart'] = "Please enter part of the father's or mother's name.";
		$admtext['clickfind'] = "Click Find or Create =>";
		$admtext['chunlinked'] = "Child unlinked from family";
		$admtext['child'] = "Child";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Adding Person...";
		$admtext['changestoperson'] = "Changes to person";
		$admtext['nobirthinfo'] = "No birth info";
		$admtext['modifyperson'] = "Edit Existing Person";
		$admtext['selectpersaction'] = "Select Person and Action";
		$admtext['existingpersoninfo'] = "Existing Information for Person";
		$admtext['firstgivennames'] = "First/Given Name(s)";
		$admtext['lastsurname'] = "Last/Surname";
		$admtext['nickname'] = "Nickname";
		$admtext['male'] = "Male";
		$admtext['female'] = "Female";
		$admtext['bapldate'] = "Baptism Date (LDS)";
		$admtext['baplplace'] = "Baptism Place (LDS)";
		$admtext['endldate'] = "Endowment Date (LDS)";
		$admtext['parents'] = "Parents";
		$admtext['father'] = "Father";
		$admtext['mother'] = "Mother";
		$admtext['unlinkindividual'] = "Unlink current individual";
		$admtext['aschild'] = "as child";
		$admtext['sealedpdate'] = "Sealed P Date (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Sealed P Place (LDS)";     //P is for parents
		$admtext['asspouse'] = "as spouse";
		$admtext['spouse'] = "Spouse";
		$admtext['ordernumber'] = "Order Number";
		$admtext['married'] = "Married";
		$admtext['nonewfamily'] = "Do not go to new family on save";
		$admtext['addnewperson'] = "Add New Person";
		$admtext['createperson'] = "Create a record for a new individual";
		$admtext['personidbefevent'] = "You must enter a Person ID before you can add new events.";
		$admtext['prefixpersonid'] = "Please prefix Person ID with \"I\" for \"Individual\"";
		$admtext['validpersonid'] = "Please enter a valid Person ID. A valid ID is a numeric string prefixed with 'I'.";
		$admtext['newpersoninfo'] = "New Person Information";
		$admtext['selectsex'] = "Please select a gender.";
		$admtext['shortform'] = "Short Form";
		$admtext['editexistingpersoninfo'] = "Edit information for a previously entered individual";
		$admtext['unknown'] = "Unknown";
		$admtext['personidbefnote'] = "You must enter a Person ID before you can add new notes.";
		$admtext['endlplace'] = "Endowment Place (LDS)";
		$admtext['personidbefcite'] = "You must enter a Person ID before you can use citations with this person.";
		$admtext['relationship'] = "Relationship";
		$admtext['asspouse'] = "as spouse";
		$admtext['mergepeople'] = "Merge information for duplicate individual records.";
		$admtext['choosemerge'] = "Choose individuals to merge or find potential matches";
		$admtext['usesoundex'] = "Use Soundex";
		$admtext['sdxdisclaimer'] = "Using this option will cause the program to take longer when finding the next match or duplicate.";
		$admtext['combinenotes'] = "Combine notes &amp; citations";
		$admtext['confirmmerge'] = "Are you sure you want to merge these two individuals?";
		$admtext['gotonewfamily'] = "Go to new family with current individual";
		$admtext['genperson'] = "General Individual";
		$admtext['reviewpeople'] = "Accept or decline tentative changes to individuals";
		$admtext['nokids'] = "No children";
		$admtext['noparents'] = "No parents";
		$admtext['association'] = "Association";
		$admtext['deletingassoc'] = "Deleting Association...";
		$admtext['addingassoc'] = "Adding Association...";
		$admtext['updatingassoc'] = "Updating Association...";
		$admtext['addnewassoc'] = "Add New Association";
		$admtext['modifyassoc'] = "Edit Existing Association";
		$admtext['pevslater'] = "Note: Additional events, plus event-specific notes and citations, may be added on the next screen.";
		$admtext['ashusband'] = "as father";
		$admtext['aswife'] = "as mother";
		$admtext['pevslater2'] = "Note: Additional events, plus event-specific notes and citations, may be added later.";
		$admtext['nospouse'] = "No spouse";
		$admtext['revassoc'] = "Also add reverse association for same two people";
		$admtext['prefix'] = "Prefix";
		$admtext['chkdel'] = "Check empty box to delete item at left";
		//added in 9.0.0
		$admtext['choosedef'] = "Choose<br/>default<br/>photo"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Confirmation Date (LDS)";
		$admtext['confplace'] = "Confirmation Place (LDS)";
		$admtext['initdate'] = "Initiatory Date (LDS)";
		$admtext['initplace'] = "Initiatory Place (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "The thumbnail file could not be copied to";
		$admtext['photo'] = "Photo";
		$admtext['changestophoto'] = "Changes to photo";
		$admtext['modifyphoto'] = "Edit Existing Photo";
		$admtext['addnewphoto'] = "Add New Photo";
		$admtext['selectphotoaction'] = "Select Photo and Action";
		$admtext['photoid'] = "Photo ID";
		$admtext['confdeletephoto'] = "Are you sure you want to delete this photo and all links associated with it?";
		$admtext['enterphotopath'] = "Please enter the path (folder and file name) of the image file within the photos folder on your web server.";
		$admtext['enterthumbnailpath'] = "Please enter the path (folder and file name) of the thumbnail image file within the photos folder on your web server.";
		$admtext['enterphotodesc'] = "Please enter a description for the image.";
		$admtext['existingphotoinfo'] = "Existing Photo Information";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Thumbnail Image File";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "File and Path Name";
		$admtext['sortphotos'] = "Sort Photos";
		$admtext['sortphotosfor'] = "Sort Photos for";
		$admtext['editexistingphotoinfo'] = "Edit information for a previously entered photo";
		$admtext['leaveblankallphotos'] = "leave blank to show all photos";
		$admtext['headstone'] = "Headstone";
		$admtext['imagenotcopied'] = "The image file could not be copied to";
		$admtext['changestohs'] = "Changes to headstone";
		$admtext['modifyheadstone'] = "Edit Existing Headstone";
		$admtext['selecthsaction'] = "Select Headstone and Action";
		$admtext['confdeletehs'] = "Are you sure you want to delete this headstone?";
		$admtext['photostatus'] = "Photo/Status";
		$admtext['selectcemetery'] = "Please select a cemetery.";
		$admtext['enterhsimage'] = "Please enter a file name for your headstone image on the web server.";
		$admtext['existinghsinfo'] = "Existing Headstone Information";
		$admtext['newhsinfo'] = "New Headstone Information";
		$admtext['hsimagefile'] = "Headstone Image File";
		$admtext['located'] = "Located";
		$admtext['notyetlocated'] = "Not yet located";
		$admtext['unmarked'] = "Unmarked";
		$admtext['missing'] = "Missing";
		$admtext['leaveblankhs'] = "Leave this field blank if the file has already been uploaded to your headstones folder.";
		$admtext['requiredhs'] = "Required. This should correspond to the name and location of your file <em>within the headstones folder</em> once the file is uploaded. For example, if your headstones folder is called <em>photos/headstones</em>, and you want your file to be called <em>headstone.jpg</em> and go in a subfolder of photos/headstones called <em>newheadstones</em>, you would enter <em>newheadstones/headstone.jpg</em> in this field.";
		$admtext['addnewhs'] = "Add New Headstone";
		$admtext['createnewhs'] = "Create a record for a new headstone and link it to an individual";
		$admtext['editexistinghsinfo'] = "Edit information for a previously entered headstone";
		$admtext['leaveblankallhs'] = "leave blank to show all headstones";
		$admtext['cemnamelocation'] = "Cemetery Name or Location";
		$admtext['pedphoto'] = "Use this photo on pedigree charts and in name titles";
		$admtext['photoowner'] = "Owner/Source";
		$admtext['dimensions'] = "Dimensions";
		$admtext['selectphoto'] = "Select Image";
		$admtext['specifyimg'] = "Specify image";
		$admtext['autoimg'] = "Create from original";
		$admtext['enterthumbpath'] = "Please enter a destination name for your thumbnail image";
		$admtext['genthumbs'] = "Generate Thumbnails";
		$admtext['genthumbsdesc'] = "Automatically generate smaller versions of all photos without existing thumbnails.";
		$admtext['thumbsgenerated'] = "Thumbnails generated";
		$admtext['makedefault'] = "Make Default";
		$admtext['filewithinhs'] = "Path within headstones folder <br/>(subfolder and file name)";
		$admtext['recsupdated'] = "Records updated";
		$admtext['removedef'] = "Remove default photo";
		$admtext['numlinkhs'] = "Number of people to link to this headstone";
		$admtext['sortheadstones'] = "Sort Headstones";
		$admtext['sortheadstonesfor'] = "Sort Headstones for";
		$admtext['sortheadstonesind'] = "Sort Headstones for an Individual";
		$admtext['headstoneorder'] = "Indicate a desired order for the headstones linked to a specific individual";
		$admtext['enternumberforphoto'] = "Enter a numeric value for each item.";
		$admtext['updownforphoto'] = "Click the up and down arrows to move items up or down in the order.";
		$admtext['createnewphoto'] = "Create a record for a new photo and link it to individuals, families or sources";
		$admtext['numlinkphoto'] = "Number of people, families or sources to link to this photo";
		$admtext['photoorder'] = "Indicate a desired order for the photos linked to a specific individual, family or source";
		$admtext['assigndefs'] = "Assign Default Photos";
		$admtext['assigndefsdesc'] = "Make first photo for each individual, family and source be that entity's default photo.";
		$admtext['overwritedefs'] = "Overwrite existing defaults";
		$admtext['assign'] = "Assign Defaults";
		$admtext['defsassigned'] = "Default photos assigned";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Image Map";
		$admtext['circle'] = "circle";
		$admtext['rect'] = "rectangle";
		$admtext['poly'] = "polygon";
		$admtext['shape'] = "Shape of region";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Width (pixels)";
		$admtext['height'] = "Height (pixels)";
		$admtext['imgdim'] = "Image dimensions";
		$admtext['pixw'] = "pixels wide";
		$admtext['pixh'] = "pixels high";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Changes to all selected photos";
		$admtext['changestoallhs'] = "Changes to all selected headstones";
		$admtext['datetaken'] = "Date Taken/Created";
		$admtext['placetaken'] = "Place Taken/Created";
		$admtext['abspath'] = "This media comes from an external source (you must supply your own thumbnail)";
		$admtext['imagefile'] = "Media File";
		$admtext['pathwithinphotos'] = "File name on site";
		$admtext['linktocem'] = "Link this media directly to the selected cemetery";
		$admtext['defphotonote'] = "Use the thumbnail to identify this person, family or source on pedigree and other charts, including family group sheets.";
		$admtext['photonotadded'] = "The item could not be added, most likely because another media record already exists for the collection and physical file specified.";
		$admtext['requiredphoto'] = "Required. This should correspond to the name and location of your file <em>within the collection folder</em> once the file is uploaded. For example, suppose you are uploading a photo and your photos folder is called <em>photos</em>. If you want your file to be called <em>myphoto.jpg</em> and go in a subfolder of photos called <em>newphotos</em>, you would enter <em>newphotos/myphoto.jpg</em> in this field.";
		$admtext['leaveblankphoto'] = "Leave this field blank if the file has already been uploaded.";
		$admtext['thumbconflicts'] = "Thumbnails not generated due to path, permissions, size or file name problems";
		$admtext['showmap'] = "Show cemetery map and media whenever this item is displayed";
		$admtext['bodytext'] = "<strong>OR</strong><br/>Body Text";
		$admtext['usenl'] = "Convert line breaks to HTML on display";
		$admtext['newwin'] = "Open in new window";
		$admtext['modifymedia'] = "Edit Existing Media";
		$admtext['addnewmedia'] = "Add New Media";
		$admtext['confdeletemedia'] = "Are you sure you want to delete this media?";
		$admtext['thumbnails'] = "Thumbnails";
		$admtext['modifyalbum'] = "Edit Existing Album";
		$admtext['addnewalbum'] = "Add New Album";
		$admtext['newalbuminfo'] = "New Album Information";
		$admtext['confdeletealbum'] = "Are you sure you want to delete this album?";
		$admtext['enteralbumname'] = "Please enter an album name.";
		$admtext['albumname'] = "Album Name";
		$admtext['keywords'] = "Keywords";
		$admtext['changestoalbum'] = "Changes to album";
		$admtext['addtoalbum'] = "Add to Album";
		$admtext['mediatype'] = "Collection";
		$admtext['fileext'] = "File ext."; //file extension (abbreviation)
		$admtext['anotherlink'] = "Add Another Link";
		$admtext['mediaurl'] = "Media URL";
		$admtext['put_in'] = "Store files in";
		$admtext['usemedia'] = "Multimedia Folder";
		$admtext['usecollect'] = "Collection Folder (e.g., \"photos\")";
		$admtext['notcopied'] = "The file could not be copied to";
		$admtext['existingmediainfo'] = "Existing Media Information";
		$admtext['convto'] = "Convert Selected to";
		$admtext['changestoallmedia'] = "Changes to all selected media";
		$admtext['changestoitem'] = "Changes to item";
		$admtext['eventlink'] = "Link to specific event";
		$admtext['sortmediaind'] = "Sort Media for an Individual, Family, Source, Repository or Place";
		$admtext['sortmedia'] = "Sort xxx for";
		$admtext['unlinked'] = "Unlinked only";
		$admtext['samepaths'] = "The principal image and the thumbnail image may not be the same file. Please select a different thumbnail image, or have one created for you.";
		$admtext['regenerate'] = "Regenerate existing thumbnails";
		$admtext['forcircles'] = "For circles";
		$admtext['forrects'] = "For rectangles";
		$admtext['circleinstr'] = "First click in the center of the circle, then click anywhere on the outside of the circle.";
		$admtext['rectinstr'] = "First click in the upper left corner of the rectangle, then click in the lower right corner.";
		$admtext['firstone'] = "first one";
		$admtext['controller'] = "Please allow about 16 vertical pixels for the media player controller.";
		$admtext['nostatus'] = "No status";
		$admtext['enterid'] = "Please enter an ID for the selected Link Type.";
		$admtext['existingalbuminfo'] = "Album Information";
		$admtext['newmediainfo'] = "Media Information";
		$admtext['mapinstr2'] = "Link regions of your image to different people or other pages (optional)";
		$admtext['mapinstr3'] = "To link a region of this photo to an individual, first select the individual's tree, then create a rectangle for the desired region. This is done by clicking in the upper left corner of the region and then dragging to the lower right corner. Alternately, you may click in the upper left corner and then again in the lower right corner. A popup box will then help you select the individual. After the selection is made, code for the image map will be added to the box below. Repeat this process as needed for additional regions.";
		$admtext['albumlinks'] = "Album Links";
		$admtext['duplinkmsg'] = "A link to the selected entity already exists in this album.";
		$admtext['invlinkmsg'] = "The entity ID you entered is invalid. No link was created.";
		$admtext['albmedia'] = "Album Media";
		$admtext['removelink'] = "Remove Link";
		$admtext['confremmedia'] = "Are you sure you want to remove this media from this album?";
		$admtext['selmedia'] = "Search for existing media to include in this album";
		$admtext['uploadfirst'] = "upload new media here first";
		$admtext['existmedia'] = "Existing Media";
		$admtext['emoptions'] = "Browse, Delete or Drag to Sort";
		$admtext['addlinks'] = "Add New Links";
		$admtext['eloptions'] = "Browse or Delete";
		$admtext['inclmsg'] = " included";
		$admtext['mediasubt'] = "Manage media included in this album (Add, Delete, Sort)";
		$admtext['infosubt'] = "Edit album name, description and keywords";
		$admtext['linkssubt'] = "Link this album to People, Families, Sources, Repositories or Places";
		$admtext['inclmedia'] = "Included Media";
		$admtext['nomedia'] = "No media included yet";
		$admtext['nolinks'] = "No links exist yet";
		$admtext['thumbsize'] = "(original is too large)";
		$admtext['thumbinv'] = "(invalid image or inadequate permissions)";
		$admtext['thumblost'] = "(original not found)";
		$admtext['uplsel'] = "Upload a new file from your computer, or select from files already on your site";
		$admtext['alblater'] = "Note: Media may be added to this album, and the album linked to individuals or families, on the next screen.";
		$admtext['medlater'] = "Note: More information may be added, and the item linked to individuals or families, on the next screen.";
		$admtext['minfosubt'] = "Edit media title, description and other basic details";
		$admtext['medialinks'] = "Media Links";
		$admtext['defphoto'] = "Default Photo";
		$admtext['alttd'] = "Alt Title/Desc";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Edit Media Link";
		$admtext['plot'] = "Plot";
		$admtext['addnewcoll'] = "Add Collection";
		$admtext['collid'] = "Collection ID";
		$admtext['colldisplay']= "Display Title";
		$admtext['collpath'] = "Folder Name";
		$admtext['collicon'] = "Icon File";
		$admtext['colllike'] = "Same setup as";
		$admtext['entercollid'] = "Please enter a collection ID.";
		$admtext['entercolldisplay'] = "Please enter a collection display name.";
		$admtext['entercollpath'] = "Please enter a collection folder name.";
		$admtext['entercollicon'] = "Please enter a collection icon file name.";
		$admtext['editcoll'] = "Edit Collection";
		$admtext['confmtdelete'] = "Are you sure you want to delete this media type?";
		$admtext['histlimit'] = "<strong>Size note:</strong> Most browsers limit the amount of data that can be sent in a web form to about 64Kb. If you have a large amount of text to type or paste in the Body Text field above, you might consider using historytemplate.php instead. See the Help for more information.";
		$admtext['repath'] = "Regenerate thumbnail path names where file does not exist";
		$admtext['sortalbumind'] = "Sort Albums for an Individual, Family, Source, Repository or Place";
		$admtext['cidexists'] = "The Collection ID you entered could not be added because it already exists.";
		$admtext['phalltrees'] = "Optional. Leave blank to allow photos to be visible in all trees.";
		//added in 8.0.0
		$admtext['fileexists'] = "This file already exists. Overwrite?";
		$admtext['collthumb'] = "Thumbnail File";
		$admtext['movetop'] = "Move to top";
		//added in 9.0.0
		$admtext['collexpas'] = "Export as";
		//added in 9.2.0
		$admtext['upload'] = "Upload";
		$admtext['linksel'] = "Link to selected";
		$admtext['mediaupl'] = "Upload Media";
		$admtext['addfiles'] = "Add files...";
		$admtext['startupl'] = "Start upload";
		$admtext['start'] = "Start";
		$admtext['cancelupl'] = "Cancel upload";
		//added in 11.0.0
		$admtext['localpath'] = "Local path(s)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Changes to report";
		$admtext['modifyreport'] = "Edit Existing Report";
		$admtext['existingreportinfo'] = "Existing Report Information";
		$admtext['existingreports'] = "Existing Reports";
		$admtext['newreportinfo'] = "New Report Information";
		$admtext['reportname'] = "Report Name";
		$admtext['rankpriority'] = "Rank/Priority";
		$admtext['choosedisplay'] = "Choose Fields to Display";
		$admtext['spouseid'] = "Spouse ID";
		$admtext['spousename'] = "Spouse Name";
		$admtext['lastmodified'] = "Last Modified Date";
		$admtext['ldsbapldate'] = "LDS Baptism Date";
		$admtext['ldsbaplplace'] = "LDS Baptism Place";
		$admtext['ldsendldate'] = "LDS Endowment Date";
		$admtext['ldsendlplace'] = "LDS Endowment Place";
		$admtext['ldssealsdate'] = "LDS Seal/Spouse Date";
		$admtext['ldssealsplace'] = "LDS Seal/Spouse Place";
		$admtext['ldssealpdate'] = "LDS Seal/Parents Date";
		$admtext['ldssealpplace'] = "LDS Seal/Parents Place";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Choose Criteria";
		$admtext['fullname'] = "Full Name";
		$admtext['lastfirst'] = "Last Name, First Name";
		$admtext['monthonlyfrom'] = "Month Only From";
		$admtext['yearonlyfrom'] = "Year Only From";
		$admtext['dayonlyfrom'] = "Day Only From";
		$admtext['operators'] = "Operators";
		$admtext['contains'] = "contains";
		$admtext['startswith'] = "starts with";
		$admtext['endswith'] = "ends with";
		$admtext['text_and'] = "AND";
		$admtext['currentmonth'] = "Current Month";
		$admtext['currentyear'] = "Current Year";
		$admtext['currentday'] = "Current Day";
		$admtext['constantstring'] = "Constant String";
		$admtext['constantvalue'] = "Constant Value";
		$admtext['foremptystring'] = "For an empty string, leave this field blank and click \"Add >>.\"";
		$admtext['choosesort'] = "Choose Sort Fields";
		$admtext['savereport'] = "Save Report";
		$admtext['addnewreport'] = "Add New Report";
		$admtext['createreport'] = "Create a new report";
		$admtext['noreports'] = "No reports exist";
		$admtext['rank'] = "Rank";
		$admtext['confreportdelete'] = "Are you sure you want to delete this report?";
		$admtext['enterreportname'] = "Please enter a Report Name.";
		$admtext['selectdisplayfield'] = "Please select at least one display field.";
		$admtext['today'] = "Today (true date)";
		$admtext['convtodays'] = "Convert to Days";
		$admtext['desc'] = "Descending (Prev)";
		$admtext['birthdatetr'] = "Birth Date (True)";
		$admtext['chrdatetr'] = "Christening Date (True)";
		$admtext['deathdatetr'] = "Death Date (True)";
		$admtext['burialdatetr'] = "Burial Date (True)";
		$admtext['marriagedatetr'] = "Marriage Date (True)";
		$admtext['ldsbapldatetr'] = "LDS Baptism Date (True)";
		$admtext['ldsendldatetr'] = "LDS Endowment Date (True)";
		$admtext['ldssealsdatetr'] = "LDS Seal/Spouse Date (True)";
		$admtext['ldssealpdatetr'] = "LDS Seal/Parents Date (True)";
		$admtext['currentmonthnum'] = "Current Month Number";
		$admtext['livingtrue'] = "Living = yes";
		$admtext['livingfalse'] = "Living = no";
		$admtext['altreport'] = "OR Leave Display, Criteria and Sort fields blank and enter direct SQL SELECT statement here";
		$admtext['rptdate'] = "Date";
		$admtext['rptdatetr'] = "Date (True)";
		$admtext['fact'] = "Fact";
		$admtext['testeditdelete'] = "Add, edit, test or delete reports";
		$admtext['wnmsg'] = "Message on \"What's New\" Page";
		$admtext['mwtype'] = "Type";
		$admtext['mysphoto'] = "Mystery Photos";
		$admtext['mysperson'] = "Elusive People";
		$admtext['selphoto'] = "Select Photo";
		$admtext['entertitle'] = "Please enter a title";
		$admtext['enterdesc'] = "Please enter a description";
		$admtext['confremmw'] = "Are you sure you want to remove this item?";
		$admtext['msgsaved'] = "Message saved";
		//added in 9.1.1
		$admtext['privatetrue'] = "Private = yes";
		$admtext['privatefalse'] = "Private = no";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Confirmation Date";
		$admtext['ldsconfplace'] = "LDS Confirmation Place";
		$admtext['ldsconfdatetr'] = "LDS Confirmation Date (True)";
		$admtext['ldsinitdate'] = "LDS Initiatory Date";
		$admtext['ldsinitplace'] = "LDS Initiatory Place";
		$admtext['ldsinitdatetr'] = "LDS Initiatory Date (True)";
		$admtext['savecopy'] = "Save as copy";
		$admtext['activeonly'] = "Active only";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Please select a file to import.";
		$admtext['importgedcom'] = "Import GEDCOM (standard 5.5 format)";
		$admtext['addreplacedata'] = "Add to or replace your genealogy (may take several minutes, depending on the size of your file)";
		$admtext['fromyourcomputer'] = "From your computer";
		$admtext['importdata'] = "Import Data";
		$admtext['setupfirsttime'] = "Set up the software for the first time.";
		$admtext['replace'] = "Replace (in selected tree)";
		$admtext['desttree'] = "Destination Tree";
		$admtext['selectdesttree'] = "Please select or enter a destination tree.";
		$admtext['selectexisting'] = "Import into";
		$admtext['importgedcom2'] = "Import a GEDCOM file";
		$admtext['setupitems'] = "Create database tables, Set preferences";
		$admtext['custeventitems'] = "Manage custom tags and event types";
		$admtext['usersitems'] = "Manage users and permissions";
		$admtext['reportsitems'] = "Create custom lists and reports";
		$admtext['langitems'] = "Manage alternate languages";
		$admtext['backupitems'] = "Back up, restore and optimize database tables";
		$admtext['ucaselast'] = "Upper case all surnames";
		$admtext['norecalc'] = "Do not recalculate Living flag";
		$admtext['autooffset'] = "Start IDs at first available number";

		$admtext['mustselecttree'] = "You must select a tree before choosing this option.";
		$admtext['importmedia'] = "Import media if present";
		$admtext['mainmenu'] = "Main Menu";
		$admtext['neweronly'] = "Replace only if newer";
		$admtext['secondaryitems'] = "Create a GENDEX file, Track lines of descent";
		$admtext['onwebserver'] = "From web site (in GEDCOM folder)";
		$admtext['eventsonly'] = "Import Custom Event Types only (no data is added, replaced or appended)";
		$admtext['imphints'] = "Hints: All Current Data means all people, families, sources and notes (media associations are not lost as long as IDs remain the same). Matches are always based on IDs only. New records are always added. Append imports all records with new IDs.";
		$admtext['allevents'] = "Accept data for all new Custom Event Types";
		$admtext['destbranch'] = "Destination Branch (optional)";
		$admtext['inframe'] = "(in frame)";
		$admtext['getstart'] = "Getting Started";
		$admtext['importlatlong'] = "Import latitude / longitude data if present";
		$admtext['opening'] = "Opening";
		$admtext['reopen'] = "Reopening";
		$admtext['uploading'] = "Uploading";
		$admtext['stop'] = "Stop";
		$admtext['stopped'] = "Import stopped";
		$admtext['resume'] = "Resume";
		//changed in 8.0.0
		$admtext['showlog'] = "Admin Log";
		//added in 8.0.0
		$admtext['mmgritems'] = "Install and Remove TNG Mods";
		//added in 9.0.0
		$admtext['oldimport'] = "Old style import (no progress bar)";
		//changed in 11.0.0
		$admtext['miscitems'] = "What's New, Most Wanted, Data Validation";
		//added in 11.0.0
		$admtext['tasks'] = "Important tasks";
		$admtext['task_revusers'] = "Review new user registrations";
		$admtext['task_tree'] = "Create your first tree";
		$admtext['task_user'] = "Create a user account for yourself";
		$admtext['task_people'] = "add new people";
		$admtext['task_families'] = "Add new families";
		$admtext['task_revind'] = "Review proposed changes to individual events";
		$admtext['task_revfam'] = "Review proposed changes to family events";
		$admtext['task_backup'] = "Back up the data";
		$admtext['nobackups'] = "no backups exist";
		$admtext['lastbackup'] = "last backup more than xxx days ago";
		$admtext['dna_blurb'] = "Log DNA tests and link them to individuals";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Changes to source";
		$admtext['modifysource'] = "Edit Existing Source";
		$admtext['selectsrcaction'] = "Select Source and Action";
		$admtext['shorttitle'] = "Short Title";
		$admtext['longtitle'] = "Long Title";
		$admtext['author'] = "Author";
		$admtext['callnumber'] = "Call Number";
		$admtext['publisher'] = "Publisher";
		$admtext['actualtext'] = "Actual Text";
		$admtext['confdeletesrc'] = "Are you sure you want to delete this source?";
		$admtext['selectshorttitle'] = "Please select or enter a short title for this event type.";
		$admtext['existingsourceinfo'] = "Existing Information for Source";
		$admtext['newsourceinfo'] = "New Source Information";
		$admtext['addnewsource'] = "Add New Source";
		$admtext['prefixsourceid'] = "Please prefix Source ID with \"S\" for \"Source\"";
		$admtext['entersourceid'] = "Please enter a Source ID.";
		$admtext['validsourceid'] = "Please enter a valid Source ID. A valid ID is a numeric string prefixed with 'S'.";
		$admtext['createsource'] = "Create a record for a new source";
		$admtext['editexistingsource'] = "Edit information for a previously entered source";
		$admtext['addnewcite'] = "Add New Citation";
		$admtext['reliability'] = "Reliability";
		$admtext['relyexplain'] = "Higher numbers indicate greater reliability.";
		$admtext['citedate'] = "Citation Date";
		$admtext['modifycite'] = "Edit Existing Citation";
		$admtext['addingcite'] = "Adding Citation...";
		$admtext['deletingcite'] = "Deleting Citation...";
		$admtext['updatingcite'] = "Updating Citation...";
		$admtext['citation'] = "Citation";
		$admtext['sevslater'] = "Note: Additional events and notes may be added after the new source has been saved.";
		$admtext['pleasesourcepart'] = "Please enter part of the source title.";
		$admtext['addnewrepo'] = "Add New Repository";
		$admtext['modifyrepo'] = "Edit Existing Repository";
		$admtext['createrepo'] = "Create a record for a new repository";
		$admtext['editexistingrepo'] = "Edit information for a previously entered repository";
		$admtext['enterrepoid'] = "Please enter a Repository ID.";
		$admtext['enterreponame'] = "Please enter a Repository name.";
		$admtext['newrepoinfo'] = "New Repository Information";
		$admtext['prefixrepoid'] = "Please prefix Repository ID with \"REPO\" for \"Repository\"";
		$admtext['selectrepoaction'] = "Select Repository and Action";
		$admtext['confdeleterepo'] = "Are you sure you want to delete this repository?";
		$admtext['changestorepo'] = "Changes to repository";
		$admtext['existingrepoinfo'] = "Existing Information for Repository";
		$admtext['pleaserepopart'] = "Please enter part of the repository title.";
		$admtext['choosemergesources'] = "Choose sources to merge or find potential matches";
		$admtext['confirmmergesources'] = "Are you sure you want to merge these two sources?";
		$admtext['choosemergerepos'] = "Choose repositories to merge or find potential matches";
		$admtext['confirmmergerepos'] = "Are you sure you want to merge these two repositories?";
		$admtext['revslater'] = "Note: Additional events and notes may be added after the new repository has been saved.";
		$admtext['confdeleterepo'] = "Are you sure you want to delete this repository?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Check New ID";
		$admtext['idnotvalid'] = "is not a valid ID. A valid ID is a numeric string prefixed with";
		$admtext['idinuse'] = "is in use. Please choose a different ID";
		$admtext['idok'] = "is OK to use";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Template Number";
		$admtext['mainimage'] = "Main image (home page)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Title image (home page)"; //1, 2, 3
		$admtext['headline'] = "Headline"; //4, 7
		$admtext['mainpara'] = "Welcome paragraph";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Header image (including title)"; //1
		$admtext['pedperson'] = "Pedigree person ID"; //2
		$admtext['pedtree'] = "Pedigree tree ID"; //2
		$admtext['phhistperson'] = "Photos &amp; Histories person ID"; //2
		$admtext['phhisttree'] = "Photos &amp; Histories tree ID"; //2
		$admtext['headimg'] = "Header image"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Header title image"; //2, 3
		$admtext['titleimg'] = "Title image (all pages)"; //4, 7
		$admtext['searchpara'] = "Search paragraph"; //6
		$admtext['fhpara'] = "Family Histories paragraph"; //6
		$admtext['fhlinkshis'] = "Family Histories links (His)"; //6
		$admtext['fhlinkshers'] = "Family Histories links (Hers)"; //6
		$admtext['mwpara'] = "Most Wanted paragraph"; //6
		$admtext['respara'] = "Resources paragraph"; //6
		$admtext['reslinks'] = "Resources links"; //6
		$admtext['headtitle1'] = "Header title, part 1"; //8
		$admtext['headtitle2'] = "Header title, part 2"; //8
		$admtext['headtitle3'] = "Header title, part 3"; //8
		$admtext['headsubtitle'] = "Header subtitle"; //8
		$admtext['latestnews'] = "Latest news"; //8
		$admtext['momside'] = "Mom's Side label"; //8
		$admtext['dadside'] = "Dad's Side label"; //8
		$admtext['momperson'] = "Mom's Side person ID"; //8
		$admtext['momtree'] = "Mom's Side tree ID"; //8
		$admtext['dadperson'] = "Dad's Side person ID"; //8
		$admtext['dadtree'] = "Dad's Side tree ID"; //8
		$admtext['featurethumb1'] = "Feature 1 thumbnail"; //4
		$admtext['featurelink1'] = "Feature 1 link"; //4
		$admtext['featuretitle1'] = "Feature 1 title"; //4
		$admtext['featurepara1'] = "Feature 1 paragraph"; //4
		$admtext['featurethumb2'] = "Feature 2 thumbnail"; //4
		$admtext['featurelink2'] = "Feature 2 link"; //4
		$admtext['featuretitle2'] = "Feature 2 title"; //4
		$admtext['featurepara2'] = "Feature 2 paragraph"; //4
		$admtext['featurethumb3'] = "Feature 3 thumbnail"; //4
		$admtext['featurelink3'] = "Feature 3 link"; //4
		$admtext['featuretitle3'] = "Feature 3 title"; //4
		$admtext['featurepara3'] = "Feature 3 paragraph"; //4
		$admtext['featurethumb4'] = "Feature 4 thumbnail"; //4
		$admtext['featurelink4'] = "Feature 4 link"; //4
		$admtext['featuretitle4'] = "Feature 4 title"; //4
		$admtext['featurepara4'] = "Feature 4 paragraph"; //4
		$admtext['photocaption'] = "Main image caption"; //4
		$admtext['maintitle'] = "Main title"; //5
		$admtext['hisside'] = "His Side label"; //5
		$admtext['herside'] = "Her Side label"; //5
		$admtext['newstext'] = "News text"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Enable Template Selection";
		//added in 9.0.0
		$admtext['template'] = "Template";
		$admtext['createcopy'] = "Create copy in";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Feature links"; //9, 10
		$admtext['featurepara'] = "Features paragraph"; //9, 10
		$admtext['welcome'] = "Welcome headline"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mom's Side names"; //8
		$admtext['dadsidenames'] = "Dad's Side names"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Features paragraph";
		$admtext['menutitle'] = "Menu Title";
		$admtext['titlechoice'] = "Title option";
		$admtext['photol'] = "Left image";
		$admtext['phototitlel'] = "Left image title";
		$admtext['photocaptionl'] = "Left image caption";
		$admtext['photor'] = "Right image";
		$admtext['phototitler'] = "Right image title";
		$admtext['photocaptionr'] = "Right image caption";
		$admtext['topsurnames'] = "Top Surnames label";
		$admtext['headimg2'] = "Header image 2"; //14
		$admtext['headimg3'] = "Header image 3"; //14
		$admtext['showprev'] = "Show Previews";
		$admtext['hideprev'] = "Hide Previews";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Feature 5 thumbnail"; //15
		$admtext['featurelink5'] = "Feature 5 link"; //15
		$admtext['featuretitle5'] = "Feature 5 title"; //15
		$admtext['featurepara5'] = "Feature 5 paragraph"; //15
		$admtext['featurethumb6'] = "Feature 6 thumbnail"; //15
		$admtext['featurelink6'] = "Feature 6 link"; //15
		$admtext['featuretitle6'] = "Feature 6 title"; //15
		$admtext['featurepara6'] = "Feature 6 paragraph"; //15
		$admtext['featurethumb7'] = "Feature 7 thumbnail"; //15
		$admtext['featurelink7'] = "Feature 7 link"; //15
		$admtext['featurepara7'] = "Feature 7 paragraph"; //15
		$admtext['featurethumb8'] = "Feature 8 thumbnail"; //15
		$admtext['featurelink8'] = "Feature 8 link"; //15
		$admtext['featurepara8'] = "Feature 8 paragraph"; //15
		$admtext['sidebarhead1'] = "Sidebar header 1"; //15
		$admtext['sidebarhead2'] = "Sidebar header 2"; //15
		$admtext['sidebarhead3'] = "Sidebar header 3"; //15
		$admtext['texttitle1'] = "Text 1 title"; //15
		$admtext['textlink1'] = "Text 1 link"; //15
		$admtext['textpara1'] = "Text 1 paragraph"; //15
		$admtext['texttitle2'] = "Text 2 title"; //15
		$admtext['textlink2'] = "Text 2 link"; //15
		$admtext['textpara2'] = "Text 2 paragraph"; //15
		$admtext['texttitle3'] = "Text 3 title"; //15
		$admtext['textpara3'] = "Text 3 paragraph"; //15
		$admtext['subhead1'] = "Subhead 1"; //15
		$admtext['subhead2'] = "Subhead 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tables created successfully.";
		$admtext['backtosetup'] = "Back to the Setup Menu";
		$admtext['configuration'] = "Configuration";
		$admtext['entersysvars'] = "Enter values for system variables.";
		$admtext['createdbtables'] = "Create the database tables to hold your information.";
		$admtext['tcwarning'] = "<strong>Warning!</strong> Select this option only when you are setting your site up for the first time. <strong>All existing data, including photos, histories, headstones and cemetery information, will be erased!</strong>";
		$admtext['conftabledelete'] = "This will delete ALL your existing data!! Are you sure you want to continue?";
		$admtext['performdatamaint'] = "Perform data maintenance and manage photos, histories and other components.";
		$admtext['createtables'] = "Create Tables";
		$admtext['configsettings'] = "General Settings";
		$admtext['logconfigsettings'] = "Log Settings";
		$admtext['importconfigsettings'] = "Import Settings";
		$admtext['diagnostics'] = "Diagnostics";
		$admtext['rundiags'] = "Run Diagnostics";
		$admtext['phpinf'] = "PHP Info Screen";
		$admtext['fromphp'] = "This information comes from your server and relates to your PHP installation, not TNG.";
		$admtext['phpver'] = "PHP version";
		$admtext['phpreq'] = "(TNG requires 5.3 or higher.)";
		$admtext['gdlib'] = "GD graphics library";
		$admtext['gdreq'] = "(Required for TNG's thumbnail creation tools.)";
		$admtext['availnogif'] = "Available, but does not support .gif images";
		$admtext['notinst'] = "Not installed";
		$admtext['safemode'] = "Safe Mode";
		$admtext['off'] = "Off";
		$admtext['on'] = "On";
		$admtext['fileuploads'] = "File Uploads";
		$admtext['fureq'] = "(Required for web-based GEDCOM upload, image upload and other form functionality.)";
		$admtext['perm'] = "Permitted";
		$admtext['notperm'] = "Not permitted, use FTP instead";
		$admtext['sqlver'] = "MySQL version";
		$admtext['sqlreq'] = "(TNG requires 5.5 or higher.)";
		$admtext['wsrvr'] = "Webserver";
		$admtext['fperms'] = "File/Folder Permissions";
		$admtext['fpreq'] = "(TNG requires some files and folders to have special access rights.)";
		$admtext['scruser'] = "Script running as user:";
		$admtext['phpuser'] = "PHP reports it as user:";
		$admtext['usrprob'] = "You may not have the necessary level of file access to run TNG without problems if you use both FTP and the TNG admin functions to manage files.";
		$admtext['rofile'] = "File is read-only:";
		$admtext['rofolder'] = "Folder is read-only:";
		$admtext['publog'] = "Public log";
		$admtext['admlog'] = "Admin log";
		$admtext['folderdne'] = "Folder does not exist:";
		$admtext['keyrw'] = "Key folders are all read/write";
		$admtext['cfgrw'] = "Configuration files are all read/write";
		$admtext['acceptable'] = "Acceptable.";
		$admtext['restricted'] = "Some functionality may be restricted. You may encounter errors during installation or while running TNG.";
		$admtext['needchngs'] = "TNG may not run without changes to your PHP or server configuration.";
		$admtext['yourbrowser'] = "Your browser:";
		$admtext['modifysettings'] = "Modify Configuration Settings";
		$admtext['dbhost'] = "Database Host";
		$admtext['dbname'] = "Database Name";
		$admtext['dbusername'] = "Database User Name";
		$admtext['dbpassword'] = "Database Password";
		$admtext['rootpath'] = "Root Path";
		$admtext['homepage'] = "Home Page";
		$admtext['emailaddress'] = "E-mail Address";
		$admtext['siteowner'] = "Site Owner";
		$admtext['maxdescgens'] = "Max Descendancy Generations";
		$admtext['disallow'] = "Disallow";
		$admtext['defaultallowed'] = "Default: Allowed";
		$admtext['maxsearchresults'] = "Max Search Results";
		$admtext['targetframe'] = "Target Frame";
		$admtext['table'] = "Table";
		$admtext['lastbackup'] = "Last Backup";
		$admtext['backup'] = "Back up";
		$admtext['restore'] = "Restore";
		$admtext['backupfilesize'] = "File Size";
		$admtext['succbackedup'] = "successfully backed up";
		$admtext['succrestored'] = "successfully restored";
		$admtext['change_cutoff'] = "'What's New' Days";
		$admtext['change_limit'] = "'What's New' Limit";
		$admtext['photosext'] = "Photos Extension";
		$admtext['defaulttree'] = "Default Tree";
		$admtext['requirelogin'] = "Require Login";
		$admtext['defaultdontrequire'] = "Default: Don't Require";
		$admtext['ldsdefault'] = "Show LDS Data";
		$admtext['ldson'] = "Always";
		$admtext['ldsoff'] = "Never";
		$admtext['ldspermit'] = "Depending on user rights";
		$admtext['allow'] = "Allow";
		$admtext['chooselang'] = "Dynamic Language Change";
		$admtext['optimize'] = "Optimize";
		$admtext['succoptimized'] = "successfully optimized";
		$admtext['customheader'] = "Custom Header";
		$admtext['customfooter'] = "Custom Footer";
		$admtext['custommeta'] = "Custom Meta";
		$admtext['lineending'] = "Line Ending";
		$admtext['backuppath'] = "Backup Folder";
		$admtext['photopath'] = "Photo Folder";
		$admtext['headstonepath'] = "Headstone Folder";
		$admtext['historypath'] = "History Folder";
		$admtext['backuprestoretables'] = "Back up, Restore &amp; Optimize Table Data";
		$admtext['shownames'] = "Show Names for Living";
		$admtext['initials'] = "Abbreviate first name";
		$admtext['regformat'] = "Register Format";
		$admtext['stdformat'] = "Standard Format";
		$admtext['thumbprefix'] = "Thumbnails Prefix";
		$admtext['thumbmaxh'] = "Thumbnail Max Height";
		$admtext['thumbmaxw'] = "Thumbnail Max Width";
		$admtext['thumbsuffix'] = "Thumbnails Suffix";
		$admtext['showextended'] = "Show Extended Photo Info";
		$admtext['shownotes'] = "Show Notes";
		$admtext['notestogether'] = "Underneath corresponding events where possible";
		$admtext['notestogether2'] = "Underneath events, except general notes";
		$admtext['notesapart'] = "In Notes section";
		$admtext['lnprefixes'] = "Surname Prefixes (i.e., van, de)";
		$admtext['lntogether'] = "Keep as part of regular surname";
		$admtext['lnapart'] = "Treat as separate entity";
		$admtext['detectpfx'] = "Prefix Detection on Import";
		$admtext['lnpfxnum'] = "Num. prefixes each  (max)";
		$admtext['specpfx'] = "OR These specific prefixes";
		$admtext['newmedialinks'] = "New links for Photos/Histories";
		$admtext['maxgedcom'] = "Max Generations, GEDCOM download";
		$admtext['placestable'] = "Places Table";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Genealogy URL";
		$admtext['charset'] = "Character set";
		$admtext['time_offset'] = "Server time offset (hours)";
		$admtext['backupall'] = "Back up Selected";
		$admtext['optimizeall'] = "Optimize Selected";
		$admtext['alltables'] = "Selected Tables";
		$admtext['brinstructions'] = "To back up, restore or optimize a table, click on the appropriate action icon for that table, or select multiple tables and apply that action to all selected by choosing the corresponding action at the top of the screen.";
		$admtext['tabstyle'] = "Tabs Style Sheet";
		$admtext['iconloc'] = "Menu Location";
		$admtext['topleft'] = "Top left, over heading";
		$admtext['topright'] = "Top right, next to heading";
		$admtext['indstart'] = "Individuals start with";
		$admtext['persinfo'] = "Personal information only";
		$admtext['allinfo'] = "All information";
		$admtext['thumbcols'] = "Columns in Thumbnail View";
		$admtext['stdesc'] = "Start Descendancy";
		$admtext['stexpand'] = "Expanded";
		$admtext['stcollapse'] = "Collapsed";
		$admtext['regnosp'] = "Register Generations";
		$admtext['chshow'] = "Always show everyone";
		$admtext['chifsp'] = "Remove individuals with no family";
		$admtext['restoreall'] = "Restore Selected";
		$admtext['surerestore'] = "Are you sure you want to restore the selected tables?";
		$admtext['surerestorets'] = "Are you sure you want to restore the table structure? All existing data will be lost!";
		$admtext['backupstruct'] = "Back up Table Structure";
		$admtext['tablestruct'] = "Table structure";
		$admtext['brinstructions2'] = "To back up or restore the table structure, click on the appropriate action icon below. WARNING: Restoring the table structure will delete all existing data!";
		$admtext['livedefault'] = "Show Living Data";
		$admtext['nodisplay'] = "Do not display";
		$admtext['menudisp'] = "Display menu";
		$admtext['asicons'] = "As icons";
		$admtext['asdrop'] = "As dropdown list";
		$admtext['gendex'] = "GENDEX Folder";
		$admtext['modifypedsettings'] = "Modify Pedigree Configuration Settings";
		$admtext['leftindent'] = "Left Indent";
		$admtext['boxnamesize'] = "Box Name Size";
		$admtext['namesizeshift'] = "Name Size Shift";
		$admtext['boxdatessize'] = "Box Dates Size";
		$admtext['datessizeshift'] = "Dates Size Shift";
		$admtext['boxcolor'] = "Box Color";
		$admtext['colorshift'] = "Color Shift (%)";
		$admtext['emptycolor'] = "Empty Color";
		$admtext['bordercolor'] = "Border Color";
		$admtext['shadowcolor'] = "Shadow Color";
		$admtext['boxwidth'] = "Box Width (w/o popups)";
		$admtext['boxheight'] = "Box Height (w/o popups)";
		$admtext['boxalign'] = "Box Alignment (w/o popups)";
		$admtext['boxheightshift'] = "Box Height Shift (w/o popups)";
		$admtext['boxHsep'] = "Box Horizontal Separation";
		$admtext['boxVsep'] = "Box Vertical Separation";
		$admtext['shadowoffset'] = "Shadow Offset";
		$admtext['linewidth'] = "Line Width";
		$admtext['borderwidth'] = "Border Width";
		$admtext['popupcolor'] = "Popup Color";
		$admtext['popupinfosize'] = "Popup Info Size";
		$admtext['popupinfosizeshift'] = "Popup Info Size Shift";
		$admtext['popuptimer'] = "Popup Timer (ms)";
		$admtext['pedevent'] = "Popup Event";
		$admtext['puboxwidth'] = "Box Width (w/popups)";
		$admtext['puboxheight'] = "Box Height (w/popups)";
		$admtext['puboxalign'] = "Box Alignment (w/popups)";
		$admtext['puboxheightshift'] = "Box Height Shift (w/popups)";
		$admtext['popupspouses'] = "Popup Spouses";
		$admtext['popupkids'] = "Popup Children";
		$admtext['popupchartlinks'] = "Popup Chart Links";
		$admtext['inclphotos'] = "Include Photos";
		$admtext['overflow'] = "Overflow";
		$admtext['pedcompact'] = "Compact";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Text Only";
		$admtext['relchart'] = "Relationship Chart";
		$admtext['maxupgen'] = "Max Relationship Generations";
		$admtext['left'] = "Left";
		$admtext['right'] = "Right";
		$admtext['center'] = "Center";
		$admtext['mouseover'] = "Mouse Over";
		$admtext['mousedown'] = "Mouse Down";
		$admtext['ahnentafel'] = "Ahnentafel";
		$admtext['pedbox'] = "Box";
		$admtext['hideempty'] = "Hide Empty Boxes";
		$admtext['logfilename'] = "Log File Name";
		$admtext['maxloglines'] = "Max Log Lines";
		$admtext['modifylogsettings'] = "Modify Log Configuration Settings";
		$admtext['badhosts'] = "Exclude Host Names";
		$admtext['admin'] = "(Admin)";
		$admtext['text_public'] = "(Public)";
		$admtext['saveimportstate'] = "Save Import State";
		$admtext['allowresume'] = "Save to allow resume if import fails";
		$admtext['modifyimportsettings'] = "Modify Import Configuration Settings";
		$admtext['embeddedmedia'] = "Embedded Media";
		$admtext['assignnames'] = "Allow TNG to assign names to embedded media";
		$admtext['localphotopath'] = "Local Photo Path(s)";
		$admtext['localdocpath'] = "Local History Path(s)";
		$admtext['nopathmatch'] = "If no local path match";
		$admtext['wholepath'] = "Import entire path";
		$admtext['justname'] = "Import file name only";
		$admtext['gedpath'] = "GEDCOM Folder (Import/Export)";
		$admtext['makefolder'] = "Make Folder";
		$admtext['blankchangedt'] = "If 'Change Date' is blank";
		$admtext['usetoday'] = "Use current date";
		$admtext['useblank'] = "Leave it as is";
		$admtext['nobirthdate'] = "If no birth date, assume";
		$admtext['persliving'] = "Person is living";
		$admtext['persdead'] = "Person is deceased";
		$admtext['nodeathdate'] = "If no death date, assume deceased<br />if older than";
		$admtext['pedconfigsettings'] = "Chart Settings";
		$admtext['usepopups'] = "Initial Display";
		$admtext['maxpedgens'] = "Max Generations";
		$admtext['dbsection'] = "Database";
		$admtext['tablesection'] = "Table Names";
		$admtext['foldersection'] = "Paths and Folders";
		$admtext['sitesection'] = "Site Design and Definition";
		$admtext['privsection'] = "Privacy";
		$admtext['namesection'] = "Names";
		$admtext['descsection'] = "Descendancy";
		$admtext['miscsection'] = "Miscellaneous";
		$admtext['mediatable'] = "Media Table";
		$admtext['pedanddesc'] = "Common Elements";
		$admtext['descchart'] = "Descendancy Chart";
		$admtext['pedchart'] = "Pedigree Chart";
		$admtext['initgens'] = "Initial Generations";
		$admtext['mediapath'] = "Multimedia Folder";
		$admtext['documentpath'] = "Document Folder";
		$admtext['localdocumentpath'] = "Local Document Path(s)";
		$admtext['localotherpath'] = "Local Path(s) for Other Media";
		$admtext['imgmaxh'] = "Image Max Height";
		$admtext['imgmaxw'] = "Image Max Width";
		$admtext['succdel'] = "successfully deleted";
		$admtext['delbkups'] = "Delete Selected Backups";
		$admtext['suredelbk'] = "Are you sure you want to delete the selected backups?";
		$admtext['showhome'] = "Show Home Link";
		$admtext['showsearch'] = "Show Search Link";
		$admtext['showlogin'] = "Show Login/Logout Link";
		$admtext['showprint'] = "Show Print Link";
		$admtext['showbmarks'] = "Show Add Bookmark Link";
		$admtext['server'] = "(server)";
		$admtext['client'] = "(client)";
		$admtext['sitename'] = "Site Name";
		$admtext['site_desc'] = "Site Description";
		$admtext['privnote'] = "Prefix for private notes";
		$admtext['custvars'] = "Note: You may create your own custom settings in \"customconfig.php\" (open in a text editor and follow the instructions).";
		$admtext['blockemail'] = "Block suggestions or new user registrations where";
		$admtext['addrcontains'] = "Address contains";
		$admtext['msgcontains'] = "Message contains";
		$admtext['reqloginset'] = "\"Require Login\" must be set to Yes to enable this option";
		$admtext['treerestrict'] = "Restrict access to assigned tree";
		$admtext['mapconfigsettings'] = "Map Settings";
		$admtext['modifymapsettings'] = "Modify Map Configuration Settings";
		$admtext['maptype'] = "Map Type";
		$admtext['maphybrid'] = "Hybrid";
		$admtext['mapsatellite'] = "Satellite";
		$admtext['mapdimsind'] = "Dimensions, Individual Page";
		$admtext['mapdimshst'] = "Dimensions, Headstones Pages";
		$admtext['mapdimsadm'] = "Dimensions, Admin Pages";
		$admtext['mapwidth'] = "Width (% or px)";
		$admtext['mapheight'] = "Height (px)";
		$admtext['mapstlat'] = "Starting Latitude";
		$admtext['mapstlong'] = "Starting Longitude";
		$admtext['startoff'] = "Hide Admin Maps to Start";
		$admtext['conslpins'] = "Consolidate Duplicate Pins";
		$admtext['ssenabled'] = "Enable Slide Show";
		$admtext['ssrepeat'] = "Slide Show Auto Repeat";
		$admtext['sysinfo'] = "Information about your web site environment.";
		$admtext['albumlinkstable'] = "Album Media";
		$admtext['addresstable'] = "Addresses";
		$admtext['statestable'] = "States";
		$admtext['countriestable'] = "Countries";
		$admtext['notelinkstable'] = "Note Links";
		$admtext['medialinkstable'] = "Media Links";
		$admtext['saveimporttable'] = "Save Import";
		$admtext['brlinkstable'] = "Branch Links";
		$admtext['temptable'] = "Temp Events";
		$admtext['tleventstable'] = "Timeline Events";
		$admtext['album2entitiestable'] = "Album Links";
		$admtext['doctype'] = "Doctype Declaration";
		$admtext['cemrows'] = "Max lines per column (approx.)";
		$admtext['cemblanks'] = "Suppress \"Unknown\" categories";
		$admtext['success'] = "Success";
		$admtext['fexists'] = "Failed. Folder already exists.";
		$admtext['fmanual'] = "Failed. Please create using an FTP program or online file manager.";
		$admtext['maintmode'] = "Maintenance Mode";
		$admtext['maintexp'] = "All database access is temporarily unavailable for site maintenance. Please try again later. If regular functions do not resume within a few hours of first seeing this message, please contact the site administrator.";
		$admtext['defimpopt'] = "Default Replace Option";
		$admtext['seltable'] = "Please select at least one table.";
		$admtext['renumber'] = "Resequence IDs";
		$admtext['idtype'] = "ID Type";
		$admtext['mindigits'] = "Minimum Digits";
		$admtext['niprefix'] = "Not including ID prefix";
		$admtext['finreseq'] = "Finished resequencing";
		$admtext['recsreseq'] = "records resequenced";
		$admtext['needmaint'] = "You must be in Maintenance Mode to run this utility (go to Setup &gt;&gt; Configuration &gt;&gt; General Settings)";
		$admtext['reseqwarn'] = "<strong>WARNING:</strong> Resequencing your IDs could cause external links to your site to break or point to erroneous locations.";
		$admtext['subroot'] = "Config Path";
		$admtext['hidechr'] = "Hide Christening Labels";
		$admtext['datefmt'] = "Numeric Date Preference";
		$admtext['dayfirst'] = "Day/Month/Year";
		$admtext['monthfirst'] = "Month/Day/Year";
		$admtext['exusers'] = "Exclude Usernames";
		$admtext['allowreg'] = "Allow new user registrations";
		$admtext['localhspath'] = "Local Headstone Path(s)";
		$admtext['pardata'] = "Parental data on person page";
		$admtext['pnoevents'] = "Don't show any events";
		$admtext['pstdonly'] = "Show only standard family events";
		$admtext['palldata'] = "Show all events and media";
		$admtext['servertime'] = "Server time is";
		$admtext['sitetime'] = "and site time is";
		$admtext['srexpl'] = "Optional. Use an absolute path name, like what you see in the Root Path, then move the following files to the Config Path <strong>immediately</strong> after saving and make them writeable (664 permissions): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Starting Zoom";
		$admtext['mapfoundzm'] = "Location Zoom";
		$admtext['rrnum'] = "Record Report Number";
		$admtext['progint'] = "Progress Interval (ms)";
		$admtext['timechart'] = "Timeline Chart";
		$admtext['tcheight'] = "Chart height";
		$admtext['distances'] = "All distances measured in pixels.";
		$admtext['mpixels'] = "Pixels between months";
		$admtext['ypixels'] = "Pixels between years";
		$admtext['ymult'] = "Years between year markers";
		$admtext['mpct'] = "Vertical percentage for months";
		$admtext['ypct'] = "Vertical percentage for years";
		$admtext['inclevs'] = "Events to include";
		$admtext['allevs'] = "All events";
		$admtext['rangeevs'] = "Only events that fall within the lifespans of the people on the chart";
		$admtext['tcwidth'] = "Starting chart width";
		$admtext['simile'] = "Enable Simile timeline";
		//added in 8.0.0
		$admtext['pstartoff'] = "Hide Public Maps to Start";
		$admtext['maxrels'] = "Max Relationships";
		$admtext['initrels'] = "Initial Relationships";
		$admtext['templateconfigsettings'] = "Template Settings";
		$admtext['modifytemplatesettings'] = "Modify Template Configuration Settings";
		$admtext['ucsurnames'] = "Uppercase All Surnames";
		$admtext['maxnoteprev'] = "Max characters in list notes";
		$admtext['mailreg'] = "Mail and Registration";
		$admtext['autoapp'] = "Auto approve new users";
		$admtext['inclpwd'] = "Include password in welcome email";
		$admtext['ackemail'] = "Send acknowledgement email";
		$admtext['fromadmin'] = "Send all mail from address above";
		$admtext['autotree'] = "Create new tree for user";
		$admtext['modspath'] = "Mods Folder";
		$admtext['extspath'] = "Extensions Folder";
		$admtext['encrtype'] = "Encryption type";
		$admtext['none'] = "No encryption";
		$admtext['imgviewer'] = "Enable image viewer";
		$admtext['docsonly'] = "Documents only";
		$admtext['imgvheight'] = "Image viewer height";
		$admtext['flex'] = "Always show full image";
		$admtext['setheight'] = "Fixed (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Assign Place records to Trees";
		$admtext['convert'] = "Convert";
		$admtext['convexpl'] = "(This will assign all current places to the selected tree)";
		$admtext['mergeexpl'] = "(This will remove the tree assignment from all Place records)";
        $admtext['nocutoff'] = "Leave blank or set to zero to remove this limit";
        $admtext['usesmtp'] = "Use SMTP authentication";
        $admtext['mailhost'] = "SMTP host name";
        $admtext['mailuser'] = "Mail username";
        $admtext['mailpass'] = "Mail password";
        $admtext['mailport'] = "Port number";
		$admtext['showshare'] = "Show Share Link";
		$admtext['defpgsize'] = "Default PDF Page Size";
		$admtext['mapterrain'] = "Terrain";
		$admtext['maproadmap'] = "Road Map";
		$admtext['usedefthumbs'] = "Use default thumbnails";
        $admtext['autogeo'] = "Geocode all new places";
        $admtext['revmail'] = "Notify on reviewable submissions";
        $admtext['assumepriv'] = "Assume private if not dead this many years";
        $admtext['calstart'] = "First day of week";
		$admtext['edit_timeout'] = "Edit timeout (minutes)";
		$admtext['shownamespr'] = "Show Names for Private";
		$admtext['tables'] = "Tables";
		//changed in 10.0.0
		$admtext['regnotes'] = "Show Notes and Custom Events on Register";
		//added in 10.0.0
		$admtext['collation'] = "Collation";
		$admtext['collationexpl'] = "(leave blank to accept the default)";
		$admtext['scrollcite'] = "Scroll citations";
		$admtext['hidemedia'] = "Hide personal media";
		$admtext['searchchoice'] = "Search Link Destination";
		$admtext['quicksearch'] = "Quick Search";
		$admtext['advsearch'] = "Advanced Search";
		$admtext['pedvertical'] = "Vertical";
		$admtext['vboxwidth'] = "Box Width";
		$admtext['vboxheight'] = "Box Height";
		$admtext['vspacing'] = "Spacing";
		$admtext['vchart'] = "Vertical Chart";
		//added in 10.1.0
		$admtext['reuseids'] = "Re-use deleted IDs";
		$admtext['lastimport'] = "Show last import";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Database Port";
		$admtext['dbsocket'] = "Database Socket";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefixes and Suffixes";
		$admtext['personprefix'] = "Person prefix";
		$admtext['personsuffix'] = "Person suffix";
		$admtext['familyprefix'] = "Family prefix";
		$admtext['familysuffix'] = "Family suffix";
		$admtext['sourceprefix'] = "Source prefix";
		$admtext['sourcesuffix'] = "Source suffix";
		$admtext['repoprefix'] = "Repository prefix";
		$admtext['reposuffix'] = "Repository suffix";
		$admtext['noteprefix'] = "Note prefix";
		$admtext['notesuffix'] = "Note suffix";
		$admtext['mobilesection'] = 'Mobile';
		$admtext['mobilesite'] = "Mobile site name will be ";
		$admtext['menubar'] = "in mobile menu bar";
		$admtext['belowbar'] = "below mobile menu bar";
		$admtext['responsivetables'] = "Enable responsive tables";
		$admtext['tabletype'] = "Responsive table type";
		$admtext['enablemodeswitch'] = "Enable responsive tables mode switcher";
		$admtext['enableminimap'] = "Enable responsive tables mini map";
		$admtext['showtasks'] = "Show 'Important tasks' messages";
		$admtext['showtotals'] = "Show record totals on Admin menu";
		$admtext['backupdays'] = "Alert if no backup in this many days";
		$admtext['backupnote'] = "NOTE: If your database is very large, you might want to use an independent tool (like mysqldumper or phpMyAdmin) to back up and restore your tables. At least one of these should be available from your site control panel.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Hide all DNA pages and data";
        $admtext['assumeliving'] = "Assume living if not dead this many years";
		//changed in 11.0.2
		$admtext['mapkey'] = "Map Key";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "enter part of first and/or last name";
		$admtext['pleasenamepart'] = "Please enter a portion of a first or last name.";
		$admtext['enternamepart2'] = "enter ID or part of first and/or last name";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Please enter part of a place name.";
		$admtext['addnewplace'] = "Add New Place";
		$admtext['createplace'] = "Create a record for a new place";
		$admtext['modifyplace'] = "Edit Existing Place";
		$admtext['editexistingplaceinfo'] = "Edit information for a previously entered place";
		$admtext['enterplace'] = "Please enter a place.";
		$admtext['newplaceinfo'] = "New Place Information";
		$admtext['existingplaceinfo'] = "Existing Information for Place";
		$admtext['changestoplace'] = "Changes to place";
		$admtext['selectplaceaction'] = "Select Place and Action";
		$admtext['mergeplaces'] = "Merge Places";
		$admtext['findmerge'] = "Find Merge Candidates";
		$admtext['selectplacemerge'] = "Select Places to Merge";
		$admtext['mcol1'] = "Merge<br/>these<br/>(delete)";
		$admtext['mcol2'] = "into<br/>this<br/>(keep)";
		$admtext['pmsucc'] = "Place merge successful";
		$admtext['nomerge'] = "Nothing to merge";
		$admtext['enterkeep'] = "Please select a merge target.";
		$admtext['backmerge'] = "Search again";
		$admtext['confdeleteplace'] = "Are you sure you want to delete this place?";
		$admtext['propagate'] = "Make changes to place name in existing events";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Are you sure you want to unlink this cemetery?";
		$admtext['nocoords'] = "Missing Latitude or Longitude";
		$admtext['istemple'] = "This place name is an LDS temple code";
		$admtext['findtemples'] = "Find only LDS temple codes";
		$admtext['choosecem'] = "Choose a Cemetery";
		$admtext['geocopy'] = "Copy geocode information below to this cemetery";
		$admtext['linkcem'] = "Link this place to a cemetery";
		$admtext['cemsavail'] = "List only includes cemeteries that are not already linked to a place";
		$admtext['nocemsavail'] = "No cemeteries exist, or each cemetery has already been linked to a place.";
        //added in 9.0.0
        $admtext['geocode'] = "Geocode";
        $admtext['ignoreall'] = "Ignore all";
        $admtext['usefirst'] = "Use first match";
        $admtext['multchoice'] = "If multiple results are found for a place:";
        $admtext['geoexpl'] = "Geocode all Places without latitude and longitude coordinates";
        $admtext['geocoding'] = "Geocoding...";
        $admtext['backgeo'] = "Return to Geocode menu";
        $admtext['limit'] = "Limit:";
        $admtext['nolimit'] = "No limit";
		$admtext['blankplace'] = "Blank place name";
        $admtext['nogeocode'] = "Could not be geocoded";
        $admtext['toomany'] = "Ignored (too many results)";
		$admtext['treesgone'] = "Tree assignments removed from all place records";
		//added in 11.0.0
		$admtext['nolevel'] = "Place Level not set";
		$admtext['placenotsaved'] = "Place not saved. Another place with that name already exists. Please merge instead.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Generate New ID";
		$admtext['generating'] = "Generating...Please wait";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Tracking Lines of Descent...";
		$admtext['finishedtracking'] = "Finished tracking lines of descent.";
		$admtext['backtosecondary'] = "Back to Secondary Processes";
		$admtext['sortchildren'] = "Sort Children";
		$admtext['sortingchildren'] = "Sorting Children";
		$admtext['sortspouses'] = "Sort Spouses";
		$admtext['sortingspouses'] = "Sorting Spouses";
		$admtext['relabelbranches'] = "Relabel Branches";
		$admtext['relabeling'] = "Relabeling Branches";
		$admtext['creatinggendex'] = "Creating GENDEX file...";
		$admtext['finishedgendex'] = "Finished with GENDEX file creation.";
		//added in 8.0.0
		$admtext['postgdx'] = "Where to post your GENDEX file";
		//added in 10.0.0
		$admtext['evalmedia'] = "Trim Media Menus";
		$admtext['evaluating'] = "Counting media";
		$admtext['finished'] = "Finished";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Add New Language";
		$admtext['enterlangdisplay'] = "Please enter a language display name.";
		$admtext['enterlangfolder'] = "Please enter the name of the folder where files for this language will be stored.";
		$admtext['newlanguageinfo'] = "New Language Information";
		$admtext['langdisplay'] = "Name for this language<br/>as it will be displayed for visitors";
		$admtext['createlanguage'] = "Create a record for a new language";
		$admtext['nolanguages'] = "No language records exist";
		$admtext['conflangdelete'] = "Are you sure you want to delete this language?";
		$admtext['existinglanguages'] = "Existing Language Information";
		$admtext['modifylanguage'] = "Edit Existing Language";
		$admtext['changestolanguage'] = "Changes to language";
		$admtext['charset'] = "Character set";
		$admtext['editexistinglanguage'] = "Add, edit or delete languages";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Create a record for a new tree";
		$admtext['notrees'] = "No tree records exist";
		$admtext['existingtrees'] = "Existing Tree Information";
		$admtext['editexistingtree'] = "Edit information for a previously entered tree";
		$admtext['treename'] = "Tree Name";
		$admtext['owner'] = "Owner";
		$admtext['conftreedelete'] = "Are you sure you want to delete this tree and all associated items?";
		$admtext['conftreeclear'] = "Are you sure you want to clear all data from this tree?";
		$admtext['changestotree'] = "Changes to tree";
		$admtext['newtreeinfo'] = "New Tree Information";
		$admtext['existingtreeinfo'] = "Existing Tree Information";
		$admtext['modifytree'] = "Edit Existing Tree";
		$admtext['succcleared'] = "was successfully cleared";
		$admtext['gedcomextraction'] = "Don't allow users to download GEDCOM files";
		$admtext['gedexport'] = "GEDCOM Export";
		$admtext['exporting'] = "Exporting GEDCOM...";
		$admtext['ifexportfails'] = "If the export fails to run to completion,";
		$admtext['finishedexporting'] = "Finished Exporting GEDCOM";
		$admtext['backtotrees'] = "Back to Trees";
		$admtext['downloadged'] = "Download GEDCOM";
		$admtext['lastimport'] = "Last Import";
		$admtext['treeexists'] = "Another tree already exists with the selected ID. Please select a different ID and try again.";
		$admtext['exportmedia'] = "Export media links";
		//added in 8.0.0
		$admtext['changetree'] = "Change Tree";
		$admtext['newtree'] = "New Tree";
		$admtext['currtree'] = "Current Tree";
		$admtext['chwarn'] = "WARNING: This operation will remove all family links, citations and other references to this entity within the current tree.";
		$admtext['keepprivate'] = "Keep owner information private";
		//changed in 9.0.0
		$admtext['exppaths'] = "Local path";
		$admtext['nopdf'] = "Don't allow users to create PDF files";
		//added in 10.0.0
		$admtext['exprivate'] = "Exclude private";
		$admtext['exliving'] = "Exclude living";
		$admtext['importfilename'] = "Import File Name";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Add New User";
		$admtext['createuser'] = "Create a record for a new user";
		$admtext['nousers'] = "No user records exist";
		$admtext['existingusers'] = "Existing User Information";
		$admtext['editexistinguser'] = "Edit information for a previously entered user";
		$admtext['confuserdelete'] = "Are you sure you want to delete this user?";
		$admtext['changestouser'] = "Changes to user";
		$admtext['enteruserpassword'] = "Please enter a password.";
		$admtext['enterusername'] = "Please enter a username.";
		$admtext['newuserinfo'] = "New User Information";
		$admtext['existinguserinfo'] = "Existing User Information";
		$admtext['modifyuser'] = "Edit Existing User";
		$admtext['allow_living'] = "Allow to view information for living individuals";
		$admtext['allow_lds'] = "Allow to view LDS information";
		$admtext['enterusername'] = "Please enter a username.";
		$admtext['enteruserdesc'] = "Please enter a user description.";
		$admtext['enterpassword'] = "Please enter a password.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "The first user you create will be an Administrator (NO tree selected) and will have access to all system settings.";
		$admtext['userfailed'] = "ERROR: Your user could not be created because another user with the same username already exists.";
		$admtext['allow_ged'] = "Allow to download GEDCOMs";
		$admtext['assigned'] = "Assigned";
		$admtext['treemsg'] = "Optional. Assigning no tree to the user will result in the user have rights for all trees and all branches. The site administrator should not be assigned a tree.";
		$admtext['branchmsg'] = "Optional. Assigning a branch to the user will constrain the rights granted on this page to the assigned branch within the selected tree.";
		$admtext['accesslimits'] = "Access Limits:";
		$admtext['rights'] = "Rights:";
		$admtext['realname'] = "Real Name";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "New User Registrations";
		$admtext['editnewusers'] = "Process records for newly registered users. New users have no rights until registrations are processed.";
		$admtext['nonewusers'] = "No new users";
		$admtext['lastlogin'] = "Last Login";
		$admtext['tentative_edit'] = "Allow to submit edits for administrative review (People, Families and Sources only)";
		$admtext['notify'] = "Notify this user upon account activation";
		$admtext['no_edit'] = "No edit rights";
		$admtext['emailusers'] = "E-mail Users";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "E-mail Message To Users";
		$admtext['subject'] = "E-mail Subject";
		$admtext['messagetext'] = "E-mail Text";
		$admtext['selectgroup'] = "Select group to receive e-mail (leave blank to send to all)";
		$admtext['treemailmsg'] = "Optional. Choosing a tree will restrict the message to users assigned to that tree.";
		$admtext['branchmailmsg'] = "Optional. Choosing a branch will restrict the message to users assigned to that branch.";
		$admtext['send'] = "Send E-mail";
		$admtext['sentmailmessage'] = "Sent E-mail Message";
		$admtext['succmail'] = "Your e-mail message has been sent.";
		$admtext['mailfailed'] = "Your e-mail message failed to send.";
		$admtext['entersubject'] = "Please enter a subject for your message.";
		$admtext['entermsgtext'] = "Please enter the text of your message.";
		$admtext['adminonly'] = "Show Admin users only";
		$admtext['dtregistered'] = "Date Registered";
		$admtext['dtactivated'] = "Date Activated";
		$admtext['no_email'] = "Do not send mass e-mail to this user";
		$admtext['allow_admin'] = "Apply the above rights to all trees and branches.";
		$admtext['limitedrights'] = "Restrict the above rights to the following:";
		$admtext['allow_edit'] = "Allow to edit any existing data";
		$admtext['allow_add'] = "Allow to add any new data";
		$admtext['allow_delete'] = "Allow to delete any existing data";
		//added in 8.0.0
		$admtext['usrguest'] = "Guest";
		$admtext['usrguestd'] = "No add, edit or delete rights.";
		$admtext['noadmin'] = "No access to Admin area.";
		$admtext['usrsubm'] = "Submitter";
		$admtext['usrsubmd'] = "Submit changes subject to review.";
		$admtext['usrcontrib'] = "Contributor";
		$admtext['usrcontribd'] = "Add information, including media.";
		$admtext['usreditor'] = "Editor";
		$admtext['usreditord'] = "Add, edit and delete all information, including media.";
		$admtext['usradmin'] = "Administrator";
		$admtext['usradmind'] = "All rights.";
		$admtext['usrmcontrib'] = "Media Contributor";
		$admtext['usrmcontribd'] = "Add media only.";
		$admtext['usrmeditor'] = "Media Editor";
		$admtext['usrmeditord'] = "Add, edit and delete media only.";
		$admtext['allow_media_edit'] = "Allow to edit media only";
		$admtext['allow_media_add'] = "Allow to add media only";
		$admtext['allow_media_delete'] = "Allow to delete media only";
		$admtext['no_add'] = "No add rights";
		$admtext['no_delete'] = "No delete rights";
		$admtext['roles'] = "Roles";
		$admtext['usrcustom'] = "Custom";
        //added in 9.0.0
		$admtext['allow_private'] = "Allow to view information for private individuals";
		$admtext['allow_pdf'] = "Allow to download PDFs";
		$admtext['allow_profile'] = "Allow to edit user profile";
		break;

	case "login":
		$admtext['loginfailed'] = "Login failed.";
		$admtext['adminlogfile'] = "Admin Log File";
		$admtext['mostrecentactions'] = "Most Recent Actions";
		$admtext['rempass'] = "Stay logged in on this computer";
		$admtext['sessexp'] = "Your session has expired.";
		$admtext['logagain'] = "Click to log in again.";
		//added in 8.1.0
		$admtext['logininactive'] = "Your login is not yet active. Please try again later or contact the site administrator.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Create a new timeline event";
		$admtext['modifytlevent'] = "Edit Existing Timeline Event";
		$admtext['leaveblankalltlevents'] = "leave blank to show all timeline events";
		$admtext['evyear'] = "Event year";
		$admtext['evdetail'] = "Event detail";
		$admtext['selecttleventaction'] = "Select Timeline Event and Action";
		$admtext['changestotlevent'] = "Changes to timeline event";
		$admtext['location'] = "Location";
		$admtext['confdeletetlevent'] = "Are you sure you want to delete this timeline event?";
		$admtext['enterevyear'] = "Please enter the event year.";
		$admtext['enterevdetail'] = "Please enter the event detail.";
		$admtext['existingtleventinfo'] = "Existing Timeline Event";
		$admtext['newtleventinfo'] = "New Timeline Event";
		$admtext['edittleventinfo'] = "Add, edit or delete timeline events";
		$admtext['addnewtlevent'] = "Add New Event";
		$admtext['yrreq'] = "(only year is required)";
		$admtext['startdt'] = "Start Date";
		$admtext['enddt'] = "End Date";
		//added in 9.0.0
		$admtext['evtitle'] = "Event title";
		break;

	case "review":
		$admtext['selectevaction'] = "Select Event and Action";
		$admtext['suggested'] = "Suggested";
		$admtext['usernotes'] = "Notes regarding<br />suggested change<br />(will not be saved)";
		$admtext['postdate'] = "Posted on";
		$admtext['savedel'] = "Save and Delete";
		$admtext['postpone'] = "Postpone";
		$admtext['igndel'] = "Ignore and Delete";
		$admtext['tentdel'] = "was deleted";
		$admtext['tentadd'] = "was made permanent";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Directly locate, edit or delete any note in your database.";
		$admtext['whatsnewblurb'] = "Provide your visitors with a general site update or other timely information at the top of your What's New page.";
		$admtext['mwblurb'] = "Create a list of elusive people and unidentified photos, in hopes of getting more publicity for the items that are giving you the most trouble.";
		$admtext['dvblurb'] = "Find potential problems in your information.";
		$admtext['wr_gender'] = "Wrong gender";
		$admtext['unk_gender'] = "Unknown gender";
		$admtext['marr_young'] = "Married too young (less than 15 years old)";
		$admtext['marr_aft_death'] = "Married after death";
		$admtext['marr_bef_birth'] = "Married before birth";
		$admtext['died_bef_birth'] = "Died before birth";
		$admtext['parents_younger'] = "Born too early (parents less than 15 years old, or child born before marriage)";
		$admtext['children_late'] = "Born too late (mother more than 50 years old)";
		$admtext['not_living'] = "Person marked as living, death date present";
		$admtext['not_dead'] = "Person marked as deceased, possibly still living";
		$admtext['parmarr'] = "Parents' Marriage";
		$admtext['motherbirth'] = "Mother's Birth";
		break;
		
	case "mods":
		$admtext['modlist'] = "Mod List";
		$admtext['reqremove'] = "Request to remove mod";
		$admtext['confcanc'] = "Confirm request or cancel";
		$admtext['confrem'] = "Confirm Remove";
		$admtext['confirmedrem'] = "Confirmed request to remove mod";
		$admtext['removed'] = "Removed";
		$admtext['notremoved'] = "Not Removed due to the following errors";
		$admtext['reqclean'] = "Request to clean mod";
		$admtext['confclean'] = "Confirm Clean";
		$admtext['confirmedclean'] = "Confirmed request to clean mod";
		$admtext['cleanatt'] = "Clean attempted";
		$admtext['cleanperf'] = "Cleanup performed with following notes";
		$admtext['reqedit'] = "Request to edit mod";
		$admtext['confedit'] = "Confirm Edit";
		$admtext['cfgvalsread'] = "Configuration Values Read from TNG files.";
		$admtext['confirmededit'] = "Confirmed request to update mod with values";
		$admtext['editdone'] = "Edit completed";
		$admtext['editperf'] = "Edit performed with following notes";
		$admtext['reqinstall'] = "Request to install mod";
		$admtext['confinst'] = "Confirm Install";
		$admtext['confirmedinst'] = "Confirmed request to install mod";
		$admtext['installed'] = "Installed";
		$admtext['notinst2'] = "Not Installed due to the following errors";
		$admtext['reqdelete'] = "Request to delete MOD configuration file";
		$admtext['nomodundo'] = "You can not undo this operation. You will need to re-download this mod if you wish to install or remove it later.";
		$admtext['confdel'] = "Confirm Delete";
		$admtext['confirmeddel'] = "Confirmed request to delete the mod config file";
		$admtext['deleted'] = "Deleted";
		$admtext['cantdel'] = "Unable to delete";
		$admtext['remman'] = "Please remove this file manually";
		$admtext['cfgname'] = "Config File Name";
		$admtext['version'] = "Version";
		$admtext['clean'] = "Clean up";
		$admtext['nomods'] = "No mod definition files (xxx) found in the mod folder";
		$admtext['notarget'] = "Package Error: no target files";
		$admtext['notarget2'] = "no target file located";
		$admtext['peerror'] = "Parameter Edit Error";
		$admtext['prerror'] = "Parameter Read Error";
		$admtext['location'] = "Location";
		$admtext['missing'] = "missing";
		$admtext['badtarget'] = "Bad target";
		$admtext['targetlost'] = "Could not find target";
		$admtext['modins'] = "Mod code inserted.";
		$admtext['modtrins'] = "Mod code trimmed and inserted.";
		$admtext['modrepl'] = "Mod code replaced.";
		$admtext['nfilemissing'] = "New file name missing";
		$admtext['create'] = "Create file";
		$admtext['cantwrite'] = "Unable to write to";
		$admtext['checkperms'] = "Check permissions, currently";
		$admtext['notwrite'] = "is not writable, check permissions";
		$admtext['cfilemissing'] = "Copy file name missing";
		$admtext['cffilemissing'] = "Copy file name (from) missing";
		$admtext['ctfilemissing'] = "Copy file name (to) missing";
		$admtext['copyfile'] = "Copy file xxx to";
		$admtext['cantcopy'] = "Unable to copy to";
		$admtext['checkwrite'] = "Check permissions, must be writable.";
		$admtext['forwrite'] = "for writing";
		$admtext['written'] = "File xxx written";
		$admtext['toterrors'] = "Total Errors";
		$admtext['totfiles'] = "Total new files";
		$admtext['notallinst'] = "Not all sections installed";
		$admtext['notallrem'] = "Not all sections removed";
		$admtext['section'] = "Section";
		$admtext['missfile'] = "Missing file";
		$admtext['targetsearch'] = "Target search";
		$admtext['insrem'] = "Mod inserted code removed.";
		$admtext['remrem'] = "Mod removed code removed.";
		$admtext['trimrem'] = "Mod code trimmed and removed.";
		$admtext['orgrepl'] = "Original code replaced";
		$admtext['cantrepl'] = "Unable to replace original code, not found.";
		$admtext['orgtrrepl'] = "Original code trimmed and replaced";
		$admtext['keyword'] = "keyword";
		$admtext['notunique'] = "not unique";
		$admtext['noaction'] = "no action";
		$admtext['novers'] = "Existing xxx does not have a version number";
		$admtext['param'] = "Parameter";
		$admtext['params'] = "Parameters";
		$admtext['paramed'] = "Parameter Editor";
		$admtext['enterparam'] = "Enter Parameter mod";
		$admtext['paramval'] = "value";
		$admtext['noparams'] = "No parameter definitions";
		$admtext['nodesc'] = "Parameter definition error, missing description";
		$admtext['defval'] = "Default value";
		$admtext['updateval'] = "Updating xxx value of [yyy] to the mod config file.";
		$admtext['rewritten'] = "rewritten";
		$admtext['fixingcfg'] = "Fixing Config File";
		$admtext['fixedcfg'] = "Config File Fixed";
		$admtext['fixingtar'] = "Fixing Target File";
		$admtext['fixedtar'] = "Target File Fixed";
		$admtext['fincorr'] = "Finished correcting desired data";
		$admtext['targetupd'] = "Target data updated";
		$admtext['written'] = "File written";
		$admtext['permerr'] = "File permission error";
		$admtext['updconfig'] = "Update config file info";
		$admtext['configupd'] = "Config data updated, End of Loop";
		//changed in 9.0.0
		$admtext['readvals'] = "Restore default parameter values";
		$admtext['retstatus'] = "Return to Mod List";
		$admtext['locmissing'] = "Local copy of xxx for installation is missing";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Mod updates are required";
		$admtext['keywordmissing'] = "Keyword is missing. Mod construction error.";
		$admtext['cannotinstall'] = "Unable to install this mod";
		$admtext['notargetkeyword'] = "Target file is required";
		$admtext['emptytarget'] = "Target file is an empty file.";
		$admtext['missingtarget'] = "Target file is not installed.";
		$admtext['missingfiles'] = "File to be copied is missing from source folder";
		$admtext['pararead'] = "Parameters read from files";
		$admtext['rewritetarget'] = "Rewrite target file";
		$admtext['targetcode'] = "target code is";
		$admtext['modtrimrepl'] = "Mod code trimmed and replaced.";
		$admtext['cantdelmissing'] = "Cannot delete, file is missing";
		$admtext['totcopyfiles'] = "Total files to copy";
		$admtext['successfully'] = "Successfully";
		$admtext['filecreated'] = "Created successfully";
		//changed in 10.0.3 
		$admtext['editperf'] = "The Edit parameters were changed as follows:";
		//added in 10.0.3 
		$admtext['batchupdates'] = 'Batch Updates';
		$admtext['options'] = 'Options';
		$admtext['viewlog'] =  'View Log';
		$admtext['filesexcused'] = 'Files allowed to fail';
		$admtext['fileexcused'] = 'File allowed to fail';
		$admtext['copiesexcused'] = 'Copies allowed to fail';
		$admtext['copyexcused'] = 'Copy allowed to fail';
		$admtext['optionalfile'] = 'Fileoptional specified ';
		$admtext['installbypassed'] = 'section install bypassed';
		$admtext['removalbypassed'] = 'section removal bypassed';
		$admtext['target'] = 'Changes';
		$admtext['newfile'] = 'Creates';
		$admtext['copiesfile'] = 'Copies';
		$admtext['copiesfile2'] = 'Copies to';
		$admtext['aflistoptions'] = 'Affected Files List';
		$admtext['showaflist'] = 'Show Affected Files List';
		$admtext['shownewfile'] = 'Show New Files in List';
		$admtext['showfilecopies'] = 'Show Files Copied in List';
		$admtext['namecol'] = 'Show List in Column';
		$admtext['showlistas'] = 'Show List as';
		$admtext['showastable'] = 'Table';
		$admtext['showascsv'] = 'Comma Separated Values';
		$admtext['batchshowaflist'] = 'Show List in Batch Updates';
		$admtext['logoptions'] = 'Mod Manager Log';
		$admtext['logactions'] = 'Log Mod Manager Actions';
		$admtext['mmlogfilename'] = 'Log File Name';
		$admtext['sortlistby'] = 'Sort Lists by';
		$admtext['modname'] = 'Mod Name';
		$admtext['bypassconfirm'] = 'Bypass the Confirmations';
		$admtext['bypassaction'] = 'Bypass the Action Messages';
		$admtext['modifyoptions'] = 'Modify Mod Manager Options';
		$admtext['ready'] = 'OK to Install';
		$admtext['badmod'] = 'Unable to Install';
		$admtext['noselected'] = 'You have not selected any files!';
		$admtext['choose'] = "Select";
		$admtext['showlogfile'] = 'Show Mod Manager Action Log';
		$admtext['recentactions'] = 'Mod Manager Most Recent Actions';
		$admtext['emptylog'] = 'Empty Log';
		$admtext['clearlog'] = "Clear Log";
		$admtext['confirmclearlog'] = "Are you sure you want to clear the log?";
		$admtext['copyfrom'] = "from folder ";
		$admtext['modsyntax'] = "Mod Syntax";
		$admtext['modguidelines'] = "Mod Standards";
		$admtext['analyzer'] = "Analyzer";
		$admtext['filemod'] = "File xxx is modified by";
		$admtext['filesel'] = "Select Modified File to examine the changes";
		$admtext['potconf'] = "Potential Conflicts";
		$admtext['modifications'] = "modifications";
		$admtext['othermmoptions'] = "Other";
		$admtext['file'] = "File";
		$admtext['tngmods'] = "Mods for TNG ";
		$admtext['unexpected'] = "Unexpected keyword";
		$admtext['syntax'] = 'Syntax';
		//changed in TNG 10.1
		$admtext['copied'] = "copied";
		$admtext['emptyfile'] = "file is empty";
		$admtext['filescopied'] = "files copied";
		$admtext['notarget'] = "%target: tag missing";
		$admtext['notinst'] = "not installed";
		$admtext['install'] = "install";
		$admtext['filedel'] = "File deleted";
		$admtext['created'] = "created";
		$admtext['choosefilter'] = "Choose the filter and click Go for the available controls";
		$admtext['mmmaxloglines'] = 'Max number of transactions';
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Uninstall";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Clean Up";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Edit Options";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "OK to install";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "file version/version mismatch";
		$admtext['bomfound'] = "BOM removed";
		$admtext['cantinst'] = "cannot install";
		$admtext['cantproc'] = "cannot remove mod";
		$admtext['cantupd'] = "unable to update parameter";
		$admtext['cleanupall'] = "Clean up";
		$admtext['confdelmod'] = "Do you really want to delete this mod from your system?";
		$admtext['copiesreq'] = "file copies specified";
		$admtext['delete'] = "Delete";
		$admtext['deleteall'] = "Delete";
		$admtext['errors'] = "errors";
		$admtext['excused'] = "files excused";
		$admtext['filesinst'] = "files installed";
		$admtext['filesrem'] = "files removed";
		$admtext['format'] = "format error";
		$admtext['ignored'] = "location ignored";
		$admtext['installall'] = "Install";
		$admtext['installing'] = "Installing";
		$admtext['line'] = "Line";
		$admtext['modified'] = "modified";
		$admtext['modsinst'] = "code modifications installed";
		$admtext['modrem'] = "mod uninstalled";
		$admtext['modsrem'] = "code modifications removed";
		$admtext['modsreq'] = "code modifications specified";
		$admtext['newfilesreq'] = "new files specified";
		$admtext['nfcreated'] = "new file created";
		$admtext['noaccess'] = "unable to access file";
		$admtext['noact'] = "action tag invalid";
		$admtext['nocfgfile'] = "mod file not found";
		$admtext['nocode'] = "code section missing";
		$admtext['nocomps'] = "missing elements";
		$admtext['noend'] = "%end:% tag missing";
		$admtext['noinsert'] = "code insert failed";
		$admtext['noinsrem'] = "inserted code not removed";
		$admtext['nolocation'] = "missing location tag";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "unable to replace code";
		$admtext['notgtfile'] = "not accessible (no target file)";
		$admtext['notopened'] = "target file not opened";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "opened";
		$admtext['optional'] = "optional";
		$admtext['parameter'] = "parameter";
		$admtext['partinst'] = "partially installed";
		$admtext['removeall'] = "Uninstall";    // was Remove Selected mods
		$admtext['removing'] = "Uninstalling";    // was Removing
		$admtext['reqtag'] = "required tag missing";
		$admtext['restparam'] = "Restoring default parameter";
		$admtext['return'] = "Return to Mod Manager";
		$admtext['secnoterm'] = "section not terminated";
		$admtext['tagnoterm'] = "tag not terminated";
		$admtext['tagunk'] = "tag is unknown";
		$admtext['tgtfile'] = "target file";
		$admtext['updated'] = "updated";
		$admtext['updparam'] = "Updating parameter";
		$admtext['unxend'] = "unexpected end of file";
		$admtext['warnings'] = "Warnings";
		$admtext['whitespace'] = "whitespace";
		$admtext['locations'] = "locations";
		$admtext['allowdeletepartial'] = "Allow Delete Selected of Partially Installed Mods";
		$admtext['allowdeleteinstalled'] = "Allow Delete of individually Installed Mods";
		$admtext['showwarnings'] = "Show Mod Warnings in Status";
		$admtext['logfullpath'] = "Log full path for file actions";
		$admtext['deletingmods'] = "Deleting mod files";
		$admtext['deleting'] = "Deleting ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Files";
		$admtext['hasoptions'] = "Options";
		$admtext['update'] = "Update";
		$admtext['restore'] = "Restore Default";
		$admtext['compressnames'] = "Compress Mod Names in Mod List";
		$admtext['stayon'] = "Lock";
		$admtext['accessible'] = "accessible";
		$admtext['bypassed'] = "bypassed";
		$admtext['willbypass'] = "will ignore";  // was "will bypass"
		$admtext['cantdel'] = "can't delete";
		$admtext['optmissing'] = "file missing (optional)";
		$admtext['tgtmissing'] = "target file missing";
		$admtext['optlocked'] = "file locked (optional)";
		$admtext['tgtlocked'] = "file locked";
		$admtext['alreadyrem'] = "already removed";
		$admtext['noaccess'] = "no access";
		$admtext['code'] = "code";
		$admtext['alreadyins'] = "already installed";
		$admtext['badinstall'] = "failed to install";
		$admtext['removed'] = "removed";
		$admtext['deleted'] = "deleted";
		$admtext['optsrcfilemissing'] = "optional source missing";
		$admtext['srcfilemissing'] = "source missing";
		$admtext['optnocopy'] = "optional file not copied";
		$admtext['notcopied'] = "not copied";
		$admtext['copied'] = "copied";
		$admtext['notcreated'] = "can't create new file";
		$admtext['optnotcreated'] = "can't create optional new file";
		$admtext['nocreated'] = "not created";
		$admtext['fixedheader'] = "Use Fixed Headers";
		$admtext['cantremok'] = "can't remove, optional, bypassed";
		$admtext['nofolder'] = "destination folder missing";
		$admtext['edparams'] = "edit parameters";
		$admtext['compresslog'] = "Collapse Log Display";
		$admtext['showanalyzer'] = "Show Analyzer tab";
		$admtext['formodname'] = 'for mod name ';
		$admtext['nofolder'] = "target folder missing";
		$admtext['fileperms'] = "Please check file permissions";
		$admtext['noparam'] = "parameter missing";
		$admtext['editing'] = "editing";
		$admtext['redirect2log'] = "Redirect to Log For";
		$admtext['on_error'] = "Errors Only";
		$admtext['on_all'] = "All Transactions";
		$admtext['usestriping'] = "Use stripes";
		$admtext['stripeafter'] = "Stripe after number of rows";
		$admtext['adjusthdrs'] = "Adjust Fixed Headers";
		$admtext['displayoptions'] = "Display Settings";
		$admtext['no_frag'] = 'code fragment not allowed here';
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Are you sure you want to delete this test?";
		$admtext['test_type'] = "Test Type";
		$admtext['test_number'] = "Test Number";
		$admtext['test_date'] = "Test Date";
		$admtext['modifydna'] = "Edit Existing DNA Test";
		$admtext['changestoalldna'] = "Changes to all tests";
		$admtext['addnewdna'] = "Add New DNA Test";
		$admtext['testinfo'] = "Test Information";
		$admtext['urls'] = "Relevant Links";
		$admtext['dnalater'] = "Note: Test can be linked to other individuals on the next screen.";
		$admtext['selecttype'] = "Please select a test type.";
		$admtext['entertestnum'] = "Please enter the test number.";
		$admtext['test_taker'] = "Person who took this test";
		$admtext['test_links'] = "People Linked by this Test";
		$admtext['changestotest'] = "Changes to test";
		break;
}

//common
$admtext['cannotexecutequery'] = "Cannot execute query";
$admtext['addnew'] = "Add New";
$admtext['individuals'] = "individuals";
$admtext['succadded'] = "was successfully added";
$admtext['succaddedlinked'] = "was successfully added and linked to";
$admtext['succsaved'] = "were successfully saved";
$admtext['succdeleted'] = "was successfully deleted";
$admtext['succdeletedpluslinks'] = "was successfully deleted, along with all links";
$admtext['text_delete'] = "Delete";
$admtext['deleted'] = "Deleted";
$admtext['deleteselected'] = "Delete Selected";
$admtext['noresults'] = "No results found. Please try again.";
$admtext['action'] = "Action";
$admtext['id'] = "ID";
$admtext['edit'] = "Edit";
$admtext['notes'] = "Notes";
$admtext['name'] = "Name";
$admtext['description'] = "Description";
$admtext['text_continue'] = "Continue...";
$admtext['searchfor'] = "Search for";
$admtext['lookin'] = "Look in (check all that apply)";
$admtext['cemeteryid'] = "Cemetery ID";
$admtext['exactmatch'] = "Exact match only";
$admtext['nothingtodelete'] = "Nothing to delete";
$admtext['state'] = "state";
$admtext['country'] = "country";
$admtext['finish'] = "Finish";
$admtext['ifphotouploaded'] = "Leave this field blank if the file has already been uploaded to your photos folder.";
$admtext['eventtype'] = "Event Type";
$admtext['source'] = "Source";
$admtext['savechanges'] = "Save Changes";
$admtext['family'] = "Family";
$admtext['find'] = "Find...";
$admtext['create'] = "Create...";
$admtext['sourceid'] = "Source ID";
$admtext['birthabbr'] = "b.";
$admtext['chrabbr'] = "c.";
$admtext['remove'] = "Remove";
$admtext['moveup'] = "Move Up";
$admtext['movedown'] = "Move Down";
$admtext['enterpersonid'] = "Please enter a Person ID";
$admtext['personid'] = "Person ID";
$admtext['otherevents'] = "Other Events";
$admtext['required'] = "required";
$admtext['children'] = "Children";
$admtext['chrdate'] = "Christening Date";
$admtext['chrplace'] = "Christening Place";
$admtext['deathdate'] = "Death Date";
$admtext['deathplace'] = "Death Place";
$admtext['burialdate'] = "Burial Date";
$admtext['burialplace'] = "Burial Place";
$admtext['birthdate'] = "Birth Date";
$admtext['birthplace'] = "Birth Place";
$admtext['title'] = "Title";
$admtext['sex'] = "Gender";
$admtext['marriagedate'] = "Marriage Date";
$admtext['marriageplace'] = "Marriage Place";
$admtext['lastname'] = "Last Name";
$admtext['firstname'] = "First Name";
$admtext['filename'] = "File Name";
$admtext['linkspersonid'] = "Links (Person ID)";
$admtext['cannotopen'] = "Cannot open file";
$admtext['check'] = "Check";
$admtext['generate'] = "Generate";
$admtext['update'] = "Update";
$admtext['confdeleteevent'] = "Are you sure you want to delete this event?";
$admtext['existinglinks'] = "Existing Links:<br/>(check to delete)";
$admtext['lowersortfirst'] = "Lower numbers sort first. Decimal numbers may also be used.";
$admtext['personsname'] = "Person's Name";
$admtext['tablecreation'] = "Table Creation";
$admtext['tracklines'] = "Track Lines";
$admtext['administration'] = "Administration";
$admtext['text_or'] = "OR";
$admtext['cemeteries'] = "Cemeteries";
$admtext['families'] = "Families";
$admtext['headstones'] = "Headstones";
$admtext['histories'] = "Histories";
$admtext['people'] = "People";
$admtext['photos'] = "Photos";
$admtext['reports'] = "Reports";
$admtext['sources'] = "Sources";
$admtext['suffix'] = "Suffix";
$admtext['add'] = "Add";
$admtext['confdeleteentity'] = "Are you sure you want to delete the selected";
$admtext['cemetery'] = "Cemetery";
$admtext['language'] = "Language";
$admtext['display'] = "Display";
$admtext['languages'] = "Languages";
$admtext['orderpound'] = "Order #";
$admtext['tree'] = "Tree";
$admtext['alltrees'] = "All Trees";
$admtext['selectaddtree'] = "Tree (select or add new)";
$admtext['selecttree'] = "Please select/add a tree.";
$admtext['treebefevent'] = "You must select or enter a Tree name before you can add new events.";
$admtext['text_rename'] = "Rename";
$admtext['clear'] = "Clear";
$admtext['linktothis'] = "Link to this individual";
$admtext['linkexample'] = "(enter ID, i.e. \"I###\")";
$admtext['existingconfig'] = "Existing Configuration";
$admtext['lastmodified'] = "Last Modified";
$admtext['addnotes'] = "Additional Notes";
$admtext['confdeletenote'] = "Are you sure you want to delete this note?";
$admtext['treebefnote'] = "You must select or enter a Tree name before you can add new notes.";
$admtext['general'] = "General";
$admtext['entersearchvalue'] = "Please enter a search value.";
$admtext['trees'] = "Trees";
$admtext['users'] = "Users";
$admtext['lds'] = "LDS";
$admtext['norights'] = "You are not authorized to view this page. If you have a username and password, please login below.";
$admtext['username'] = "Username";
$admtext['password'] = "Password";
$admtext['login'] = "Login";
$admtext['logout'] = "Logout";
$admtext['city'] = "City";  //from cemeteries
$admtext['cap_country'] = "Country";  //from cemeteries
$admtext['addnewtree'] = "Add New Tree";
$admtext['test'] = "Test";
$admtext['page'] = "Page";  //from sources
$admtext['folder'] = "Folder";   //from languages
$admtext['confdeletepers'] = "Are you sure you want to delete this person? The individual will be entirely deleted from your tree.";
$admtext['save'] = "Save";
$admtext['of'] = "of";
$admtext['size'] = "Size";
$admtext['select'] = "Select";
$admtext['open'] = "Open";
$admtext['selectfile'] = "Select File";
$admtext['altdesc'] = "Alternate Description";
$admtext['altnotes'] = "Alternate Notes";
$admtext['savereturn'] = "Return to this page";
$admtext['saveback'] = "Return to menu";
$admtext['user'] = "User";
$admtext['DIV'] = "Divorced";
$admtext['search'] = "Search";  //from findpersonform
$admtext['searchresults'] = "Search Results";  //from people
$admtext['clicktoselect'] = "click to select";
$admtext['familyid'] = "Family ID";  //from families
$admtext['secondary'] = "Secondary Processes";
$admtext['commas'] = "Separate multiple entries with commas";
$admtext['onsave'] = "On save";
$admtext['adminhome'] = "Admin Home";
$admtext['labelbranches'] = "Label Branches";
$admtext['branch'] = "Branch";
$admtext['findperson'] = "Find Person...";
$admtext['findfamily'] = "Find Family...";
$admtext['repeatlastq'] = "Repeat last search";
$admtext['alwayson'] = "Always viewable";
$admtext['all'] = "All";
$admtext['lnprefix'] = "Surname Prefix";
$admtext['nameorder'] = "Name Order";
$admtext['western'] = "First name first";
$admtext['lockid'] = "Lock";
$admtext['linktothese'] = "Link to:";
$admtext['alsolinkto'] = "Also link to:";
$admtext['linkspersfam'] = "Links (Person, Family or Source ID)";
$admtext['findsource'] = "Find Source...";
$admtext['address'] = "Address";
$admtext['stateprov'] = "State/Province";
$admtext['zip'] = "Zip/Postal Code";
$admtext['merge'] = "Merge";
$admtext['otherinfo'] = "Other Information";
$admtext['available'] = "Available";
$admtext['backuprestore'] = "Utilities";
$admtext['place'] = "Place";
$admtext['treeid'] = "Tree ID";
$admtext['email'] = "E-mail";
$admtext['event'] = "Event";
$admtext['eventdate'] = "Event Date";
$admtext['eventplace'] = "Event Place";
$admtext['detail'] = "Detail";
$admtext['export'] = "Export";
$admtext['tlevents'] = "Timeline Events";
$admtext['places'] = "Places";
$admtext['duplicate'] = "Changes were not saved. Another record with the same key already exists.";
$admtext['alttitle'] = "Alternate Title";
$admtext['enttitle'] = "Title";  //title for a history or photo, not a person
$admtext['address1'] = "Address 1";
$admtext['address2'] = "Address 2";
$admtext['countryaddr'] = "Country";
$admtext['branches'] = "Branches";
$admtext['nobranch'] = "No Branch";
$admtext['scrollbranch'] = "(Scroll to see all choices)";
$admtext['matches'] = "Matches";
$admtext['review'] = "Review";
$admtext['allusers'] = "All Users";
$admtext['deathabbr'] = "d.";
$admtext['burialabbr'] = "bur.";
$admtext['nochanges'] = "No changes were made.";
$admtext['changestoallitems'] = "Changes to all items";  //were made successfully
$admtext['find2'] = "Find";
$admtext['text_sort'] = "Sort";
$admtext['documents'] = "Documents";
$admtext['repository'] = "Repository";
$admtext['more'] = "More";
$admtext['repositories'] = "Repositories";
$admtext['divplace'] = "Divorce Place";
$admtext['divdate'] = "Divorce Date";
$admtext['divdatetr'] = "Divorce Date (True)";
$admtext['creategendex'] = "Create GENDEX";
$admtext['datamaint'] = "Import/Export";
$admtext['imagefiletoupload'] = "File to upload";
$admtext['indfamorsrc'] = "individual(s), families, sources, repositories or places.";
$admtext['improperpermissions'] = "because the folder does not exist (check the Root Path) or does not have proper permissions (try chmod(777)).";
$admtext['person'] = "Person";
$admtext['setup'] = "Setup";
$admtext['manage'] = "Manage";
$admtext['reset'] = "Reset";
$admtext['norecords'] = "No records exist.";
$admtext['secondarymaint'] = "Secondary Processes";
$admtext['customeventtypes'] = "Custom Event Types";
$admtext['findmatches'] = "Find Matches";
$admtext['matchthese'] = "Match the following fields:";
$admtext['otheroptions'] = "Other Options:";
$admtext['ignoreblanks'] = "Ignore Blanks";
$admtext['nextmatch'] = "Next Match";
$admtext['nextdup'] = "Next Duplicate";
$admtext['comprefresh'] = "Compare/Refresh";
$admtext['mswitch'] = "Switch";
$admtext['nomatches'] = "No Matches";
$admtext['combineextras'] = "Combine media";  //changed as well
$admtext['fasterdisplay'] = "Note: This page is formatted differently to allow for faster display.";
$admtext['publichome'] = "Public Home";
$admtext['selectall'] = "Select All";
$admtext['clearall'] = "Clear All";
$admtext['media'] = "Media";
$admtext['albums'] = "Albums";
$admtext['import'] = "Import";
$admtext['item'] = "Item";
$admtext['combinenotesonly'] = "Combine notes";
$admtext['addmedia'] = "Add Media";
$admtext['latitude'] = "Latitude";
$admtext['longitude'] = "Longitude";
$admtext['gedimport'] = "GEDCOM Import";
$admtext['improper2'] = "because the original file is too large or is not a valid image, or because the folder does not exist (check the Root Path) or does not have proper permissions (try chmod(777)).";
$admtext['confdeleterecs'] = "Are you sure you want to delete the selected records?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocode Location";
$admtext['notfound'] = " not found. Try another search. Check the Map Search Help for possible reasons the search failed, or try your search using the Full Google Map Search link";
$admtext['showhidemap'] = "Show/hide clickable map";
$admtext['getcoords'] = "(to determine latitude, longitude and zoom)";
$admtext['searchstring'] = "Search for a Place";
$admtext['zoom'] = "Zoom";
$admtext['selectplacelevel'] = "Select Place Level";
$admtext['difficultmap'] = "Full Google Map Search";
$admtext['maphelp'] = "Map Search Help";
$admtext['gobutton'] = "Search";
$admtext['findpersonid'] = "Find Person ID";
$admtext['findfamilyid'] = "Find Family ID";
$admtext['findsourceid'] = "Find Source ID";
$admtext['entersourcepart'] = "Enter part of source title";
$admtext['findrepoid'] = "Find Repository ID";
$admtext['enterrepopart'] = "Enter part of repository title";
$admtext['findplace'] = "Find Place";
$admtext['enterplacepart'] = "Enter part of a place name";
$admtext['entereventinfo'] = "Please enter an Event Date, an Event Place or the Detail for this event.";
$admtext['entereventtype'] = "Please select an Event Type.";
$admtext['enternote'] = "Please enter the note text.";
$admtext['selectsource'] = "Please select a Source.";
$admtext['confdeletecite'] = "Are you sure you want to delete this citation?";
$admtext['spouses'] = "Spouses / Partners";
$admtext['entertreeid'] = "Please enter a tree ID.";
$admtext['entertreename'] = "Please enter a tree name.";
$admtext['citations'] = "Citations";
$admtext['eventtypes'] = "Event Types";
$admtext['associations'] = "Associations";
$admtext['makefolder'] = "Make Folder";
$admtext['allcurrentdata'] = "All current data";
$admtext['matchingonly'] = "Matching records only";
$admtext['donotreplace'] = "Do not replace any data";
$admtext['useroffset'] = "Start IDs at:";
$admtext['phone'] = "Phone";
$admtext['website'] = "Web Site";
$admtext['thumb'] = "Thumb";  //as in thumbnail
$admtext['displayorder'] = "Display Order";
$admtext['go'] = "Go";
$admtext['help'] = "Help for this area";
$admtext['husband'] = "Father";
$admtext['wife'] = "Mother";
$admtext['husbname'] = "Father's Name";
$admtext['wifename'] = "Mother's Name";
$admtext['drag'] = "Drag";
$admtext['enterinamepart'] = "enter part of first and/or last name";
$admtext['enterfnamepart'] = "Enter part of father's and/or mother's name";
$admtext['hide'] = "Hide";
$admtext['toggle'] = "toggle display";
$admtext['wsel'] = "With selected:";
$admtext['msg'] = "Message";
$admtext['default'] = "Default";
$admtext['events'] = "Events";
$admtext['date'] = "Date";
$admtext['savecont'] = "Save and continue...";
$admtext['alphanum'] = "Please use only alphanumeric characters in your Tree ID.";
$admtext['mediatypes'] = "Media Types";
$admtext['appendall'] = "Append all records";
$admtext['NPFX'] = "Prefix";
$admtext['prefix'] = "Prefix";
$admtext['mostwanted'] = "Most Wanted";
$admtext['idexists'] = "could not be added because this ID already exists.";
$admtext['notdeleted'] = "File could not be deleted. Please check file permissions.";
$admtext['confdeletefile'] = "Are you sure you want to delete this file?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Note:</strong> When entering dates, please use the standard genealogical format DD MMM YYYY. For example, 10 Apr 2004.";
$admtext['oriental'] = "Surname first (without commas)";
$admtext['langfolder'] = "Language folder";
//moved here in 8.0.0
$admtext['active'] = "Active";
$admtext['repoid'] = "Repository ID";
$admtext['whatsnew'] = "What's New";
$admtext['linkedto'] = "Linked to";
$admtext['status'] = "Status";
//added in 8.0.0
$admtext['show'] = "Show";
$admtext['lnfirst'] = "Surname first (with commas)";
$admtext['savefirst'] = "Save changes first?";
$admtext['misc'] = "Miscellaneous";
$admtext['modmgr'] = "Mod Manager";
$admtext['menu'] = "Menu";
$admtext['cannotopendir'] = "Cannot open folder";
$admtext['reviewsh'] = "Review"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Cancel";
$admtext['enterpassoc'] = "Please enter the ID of the associated person.";
$admtext['enterrela'] = "Please enter the relationship.";
$admtext['confdeleteassoc'] = "Are you sure you want to delete this association?";
$admtext['preview'] = "Preview";
$admtext['livingonly'] = "Living only";
$admtext['tentdata'] = "Temporary event record for ";
$admtext['checking'] = "Checking...Please wait";
//added in 9.0.0
$admtext['clickresume'] = "click here to resume";
$admtext['copylast'] = "Copy Last";
$admtext['nicbold'] = "Click to Bold";
$admtext['nicitalic'] = "Click to Italic";
$admtext['nicunderline'] = "Click to Underline";
$admtext['niclalign'] = "Left Align";
$admtext['niccalign'] = "Center Align";
$admtext['nicralign'] = "Right Align";
$admtext['nicjalign'] = "Justify Align";
$admtext['nicinsol'] = "Insert Ordered List";
$admtext['nicinsul'] = "Insert Unordered List";
$admtext['nicsub'] = "Click to Subscript";
$admtext['nicsup'] = "Click to Superscript";
$admtext['nicstrike'] = "Click to Strike Through";
$admtext['nicremfmt'] = "Remove Formatting";
$admtext['nicindent'] = "Indent Text";
$admtext['nicremind'] = "Remove Indent";
$admtext['nichr'] = "Horizontal Rule";
$admtext['nicfontsz'] = "Font&nbsp;Size";
$admtext['nicfontfam'] = "Font&nbsp;Family";
$admtext['nicfontfmt'] = "Font&nbsp;Format";
$admtext['niclink'] = "Add Link";
$admtext['nicremlink'] = "Remove Link";
$admtext['nictxtcol'] = "Change Text Color";
$admtext['nicbkgcol'] = "Change Background Color";
$admtext['nicimage'] = "Add Image";
$admtext['change'] = "Change";
$admtext['editwarn'] = "Your lock on this record is about to expire. Save your changes now to prevent them from being overwritten by another user.";
$admtext['editconflict'] = "Another user is already editing this record. Please try again later.";
$admtext['retry'] = "Try again";
$admtext['notsaved'] = "Changes were not saved. Another user has locked the record.";
//changed in 9.2.0
$admtext['linktype'] = "Type";
//moved here in 10.0.0
$admtext['disabled'] = "Disabled";
$admtext['cremated'] = "Cremated";
//added in 10.0.0
$admtext['videos'] = "Videos";
$admtext['recordings'] = "Recordings";
$admtext['saveexit'] = "Save and Exit";
$admtext['allbranches'] = "All Branches";
//moved here in 11.0.0
$admtext['nickname'] = "Nickname";
$admtext['role'] = "Role";
$admtext['commas'] = "Separate multiple entries with commas";
$admtext['confdellink'] = "Are you sure you want to delete this link?";
$admtext['existlinks'] = "Existing Links";
$admtext['report'] = "Report";
//added in 11.0.0
$admtext['sortby'] = "Sort by";
$admtext['unlink'] = "Unlink";
$admtext['privateonly'] = "Private only";
$admtext['dna_links'] = "DNA Links";
$admtext['dataval'] = "Data Validation";
$admtext['norels'] = "Turn off relationship messages";

//change to $text
$admtext['living'] = "Living";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>