<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Nom de Branche ";
		$admtext['existingbranch'] = "Branche existante";
		$admtext['newbranch'] = "Nouvelle Branche";
		$admtext['numgenerations'] = "Nombre de Générations";
		$admtext['ancestors'] = "Ancêtres";
		$admtext['descofanc'] = "Générations de descendants pour chaque ancêtre";
		$admtext['descendants'] = "Descendants";
		$admtext['includespouses'] = "Inclure les épouses des descendants";
		$admtext['partial'] = "Partiel";
		$admtext['addlabels'] = "Ajouter des étiquettes";
		$admtext['clearlabels'] = "Effacer les étiquettes";
		$admtext['clearingbranch'] = "Effacer les étiquettes de branches";
		$admtext['addingbranch'] = "Ajouter des étiquettes de branches";
		$admtext['totalaffected'] = "Personnes concernées";
		$admtext['labelmore'] = "Etiqueter d'autres branches";
		$admtext['enterbranch'] = "Sélectionner une branche existante ou créer une nouvelle .";
		$admtext['enterstartingind'] = "Entrez l'ID de départ.";
		$admtext['gensnumeric'] = "Les valeurs pour les ancêtres ou descendants doivent être numériques.";
		$admtext['overwrite'] = "Ecraser";
		$admtext['branchid'] = "ID de branche";
		$admtext['addnewbranch'] = "Ajouter une nouvelle branche";
		$admtext['createbranch'] = "Créer un enregistrement pour une nouvelle branche";
		$admtext['existingbranchinfo'] = "Information sur une branche existante";
		$admtext['editexistingbranch'] = "Editer une branche existante";
		$admtext['confbranchdelete'] = "Etes-vous sûr de vouloir supprimer cette branche?";
		$admtext['enterbranchid'] = "Veuillez entrer un ID de branche.";
		$admtext['entertreedesc'] = "Veuillez entrer une description de branche.";
		$admtext['newbranchinfo'] = "Information sur la nouvelle branche";
		$admtext['modifybranch'] = "Modifier une branche";
		$admtext['changestobranch'] = "Changements à une branche";
		$admtext['existlabels'] = "étiquettes";
		$admtext['leave'] = "Quitter";
		$admtext['append'] = "Ajouter tous les enregistrements";
		$admtext['showpeople'] = "Montrer les personnes appartenant à cet arbre/branche";
		$admtext['branchdiscl'] = "Ce nombre représente le nombre total de liens de la branche, pas nécessairement le nombre de personnes ou de familles faisant partie de cette branche.  Si vous avez récemment réimporté vos données, vous devez peut-être ré-étiquetter vos branches.";
		$admtext['inclspouses'] = "Incluez les conjoints pour tous les descendants";
		$admtext['delpeople'] = "Effacez les personnes et les familles avec cette étiquette de branche";
		$admtext['confbrdel'] = "Êtes-vous certain de vouloir effacer tous les personnes et familles reliées à cette branche ?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Le fichier image plan n'a pu être copié vers";
		$admtext['changestocem'] = "Modification sur cimetière";
		$admtext['modifycemetery'] = "Modifier un cimetière";
		$admtext['addnewcemetery'] = "Ajouter un nouveau cimetière";
		$admtext['createnewcemetery'] = "Crée un enregistrement pour un cimetière";
		$admtext['selectcemaction'] = "Choisir un cimetière et action";
		$admtext['location'] = "Lieu";
		$admtext['confdeletecem'] = "Etes-vous sûr de vouloir effacer ce cimetière ?";
		$admtext['editceminfo'] = "Edite l'information sur un cimetière déjà saisi";
		$admtext['leaveblankallcems'] = "laisser vide pour afficher tous les cimetières";
		$admtext['cemeteryname'] = "Nom du cimetière";
		$admtext['mapfilename'] = "Nom du fichier plan";
		$admtext['countyparish'] = "Canton/Paroisse";
		$admtext['stateprovince'] = "Région/Province";
		$admtext['entercountry'] = "Veuillez saisir le pays.";
		$admtext['entermapfile'] = "Veuillez saisir un nom de fichier pour votre fichier plan sur le serveur web.";
		$admtext['existingceminfo'] = "Information cimetières existants";
		$admtext['newceminfo'] = "Information nouveau cimetière";
		$admtext['maptoupload'] = "Image à charger";
		$admtext['mapfilenamefolder'] = "Nom du fichier image<br>dans le dossier tombes";
		$admtext['ifmapuploaded'] = "Laissez ce champ vide si le fichier a déjà été chargé dans votre dossier tombes.";
		$admtext['requiredmap'] = "Requis. Ceci doit correspondre au nom et emplacement de votre fichier <em>dans le dossier photostombes</em> une fois le fichier chargé. Exemple : si votre dossier tombes s'appelle <em>tombes</em>,	et que votre fichier doit s'appeler <em>plan.jpg</em> et aller dans un sous-dossier nommé <em>mesplans</em>, vous devrez saisir <em>mesplans/plan.jpg</em> dans ce champ.";
		//added in 8.0.0
		$admtext['linkplace'] = "Endroit associer";
		$admtext['fillplace'] = "Remplissez le lieu";
		$admtext['usecemcoords'] = "Copiez l'information de geocode ci-dessous à ce lieu";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "existe déjà";
		$admtext['added'] = "Ajouté";
		$admtext['enternew'] = "Entrer nouvelle";
		$admtext['pleaseenter'] = "Veuillez entrer un ";
		$admtext['netscapereload'] = "Utilisateurs de Netscape : <br>Vous devez actualiser la page Cimetières pour afficher le nouveau";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Effacement Note...";
		$admtext['addingnote'] = "Ajout Note...";
		$admtext['addnewnote'] = "Ajouter Nouvelle Note";
		$admtext['note'] = "Note";
		$admtext['modifynote'] = "Modifier Note";
		//added in 8.0.0
		$admtext['notechanges'] = "changements à noter";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Ajoute Evénement...";
		$admtext['deletingevent'] = "Efface Evénement...";
		$admtext['updatingevent'] = "Mise à jour Evénement...";
		$admtext['modifyevent'] = "Modification Evénement";
		$admtext['addnewevent'] = "Ajouter un nouvel évènement";

		$admtext['dateformat'] = "(JJ MMM AAAA)";
		$admtext['age'] = "Age";
		$admtext['agency'] = "Agence";
		$admtext['cause'] = "Cause";
		$admtext['moreinfo'] = "Plus d'Information";
		//added in 11.0.0
		$admtext['dupfor'] = "Dupliquer pour";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importer GEDCOM...<br>(peut prendre plusieurs minutes)";
		$admtext['ifimportfails'] = "Si l'import échoue pour terminer,";
		$admtext['opened'] = "ouvert...";
		$admtext['toresume'] = "pour reprendre l'import";  //cannot open to resume import
		$admtext['openedtoresume'] = "ouvert pour reprendre l'import...";
		$admtext['notresumed'] = "Import ne peut être repris.";
		$admtext['finishedimporting'] = "Importation GEDCOM terminé";
		$admtext['treeexists'] = "Un autre arbre existe avec le même ID. Veuliilez sélectionner un autre ID et recommencer.";
		$admtext['backtodataimport'] = "Retour à l'importation de données";
		$admtext['moreoptions'] = "plus d'options";
		$admtext['removeged'] = "Supprimez le dossier de GEDCOM (sur option)";
		$admtext['cannotupload'] = "N'a pas pu télécharger le fichier:";
		$admtext['invfperms'] = "Votre dossier 'gedcom' peut avoir des permissions insatisfaisantes (essai 755 ou 777).";
		$admtext['maybedone'] = "Il a pu avoir déjà fini.";
		$admtext['turnonsis'] = "Assurez-vous que 'Sauf l'état d'importation' est choisi dans lc configuration d'importation.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Modifications d'un type d'évènement";
		$admtext['modifyeventtype'] = "Modifier un type d'évènement existant";
		$admtext['individual'] = "Individuel";
		$admtext['entertypedesc'] = "Veuillez saisir un type/description pour ce nouveau type d'évènement.";
		$admtext['enterdisplay'] = "Veuillez saisir une chaîne pour ce nouveau type d'évènement.";
		$admtext['existingeventtypeinfo'] = "Information Type d'évènement existant";
		$admtext['neweventtypeinfo'] = "Nouveau Type d'évènement";
		$admtext['tag'] = "Tag";
		$admtext['typedescription'] = "Type/Description";
		$admtext['onimport'] = "à l'importation";
		$admtext['accept'] = "Accepter";
		$admtext['ignore'] = "Ignorer";
		$admtext['typerequired'] = "Avec des tags personnalisés (où tag = \"EVEN\"), ceci est le TYPE et est nécessaire. Optionnel pour les autres tags.";
		$admtext['addnewevtype'] = "Ajouter un type d'évènement";
		$admtext['createnewevtype'] = "Crée un type d'évènement";
		$admtext['forindividuals'] = "Individuel...";
		$admtext['forfamilies'] = "Familial...";
		$admtext['existingevtypes'] = "Types d'évènement existants";
		$admtext['edsevtypes'] = "Edite, efface ou trie les types d'évènement déjà saisis";
		$admtext['indfam'] = "Ind/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Etes-vous certain de vouloir effacer ce type d'évènement ?";
		$admtext['selecttag'] = "Choisir le Tag";
		$admtext['selectentertag'] = "Veuillez choisir ou saisir le tag pour ce type d'évènement.";
		$admtext['orenter'] = "ou saisir";
		$admtext['ifbothdata'] = "aura la priorité si les deux champs contiennent des données";
		$admtext['EVEN'] = "Evénement";
		$admtext['ADOP'] = "Enfant adopté";
		$admtext['ADDR'] = "Adresse";
		$admtext['ALIA'] = "Alias";
		$admtext['BARM'] = "Barmitzvah";
		$admtext['BASM'] = "Basmitzvah";
		$admtext['CAST'] = "Caste";
		$admtext['CENS'] = "Recensement";
		$admtext['CHRA'] = "Baptême d'adulte";
		$admtext['CONF'] = "Confirmation";
		$admtext['CREM'] = "Incinéré";
		$admtext['DSCR'] = "Description physique";
		$admtext['EDUC'] = "Éducation";
		$admtext['EMIG'] = "Émigration";
		$admtext['FCOM'] = "Première Communion";
		$admtext['GRAD'] = "Diplômé";
		$admtext['IDNO'] = "Numéro d'identité nationale";
		$admtext['IMMI'] = "Immigration";
		$admtext['LANG'] = "Langue";
		$admtext['NATI'] = "Nationalité";
		$admtext['NATU'] = "Naturalisation";
		$admtext['NCHI'] = "Nombre d'enfants";
		$admtext['NMR'] = "Nombre de Mariages";
		$admtext['OCCU'] = "Profession";
		$admtext['ORDI'] = "Ordination";
		$admtext['ORDN'] = "Ordonné";
		$admtext['PHON'] = "Téléphone";
		$admtext['PROB'] = "Homologation";
		$admtext['PROP'] = "Biens";
		$admtext['RELI'] = "Religion";
		$admtext['RESI'] = "Résidence";
		$admtext['RESN'] = "Notification de Restriction";
		$admtext['RETI'] = "Retraité";
		$admtext['RFN'] = "N° d'enregistrement permanent";
		$admtext['SSN'] = "N° de Sécurité Sociale";
		$admtext['WILL'] = "Testament";
		$admtext['ANUL'] = "Annulation";
		$admtext['DIVF'] = "Divorce classé";
		$admtext['ENGA'] = "Fiancé";
		$admtext['MARB'] = "Bans de mariage";
		$admtext['MARC'] = "Contrat de mariage";
		$admtext['MARL'] = "Autorisation de mariage";
		$admtext['MARS'] = "Contrat de mariage";
		$admtext['forsources'] = "Pour les sources ...";
		$admtext['RIN'] = "Numéro de l'enregistrement";
		$admtext['REFN'] = "Numéro de référence";
		$admtext['REPO'] = "Dépôt d'archives";

		$admtext['deleteselected'] = "Effacer la sélection";
		$admtext['ignoreselected'] = "Ignorer la sélection";
		$admtext['acceptselected'] = "Accepter la sélection";
		$admtext['changestoallevtypes'] = "Changements à tous les types d'évènement";
		$admtext['forrepos'] = "Pour les Dépôts...";
		$admtext['noevtypes'] = "Il n'existe pas de types d'évènement.";
		$admtext['DESI'] = "Intérêt du descendant";
		$admtext['allnone'] = "Veuillez saisir un message à afficher pour chaque langue,<br />ou ne rien inscrire et saisir un message dans le champ Affichage ci-dessus.";
		$admtext['assocwith'] = "Associé à";
		$admtext['BAPM'] = "Baptême";
		$admtext['umps'] = "Votre fichier GEDCOM est peut-être plus grand que la taille maximale spécifiée dans la configuration de PHP. Vous pouvez demander à votre hébergeur d'augmenter la valeur de la variable 'upload_max_filesize', ou vous pouvez télécharger votre fichier dans le dossier 'gedcom' sur votre site et l'importer de cet endroit.";
		$admtext['othlangs'] = "Autres langues";
		$admtext['evdata'] = "Données d'événements";
		$admtext['ANCI'] = "Auteur";
		//added in 10.0.0
		$admtext['collapseev'] = "Compresser faits";
		$admtext['collapse'] = "Compresser";
		$admtext['collapseselected'] = "Compression choisie";
		//added in 11.0.0
		$admtext['expselected'] = "Développer sélectionné";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Modification sur famille";
		$admtext['marrdate'] = "Date Mar."; //marriage date
		$admtext['modifyfamily'] = "Modifier une famille existante";
		$admtext['selectfamaction'] = "Choisir une famille et Action";
		$admtext['confdeletefam'] = "Etes-vous certain de vouloir effacer cette famille ?";
		$admtext['existingfamilyinfo'] = "Information pour la famille";
		$admtext['newfamilyinfo'] = "Information nouvelle famille";
		$admtext['sealedsdate'] = "Date d'union EP.(SDJ)";     //S is for spouse
		$admtext['sealedsplace'] = "Date d'union EP.(SDJ)";     //S is for spouse
		$admtext['newchildren'] = "Nouvel enfant";
		$admtext['addnewfamily'] = "Ajouter une famille";
		$admtext['createnewfamily'] = "Crée un enregistrement pour une nouvelle famille";
		$admtext['editexistingfaminfo'] = "Edite l'information d'une famille déjà saisie";
		$admtext['spousesids'] = "IDs Conjoint(e)s";
		$admtext['noname'] = "Sans nom";
		$admtext['familyidbefevent'] = "Vous devez saisir un ID Famille avant d'ajouter de nouveaux évènements.";
		$admtext['prefixfamilyid'] = "Veuillez préfixer l'ID Famille avec un \"F\" pour \"Famille\"";
		$admtext['validfamilyid'] = "Veuillez saisir un ID Famille valide. Un ID Famille valide est une chaîne numériques préfixé d'un 'F'.";
		$admtext['familyidbefnote'] = "Vous devez saisir un ID Famille avant d'ajouter de nouvelles notes.";
		$admtext['familyidbefcite'] = "Vous devez saisir un ID Famille avant d'utiliser des témoignages avec cette famille.";
		$admtext['genfamily'] = "Famille générale";
		$admtext['marriagetype'] = "Sorte de Mariage";
		$admtext['reviewfamilies'] = "Accepter ou décliner les tentatives de modifications apportées aux familles";
		$admtext['fevslater'] = "Note: les évènements additionnels, et les notes spécifiques aux évènements et les citations, peuvent être ajoutés après avoir sauvegardé la nouvelle famille.";
		$admtext['husbid'] = "ID Époux";  //husband ID
		$admtext['wifeid'] = "ID Epouse";
		$admtext['enternamepart'] = "saisir une partie du prénom et/ou du nom";
		$admtext['pleasenamepart'] = "Veuillez saisir une partie du prénom ou du nom.";
		$admtext['clickfind'] = "Cliquez sur Chercher ou Créer =>";
		$admtext['chunlinked'] = "Enfant détaché de la famille";
		$admtext['child'] = "Enfant";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Ajout d'une Personne...";
		$admtext['changestoperson'] = "Modification sur personne";
		$admtext['nobirthinfo'] = "Aucune info. de naissance";
		$admtext['modifyperson'] = "Modifier une personne";
		$admtext['selectpersaction'] = "Choisir une personne et Action";
		$admtext['existingpersoninfo'] = "Information existante pour la Personne";
		$admtext['firstgivennames'] = "Prénom(s)";
		$admtext['lastsurname'] = "Nom";
		$admtext['nickname'] = "Surnom";
		$admtext['male'] = "Masculin";
		$admtext['female'] = "Féminin";
		$admtext['bapldate'] = "Date de Baptême (LDS)";
		$admtext['baplplace'] = "Lieu de Baptême (LDS)";
		$admtext['endldate'] = "Date de dotation (LDS)";
		$admtext['parents'] = "Parents";
		$admtext['father'] = "Père";
		$admtext['mother'] = "Mère";
		$admtext['unlinkindividual'] = "Supprimer le lien de cette personne";
		$admtext['aschild'] = "comme enfant";
		$admtext['sealedpdate'] = "Légitimé P le (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Légitimé P à (LDS)";     //P is for parents
		$admtext['asspouse'] = "comme époux";
		$admtext['spouse'] = "Conjoint(e)";
		$admtext['ordernumber'] = "N° d'ordre";
		$admtext['married'] = "Mariage";
		$admtext['nonewfamily'] = "Ne pas aller à la nouvelle famille à l'enregistrement";
		$admtext['addnewperson'] = "Ajouter une Personne";
		$admtext['createperson'] = "Crée un enregistrement pour une nouvelle personne";
		$admtext['personidbefevent'] = "Vous devez saisir un ID de Personne avant de saisir de nouveaux évènements.";
		$admtext['prefixpersonid'] = "Veuillez préfixer l'ID de Personne avec un \"I\" pour \"Individuel\"";
		$admtext['validpersonid'] = "Veuillez saisir un ID de Personne valide. Un ID valide est une chaîne numérique préfixée d'un 'I'.";
		$admtext['newpersoninfo'] = "Information Nouvelle Personne";
		$admtext['selectsex'] = "Veuillez choisir le sexe.";
		$admtext['shortform'] = "Formulaire court";
		$admtext['editexistingpersoninfo'] = "Edite l'information d'une personne déjà saisie";
		$admtext['unknown'] = "Inconnu";
		$admtext['personidbefnote'] = "Vous devez saisir un ID de Personne avant d'ajouter de nouvelles notes.";
		$admtext['endlplace'] = "Lieu de dotation (LDS)";
		$admtext['personidbefcite'] = "Vous devez entrer l'identité d'une personne avant de pouvoir utiliser les témoignages sur cette personne.";
		$admtext['relationship'] = "Relations";
		$admtext['asspouse'] = "comme époux";
		$admtext['mergepeople'] = "Fusionner les individus.";
		$admtext['choosemerge'] = "Choisir les individus à fusionner ou rechercher des doublons";
		$admtext['usesoundex'] = "Utiliser Soundex";
		$admtext['sdxdisclaimer'] = "L'utisation de cette option impliquera un temps de recherche plus long lors de la prochaine recherche.";
		$admtext['combinenotes'] = "Fusionner les notes et citations";
		$admtext['confirmmerge'] = "Etes-vous sûr de vouloir fusionner ces deux individus ?";
		$admtext['gotonewfamily'] = "Créer une nouvelle famille en partant de l'individu en cours";
		$admtext['genperson'] = "Individu général";
		$admtext['reviewpeople'] = "Accepter ou décliner les tentatives de changements aux individus";
		$admtext['nokids'] = "Sans enfants";
		$admtext['noparents'] = "Sans parents";
		$admtext['association'] = "Association";
		$admtext['deletingassoc'] = "Effacement de l'association...";
		$admtext['addingassoc'] = "Ajout de l'association...";
		$admtext['updatingassoc'] = "Mise à jour de l'association...";
		$admtext['addnewassoc'] = "Ajouter une nouvelle association";
		$admtext['modifyassoc'] = "Modifier une association existante";
		$admtext['pevslater'] = "Note: les évènements additionnels, et les notes spécifiques aux évènements et les citations, peuvent être ajoutés après avoir sauvegardé le nouvel individu.";
		$admtext['ashusband'] = "comme époux";
		$admtext['aswife'] = "comme épouse";
		$admtext['pevslater2'] = "Note: Des événements additionnels, des notes spécifiques à des événement et des citations, peuvent être ajoutés plus tard.";
		$admtext['nospouse'] = "Aucun conjoint";
		$admtext['revassoc'] = "Ajoutez également l'association inverse pour les mêmes deux personnes";
		$admtext['prefix'] = "Préfixe";
		$admtext['chkdel'] = "Check empty box to delete item at left";
		//added in 9.0.0
		$admtext['choosedef'] = "Sélectionner la photo par<br/>défaut<br/>"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Date confirmation (LDS)";
		$admtext['confplace'] = "Lieu confirmation (LDS)";
		$admtext['initdate'] = "Date initiation (LDS)";
		$admtext['initplace'] = "Lieu initiation (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Le fichier vignette n'a pu être copié vers";
		$admtext['photo'] = "Photo";
		$admtext['changestophoto'] = "Modification sur photo";
		$admtext['modifyphoto'] = "Modifier une photo";
		$admtext['addnewphoto'] = "Ajouter une photo";
		$admtext['selectphotoaction'] = "Choisir une photo et Action";
		$admtext['photoid'] = "ID Photo";
		$admtext['confdeletephoto'] = "Etes-vous certain de vouloir effacer cette photo et les liens associés ?";
		$admtext['enterphotopath'] = "Veuillez saisir le chemin (dossier et nom de fichier) du fichier image dans le dossier photos de votre serveur web.";
		$admtext['enterthumbnailpath'] = "Veuillez saisir le chemin (dossier et nom de fichier) du fichier vignette dans le dossier photos de votre serveur web.";
		$admtext['enterphotodesc'] = "Veuillez saisir une description pour cette image.";
		$admtext['existingphotoinfo'] = "Information Photo existante";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Fichier Image Vignette";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Fichier et Chemin";
		$admtext['sortphotos'] = "Trier les Photos";
		$admtext['sortphotosfor'] = "Trier les Photos pour";
		$admtext['editexistingphotoinfo'] = "Edite l'information d'une photo déjà chargée";
		$admtext['leaveblankallphotos'] = "laissez vide pour afficher toutes les photos";
		$admtext['headstone'] = "Tombes";
		$admtext['imagenotcopied'] = "Le fichier image n'a pu être copié vers";
		$admtext['changestohs'] = "Modification sur tombe";
		$admtext['modifyheadstone'] = "Modifier une tombe existante";
		$admtext['selecthsaction'] = "Choisir une tombe et Action";
		$admtext['confdeletehs'] = "Etes-vous certain de vouloir effacer cette tombe ?";
		$admtext['photostatus'] = "Photo/Statut";
		$admtext['selectcemetery'] = "Veuillez choisir un cimetière.";
		$admtext['enterhsimage'] = "Veuillez saisir une nom de fichier pour votre image de tombe sur le serveur web.";
		$admtext['existinghsinfo'] = "Information sur tombe existante";
		$admtext['newhsinfo'] = "Information nouvelle tombe";
		$admtext['hsimagefile'] = "Fichier image Tombe";
		$admtext['located'] = "Située";
		$admtext['notyetlocated'] = "Pas encore située";
		$admtext['unmarked'] = "Non marquée";
		$admtext['missing'] = "Manquant";
		$admtext['leaveblankhs'] = "Laissez ce champ vide si le fichier a déjà été chargé dans votre dossier tombes.";
		$admtext['requiredhs'] = "Requis. Ceci doit correspondre au nom et emplacement de votre fichier <em>dans le dossier tombes</em> une fois le fichier chargé. Exemple : si votre dossier tombes s'appelle <em>photos/tombes</em>, et que votre fichier doit s'appeler <em>tombe.jpg</em> et aller dans le sous-dossier photos/tombes nommé <em>nouvtombes</em>, vous devez saisir  <em>nouvtombes/tombe.jpg</em> dans ce champ.";
		$admtext['addnewhs'] = "Ajouter nouvelle tombe";
		$admtext['createnewhs'] = "Crée un enregistrement pour une tombe et la lie à une personne";
		$admtext['editexistinghsinfo'] = "Edite l'information pour une tombe déjà saisie";
		$admtext['leaveblankallhs'] = "laisser vide pour afficher toutes les tombes";
		$admtext['cemnamelocation'] = "Nom du cimetière et emplacement";
		$admtext['pedphoto'] = "Utiliser cette photo dans les tableaux de descendance et dans les titres";
		$admtext['photoowner'] = "Propriétaire - source";
		$admtext['dimensions'] = "Dimensions";
		$admtext['selectphoto'] = "Selectionner l'image";
		$admtext['specifyimg'] = "Spécifier la photo";
		$admtext['autoimg'] = "Créer à partir de l'original";
		$admtext['enterthumbpath'] = "Entrez un nom de destination pour votre vignette.";
		$admtext['genthumbs'] = "Générer les vignettes";
		$admtext['genthumbsdesc'] = "Générer automatiquement des vignettes pour les photos qui n'en ont pas.";
		$admtext['thumbsgenerated'] = "Les vignettes ont été créées";
		$admtext['makedefault'] = "Par défault";
		$admtext['filewithinhs'] = "Chemin vers le fichier des pierres tombales<br>(dossier  et nom de fichier)";
		$admtext['recsupdated'] = "Enregistrements mis à jour";
		$admtext['removedef'] = "Retirer la photo par défaut";
		$admtext['numlinkhs'] = "Nombre de personnes à lier à cette pierre tombale";
		$admtext['sortheadstones'] = "Classer les pierres tombales";
		$admtext['sortheadstonesfor'] = "Classer les pierres tombales pour";
		$admtext['sortheadstonesind'] = "Classer les pierres tombales pour un individu";
		$admtext['headstoneorder'] = "Indiquer l'ordre désiré pour les pierres tombales liées à un individu spécifique.";
		$admtext['enternumberforphoto'] = "Introduisez une valeur numérique pour chaque élément.";
		$admtext['updownforphoto'] = "Cliquez les flèches haut et bas pour déplacer les éléments vers le haut ou le bas dans l'ordre.";
		$admtext['createnewphoto'] = "Créer un enregistrement pour une photo et le lier à des individus, des familles ou des sources";
		$admtext['numlinkphoto'] = "Nombre de personnes, familles ou sources à lier à cette photo";
		$admtext['photoorder'] = "Indiquer l'ordre des photos liées à un individu, une famille, ou une source";
		$admtext['assigndefs'] = "Définir la photo par défaut";
		$admtext['assigndefsdesc'] = "Définir la première photo de chaque individu, famille, ou source comme étant leur photo par défaut.";
		$admtext['overwritedefs'] = "Ecraser les photos par défaut déjà définies";
		$admtext['assign'] = "Définir les photos par défaut";
		$admtext['defsassigned'] = "La photo par défaut a été définie";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Carte d'image";
		$admtext['circle'] = "cercle";
		$admtext['rect'] = "Rectangle";
		$admtext['poly'] = "polygone";
		$admtext['shape'] = "Forme de la région";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Largeur (pixels)";
		$admtext['height'] = "Hauteur (pixels)";
		$admtext['imgdim'] = "Dimensions de limage ";
		$admtext['pixw'] = "pixels de largeur";
		$admtext['pixh'] = "pixels de hauteur";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Changements à toutes les photos sélectionnées";
		$admtext['changestoallhs'] = "Changements à toutes les pierres tombales sélectionnées";
		$admtext['datetaken'] = "Prise le";
		$admtext['placetaken'] = "Prise à";
		$admtext['abspath'] = "Cette image provient d'une source externe (vous devez ajouter votre propre vignette)";
		$admtext['imagefile'] = "Fichier Image";
		$admtext['pathwithinphotos'] = "Chemin du dossier photos <br>(sous-dossier et nom de fichier)";
		$admtext['linktocem'] = "Liez cette image directement au cimetierre sélectionné";
		$admtext['defphotonote'] = "Utiliser la miniature de cette photo pour identifier cette personne, cette famille ou cette source dans un arbre ou d'autres tableaux, en ce compris les tableaux de famille.";
		$admtext['photonotadded'] = "La photo n'a pas pu être ajoutée, probablement parce que un autre enregistrement existe déjà pour la photo spécifiée.";
		$admtext['requiredphoto'] = "Requis. Ceci doit correspondre au nom et emplacement de votre fichier <em>dans le dossier photos</em> une fois le fichier chargé. Exemple : si votre dossier photos s'appelle <em>photos</em>, et que votre fichier doit s'appeler <em>maphoto.jpg</em> et aller dans un sous-dossier de photos nommé <em>nouvphotos</em>, vous devrez saisir <em>nouvphotos/maphoto.jpg</em> dans ce champ.";
		$admtext['leaveblankphoto'] = "Laissez ce champ vide si le fichier a déjà été chargé dans votre dossier photos.";
		$admtext['thumbconflicts'] = "Les vignettes n'ont pas été créées, à cause de problèmes de chemin, de permissions ou de nom de fichier";
		$admtext['showmap'] = "Afficher le plan";
		$admtext['bodytext'] = "<strong>OU</strong><br/>Texte Principal";
		$admtext['usenl'] = "Convertir les retours à la ligne en affichage HTML";
		$admtext['newwin'] = "Ouvrez dans une nouvelle fenêtre";
		$admtext['modifymedia'] = "Modifer un média existant";
		$admtext['addnewmedia'] = "Ajouter un nouveau média";
		$admtext['confdeletemedia'] = "Etes-vous certain de vouloir effacer ce média ?";
		$admtext['thumbnails'] = "Vignettes";
		$admtext['modifyalbum'] = "Modifier un album existant";
		$admtext['addnewalbum'] = "Ajouter un nouvel album";
		$admtext['newalbuminfo'] = "Information sur le nouvel album";
		$admtext['confdeletealbum'] = "Etes-vous certain de vouloir effacer cet album ?";
		$admtext['enteralbumname'] = "Veuillez inscrire un nom pour l'album.";
		$admtext['albumname'] = "Nom de l'album";
		$admtext['keywords'] = "Mots clés";
		$admtext['changestoalbum'] = "Changements à l'album";
		$admtext['addtoalbum'] = "Ajouter à l'album";
		$admtext['mediatype'] = "Collection";
		$admtext['fileext'] = "Extension de fichier"; //file extension (abbreviation)
		$admtext['anotherlink'] = "Ajouter un autre lien";
		$admtext['mediaurl'] = "URL du média";
		$admtext['put_in'] = "Enregistrer le fichier dans";
		$admtext['usemedia'] = "Dossier Média";
		$admtext['usecollect'] = "Dossier de la collection (exemple, \"photos\")";
		$admtext['notcopied'] = "Ce fichier n'a pu être copié dans";
		$admtext['existingmediainfo'] = "Information sur le média existant";
		$admtext['convto'] = "Convertir la sélection en";
		$admtext['changestoallmedia'] = "Changements à tous les médias sélectionnés";
		$admtext['changestoitem'] = "Changements à l'item";
		$admtext['eventlink'] = "Lien avec un évènement particulier";
		$admtext['sortmediaind'] = "Trier les médias liés à un individu, une famille, une source, un dépôt ou un lieu";
		$admtext['sortmedia'] = "Trier les xxx pour";
		$admtext['unlinked'] = "Médias orphelins";
		$admtext['samepaths'] = "L'image principale et la vignette ne peuvent provenir du même fichier. Veuillez sélectionner un fichier différent pour la vignette ou choisir que le programme en génère une pour vous.";
		$admtext['regenerate'] = "Recréer les vignettes existantes";
		$admtext['forcircles'] = "Pour des cercles";
		$admtext['forrects'] = "Pour des rectangles";
		$admtext['circleinstr'] = "Cliquez d'abord au centre du cercle, puis n'importe où sur le cercle.";
		$admtext['rectinstr'] = "Cliquez d'abord sur le coin supérieur gauche du rectangle, puis sur le coin inférieur droit.";
		$admtext['firstone'] = "premier";
		$admtext['controller'] = "Veuillez prévoir environ 16 pixels de haut pour le panneau de contrôle du lecteur de média.";
		$admtext['nostatus'] = "Pas de statut";
		$admtext['enterid'] = "Veuillez saisir un ID.";
		$admtext['existingalbuminfo'] = "Information sur l'album existant";
		$admtext['newmediainfo'] = "Information sur le nouveau média";
		$admtext['mapinstr2'] = "Liez des zones de votre image à différentes personnes ou d'autres pages (optionnel) en introduisant les informations de carte d'image HTML ci-dessous ou en suivant les instructions à côté de la photo ci-dessous.";
		$admtext['mapinstr3'] = "Pour lier une région de cette photo à un individu spécifique, sélectionnez l'arbre de l'individu , choisissez une forme et des dimensions pour la zone de la photo que vous désirez lier à l'individu, puis cliquez le centre de la zone sélectionnée sur la photo. Une fenêtre s'ouvrira pour vous aider à sélectionner l'individu . Une fois que vous l'aurez sélectionnée, le code pour la carte d'image sera ajouté dans le champ . Répétez ce processus autant de fois que vous désirez ajouter des individus à la photo.";
		$admtext['albumlinks'] = "Liens d'album";
		$admtext['duplinkmsg'] = "Un lien à l'entité choisie existe déjà dans cet album.";
		$admtext['invlinkmsg'] = "L'identification d'entité que vous avez écrite est inadmissible. Aucun lien n'a été créé.";
		$admtext['albmedia'] = "Médias d'album";
		$admtext['removelink'] = "Enlevez le lien";
		$admtext['confremmedia'] = "Êtes-vous certain de vouloir enlever ces médias de cet album ?";
		$admtext['selmedia'] = "Recherchez les médias existants pour les inclure dans cet album";
		$admtext['uploadfirst'] = "Télécharger les nouveaux médias ici en premier";
		$admtext['existmedia'] = "Médias existants";
		$admtext['emoptions'] = "Explorez, effacez ou faites glisser pour trier";
		$admtext['addlinks'] = "Ajoutez de nouveaux liens";
		$admtext['eloptions'] = "Explorez ou effacez";
		$admtext['inclmsg'] = " inclus";
		$admtext['mediasubt'] = "Gérez les médias inclus dans cet album (ajoutez, effacez, sortez)";
		$admtext['infosubt'] = "Éditez le nom, la description et les mots-clés d'album";
		$admtext['linkssubt'] = "Liez cet album aux persones, familles, sources, dépôts ou lieux";
		$admtext['inclmedia'] = "Médias inclus";
		$admtext['nomedia'] = "Aucun média n'est encore inclus";
		$admtext['nolinks'] = "Aucun lien n'a encore été créé";
		$admtext['thumbsize'] = "(l'original est trop grand)";
		$admtext['thumbinv'] = "(image invalide ou permission insuffisante)";
		$admtext['thumblost'] = "(l'original est introuvable)";
		$admtext['uplsel'] = "Téléchargez un nouveau fichier à partir de votre ordinateur, ou choisissez-en un parmi ceux qui sont déjà sur votre site";
		$admtext['alblater'] = "Note: Des médias peuvent être ajoutés à cet album, et l'album peut être lié à des individus ou des familles, dans la fenêtre suivante.";
		$admtext['medlater'] = "Note: Plus d'information peut être ajoutée,, et l'article peut être liée à des individus ou à des familles, dans la fenêtre suivante.";
		$admtext['minfosubt'] = "Éditez le titre, la description et d'autres détails de médias";
		$admtext['medialinks'] = "Liens de médias";
		$admtext['defphoto'] = "Photo par défaut";
		$admtext['alttd'] = "Autre Titre/Description";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Éditez le lien de médias";
		$admtext['plot'] = "Lot";
		$admtext['addnewcoll'] = "Ajoutez la collection";
		$admtext['collid'] = "Identifiez la collection";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Nom du dossier";
		$admtext['collicon'] = "Fichier d'icône";
		$admtext['colllike'] = "Installation identique à";
		$admtext['entercollid'] = "Identifiez la collection.";
		$admtext['entercolldisplay'] = "Donnez un nom d'affichage à la collection.";
		$admtext['entercollpath'] = "Donnez un nom de dossier à la collection.";
		$admtext['entercollicon'] = "Donnez un nom de fichier d'icône à la collection.";
		$admtext['editcoll'] = "Éditez la collection";
		$admtext['confmtdelete'] = "Êtes-vous certain de vouloir effacer ce type de médias?";
		$admtext['histlimit'] = "<strong>Longueur de la note:</strong> La plupart des navigateurs limitent le volume des données d'un formulaire Web à environ 64Kb. Si vous avez beaucoup de texte à taper ou à coller dans le champ réservé au texte ci-dessus, vous pourriez peut-être utiliser historytemplate.php à la place. Voyez l'Aide pour plus d'information. ";
		$admtext['repath'] = "Régénérez les chemins d'accès de la vignette si le dossier n'existe pas";
		$admtext['sortalbumind'] = "Triez les albums pour un individu, une famille, une source, un dépôt ou un lieu";
		$admtext['cidexists'] = "L'ID de la collection que vous avez saisie peut ne pas être ajoutée si elle existe déjà.";
		$admtext['phalltrees'] = "Optionnel. Laisser vide pour permette aux photos d'être visibles dans tous les arbres.";
		//added in 8.0.0
		$admtext['fileexists'] = "Ce fichier existe déjà.  Continue?";
		$admtext['collthumb'] = "Fichier vignette";
		$admtext['movetop'] = "Déplacer vers le haut";
		//added in 9.0.0
		$admtext['collexpas'] = "Exporter comme";
		//added in 9.2.0
		$admtext['upload'] = "Envoyer";
		$admtext['linksel'] = "Lié à la sélection";
		$admtext['mediaupl'] = "Envoyer les médias";
		$admtext['addfiles'] = "Ajouter des fichiers...";
		$admtext['startupl'] = "Démarrer l'envoi";
		$admtext['start'] = "Démarrer";
		$admtext['cancelupl'] = "Annuler l'envoi";
		//added in 11.0.0
		$admtext['localpath'] = "Chemin(s) d'accès local";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Modification à un rapport";
		$admtext['modifyreport'] = "Modifier le Rapport existant";
		$admtext['existingreportinfo'] = "Information sur Rapport existant";
		$admtext['existingreports'] = "Rapports existants";
		$admtext['newreportinfo'] = "Nouveau Rapport";
		$admtext['reportname'] = "Nom du Rapport";
		$admtext['rankpriority'] = "Rang/Priorité";
		$admtext['choosedisplay'] = "Champs à afficher";
		$admtext['spouseid'] = "ID Conjoint(e)";
		$admtext['spousename'] = "Nom Conjoint(e)";
		$admtext['lastmodified'] = "Dernière modif.";
		$admtext['ldsbapldate'] = "Date baptême LDS";
		$admtext['ldsbaplplace'] = "Lieu baptême LDS";
		$admtext['ldsendldate'] = "Date dotation LDS";
		$admtext['ldsendlplace'] = "Lieu dotation LDS";
		$admtext['ldssealsdate'] = "Date sceau/conjoint(e) LDS";
		$admtext['ldssealsplace'] = "Lieu sceau/conjoint(e) LDS";
		$admtext['ldssealpdate'] = "Date sceau/parents LDS";
		$admtext['ldssealpplace'] = "Lieu sceau/parents LDS";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Choisir Critère";
		$admtext['fullname'] = "Nom complet";
		$admtext['lastfirst'] = "Nom, Prénom";
		$admtext['monthonlyfrom'] = "Mois seulement depuis";
		$admtext['yearonlyfrom'] = "Année seulement depuis";
		$admtext['dayonlyfrom'] = "Jour seulement depuis";
		$admtext['operators'] = "Opérateurs";
		$admtext['contains'] = "contient";
		$admtext['startswith'] = "commence par";
		$admtext['endswith'] = "se termine par";
		$admtext['text_and'] = "ET";
		$admtext['currentmonth'] = "Mois en cours";
		$admtext['currentyear'] = "Année en cours";
		$admtext['currentday'] = "Jour en cours";
		$admtext['constantstring'] = "Chaîne constante";
		$admtext['constantvalue'] = "Valeur constante";
		$admtext['foremptystring'] = "Pour une chaîne vide, laissez ce champ vide et cliquez sur \"Ajouter >>.\"";
		$admtext['choosesort'] = "Ordre de tri";
		$admtext['savereport'] = "Enregistrer un rapport";
		$admtext['addnewreport'] = "Ajouter un nouveau rapport";
		$admtext['createreport'] = "Crée un nouveau rapport";
		$admtext['noreports'] = "Aucun rapport n'existe";
		$admtext['rank'] = "Rang";
		$admtext['confreportdelete'] = "Voulez-vous effacer ce rapport ?";
		$admtext['enterreportname'] = "Veuillez saisir un nom de rapport.";
		$admtext['selectdisplayfield'] = "Veuillez saisir au moins un champ à afficher.";
		$admtext['today'] = "Aujourd'hui (date réelle)";
		$admtext['convtodays'] = "Convertir en Jours";
		$admtext['desc'] = "Décroissant (Préc.)";
		$admtext['birthdatetr'] = "Date de naissance (Vrai)";
		$admtext['chrdatetr'] = "Date de baptême (Vrai)";
		$admtext['deathdatetr'] = "Date de décès (Vrai)";
		$admtext['burialdatetr'] = "Date de sépulture (Vrai)";
		$admtext['marriagedatetr'] = "Date de mariage (Vrai)";
		$admtext['ldsbapldatetr'] = "Date de baptême LDS (Vrai)";
		$admtext['ldsendldatetr'] = "Date de dotation LDS (Vrai)";
		$admtext['ldssealsdatetr'] = "Date sceau/conjoint(e) LDS (Vrai)";
		$admtext['ldssealpdatetr'] = "Date sceau/parents LDS (Vrai)";
		$admtext['currentmonthnum'] = "Numéro du mois en cours";
		$admtext['livingtrue'] = "Vivant = oui";
		$admtext['livingfalse'] = "Vivant = non";
		$admtext['altreport'] = "OU ne remplissez pas l'affichage, les critères et les champs de tri, et entrez directement votre demande SQL ici";
		$admtext['rptdate'] = "Date";
		$admtext['rptdatetr'] = "Date (Vrai)";
		$admtext['fact'] = "Fait";
		$admtext['testeditdelete'] = "Teste, Edite ou Efface les rapports déjà saisis";
		$admtext['wnmsg'] = "Message pour la page \"Quoi de neuf\"";
		$admtext['mwtype'] = "Type";
		$admtext['mysphoto'] = "Photos mystères";
		$admtext['mysperson'] = "Qui sont ces personnes ?";
		$admtext['selphoto'] = "Choisissez la photo";
		$admtext['entertitle'] = "Donnez un titre";
		$admtext['enterdesc'] = "Donnez une description";
		$admtext['confremmw'] = "Êtes-vous certain de vouloir effacer cet article?";
		$admtext['msgsaved'] = "Message sauvé";
		//added in 9.1.1
		$admtext['privatetrue'] = "Privée = oui";
		$admtext['privatefalse'] = "Privée = non";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "Date de confirmation LDS";
		$admtext['ldsconfplace'] = "Lieu de Confirmation LDS";
		$admtext['ldsconfdatetr'] = "Date de confirmation LDS (Vrai)";
		$admtext['ldsinitdate'] = "Date initiatique LDS";
		$admtext['ldsinitplace'] = "Lieu initiatique LDS";
		$admtext['ldsinitdatetr'] = "Date initiatique LDS (Vrai)";
		$admtext['savecopy'] = "Enregistrer une copie";
		$admtext['activeonly'] = "seulement active";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Veuillez choisir un fichier à importer.";
		$admtext['importgedcom'] = "Importer GEDCOM (format standard 5.5)";
		$admtext['addreplacedata'] = "Ajoute ou remplace votre généalogie (peut prendre plusieurs minutes, en fonction de la taille de votre fichier)";
		$admtext['fromyourcomputer'] = "Depuis votre ordinateur ";
		$admtext['importdata'] = "Importer les données";
		$admtext['setupfirsttime'] = "Configure le logiciel pour la première fois.";
		$admtext['replace'] = "Remplacer (dans arbre choisi)";
		$admtext['desttree'] = "Arbre cible";
		$admtext['selectdesttree'] = "Veuillez choisir ou saisir une arbre cible.";
		$admtext['selectexisting'] = "Importer dans";
		$admtext['importgedcom2'] = "Importer un fichier GEDCOM";
		$admtext['setupitems'] = "Créer les tables de données, Paramétrer les préférences";
		$admtext['custeventitems'] = "Gérer les tags personnels et types d'évènement";
		$admtext['usersitems'] = "Gérer les utilisateurs et les permissions";
		$admtext['reportsitems'] = "Créer des listes et rapports personnels";
		$admtext['langitems'] = "Gérer d'autres langues";
		$admtext['backupitems'] = "Sauvegarder, restaurer et optimiser des tables";
		$admtext['ucaselast'] = "Mettre les noms de famille en majuscules";
		$admtext['norecalc'] = "Ne pas recalculer les indicateurs 'En vie'";
		$admtext['autooffset'] = "Faire débuter les IDs au premier nombre disponible";

		$admtext['mustselecttree'] = "Vous devez sélectionner un arbre avant d'utiliser cette option.";
		$admtext['importmedia'] = "Importer des media s'ils existent";
		$admtext['mainmenu'] = "Menu Principal";
		$admtext['neweronly'] = "Remplacer uniquement si plus récent";
		$admtext['secondaryitems'] = "Créer un fichier GENDEX, Tracer les lignes de descendance";
		$admtext['onwebserver'] = "Sur le serveur web (dans le fichier GEDCOM)";
		$admtext['eventsonly'] = "Importer seulement les types d'évènement personnalisés (aucune donnée n'est ajoutée ou remplacée)";
		$admtext['imphints'] = "Notes: \"Toutes les données\" signifie tous les individus, familles, sources et notes (les associations à des fichiers média ne sont pas perdues tant que les IDs demeurent inchangés). Les correspondances sont toujours basées sur les IDs seulement. Les nouveaux enregistrements sont toujours ajoutés. \"Ajouter...\" importe tous les enregistrements qui ont un nouveau ID.";
		$admtext['allevents'] = "Acceptez les données relatives à tous les nouveaux types d'événements personnalisés";
		$admtext['destbranch'] = "Branche de destination (facultative)";
		$admtext['inframe'] = "(dans le cadre)";
		$admtext['getstart'] = "Mise en route";
		$admtext['importlatlong'] = "Importez les données de latitude/longitude si elles existent";
		$admtext['opening'] = "Ouverture";
		$admtext['reopen'] = "Réouverture";
		$admtext['uploading'] = "Téléchargement";
		$admtext['stop'] = "Arrêt";
		$admtext['stopped'] = "L'importation s'est arrêtée";
		$admtext['resume'] = "cliquer ici pour recommencer";
		//changed in 8.0.0
		$admtext['showlog'] = "Journal";
		//added in 8.0.0
		$admtext['mmgritems'] = "Installez ou supprimez les TNG Mods";
		//added in 9.0.0
		$admtext['oldimport'] = "Importer par l'ancienne méthode (pas de barre de progression)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Notes, quoi de neuf, plus recherchés";
		//added in 11.0.0
		$admtext['tasks'] = "Des tâches importantes";
		$admtext['task_revusers'] = "Examiner les enregistrement de nouveaux utilisateurs";
		$admtext['task_tree'] = "Créer votre premier arbre";
		$admtext['task_user'] = "Créer un compte d'utilisateur personnel";
		$admtext['task_people'] = "Ajouter de nouvelles personnes";
		$admtext['task_families'] = "Ajouter de nouvelles familles";
		$admtext['task_revind'] = "Examiner les modifications proposées à des événements d'individu";
		$admtext['task_revfam'] = "Examiner les modifications proposées à des événements familiaux";
		$admtext['task_backup'] = "Sauvegarde les données";
		$admtext['nobackups'] = "il y a aucune sauvegardes";
		$admtext['lastbackup'] = "Plus de xxx jours depuis la dernière sauvegarde;";
		$admtext['dna_blurb'] = "Enregistrer les tests ADN et les lier aux individus";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Modification sur source";
		$admtext['modifysource'] = "Modifier la source existante";
		$admtext['selectsrcaction'] = "Choisir Source et Action";
		$admtext['shorttitle'] = "Titre court";
		$admtext['longtitle'] = "Titre long";
		$admtext['author'] = "Auteur";
		$admtext['callnumber'] = "N° de téléphone";
		$admtext['publisher'] = "Editeur";
		$admtext['actualtext'] = "Texte actuel";
		$admtext['confdeletesrc'] = "Etes-vous certain de vouloir effacer cette source ?";
		$admtext['selectshorttitle'] = "Veuillez choisir ou saisir un titre court pour ce type d'évènement.";
		$admtext['existingsourceinfo'] = "Source existante";
		$admtext['newsourceinfo'] = "Nouvelle Source";
		$admtext['addnewsource'] = "Ajouter une source";
		$admtext['prefixsourceid'] = "Veuillez préfixer l'ID Source avec un \"S\" pour \"Source\"";
		$admtext['entersourceid'] = "Veuillez saisir un ID Source.";
		$admtext['validsourceid'] = "Veuillez saisir un ID Source valide. Un ID valide est une chaîne numérique préfixée par un 'S'.";
		$admtext['createsource'] = "Crée un enregistrement pour une nouvelle source";
		$admtext['editexistingsource'] = "Edite l'information d'une source déjà saisie";
		$admtext['addnewcite'] = "Ajouter un nouveau témoignage";
		$admtext['reliability'] = "Fiabilité";
		$admtext['relyexplain'] = "Les chiffres les plus élevés indiquent une fiabilité plus grande.";
		$admtext['citedate'] = "Date du témoignage";
		$admtext['modifycite'] = "Modifier un témoignage existant";
		$admtext['addingcite'] = "Ajoute un témoignage ...";
		$admtext['deletingcite'] = "Supprime un témoignage ...";
		$admtext['updatingcite'] = "Met à jour un témoignage ...";
		$admtext['citation'] = "Citation";
		$admtext['sevslater'] = "Note: Des évènements additionnels peuvent être ajoutés après la sauvegarde de la nouvelle source.";
		$admtext['pleasesourcepart'] = "Veuillez introduire le titre de la source.";
		$admtext['addnewrepo'] = "Ajouter un nouveau dépôt";
		$admtext['modifyrepo'] = "Modifier un dépôt existant";
		$admtext['createrepo'] = "Creer un enregistrement pour un nouveau dépôt";
		$admtext['editexistingrepo'] = "Editer l'information pour un dépôt enregistré précédemment";
		$admtext['enterrepoid'] = "Veuillez inscrire un ID pour le dépôt.";
		$admtext['enterreponame'] = "Veuillez inscrire un nom pour le dépôt.";
		$admtext['newrepoinfo'] = "Information du nouveau dépôt";
		$admtext['prefixrepoid'] = "Veuillez préfixer le ID du dépôt avec \"REPO\" pour \"repository\"";
		$admtext['selectrepoaction'] = "Selectionnez le dépôt et l'action";
		$admtext['confdeleterepo'] = "Êtes-vous certain de vouloir effacer ce dépôt ?";
		$admtext['changestorepo'] = "Changer le dépôt";
		$admtext['existingrepoinfo'] = "Information existante pour le Dépôt";
		$admtext['pleaserepopart'] = "Veuillez saisir une partie du titre du dépôt.";
		$admtext['choosemergesources'] = "Choisir des sources à fusionner ou trouver des doublons potentiels";
		$admtext['confirmmergesources'] = "Etes-vous certain de vouloir fusionner ces deux sources ?";
		$admtext['choosemergerepos'] = "Choisir des dépôts à fusionner ou trouver des doublons potentiels";
		$admtext['confirmmergerepos'] = "Etes-vous certain de vouloir fusionner ces deux dépôts ?";
		$admtext['revslater'] = "Note: des évènements et des notes additionnels peuvent être ajoutés après que le nouveau dépôt a été sauvegardé.";
		$admtext['confdeleterepo'] = "Êtes-vous certain de vouloir effacer ce dépôt ?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Vérifier Nouv. ID";
		$admtext['idnotvalid'] = "n'est pas un ID valide. Un ID valide est une chaîne numérique préfixée par un";
		$admtext['idinuse'] = "est utilisé. Veuillez choisir un autre ID";
		$admtext['idok'] = "peut être utilisé";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Numéro de thème";
		$admtext['mainimage'] = "Image principale (page d'accueil) "; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Image de titre (page d'accueil) "; //1, 2, 3
		$admtext['headline'] = "Titre"; //4, 7
		$admtext['mainpara'] = "Paragraphe Bienvenue";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Image d'en-tête (titre y compris)"; //1
		$admtext['pedperson'] = "Id de personne du diagramme"; //2
		$admtext['pedtree'] = "Id d'arbre du diagramme"; //2
		$admtext['phhistperson'] = "Id de personne de photos et d'histoires"; //2
		$admtext['phhisttree'] = "Id d'arbre de photos et d'histoires"; //2
		$admtext['headimg'] = "Image d'en-tête "; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Image de titre d'en-tête "; //2, 3
		$admtext['titleimg'] = "Image de titre (toutes les pages)"; //4, 7
		$admtext['searchpara'] = "Paragraphe de recherche "; //6
		$admtext['fhpara'] = "Paragraphe d'antécédents familiaux"; //6
		$admtext['fhlinkshis'] = "Liens d'antécédents familiaux (Les siens)"; //6
		$admtext['fhlinkshers'] = "Liens d'antécédents familiaux (Les siennes)"; //6
		$admtext['mwpara'] = "Paragraphe le plus demandé "; //6
		$admtext['respara'] = "Paragraphe de ressources "; //6
		$admtext['reslinks'] = "Liens de ressources"; //6
		$admtext['headtitle1'] = "Titre d'en-tête, 1ère partie"; //8
		$admtext['headtitle2'] = "Titre d'en-tête, 2ième partie"; //8
		$admtext['headtitle3'] = "Titre d'en-tête, 3ième partie"; //8
		$admtext['headsubtitle'] = "Sous-titre d'en-tête "; //8
		$admtext['latestnews'] = "Dernières nouvelles "; //8
		$admtext['momside'] = "Étiquette de côté de la mère"; //8
		$admtext['dadside'] = "Étiquette de côté du père"; //8
		$admtext['momperson'] = "ID de personne de côté de la mère"; //8
		$admtext['momtree'] = "Id d'arbre du côté de la mère"; //8
		$admtext['dadperson'] = "ID de personne de côté du père"; //8
		$admtext['dadtree'] = "Id d'arbre du côté du père"; //8
		$admtext['featurethumb1'] = "Vignette du 1ier dispositif"; //4
		$admtext['featurelink1'] = "Lien du 1ier dispositif"; //4
		$admtext['featuretitle1'] = "Titre du 1ier dispositif"; //4
		$admtext['featurepara1'] = "Paragraphe du 1ier dispositif"; //4
		$admtext['featurethumb2'] = "Vignette du 2ième dispositif"; //4
		$admtext['featurelink2'] = "Lien du 2ième dispositif"; //4
		$admtext['featuretitle2'] = "Titre du 2ième dispositif"; //4
		$admtext['featurepara2'] = "Paragraphe du 2ième dispositif"; //4
		$admtext['featurethumb3'] = "Vignette du 3ième dispositif"; //4
		$admtext['featurelink3'] = "Lien du 3ième dispositif"; //4
		$admtext['featuretitle3'] = "Titre du 3ième dispositif"; //4
		$admtext['featurepara3'] = "Paragraphe du 3ième dispositif"; //4
		$admtext['featurethumb4'] = "Vignette du 4ième dispositif"; //4
		$admtext['featurelink4'] = "Lien du 4ième dispositif"; //4
		$admtext['featuretitle4'] = "Titre du 4ième dispositif"; //4
		$admtext['featurepara4'] = "Paragraphe du 4ième dispositif"; //4
		$admtext['photocaption'] = "Légende de l'image principale"; //4
		$admtext['maintitle'] = "Titre principal "; //5
		$admtext['hisside'] = "Étiquette de son côté"; //5
		$admtext['herside'] = "Étiquette de sa côté"; //5
		$admtext['newstext'] = "Texte de nouvelles "; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Active la sélection du modèle";
		//added in 9.0.0
		$admtext['template'] = "Modèle";
		$admtext['createcopy'] = "Créer une copie en";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Lien d'article"; //9, 10
		$admtext['featurepara'] = "Paragraphe d'articles"; //9, 10
		$admtext['welcome'] = "Titre de bienvenue"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Noms côté mère"; //8
		$admtext['dadsidenames'] = "Noms côté père"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Liste items";
		$admtext['menutitle'] = "Titre menu";
		$admtext['titlechoice'] = "Choix titre";
		$admtext['photol'] = "Image gauche";
		$admtext['phototitlel'] = "Légende image gauche";
		$admtext['photocaptionl'] = "Contenu image gauche";
		$admtext['photor'] = "Image droite";
		$admtext['phototitler'] = "Légende image droite";
		$admtext['photocaptionr'] = "Contenu image droite";
		$admtext['topsurnames'] = "Patronymes d'en-tête";
		$admtext['headimg2'] = "Image en-tête 2"; //14
		$admtext['headimg3'] = "Imag en-tête 3"; //14
		$admtext['showprev'] = "Afficher prévisualisation";
		$admtext['hideprev'] = "Masquer prévisualisation";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Vignette du 5ième dispositif"; //15
		$admtext['featurelink5'] = "Lien du 5ième dispositif"; //15
		$admtext['featuretitle5'] = "Titre du 5ième dispositif"; //15
		$admtext['featurepara5'] = "Paragraphe du 5ième dispositif"; //15
		$admtext['featurethumb6'] = "Vignette du 6ième dispositif"; //15
		$admtext['featurelink6'] = "Lien du 6ième dispositif"; //15
		$admtext['featuretitle6'] = "Titre du 6ième dispositif"; //15
		$admtext['featurepara6'] = "Paragraphe du 6ième dispositif"; //15
		$admtext['featurethumb7'] = "Vignette du 7ième dispositif"; //15
		$admtext['featurelink7'] = "Lien du 7ième dispositif"; //15
		$admtext['featurepara7'] = "Paragraphe du 7ième dispositif"; //15
		$admtext['featurethumb8'] = "Vignette du 8ième dispositif"; //15
		$admtext['featurelink8'] = "Lien du 8ième dispositif"; //15
		$admtext['featurepara8'] = "Paragraphe du 8ième dispositif"; //15
		$admtext['sidebarhead1'] = "En-tête du volet latéral 1"; //15
		$admtext['sidebarhead2'] = "En-tête du volet latéral 2"; //15
		$admtext['sidebarhead3'] = "En-tête du volet latéral 3"; //15
		$admtext['texttitle1'] = "Titre texte 1"; //15
		$admtext['textlink1'] = "Lien texte 1"; //15
		$admtext['textpara1'] = "Paragraphe texte 1"; //15
		$admtext['texttitle2'] = "Titre texte 2"; //15
		$admtext['textlink2'] = "Lien texte 2"; //15
		$admtext['textpara2'] = "Paragraphe texte 2"; //15
		$admtext['texttitle3'] = "Titre texte 3"; //15
		$admtext['textpara3'] = "Paragraphe texte 3"; //15
		$admtext['subhead1'] = "Sous-titre 1"; //15
		$admtext['subhead2'] = "Sous-titre 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tables créées avec succès.";
		$admtext['backtosetup'] = "Retour au Menu Configuration";
		$admtext['configuration'] = "Configuration";
		$admtext['entersysvars'] = "Saisie des valeurs des variables système.";
		$admtext['createdbtables'] = "Crée les tables contenant vos informations.";
		$admtext['tcwarning'] = "<strong>Attention !</strong> Ne choisissez cette option que si vous définissez votre site pour la première fois. <strong>Toutes les données existantes, y-compris les photos, histoires, infos de pierres tombales et cimetières, seront effacées !</strong>";
		$admtext['conftabledelete'] = "Ceci effacera toutes les données existantes. Etes-vous certain de vouloir continuer ?";
		$admtext['performdatamaint'] = "Maintenance des données, gestion des photos, histoires et autres composants.";
		$admtext['createtables'] = "Créer les tables";
		$admtext['configsettings'] = "Configuration générale";
		$admtext['logconfigsettings'] = "Configuration du journal d'accès";
		$admtext['importconfigsettings'] = "Configuration d'importation";
		$admtext['diagnostics'] = "Diagnostic";
		$admtext['rundiags'] = "Exécuter l'outil diagnostic";
		$admtext['phpinf'] = "Ecran d'info PHP";
		$admtext['fromphp'] = "Cette information provient de votre serveur et est liée à votre installation PHP, pas à TNG.";
		$admtext['phpver'] = "version PHP";
		$admtext['phpreq'] = "(TNG nécessite 5.3 ou plus élevé.)";
		$admtext['gdlib'] = "GD librairie graphique";
		$admtext['gdreq'] = "(Requis pour les outils de création de vignettes.)";
		$admtext['availnogif'] = "disponible, mais ne supporte pas les images .gif";
		$admtext['notinst'] = "Pas installé";
		$admtext['safemode'] = "Mode protégé";
		$admtext['off'] = "Off";
		$admtext['on'] = "On";
		$admtext['fileuploads'] = "Upload de fichiers";
		$admtext['fureq'] = "(Requis pour des upload de fichier GEDCOM, d'images et d'autres fonctions de forme.)";
		$admtext['perm'] = "Permis";
		$admtext['notperm'] = "Pas permis, utilisez FTP ";
		$admtext['sqlver'] = "version MySQL ";
		$admtext['sqlreq'] = "(TNG nécessite 5.5 ou plus élevé.)";
		$admtext['wsrvr'] = "serveur Web";
		$admtext['fperms'] = "Permissions des fichiers/dossiers";
		$admtext['fpreq'] = "(TNG requiertdesdroits d'accès spécifiques pour certains fichiers et dossiers.)";
		$admtext['scruser'] = "le script s'exécute comme un utilisateur";
		$admtext['phpuser'] = "PHP le rapporte comme un utilisateur:";
		$admtext['usrprob'] = "vous n'avez peut-être pas les permissions requises pour utiliser TNG sans problèmes si vous utilisez à la fois FTP et les fonctions admin de TNG pour gérer vos fichiers.";
		$admtext['rofile'] = "Le fichier est en lecture seule:";
		$admtext['rofolder'] = "Le dossier est en lecture seule:";
		$admtext['publog'] = "Log Public";
		$admtext['admlog'] = "Log Admin";
		$admtext['folderdne'] = "Le dossier n'existe pas :";
		$admtext['keyrw'] = "Les fichiers principaux sont tous en lecture/écriture";
		$admtext['cfgrw'] = "les fichiers de configuration sont tous en lecture/écriture";
		$admtext['acceptable'] = "Acceptable.";
		$admtext['restricted'] = "Certaines fonctionnalités sont restreintes. Vous rencontrerez peut-être des erreurs pendant l'installation ou le fonctionnement de TNG.";
		$admtext['needchngs'] = "TNG risque de ne pas fonctionner sans modifications à la configuration de PHP ou de votre serveur.";
		$admtext['yourbrowser'] = "Votre navigateur:";
		$admtext['modifysettings'] = "Configuration Générale";
		$admtext['dbhost'] = "Hôte";
		$admtext['dbname'] = "Nom de la Base";
		$admtext['dbusername'] = "Utilisateur";
		$admtext['dbpassword'] = "Mot de passe";
		$admtext['rootpath'] = "Chemin Racine (Root)";
		$admtext['homepage'] = "Page d'accueil";
		$admtext['emailaddress'] = "Courriel";
		$admtext['siteowner'] = "Propriétaire du Site";
		$admtext['maxdescgens'] = "Maximum de Générations descendantes";
		$admtext['disallow'] = "Refusé";
		$admtext['defaultallowed'] = "Par défaut : autorisé";
		$admtext['maxsearchresults'] = "Maximum de Résultats par recherche";
		$admtext['targetframe'] = "Cadre cible";
		$admtext['table'] = "Table";
		$admtext['lastbackup'] = "Dernière sauvegarde";
		$admtext['backup'] = "sauvegarder";
		$admtext['restore'] = "restaurer";
		$admtext['backupfilesize'] = "Taille fichier";
		$admtext['succbackedup'] = "bien sauvegardée";
		$admtext['succrestored'] = "bien restaurée !";
		$admtext['change_cutoff'] = "Jours 'Quoi de neuf'";
		$admtext['change_limit'] = "Limite 'Quoi de neuf'";
		$admtext['photosext'] = "Extension des Photos";
		$admtext['defaulttree'] = "Arbre par défaut";
		$admtext['requirelogin'] = "Nécessite un enregistrement";
		$admtext['defaultdontrequire'] = "Par défaut: Non requis";
		$admtext['ldsdefault'] = "Afficher les données LDS";
		$admtext['ldson'] = "Toujours";
		$admtext['ldsoff'] = "Jamais";
		$admtext['ldspermit'] = "En fonction des droits utilisateur";
		$admtext['allow'] = "Autorisé";
		$admtext['chooselang'] = "Changement dynamique de langue";
		$admtext['optimize'] = "optimiser";
		$admtext['succoptimized'] = "optimisé correctement";
		$admtext['customheader'] = "En-tête personnel";
		$admtext['customfooter'] = "Pied de page personnel";
		$admtext['custommeta'] = "Meta personnel";
		$admtext['lineending'] = "Fin de ligne";
		$admtext['backuppath'] = "Dossier Sauvegarde";
		$admtext['photopath'] = "Dossier Photo";
		$admtext['headstonepath'] = "Dossier Pierres tombales";
		$admtext['historypath'] = "Dossier Histoires";
		$admtext['backuprestoretables'] = "Sauvegarder, Restaurer, Optimiser";
		$admtext['shownames'] = "Montrer les noms de personnes en vie";
		$admtext['initials'] = "Abréger le prénom";
		$admtext['regformat'] = "Format texte";
		$admtext['stdformat'] = "Format standard";
		$admtext['thumbprefix'] = "Préfixe des Vignettes";
		$admtext['thumbmaxh'] = "Hauteur max. des vignettes";
		$admtext['thumbmaxw'] = "Largeur max. des vignettes";
		$admtext['thumbsuffix'] = "Suffixe des miniatures";
		$admtext['showextended'] = "Montrer l'info étendue des photos";
		$admtext['shownotes'] = "Montrer les notes";
		$admtext['notestogether'] = "Sous les évènements correspondants si possible";
		$admtext['notestogether2'] = "Evénements mineurs, hormis les notes générales";
		$admtext['notesapart'] = "Dans la section Notes";
		$admtext['lnprefixes'] = "Préfixes des noms de familles (p.e., van, de)";
		$admtext['lntogether'] = "Conserver comme partie du nom de famille";
		$admtext['lnapart'] = "Traiter comme une entité séparée";
		$admtext['detectpfx'] = "Détection de préfixes lors de l'importation";
		$admtext['lnpfxnum'] = "Num. chaque préfixe (max)";
		$admtext['specpfx'] = "ou ces préfixes particuliers";
		$admtext['newmedialinks'] = "Nouveaux liens pour Photos/Histoires";
		$admtext['maxgedcom'] = "Max générations, téléchargement GEDCOM";
		$admtext['placestable'] = "Table des Lieux";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Généalogie";
		$admtext['charset'] = "Jeu de caractères";
		$admtext['time_offset'] = "Décalage horaire entre vous-même et le serveur (en heures)";
		$admtext['backupall'] = "Sauvegarder la sélection";
		$admtext['optimizeall'] = "Optimiser la sélection";
		$admtext['alltables'] = "Sélection des tables";
		$admtext['brinstructions'] = "Pour sauvegarder, restaurer ou optimiser une table, selectionnez l'action adéquate pour cette table, ou sélectionnez plusieurs tables et appliquez l'action désirée à toute la sélection en appuyant sur le bouton correspondant au bas de l'écran.";
		$admtext['tabstyle'] = "Feuille de style des onglets";
		$admtext['iconloc'] = "Localisation du Menu";
		$admtext['topleft'] = "En haut à gauche , au-dessus du titre";
		$admtext['topright'] = "En haut à droite, à côté du titre";
		$admtext['indstart'] = "Les écrans individus commencent avec";
		$admtext['persinfo'] = "Uniquement l'information Personelle";
		$admtext['allinfo'] = "Toute l'information";
		$admtext['thumbcols'] = "Colonnes dans la vue des vignettes";
		$admtext['stdesc'] = "Tableau de descendance par défaut";
		$admtext['stexpand'] = "Etendu";
		$admtext['stcollapse'] = "Comprimé";
		$admtext['regnosp'] = "Nombre de Generations deans le Registre";
		$admtext['chshow'] = "Toujours montrer tout le monde";
		$admtext['chifsp'] = "Enlever les individus sans famille";
		$admtext['restoreall'] = "Restaurer la sélection";
		$admtext['surerestore'] = "Etes-vous certain que vous souhaitez restaurer les tables sélectionnées?";
		$admtext['surerestorets'] = "Etes-vous certain que vous souhaitez restaurer la structure des tables? Toutes les données existantes seront perdues !";
		$admtext['backupstruct'] = "Sauvegarder la Structure des tables";
		$admtext['tablestruct'] = "Structure des tables";
		$admtext['brinstructions2'] = "Pour sauvegarder ou restaurer la structure des tables, cliquez sur le bouton d'action correspondant ci-dessous. ATTENTION:  en cas de restauration, toutes les données existantes seront perdues";
		$admtext['livedefault'] = "Montrer les données des personnes Vivantes";
		$admtext['nodisplay'] = "Ne pas afficher";
		$admtext['menudisp'] = "Afficher le menu";
		$admtext['asicons'] = "Comme icônes";
		$admtext['asdrop'] = "Comme liste déroulante";
		$admtext['gendex'] = "Dossier GENDEX";
		$admtext['modifypedsettings'] = "Configuration des arbres";
		$admtext['leftindent'] = "Indentation gauche";
		$admtext['boxnamesize'] = "Taille des Cases Nom";
		$admtext['namesizeshift'] = "Diminution taille Noms";
		$admtext['boxdatessize'] = "Taille des Cases Date";
		$admtext['datessizeshift'] = "Diminution taille Dates";
		$admtext['boxcolor'] = "Couleur des Cases";
		$admtext['colorshift'] = "Variation Couleur (%)";
		$admtext['emptycolor'] = "Couleur des Cases vides";
		$admtext['bordercolor'] = "Couleur de Bordure";
		$admtext['shadowcolor'] = "Couleur de l'Ombre";
		$admtext['boxwidth'] = "Largeur Cases (sans popup)";
		$admtext['boxheight'] = "Hauteur Cases (sans popup)";
		$admtext['boxalign'] = "Alignement Cases (sans popup)";
		$admtext['boxheightshift'] = "Diminution Hauteur Cases (sans popup)";
		$admtext['boxHsep'] = "Séparation horizontale des Cases";
		$admtext['boxVsep'] = "Séparation verticale des Cases";
		$admtext['shadowoffset'] = "Ombre portée";
		$admtext['linewidth'] = "Epaisseur Ligne";
		$admtext['borderwidth'] = "Epaisseur Bordure";
		$admtext['popupcolor'] = "Couleur des Popups";
		$admtext['popupinfosize'] = "Taille Popup Info";
		$admtext['popupinfosizeshift'] = "Diminution Popup Info";
		$admtext['popuptimer'] = "Timer Popup (ms)";
		$admtext['pedevent'] = "Ouverture Popup";
		$admtext['puboxwidth'] = "Largeur Cases (avec popup)";
		$admtext['puboxheight'] = "Hauteur Cases (avec popup)";
		$admtext['puboxalign'] = "Alignement Cases (avec popup)";
		$admtext['puboxheightshift'] = "Diminution hauteur Cases (avec popup)";
		$admtext['popupspouses'] = "Popup Conjoint(e)s";
		$admtext['popupkids'] = "Popup Enfants";
		$admtext['popupchartlinks'] = "Popup liens";
		$admtext['inclphotos'] = "Inclure les Photos";
		$admtext['overflow'] = "Débordement";
		$admtext['pedcompact'] = "Compact";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Texte seul";
		$admtext['relchart'] = "Schéma relationnel";
		$admtext['maxupgen'] = "Maximum de Générations pour schéma relationnel";
		$admtext['left'] = "Gauche";
		$admtext['right'] = "Droite";
		$admtext['center'] = "Centre";
		$admtext['mouseover'] = "Survol";
		$admtext['mousedown'] = "Clic";
		$admtext['ahnentafel'] = "Ahnentafel";
		$admtext['pedbox'] = "Boîte";
		$admtext['hideempty'] = "Cacher les boîtes vides";
		$admtext['logfilename'] = "Nom du fichier de suivi";
		$admtext['maxloglines'] = "Maximum de lignes dans le fichier de suivi";
		$admtext['modifylogsettings'] = "Modifier les paramètres du fichier de suivi";
		$admtext['badhosts'] = "Exclure les noms d'hôtes";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Public)";
		$admtext['saveimportstate'] = "Sauver l'état d'importation";
		$admtext['allowresume'] = "Sauver pour permettre la reprise si l'importation échoue";
		$admtext['modifyimportsettings'] = "Modifier les paramêtres d'importation";
		$admtext['embeddedmedia'] = "Fichiers médiatiques inclus";
		$admtext['assignnames'] = "Permettre à TNG d'assigner des noms aux fichiers médiatiques inclus";
		$admtext['localphotopath'] = "Chemin local des photos";
		$admtext['localdocpath'] = "Chemin local des histoires";
		$admtext['nopathmatch'] = "Si pas de chemin local";
		$admtext['wholepath'] = "Importer le chemin entier ";
		$admtext['justname'] = "Importer uniquement le nom du fichier";
		$admtext['gedpath'] = "Fichier GEDCOM (Import/Export)";
		$admtext['makefolder'] = "Créez un fichier";
		$admtext['blankchangedt'] = "Si 'Date de Modification' est vide";
		$admtext['usetoday'] = "Utiliser la date du jour";
		$admtext['useblank'] = "Ne rien changer";
		$admtext['nobirthdate'] = "Si pas de date de naissance, assumer";
		$admtext['persliving'] = "La personne est vivante";
		$admtext['persdead'] = "La personne est décédée";
		$admtext['nodeathdate'] = "Si pas de date de décès, assumer que la personne est décédée<br />si plus âgée que";
		$admtext['pedconfigsettings'] = "Configuration des arbres";
		$admtext['usepopups'] = "Affichage initial";
		$admtext['maxpedgens'] = "Maximum de générations pour tableau d'ascendance";
		$admtext['dbsection'] = "Base de données";
		$admtext['tablesection'] = "Noms de tables";
		$admtext['foldersection'] = "Chemins et dossiers";
		$admtext['sitesection'] = "Conception et définition du site";
		$admtext['privsection'] = "Confidentialité";
		$admtext['namesection'] = "Noms";
		$admtext['descsection'] = "Descendance";
		$admtext['miscsection'] = "Divers";
		$admtext['mediatable'] = "Table des Médias";
		$admtext['pedanddesc'] = "Eléments communs";
		$admtext['descchart'] = "Tableau de descendance";
		$admtext['pedchart'] = "Tableau des ancêtres";
		$admtext['initgens'] = "Nombre de générations par défaut";
		$admtext['mediapath'] = "Dossier Médias";
		$admtext['documentpath'] = "Dossier Documents";
		$admtext['localdocumentpath'] = "Chemin local pour les documents";
		$admtext['localotherpath'] = "Chemin local pour les autres média";
		$admtext['imgmaxh'] = "Hauteur maximale des images";
		$admtext['imgmaxw'] = "Largeur maximale des images";
		$admtext['succdel'] = "effacement réussi";
		$admtext['delbkups'] = "Effacer les backups sélectionnés";
		$admtext['suredelbk'] = "Etes-vous certain de vouloir effacer les backups sélectionnés ?";
		$admtext['showhome'] = "Afficher le lien Accueil";
		$admtext['showsearch'] = "Afficher le lien Recherche";
		$admtext['showlogin'] = "Afficher le lien Se connecter/Se déconnecter";
		$admtext['showprint'] = "Afficher le lien Imprimer";
		$admtext['showbmarks'] = "Afficher le lien Ajouter un signet";
		$admtext['server'] = "(serveur)";
		$admtext['client'] = "(client)";
		$admtext['sitename'] = "Nom du site";
		$admtext['site_desc'] = "Description du site";
		$admtext['privnote'] = "Préfixe pour les notes privées";
		$admtext['custvars'] = "Note: vous pouvez personnaliser vos configurations dans le fichier \"customconfig.php\" (ouvrir le fichier dans un éditeur de texte et suivre les instructions).";
		$admtext['blockemail'] = "Bloquer les suggestions ou les enregistrements de nouveaux utilisateurs dans lesquels";
		$admtext['addrcontains'] = "l'adresse contient";
		$admtext['msgcontains'] = "le message contient";
		$admtext['reqloginset'] = "\"Nécessite un enregistrement\" doit être réglé à OUI pour rendre cette option possible";
		$admtext['treerestrict'] = "Restreindre l'accès aux arbres assignés";
		$admtext['mapconfigsettings'] = "Configuration cartes";
		$admtext['modifymapsettings'] = "Modifier la configuration pour les cartes";
		$admtext['maptype'] = "Type de carte";
		$admtext['maphybrid'] = "Hybride";
		$admtext['mapsatellite'] = "Satellite";
		$admtext['mapdimsind'] = "Dimensions, Pages Individus";
		$admtext['mapdimshst'] = "Dimensions, Pages Pierres tombales";
		$admtext['mapdimsadm'] = "Dimensions, Pages Admin";
		$admtext['mapwidth'] = "Largeur (% or px)";
		$admtext['mapheight'] = "Hauteur (px)";
		$admtext['mapstlat'] = "Latitude de départ";
		$admtext['mapstlong'] = "Longitude de départ";
		$admtext['startoff'] = "Cacher Cartes Admin pour débuter";
		$admtext['conslpins'] = "Fusionner les pins dupliqués";
		$admtext['ssenabled'] = "Permettre les diaporamas";
		$admtext['ssrepeat'] = "Répéter automatiquement les diaporamas";
		$admtext['sysinfo'] = "Afficher l'information concernant l'environnement de votre site web.";
		$admtext['albumlinkstable'] = "Table des Liens albums";
		$admtext['addresstable'] = "Table des Adresses";
		$admtext['statestable'] = "Table Régions";
		$admtext['countriestable'] = "Table Pays";
		$admtext['notelinkstable'] = "Table Liens notes";
		$admtext['medialinkstable'] = "Table des Liens médias";
		$admtext['saveimporttable'] = "Table Sauvegarde Import";
		$admtext['brlinkstable'] = "Table des Liens de branche";
		$admtext['temptable'] = "Table des Evènements temporaires";
		$admtext['tleventstable'] = "Table des Evènements de la ligne du temps";
		$admtext['album2entitiestable'] = "Liens d'album";
		$admtext['doctype'] = "Déclaration de Doctype";
		$admtext['cemrows'] = "Nombre de lignes par colonne (approx.)";
		$admtext['cemblanks'] = "Supprimez les catégories \"Inconnues\" ";
		$admtext['success'] = "Réussi";
		$admtext['fexists'] = "Échec. Le dossier existe déjà.";
		$admtext['fmanual'] = "Échec. Veuillez le créer utilisant un programme de ftp ou un gestionnaire de fichiers en ligne.";
		$admtext['maintmode'] = "Mode d'entretien";
		$admtext['maintexp'] = "Notre site Web est temporairement hors service pendant que nous mettons à jour notre base de données. Veuillez essayer de nouveau plus tard. Si notre site Web demeure inaccessible pour une période prolongée, veuillez <a href=\"suggest.php\">contacter le propriétaire du site Web </a>";
		$admtext['defimpopt'] = "Option de remplacement par défaut";
		$admtext['seltable'] = "Veuillez choisir au moins une table.";
		$admtext['renumber'] = "Réordonnez les identités";
		$admtext['idtype'] = "Type d'identité";
		$admtext['mindigits'] = "Nombre de caractères minimum";
		$admtext['niprefix'] = "N'incluant pas le préfixe d'identité";
		$admtext['finreseq'] = "Réordonnancement complété";
		$admtext['recsreseq'] = "Réordonnancement des entrées de la base de données";
		$admtext['needmaint'] = "Vous devez être en mode d'entretien pour exécuter cette utilité (go to Setup &gt;&gt; Configuration &gt;&gt; General Settings)";
		$admtext['reseqwarn'] = "<strong>AVERTISSEMENT:</strong> Le réordonnancement de vos identités peut faire en sorte que les liens externes vers votre site soient brisés ou soient acheminés vers un adresse erronée.";
		$admtext['subroot'] = "Chemin d'accès au dossier config";
		$admtext['hidechr'] = "Cachez les étiquettes de baptême";
		$admtext['datefmt'] = "Préférence de date numérique";
		$admtext['dayfirst'] = "Jour/mois/année";
		$admtext['monthfirst'] = "Mois/jour/année";
		$admtext['exusers'] = "Exclure les noms d'utilisateur";
		$admtext['allowreg'] = "Permettez les nouveaux enregistrements d'utilisateur";
		$admtext['localhspath'] = "Chemin local de pierre tombale";
		$admtext['pardata'] = "Parental data on person page:";
		$admtext['pnoevents'] = "Don't show any events";
		$admtext['pstdonly'] = "Show only standard family events";
		$admtext['palldata'] = "Show all events and media";
		$admtext['servertime'] = "Server time is";
		$admtext['sitetime'] = "and site time is";
		$admtext['srexpl'] = "Optionnel. Utilisez le chemin absolu, comme ce que vous voyez dans le Chemin Racine, puis déplacez les fichiers suivants dans le Chemin de Configuration immédiatement après les avoir sauvegardés et rendez-les inscriptibles (664 permissions): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Zoom par défaut";
		$admtext['mapfoundzm'] = "Lieu Zoom";
		$admtext['rrnum'] = "Écrivez le nombre de rapport";
		$admtext['progint'] = "Intervalle de progrès (ms)";
		$admtext['timechart'] = "Diagramme de chronologie";
		$admtext['tcheight'] = "Hauteur de diagramme";
		$admtext['distances'] = "Toutes les distances sont mesuré en Pixel.";
		$admtext['mpixels'] = "Pixels entre les mois";
		$admtext['ypixels'] = "Pixels entre les années";
		$admtext['ymult'] = "Années entre les marqueurs d'année";
		$admtext['mpct'] = "Pourcentage vertical pour les mois";
		$admtext['ypct'] = "Pourcentage vertical pour les années";
		$admtext['inclevs'] = "Événements à inclure";
		$admtext['allevs'] = "Tous les événements";
		$admtext['rangeevs'] = "Uniquement les évènements situés entre les limites de vie des personnes représentées sur le diagramme";
		$admtext['tcwidth'] = "La largeur de diagramme au commencement";
		$admtext['simile'] = "Activer le diagramme Simile";
		//added in 8.0.0
		$admtext['pstartoff'] = "Cacher les plans publics pour démarrer";
		$admtext['maxrels'] = "Maximum de liens";
		$admtext['initrels'] = "Premier lien";
		$admtext['templateconfigsettings'] = "Configuration de thème";
		$admtext['modifytemplatesettings'] = "Change les paramètres de thème";
		$admtext['ucsurnames'] = "Noms de famille en majuscules";
		$admtext['maxnoteprev'] = "Nombre maximum de caractères pour la liste des notes";
		$admtext['mailreg'] = "Enregistrement et mail";
		$admtext['autoapp'] = "Aprouve automatiquement nouveaux utilisateurs";
		$admtext['inclpwd'] = "incorporer mot de passe dans le mail de bienvenue";
		$admtext['ackemail'] = "Envoyer un accusé de réception par mail";
		$admtext['fromadmin'] = "Envoyer tous les mails à partir de l'adresse ci-dessus";
		$admtext['autotree'] = "Créer un nouvel arbre pour l'utilisateur";
		$admtext['modspath'] = "Dossier mods";
		$admtext['extspath'] = "Dossier extensions";
		$admtext['encrtype'] = "Type de chiffrement";
		$admtext['none'] = "Pas de chiffrement";
		$admtext['imgviewer'] = "Autoriser la visionneuse d'image";
		$admtext['docsonly'] = "Documents seulement";
		$admtext['imgvheight'] = "Hauteur de visionneuse d'image";
		$admtext['flex'] = "Montrez toujours la pleine image";
		$admtext['setheight'] = "Hauteur fixe (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Assigner les lieux aux arbres";
		$admtext['convert'] = "Convertir";
		$admtext['convexpl'] = "(Cela assignera tous les lieux actuels à l'arbre sélectionné)";
		$admtext['mergeexpl'] = "(Cela supprimera l'assignation de l'arbre de tous les Lieux)";
        $admtext['nocutoff'] = "Laisser en blanc ou mettre à zéro pour éliminer cette limite";
        $admtext['usesmtp'] = "Utiliser l'authentification SMTP";
        $admtext['mailhost'] = "Nom de l'hôte SMTP";
        $admtext['mailuser'] = "Pseudonyme mail";
        $admtext['mailpass'] = "mot de passe mail";
        $admtext['mailport'] = "Numéro de port";
		$admtext['showshare'] = "Montrer le lien de partage";
		$admtext['defpgsize'] = "Taille de la page PDF par défaut";
		$admtext['mapterrain'] = "Relief";
		$admtext['maproadmap'] = "Carte de type Roadmap";
		$admtext['usedefthumbs'] = "Utiliser les vignettes par défaut";
        $admtext['autogeo'] = "Geocoder tous les nouveaux lieux";
        $admtext['revmail'] = "Notifier les soumissions révisables";
        $admtext['assumepriv'] = "Considérer comme confidentiel si non décédé depuis de nombreuses années";
        $admtext['calstart'] = "Premier jour de la semaine";
		$admtext['edit_timeout'] = "Editer le délai de temporisation (minutes)";
		$admtext['shownamespr'] = "Montrer les noms des individus marqués privés";
		$admtext['tables'] = "Tables";
		//changed in 10.0.0
		$admtext['regnotes'] = "Afficher faits et notes créées";
		//added in 10.0.0
		$admtext['collation'] = "Collation";
		$admtext['collationexpl'] = "(laisser vide par défaut)";
		$admtext['scrollcite'] = "Faire défiler citations";
		$admtext['hidemedia'] = "Masquer media";
		$admtext['searchchoice'] = "Search Link Destination";
		$admtext['quicksearch'] = "Recherche rapide";
		$admtext['advsearch'] = "Recherche détaillée";
		$admtext['pedvertical'] = "Ascendant";
		$admtext['vboxwidth'] = "Largeur encadré";
		$admtext['vboxheight'] = "Hauteur encadré";
		$admtext['vspacing'] = "Espacement";
		$admtext['vchart'] = "Charte ascendante";
		//added in 10.1.0
		$admtext['reuseids'] = "Re-utiliser les IDs supprimés";
		$admtext['lastimport'] = "Afficher la dernière importation";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Port de base de données";
		$admtext['dbsocket'] = "Socket de base de données";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Préfixes et suffixes";
		$admtext['personprefix'] = "Préfixe d'individu";
		$admtext['personsuffix'] = "Suffixe d'individu";
		$admtext['familyprefix'] = "Préfixe de famille";
		$admtext['familysuffix'] = "Suffixe de famille";
		$admtext['sourceprefix'] = "Préfixe de source";
		$admtext['sourcesuffix'] = "Suffixe de source";
		$admtext['repoprefix'] = "Préfixe du dépôt";
		$admtext['reposuffix'] = "Suffixe du dépôt";
		$admtext['noteprefix'] = "Préfixe de remarque";
		$admtext['notesuffix'] = "Suffixe de remarque";
		$admtext['mobilesection'] = "Mobile";
		$admtext['mobilesite'] = "Nom du site mobile sera";
		$admtext['menubar'] = "dans la barre de menu mobiles";
		$admtext['belowbar'] = "dessous la barre de menu mobiles";
		$admtext['responsivetables'] = "Activer les tableaux sensibles";
		$admtext['tabletype'] = "Type de tableaux sensibles";
		$admtext['enablemodeswitch'] = "Activer la permutation de type tableaux sensibles";
		$admtext['enableminimap'] = "Activer la minicarte des tableaux sensibles";
		$admtext['showtasks'] = "Voir les messages des 'tâches importantes' ";
		$admtext['showtotals'] = "Montrer les nombres d'enregistrements sur le menu Administrateur";
		$admtext['backupdays'] = "Avertir si aucune sauvegarde dans ce nombre de jours";
		$admtext['backupnote'] = "NOTE: Si votre base de données est très grande, vous voudrez peut-être utiliser un outil indépendant (comme mysqldumper ou phpMyAdmin) pour sauvegarder et restaurer vos tables. L'un d'eux devrait être disponible à partir de votre panneau de contrôle de site.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Cachez tous les pages et les données ADN";
		$admtext['assumeliving'] = "Supposer en vie si pas mort tant d'années";
		//changed in 11.0.2
		$admtext['mapkey'] = "Map Key";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "saisir une partie du prénom et/ou du nom";
		$admtext['pleasenamepart'] = "Veuillez saisir une partie du prénom ou du nom.";
		$admtext['enternamepart2'] = "Saisir l'ID ou une partie du prénom ou du nom";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Veuillez entrer partie d'un nom de lieu.";
		$admtext['addnewplace'] = "Ajouter un nouveau Lieu";
		$admtext['createplace'] = "Créer un enregistrement pour un nouveau Lieu";
		$admtext['modifyplace'] = "Modifier un Lieu existant";
		$admtext['editexistingplaceinfo'] = "Editer l'information pour un Lieu introduit préalablement";
		$admtext['enterplace'] = "Veuillez introduire un Lieu.";
		$admtext['newplaceinfo'] = "Information concernant un nouveau Lieu";
		$admtext['existingplaceinfo'] = "Information existante pour un Lieu";
		$admtext['changestoplace'] = "Modifications au Lieu";
		$admtext['selectplaceaction'] = "Selectionner un Lieu et une Action";
		$admtext['mergeplaces'] = "Fusionner les Lieux";
		$admtext['findmerge'] = "Rechercher des doublons possibles à fusionner";
		$admtext['selectplacemerge'] = "Selectionner les Lieux à fusionner";
		$admtext['mcol1'] = "Fusionner<br/>ceux-ci<br/>(supprimer)";
		$admtext['mcol2'] = "avec<br/>celui-ci<br/>(conserver)";
		$admtext['pmsucc'] = "la fusion des lieux a réussi";
		$admtext['nomerge'] = "rien à fusionner";
		$admtext['enterkeep'] = "Sélectionnez une cible pour la fusion.";
		$admtext['backmerge'] = "Chercher à nouveau";
		$admtext['confdeleteplace'] = "Etes-vous certain de vouloir supprimer ce Lieu?";
		$admtext['propagate'] = "appliquer cette modification aux évênements existants";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Voulez-vous retirer les liens de (se cimetiere) ce cimetière?";
		$admtext['nocoords'] = "Latitude ou longitude manquante";
		$admtext['istemple'] = "Ce nom de ville est un code de temple Mormon (LDS Temple Code)";
		$admtext['findtemples'] = "Cherche seulement les codes de temples Mormons (LDS Temple Code)";
		$admtext['choosecem'] = "Choisissez un cimetière";
		$admtext['geocopy'] = "Copiez l'information de geocode ci-dessous à ce cimetière";
		$admtext['linkcem'] = "Liez ce lieu à un cimetière";
		$admtext['cemsavail'] = "La liste inclut seulement les cimetières qui ne sont pas déjà liés à un lieu";
		$admtext['nocemsavail'] = "Il n'exsiste aucun cimetière, ou chaque cimetière a été déjà lié à un lieu.";
        //added in 9.0.0
        $admtext['geocode'] = "Géocodage";
        $admtext['ignoreall'] = "Ignorer tout";
        $admtext['usefirst'] = "Utiliser la première correspondance";
        $admtext['multchoice'] = "Si plusieurs résultats sont trouvés pour un lieu:";
        $admtext['geoexpl'] = "Géocoder tous les lieux sans les coordonnées de latitude/longitude";
        $admtext['geocoding'] = "En cours de Géocodage...";
        $admtext['backgeo'] = "Revenir au menu de Géocodage";
        $admtext['limit'] = "Limite:";
        $admtext['nolimit'] = "Sans limite";
		$admtext['blankplace'] = "Nom de Lieu vide";
        $admtext['nogeocode'] = "N'a pu être géocodé";
        $admtext['toomany'] = "Ignoré (trop de résultats)";
		$admtext['treesgone'] = "Assignation des arbres supprimée de tous les lieux";
		//added in 11.0.0
		$admtext['nolevel'] = "Spécification du lieu non réglé";
		$admtext['placenotsaved'] = "Lieu non enregistré. Autre lieu du même nom existe déjà. S'il vous plaît fusionner les lieux.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Génère nouv. ID";
		$admtext['generating'] = "Génération...Veuillez patienter";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Répartition des lignes de descendants...";
		$admtext['finishedtracking'] = "Répartition terminée.";
		$admtext['backtosecondary'] = "Retour aux outils secondaires";
		$admtext['sortchildren'] = "Trier les enfants";
		$admtext['sortingchildren'] = "Triage des enfants";
		$admtext['sortspouses'] = "Trier les épouses";
		$admtext['sortingspouses'] = "Triage des épouses";
		$admtext['relabelbranches'] = "Ré-étiquetter les branches";
		$admtext['relabeling'] = "Ré-étiquettage des branches";
		$admtext['creatinggendex'] = "Création du fichier GENDEX...";
		$admtext['finishedgendex'] = "Création du fichier GENDEX terminée.";
		//added in 8.0.0
		$admtext['postgdx'] = "Où télécharger votre dossier de GENDEX";
		//added in 10.0.0
		$admtext['evalmedia'] = "Abréger menus media";
		$admtext['evaluating'] = "Comptage media";
		$admtext['finished'] = "Terminé";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Ajouter une langue";
		$admtext['enterlangdisplay'] = "Veuillez saisir un nom de langue.";
		$admtext['enterlangfolder'] = "Veuillez saisir le nom du dossier contenant les fichiers de cette langue.";
		$admtext['newlanguageinfo'] = "Info nouvelle Langue";
		$admtext['langdisplay'] = "Nom de langue<br>affiché pour les visiteurs";
		$admtext['createlanguage'] = "Crée un enregistrepment pour une nouvelle langue";
		$admtext['nolanguages'] = "Aucun enregistrement de langue";
		$admtext['conflangdelete'] = "Etes-vous certain de vouloir effacer cette langue ?";
		$admtext['existinglanguages'] = "Info Langue(s) existante(s)";
		$admtext['modifylanguage'] = "Modifier Langue existante";
		$admtext['changestolanguage'] = "Changements au language";
		$admtext['charset'] = "Jeu de caractères";
		$admtext['editexistinglanguage'] = "Edite l'information d'une langue déjà saisie";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Créer un enregistrement pour un nouvel arbre";
		$admtext['notrees'] = "Aucun enregistrement d'arbre existant";
		$admtext['existingtrees'] = "Info sur l'arbre existant";
		$admtext['editexistingtree'] = "Editer l'information d'un arbre encodé précédemment";
		$admtext['treename'] = "Nom de l'arbre";
		$admtext['owner'] = "Propriétaire";
		$admtext['conftreedelete'] = "Etes-vous certain de vouloir effacer cet arbre et toutes les données connexes?";
		$admtext['conftreeclear'] = "Etes-vous certain de vouloir effacer toutes les données de cet arbre?";
		$admtext['changestotree'] = "Changements à l'arbre";
		$admtext['newtreeinfo'] = "Information sur le nouvel arbre";
		$admtext['existingtreeinfo'] = "Information sur l'arbre existant";
		$admtext['modifytree'] = "Modifier l'arbre existant";
		$admtext['succcleared'] = "a été effacé avec succès";
		$admtext['gedcomextraction'] = "Ne pas autoriser les utilisateurs à télécharger les fichiers GEDCOM";
		$admtext['gedexport'] = "Exporter GEDCOM ";
		$admtext['exporting'] = "Exportation GEDCOM en cours";
		$admtext['ifexportfails'] = "Si l’exportation ne se termine pas,";
		$admtext['finishedexporting'] = "Export GEDCOM terminé";
		$admtext['backtotrees'] = "Retour aux arbres généalogiques";
		$admtext['downloadged'] = "Télécharger GEDCOM";
		$admtext['lastimport'] = "Dernière Importation";
		$admtext['treeexists'] = "Un autre arbre existe avec le même ID. Veuliilez sélectionner un autre ID et recommencer.";
		$admtext['exportmedia'] = "Exporter les medias";
		//added in 8.0.0
		$admtext['changetree'] = "Changer d'arbre";
		$admtext['newtree'] = "Nouvelle arbre";
		$admtext['currtree'] = "Arbre courant";
		$admtext['chwarn'] = "ATTENTION: cette operation va retirer toutes liens familliale, citations et autres references à cette person dans l'arbre courant";
		$admtext['keepprivate'] = "Garder privée le provenance des données";
		//changed in 9.0.0
		$admtext['exppaths'] = "Chemin local";
		$admtext['nopdf'] = "Ne pas autoriser les utilisateurs à créer des fichiers PDF";
		//added in 10.0.0
		$admtext['exprivate'] = "Exclure fiches marquées «privé»";
		$admtext['exliving'] = "Exclure personnes vivantes";
		$admtext['importfilename'] = "Importer nom fichier";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Ajouter un nouvel utilisateur";
		$admtext['createuser'] = "Créer un enregistrement pour un nouvel utilisateur";
		$admtext['nousers'] = "Aucun enregistrement d'utilisateur n'existe";
		$admtext['existingusers'] = "Information sur l'utilisateur existant";
		$admtext['editexistinguser'] = "Editer l'information concernant un utilisateur encodé précédemment";
		$admtext['confuserdelete'] = "Etes-vous certain de vouloir effacer cet utilisateur ?";
		$admtext['changestouser'] = "Changements à l'utilisateur";
		$admtext['enteruserpassword'] = "Veuillez taper un mot de passe.";
		$admtext['enterusername'] = "Veuillez entrer un pseudonyme.";
		$admtext['newuserinfo'] = "Information sur le nouvel utilisateur";
		$admtext['existinguserinfo'] = "Information sur l'utilisateur existant";
		$admtext['modifyuser'] = "Modifier un utilisateur existant";
		$admtext['allow_living'] = "Autoriser l'affichage d'informations sur les personnes en vie";
		$admtext['allow_lds'] = "Autoriser l'affichage des informations LDS";
		$admtext['enterusername'] = "Veuillez entrer un pseudonyme.";
		$admtext['enteruserdesc'] = "Veuillez entrer une description de l'utilisateur.";
		$admtext['enterpassword'] = "Veuillez entrer un mot de passe.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "Le premier utilisateur que vous créez doit être Administrateur (PAS d'arbre sélectionné) et il aura accès à toutes les fonctions système.";
		$admtext['userfailed'] = "ERREUR: L'utilisateur n'a pu être créé parce qu'un autre utilisateur avec le même nom existe déjà.";
		$admtext['allow_ged'] = "Pemettre le téléchargement de fichiers GEDCOMs";
		$admtext['assigned'] = "Assigné";
		$admtext['treemsg'] = "Optionnel. Le fait de ne pas assigner un arbre à un utilisateur aura pour effet que l'utilisateur aura accès à tous les arbres, et toutes les branches. L'administrateur du site ne peut pas être lié à un arbre.";
		$admtext['branchmsg'] = "Optionnel. Assigner un arbre à un utilisateur aura pour effet que l'utilisateur aura seulement accès à cet arbre.";
		$admtext['accesslimits'] = "Limites d'accès:";
		$admtext['rights'] = "Droits:";
		$admtext['realname'] = "Nom réel";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Enregistrement de nouveaux utilisateurs";
		$admtext['editnewusers'] = "Traiter les enregistrements de nouveaux utilisateurs. Les nouveaux utilisateurs n'ont pas de droits tant que leurs enregistrements n'ont pas été traités.";
		$admtext['nonewusers'] = "Pas de nouveaux utilisateurs";
		$admtext['lastlogin'] = "Dernière connexion";
		$admtext['tentative_edit'] = "Autoriser la soumission de modifications pour validation administrative (Personnes, Familles et Sources seulement)";
		$admtext['notify'] = "Informer cet utilisateur de l'activation de son compte utilisateur";
		$admtext['no_edit'] = "Ne pas autoriser l'édition d'enregistrements";
		$admtext['emailusers'] = "Courriel aux utilisateurs";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "Transmettre un courriel aux utilisateurs";
		$admtext['subject'] = "Objet";
		$admtext['messagetext'] = "Message";
		$admtext['selectgroup'] = "Sélectionner un groupe de destinataires (laisser vide pour transmettre à tous)";
		$admtext['treemailmsg'] = "Optionnel. Le choix d'un arbre limitera l'envoi du message aux utilisateurs associés à cet arbre.";
		$admtext['branchmailmsg'] = "Optionnel. Le choix d'une branche limitera l'envoi du message aux utilisateurs associés à cette branche.";
		$admtext['send'] = "Envoyer le courriel";
		$admtext['sentmailmessage'] = "Courriel envoyé";
		$admtext['succmail'] = "Votre message a été envoyé.";
		$admtext['mailfailed'] = "L'envoi de votre message a échoué.";
		$admtext['entersubject'] = "Veuillez inscrire l'objet de votre message.";
		$admtext['entermsgtext'] = "Veuillez saisir le texte de votre message.";
		$admtext['adminonly'] = "Afficher seulement les utilisateurs administrateurs";
		$admtext['dtregistered'] = "Date d'inscription";
		$admtext['dtactivated'] = "Date d'activation";
		$admtext['no_email'] = "Ne pas envoyer de courriels à cet utilisateur";
		$admtext['allow_admin'] = "Accorder l'accès à toutes les fonctions système et aux fonctions administratives et appliquer les droits à tous les arbres et branches.";
		$admtext['limitedrights'] = "Restreindre l'accès aux suivants:";
		$admtext['allow_edit'] = "Autoriser l'édition d'enregistrements existants";
		$admtext['allow_add'] = "Autoriser l'ajout de nouveaux enregistrements";
		$admtext['allow_delete'] = "Autoriser la suppression d'enregistrements existants";
		//added in 8.0.0
		$admtext['usrguest'] = "Invité";
		$admtext['usrguestd'] = "Pas de droits d'ajouter, éditer ou retirer";
		$admtext['noadmin'] = "Pas d'accès aux pages Admin";
		$admtext['usrsubm'] = "contribuer";
		$admtext['usrsubmd'] = "Envoi révisions en attendant vérification";
		$admtext['usrcontrib'] = "Contributeur";
		$admtext['usrcontribd'] = "Ajout de données, média compris";
		$admtext['usreditor'] = "Éditeur";
		$admtext['usreditord'] = "Ajouter , retirer ou changer les données y compris média";
		$admtext['usradmin'] = "Administrateur";
		$admtext['usradmind'] = "Tous les droits";
		$admtext['usrmcontrib'] = "Contributeur de média";
		$admtext['usrmcontribd'] = "Adjout seulement média";
		$admtext['usrmeditor'] = "Éditeur de média";
		$admtext['usrmeditord'] = "Ajouter, retirer ou changer média seulement";
		$admtext['allow_media_edit'] = "Permettre d'éditer média seulement";
		$admtext['allow_media_add'] = "Permettre d'ajouter média seulement";
		$admtext['allow_media_delete'] = "Permettre de retirer média seulement";
		$admtext['no_add'] = "Pas le droit d'ajouter";
		$admtext['no_delete'] = "Pas le droit de retirer";
		$admtext['roles'] = "Rôles";
		$admtext['usrcustom'] = "Personnalisé";
        //added in 9.0.0
		$admtext['allow_private'] = "Autoriser la visualisation des personnes confidentielles";
		$admtext['allow_pdf'] = "Autoriser le téléchargement des fichiers PDF";
		$admtext['allow_profile'] = "Editer le Profil";
		break;

	case "login":
		$admtext['loginfailed'] = "Erreur de connexion.";
		$admtext['adminlogfile'] = "Fichier Log Administration";
		$admtext['mostrecentactions'] = "Actions les plus récentes";
		$admtext['rempass'] = "Restez connecté à cet ordinateur";
		$admtext['sessexp'] = "Votre session a expiré.";
		$admtext['logagain'] = "Cliquez pour ouvrir une autre session.";
		//added in 8.1.0
		$admtext['logininactive'] = "Votre login n'est pas encore actif. Veuillez essayer plus tard ou contacter l'administrateur du site.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Créer un nouvel événement sur la ligne du temps";
		$admtext['modifytlevent'] = "Modifier un évènement de la ligne du temps";
		$admtext['leaveblankalltlevents'] = "laisser vide pour montrer tous les évènements de la ligne du temps";
		$admtext['evyear'] = "Année de l'évènement";
		$admtext['evdetail'] = "Detail de l'évènement";
		$admtext['selecttleventaction'] = "Selectionner l'évènement et l'action";
		$admtext['changestotlevent'] = "Changements des événements de la ligne du temps";
		$admtext['location'] = "Lieu";
		$admtext['confdeletetlevent'] = "Etes-vous certain de vouloir supprimer cet évènement?";
		$admtext['enterevyear'] = "Veuillez introduire l'année de l'évènement.";
		$admtext['enterevdetail'] = "Veuillez introduire le détail de l'évènement.";
		$admtext['existingtleventinfo'] = "Evènement existant";
		$admtext['newtleventinfo'] = "Evènement nouveau";
		$admtext['edittleventinfo'] = "Editer un évènement de la ligne du temps";
		$admtext['addnewtlevent'] = "Ajouter un nouvel évènement de la ligne du temps";
		$admtext['yrreq'] = "(seule l'année est requise)";
		$admtext['startdt'] = "Date du début";
		$admtext['enddt'] = "Date de la fin";
		//added in 9.0.0
		$admtext['evtitle'] = "Titre d'événement";
		break;

	case "review":
		$admtext['selectevaction'] = "Selectionnez l'évènement et l'action";
		$admtext['suggested'] = "Suggéré";
		$admtext['usernotes'] = "Notes concernant<br />une suggestion<br />(ne sera pas enregistré)";
		$admtext['postdate'] = "Envoyé le";
		$admtext['savedel'] = "Enregistrer et Supprimer";
		$admtext['postpone'] = "Postposer";
		$admtext['igndel'] = "Ignorer et Supprimer";
		$admtext['tentdel'] = "a été effacé";
		$admtext['tentadd'] = "a été rendu permanent";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Retrouve , modifier ou rétirer une note dans la base de données";
		$admtext['whatsnewblurb'] = "Fournir vos visiteurs une mise a jour du site ou contenu sur la page 'quoi de neuf'";
		$admtext['mwblurb'] = "Crée une liste des persons plus recherché ou les photos pas identifier, en espérant trouver les aides dans vos récherches";
		$admtext['dvblurb'] = "Find potential problems in your information.";
		$admtext['wr_gender'] = "Wrong gender";
		$admtext['unk_gender'] = "Unknown gender";
		$admtext['marr_young'] = "Married too young (less than 15 years old)";
		$admtext['marr_aft_death'] = "Married after death";
		$admtext['marr_bef_birth'] = "Married before birth";
		$admtext['died_bef_birth'] = "Died before birth";
		$admtext['parents_younger'] = "Born too early (parents less than 15 years old, or child born before marriage)";
		$admtext['children_late'] = "Born too late (mother more than 50 years old)";
		$admtext['not_living'] = "Person marked as living, death date present";
		$admtext['not_dead'] = "Person marked as deceased, possibly still living";
		$admtext['parmarr'] = "Parents' Marriage";
		$admtext['motherbirth'] = "Mother's Birth";
		break;
		
	case "mods":
		$admtext['modlist'] = "Liste des Mods";
		$admtext['reqremove'] = "Démand de retirer Mod";
		$admtext['confcanc'] = "Confirm demand ou annuler";
		$admtext['confrem'] = "Confirm supprimer";
		$admtext['confirmedrem'] = "Confirm demand  de rétirer Mod";
		$admtext['removed'] = "supprimé";
		$admtext['notremoved'] = "Pas rétirer au cause des erreurs suivant";
		$admtext['reqclean'] = "Démande à nettoyage de Mod";
		$admtext['confclean'] = "Confirm nettoyage";
		$admtext['confirmedclean'] = "Démande de nettoyage confirmer";
		$admtext['cleanatt'] = "nettoyage tenté";
		$admtext['cleanperf'] = "Nettoyage completer avec les notes suivant";
		$admtext['reqedit'] = "Démand d'editer le Mod";
		$admtext['confedit'] = "Confirmer le modification";
		$admtext['cfgvalsread'] = "Valeurs de configuration des fichiers TNG";
		$admtext['confirmededit'] = "Démand  de mise a jour des valeurs du Mod confirmer";
		$admtext['editdone'] = "Modification terminée";
		$admtext['editperf'] = "Les paramètres d'édition ont été modifiées comme suit:";
		$admtext['reqinstall'] = "Démand d'installation du Mod";
		$admtext['confinst'] = "Confirmer l'installation";
		$admtext['confirmedinst'] = "Démand d'installation Mod  confirmer";
		$admtext['installed'] = "Installé";
		$admtext['notinst2'] = "Pas installé au cause des erreurs suivant";
		$admtext['reqdelete'] = "Démand de suppression de fichier configuration Mod";
		$admtext['nomodundo'] = "Impossible de annuler cette operation. Vous etes obliger de re-charger se Mod si vous désirer d'installer ou rétirer plus tard";
		$admtext['confdel'] = "Confirm  suppression";
		$admtext['confirmeddel'] = "La demande est confirmée de supprimer le fichier config de mod";
		$admtext['deleted'] = "effacé";
		$admtext['cantdel'] = "ne peut pas effacer";
		$admtext['remman'] = "Veuillez rétirer se fichier manualement";
		$admtext['cfgname'] = "Nom du fichier config";
		$admtext['version'] = "Version";
		$admtext['clean'] = "Nettoyer";
		$admtext['nomods'] = "Pas de fichiers de definition Mod (xxx) retrouver dans le dossier Mod";
		$admtext['notarget'] = "%target: etiquette manquant";
		$admtext['notarget2'] = "Pas de fichier cible";
		$admtext['peerror'] = "Erreur de paramétrage";
		$admtext['prerror'] = "Erreur des paramètres";
		$admtext['location'] = "Lieu";
		$admtext['missing'] = "Manquant";
		$admtext['badtarget'] = "Mauvais cible";
		$admtext['targetlost'] = "Impossible de rétrouver le cible";
		$admtext['modins'] = "Code Mod inserer";
		$admtext['modtrins'] = "code Mod découpée et inserer";
		$admtext['modrepl'] = "Code Mod remplacer";
		$admtext['nfilemissing'] = "Nom de nouvelle fichier manquant";
		$admtext['create'] = "Créer...";
		$admtext['cantwrite'] = "Impossible de écrire sur";
		$admtext['checkperms'] = "Verifier droits d'access maintenant";
		$admtext['notwrite'] = "Impossible d'ecrire, verifier droits d'access";
		$admtext['cfilemissing'] = "Nom de fichier manquant";
		$admtext['cffilemissing'] = "Copier le nom du fichier (a partir de) manquant";
		$admtext['ctfilemissing'] = "copier le nom du fichier (à la) manquant";
		$admtext['copyfile'] = "Copier fichier xxx à";
		$admtext['cantcopy'] = "Impossible de copier à";
		$admtext['checkwrite'] = "Verifier les droits, d'access, droit etre accessible";
		$admtext['forwrite'] = "Pour ecrire";
		$admtext['written'] = "Fichier xxx ecrit";
		$admtext['toterrors'] = "Erreurs totaux";
		$admtext['totfiles'] = "Nouveaux fichiers totaux ";
		$admtext['notallinst'] = "Installation incomplete";
		$admtext['notallrem'] = "Enlevement incomplete";
		$admtext['section'] = "Section";
		$admtext['missfile'] = "Fichier manquant";
		$admtext['targetsearch'] = "Récherche ciblé";
		$admtext['insrem'] = "Code inserer par le Mod retirer";
		$admtext['remrem'] = "Code retirer par le Mod";
		$admtext['trimrem'] = "Code Mod découpée et retirer";
		$admtext['orgrepl'] = "Code d'origine remplacer";
		$admtext['cantrepl'] = "Impossible de remplacer le code d'origine, pas retrouver";
		$admtext['orgtrrepl'] = "Code d'origine découpée et retirer";
		$admtext['keyword'] = "Mot clef";
		$admtext['notunique'] = "Pas unique";
		$admtext['noaction'] = "Pas d'action";
		$admtext['novers'] = "Pas de numero de version";
		$admtext['param'] = "Paramètre";
		$admtext['params'] = "Paramétres";
		$admtext['paramed'] = "Editeur de paramètres";
		$admtext['enterparam'] = "Entrer Mod parameter";
		$admtext['paramval'] = "Valeur";
		$admtext['noparams'] = "Pas de definitions de parametre";
		$admtext['nodesc'] = "Erreur de definition parameter, descriptive manquant";
		$admtext['defval'] = "Valeur defaut";
		$admtext['updateval'] = "Mettant à jour la valeur xxx de [yyy] aux config de mod.";
		$admtext['rewritten'] = "récrit";
		$admtext['fixingcfg'] = "Réparation du fichier config";
		$admtext['fixedcfg'] = "Le fichier config est réparé";
		$admtext['fixingtar'] = "Réparation du cible de fichier";
		$admtext['fixedtar'] = "Le cible de fichier est réparé";
		$admtext['fincorr'] = "Les correction des données désirées sont fini";
		$admtext['targetupd'] = "Le cible des données est mise à jour";
		$admtext['written'] = "Fichier xxx ecrit";
		$admtext['permerr'] = "Erreur de permission du fichier";
		$admtext['updconfig'] = "Information du fichier config est mise à jour";
		$admtext['configupd'] = "Données de config est mise à jour, Fin de la boucle";
		//changed in 9.0.0
		$admtext['readvals'] = "Restaurez les paramètres defauts";
		$admtext['retstatus'] = "Retournez à la Liste des Mods";
		$admtext['locmissing'] = "Copie locale de xxx manquant pour l'installation";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Des mises à jour sont exigées";
		$admtext['keywordmissing'] = "Mot clef manquant. Erreur de construction.";
		$admtext['cannotinstall'] = "Incapable d'installer ce mod";
		$admtext['notargetkeyword'] = "Le mot clef cible est exigé";
		$admtext['emptytarget'] = "Le fichier cible est un fichier vide.";
		$admtext['missingtarget'] = "Le fichier cible n'est pas installé.";
		$admtext['missingfiles'] = "Le fichier à copier est manquant du dossier source";
		$admtext['pararead'] = "Les paramètres ont été lu du fichier";
		$admtext['rewritetarget'] = "Écrivez le fichier cible en nouveau";
		$admtext['targetcode'] = "Code cible est";
		$admtext['modtrimrepl'] = "Code de mod équilibré et remplacé.";
		$admtext['cantdelmissing'] = "Ne peut pas supprimer, le fichier est manquant";
		$admtext['totcopyfiles'] = "Fichiers totaux à copier";
		$admtext['successfully'] = "Avec succès";
		$admtext['filecreated'] = "Créé avec succès";
		//changed in 10.0.3 
		$admtext['editperf'] = "Les paramètres d'édition ont été modifiées comme suit:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Mises à jour batch";
		$admtext['options'] = "Options";
		$admtext['viewlog'] = "Journal";
		$admtext['filesexcused'] = "Fichiers acceptés à l'échec";
		$admtext['fileexcused'] = "Fichier droit à l'échec";
		$admtext['copiesexcused'] = "Copies autorisé à l'échec";
		$admtext['copyexcused'] = "Copier permis à l'échec";
		$admtext['optionalfile'] = "Fileoptional spécifiée ";
		$admtext['installbypassed'] = "section installer contourné";
		$admtext['removalbypassed'] = "section supprimer contourné";
		$admtext['target'] = "Change";
		$admtext['newfile'] = "Crée";
		$admtext['copiesfile'] = "Copies";
		$admtext['copiesfile2'] = "Copies à";
		$admtext['aflistoptions'] = "La liste des fichiers concernés";
		$admtext['showaflist'] = "Afficher la liste des fichiers concernés";
		$admtext['shownewfile'] = "Afficher les fichiers nouveaux dans la liste";
		$admtext['showfilecopies'] = "Afficher les fichiers copiés dans la liste";
		$admtext['namecol'] = "Afficher la liste dans la colonne";
		$admtext['showlistas'] = "Afficher la liste comme ";
		$admtext['showastable'] = "Table";
		$admtext['showascsv'] = "Comma Separated Values";
		$admtext['batchshowaflist'] = "Afficher la liste dans la mises à jour Batch";
		$admtext['logoptions'] = "Journal du Mod Manager ";
		$admtext['logactions'] = "Connecter les actions Mod Manager";
		$admtext['mmlogfilename'] = "Nom du fichier journal";
		$admtext['sortlistby'] = "Trier les listes par";
		$admtext['modname'] = "Nom mod";
		$admtext['bypassconfirm'] = "Contourner les confirmations";
		$admtext['bypassaction'] = "Contourner les messages d'action";
		$admtext['modifyoptions'] = "Modifier les options du Mod Manager";
		$admtext['ready'] = "Prêt à installer";
		$admtext['badmod'] = "Impossible";
		$admtext['noselected'] = "Vous n'avez sélectionné aucun fichiers!";
		$admtext['choose'] = "Choisir";
		$admtext['showlogfile'] = "Afficher le journal d'action Manager Mod";
		$admtext['recentactions'] = "actions les plus récentes du Mod Manager";
		$admtext['emptylog'] = "Journal vide";
		$admtext['clearlog'] = "Effacer le journal";
		$admtext['confirmclearlog'] = "Etes-vous sûr de vouloir effacer le journal ?";
		$admtext['copyfrom'] = "du dossier ";
		$admtext['modsyntax'] = "Mod Syntaxe";
		$admtext['modguidelines'] = "Normes Mod";
		$admtext['analyzer'] = "Analyseur";
		$admtext['filemod'] = "Fichier xxx est modifié par";
		$admtext['filesel'] = "Sélectionner le fichier modifié examiner les changements";
		$admtext['potconf'] = "Conflits qui pourraient exister";
		$admtext['modifications'] = "modifications";
		$admtext['othermmoptions'] = "Autre";
		$admtext['file'] = "Fichier";
		$admtext['tngmods'] = "Mods pour TNG ";
		$admtext['unexpected'] = "Mot clé inattendu";
		$admtext['syntax'] = "Syntaxe";
		//changed in TNG 10.1
		$admtext['copied'] = "copié";
		$admtext['emptyfile'] = "fichier est vide";
		$admtext['filescopied'] = "fichiers copiés";
		$admtext['notarget'] = "%target: etiquette manquant";
		$admtext['notinst'] = "pas installé";
		$admtext['install'] = "Installer";
		$admtext['filedel'] = "fichier effacé";
		$admtext['created'] = "créé";
		$admtext['choosefilter'] = "Choisisez un filtre et clickez Aller pour voir les controls";
		$admtext['mmmaxloglines'] = "Nombre maximum de transactions";
		$admtext['statusfilter'] = "Statut";
		//added in TNG 10.1
		$admtext['uninstall'] = "Désinstaller";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Nettoyer";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Editer";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "Prêt à installer";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "version du fichier / incompatibilité de version";
		$admtext['bomfound'] = "BOM supprimé";
		$admtext['cantinst'] = "ne peut pas installer";
		$admtext['cantproc'] = "ne peut pas désinstaller";
		$admtext['cantupd'] = "Impossible de mettre à jour le paramètre";
		$admtext['cleanupall'] = "Nettoyer";
		$admtext['confdelmod'] = "Etes-vous certain de vouloir effacer ce mod de votre système ?";
		$admtext['copiesreq'] = "copies de fichiers spécifiés";
		$admtext['delete'] = "Effacer";
		$admtext['deleteall'] = "Effacer";
		$admtext['errors'] = "erreurs";
		$admtext['excused'] = "fichiers excusés";
		$admtext['filesinst'] = "fichiers installés";
		$admtext['filesrem'] = "fichiers supprimés";
		$admtext['format'] = "erreur de format";
		$admtext['ignored'] = "location ignored";
		$admtext['installall'] = "Installer";
		$admtext['installing'] = "Installant";
		$admtext['line'] = "ligne";
		$admtext['modified'] = "modifiés";
		$admtext['modsinst'] = "modifications de code installées";
		$admtext['modrem'] = "mod désinstallé";
		$admtext['modsrem'] = "modifications du code enlevés";
		$admtext['modsreq'] = "modifications de code spécifiés";
		$admtext['newfilesreq'] = "nouveaux fichiers spécifiés";
		$admtext['nfcreated'] = "nouveau fichier créé";
		$admtext['noaccess'] = "aucun accès";
		$admtext['noact'] = "l'action tag invalide";
		$admtext['nocfgfile'] = "mod fichier introuvable";
		$admtext['nocode'] = "section de code manquant";
		$admtext['nocomps'] = "éléments manquants";
		$admtext['noend'] = "%end:% étiquette manquant";
		$admtext['noinsert'] = "code n'a pas été inséré";
		$admtext['noinsrem'] = "code introduit n'a pas été supprimée";
		$admtext['nolocation'] = "location étiquette manquant";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "incapable de remplacer le code";
		$admtext['notgtfile'] = "pas accessible (pas de fichier cible)";
		$admtext['notopened'] = "fichier cible pas ouvert";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "ouvert";
		$admtext['optional'] = "optionnel";
		$admtext['parameter'] = "paramètre";
		$admtext['partinst'] = "partiellement installé";
		$admtext['removeall'] = "Désinstaller";    // was Remove Selected mods
		$admtext['removing'] = "Désinstallant";    // was Removing
		$admtext['reqtag'] = "étiquette requis manquant";
		$admtext['restparam'] = "Restaurer paramètre défaut";
		$admtext['return'] = "Retour au directeur Mod";
		$admtext['secnoterm'] = "section n'est pas terminé";
		$admtext['tagnoterm'] = "étiquette pas terminée";
		$admtext['tagunk'] = "étiquette est inconnu";
		$admtext['tgtfile'] = "fichier cible";
		$admtext['updated'] = "mise à jour";
		$admtext['updparam'] = "Mettre à jour le paramètre";
		$admtext['unxend'] = "fin de fichier inattendue";
		$admtext['warnings'] = "Mises en garde";
		$admtext['whitespace'] = "espaces";
		$admtext['locations'] = "locations";
		$admtext['allowdeletepartial'] = "Effacer les mods sélectionnés partiellement installés";
		$admtext['allowdeleteinstalled'] = "Effacer les mods installées individuellement";
		$admtext['showwarnings'] = "Montrer les mises en garde des mods sur le statut";
		$admtext['logfullpath'] = "Journalier le chemin complet des fichiers";
		$admtext['deletingmods'] = "Effaçant les fichers mod";
		$admtext['deleting'] = "Effaçant ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Fichers";
		$admtext['hasoptions'] = "Choix";
		$admtext['update'] = "Mettre à jour";
		$admtext['restore'] = "Restaurer le défaut";
		$admtext['compressnames'] = "Compresser les noms mod dans la liste des Mods";
		$admtext['stayon'] = "Retourner ici";
		$admtext['accessible'] = "accessible";
		$admtext['bypassed'] = "contourné";
		$admtext['willbypass'] = "va passer au-dessus";  // was "will bypass"
		$admtext['cantdel'] = "ne peut pas effacer";
		$admtext['optmissing'] = "fichier manquant (optionnel)";
		$admtext['tgtmissing'] = "fichier cible manquant";
		$admtext['optlocked'] = "fichier est protégé (optionnel)";
		$admtext['tgtlocked'] = "fichier sous clé";
		$admtext['alreadyrem'] = "déjà supprimé";
		$admtext['noaccess'] = "aucun accès";
		$admtext['code'] = "code";
		$admtext['alreadyins'] = "déjà installé";
		$admtext['badinstall'] = "pas installé";
		$admtext['removed'] = "supprimé";
		$admtext['deleted'] = "effacé";
		$admtext['optsrcfilemissing'] = "source optionnelle manquante";
		$admtext['srcfilemissing'] = "source manquante";
		$admtext['optnocopy'] = "fichier optionnel pas copié";
		$admtext['notcopied'] = "pas copié";
		$admtext['copied'] = "copié";
		$admtext['notcreated'] = "ne peut pas créer un nouveau fichier";
		$admtext['optnotcreated'] = "ne peut pas créer un nouveau fichier optionnel";
		$admtext['nocreated'] = "pas créé";
		$admtext['fixedheader'] = "Utilisez-têtes fixes";
		$admtext['cantremok'] = "ne peut pas effacer, optionnel, contourné";
		$admtext['nofolder'] = "cible dossier manquant";
		$admtext['edparams'] = "éditer les paramètres";
		$admtext['compresslog'] = "Compresser affichage du journal";
		$admtext['showanalyzer'] = "Afficher l'etiquette Analyseur";
		$admtext['formodname'] = "pour nom mod ";
		$admtext['nofolder'] = "cible dossier manquant";
		$admtext['fileperms'] = "Veillez vérifier les permissions de fichiers";
		$admtext['noparam'] = "paramètre manquant";
		$admtext['editing'] = "rédaction";
		$admtext['redirect2log'] = "Redireger au journal pour";
		$admtext['on_error'] = "Seulment les erreurs";
		$admtext['on_all'] = "Toutes les transactions";
		$admtext['usestriping'] = "Utilisez rayures";
		$admtext['stripeafter'] = "Rayure après nombre de lignes";
		$admtext['adjusthdrs'] = "Réglez les têtes fixes";
		$admtext['displayoptions'] = "Paramètres d'affichage";
		$admtext['no_frag'] = "fragment de code pas autorisée ici";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Êtes-vous certain de vouloir supprimer ce test ?";
		$admtext['test_type'] = "Type de test";
		$admtext['test_number'] = "Nombre du test";
		$admtext['test_date'] = "Date du test";
		$admtext['modifydna'] = "Modifier le test ADN existant";
		$admtext['changestoalldna'] = "Les modifications de tous les tests";
		$admtext['addnewdna'] = "Ajouter un nouveau test ADN";
		$admtext['testinfo'] = "Informations sur les tests";
		$admtext['urls'] = "Liens pertinents";
		$admtext['dnalater'] = "Note: le test peut être lié à d'autres  individus sur le prochain l'écran.";
		$admtext['selecttype'] = "Sélectionner un type de test.";
		$admtext['entertestnum'] = "Entrer le numéro du test ADN";
		$admtext['test_taker'] = "Individu qui a pris ce test";
		$admtext['test_links'] = "Individus liées par ce test";
		$admtext['changestotest'] = "Changements apportés au test ADN";
		break;
}

//common
$admtext['cannotexecutequery'] = "Ne peut exécuter la requête";
$admtext['addnew'] = "Ajouter";
$admtext['individuals'] = "individuels";
$admtext['succadded'] = "ajouté(e) avec succès";
$admtext['succaddedlinked'] = "ajouté(e) avec succès et lié(e) à";
$admtext['succsaved'] = "sauvegardé(e) avec succès";
$admtext['succdeleted'] = "effacé(e) avec succès";
$admtext['succdeletedpluslinks'] = "effacé(e) avec succès, avec tous les liens";
$admtext['text_delete'] = "Effacer";
$admtext['deleted'] = "Effacé";
$admtext['deleteselected'] = "Effacer la sélection";
$admtext['noresults'] = "Aucun résultat. Veuillez réessayer.";
$admtext['action'] = "Action";
$admtext['id'] = "ID";
$admtext['edit'] = "Editer";
$admtext['notes'] = "Notes";
$admtext['name'] = "Nom";
$admtext['description'] = "Description";
$admtext['text_continue'] = "Continuer...";
$admtext['searchfor'] = "Rechercher";
$admtext['lookin'] = "Rechercher dans (cochez ce qui doit s'appliquer)";
$admtext['cemeteryid'] = "ID Cimetière";
$admtext['exactmatch'] = "Correspondance exacte seulement";
$admtext['nothingtodelete'] = "Rien à effacer";
$admtext['state'] = "région";
$admtext['country'] = "pays";
$admtext['finish'] = "Terminé";
$admtext['ifphotouploaded'] = "Laisser ce champ vide si le fichier est déjà chargé dans votre dossier photos.";
$admtext['eventtype'] = "Type d'évènement";
$admtext['source'] = "Source";
$admtext['savechanges'] = "Enregistrer les Changements";
$admtext['family'] = "Famille";
$admtext['find'] = "Chercher...";
$admtext['create'] = "Créer...";
$admtext['sourceid'] = "ID Source";
$admtext['birthabbr'] = "n.";
$admtext['chrabbr'] = "b.";
$admtext['remove'] = "Supprimer";
$admtext['moveup'] = "Vers le Haut";
$admtext['movedown'] = "Vers le Bas";
$admtext['enterpersonid'] = "Veuillez saisir un ID Personne";
$admtext['personid'] = "ID Personne";
$admtext['otherevents'] = "Autres évènements";
$admtext['required'] = "requis";
$admtext['children'] = "Enfants";
$admtext['chrdate'] = "Date de baptême";
$admtext['chrplace'] = "Lieu de baptême";
$admtext['deathdate'] = "Date de décès";
$admtext['deathplace'] = "Lieu de décès";
$admtext['burialdate'] = "Date de sépulture";
$admtext['burialplace'] = "Lieu de sépulture";
$admtext['birthdate'] = "Date de naissance";
$admtext['birthplace'] = "Lieu de naissance";
$admtext['title'] = "Titre";
$admtext['sex'] = "Sexe";
$admtext['marriagedate'] = "Date mariage";
$admtext['marriageplace'] = "Lieu mariage";
$admtext['lastname'] = "Nom";
$admtext['firstname'] = "Prénom";
$admtext['filename'] = "Nom fichier";
$admtext['linkspersonid'] = "Liens (ID Personne)";
$admtext['cannotopen'] = "Ne peut ouvrir le fichier";
$admtext['check'] = "Vérifier";
$admtext['generate'] = "Générer";
$admtext['update'] = "Modifier";
$admtext['confdeleteevent'] = "Etes-vous certain de vouloir effacer cet évènement ?";
$admtext['existinglinks'] = "Liens existants :<br>(cocher pour effacer)";
$admtext['lowersortfirst'] = "Les nombres inférieurs seront triés en premier. Les décimales peuvent aussi être utilisées.";
$admtext['personsname'] = "Nom de la personne";
$admtext['tablecreation'] = "Création des tables";
$admtext['tracklines'] = "Répartir les lignes";
$admtext['administration'] = "Administration";
$admtext['text_or'] = "OU";
$admtext['cemeteries'] = "Cimetières";
$admtext['families'] = "Familles";
$admtext['headstones'] = "Tombes";
$admtext['histories'] = "Histoires";
$admtext['people'] = "Personnes";
$admtext['photos'] = "Photos";
$admtext['reports'] = "Rapports";
$admtext['sources'] = "Sources";
$admtext['suffix'] = "Suffixe";
$admtext['add'] = "Ajouter";
$admtext['confdeleteentity'] = "Etes-vous certain de vouloir effacer la sélection";
$admtext['cemetery'] = "Cimetière";
$admtext['language'] = "Langue";
$admtext['display'] = "Affichage";
$admtext['languages'] = "Langues";
$admtext['orderpound'] = "Signe de tri #";
$admtext['tree'] = "Arbre";
$admtext['alltrees'] = "Tous les arbres";
$admtext['selectaddtree'] = "Arbre (choisir ou ajouter)";
$admtext['selecttree'] = "Veuillez choisir/ajouter un arbre.";
$admtext['treebefevent'] = "Vous devez choisir ou saisir un nom d'arbre avant d'ajouter de nouveaux évènements.";
$admtext['text_rename'] = "Renommer";
$admtext['clear'] = "Annuler";
$admtext['linktothis'] = "Lier à cette personne";
$admtext['linkexample'] = "(saisir ID, i.e. \"I###\")";
$admtext['existingconfig'] = "Configuration existante";
$admtext['lastmodified'] = "Dernière modif.";
$admtext['addnotes'] = "Notes supplémentaires";
$admtext['confdeletenote'] = "Etes-vous certain de vouloir effacer cette note ?";
$admtext['treebefnote'] = "Vous devez choisir ou saisir un nom d'arbre avant d'ajouter de nouvelles notes.";
$admtext['general'] = "Général";
$admtext['entersearchvalue'] = "Veuillez saisir une valeur de recherche.";
$admtext['trees'] = "Arbres";
$admtext['users'] = "Utilisateurs";
$admtext['lds'] = "SDJ";
$admtext['norights'] = "Vous n'êtes pas autorisé à afficher cette page. Si vous avez un pseudonyme et un mot de passe, veuillez vous connecter ci-dessous.";
$admtext['username'] = "Nom Utilisateur";
$admtext['password'] = "Mot de Passe";
$admtext['login'] = "Se connecter";
$admtext['logout'] = "Se déconnecter";
$admtext['city'] = "Ville";  //from cemeteries
$admtext['cap_country'] = "Pays";  //from cemeteries
$admtext['addnewtree'] = "Ajouter un nouvel arbre";
$admtext['test'] = "Visualiser";
$admtext['page'] = "Page";  //from sources
$admtext['folder'] = "Dossier";   //from languages
$admtext['confdeletepers'] = "Etes-vous certain de vouloir effacer cette personne ?";
$admtext['save'] = "Sauvegarder";
$admtext['of'] = "de";
$admtext['size'] = "Taille";
$admtext['select'] = "Selectionner";
$admtext['open'] = "Ouvrir";
$admtext['selectfile'] = "Selectionner le fichier";
$admtext['altdesc'] = "Description alternative";
$admtext['altnotes'] = "Notes alternatives";
$admtext['savereturn'] = "Retour à cette page";
$admtext['saveback'] = "Retour au menu";
$admtext['user'] = "Utilisateur";
$admtext['DIV'] = "Divorce";
$admtext['search'] = "Rechercher";  //from findpersonform
$admtext['searchresults'] = "Résultats de la recherche";  //from people
$admtext['clicktoselect'] = "Cliquer pour sélectionner";
$admtext['familyid'] = "ID Famille";  //from families
$admtext['secondary'] = "Processus Secondaires";
$admtext['commas'] = "Séparer les entrées multiples avec des points virgule";
$admtext['onsave'] = "Après sauvegarde";
$admtext['adminhome'] = "Administration";
$admtext['labelbranches'] = "Nommer les Branches";
$admtext['branch'] = "Branche";
$admtext['findperson'] = "Chercher la  Personne...";
$admtext['findfamily'] = "Chercher la Famille...";
$admtext['repeatlastq'] = "Répéter la dernière recherche";
$admtext['alwayson'] = "Toujours visible";
$admtext['all'] = "Tous";
$admtext['lnprefix'] = "Préfixe du nom de famille";
$admtext['nameorder'] = "Ordre des Noms";
$admtext['western'] = "Prénom en premier";
$admtext['lockid'] = "Bloquer";
$admtext['linktothese'] = "Lier à:";
$admtext['alsolinkto'] = "Egalement lier à:";
$admtext['linkspersfam'] = "Liens (ID de Personne, Famille ou Source)";
$admtext['findsource'] = "Trouver la Source...";
$admtext['address'] = "Adresse";
$admtext['stateprov'] = "Etat/Province";
$admtext['zip'] = "Code postal";
$admtext['merge'] = "Fusionner";
$admtext['otherinfo'] = "Autre Information";
$admtext['available'] = "Disponible";
$admtext['backuprestore'] = "Outils";
$admtext['place'] = "Lieu";
$admtext['treeid'] = "ID Arbre";
$admtext['email'] = "Courriel";
$admtext['event'] = "Evénement";
$admtext['eventdate'] = "Date";
$admtext['eventplace'] = "Lieu";
$admtext['detail'] = "Détail";
$admtext['export'] = "Exporter";
$admtext['tlevents'] = "Evènements de la ligne du temps";
$admtext['places'] = "Lieux";
$admtext['duplicate'] = "Les modifications n'ont pas été enregistrées. Un autre enregistrement avec la même clef existe déjà.";
$admtext['alttitle'] = "Autre titre";
$admtext['enttitle'] = "Titre";  //title for a history or photo, not a person
$admtext['address1'] = "Adresse 1";
$admtext['address2'] = "Adresse 2";
$admtext['countryaddr'] = "Pays";
$admtext['branches'] = "Branches";
$admtext['nobranch'] = "Pas de Branche";
$admtext['scrollbranch'] = "(Dérouler tous les choix)";
$admtext['matches'] = "Résultats";
$admtext['review'] = "Revoir";
$admtext['allusers'] = "Tous les utilisateurs";
$admtext['deathabbr'] = "d.";
$admtext['burialabbr'] = "inh.";
$admtext['nochanges'] = "Pas de changements.";
$admtext['changestoallitems'] = "Les modifications à tous les éléments";  //were made successfully
$admtext['find2'] = "Rechercher";
$admtext['text_sort'] = "Trier";
$admtext['documents'] = "Documents";
$admtext['repository'] = "Dépôt";
$admtext['more'] = "Plus";
$admtext['repositories'] = "Dépôts";
$admtext['divplace'] = "Lieu du divorce";
$admtext['divdate'] = "Date du divorce";
$admtext['divdatetr'] = "Date du divorce (Vrai)";
$admtext['creategendex'] = "Créer GENDEX";
$admtext['datamaint'] = "Importation des données";
$admtext['imagefiletoupload'] = "Fichier Image à charger";
$admtext['indfamorsrc'] = "individus, familles ou sources";
$admtext['improperpermissions'] = "car le dossier n'a pas les bonnes permissions. Essayez chmod(777)";
$admtext['person'] = "Personne";
$admtext['setup'] = "Configurations";
$admtext['manage'] = "Gérer";
$admtext['reset'] = "Effacer";
$admtext['norecords'] = "Aucun enregistrement n'existe.";
$admtext['secondarymaint'] = "Outils secondaires de maintenance ";
$admtext['customeventtypes'] = "Types d'évènement personnalisés";
$admtext['findmatches'] = "Rechercher les doublons";
$admtext['matchthese'] = "Rechercher les doublons dans les champs suivants";
$admtext['otheroptions'] = "Autres options:";
$admtext['ignoreblanks'] = "Ignorer les champs vides";
$admtext['nextmatch'] = "Doublon suivant";
$admtext['nextdup'] = "Double suivant";
$admtext['comprefresh'] = "Comparer/Rafraîchir";
$admtext['mswitch'] = "Remplacer";
$admtext['nomatches'] = "Pas de doublons";
$admtext['combineextras'] = "Fusionner les photos et histoires";  //changed as well
$admtext['fasterdisplay'] = "Note: Cette page est formatée autrement pour permettre un affichage rapide.";
$admtext['publichome'] = "Accueil publique";
$admtext['selectall'] = "Sélectionner tout";
$admtext['clearall'] = "Annuler tout";
$admtext['media'] = "Médias";
$admtext['albums'] = "Albums";
$admtext['import'] = "Importer";
$admtext['item'] = "Item";
$admtext['combinenotesonly'] = "Fusionner les notes";
$admtext['addmedia'] = "Ajouter un média";
$admtext['latitude'] = "Latitude";
$admtext['longitude'] = "Longitude";
$admtext['gedimport'] = "Importer GEDCOM";
$admtext['improper2'] = "parce que le fichier original est trop grand ou ne représente pas une image valide, ou parce que le dossier n'existe pas (vérifier le chemin racine) ou n'a pas les permissions adéquates (essayer chmod(777)).";
$admtext['confdeleterecs'] = "Êtes-vous sûr vous voulez-vous supprimer le disque choisi ?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Lieu à coder: ";
$admtext['notfound'] = " non trouvé. Essayer une autre recherche. Examiner l'aide de recherche de carte/plan pour assurer les raisons possibles que la recherche a échouées, ou essayer votre recherche en utilisant le lien de Recherche sur le site Google";
$admtext['showhidemap'] = "Montrez/cachez la carte/le plan";
$admtext['getcoords'] = "pour déterminer la latitude, longitude et le facteur de zoom";
$admtext['searchstring'] = "Rechercher un lieu";
$admtext['zoom'] = "Loupe";
$admtext['selectplacelevel'] = "Choisir la spécificité du lieu";
$admtext['difficultmap'] = "Recherche sur le site Google";
$admtext['maphelp'] = "Aide de recherche de carte/plan";
$admtext['gobutton'] = "Recherche";
$admtext['findpersonid'] = "Chercher ID Personne";
$admtext['findfamilyid'] = "Chercher l'ID de la famille";
$admtext['findsourceid'] = "Trouver l'ID de la source";
$admtext['entersourcepart'] = "Introduire le titre de la source";
$admtext['findrepoid'] = "Trouver l'ID du dépôt";
$admtext['enterrepopart'] = "Saisir une partie du titre du dépôt";
$admtext['findplace'] = "Trouver Lieu";
$admtext['enterplacepart'] = "entrer partie d'un nom de lieu";
$admtext['entereventinfo'] = "Veuillez saisir une date, un lieu ou le détail de cet évènement.";
$admtext['entereventtype'] = "Veuillez choisir un type d'évènement.";
$admtext['enternote'] = "Veuillez saisir le texte de la note.";
$admtext['selectsource'] = "Veuillez sélectionner une source.";
$admtext['confdeletecite'] = "Etes-vous certain de vouloir effacer ce témoignage ?";
$admtext['spouses'] = "Conjoint(e)s";
$admtext['entertreeid'] = "Veuiller entrer l'ID de l'arbre.";
$admtext['entertreename'] = "Veuillez entrer un nom d'arbre.";
$admtext['citations'] = "Témoignages";
$admtext['eventtypes'] = "Types d'évènement";
$admtext['associations'] = "Associations";
$admtext['makefolder'] = "Créez un fichier";
$admtext['allcurrentdata'] = "Toutes les données";
$admtext['matchingonly'] = "Enregistrements correspondants seulement";
$admtext['donotreplace'] = "Ne remplacer aucune donnée";
$admtext['useroffset'] = "Faire débuter les IDs à:";
$admtext['phone'] = "Téléphone";
$admtext['website'] = "Site Web";
$admtext['thumb'] = "Vignette";  //as in thumbnail
$admtext['displayorder'] = "Ordre d'affichage";
$admtext['go'] = "Aller";
$admtext['help'] = "Aide";
$admtext['husband'] = "Époux";
$admtext['wife'] = "Epouse";
$admtext['husbname'] = "Nom de l'époux";
$admtext['wifename'] = "Nom de l'épouse";
$admtext['drag'] = "Faites glisser";
$admtext['enterinamepart'] = "Saisissez une partie du prénom et/ou nom de famille";
$admtext['enterfnamepart'] = "Saisissez une partie du nom du père et/ou de la mère";
$admtext['hide'] = "Cacher";
$admtext['toggle'] = "basculez l'affichage";
$admtext['wsel'] = "Avec sélection:";
$admtext['msg'] = "Message";
$admtext['default'] = "Défaut";
$admtext['events'] = "Événements";
$admtext['date'] = "Date";
$admtext['savecont'] = "Sauvegardez et continuez...";
$admtext['alphanum'] = "N'utilisez que des caractères alphanumériques dans l'identification de votre arbre.";
$admtext['mediatypes'] = "Types de médias";
$admtext['appendall'] = "Ajoutez toutes les entrées";
$admtext['NPFX'] = "Préfixe";
$admtext['prefix'] = "Préfixe";
$admtext['mostwanted'] = "Les plus recherchés";
$admtext['idexists'] = "n'a pu être ajouté(e) car cet ID existe déjà. Cliquez sur Précédent pour choisir un autre ID.";
$admtext['notdeleted'] = "File could not be deleted. Please check file permissions.";
$admtext['confdeletefile'] = "Are you sure you want to delete this file?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Note:</strong> Quand vous introduisez des dates, utilisez le format généalogique standard  JJ MMM AAAA. Par exemple, 10 Avr 2004.";
$admtext['oriental'] = "Nom de famille en premier";
$admtext['langfolder'] = "Dossier de stockage<br>de la langue";
//moved here in 8.0.0
$admtext['active'] = "Actif";
$admtext['repoid'] = "ID du dépôt";
$admtext['whatsnew'] = "Quoi de neuf";
$admtext['linkedto'] = "Lié à";
$admtext['status'] = "Statut";
//added in 8.0.0
$admtext['show'] = "Aperçu";
$admtext['lnfirst'] = "Nom de famille en premier. (mettre virgule)";
$admtext['savefirst'] = "Sauvgarder les changements?";
$admtext['misc'] = "Divers";
$admtext['modmgr'] = "Mod manager";
$admtext['menu'] = "Menu";
$admtext['cannotopendir'] = "Impossible d'ouvrir le dossier";
$admtext['reviewsh'] = "Revoir"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Annuler";
$admtext['enterpassoc'] = "Veuillez saisir l'ID de la personne associée.";
$admtext['enterrela'] = "Veuillez saisir le lien de parenté.";
$admtext['confdeleteassoc'] = "Etes-vous certain de vouloir effacer cette association ?";
$admtext['preview'] = "Prévisualisation";
$admtext['livingonly'] = "Seulement les personnes en vie";
$admtext['tentdata'] = "Enregistrement temporaire d'évènement";
$admtext['checking'] = "Vérification... Veuillez patienter";
//added in 9.0.0
$admtext['clickresume'] = "Cliquer pour reprendre";
$admtext['copylast'] = "Copier le dernier";
$admtext['nicbold'] = "Cliquer pour mettre en Gras";
$admtext['nicitalic'] = "Cliquer pour mettre en Italique";
$admtext['nicunderline'] = "Cliquer pour Souligner";
$admtext['niclalign'] = "Aligner à Gauche";
$admtext['niccalign'] = "Centrer";
$admtext['nicralign'] = "Aligner à Droite";
$admtext['nicjalign'] = "Justifier";
$admtext['nicinsol'] = "Insérer une liste ordonnée";
$admtext['nicinsul'] = "Insérer une liste désordonnée";
$admtext['nicsub'] = "Cliquer pour mettre en indice";
$admtext['nicsup'] = "Cliquer pour mettre en exposant";
$admtext['nicstrike'] = "Cliquer pour barrer";
$admtext['nicremfmt'] = "Supprimer le formatage";
$admtext['nicindent'] = "Indenter le texte";
$admtext['nicremind'] = "Supprimer l'indentation";
$admtext['nichr'] = "Règle horizontale";
$admtext['nicfontsz'] = "Taille de police";
$admtext['nicfontfam'] = "Police";
$admtext['nicfontfmt'] = "Format de police";
$admtext['niclink'] = "Ajouter un lien";
$admtext['nicremlink'] = "Supprimer un lien";
$admtext['nictxtcol'] = "Changer la couleur du texte";
$admtext['nicbkgcol'] = "Changer la couleur du fond";
$admtext['nicimage'] = "Ajouter une image";
$admtext['change'] = "Changer";
$admtext['editwarn'] = "Votre verrouillage sur cet enregistrement va bientôt expirer. Sauvegardez vos changements afin qu'ils ne soient pas écrasés par un autre utilisateur.";
$admtext['editconflict'] = "Un autre utilisateur édite déjà cet enregistrement. Réessayez plus tard.";
$admtext['retry'] = "Essayez à nouveau";
$admtext['notsaved'] = "Les changements n'ont pas été sauvegardés. Un autre utilisateur a verrouillé l'enregistrement.";
//changed in 9.2.0
$admtext['linktype'] = "Type";
//moved here in 10.0.0
$admtext['disabled'] = "Désactivé";
$admtext['cremated'] = "Incinéré";
//added in 10.0.0
$admtext['videos'] = "Video";
$admtext['recordings'] = "Son";
$admtext['saveexit'] = "Sauvegarder et quitter";
$admtext['allbranches'] = "Toutes ramifications";
//moved here in 11.0.0
$admtext['nickname'] = "Surnom";
$admtext['role'] = "Rôle";
$admtext['commas'] = "Séparer les entrées multiples avec des points virgule";
$admtext['confdellink'] = "Êtes-vous certain de vouloir effacer ce lien ?";
$admtext['existlinks'] = "Liens existants";
$admtext['report'] = "Rapport";
//added in 11.0.0
$admtext['sortby'] = "Trier par";
$admtext['unlink'] = "Séparer";
$admtext['privateonly'] = "privé seulement";
$admtext['dna_links'] = "Liens ADN";
$admtext['dataval'] = "Validation de données";
$admtext['norels'] = "Désactiver les messages de relation";

//change to $text
$admtext['living'] = "En vie";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>