<?php
include("../../helplib.php");
echo help_header("Pomoc: Wydarzenia");
?>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="citations_help.php" class="lightlink">&laquo; Pomoc: Cytaty</a> &nbsp; | &nbsp;
			<a href="more_help.php" class="lightlink">Pomoc: Wicej &raquo;</a>
		</p>
		<span class="largeheader">Pomoc: Wydarzenia</span>
		<p class="smaller menu">
			<a href="#what" class="lightlink">Wydarzenia standardowe a niestandardowe</a> &nbsp; | &nbsp;
			<a href="#add" class="lightlink">Dodaj nowe</a> &nbsp; | &nbsp;
			<a href="#edit" class="lightlink">Edycja istniejcych</a> &nbsp; | &nbsp;
			<a href="#del" class="lightlink">Usu</a> &nbsp; | &nbsp;
			<a href="#citations" class="lightlink">Cytaty</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="what"><p class="subheadbold">Wydarzenia standardowe a niestandardowe</p></a>
		Wikszo wsplnych wydarze takich jak narodziny, mier, maestwo i kilka innych, jest zawarta na gwnych stronach osb, rodzin, rde i repozytoriw.
		Te wydarzenia s przechowywane w odpowiednich tabelach bazy danych. Dokumentacja TNG odnosi si do tych wydarze jako "standardowe".
		Wszystkie inne wydarzenia s  "niestandardowe" i s zarzdzane w sekcji <strong>Inne wydarzenia</strong> na kartach osb, rodzin, rde i repozytoriw.
		Te wydarzenia s przechowywane w oddzielnym tabelach wydarze. Pomoc ta odnosi si do kwestii zarzdzania tymi <em>niestandardowymi</em> wydarzeniami.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="add"><p class="subheadbold">Dodawanie wydarze</p></a>

		<p>Aby doda nowe wydarzenie, kliknij na "Dodaj nowe" w sekcji Inne wydarzenia, a nastpnie wypenij formularz. Jeli istniej ju jakie wydarzenia,
                bd one wywietlane w tabeli w sekcji Inne wydarzenia. Dla wyjanienia na temat dostpnych pl, patrz rozdzia poniej.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="edit"><p class="subheadbold">Edycja wydarze</p></a>

		<p>Aby edytowa istniejce wydarzenie, naley klikn na ikonk Edycja obok tego wydarzenia w sekcji Inne wydarzenia (aby edytowa dane w "standardowym" wydarzeniu takim jak na
                przykad narodziny lub zgon, zmie po prostu tekst).</p>

		<p>Podczas dodawania lub edycji notatki dostpne s nastpujce pola:</p>

		<span class="optionhead">Rodzaj wydarzenia</span>
		<p>Wybierz rodzaj wydarzenia (nie mona zmieni rodzaju wydarzenia dla istniejcego wydarzenia). Jeli potrzebnego rodzaju wydarzenia nie ma w polu wyboru, przejd najpierw do
                Administracja / Niestandardowe rodzaje wydarze i ustaw rodzaj wydarzenia, a nastpnie powrci na t kart, aby je wybra.</p>

        <span class="optionhead">Data wydarzenia</span>
		<p>Rzeczywista lub zbliona data zwizana z wydarzeniem.</p>

        <span class="optionhead">Miejsce wydarzenia</span>
		<p>Miejsce, gdzie nastpio wydarzenie. Podaj nazw miejsca lub kliknij ikonk "Znajd" (lupka), aby zlokalizowa wprowadzone wczeniej miejsce.</p>

        <span class="optionhead">Szczegy</span>
		<p>Wszelkie dodatkowe wyjanienia w przypadku, jeli jest to konieczne. Jeli nie ma miejsca lub daty zwizanych z wydarzeniem, pole "szczegy"  powinno zawiera informacje dotyczce tych brakujcych danych.</p>

        <span class="optionhead">Wicej</span><br />
		<p>Wicej rzadziej uywanych informacji mona doda do kadego wydarzenia klikajc na napis "Wicej" lub strzak obok niego. W ten sposb pojawi dodatkowe pola. Pola te moesz ukry przez ponowne kliknicie
                na napis lub strzak. Ukrywanie pl nie usuwa zapisanych informacji. Te dodatkowe pola to:</p>

        <p><span class="optionhead">Wiek</span>: Wiek osoby w czasie wydarzenia.</p>

        <p><span class="optionhead">Urzd</span>: Kompetentny i / lub odpowiedzialny w momencie wydarzenia organ lub instytucja.</p>

        <p><span class="optionhead">Przyczyna</span>: Przyczyna zdarzenia (najczciej uywane ze mierci).</p>

        <p><span class="optionhead">Adres 1/Adres 2/Miasto/Wojewdztwo/Kod pocztowy/Kraj/Telefon/E-mail/Strona Web</span>: Adres oraz inne informacje kontaktowe zwizane z wydarzeniem..</p>

        <span class="optionhead">Wymagane pola:</span>
		<p>Musisz wybra rodzaj wydarzenia i wpisa co w co najmniej jednym z nastpujcych pl: <strong>data wydarzenia</strong>, <strong>miejsce wydarzenia</strong>,
		lub <strong>szczegly</strong>. Wszystkie inne informacje s opcjonalne.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="del"><p class="subheadbold">Usuwanie wydarze</p></a>

		<p>Aby usun istniejce wydarzenie, naley klikn na ikonk Usu obok tego wydarzenia w sekcji Inne wydarzenia. Wydarzenie zostanie usunite, niezalenie od tego, czy strona zostanie zapisana.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="citations"><p class="subheadbold">Cytaty</p>
		<p>Aby doda lub edytowa cytat ze rda do wydarzenia musisz najpierw zapisa wydarzenie, a nastpnie klikn na ikonk obok zapisu tego wydarzenia na licie wydarze. Aby uzyska wicej informacji na ten temat cytatw, zobacz <a href="citations_help.php">Pomoc: Cytaty</a>.</p>
                <li><p>Uwagi dotyczce polskiego tumaczenia: <a href="mailto:januszkielak@gmail.com">januszkielak@gmail.com</a>. Prosimy zgasza ewentualne bdy lub niejasnoci.</p></li>

	</td>
</tr>

</table>
</body>
</html>
