<?php
include("../../helplib.php");
echo help_header("Pomoc: Rodziny");
?>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="people_help.php" class="lightlink">&laquo; Pomoc: Osoby</a> &nbsp; | &nbsp;
			<a href="sources_help.php" class="lightlink">Pomoc: rda &raquo;</a>
		</p>
		<span class="largeheader">Pomoc: Rodziny</span>
		<p class="smaller menu">
			<a href="#search" class="lightlink">Szukaj</a> &nbsp; | &nbsp;
			<a href="#add" class="lightlink">Dodaj nowe</a> &nbsp; | &nbsp;
			<a href="#edit" class="lightlink">Edytuj istniejce</a> &nbsp; | &nbsp;
			<a href="#delete" class="lightlink">Usu</a> &nbsp; | &nbsp;
			<a href="#review" class="lightlink">Przegld zmian</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="search"><p class="subheadbold">Szukanie</p></a>
        <p>Znajd istniejce rodziny wpisujc <strong>ID rodziny</strong>, <strong>Imi ma</strong> lub <strong>Imi ony</strong> albo ich cz.
		Wybierz drzewo lub zaznacz "Tylko dokadna nazwa" do dalszego zawenia kryteriw wyszukiwania. Jeli wybierzesz "Imi ma", bd wyszukiwani wszyscy onaci mczyni z Twojej bazy danych.
		Jeli wybierzesz "Imi ony", bd wyszukiwane wszystkie zamne kobiety z Twojej bazy danych. Wybierz "Bez imienia" w celu wyszukiwania ID rodzin.</p>

		<p>Twoje kryteria wyszukiwania na tej stronie zostan zapamitane dopki nie naciniesz przycisku <strong>Zerowanie</strong>, ktry przywraca domylne wartoci i wszystkich wyszukiwa.</p>

		<span class="optionhead">Czynno</span>
		<p>Ikonki w polu "czynno" obok kadego wyniku wyszukiwania pozwalaj na edycj, usuwanie lub podgld tego wyniku. Aby usun wicej ni jeden rekord jednoczenie, kliknij pole w kolumnie
		<strong>Wybierz</strong> dla kadego rekordu, ktry ma zosta usunity, a nastpnie klikn przycisk "Usu wybrane" znajdujcy si na grze listy. Uyj <strong>Wybierz wszystko</strong> lub <strong>Wyczy wszystko</strong>
		aby zaznaczy lub usun zaznaczenie wszystkich pl wyboru naraz.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="add"><p class="subheadbold">Dodawanie nowych rodzin</p></a>
		<p><strong>Rodzina</strong> Rodzina jest potrzebna dla kadego zwizku midzy "Ojcem" i "Matk" (dzieci mog ale nie musz zosta dodane). Jeeli dana osoba jest zamna/onata
		i ma dzieci z wieloma partnerami, naley utworzy now rodzin dla kadej pary maonkw lub partnerw.</p>

		<p>Aby doda now rodzin, kliknij na <strong>Dodaj nowe</strong>, a nastpnie wypeni formularz. Niektre informacje (notatki, cytaty, zwizki i dodatkowe wydarzenia)
		 mog by dodane dopiero po klikniciu na przycisk <strong>Zapisz i kontynuuj</strong>. Do dyspozycji s nastpujce pola:</p>

		<span class="optionhead">Drzewo</span>
		<p>Jeli masz tylko jedno drzewo, zostanie ono zaznaczone automatycznie. W innym przypadku, naley wybra drzewo na nowej rodziny.</p>

		<span class="optionhead">Ga (opcjonalne)</span><br />
		<p>Przypisanie "Gazi" do rodziny ogranicza dostp do danych rodzinnych do uytkownikw ktrzy s przypisani do tej samej gazi.  Jeli co najmniej jedna ga zostaa
		zdefiniowana i konto uytkownika nie jest przypisane do danej gazi, moe on przypisa now rodzin do jednej lub wikszej liczby istniejcych gazi. Aby wybra
		"Gazie", kliknij na przycisk "Edycja" w celu otwarcia pola wyboru gazi wybranego drzewa. Uyj przycisku Ctrl (Windows) lub Command (Mac), aby wybra wicej ni jedn ga.
                Po dokonaniu wyboru przenie wskanik myszy na pole edycji, a pole wyboru zniknie.</p>

		<p><span class="optionhead">ID rodziny</span><br />
		ID rodziny musi by unikalne w obrbie wybranego drzewa i powinno skada si z litery <strong>F</strong> oraz nastpujcych po niej cyfr (nie wicej ni 21).
		Numer ID jest generowany automatycznie za kadym razem, gdy strona jest wywietlana po raz pierwszy,  ale mona take w  razie potrzeby wpisa wasny ID.
		Aby sprawdzi, czy wpisany ID jest unikalny, kliknij przycisk <strong>Sprawd</strong>. Pojawi si informacja mwica, czy wybrany ID jest dostpny.
		Aby wygenerowa unikalny ID, kliknij przycisk <strong>Generuj</strong>. Bdzie to najwysza liczba zlokalizowana w bazie danych (najwysze uywane ID + 1).
	        Aby zabezpieczy wybrany ID przed zajciem go przez innego uytkownika podczas wprowadzania danych, kliknij przycisk <strong>Zastosuj</strong>.</p>

		<p><strong>UWAGA</strong>: Jeli korzystasz na Twoim komputerze z programu genealogicznego, ktry take tworzy numery ID dla nowych rodzin,
		jest WYSOCE ZALECANE zachowanie tych ID dla synchronizacji midzy dwoma programami. Brak tej synchronizacji moe skutkowa konfliktami, ktre mog spowodowa,
		e Twoje cza do zdj, historii i nagrobkw mog sta si nie do uycia. Jeli Twj program tworzy ID, nie dostosowane do tradycyjnych standardw
		(na przykad <strong>I</strong> jest na kocu, nie na pocztku), moesz zmodyfikowa plik "prefixes.php" tak, aby przyjmowa inne prefiksy.</p>

		<span class="optionhead">Maonkowie/partnerzy</span>
		<p>Wybierz istniejce osoby, ktre maj by <strong>ojcem</strong> lub <strong>matk</strong> w rodzinie klikajc przycisk "Znajd ...", lub twrz nowe klikajc" Twrz ".
		Jeli wybierzesz tworzenie, informacje o nowej osobie bd mogy zosta wprowadzone  bez opuszczania tej strony. Po utworzeniu nowej osoby jej nazwisko,
		imi (imiona) oraz numer ID pojawi si w polu ojca lub matki (nie mona edytowa bezporednio). Aby usun maonkw ze zwizku
		(nie usuwajc  z bazy danych), kliknij przycisk "Usu". Aby edytowa maonka, kliknij przycisk "Edycja".</p>

		<span class="optionhead">yjcy</span>
		<p>Zaznacz to pole, jeli jeden z maonk yje lub jeli chcesz ograniczy widok danych tej rodziny (np. daty urodzenia, lubu, zdjcia) tylko do uytkownikw, ktrzy s zalogowani z dostatecznymi uprawnieniami.</p>

		<span class="optionhead">Wydarzenia</span>
		<p>Wprowad daty i miejsca dla wymienionych standardowych wydarze (jeli je znasz).Jeli nie znasz jakiej daty, wpisz w odpowiednie pole literk <strong>Y</strong> (wywietli si "data nieznana").
		Jeli pole przeznaczone dla daty pozostanie puste, uytkownicy z uprawnieniami <em>Zgoda na skadanie komentarzy do podgldu administratora (tylko ludzie, rodziny i rda)</em> nie bd mogli skada propozycji zmian dot. daty.
		Dodatkowe wydarzenia mog zosta dodane po zapisaniu lub klikniciu przycisku "zastosuj". Daty naley zawsze podawa w standardowym formacie genealogicznych, DD MMM YYYY (na przykad <em>18 Feb 2008</em>).
		Miesic naley zawsze wpisywa podajc trzy pierwsze litery jego nazwy w jzyku angielskim (widoczny bdzie jego odpowiednik w jzyku polskim).Oto angielskie odpowiedniki miesicy: Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec.
		Informacje na temat miejsca powinny by rozdzielane przecinkami ( na przykad, <em>Boston, Suffolk, Massachusetts, USA</em>). Moesz rwnie wybra istniejc nazw miejsca przez kliknicie ikonki "Znajd" (lupa).
		 Aby ograniczy ilo wywietle, podaj przed klikniciem cz nazwy miejsca. Wywietl si wszystkie miejsca zawierajce w nazwie podane haso.</p>

		<p><span class="optionhead">Dane LDS (Baptism, Endowment) Moe by niewidoczne!</span><br />
		Te zdarzenia s zwizane z nakazami praktykowanymi przez Mormonw w Kociele Jezusa Chrystusa witych w Dniach Ostatnich (koci LDS wymyli standard GEDCOM).
		<strong>Uwaga:</strong> Jeli nie chcesz, aby dane LDS byy widoczne, przejd do <em>Ustawienia i konfiguracja/Ustawienia gwne</em> i ustaw tam odpowiedni opcj (musisz si wylogowa i ponownie zalogowa).</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="edit"><p class="subheadbold">Edycja istniejcych rodzin</p></a>
		<p>Aby wprowadzi zmiany dotyczce istniejcej rodziny, naley klikn przycisk <a href="#search">Szukaj</a> w celu jej zlokalizowania, a nastpnie klikn na ikonk "Edycja" obok wybranej rodziny.</p>

		<span class="optionhead">Notatki / Cytaty / "Wicej"</span>
		<p>Notatki, cytaty i zwizki moesz czy z wydarzeniami lub rodzinami klikajc na ikony czy u gry strony lub obok kadego wydarzenia.
		"Wicej" informacji dla wydarzenia mona doda klikajc na ikonk "Plus ". Jeli w ktrej z kategorii istniej ju jakie elementy,
		odpowiednie ikonki oznaczone s zielonymi kropkami w prawym grnym rogu. Aby uzyska wicej informacji na temat kadej z kategorii, zobacz <em>Pomoc</em>  w okienkach,
		ktre staj si widoczne, gdy ikona zostanie nacinita.</p>

		<span class="optionhead">Inne wydarzenia</span>
		<p>Aby doda lub zarzdza dodatkowymi wydarzeniami, kliknij na przycisk "Dodaj nowe" obok <strong>Inne wydarzenia</strong>. Klikajc <a href="events_help.php">Pomoc</a> znajdziesz wicej informacji na temat dodawania nowych wydarze.
	        Gdy wydarzenie zostao dodane, pod polem "Dodaj nowe"  pokae si krtkie streszczenie. Przyciski w polu "Czynno" dla kadego wydarzenia pozwalaj na edycj
		lub usunicie wydarzenia, oraz dodawanie notatek lub cytatw. Kolejno, w ktrej wydarzenia s wywietlane jest ustalana wg daty (jeeli dotyczy) i przez przypisany w "Rodzajach wydarze " priorytet
	        (jeli nie jest zwizane terminem). Priorytet ten moe ulec zmianie podczas edycji rodzajw wydarze.


		<p><strong>Uwaga</strong>: Takie informacje o standardowych wydarzeniach jak uwagi, cytaty ze rde, zwizki, "inne" wydarzenia i "wicej"  s zapisywane
		automatycznie. Inne zmiany (dotyczce np. nazwiska lub standardowego wydarzenia) mona zapisa klikajc przycisk "Zapisz" na dole strony,
		lub klikajc na ikonk "Zapisz" u gry strony. Drzewo oraz ID osoby nie mog zosta zmienione.</p>

		<p><span class="optionhead">Dzieci</span><br />
		Wybierz istniejce osoby, ktre maj by dziemi w tej rodzinie klikajc przycisk "Znajd...", lub utwrz nowe, klikajc "Twrz...".
		Jeli wybierzesz tworzenie, informacje o nowej osobie bd mogy zosta wprowadzone bez opuszczania tej strony. Po utworzeniu nowej osoby
		jej nazwisko, imi (imiona) oraz numer ID pojawi si w polu dzieci. Ta lista nie moe by edytowana bezporednio, ale moesz uy przycisku "Usu"
		(widoczne, gdy umiecisz wskanik myszy nad dowolnym dzieckiem), aby usun dziecko z listy. Mona take uy przycisku "Usu" w rubryce czynno.
		Uyj przycisku "Usu", aby usun dziecko z bazy danych, lub "Edycja", aby edytowa indywidualny zapis.</p>

		<span class="optionhead">Sortowanie rodzicw lub maonw</span>
                <p>Jeeli istnieje wicej ni jeden maonek lub para rodzicw, mona zmieni kolejno przez "przeciganie" blokw w gr i w d. Aby to zrobi kliknij mysz na pole "Przecignij" i przytrzymaj
		przycisk, a nastpnie przesu w gr lub w d na stronie. Gdy blok znajdzie si w wybranym miejscu zwolnij przycisk myszy. Zmiany dokonane podczas sortowania s zapisywane automatycznie.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="delete"><p class="subheadbold">Usuwanie rodzin</p></a>
		<p>Aby usun jedn rodzin, naley nacisn przycisk <a href="#search">Szukaj</a> w celu jej zlokalizowania, a nastpnie klikn na ikonk Usu obok tej rodziny. Wiersz zmieni kolor,
		a nastpnie zniknie. (maonkowie i dzieci nie zostan usunici z bazy danych, ale maestwo zostanie rozwizane). Aby usun wicej ni jedn rodzin naraz,
		zaznacz pole w kolumnie Wybierz obok kadej rodziny, ktra ma zosta usunita, a nastpnie klikn przycisk "Usu wybrane" znajdujcy si na grze strony.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="review"><p class="subheadbold">Przegld zmian</p></a>
                <p>Aby sprawdzi propozycje zmian dokonane przez innych uytkownikw, kliknij na przycisk "Przegld zmian". Jeli s tam jakie wpisy, w polu "Propozycje zmian" pojawi si gwiazdka (*).
		Moesz zadecydowa o tym, czy przyj czy te usun proponowane zmiany. W celu przegldania moesz wybra pole drzewa, uytkownika lub oba.</p>

		<span class="optionhead">Wybierz wydarzenie i czynno</span><br />
		<p>Zlokalizuj wiersz w tabeli, ktra opisuje zdarzenie, ktre chcesz obejrze usun. List wynikw  moesz zawzi przez wybranie uytkownika (osoby odpowiedzialnej za
                proponowan zmian) oraz / lub drzewa. Kiedy wyniki zostan wywietlone, kliknij na jedn z opcji widocznych z lewej strony wiersza.
		Aby sprawdzi i ewentualnie nanie zmiany wybierz <em>Przegld zmian</em>. Aby odrzuci proponowane zmiany, wybierz <em>Usu</em>.</p>

		<span class="optionhead">Przegld zmian</span><br />
		<p>Na tej karcie moesz dokonywa rnych dodatkowych zmian, w tym dotyczcych notatek lub rde, a nastpnie klikn przycisk "Zapisz i Usu",
		aby zapisa zmiany i usun wpis. Mona rwnie zdecydowa si na usunicie propozycji klikajc przycisk "Ignoruj i Usu",
		lub odoy decyzj na pniej klikajc przycisk "Od".</p>
		<li><p>Uwagi dotyczce polskiego tumaczenia: <a href="mailto:januszkielak@gmail.com">januszkielak@gmail.com</a>. Prosimy zgasza ewentualne bdy lub niejasnoci.</p></li>

	</td>
</tr>

</table>
</body>
</html>
