<?php
include("../../helplib.php");
echo help_header("Pomoc: Osoby");
?>

<body class="helpbody">
<a name="top"></a>
<table width="100%" border="0" cellpadding="10" cellspacing="2" class="tblback normal">
<tr class="fieldnameback">
	<td class="tngshadow">
		<p style="float:right; text-align:right" class="smaller menu">
			<a href="http://tngforum.us" target="_blank" class="lightlink">TNG Forum</a> &nbsp; | &nbsp;
			<a href="http://tng.lythgoes.net/wiki" target="_blank" class="lightlink">TNG Wiki</a><br />
			<a href="index_help.php" class="lightlink">&laquo; Pomoc: Pierwsze kroki</a> &nbsp; | &nbsp;
			<a href="families_help.php" class="lightlink">Pomoc: Rodziny &raquo;</a>
		</p>
		<span class="largeheader">Pomoc: Osoby</span>
		<p class="smaller menu">
			<a href="#search" class="lightlink">Szukaj</a> &nbsp; | &nbsp;
			<a href="#add" class="lightlink">Dodaj nowe</a> &nbsp; | &nbsp;
			<a href="#edit" class="lightlink">Edycja</a> &nbsp; | &nbsp;
			<a href="#delete" class="lightlink">Usu</a> &nbsp; | &nbsp;
			<a href="#review" class="lightlink">Przegld zmian</a> &nbsp; | &nbsp;
			<a href="#merge" class="lightlink">Scalanie</a>
		</p>
	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<a name="search"><p class="subheadbold">Szukanie</p></a>
        <p>Znajd istniejce osoby wpisujc <strong>nazwisko</strong> albo <strong>numer ID</strong> lub ich cz. Wybierz drzewo oraz / lub jedn z dostpnych opcji w celu dalszego zawenia kryteriw wyszukiwania.
		Jeli nie wybierzesz adnej z proponowanych opcji, w polu wyszukiwania wywietl si wszystkie osoby zapisane w bazie danych.</p>

		<p>Twoje kryteria wyszukiwania na tej stronie zostan zapamitane dopki nie naciniesz przycisku <strong>Zerowanie</strong>, ktry przywraca domylne wartoci i wszystkich wyszukiwa.</p>

		<span class="optionhead">Czynno</span>
		<p>Ikonki w polu "czynno" obok kadego wyniku wyszukiwania pozwalaj na edycj, usuwanie lub podgld tego wyniku. Aby usun wicej ni jeden rekord jednoczenie, kliknij pole w kolumnie
		<strong>Wybierz</strong> dla kadego rekordu, ktry ma zosta usunity, a nastpnie klikn przycisk "Usu wybrane" znajdujcy si na grze listy. Uyj <strong>Wybierz wszystko</strong> lub <strong>Wyczy wszystko</strong>
		aby zaznaczy lub usun zaznaczenie wszystkich pl wyboru naraz.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="add"><p class="subheadbold">Dodawanie nowej osoby</p></a>
		<p>Aby doda now osob, kliknij na <strong>Dodaj nowe</strong>, a nastpnie wypenij formularz. Niektre informacje (notatki, cytaty, zwizki i dodatkowe wydarzenia)
		 mog by dodane dopiero po klikniciu na przycisk <strong>Zapisz i kontynuuj</strong>. Do dyspozycji s nastpujce pola:</p>

		<span class="optionhead">Drzewo</span>
		<p>Jeli masz tylko jedno drzewo, zostanie ono zaznaczone automatycznie. W innym przypadku, naley dla nowej osoby wybra drzewo.</p>

		<span class="optionhead">Ga (opcjonalnie)</span>
		<p>Przypisanie "Gazi" do osoby ogranicza dostp do jej danych do uytkownikw ktrzy s przypisani do tej samej gazi.  Jeli co najmniej jedna ga zostaa
		zdefiniowana i konto uytkownika nie jest przypisane do danej gazi, moe on przypisa now osob do jednej lub wikszej liczby istniejcych gazi. Aby wybra
		"Gazie", kliknij na przycisk "Edycja" w celu otwarcia pola wyboru gazi wybranego drzewa. Uyj przycisku Ctrl (Windows) lub Command (Mac), aby wybra wicej ni jedn ga.
                Po dokonaniu wyboru przenie wskanik myszy na pole edycji, a pole wyboru zniknie.</p>

		<span class="optionhead">ID osoby</span>
		<p>ID osoby musi by unikalne w obrbie wybranego drzewa i powinno skada si z litery <strong>I</strong> oraz nastpujcych po niej cyfr (nie wicej ni 21).
		Numer ID jest generowany automatycznie za kadym razem, gdy strona jest wywietlana po raz pierwszy,  ale mona take w  razie potrzeby wpisa wasny ID.
		Aby sprawdzi, czy wpisany ID jest unikalny, kliknij przycisk <strong>Sprawd</strong>. Pojawi si informacja mwica, czy wybrany ID jest dostpny.
		Aby wygenerowa unikalny ID, kliknij przycisk <strong>Generuj</strong>. Bdzie to najwysza liczba zlokalizowana w bazie danych (najwysze uywane ID + 1).
	        Aby zabezpieczy wybrany ID przed zajciem go przez innego uytkownika podczas wprowadzania danych, kliknij przycisk <strong>Zastosuj</strong>.</p>

		<p><strong>UWAGA</strong>: Jeli korzystasz na Twoim komputerze z programu genealogicznego, ktry take tworzy numery ID dla nowych osb,
		jest WYSOCE ZALECANE zachowanie tych ID dla synchronizacji midzy dwoma programami. Brak tej synchronizacji moe skutkowa konfliktami, ktre mog spowodowa,
		e Twoje cza do zdj, historii i nagrobkw mog sta si nie do uycia. Jeli Twj program tworzy ID, nie dostosowane do tradycyjnych standardw
		(na przykad <strong>I</strong> jest na kocu, nie na pocztku), moesz zmodyfikowa plik "prefixes.php" tak, aby przyjmowa inne prefiksy.</p>

		<span class="optionhead">Imi i nzwisko</span>
		<p>Podaj dla osoby imi oraz / albo nazwisko.  Jeli zdecydowae, by poprze prefiksy (np. van, de itp.) i nazwiska jako rozczn cao (bd one
		ignorowane podczas sortowania), podaj prefiks w polu nazwanym Prefiks do nazwiska.
		<strong>Uwaga:</strong> Jeli to pole nie jest widoczne, przejd do Ustawienia i konfiguracja / Ustawienia gwne i ustaw odpowiedni opcj, aby mona byo uy prefiksw nazwisk.</p>

		<span class="optionhead">Pe / Przydomek / Tytu / Prefix / Suffix / Kolejno nazwisko/imi</span>
		<p>Podaj tutaj jak najwicej informacji o osobie. <strong>Pseudonim</strong> jest nieformalnym imieniem czasami czonym z osob.
		<strong>Tytu</strong> jest uywany przed imieniem lub nazwiskiem (np., <em>Hr.</em> albo <em>Prof.</em>) ale nie jest jego czci. <strong>Prefix</strong> uywany jest przed nazwiskiem i jest zwykle uwaany za jego cz.
		<strong>Suffix</strong> bdzie si wywietla po przecinku za imieniem lub nawiskiem. <strong>Kolejno nazwisko/imi</strong> kolejno w jakiej powinny by wywietlane.
		Kolejno nazwisko/imi moesz zmieni  dla wszystkich osb w bazie danych pod Ustawienia i konfiguracja / Ustawienia gwne.</p>

		<span class="optionhead">yjcy</span>
		<p>Zaznacz to pole, jeli ta osoba yje lub jeli chcesz ograniczy widok danych tej osoby (np. data urodzenia, zdjcia) tylko do uytkownikw, ktrzy s zalogowani z dostatecznymi uprawnieniami.</p>

		<span class="optionhead">Wydarzenia</span>
		<p>Wprowad daty i miejsca dla wymienionych standardowych wydarze (jeli je znasz).Jeli nie znasz jakiej daty, wpisz w odpowiednie pole literk <strong>Y</strong> (wywietli si "data nieznana").
		Jeli pole przeznaczone dla daty pozostanie puste, uytkownicy z uprawnieniami <em>Zgoda na skadanie komentarzy do podgldu administratora (tylko ludzie, rodziny i rda)</em> nie bd mogli skada propozycji zmian dot. daty.
		Dodatkowe wydarzenia mog zosta dodane po zapisaniu lub klikniciu przycisku "zastosuj". Daty naley zawsze podawa w standardowym formacie genealogicznych, DD MMM YYYY (na przykad <em>18 Feb 2008</em>).
		Miesic naley zawsze wpisywa podajc trzy pierwsze litery jego nazwy w jzyku angielskim (widoczny bdzie jego odpowiednik w jzyku polskim).Oto angielskie odpowiedniki miesicy: Jan, Feb, Mar, Apr, May, Jun, Jul, Aug, Sep, Oct, Nov, Dec.
		Informacje na temat miejsca powinny by rozdzielane przecinkami ( na przykad, <em>Boston, Suffolk, Massachusetts, USA</em>). Moesz rwnie wybra istniejc nazw miejsca przez kliknicie ikonki "Znajd" (lupa).
		 Aby ograniczy ilo wywietle, podaj przed klikniciem cz nazwy miejsca. Wywietl si wszystkie miejsca zawierajce w nazwie podane haso.</p>

		<p><span class="optionhead">Dane LDS (Baptism, Endowment) Moe by niewidoczne!</span><br />
		Te zdarzenia s zwizane z nakazami praktykowanymi przez Mormonw w Kociele Jezusa Chrystusa witych w Dniach Ostatnich (koci LDS wymyli standard GEDCOM).
		<strong>Uwaga:</strong> Jeli nie chcesz, aby dane LDS byy widoczne, przejd do <em>Ustawienia i konfiguracja/Ustawienia gwne</em> i ustaw tam odpowiedni opcj (musisz si wylogowa i ponownie zalogowa).</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="edit"><p class="subheadbold">Edycja istniejcych osb</p></a>
		<p>Aby wprowadzi zmiany dotyczce istniejcej osoby, naley klikn przycisk <a href="#search">Szukaj</a> w celu jej zlokalizowania, a nastpnie klikn na ikonk "Edycja" obok wybranej osoby.</p>

		<span class="optionhead">Notatki / Cytaty / Zwizki / "Wicej"</span>
		<p>Notatki, cytaty i zwizki moesz czy z wydarzeniami lub osobami klikajc na ikony czy u gry strony lub obok kadego wydarzenia.
		"Wicej" informacji dla wydarzenia mona doda klikajc na ikonk "Plus ". Jeli w ktrej z kategorii istniej ju jakie elementy,
		odpowiednie ikonki oznaczone s zielonymi kropkami w prawym grnym rogu. Aby uzyska wicej informacji na temat kadej z kategorii, zobacz <em>Pomoc</em>  w okienkach,
		ktre staj si widoczne, gdy ikona zostanie nacinita.</p>

		<span class="optionhead">Inne wydarzenia</span>
		<p>Aby doda lub zarzdza dodatkowymi wydarzeniami, kliknij na przycisk "Dodaj nowe" obok <strong>Inne wydarzenia</strong>. Klikajc <a href="events_help.php">Pomoc</a> znajdziesz wicej informacji na temat dodawania nowych wydarze.
	        Gdy wydarzenie zostao dodane, pod polem "Dodaj nowe"  pokae si krtkie streszczenie. Przyciski w polu "Czynno" dla kadego wydarzenia pozwalaj na edycj
		lub usunicie wydarzenia, oraz dodawanie notatek lub cytatw. Kolejno, w ktrej wydarzenia s wywietlane jest ustalana wg daty (jeeli dotyczy) i przez przypisany w "Rodzajach wydarze " priorytet
	        (jeli nie jest zwizane terminem). Priorytet ten moe ulec zmianie podczas edycji rodzajw wydarze.


		<p><strong>Uwaga</strong>: Takie informacje o standardowych wydarzeniach jak uwagi, cytaty ze rde, zwizki, "inne" wydarzenia i "wicej"  s zapisywane
		automatycznie. Inne zmiany (dotyczce np. nazwiska lub standardowego wydarzenia) mona zapisa klikajc przycisk "Zapisz" na dole strony,
		lub klikajc na ikonk "Zapisz" u gry strony. Drzewo oraz ID osoby nie mog zosta zmienione.</p>

		<span class="optionhead">Rodzice</span>
		<p>Jeli dana osoba ma rodzicw, sekcja <strong>Rodzice</strong> bdzie widoczna w sekcji Wydarzenia. Ta sekcja jest zamknita i wskazuje w nawiasie liczb (par) rodzicw.
                Aby rozwin sekcj i wywietli wszystkich rodzicw, kliknij na napis "Rodzice" lub strzak obok niego.  Niektre informacje, wczajc w to wzajemny stosunek pomidzy dan osob i kad par rodzicw,
		mog by edytowane w kadym polu. Gdy zatrzymasz wskanik myszy nad sekcj rodzicw, w prawym  grnym rogu pola ukae si opcja <strong>Usu cze</strong>
		Kliknij, aby usun cze danej osoby z t par rodzicw.</p>

		<span class="optionhead">Maonkowie/partnerzy</span>
		<p>Jeli dana osoba posiada co najmniej jednego wspmaonka lub partnera, sekcja <strong>Maonkowie/partnerzy</strong> bdzie widoczna w sekcji Rodzice. Ta sekcja jest zamknita i wskazuje liczb maonkw / partnerw w nawiasie.
		Aby rozwin sekcj i wywietli wszystkich maonkw lub partnerw, kliknij na napis "Maonkowie / partnerzy" lub strzak obok niego. Gdy zatrzymasz wskanik myszy nad sekcj  Maonkowie / partnerzy, w prawym grnym rogu pola ukae si opcja <strong>Usu cze</strong>.
		Kliknij, aby usun cze danej osoby z  jej wspmaonkiem lub partnerem.</p>

		<span class="optionhead">Sortowanie rodzicw lub maonw</span>
                <p>Jeeli istnieje wicej ni jeden maonek lub para rodzicw, mona zmieni kolejno przez "przeciganie" blokw w gr i w d. Aby to zrobi kliknij mysz na pole "Przecignij" i przytrzymaj
		przycisk, a nastpnie przesu w gr lub w d na stronie. Gdy blok znajdzie si w wybranym miejscu zwolnij przycisk myszy. Zmiany dokonane podczas sortowania s zapisywane automatycznie.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="delete"><p class="subheadbold">Usuwanie osb</p></a>
		<p>Aby usun jedn osob, naley nacisn przycisk <a href="#search">Szukaj</a> w celu jej zlokalizowania, a nastpnie klikn na ikonk Usu  obok tej osoby. Wiersz zmieni kolor,
		a nastpnie zniknie. Osoba zostaa usunita. Aby usun wicej ni jedn osob naraz, zaznacz pole w kolumnie Wybierz obok kadej osoby, ktra
		ma zosta usunita, a nastpnie klikn przycisk "Usu wybrane" znajdujcy si na grze strony.</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="review"><p class="subheadbold">Przegld zmian</p></a>
                <p>Aby sprawdzi propozycje zmian dokonane przez innych uytkownikw, kliknij na przycisk "Przegld zmian". Jeli s tam jakie wpisy, w polu "Propozycje zmian" pojawi si gwiazdka (*).
		Moesz zadecydowa o tym, czy przyj czy te usun proponowane zmiany. W celu przegldania moesz wybra pole drzewa, uytkownika lub oba.</p>

		<span class="optionhead">Wybierz wydarzenie i czynno</span><br />
		<p>Zlokalizuj wiersz w tabeli, ktra opisuje zdarzenie, ktre chcesz obejrze usun. List wynikw  moesz zawzi przez wybranie uytkownika (osoby odpowiedzialnej za
                proponowan zmian) oraz / lub drzewa. Kiedy wyniki zostan wywietlone, kliknij na jedn z opcji widocznych z lewej strony wiersza.
		Aby sprawdzi i ewentualnie nanie zmiany wybierz <em>Przegld zmian</em>. Aby odrzuci proponowane zmiany, wybierz <em>Usu</em>.</p>

		<span class="optionhead">Przegld zmian</span><br />
		<p>Na tej karcie moesz dokonywa rnych dodatkowych zmian, w tym dotyczcych notatek lub rde, a nastpnie klikn przycisk "Zapisz i Usu",
		aby zapisa zmiany i usun wpis. Mona rwnie zdecydowa si na usunicie propozycji klikajc przycisk "Ignoruj i Usu",
		lub odoy decyzj na pniej klikajc przycisk "Od".</p>

	</td>
</tr>
<tr class="databack">
	<td class="tngshadow">

		<p style="float:right"><a href="#top">Wr</a></p>
		<a name="merge"><p class="subheadbold">Scalanie osb</p></a>
		Aby znale i scali dwa powtarzajce si zapisy, kliknij na przycisk "Scalanie". Uytkownik decyduje, czy dwa zapisy s identyczne, czy te nie.</p>

		<span class="optionhead">Szukaj zgodnoci</span><br />
		<p>Po pierwsze, wybierz drzewo. Nie moesz poczy osb z rnych drzew, tak wic tylko jedno drzewo moe zosta wybrane. Dalej, masz moliwo wybra osob jako punkt wyjciowy
                dla Twojego szukania (Osoba 1), albo zezwoli TNG na szukanie pierwszej zgodnoci za Ciebie. Jeli zdecydowae, e TNG wyszukuje zgodnoci, pozostaw pole ID Osoby 1 puste.</p>
		<p>Jeli wybrae osob jako Osoba 1, moesz te wybra rcznie ID Osoby 2. Wskazane jest jednak, aby pozwoli TNG na szukanie duplikatw dla Osoby 1, pozostawiajc pole ID Osoby 2 puste.</p>

		<span class="optionhead">Zgodno nastpujcych pozycji</span><br />
		<p>Te kryteria TNG su do okrelania moliwych zgodnoci. Imi i nazwisko s wybrane jako domylne. To oznacza, e te pola musz zgadza si w obydwch zapisach, aby zostay wzite pod uwag
                jako moliwe zgodnoci. Jeli wybierzesz te dat urodzenia, miejsce urodzenia, dat oraz / lub miejsce zgonu, to te pola musz si te zgadza.</p>

		<span class="optionhead">Inne opcje</span><br />
        <p><em>Ignoruj puste pola</em> znaczy, e puste pola nie bd brane pod uwag. Na przykad, kto z nazwiskiem ale bez imienia nie zostanie uwzgldniony, jeli imi bdzie wrd zaznaczonych kryteriw.</p>

        <p><em>Uyj Soundex</em> znaczy, e funkcja Soundex MySQL bdzie uyta do porwnania imion. W tym przypadku, "Blakely" mgby zosta uznany jako zgodno dla "Blackley".</p>

        <p><em>Wsplne notatki &amp; cytaty</em> znaczy, e notatki i cytaty Osoby 2 bd dodane do notatek i cytatw Osoby 1 we wszystkich polach. Jeli ta moliwo nie zostanie wybrana,
        notatki i cytaty dotyczce Osoby 2 zostan utracone, poniewa zostan skasowane przez te, odpowiadajce polu Osoby 1.</p>

		<p><em>Pocz media</em> znaczy, e media dotyczce Osoby 2 bd dodane do mediw Osoby 1 we wszystkich polach. Jeli ta moliwo nie zostanie wybrana, media dotyczce Osoby 2
                zostan utracone, poniewa zostan skasowane przez te, odpowiadajce polu Osoby 1.</p>

		<p><span class="optionhead">Ostrzeenie!</span> Raz wykonane scalanie nie moe zosta cofnite! Prosz rozway wykonanie kopii zapasowej tabel bazy danych zanim dokonasz operacji scalania na wypadek,
                gdyby scali niechccy niewaciwe osoby.</p>

		<span class="optionhead">Nastpna zgodno</span><br />
		<p>Znajd nastpn moliw zgodno, ktra nie wymaga podania Osoby 1. TNG zmienia list moliwych osb w przyporzdkowany ID osoby cig znakw. To znaczy, e "10" nastpuje po "1" ale przed "2".</p>

		<span class="optionhead">Nastpny duplikat</span><br />
		<p>Znajd nastpny moliwy duplikat dla Osoby 1. Jeli ta operacja zakoczy si brakiem zapisu dla Osoby 2, znaczy, e duplikat nie zosta znaleziony.</p>

		<span class="optionhead">Porwnaj / odwie.</span><br />
		<p>Porwnanie osb 1 i 2. Jeli to porwnanie jest ju widoczne, kliknicie na ten przycisk spowoduje odwieenie strony.</p>

		<span class="optionhead">Przecz</span><br />
		<p>Zamiana - Osoba 1 staje si Osob 2 i vice versa.</p>

		<span class="optionhead">Scalanie</span><br />
		<p>Osoba 2 jest scalana z osob 1. ID Osoby 1 oraz jej wszystkie inne dane zostan zachowane, chyba, e dla Osoby 2 zostao zaznaczone odpowiednie pole(a).
                Na przykad, jeli zaznaczye pole obok daty urodzenia Osoby 2, dane w tym polu bd podczas scalania skopiowane od Osoby 2 do Osoby 1. Odpowiadajce im dane Osoby 1 zostan wtedy usunite.
                Pola dla Osoby 2 s znaczone automatycznie, jeli adne odpowiadajce im dane nie istniej dla Osoby 1. Jeli pole danych dla Osoby 1 lub 2 jest puste, znaczy, e nie istniej adne dane dla ktrejkolwiek osoby.</p>

		<span class="optionhead">Edycja</span><br />
		<p>Edytuj indywidualny zapis dla tej osoby w nowym oknie. Jeli dokonae zmian, musisz klikn Porwnaj / odwie by zobaczy zmiany w widoku scalania.</p>
		<li><p>Uwagi dotyczce polskiego tumaczenia: <a href="mailto:januszkielak@gmail.com">januszkielak@gmail.com</a>. Prosimy zgasza ewentualne bdy lub niejasnoci.</p></li>
	</td>
</tr>

</table>
</body>
</html>
