<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Название ветви";
		$admtext['existingbranch'] = "Существующая ветвь";
		$admtext['newbranch'] = "Новая ветвь";
		$admtext['numgenerations'] = "Количество поколений";
		$admtext['ancestors'] = "Предки";
		$admtext['descofanc'] = "Потомки каждого предка";
		$admtext['descendants'] = "Потомки";
		$admtext['includespouses'] = "Включая супругов/супруг потомков";
		$admtext['partial'] = "Частично";
		$admtext['addlabels'] = "Добавьте ярлыки для ветвей";
		$admtext['clearlabels'] = "Удалите ярлыки ветвей";
		$admtext['clearingbranch'] = "Удаление ярлыков ветвей...";
		$admtext['addingbranch'] = "Добавление ярлыков ветвей...";
		$admtext['totalaffected'] = "Полностью изменено";
		$admtext['labelmore'] = "Больше ярлыков ветвей";
		$admtext['enterbranch'] = "Выберите существующую ветвь или добавьте новую.";
		$admtext['enterstartingind'] = "Выберите идентификационный номер первой личности.";
		$admtext['gensnumeric'] = "Количество предков и потомков должно быть внесено числами.";
		$admtext['overwrite'] = "Перепишите";
		$admtext['branchid'] = "Номер ветви";
		$admtext['addnewbranch'] = "Добавить новую ветвь";
		$admtext['createbranch'] = "Сделать запись для новой ветви";
		$admtext['existingbranchinfo'] = "Информация о существующей ветви";
		$admtext['editexistingbranch'] = "Изменить информацию о ранее добавленной ветви";
		$admtext['confbranchdelete'] = "Вы уверены, что хотите удалить эту ветвь?";
		$admtext['enterbranchid'] = "Внесите, пожалуйста, номер ветви.";
		$admtext['entertreedesc'] = "Внесите, пожалуйста, описание ветви.";
		$admtext['newbranchinfo'] = "Информация об этой новой ветви";
		$admtext['modifybranch'] = "Изменить существующую ветвь";
		$admtext['changestobranch'] = "Изменения этой ветви";
		$admtext['existlabels'] = "Существующие ярлыки ветвей";
		$admtext['leave'] = "Не изменять";
		$admtext['append'] = "Добавить все файлы ";
		$admtext['showpeople'] = "Показать личности этого генеалогического древа/ветви";
		$admtext['branchdiscl'] = "Это число отражает количество ссылок на ветвь, но оно не обязательно должно равняться количеству персоналий или семей, которые в данный момент связаны с этой ветвью. Если Вы недавно снова импортировали ваши данные, может быть необходимо опять присвоить ярлыки ветвям.";
		$admtext['inclspouses'] = "Include spouses for all descendants";
		$admtext['delpeople'] = "Delete people and families with this branch label";
		$admtext['confbrdel'] = "Are you sure you want to delete all people and families with this branch label?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Файл карты не может быть скопирован в";
		$admtext['changestocem'] = "Изменения в кладбищах";
		$admtext['modifycemetery'] = "Изменить существующие кладбища";
		$admtext['addnewcemetery'] = "Добавить новое кладбище";
		$admtext['createnewcemetery'] = "Сделайте запись для нового кладбища";
		$admtext['selectcemaction'] = "Выберите кладбище и действие";
		$admtext['location'] = "Место";
		$admtext['confdeletecem'] = "Вы уверены, что хотите удалить это кладбище?";
		$admtext['editceminfo'] = "Изменить информацию об уже добавленном кладбище";
		$admtext['leaveblankallcems'] = "Оставить незаполненным, чтобы показать все кладбища";
		$admtext['cemeteryname'] = "Название кладбища";
		$admtext['mapfilename'] = "Название файла с картой";
		$admtext['countyparish'] = "Район/Область";
		$admtext['stateprovince'] = "Провинция/Государство";
		$admtext['entercountry'] = "Внесите название страны.";
		$admtext['entermapfile'] = "Внесите название файла Вашего файла с картой на веб-сервер.";
		$admtext['existingceminfo'] = "Информация о существующем кладбище";
		$admtext['newceminfo'] = "Информация о новом кладбище";
		$admtext['maptoupload'] = "Загрузить карту";
		$admtext['mapfilenamefolder'] = "Название файла с картой внутри папки надгробиеов";
		$admtext['ifmapuploaded'] = "Оставить это поле пустым, если этот файл уже есть в папке надгробий.";
		$admtext['requiredmap'] = "Обязательно к заполнению, если Вы используете карту. Оно должно совпадать с названием и местом Вашего файла в папке надгробий  после того, как файл загружен. Например, если Ваша папка надгробий называется: <em>надгробия</em>,  и Вы хотите Ваш файл назвать: <em>карта.jpg</em> и поместить в подкаталог, названный:<em>моикарты</em>, тогда Вы должны записать это так: <em>моикарты/карта.jpg</em> в этом поле.";
		//added in 8.0.0
		$admtext['linkplace'] = "Связанное место";
		$admtext['fillplace'] = "Заполнить место";
		$admtext['usecemcoords'] = "Скопируйте информацию geocode ниже к этому месту";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "уже существует";
		$admtext['added'] = "Добавлено";
		$admtext['enternew'] = "Добавьте новую, пожалуйста";
		$admtext['pleaseenter'] = "Нажмите enter";
		$admtext['netscapereload'] = "Пользователям Netscape: <br>Вы должны заново загрузить страницу с местом захоронения, чтобы увидеть новые";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Запись удаляется...";
		$admtext['addingnote'] = "Запись добавляется...";
		$admtext['addnewnote'] = "Добавить новую запись";
		$admtext['note'] = "Запись";
		$admtext['modifynote'] = "Изменить запись";
		//added in 8.0.0
		$admtext['notechanges'] = "Changes to note";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Событие добавляется...";
		$admtext['deletingevent'] = "Событие удаляется...";
		$admtext['updatingevent'] = "Событие обрабатывается...";
		$admtext['modifyevent'] = "Изменить событие";
		$admtext['addnewevent'] = "Добавить новое событие";

		$admtext['dateformat'] = "(ДД ММ ГГГГ)";
		$admtext['age'] = "Возраст";
		$admtext['agency'] = "Агенство";
		$admtext['cause'] = "Причина";
		$admtext['moreinfo'] = "Дополнительная информация";
		//added in 11.0.0
		$admtext['dupfor'] = "Duplicate for";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Импортируется GEDCOM...<br>(это может занять несколько минут)";
		$admtext['ifimportfails'] = "Если импорт прервется,";
		$admtext['opened'] = "открыто...";
		$admtext['toresume'] = "чтобы возобновить импорт";  //cannot open to resume import
		$admtext['openedtoresume'] = "открыто, чтобы возобновить импорт...";
		$admtext['notresumed'] = "Невозможно возобновить импорт.";
		$admtext['finishedimporting'] = "GEDCOM импортирован";
		$admtext['treeexists'] = "Генеалогическое древо с выбранным идентификационным номером уже существует. Выберите другой номер и попробуйте снова.";
		$admtext['backtodataimport'] = "Назад к импорту сведений";
		$admtext['moreoptions'] = "Больше опций";
		$admtext['removeged'] = "Удалить GEDCOM файл (опция)";
		$admtext['cannotupload'] = "Could not upload file:";
		$admtext['invfperms'] = "Your 'gedcom' folder may have inadequate permissions (try 755 or 777).";
		$admtext['maybedone'] = "It may have already finished.";
		$admtext['turnonsis'] = "Make sure 'Save Import State' is turned on in the Import Settings.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Изменения в типе события";
		$admtext['modifyeventtype'] = "Изменить существующий тип события";
		$admtext['individual'] = "Персонали";
		$admtext['entertypedesc'] = "Внесите тип или описание для этого нового события.";
		$admtext['enterdisplay'] = "Введите название или сокращенное название для этого нового типа событий.";
		$admtext['existingeventtypeinfo'] = "Информация о существующем типе событий";
		$admtext['neweventtypeinfo'] = "Информация о новом типе событий";
		$admtext['tag'] = "Таг";
		$admtext['typedescription'] = "Тип/Описание";
		$admtext['onimport'] = "При импортировании";
		$admtext['accept'] = "Принять";
		$admtext['ignore'] = "Отменить";
		$admtext['typerequired'] = "При применении тагов (где таг = 'EVEN'), это является ТИПОМ и как таковой является обязательным. По желанию для других тагов.";
		$admtext['addnewevtype'] = "Добавить новый тип событий";
		$admtext['createnewevtype'] = "Сделать новую запись для типа событий";
		$admtext['forindividuals'] = "Для личностей...";
		$admtext['forfamilies'] = "Для семей...";
		$admtext['existingevtypes'] = "Существующие типы событий";
		$admtext['edsevtypes'] = "Изменить, удалить или сортировать заранее введенные типы событий";
		$admtext['indfam'] = "Персонали/Семья";  //individual family
		$admtext['confdeleteevtype'] = "Вы уверены, что хотите удалить этот тип событий?";
		$admtext['selecttag'] = "Выбрать Таг";
		$admtext['selectentertag'] = "Выбрать или внести Таг для этого типа событий.";
		$admtext['orenter'] = "или заполнить";
		$admtext['ifbothdata'] = "получает преимущество, если оба поля содержат данные";
		$admtext['EVEN'] = "Событие";
		$admtext['ADOP'] = "Усыновление";
		$admtext['ADDR'] = "Адрес";
		$admtext['ALIA'] = "Также известен как";
		$admtext['BARM'] = "Бар-мицва";
		$admtext['BASM'] = "Бас-мицва";
		$admtext['CAST'] = "Каста / Социальный статус";
		$admtext['CENS'] = "Перепись населения";
		$admtext['CHRA'] = "Крещение взрослых";
		$admtext['CONF'] = "Конфирмация";
		$admtext['CREM'] = "Кремация";
		$admtext['DSCR'] = "Описание внешности";
		$admtext['EDUC'] = "Образование";
		$admtext['EMIG'] = "Эмиграция";
		$admtext['FCOM'] = "Первое причастие";
		$admtext['GRAD'] = "Диплом / Степень";
		$admtext['IDNO'] = "Идентификационный номер";
		$admtext['IMMI'] = "Эмиграция";
		$admtext['LANG'] = "Язык";
		$admtext['NATI'] = "Национальность";
		$admtext['NATU'] = "Натурализация";
		$admtext['NCHI'] = "Колическтво детей";
		$admtext['NMR'] = "Количество браков";
		$admtext['OCCU'] = "Профессия";
		$admtext['ORDI'] = "Постановление";
		$admtext['ORDN'] = "Постриг";
		$admtext['PHON'] = "Телефон";
		$admtext['PROB'] = "Регистрация";
		$admtext['PROP'] = "Имущество";
		$admtext['RELI'] = "Религия";
		$admtext['RESI'] = "Место пребывания";
		$admtext['RESN'] = "Ограничение";
		$admtext['RETI'] = "На пенсии";
		$admtext['RFN'] = "Постоянный регистрационный номер";
		$admtext['SSN'] = "Номер SOFI";
		$admtext['WILL'] = "Завещание";
		$admtext['ANUL'] = "Уничтожение";
		$admtext['DIVF'] = "Зарегистрированный развод";
		$admtext['ENGA'] = "Обручение";
		$admtext['MARB'] = "Объявление о предстоящем браке";
		$admtext['MARC'] = "Брачный контракт";
		$admtext['MARL'] = "Согласие на брак";
		$admtext['MARS'] = "Условия для заключения брака";
		$admtext['forsources'] = "Источники...";
		$admtext['RIN'] = "Номер записи";
		$admtext['REFN'] = "Номер рекомендаций";
		$admtext['REPO'] = "Место находки";

		$admtext['deleteselected'] = "Удалить выбранное";
		$admtext['ignoreselected'] = "Отменить выбор";
		$admtext['acceptselected'] = "Сохранить выбранное";
		$admtext['changestoallevtypes'] = "Изменения для всех типов событий";
		$admtext['forrepos'] = "Для мест находки...";
		$admtext['noevtypes'] = "Несуществующий тип событий.";
		$admtext['DESI'] = "Потомки-интересы";
		$admtext['allnone'] = "Напишите при каждом использованном языке особенное для этого языка сообщение <br />или оставьте нижние поля пустыми и напишите над ними одно при каждом языке отображающееся сообщение <br />в поле 'Отобразить' (сначала нужно кликнуть мышкой на знак минус).";
		$admtext['assocwith'] = "Связано с";
		$admtext['BAPM'] = "Крещение";
		$admtext['umps'] = "Возможно, что Ваш GEDCOM-файл больше, чем позволяет Ваше PHP-устройство. Попросите Вашего провайдера увеличить 'upload_max_filesize'-объем, или скопируйте GEDCOM-файл в 'gedcom'-папку на Вашем сайте и импортируйте файл оттуда.";
		$admtext['othlangs'] = "Другие языки";
		$admtext['evdata'] = "Данные события";
		$admtext['ANCI'] = "Предок-интересы";
		//added in 10.0.0
		$admtext['collapseev'] = "Collapse Event";
		$admtext['collapse'] = "Collapse";
		$admtext['collapseselected'] = "Collapse Selected";
		//added in 11.0.0
		$admtext['expselected'] = "Expand Selected";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Изменения в семье";
		$admtext['marrdate'] = "Дата свадьбы"; //marriage date
		$admtext['modifyfamily'] = "Изменить существующую семью";
		$admtext['selectfamaction'] = "Выбрать семью и действие";
		$admtext['confdeletefam'] = "Вы уверены, что хотите удалить эту семью?";
		$admtext['existingfamilyinfo'] = "Информация о существующей семье";
		$admtext['newfamilyinfo'] = "Информация о новой семье";
		$admtext['sealedsdate'] = "Дата обряда запечатывания (ЦИХСПД)";     //S is for spouse
		$admtext['sealedsplace'] = "Место обряда запечатывания (ЦИХСПД)";     //S is for spouse
		$admtext['newchildren'] = "Новые дети";
		$admtext['addnewfamily'] = "Добавить новую семью";
		$admtext['createnewfamily'] = "Сделать запись о новой семье";
		$admtext['editexistingfaminfo'] = "Изменить информацию об уже занесенной сеьме";
		$admtext['spousesids'] = " Идентификационный номер супругов";
		$admtext['noname'] = "Нет имени";
		$admtext['familyidbefevent'] = "Сначала Вы должны внести Идентификационный номер семьи, прежде чем Вы сможете добавить новые события.";
		$admtext['prefixfamilyid'] = "Используйте 'F' от 'Семья' (Family) как первый знак в номере каждой семьи  ";
		$admtext['validfamilyid'] = "Введите действительный Идентификационный номер семьи. Действительный номер - это последовательность цифр, начинающихся с буквы 'F'.";
		$admtext['familyidbefnote'] = "Вы должны внести Идентификационный номер семьи, прежде чем сможете добавить новые записи.";
		$admtext['familyidbefcite'] = "Вы должны сначала ввести Идентификационный номер семьи, чтобы иметь возможность использовать цитаты для этой семьи. ";
		$admtext['genfamily'] = "Стандартная семья";
		$admtext['marriagetype'] = "Тип брака";
		$admtext['reviewfamilies'] = "Сохранить или изменить предложенные изменения для семьи";
		$admtext['fevslater'] = "Примечание: дополняющие события, специфические записи о событии и цитаты могут быть добавлены после того, как эта семья сохранена.";
		$admtext['husbid'] = "Идентификационный номер мужа";  //husband ID
		$admtext['wifeid'] = " Идентификационный номер жены";
		$admtext['enternamepart'] = "Внесите часть имени и/или фамилии ";
		$admtext['pleasenamepart'] = "Пожалуйста, внесите часть имени и/или фамилии.";
		$admtext['clickfind'] = "Нажмите Найти или Создать =>";
		$admtext['chunlinked'] = "Ребёнок не связан с семьёй";
		$admtext['child'] = "Ребёнок";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Добавляется персонали...";
		$admtext['changestoperson'] = "Изменения в личности";
		$admtext['nobirthinfo'] = "Нет информации о рождении";
		$admtext['modifyperson'] = "Изменить существующую персоналию";
		$admtext['selectpersaction'] = "Выбрать личности и действие";
		$admtext['existingpersoninfo'] = "Информация о существующей личности";
		$admtext['firstgivennames'] = "Полное имя";
		$admtext['lastsurname'] = "Фамилия";
		$admtext['nickname'] = "Сокращенное имя";
		$admtext['male'] = "Мужчина";
		$admtext['female'] = "Женщина";
		$admtext['bapldate'] = "Дата крещения (Церковь СПД)";
		$admtext['baplplace'] = "Место крещения (Церковь СПД)";
		$admtext['endldate'] = "Дата благословения (Церковь СПД)";
		$admtext['parents'] = "Родители";
		$admtext['father'] = "Отец";
		$admtext['mother'] = "Мать";
		$admtext['unlinkindividual'] = "Отсоединить эту персоналию";
		$admtext['aschild'] = "ребенком";
		$admtext['sealedpdate'] = "Дата обряда запечатывания O (Церковь СПД)";     //P is for parents
		$admtext['sealedpplace'] = "Место обряда запечатывания 0 (Церковь СПД)";     //P is for parents
		$admtext['asspouse'] = "как партнер";
		$admtext['spouse'] = "Супруг (а)";
		$admtext['ordernumber'] = "Номер по порядку";
		$admtext['married'] = "Замужем (женат)";
		$admtext['nonewfamily'] = "При сохранении не переходить на новую семью.";
		$admtext['addnewperson'] = "Добавить новую персоналию";
		$admtext['createperson'] = "Сделайте запись для новой личности";
		$admtext['personidbefevent'] = "Сначала Вы должны ввести Идентификационный номер личности, прежде чем получить возможность добавлять новые события.";
		$admtext['prefixpersonid'] = "Вначале Идентификационного номера поставьте 'I' от 'Individu'";
		$admtext['validpersonid'] = "Введите действительный Идентификационный номер личности. Действительный Идентификационный номер это ряд из нескольких чисел, начинающийся с 'I'.";
		$admtext['newpersoninfo'] = "Информация о новой личности";
		$admtext['selectsex'] = "Выберите пол.";
		$admtext['shortform'] = "Сокращенное имя";
		$admtext['editexistingpersoninfo'] = "Измените информацию об уже введенной личности";
		$admtext['unknown'] = "Неизвестно";
		$admtext['personidbefnote'] = "Прежде, чем Вы сможете добавлять новые записи, Вы должны ввести идентификационный номер личности.";
		$admtext['endlplace'] = "Место дарения (Церковь СПД)";
		$admtext['personidbefcite'] = "Прежде, чем Вы сможете использовать цитаты по отношению к этой личности, Вы должны ввести идентификационный номер этой личности.";
		$admtext['relationship'] = "Отношения";
		$admtext['asspouse'] = "как партнер";
		$admtext['mergepeople'] = "Объединить дополняющие друг друга данные в файлах с персоналиями.";
		$admtext['choosemerge'] = "Выбрать личности для объединения или для того, чтобы  найти возможные совпадения";
		$admtext['usesoundex'] = "Использовать Soundex";
		$admtext['sdxdisclaimer'] = "При использовании этой опции программа будет дольше искать следующее совпадение или дополнение.";
		$admtext['combinenotes'] = "Комбинируйте записи и цитаты ";
		$admtext['confirmmerge'] = "Вы уверены, что хотите объединить эти две личности?";
		$admtext['gotonewfamily'] = "Создать новую семью, используя эту персоналию ";
		$admtext['genperson'] = "Стандартная персоналия";
		$admtext['reviewpeople'] = "Принять или отменить предложенные изменения данной личности";
		$admtext['nokids'] = "Детей нет";
		$admtext['noparents'] = "Нет родителей";
		$admtext['association'] = "Связь";
		$admtext['deletingassoc'] = "Связь удаляется...";
		$admtext['addingassoc'] = "Связь добавляется...";
		$admtext['updatingassoc'] = "Связь изменяется...";
		$admtext['addnewassoc'] = "Добавить новую связь ";
		$admtext['modifyassoc'] = "Изменить существующую связь ";
		$admtext['pevslater'] = "Примечание: добавление дополнительных событий и особых заметок о событии возможно только после сохранения данных личности.";
		$admtext['ashusband'] = "как супруг";
		$admtext['aswife'] = "как супруга";
		$admtext['pevslater2'] = "Внимание: Дополнительные мероприятия, а также заметки о событиях и цитаты, могут быть добавлены позже..";
		$admtext['nospouse'] = "Нет супруга(и)";
		$admtext['revassoc'] = "Also add reverse association for same two people";
		$admtext['prefix'] = "Prefix";
		$admtext['chkdel'] = "Check empty box to delete item at left";
		//added in 9.0.0
		$admtext['choosedef'] = "Choose<br/>default<br/>photo"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Confirmation Date (LDS)";
		$admtext['confplace'] = "Confirmation Place (LDS)";
		$admtext['initdate'] = "Initiatory Date (LDS)";
		$admtext['initplace'] = "Initiatory Place (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Файл с картинкой не может быть скопирован ";
		$admtext['photo'] = "фото";
		$admtext['changestophoto'] = "Изменения фотографии ";
		$admtext['modifyphoto'] = "Изменить существующее фото ";
		$admtext['addnewphoto'] = "Добавить новую фотографию ";
		$admtext['selectphotoaction'] = "Выбрать фотографию и действие ";
		$admtext['photoid'] = "Идентификационный номер фотографии ";
		$admtext['confdeletephoto'] = "Вы уверены, что хотите удалить эту фотографию и все ссылки на нее ?";
		$admtext['enterphotopath'] = "Введите путь (папку и название файла) для этого файла с фотографией в Вашей папке с фотографиями на Вашем веб-сервере.";
		$admtext['enterthumbnailpath'] = " Введите путь (папку и название файла) для этой картинки в Вашей папке с фотографиями на Вашем веб-сервере.";
		$admtext['enterphotodesc'] = "Дайте описание этой фотографии.";
		$admtext['existingphotoinfo'] = "Информация о существующей фотографии ";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Файл с картинкой";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Название файла и пути";
		$admtext['sortphotos'] = "Сортировать фотографии";
		$admtext['sortphotosfor'] = "Сортировать фотографии для";
		$admtext['editexistingphotoinfo'] = "Изменить информацию об уже добавленной фотографии ";
		$admtext['leaveblankallphotos'] = "Очистить, чтобы показать все фотографии ";
		$admtext['headstone'] = "Надгробие";
		$admtext['imagenotcopied'] = "Файл с изображением не может быть скопирован ";
		$admtext['changestohs'] = "Изменения в надгробиях ";
		$admtext['modifyheadstone'] = "Измените данные существующего надгробия ";
		$admtext['selecthsaction'] = "Выберите надгробие и действие ";
		$admtext['confdeletehs'] = "Вы уверены, что хотите удалить сведения об этом надгробии?";
		$admtext['photostatus'] = "Фотография/Статус";
		$admtext['selectcemetery'] = "Выберите кладбище.";
		$admtext['enterhsimage'] = "Введите название папки для Ваших фотографий надгробий на веб-сервере.";
		$admtext['existinghsinfo'] = "Информация о существующем надгробии ";
		$admtext['newhsinfo'] = "Информация о новом надгробии ";
		$admtext['hsimagefile'] = "Файл с фотографией надгробия ";
		$admtext['located'] = "Локализировано";
		$admtext['notyetlocated'] = "не локализировано";
		$admtext['unmarked'] = "Не отмечено";
		$admtext['missing'] = "Отсутствует";
		$admtext['leaveblankhs'] = "Оставьте это поле пустым, если файлы уже находятся в папке с надгробиями.";
		$admtext['requiredhs'] = "Обязательно. Это содержание этого поля должно совпадать с названием и местом Вашего файла <em> в папке с надгробиями</em> после того, как файл загружен. Например, если Ваша папка называется <em>фотографии/надгробие</em>, и Вы хотите файл назвать <em>надгробие.jpg</em> и хотите его поместить в подкаталог названный фотографии/надгробия, <em>новые надгробия</em> , тогда Вам следует набрать в этом поле <em>новые надгробия/надгробие.jpg</em>.";
		$admtext['addnewhs'] = "Добавить новый надгробие ";
		$admtext['createnewhs'] = "Сделать запись о новом надгробии и привязать ее к личности";
		$admtext['editexistinghsinfo'] = "Изменить информацию об уже введенном надгробии ";
		$admtext['leaveblankallhs'] = "Оставить незаполненной, чтобы показать все надгробия ";
		$admtext['cemnamelocation'] = "Название местонахождения кладбища";
		$admtext['pedphoto'] = "Используйте эту фотографию в таблицах потомков и в naamtitels";
		$admtext['photoowner'] = "Владелец / Источник";
		$admtext['dimensions'] = "Размеры";
		$admtext['selectphoto'] = "Выбрать фотографию";
		$admtext['specifyimg'] = "Уточните изображение";
		$admtext['autoimg'] = "Сделать из оригинала";
		$admtext['enterthumbpath'] = "Выберете место для картинки";
		$admtext['genthumbs'] = "Создать картинки";
		$admtext['genthumbsdesc'] = "Автоматически создать картинки из всех фотографий, у которых еще нет картинок.";
		$admtext['thumbsgenerated'] = "Картинки созданы";
		$admtext['makedefault'] = "Создать Стандарт";
		$admtext['filewithinhs'] = "Путь в папке с надгробиями <br>(подкаталог и название файла)";
		$admtext['recsupdated'] = "Сведения изменены";
		$admtext['removedef'] = "Удалить стандартную фотографию";
		$admtext['numlinkhs'] = "Сколько-то персоналий связать с этим надгробием ";
		$admtext['sortheadstones'] = "Сортировать надгробия ";
		$admtext['sortheadstonesfor'] = "Сортировать надгробия по ";
		$admtext['sortheadstonesind'] = "Сортировать надгробия по личности ";
		$admtext['headstoneorder'] = "Задайте порядок надгробий, связанных с определенной персоналией ";
		$admtext['enternumberforphoto'] = "Задайте каждой теме порядковый номер.";
		$admtext['updownforphoto'] = "Кликните на стрелки, чтобы изменить порядок.";
		$admtext['createnewphoto'] = "Сделать запись для новой фотографии и связать ее с персоналиями, семьями или источниками ";
		$admtext['numlinkphoto'] = "Количество персоналий, семей или источников, которое Вы хотите связать с этой фотографией ";
		$admtext['photoorder'] = "Задайте порядок предпочтений для фотографий, связанных с определенной персоналией, семьей или источником ";
		$admtext['assigndefs'] = "Задайте стандартную фотографию ";
		$admtext['assigndefsdesc'] = "Сделать первую фотографию каждой личности, семьи или источника стандартной фотографией для этой личности, этой семьи или этого источника ";
		$admtext['overwritedefs'] = "Переписать существующие стандарты ";
		$admtext['assign'] = "Задать стандарт ";
		$admtext['defsassigned'] = "Указать стандартную фотографию ";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Папка с изображениями ";
		$admtext['circle'] = "круг";
		$admtext['rect'] = "прямоугольник";
		$admtext['poly'] = "многоугольник";
		$admtext['shape'] = "Форма области ";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Длина (пиксели)";
		$admtext['height'] = "Высота (пиксели)";
		$admtext['imgdim'] = "Сведения об изображении";
		$admtext['pixw'] = "длина пикселей";
		$admtext['pixh'] = "высота пикселей";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Применить изменения ко всем выбранным фотографиям ";
		$admtext['changestoallhs'] = " Применить изменения ко всем выбранным надгробиям ";
		$admtext['datetaken'] = "Дата съемки / изготовления";
		$admtext['placetaken'] = "Место съемки / изготовления";
		$admtext['abspath'] = "Этот мультимедиа файл из внешнего источника (Вы должны сделать сами картинку)";
		$admtext['imagefile'] = "Файл для мультимедиа";
		$admtext['pathwithinphotos'] = "Название в папке с мультимедиа ";
		$admtext['linktocem'] = "Свяжите этот снимок напрямую с выбранным кладбищем ";
		$admtext['defphotonote'] = "Используйте эту картинку, чтобы идентифицировать среди предков и других опций, включая страницы с семьями, эту персоналию, эту семью или этот источник.";
		$admtext['photonotadded'] = "Эта тема не может быть добавлена, возможно, потому что уже существует запись и файл для снимков для предложенной коллекции.";
		$admtext['requiredphoto'] = "Обязательно. Содержание этого поля должно совпадать с названием и местом Вашего файла <em>в папке с мультимедиа</em> после того, как файл загружен. Например, если Ваша папка с мультимедиа называется <em>мультимедиа</em>, и Вы хотите назвать Ваш файл <em>моя фотография.jpg</em>  и хотите поместить его в подкаталог, названный <em>посредники</em>, <em>новые мультимедиа</em>, тогда Вы должны записать в этом поле <em>новые снимки/моя фотография.jpg</em>.";
		$admtext['leaveblankphoto'] = "Оставьте это поле незаполненным, если файлы уже загружены.";
		$admtext['thumbconflicts'] = "Картинки не созданы в связи с проблемами в пути, допуске или в названии файла ";
		$admtext['showmap'] = "Оставлять карту и мультимедиа этого кладбища видимыми, при показе этой темы ";
		$admtext['bodytext'] = "<strong>ИЛИ</strong><br/>только текст";
		$admtext['usenl'] = "Заменить концы строк в тексте на концы строк в HTML-кодировке, чтобы их можно было увидеть на экране ";
		$admtext['newwin'] = "Открыть в новом окне ";
		$admtext['modifymedia'] = "Изменить существующий снимок ";
		$admtext['addnewmedia'] = "Добавить новый мультимедиа ";
		$admtext['confdeletemedia'] = "Вы уверены, что хотите удалить этот мультимедиа?";
		$admtext['thumbnails'] = "Картинки";
		$admtext['modifyalbum'] = "Изменить существующий альбом ";
		$admtext['addnewalbum'] = "Добавить новый альбом ";
		$admtext['newalbuminfo'] = "Информация о новом альбоме ";
		$admtext['confdeletealbum'] = "Вы уверены, что хотите удалить этот альбом?";
		$admtext['enteralbumname'] = "Дайте альбому название.";
		$admtext['albumname'] = "Название альбома ";
		$admtext['keywords'] = "Ключевые слова";
		$admtext['changestoalbum'] = "Изменения в альбоме ";
		$admtext['addtoalbum'] = "Добавить новый альбом ";
		$admtext['mediatype'] = "Коллекция";
		$admtext['fileext'] = "Расширения файлов."; //file extension (abbreviation)
		$admtext['anotherlink'] = "Добавить новый линк ";
		$admtext['mediaurl'] = "URL мультимедиа";
		$admtext['put_in'] = "Сохранить файлы в ";
		$admtext['usemedia'] = "Папка с мультимедиа";
		$admtext['usecollect'] = "Папка с коллекцией";
		$admtext['notcopied'] = "Этот файл нельзя скопировать в ";
		$admtext['existingmediainfo'] = "Информация о существующем мультимедиа ";
		$admtext['convto'] = "Преобразовать избранное в ";
		$admtext['changestoallmedia'] = "изменения в выбранных мультимедиа ";
		$admtext['changestoitem'] = "Изменения в теме ";
		$admtext['eventlink'] = "Ссылка на особенное происшествие ";
		$admtext['sortmediaind'] = "Сортировать снимки по персоналиям, семье, источнику, местонахождению или месту ";
		$admtext['sortmedia'] = "Сортировать xxx по";
		$admtext['unlinked'] = "Только не связанные";
		$admtext['samepaths'] = "Стандартное изображение и картинка не могут быть одним и тем же файлом. Пожалуйста, выберете другую картинку или сделайте ее.";
		$admtext['regenerate'] = "Обновить существующие картинки ";
		$admtext['forcircles'] = "Для кругов ";
		$admtext['forrects'] = "Для прямоугольников ";
		$admtext['circleinstr'] = "Кликните сначала посредине круга, а потом на самом круге.";
		$admtext['rectinstr'] = "Кликните сначала в левом верхнем углу прямоугольника, а потом внизу справа.";
		$admtext['firstone'] = "первый ";
		$admtext['controller'] = "Учитывайте, что медиаплеер займет примерно 16 пикселей по вертикали.";
		$admtext['nostatus'] = "No status";
		$admtext['enterid'] = "Задайте, пожалуйста, идентификационный номер.";
		$admtext['existingalbuminfo'] = "Информация о существующем альбоме ";
		$admtext['newmediainfo'] = "Информация о мультимедиа ";
		$admtext['mapinstr2'] = " Вы можете связать области с Вашим изображением связать с персоналиями или другими страницами (на выбор), внеся внизу информацию о папке с HTML- изображениями или выполнив инструкции внизу у фотографии.";
		$admtext['mapinstr3'] = "Чтобы связать область эту фотографию человека, сначала выберите дерево индивида, то создаем прямоугольник для нужного региона. Это можно сделать, нажав в верхнем левом углу области, а затем перетащить в правом нижнем углу. Кроме того, вы можете нажать в левом верхнем углу, а затем снова в правом нижнем углу. Всплывающего окна будет помочь вам выбрать человека. После того, как выбор сделан, код карты изображения будут добавлены в поле ниже. Повторите этот процесс по мере необходимости в дополнительных регионах.";
		$admtext['albumlinks'] = "Ссылка на альбом";
		$admtext['duplinkmsg'] = "A link to the selected entity already exists in this album.";
		$admtext['invlinkmsg'] = "The entity ID you entered is invalid. No link was created.";
		$admtext['albmedia'] = "Album Media";
		$admtext['removelink'] = "Remove Link";
		$admtext['confremmedia'] = "Are you sure you want to remove this media from this album?";
		$admtext['selmedia'] = "Search for existing media to include in this album";
		$admtext['uploadfirst'] = "upload new media here first";
		$admtext['existmedia'] = "Existing Media";
		$admtext['emoptions'] = "Browse, Delete or Drag to Sort";
		$admtext['addlinks'] = "Add New Links";
		$admtext['eloptions'] = "Просмотр или Удалить";
		$admtext['inclmsg'] = " included";
		$admtext['mediasubt'] = "Manage media included in this album (Add, Delete, Sort)";
		$admtext['infosubt'] = "Редактировать название альбома, описание и ключевые слова";
		$admtext['linkssubt'] = "Ссылка этого альбома на людей, семей, источников или мест";
		$admtext['inclmedia'] = "Included Media";
		$admtext['nomedia'] = "No media included yet";
		$admtext['nolinks'] = "No links exist yet";
		$admtext['thumbsize'] = "(original is too large)";
		$admtext['thumbinv'] = "(invalid image or inadequate permissions)";
		$admtext['thumblost'] = "(original not found)";
		$admtext['uplsel'] = "Загрузить новый файл с компьютера или выберите из файлов уже на вашем сайте.";
		$admtext['alblater'] = "Примечание: Медиа могут быть добавлены к этому альбому, а альбом связан с отдельным лицам или семьям, на следующем экране.";
		$admtext['medlater'] = "Примечание:Более подробную информацию об элементах связи с отдельным лицам или семьям, можно добавить на следующем экране.";
		$admtext['minfosubt'] = "Редактировать название медиа файла, описание и другие основные детали";
		$admtext['medialinks'] = "Медиа ссылки";
		$admtext['defphoto'] = "Default Photo";
		$admtext['alttd'] = "Alt Title/Desc";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Edit Media Link";
		$admtext['plot'] = "Plot";
		$admtext['addnewcoll'] = "Добавить Коллекцию";
		$admtext['collid'] = "Collection ID";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Название папки";
		$admtext['collicon'] = "Icon File";
		$admtext['colllike'] = "Same setup as";
		$admtext['entercollid'] = "Please enter a collection ID.";
		$admtext['entercolldisplay'] = "Please enter a collection display name.";
		$admtext['entercollpath'] = "Please enter a collection folder name.";
		$admtext['entercollicon'] = "Please enter a collection icon file name.";
		$admtext['editcoll'] = "Редактировать Коллекцию";
		$admtext['confmtdelete'] = "Are you sure you want to delete this media type?";
		$admtext['histlimit'] = "<strong>Size note:</strong> Most browsers limit the amount of data that can be sent in a web form to about 64Kb. If you have a large amount of text to type or paste in the Body Text field above, you might consider using historytemplate.php instead. See the Help for more information.";
		$admtext['repath'] = "Восстановить уменьшенные имена пути, где файл не существует";
		$admtext['sortalbumind'] = "Сортировка альбомов по личностям, семьям и месту";
		$admtext['cidexists'] = "The Collection ID you entered could not be added because it already exists.";
		$admtext['phalltrees'] = "Опция. Оставьте незаполненной, чтобы фотографии были видимыми во всех деревьях.";
		//added in 8.0.0
		$admtext['fileexists'] = "This file already exists. Overwrite?";
		$admtext['collthumb'] = "Thumbnail File";
		$admtext['movetop'] = "Move to top";
		//added in 9.0.0
		$admtext['collexpas'] = "Export as";
		//added in 9.2.0
		$admtext['upload'] = "Загрузить";
		$admtext['linksel'] = "Link to selected";
		$admtext['mediaupl'] = "Загрузка медиа";
		$admtext['addfiles'] = "Добавить файлы...";
		$admtext['startupl'] = "Начать загрузку";
		$admtext['start'] = "Старт";
		$admtext['cancelupl'] = "Отмена загрузки";
		//added in 11.0.0
		$admtext['localpath'] = "Local path(s)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Изменения в отчете ";
		$admtext['modifyreport'] = "Изменить существующий отчет ";
		$admtext['existingreportinfo'] = "Информация о существующем отчете ";
		$admtext['existingreports'] = "Существующие отчеты ";
		$admtext['newreportinfo'] = "Информация о новом отчете ";
		$admtext['reportname'] = "Название отчета";
		$admtext['rankpriority'] = "Разряд/Преимущество";
		$admtext['choosedisplay'] = "Выберите поля для отображения ";
		$admtext['spouseid'] = "идентификационный номер супруга ";
		$admtext['spousename'] = "Имя партнера ";
		$admtext['lastmodified'] = "Последние изменения были";
		$admtext['ldsbapldate'] = "Дата крещения (ЦИХСПД)";
		$admtext['ldsbaplplace'] = "Место крещения (ЦИХСПД) ";
		$admtext['ldsendldate'] = "Дата дарения (ЦИХСПД)";
		$admtext['ldsendlplace'] = "Место дарения (ЦИХСПД) ";
		$admtext['ldssealsdate'] = "Дата Запечатывания/Супруга (ЦИХСПД) ";
		$admtext['ldssealsplace'] = "Место Запечатывания/Супруга (ЦИХСПД)";
		$admtext['ldssealpdate'] = " Дата ЦИХСПД Запечатывания /Родители";
		$admtext['ldssealpplace'] = "Место ЦИХСПД Запечатывания/Родители";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Выбрать критерии ";
		$admtext['fullname'] = "Фамилия";
		$admtext['lastfirst'] = "Фамилия, имя";
		$admtext['monthonlyfrom'] = "Только месяц";
		$admtext['yearonlyfrom'] = "Только год ";
		$admtext['dayonlyfrom'] = "Только день";
		$admtext['operators'] = "Операторы и особые ценности ";
		$admtext['contains'] = "содержит";
		$admtext['startswith'] = "начинается с";
		$admtext['endswith'] = "заканчивается на ";
		$admtext['text_and'] = "И";
		$admtext['currentmonth'] = "текущий месяц ";
		$admtext['currentyear'] = "Текущий год ";
		$admtext['currentday'] = "Текущий день ";
		$admtext['constantstring'] = "Постоянный ряд (буквенно-числовой)";
		$admtext['constantvalue'] = "Постоянная величина (числовая)";
		$admtext['foremptystring'] = "Для пустого ряда оставьте это поле незаполненным и кликните на стрелочку рядом 'Добавить >>.'";
		$admtext['choosesort'] = "Выбрать поля для сортировки ";
		$admtext['savereport'] = "Сохранить отчет ";
		$admtext['addnewreport'] = "Добавить новый отчет ";
		$admtext['createreport'] = "Сделать новый отчет ";
		$admtext['noreports'] = "Несуществующий отчет ";
		$admtext['rank'] = "Разряд";
		$admtext['confreportdelete'] = "Вы уверены, что хотите удалить этот отчет?";
		$admtext['enterreportname'] = "Введите название отчета.";
		$admtext['selectdisplayfield'] = "Выберите по крайней мере одно поле для показа.";
		$admtext['today'] = "Сегодня (на самом деле)";
		$admtext['convtodays'] = "Перевести в дни ";
		$admtext['desc'] = "В нисходящем порядке (Предыдущие)";
		$admtext['birthdatetr'] = "Дата рождения (настоящая)";
		$admtext['chrdatetr'] = "Дата крещения (настоящая)";
		$admtext['deathdatetr'] = "Дата смерти (настоящая)";
		$admtext['burialdatetr'] = "Дата похорон (настоящая)";
		$admtext['marriagedatetr'] = "Дата бракосочетания (настоящая)";
		$admtext['ldsbapldatetr'] = "Дата крещения в ЦИХСПД (настоящая)";
		$admtext['ldsendldatetr'] = "Дата дарения ЦИХСПД (настоящая)";
		$admtext['ldssealsdatetr'] = "Дата запечатывания ЦИХСПД /Супруг (настоящая)";
		$admtext['ldssealpdatetr'] = "Дата запечатывания ЦИХСПД /Родители (настоящая)";
		$admtext['currentmonthnum'] = "Текущий месяц (число)";
		$admtext['livingtrue'] = "Живой = да";
		$admtext['livingfalse'] = "Живой = нет";
		$admtext['altreport'] = "ИЛИ оставьте поля критериев и сортировки незаполненными и внесите внизу команду SQL SELECT";
		$admtext['rptdate'] = "Дата";
		$admtext['rptdatetr'] = "Дата (настоящая)";
		$admtext['fact'] = "Факт";
		$admtext['testeditdelete'] = "Добавление, изменение, проверка или удаление отчетов";
		$admtext['wnmsg'] = "Сообщение на странице 'Что нового' ";
		$admtext['mwtype'] = "Type";
		$admtext['mysphoto'] = "Mystery Photos";
		$admtext['mysperson'] = "Elusive People";
		$admtext['selphoto'] = "Select Photo";
		$admtext['entertitle'] = "Please enter a title";
		$admtext['enterdesc'] = "Please enter a description";
		$admtext['confremmw'] = "Are you sure you want to remove this item?";
		$admtext['msgsaved'] = "Message saved";
		//added in 9.1.1
		$admtext['privatetrue'] = "Private = да";
		$admtext['privatefalse'] = "Private = нет";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Confirmation Date";
		$admtext['ldsconfplace'] = "LDS Confirmation Place";
		$admtext['ldsconfdatetr'] = "LDS Confirmation Date (True)";
		$admtext['ldsinitdate'] = "LDS Initiatory Date";
		$admtext['ldsinitplace'] = "LDS Initiatory Place";
		$admtext['ldsinitdatetr'] = "LDS Initiatory Date (True)";
		$admtext['savecopy'] = "Save as copy";
		$admtext['activeonly'] = "Active only";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Выберите файл, который Вы хотите импортировать.";
		$admtext['importgedcom'] = "Импортировать GEDCOM (стандартный 5.5 формат)";
		$admtext['addreplacedata'] = "Это действие добавляет сведения к Вашей генеалогии или заменяет ее. Процесс может занять несколько минут, в зависимости от величины Вашего файла.";
		$admtext['fromyourcomputer'] = "Из Вашего компьютера ";
		$admtext['importdata'] = "Импортировать данные ";
		$admtext['setupfirsttime'] = "Установить программу впервые.";
		$admtext['replace'] = "Заменить (в выбранном генеалогическом древе)";
		$admtext['desttree'] = "Нужное генеалогическое древо ";
		$admtext['selectdesttree'] = "Выбрать или ввести название необходимого генеалогического древа.";
		$admtext['selectexisting'] = "Импортировать в";
		$admtext['importgedcom2'] = "Импортировать файл GEDCOM ";
		$admtext['setupitems'] = "Создать таблицы базы данных, отметить предпочтения ";
		$admtext['custeventitems'] = "Управлять личными тагами и типами событий ";
		$admtext['usersitems'] = "Управлять пользователями и доступом ";
		$admtext['reportsitems'] = "Создать личные списки и отчеты ";
		$admtext['langitems'] = "Управлять другими языками ";
		$admtext['backupitems'] = "Сделать резервное копирование, восстановить и оптимизировать базу данных ";
		$admtext['ucaselast'] = "Все фамилии прописными буквами ";
		$admtext['norecalc'] = "Флажок 'Живой' не обсчитывать заново ";
		$admtext['autooffset'] = "Начинать идентификационные номера с первого доступного номера ";

		$admtext['mustselecttree'] = "для этой опции Вы должны выбрать генеалогическое древо.";
		$admtext['importmedia'] = "Импортировать мультимедиа, если есть ";
		$admtext['mainmenu'] = "Главное меню";
		$admtext['neweronly'] = "Заменять только, если более новое ";
		$admtext['secondaryitems'] = "Создать GENDEX-файл, сосчитать родовые линии ";
		$admtext['onwebserver'] = "На вебсервер (в папку GEDCOM)";
		$admtext['eventsonly'] = "Импортировать только измененные типы событий ";
		$admtext['imphints'] = "Подсказка: Все существующие данные означает: все личности, семьи, источники и записи (мультимедиа связи не удаляются, пока сохраняется тот же идентификационные номера). Точные соответствия всегда основываются на идентификационном номере. Новые записи только добавляются. При добавлении импортируются все сведения с новыми идентификационными номерами ";
		$admtext['allevents'] = "Принять данные для всех новых типов пользовательских событий";
		$admtext['destbranch'] = "По назначению (опция)";
		$admtext['inframe'] = "(in frame)";
		$admtext['getstart'] = "Начало работы";
		$admtext['importlatlong'] = "Импорт данных широты / долготы, если присутствует";
		$admtext['opening'] = "Opening";
		$admtext['reopen'] = "Reopening";
		$admtext['uploading'] = "Загрузка";
		$admtext['stop'] = "Стоп";
		$admtext['stopped'] = "Import stopped";
		$admtext['resume'] = "кликните здесь, чтобы продолжить работу ";
		//changed in 8.0.0
		$admtext['showlog'] = "Показать недавние изменения ";
		//added in 8.0.0
		$admtext['mmgritems'] = "Установка и удаление TNG модов";
		//added in 9.0.0
		$admtext['oldimport'] = "Old style import (no progress bar)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Заметки, Что нового, Розыск";
		//added in 11.0.0
		$admtext['tasks'] = "Important tasks";
		$admtext['task_revusers'] = "Review new user registrations";
		$admtext['task_tree'] = "Create your first tree";
		$admtext['task_user'] = "Create a user account for yourself";
		$admtext['task_people'] = "add new people";
		$admtext['task_families'] = "Add new families";
		$admtext['task_revind'] = "Review proposed changes to individual events";
		$admtext['task_revfam'] = "Review proposed changes to family events";
		$admtext['task_backup'] = "Back up the data";
		$admtext['nobackups'] = "no backups exist";
		$admtext['lastbackup'] = "Последнее создание резервной копии ";
		$admtext['dna_blurb'] = "Log DNA tests and link them to individuals";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Изменения в источнике ";
		$admtext['modifysource'] = "Изменить существующий источник ";
		$admtext['selectsrcaction'] = "Выбрать источник и действие ";
		$admtext['shorttitle'] = "Краткий заголовок ";
		$admtext['longtitle'] = "Полный заголовок";
		$admtext['author'] = "Автор";
		$admtext['callnumber'] = "Телефонный номер";
		$admtext['publisher'] = "Издатель";
		$admtext['actualtext'] = "Актуальный текст";
		$admtext['confdeletesrc'] = "Вы уверены, что хотите удалить этот источник?";
		$admtext['selectshorttitle'] = "Выберите или введите краткий заголовок для этого типа событий.";
		$admtext['existingsourceinfo'] = "Информация о существующем источнике ";
		$admtext['newsourceinfo'] = "Информация о новом источнике ";
		$admtext['addnewsource'] = "Добавить новый источник ";
		$admtext['prefixsourceid'] = "Начинать каждый идентификационный номер источника с буквы 'S' что означает 'Source' (=Источник)";
		$admtext['entersourceid'] = "Введите идентификационный номер источника.";
		$admtext['validsourceid'] = "Введите действующий идентификационный номер источника. Действующий номер – это последовательность чисел, начинающаяся с буквы 'S'.";
		$admtext['createsource'] = "Сделайте запись для нового источника ";
		$admtext['editexistingsource'] = "Изменить информацию об уже добавленном источнике ";
		$admtext['addnewcite'] = "Добавить новую цитату ";
		$admtext['reliability'] = "Достоверность";
		$admtext['relyexplain'] = "Большие числа указывают на большую достоверность.";
		$admtext['citedate'] = "Дата цитаты";
		$admtext['modifycite'] = "Изменить существующую цитату ";
		$admtext['addingcite'] = "Цитата добавляется...";
		$admtext['deletingcite'] = "Цитата удаляется...";
		$admtext['updatingcite'] = "Цитата обрабатывается...";
		$admtext['citation'] = "Цитата";
		$admtext['sevslater'] = "Примечание: подходящие события и записи можно добавить после того, как сведения о новом источнике сохранены.";
		$admtext['pleasesourcepart'] = "Пожалуйста, введите часть заголовка.";
		$admtext['addnewrepo'] = "Добавление новых архивов ";
		$admtext['modifyrepo'] = "Изменить существующее архив ";
		$admtext['createrepo'] = "Сделать запись для нового архива ";
		$admtext['editexistingrepo'] = "Изменить информацию об уже добавленном архиве ";
		$admtext['enterrepoid'] = "Введите, пожалуйста, идентификационный номер архива.";
		$admtext['enterreponame'] = "Внесите, пожалуйста, описание архива (например, название).";
		$admtext['newrepoinfo'] = "Новая информация об архиве ";
		$admtext['prefixrepoid'] = "Начинайте идентификационный номер архива с  'REPO' от 'Repository' (=архив по-английски)";
		$admtext['selectrepoaction'] = "Выберите архив и действие ";
		$admtext['confdeleterepo'] = "вы уверены, что хотите удалить этот архив?";
		$admtext['changestorepo'] = "Изменения в этом архиве ";
		$admtext['existingrepoinfo'] = "существующая информация об архиве ";
		$admtext['pleaserepopart'] = "Пожалуйста, внесите часть описания архива.";
		$admtext['choosemergesources'] = "Выбрать источники для объединения или искать возможные совпадения ";
		$admtext['confirmmergesources'] = "Вы уверены, что хотите объединить эти источники?";
		$admtext['choosemergerepos'] = "Выбрать архивы для объединения или искать возможные совпадения ";
		$admtext['confirmmergerepos'] = "Вы уверены, что хотите объединить эти архивы?";
		$admtext['revslater'] = "Примечание: подходящие события и записи можно будет добавить после того, как данные о новом архиве были сохранены.";
		$admtext['confdeleterepo'] = "вы уверены, что хотите удалить этот архив?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Проверить правильность нового идентификационного номера ";
		$admtext['idnotvalid'] = "это недействительный идентификационный номер. Действительный идентификационный номер – это последовательность чисел, которая начинается с ";
		$admtext['idinuse'] = "уже используется. Выберите другой идентификационный номер ";
		$admtext['idok'] = "можно использовать ";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Номер Шаблона";
		$admtext['mainimage'] = "Основное изображение (домашняя страница)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Название изображения (домашняя страница)"; //1, 2, 3
		$admtext['headline'] = "Заголовок"; //4, 7
		$admtext['mainpara'] = "Пункт Добро пожаловать";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Header image (including title)"; //1
		$admtext['pedperson'] = "Pedigree person ID"; //2
		$admtext['pedtree'] = "Pedigree tree ID"; //2
		$admtext['phhistperson'] = "Photos & Histories person ID"; //2
		$admtext['phhisttree'] = "Photos & Histories tree ID"; //2
		$admtext['headimg'] = "Изображение в шапке"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Название изображения"; //2, 3
		$admtext['titleimg'] = "Название изображения (все страницы)"; //4, 7
		$admtext['searchpara'] = "Search paragraph"; //6
		$admtext['fhpara'] = "Family Histories paragraph"; //6
		$admtext['fhlinkshis'] = "Family Histories links (His)"; //6
		$admtext['fhlinkshers'] = "Family Histories links (Hers)"; //6
		$admtext['mwpara'] = "Most Wanted paragraph"; //6
		$admtext['respara'] = "Resources paragraph"; //6
		$admtext['reslinks'] = "Ссылки на Ресурсы"; //6
		$admtext['headtitle1'] = "Header title, part 1"; //8
		$admtext['headtitle2'] = "Header title, part 2"; //8
		$admtext['headtitle3'] = "Header title, part 3"; //8
		$admtext['headsubtitle'] = "Титры"; //8
		$admtext['latestnews'] = "Последние новости"; //8
		$admtext['momside'] = "Название стороны матери"; //8
		$admtext['dadside'] = "Название стороны отца"; //8
		$admtext['momperson'] = "Личность стороны матери ID"; //8
		$admtext['momtree'] = "Дерево стороны матери ID"; //8
		$admtext['dadperson'] = "Личность стороны отца ID"; //8
		$admtext['dadtree'] = "Дерево стороны отца ID"; //8
		$admtext['featurethumb1'] = "Feature 1 thumbnail"; //4
		$admtext['featurelink1'] = "Feature 1 link"; //4
		$admtext['featuretitle1'] = "Feature 1 title"; //4
		$admtext['featurepara1'] = "Feature 1 paragraph"; //4
		$admtext['featurethumb2'] = "Feature 2 thumbnail"; //4
		$admtext['featurelink2'] = "Feature 2 link"; //4
		$admtext['featuretitle2'] = "Feature 2 title"; //4
		$admtext['featurepara2'] = "Feature 2 paragraph"; //4
		$admtext['featurethumb3'] = "Feature 3 thumbnail"; //4
		$admtext['featurelink3'] = "Feature 3 link"; //4
		$admtext['featuretitle3'] = "Feature 3 title"; //4
		$admtext['featurepara3'] = "Feature 3 paragraph"; //4
		$admtext['featurethumb4'] = "Feature 4 thumbnail"; //4
		$admtext['featurelink4'] = "Feature 4 link"; //4
		$admtext['featuretitle4'] = "Feature 4 title"; //4
		$admtext['featurepara4'] = "Feature 4 paragraph"; //4
		$admtext['photocaption'] = "Основное изображение подписи"; //4
		$admtext['maintitle'] = "Главное название"; //5
		$admtext['hisside'] = "His Side label"; //5
		$admtext['herside'] = "Her Side label"; //5
		$admtext['newstext'] = "Текст Новости"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Включить Выбор Шаблона";
		//added in 9.0.0
		$admtext['template'] = "Шаблон";
		$admtext['createcopy'] = "Создать копию в";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Тематические ссылки"; //9, 10
		$admtext['featurepara'] = "Пункт Особенности"; //9, 10
		$admtext['welcome'] = "Заголовок Добро пожаловать"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mom's Side names"; //8
		$admtext['dadsidenames'] = "Dad's Side names"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Features paragraph";
		$admtext['menutitle'] = "Menu Title";
		$admtext['titlechoice'] = "Title option";
		$admtext['photol'] = "Left image";
		$admtext['phototitlel'] = "Left image title";
		$admtext['photocaptionl'] = "Left image caption";
		$admtext['photor'] = "Right image";
		$admtext['phototitler'] = "Right image title";
		$admtext['photocaptionr'] = "Right image caption";
		$admtext['topsurnames'] = "Top Surnames label";
		$admtext['headimg2'] = "Header image 2"; //14
		$admtext['headimg3'] = "Header image 3"; //14
		$admtext['showprev'] = "Show Previews";
		$admtext['hideprev'] = "Hide Previews";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Feature 5 thumbnail"; //15
		$admtext['featurelink5'] = "Feature 5 link"; //15
		$admtext['featuretitle5'] = "Feature 5 title"; //15
		$admtext['featurepara5'] = "Feature 5 paragraph"; //15
		$admtext['featurethumb6'] = "Feature 6 thumbnail"; //15
		$admtext['featurelink6'] = "Feature 6 link"; //15
		$admtext['featuretitle6'] = "Feature 6 title"; //15
		$admtext['featurepara6'] = "Feature 6 paragraph"; //15
		$admtext['featurethumb7'] = "Feature 7 thumbnail"; //15
		$admtext['featurelink7'] = "Feature 7 link"; //15
		$admtext['featurepara7'] = "Feature 7 paragraph"; //15
		$admtext['featurethumb8'] = "Feature 8 thumbnail"; //15
		$admtext['featurelink8'] = "Feature 8 link"; //15
		$admtext['featurepara8'] = "Feature 8 paragraph"; //15
		$admtext['sidebarhead1'] = "Sidebar header 1"; //15
		$admtext['sidebarhead2'] = "Sidebar header 2"; //15
		$admtext['sidebarhead3'] = "Sidebar header 3"; //15
		$admtext['texttitle1'] = "Text 1 title"; //15
		$admtext['textlink1'] = "Text 1 link"; //15
		$admtext['textpara1'] = "Text 1 paragraph"; //15
		$admtext['texttitle2'] = "Text 2 title"; //15
		$admtext['textlink2'] = "Text 2 link"; //15
		$admtext['textpara2'] = "Text 2 paragraph"; //15
		$admtext['texttitle3'] = "Text 3 title"; //15
		$admtext['textpara3'] = "Text 3 paragraph"; //15
		$admtext['subhead1'] = "Subhead 1"; //15
		$admtext['subhead2'] = "Subhead 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Таблицы успешно созданы.";
		$admtext['backtosetup'] = "Назад к меню настроек ";
		$admtext['configuration'] = "Конфигурация";
		$admtext['entersysvars'] = "Введите значения переменных системы.";
		$admtext['createdbtables'] = "Создать таблицы базы данных, где будет храниться Ваша информация.";
		$admtext['tcwarning'] = "<strong>Внимание!</strong> Выбирайте эту опцию только в том случае, когда устанавливаете Ваш сайт в первый раз! <strong>Все существующие сведения, вместе с информацией о фотографиях, историях, надгробиях и кладбищах будут удалены!</strong>";
		$admtext['conftabledelete'] = "Сейчас будут удалены ВСЯ Ваша информация !!! Вы уверены, что хотите продолжить?";
		$admtext['performdatamaint'] = "Разработайте базу данных и обработайте фотографии, истории и другие компоненты.";
		$admtext['createtables'] = "Создать таблицы ";
		$admtext['configsettings'] = "Общие Настройки ";
		$admtext['logconfigsettings'] = "Войти в Настройки ";
		$admtext['importconfigsettings'] = "Импортировать Настройки ";
		$admtext['diagnostics'] = "Тест";
		$admtext['rundiags'] = "Выполнить тест ";
		$admtext['phpinf'] = "Окошко PHP-информации ";
		$admtext['fromphp'] = "Эта информация с Вашего сервера и зависит от настроек PHP, а не TNG.";
		$admtext['phpver'] = "Версия PHP";
		$admtext['phpreq'] = "(TNG требует 5.3 или выше.)";
		$admtext['gdlib'] = "Библиотека GD шрифтов";
		$admtext['gdreq'] = "(Нужно для создания картинок в TNG.)";
		$admtext['availnogif'] = "Доступно, но не поддерживает изображения с расширением .gif";
		$admtext['notinst'] = "Не установлено ";
		$admtext['safemode'] = "Безопасный режим ";
		$admtext['off'] = "Выключено";
		$admtext['on'] = "Включено";
		$admtext['fileuploads'] = "Файл загружается ";
		$admtext['fureq'] = "(Нужно для загрузки GEDCOM из интернета, загрузки изображений и других.)";
		$admtext['perm'] = "Разрешить";
		$admtext['notperm'] = "Не разрешено, поэтому используйте FTP";
		$admtext['sqlver'] = "Версия MySQL";
		$admtext['sqlreq'] = "(Для TNG нужна версия 5.5 или более поздняя.)";
		$admtext['wsrvr'] = "Вебсервер";
		$admtext['fperms'] = "Права доступа к файлам/директории ";
		$admtext['fpreq'] = "(TNG требует, чтобы некоторые файлы и директории имели особые права доступа.)";
		$admtext['scruser'] = "Сценарий как для пользователя:";
		$admtext['phpuser'] = "PHP сообщает об этом как пользователь:";
		$admtext['usrprob'] = "Возможно, у Вас нет необходимых прав доступа, чтобы запустить TNG без помех, если Вы используете административные функции и FTP и  TNG для работы с файлами.";
		$admtext['rofile'] = "Файл только для чтения:";
		$admtext['rofolder'] = "Директория только для чтения:";
		$admtext['publog'] = "Общий файл ";
		$admtext['admlog'] = "Файл для администрирования ";
		$admtext['folderdne'] = "Такая директория не существует:";
		$admtext['keyrw'] = "Важные директории все только для чтения/записи ";
		$admtext['cfgrw'] = "Файлы конфигурации все только для чтения/записи ";
		$admtext['acceptable'] = "Приемлимый.";
		$admtext['restricted'] = "Определенные функции могут быть ограничены. Возможно, Вы столкнетесь с проблемами при инсталяции или работе TNG.";
		$admtext['needchngs'] = "Возможно, TNG не работает без изменений конфигурации PHP или сервера.";
		$admtext['yourbrowser'] = "Ваш браузер:";
		$admtext['modifysettings'] = "Изменить настройки ";
		$admtext['dbhost'] = "Хост базы данных ";
		$admtext['dbname'] = "Название базы данных ";
		$admtext['dbusername'] = "Название пользователя базы данных ";
		$admtext['dbpassword'] = "Пароль базы данных ";
		$admtext['rootpath'] = "Главный путь (Корневой))";
		$admtext['homepage'] = "Начальная страница";
		$admtext['emailaddress'] = "E-mail";
		$admtext['siteowner'] = "Владелец сайта ";
		$admtext['maxdescgens'] = "Максимальное количество поколений потомков ";
		$admtext['disallow'] = "Отменить";
		$admtext['defaultallowed'] = "Стандарт: Разрешить";
		$admtext['maxsearchresults'] = "максимальное количество результатов поиска ";
		$admtext['targetframe'] = "Мишенная рама ";
		$admtext['table'] = "Таблица";
		$admtext['lastbackup'] = "Последнее создание резервной копии ";
		$admtext['backup'] = "резервная копия";
		$admtext['restore'] = "восстановить";
		$admtext['backupfilesize'] = "Величина файла";
		$admtext['succbackedup'] = "резервная копия создана";
		$admtext['succrestored'] = "восстановлено";
		$admtext['change_cutoff'] = "Количество дней в 'Что нового'";
		$admtext['change_limit'] = "Максимальное количество топиков в 'Что нового'";
		$admtext['photosext'] = "Увеличение фото";
		$admtext['defaulttree'] = "Стандартное генеалогическое древо ";
		$admtext['requirelogin'] = "Требуется регистрация ";
		$admtext['defaultdontrequire'] = "Стандартно : Не требуется ";
		$admtext['ldsdefault'] = "Показать сведения о ЦИХСПД";
		$admtext['ldson'] = "Всегда";
		$admtext['ldsoff'] = "Никогда";
		$admtext['ldspermit'] = "Зависит от пользовательских прав ";
		$admtext['allow'] = "Разрешить";
		$admtext['chooselang'] = "Быстрое изменение языка ";
		$admtext['optimize'] = "оптимизировать";
		$admtext['succoptimized'] = "оптимизация произошла ";
		$admtext['customheader'] = "Личные заголовки (Header)";
		$admtext['customfooter'] = "Личные примечания (Footer)";
		$admtext['custommeta'] = "Личные meta";
		$admtext['lineending'] = "Конец строки";
		$admtext['backuppath'] = "Папка резервных копий";
		$admtext['photopath'] = "Папка с фото";
		$admtext['headstonepath'] = "Папка надгробий";
		$admtext['historypath'] = "Папка с историями";
		$admtext['backuprestoretables'] = "Таблица сведений о Резервировании/Восстановлении/Оптимизации ";
		$admtext['shownames'] = "Показать имена живущих ";
		$admtext['initials'] = "Инициалы";
		$admtext['regformat'] = "Формат списка ";
		$admtext['stdformat'] = "Стандартный формат ";
		$admtext['thumbprefix'] = "Приставка к картинке ";
		$admtext['thumbmaxh'] = "Максимальная высота картинки ";
		$admtext['thumbmaxw'] = "Максимальная ширина картинки ";
		$admtext['thumbsuffix'] = "Увеличение картинок ";
		$admtext['showextended'] = "Показать подробную информацию о фото ";
		$admtext['shownotes'] = "Показать записи ";
		$admtext['notestogether'] = "При соответствующем событии, если возможно ";
		$admtext['notestogether2'] = "Underneath events, except general notes";
		$admtext['notesapart'] = "В секции записей ";
		$admtext['lnprefixes'] = "Предлоги (такие как:van, de)";
		$admtext['lntogether'] = "Сохранить как часть фамилии ";
		$admtext['lnapart'] = "Обрабатывать как отдельную часть ";
		$admtext['detectpfx'] = "Детекция предлогов при импортировании ";
		$admtext['lnpfxnum'] = "Количество предлогов (максимальное)";
		$admtext['specpfx'] = "ИЛИ эти особые предлоги ";
		$admtext['newmedialinks'] = "Количество новых ссылок при фото/историях ";
		$admtext['maxgedcom'] = "Максимальное количество поколений, которые может загрузить GEDCOM";
		$admtext['placestable'] = "Таблица мест";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "URL генеалогии";
		$admtext['charset'] = "Знаки";
		$admtext['time_offset'] = "Разница во времени на сервере (часы)";
		$admtext['backupall'] = "Выбрано создание резервной копии ";
		$admtext['optimizeall'] = "Выбрана оптимизация ";
		$admtext['alltables'] = "Выбранные таблицы ";
		$admtext['brinstructions'] = "Для того, чтобы создать резервную копию, восстановление, оптимизацию таблицы, кликните мышкой на соответствующую пиктограмму нужной таблицы, или выберете несколько таблиц и примените нужное Вам действие ко всем выбранным таблицам, кликнув по соответствующей пиктограмме внизу страницы.";
		$admtext['tabstyle'] = "Страница стилей ярлыков ";
		$admtext['iconloc'] = "Место для меню пиктограмм ";
		$admtext['topleft'] = "Вверху слева, над названием ";
		$admtext['topright'] = "Вверху справа, рядом с названием ";
		$admtext['indstart'] = "Личности начинаются с ";
		$admtext['persinfo'] = "Только личная информация ";
		$admtext['allinfo'] = "Вся информация ";
		$admtext['thumbcols'] = "Количество колонок в панораме картинок ";
		$admtext['stdesc'] = "Открыть панораму родов ";
		$admtext['stexpand'] = "Развернуто";
		$admtext['stcollapse'] = "Свернуто";
		$admtext['regnosp'] = "Личности без семьи списком ";
		$admtext['chshow'] = "Всегда всем показывать ";
		$admtext['chifsp'] = "Не показывать более личности без семьи ";
		$admtext['restoreall'] = "Восстановить выбранное ";
		$admtext['surerestore'] = "Вы уверены, что хотите восстановить выбранные таблицы?";
		$admtext['surerestorets'] = "Вы уверены, что хотите восстановить табличную структуру? Вся существующая информация будет утеряна!";
		$admtext['backupstruct'] = "Создать резервную копию табличной структуры ";
		$admtext['tablestruct'] = "Табличная структура";
		$admtext['brinstructions2'] = "Кликните внизу на нужной пиктограмме, чтобы создать резервную копию или восстановить табличную структуру. ПРЕДУПРЕЖДЕНИЕ: Восстановление табличной структуры уничтожить все существующие сведения!";
		$admtext['livedefault'] = "Показать сведения о живущих ";
		$admtext['nodisplay'] = "Не показывать";
		$admtext['menudisp'] = "Меню воспроизведения";
		$admtext['asicons'] = "В виде пиктограмм";
		$admtext['asdrop'] = "В виде развернутого списка ";
		$admtext['gendex'] = "Папка GENDEX ";
		$admtext['modifypedsettings'] = "Изменить настройки родов ";
		$admtext['leftindent'] = "Отступ слева";
		$admtext['boxnamesize'] = "Величина блока имен";
		$admtext['namesizeshift'] = "Изменение величины имен ";
		$admtext['boxdatessize'] = "Величина блока сведений";
		$admtext['datessizeshift'] = "Изменение величины сведений ";
		$admtext['boxcolor'] = "Цветовой блок";
		$admtext['colorshift'] = "Изменение цвета (%)";
		$admtext['emptycolor'] = "Отсутствие цвета ";
		$admtext['bordercolor'] = "Цвет полей";
		$admtext['shadowcolor'] = "Цвет затенения";
		$admtext['boxwidth'] = "Ширина блока  (без диалоговых окон)";
		$admtext['boxheight'] = "Высота блока (без диалоговых окон)";
		$admtext['boxalign'] = "Перемещение блока (без диалоговых окон)";
		$admtext['boxheightshift'] = "Изменение высоты блока (диалоговых окон)";
		$admtext['boxHsep'] = "Горизонтальные линии в блоке ";
		$admtext['boxVsep'] = "Вертикальные линии в блоке ";
		$admtext['shadowoffset'] = "Снятие тени";
		$admtext['linewidth'] = "Толщина линий";
		$admtext['borderwidth'] = "Величина поля";
		$admtext['popupcolor'] = "Цвет диалогового окна";
		$admtext['popupinfosize'] = "Размер диалогового окна справки ";
		$admtext['popupinfosizeshift'] = "Изменение размера диалогового окна справки ";
		$admtext['popuptimer'] = "Диалоговое окно таймера  (ms)";
		$admtext['pedevent'] = "Диалоговое окно события ";
		$admtext['puboxwidth'] = "Ширина ящика(с диалоговыми окнами)";
		$admtext['puboxheight'] = "Величина ящика (с диалоговыми окнами)";
		$admtext['puboxalign'] = "Перемещение блока  (с диалоговыми окнами)";
		$admtext['puboxheightshift'] = "Изменение высоты блока (с диалоговыми окнами)";
		$admtext['popupspouses'] = "Диалоговые окна супругов ";
		$admtext['popupkids'] = "Диалоговые окна детей ";
		$admtext['popupchartlinks'] = "Диалоговое окно графических ссылок";
		$admtext['inclphotos'] = "Внести фото";
		$admtext['overflow'] = "Переход";
		$admtext['pedcompact'] = "Сжать";
		$admtext['pedstandard'] = "Стандарт";
		$admtext['pedtextonly'] = "Только текст";
		$admtext['relchart'] = "Перечень отношений";
		$admtext['maxupgen'] = "Максимальное количество отношений в поколении ";
		$admtext['left'] = "Слева";
		$admtext['right'] = "Справа";
		$admtext['center'] = "В центре";
		$admtext['mouseover'] = "Движение мышки";
		$admtext['mousedown'] = "Клик мышки";
		$admtext['ahnentafel'] = "(Развернутый) перечень предков";
		$admtext['pedbox'] = "Ящик";
		$admtext['hideempty'] = "скрыть пустые ящики ";
		$admtext['logfilename'] = "Логин (название файла)";
		$admtext['maxloglines'] = "Максимальное количество строк в логине ";
		$admtext['modifylogsettings'] = "Изменить Настройки Конфигурации Логина ";
		$admtext['badhosts'] = "Только гостевые имена ";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Общедоступный)";
		$admtext['saveimportstate'] = "Сохранить статус импорта ";
		$admtext['allowresume'] = "Сохранить, чтобы вернуться, если импортирования не произойдет ";
		$admtext['modifyimportsettings'] = "Изменить настройки конфигурации импортирования ";
		$admtext['embeddedmedia'] = "Встроенное медиа";
		$admtext['assignnames'] = "Разрешить TNG, чтобы дать названия встроенному медиа ";
		$admtext['localphotopath'] = "Местный(е) путь(и) для фотографий ";
		$admtext['localdocpath'] = " Местный(е) путь(и) для историй ";
		$admtext['nopathmatch'] = "Если местный путь совпадает ";
		$admtext['wholepath'] = "Импортировать весь путь ";
		$admtext['justname'] = "Импортировать только название файла ";
		$admtext['gedpath'] = "Папка GEDCOMа  (Импорт/Экспорт)";
		$admtext['makefolder'] = "Создать папку ";
		$admtext['blankchangedt'] = "Если Дата изменений отсутствует ";
		$admtext['usetoday'] = "Использовать сегодняшнее число ";
		$admtext['useblank'] = "Оставить без изменений ";
		$admtext['nobirthdate'] = "Принимать при отсутствии даты рождения";
		$admtext['persliving'] = "Персоналия еще живет ";
		$admtext['persdead'] = "Персоналия умерла ";
		$admtext['nodeathdate'] = "Принимать при отсутствии даты смерти <br />если старше, чем";
		$admtext['pedconfigsettings'] = "Обзор настроек ";
		$admtext['usepopups'] = "Стандартное отображение ";
		$admtext['maxpedgens'] = "Максимальное количество поколений ";
		$admtext['dbsection'] = "База данных";
		$admtext['tablesection'] = "Названия таблиц";
		$admtext['foldersection'] = "Пути и папки ";
		$admtext['sitesection'] = "Дизайн сайта и определение ";
		$admtext['privsection'] = "Частное";
		$admtext['namesection'] = "Имена";
		$admtext['descsection'] = "Потомки";
		$admtext['miscsection'] = "Разное";
		$admtext['mediatable'] = "Таблица Медиа";
		$admtext['pedanddesc'] = "Общие части ";
		$admtext['descchart'] = "Обзор потомков ";
		$admtext['pedchart'] = "Обзов генеалогического древа";
		$admtext['initgens'] = "Стандартное количество поколений ";
		$admtext['mediapath'] = "Общая медиа папка";
		$admtext['documentpath'] = "Папка для документов";
		$admtext['localdocumentpath'] = "Местный(е) путь(и) для документов ";
		$admtext['localotherpath'] = "Местный(е) путь(и) для оставшегося медиа ";
		$admtext['imgmaxh'] = "Максимальная высота изображения ";
		$admtext['imgmaxw'] = "Максимальная ширина изображения ";
		$admtext['succdel'] = "успешно удалено";
		$admtext['delbkups'] = "Удалить выбранные резервные копии ";
		$admtext['suredelbk'] = "Вы уверены, что хотите удалить выбранные резервные копии?";
		$admtext['showhome'] = "Показать линк стартовой страницы ";
		$admtext['showsearch'] = "Показать линк Поиск ";
		$admtext['showlogin'] = "Показать линк войти/выйти";
		$admtext['showprint'] = "Показать линк Принтера";
		$admtext['showbmarks'] = "Показать линк 'Добавить закладку'";
		$admtext['server'] = "(сервер)";
		$admtext['client'] = "(клиент)";
		$admtext['sitename'] = "Название сайта";
		$admtext['site_desc'] = "Описание сайта ";
		$admtext['privnote'] = "Приставка для частных записей ";
		$admtext['custvars'] = "Примечание: Свои настройки вы можете записать в 'customconfig.php' (откройте этот файл в текстовом редакторе и прочитайте инструкции).";
		$admtext['blockemail'] = "Блокировать вмешательство или регистрацию других пользователей, если ";
		$admtext['addrcontains'] = "Адрес содержит";
		$admtext['msgcontains'] = "сообщение содержит ";
		$admtext['reqloginset'] = "\"Требуется Логин\" должен быть установлен на Да, чтобы включить эту опцию";
		$admtext['treerestrict'] = "Ограничить доступ к назначенному древу";
		$admtext['mapconfigsettings'] = "Настройки Карты";
		$admtext['modifymapsettings'] = "Изменить параметры конфигурации карты";
		$admtext['maptype'] = "Тип карты:";
		$admtext['maphybrid'] = "Hybrid";
		$admtext['mapsatellite'] = "Спутник";
		$admtext['mapdimsind'] = "Размеры индивидуальной страницы";
		$admtext['mapdimshst'] = "Dimensions, Headstones Pages";
		$admtext['mapdimsadm'] = "Размеры страницы Администратора";
		$admtext['mapwidth'] = "Ширина (% в px)";
		$admtext['mapheight'] = "Высота (px)";
		$admtext['mapstlat'] = "Начальная Широта";
		$admtext['mapstlong'] = "Начальная Долгота";
		$admtext['startoff'] = "Hide Admin Maps to Start";
		$admtext['conslpins'] = "Consolidate Duplicate Pins";
		$admtext['ssenabled'] = "Включить слайд-шоу";
		$admtext['ssrepeat'] = "Слайд-шоу Авто повтор";
		$admtext['sysinfo'] = "Сообщите информацию о месте Вашего сайта.";
		$admtext['albumlinkstable'] = "Таблица альбомных линков ";
		$admtext['addresstable'] = "Таблица адрессов ";
		$admtext['statestable'] = "Таблица государств ";
		$admtext['countriestable'] = "Таблица стран ";
		$admtext['notelinkstable'] = "Таблица записей и связей ";
		$admtext['medialinkstable'] = "Таблица медиа линков ";
		$admtext['saveimporttable'] = "Таблица сохранения и импорта ";
		$admtext['brlinkstable'] = "Таблица связей между ветвями ";
		$admtext['temptable'] = "Временная таблица событий ";
		$admtext['tleventstable'] = "Таблица временных отрезков событий ";
		$admtext['album2entitiestable'] = "Ссылка на альбом";
		$admtext['doctype'] = "Doctype Declaration";
		$admtext['cemrows'] = "Максимальное количество строк в столбце (приблизительно.)";
		$admtext['cemblanks'] = "Suppress \"Unknown\" categories";
		$admtext['success'] = "Успешно";
		$admtext['fexists'] = "Не удалось. Папка уже существует.";
		$admtext['fmanual'] = "Не удалось. Пожалуйста, создайте с помощью FTP программу или онлайн-файловый менеджер.";
		$admtext['maintmode'] = "Режим обслуживания";
		$admtext['maintexp'] = "Все доступы к базам данных временно недоступны из за обслуживания сайта. Пожалуйста, повторите попытку позже. Если регулярные функции не возобновяться в течение нескольких часов после этого сообщения, пожалуйста, свяжитесь с администрацией сайта.";
		$admtext['defimpopt'] = "Опция изменить по умолчанию";
		$admtext['seltable'] = "Пожалуйста, выберите хотя бы одну таблицу.";
		$admtext['renumber'] = "Resequence IDs";
		$admtext['idtype'] = "Тип ID";
		$admtext['mindigits'] = "Минимум Цифр";
		$admtext['niprefix'] = "Не включая ID prefix";
		$admtext['finreseq'] = "Готовые переупорядочения";
		$admtext['recsreseq'] = "records resequenced";
		$admtext['needmaint'] = "Вы должны быть в режиме обслуживания для запуска этой утилиты (зайдите в Настройки &gt;&gt; Конфигурация &gt;&gt; Общие Настройки)";
		$admtext['reseqwarn'] = "<strong>WARNING:</strong> Resequencing your IDs could cause external links to your site to break or point to erroneous locations.";
		$admtext['subroot'] = "Subroot Path";
		$admtext['hidechr'] = "Hide Christening Labels";
		$admtext['datefmt'] = "Numeric Date Preference";
		$admtext['dayfirst'] = "День/Месяц/Год";
		$admtext['monthfirst'] = "Месяц/День/Год";
		$admtext['exusers'] = "Исключая имена пользователей";
		$admtext['allowreg'] = "Разрешить регистрацию новых пользователей";
		$admtext['localhspath'] = "Local Headstone Path(s)";
		$admtext['pardata'] = "Данные родителей на личной странице";
		$admtext['pnoevents'] = "Не показывать события";
		$admtext['pstdonly'] = "Показать только стандартные семейные события";
		$admtext['palldata'] = "Показать все события и медиа";
		$admtext['servertime'] = "Серверное время";
		$admtext['sitetime'] = "и время сайта";
		$admtext['srexpl'] = "Optional. Use an absolute path name, like what you see in the Root Path, then move the following files to the Config Path <strong>immediately</strong> after saving and make them writeable (664 permissions): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Default Zoom";
		$admtext['mapfoundzm'] = "Location Zoom";
		$admtext['rrnum'] = "Record Report Number";
		$admtext['progint'] = "Progress Interval (ms)";
		$admtext['timechart'] = "Timeline Chart";
		$admtext['tcheight'] = "Высота Диаграммы";
		$admtext['distances'] = "Все расстояния измеряются в пикселях.";
		$admtext['mpixels'] = "Пиксели между месяцами";
		$admtext['ypixels'] = "Пиксели между годами";
		$admtext['ymult'] = "Years between year markers";
		$admtext['mpct'] = "Vertical percentage for months";
		$admtext['ypct'] = "Вертикальный процент в течении лет";
		$admtext['inclevs'] = "Events to include";
		$admtext['allevs'] = "Все события";
		$admtext['rangeevs'] = "Только события, которые попадают в продолжительности жизни людей на графике";
		$admtext['tcwidth'] = "Начальная ширину графика";
		$admtext['simile'] = "Enable Simile timeline";
		//added in 8.0.0
		$admtext['pstartoff'] = "Скрыть Каталог карт в начале";
		$admtext['maxrels'] = "Максимум Отношений";
		$admtext['initrels'] = "Первоначальные Отношения";
		$admtext['templateconfigsettings'] = "Настройки Шаблона";
		$admtext['modifytemplatesettings'] = "Изменить шаблон параметров конфигурации";
		$admtext['ucsurnames'] = "Uppercase All Surnames";
		$admtext['maxnoteprev'] = "Max characters in list notes";
		$admtext['mailreg'] = "Почта и Регистрация";
		$admtext['autoapp'] = "Автоматическая активация новых пользователей";
		$admtext['inclpwd'] = "Добавить пароль в приветственное письмо";
		$admtext['ackemail'] = "Отправить почту подтверждения";
		$admtext['fromadmin'] = "Отправить всю почту от указанного выше адреса";
		$admtext['autotree'] = "Создать новое дерево для пользователя";
		$admtext['modspath'] = "Mods Folder";
		$admtext['extspath'] = "Папка расширений";
		$admtext['encrtype'] = "Encryption type";
		$admtext['none'] = "No encryption";
		$admtext['imgviewer'] = "Включить просмотра изображений";
		$admtext['docsonly'] = "Только документы";
		$admtext['imgvheight'] = "Высота просмотра изображений";
		$admtext['flex'] = "Всегда показывать полное изображение";
		$admtext['setheight'] = "Фиксированная (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Assign Place records to Trees";
		$admtext['convert'] = "Convert";
		$admtext['convexpl'] = "(Это будет назначать все текущие места для выбранного дерева)";
		$admtext['mergeexpl'] = "(This will remove the tree assignment from all Place records)";
        $admtext['nocutoff'] = "Оставьте пустым или равным нулю, чтобы удалить лимит";
        $admtext['usesmtp'] = "Use SMTP authentication";
        $admtext['mailhost'] = "SMTP host name";
        $admtext['mailuser'] = "Имя пользователя почты";
        $admtext['mailpass'] = "Пароль почты";
        $admtext['mailport'] = "Номер порта";
		$admtext['showshare'] = "Show Share Link";
		$admtext['defpgsize'] = "Размер страницы PDF по умолчанию";
		$admtext['mapterrain'] = "Terrain";
		$admtext['maproadmap'] = "Road Map";
		$admtext['usedefthumbs'] = "Использовать эскизы по умолчанию";
        $admtext['autogeo'] = "Geocode all new places";
        $admtext['revmail'] = "Notify on reviewable submissions";
        $admtext['assumepriv'] = "Assume private if not dead this many years";
        $admtext['calstart'] = "Первый день недели";
		$admtext['edit_timeout'] = "Изменить Тайм-аут (минуты)";
		$admtext['shownamespr'] = "Показать Имена для частных";
		$admtext['tables'] = "Таблицы";
		//changed in 10.0.0
		$admtext['regnotes'] = "Записи списком ";
		//added in 10.0.0
		$admtext['collation'] = "Collation";
		$admtext['collationexpl'] = "(leave blank to accept the default)";
		$admtext['scrollcite'] = "Scroll citations";
		$admtext['hidemedia'] = "Hide personal media";
		$admtext['searchchoice'] = "Search Link Destination";
		$admtext['quicksearch'] = "Quick Search";
		$admtext['advsearch'] = "Advanced Search";
		$admtext['pedvertical'] = "Vertical";
		$admtext['vboxwidth'] = "Box Width";
		$admtext['vboxheight'] = "Box Height";
		$admtext['vspacing'] = "Spacing";
		$admtext['vchart'] = "Vertical Chart";
		//added in 10.1.0
		$admtext['reuseids'] = "Re-use deleted IDs";
		$admtext['lastimport'] = "Show last import";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Database Port";
		$admtext['dbsocket'] = "Database Socket";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefixes and Suffixes";
		$admtext['personprefix'] = "Person prefix";
		$admtext['personsuffix'] = "Person suffix";
		$admtext['familyprefix'] = "Family prefix";
		$admtext['familysuffix'] = "Family suffix";
		$admtext['sourceprefix'] = "Source prefix";
		$admtext['sourcesuffix'] = "Source suffix";
		$admtext['repoprefix'] = "Repository prefix";
		$admtext['reposuffix'] = "Repository suffix";
		$admtext['noteprefix'] = "Note prefix";
		$admtext['notesuffix'] = "Note suffix";
		$admtext['mobilesection'] = "Mobile";
		$admtext['mobilesite'] = "Mobile site name will be ";
		$admtext['menubar'] = "in mobile menu bar";
		$admtext['belowbar'] = "below mobile menu bar";
		$admtext['responsivetables'] = "Enable responsive tables";
		$admtext['tabletype'] = "Responsive table type";
		$admtext['enablemodeswitch'] = "Enable responsive tables mode switcher";
		$admtext['enableminimap'] = "Enable responsive tables mini map";
		$admtext['showtasks'] = "Show 'Important tasks' messages";
		$admtext['showtotals'] = "Show record totals on Admin menu";
		$admtext['backupdays'] = "Alert if no backup in this many days";
		$admtext['backupnote'] = "NOTE: If your database is very large, you might want to use an independent tool (like mysqldumper or phpMyAdmin) to back up and restore your tables. At least one of these should be available from your site control panel.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Hide all DNA pages and data";
        $admtext['assumeliving'] = "Assume living if not dead this many years";
		//changed in 11.0.2
		$admtext['mapkey'] = "Cheie harta";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "Внесите часть имени и/или фамилии ";
		$admtext['pleasenamepart'] = "Пожалуйста, внесите часть имени и/или фамилии.";
		$admtext['enternamepart2'] = "внесите идентификационный номер личности или часть имени и/или фамилии ";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Пожалуйста, внесите часть названия места.";
		$admtext['addnewplace'] = "Добавить новое место ";
		$admtext['createplace'] = "Сделать запись для нового места ";
		$admtext['modifyplace'] = "Изменить существующее место ";
		$admtext['editexistingplaceinfo'] = "Wijzig de informatie van een reeds toegevoegde plaats";
		$admtext['enterplace'] = "Внесите, пожалуйста, название места.";
		$admtext['newplaceinfo'] = "Информация о новом месте ";
		$admtext['existingplaceinfo'] = "Существующая информация об этом месте ";
		$admtext['changestoplace'] = "Изменения в этом месте ";
		$admtext['selectplaceaction'] = "Выбрать место и действие ";
		$admtext['mergeplaces'] = "Объединить места ";
		$admtext['findmerge'] = "Найти кандидатов для объединения";
		$admtext['selectplacemerge'] = "Выбрать места для объединения ";
		$admtext['mcol1'] = "Добавить<br/>это<br/>(стереть)";
		$admtext['mcol2'] = "вместе<br/>с<br/>(держать)";
		$admtext['pmsucc'] = "Объединение мест произошло успешно ";
		$admtext['nomerge'] = "Нечего объединить ";
		$admtext['enterkeep'] = "Выберите, пожалуйста, цель объединения.";
		$admtext['backmerge'] = "Искать еще раз ";
		$admtext['confdeleteplace'] = "Вы уверены, что хотите удалить это место?";
		$admtext['propagate'] = "Изменить названия мест в существующих событиях ";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Are you sure you want to unlink this cemetery?";
		$admtext['nocoords'] = "Отсутствует широта или долгота";
		$admtext['istemple'] = "Это название является LDS кодом храма";
		$admtext['findtemples'] = "Найти только LDS коды храма";
		$admtext['choosecem'] = "Выберите кладбище";
		$admtext['geocopy'] = "Copy geocode information below to this cemetery";
		$admtext['linkcem'] = "Link this place to a cemetery";
		$admtext['cemsavail'] = "Список включает в себя только кладбища, которые ещё не связаны с местом";
		$admtext['nocemsavail'] = "Не существует  кладбищ, или каждое кладбище уже было связано с местом.";
        //added in 9.0.0
        $admtext['geocode'] = "Geocode";
        $admtext['ignoreall'] = "Игнорировать всё";
        $admtext['usefirst'] = "Use first match";
        $admtext['multchoice'] = "If multiple results are found for a place:";
        $admtext['geoexpl'] = "Geocode all Places without latitude and longitude coordinates";
        $admtext['geocoding'] = "Geocoding...";
        $admtext['backgeo'] = "Return to Geocode menu";
        $admtext['limit'] = "Limit:";
        $admtext['nolimit'] = "No limit";
		$admtext['blankplace'] = "Blank place name";
        $admtext['nogeocode'] = "Could not be geocoded";
        $admtext['toomany'] = "Ignored (too many results)";
		$admtext['treesgone'] = "Tree assignments removed from all place records";
		//added in 11.0.0
		$admtext['nolevel'] = "Place Level not set";
		$admtext['placenotsaved'] = "Place not saved. Another place with that name already exists. Please merge instead.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Создать новый идентификационный номер ";
		$admtext['generating'] = "Создается... Подождите немного!";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Расчитываются линии родов...";
		$admtext['finishedtracking'] = "Расчет линий родов закончен.";
		$admtext['backtosecondary'] = "Назад к побочным действиям ";
		$admtext['sortchildren'] = "Сортировать детей ";
		$admtext['sortingchildren'] = "Сортирование детей...";
		$admtext['sortspouses'] = "Сортировать супруг(ов) ";
		$admtext['sortingspouses'] = "Сортировать супруг(ов)...";
		$admtext['relabelbranches'] = "Отметить ветви";
		$admtext['relabeling'] = "Отметка ветвей...";
		$admtext['creatinggendex'] = "Создается файл GENDEX...";
		$admtext['finishedgendex'] = "Закончил создание файла GENDEX.";
		//added in 8.0.0
		$admtext['postgdx'] = "Where to post your GENDEX file";
		//added in 10.0.0
		$admtext['evalmedia'] = "Trim Media Menus";
		$admtext['evaluating'] = "Counting media";
		$admtext['finished'] = "Finished";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Добавить новый язык";
		$admtext['enterlangdisplay'] = "Ввести название языка.";
		$admtext['enterlangfolder'] = "Набрать название папки, где будут сохраняться файлы для этого языка.";
		$admtext['newlanguageinfo'] = "Информация о новом языке ";
		$admtext['langdisplay'] = "Название этого языка<br>как его будут видеть посетители ";
		$admtext['createlanguage'] = "Сделать запись для нового языка ";
		$admtext['nolanguages'] = "Нет записи о языке";
		$admtext['conflangdelete'] = "Вы уверены, что хотите удалить этот язык?";
		$admtext['existinglanguages'] = "Информация о существующем языке ";
		$admtext['modifylanguage'] = "Изменить существующий язык ";
		$admtext['changestolanguage'] = "Изменения в языке ";
		$admtext['charset'] = "Знаки";
		$admtext['editexistinglanguage'] = "Изменить, удалить или добавить язык ";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Сделать запись для нового генеалогического древа ";
		$admtext['notrees'] = "Не записи о генеалогическом древе ";
		$admtext['existingtrees'] = "Информация о существующем генеалогическом древе ";
		$admtext['editexistingtree'] = "Изменить информацию об уже добавленном генеалогическом древе ";
		$admtext['treename'] = "Название генеалогического древа";
		$admtext['owner'] = "Владелец";
		$admtext['conftreedelete'] = "Вы уверены, что хотите удалить это генеалогическое древо, а также все, связанные с ним элементы?";
		$admtext['conftreeclear'] = "Вы уверены, что хотите удалить все сведения об этом генеалогическом древе?";
		$admtext['changestotree'] = "Изменения в генеалогическом древе ";
		$admtext['newtreeinfo'] = "Информация о новом генеалогическом древе ";
		$admtext['existingtreeinfo'] = "Информация о существующем генеалогическом древе ";
		$admtext['modifytree'] = "Изменить существующее генеалогическое древо ";
		$admtext['succcleared'] = "успешно удалено ";
		$admtext['gedcomextraction'] = "Пользователи не могут загружать GEDCOM";
		$admtext['gedexport'] = "Экспортировать GEDCOM";
		$admtext['exporting'] = "Экспортирует GEDCOM...";
		$admtext['ifexportfails'] = "Если экспорт не произойдет,";
		$admtext['finishedexporting'] = "Закончил экспорт GEDCOMа";
		$admtext['backtotrees'] = "Вернуться к генеалогическим древам";
		$admtext['downloadged'] = "Загрузить GEDCOM";
		$admtext['lastimport'] = "Последний импорт";
		$admtext['treeexists'] = "Генеалогическое древо с выбранным идентификационным номером уже существует. Выберите другой номер и попробуйте снова.";
		$admtext['exportmedia'] = "Экспорт медиалинков ";
		//added in 8.0.0
		$admtext['changetree'] = "Поменять Древо";
		$admtext['newtree'] = "Новое Древо";
		$admtext['currtree'] = "Текущее Древо";
		$admtext['chwarn'] = "WARNING: This operation will remove all family links, citations and other references to this entity within the current tree.";
		$admtext['keepprivate'] = "Не отображать информацию о владельце";
		//changed in 9.0.0
		$admtext['exppaths'] = "Местные пути для";
		$admtext['nopdf'] = "Не позволять пользователям создавать PDF файлы";
		//added in 10.0.0
		$admtext['exprivate'] = "Exclude private";
		$admtext['exliving'] = "Exclude living";
		$admtext['importfilename'] = "Import File Name";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Добавить нового пользователя ";
		$admtext['createuser'] = "Сделать запись для нового пользователя ";
		$admtext['nousers'] = "Нет записи для пользователя ";
		$admtext['existingusers'] = "Информация о существующем пользователе ";
		$admtext['editexistinguser'] = "Изменить информацию об уже добавленном пользователе ";
		$admtext['confuserdelete'] = "Вы уверены, что хотите удалить этого пользователя?";
		$admtext['changestouser'] = "Изменения в пользователе ";
		$admtext['enteruserpassword'] = "Введите пароль.";
		$admtext['enterusername'] = "Введите имя пользователя.";
		$admtext['newuserinfo'] = "Информация о новом пользователе ";
		$admtext['existinguserinfo'] = "Информация о существующем пользователе ";
		$admtext['modifyuser'] = "Изменить существующего пользователя ";
		$admtext['allow_living'] = "Информация о живущих персоналиях может быть отображена ";
		$admtext['allow_lds'] = "HLD информация может быть отображена ";
		$admtext['enterusername'] = "Введите имя пользователя.";
		$admtext['enteruserdesc'] = "Введите описание имени пользхователя.";
		$admtext['enterpassword'] = "введите пароль.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "Первый пользователь, которого вы введете, будет администратором TNG-сайта (генеалогическое древо НЕ выбрано) и будет иметь доступ ко всем настройкам TNG-сайта.";
		$admtext['userfailed'] = "ОШАБКА: этот пользователь не может быть создан, потому что уже существует пользователь с таким именем.";
		$admtext['allow_ged'] = "Разрешить создание файлов GEDCOM";
		$admtext['assigned'] = "Выдано";
		$admtext['treemsg'] = "Опция. Не выбранное генеалогическое древо и ветвь дает доступ ко всем генеалогическим древам и ветвям. Для Администратора это поле должно остаться пустым.";
		$admtext['branchmsg'] = "Опция. При отдаче ветви этому пользователю все отданные права будут применены только к этой ветви генеалогического древа.";
		$admtext['accesslimits'] = "Ограничения доступа:";
		$admtext['rights'] = "Права:";
		$admtext['realname'] = "Имя";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Регистрация(и) новых пользователей ";
		$admtext['editnewusers'] = "Обработать записи нижестоящих только что зарегистрированных пользователей. Новые пользователи получают права после обработки регистрации.";
		$admtext['nonewusers'] = "Нет новых пользователей ";
		$admtext['lastlogin'] = "последний упомянутый ";
		$admtext['tentative_edit'] = "Разрешить посылку предложений/замечаний (только в отношении персоналий, семей и источников)";
		$admtext['notify'] = "сообщить этому пользователю об активации его/ее аккаунта ";
		$admtext['no_edit'] = "Изменения существующих записей <strong>не</strong> разрешено";
		$admtext['emailusers'] = "Отправьте E-mail пользователям";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "E-mail сообщение пользователям";
		$admtext['subject'] = "Тема сообщения";
		$admtext['messagetext'] = "Текст сообщения";
		$admtext['selectgroup'] = "Выберите группу, которая должна получить e-mail (оставить незаполненным, чтобы выбрать все группы)";
		$admtext['treemailmsg'] = "Выборочно. Выбор генеалогического древа дает возможность получить это сообщение всем пользователям этого древа.";
		$admtext['branchmailmsg'] = "Выборочно. Выбор ветви дает возможность получить это сообщение всем пользователям этой ветви.";
		$admtext['send'] = "Отправить e-mail";
		$admtext['sentmailmessage'] = "Отправить сообщение";
		$admtext['succmail'] = "Ваше сообщение отправлено.";
		$admtext['mailfailed'] = "При отправке вашего сообщения произошла ошибка.";
		$admtext['entersubject'] = "Задайте, пожалуйста, тему сообщения.";
		$admtext['entermsgtext'] = "Напишите, пожалуйста, текст.";
		$admtext['adminonly'] = "Показать только пользователей Admin";
		$admtext['dtregistered'] = "Дата регистрации";
		$admtext['dtactivated'] = "Дата активации";
		$admtext['no_email'] = "Не отправлять общего сообщения этому пользователю ";
		$admtext['allow_admin'] = "Дать доступ ко всем системным настройкам  и функциям и дать права на все генеалогические древа и ветви.";
		$admtext['limitedrights'] = "Ограничить доступ к следующему:";
		$admtext['allow_edit'] = "Изменения существующих записей разрешено (через страницу администратора)";
		$admtext['allow_add'] = "Добавление новых записей разрешено ";
		$admtext['allow_delete'] = "Удаление существующих записей разрешено ";
		//added in 8.0.0
		$admtext['usrguest'] = "Гость";
		$admtext['usrguestd'] = "Нет прав добавлять, редактировать и удалять.";
		$admtext['noadmin'] = "Нет доступа в область Администратора.";
		$admtext['usrsubm'] = "Submitter";
		$admtext['usrsubmd'] = "Разрешены изменения подлежащие к рассмотрению.";
		$admtext['usrcontrib'] = "Эксперт";
		$admtext['usrcontribd'] = "Добавлять информацию, в том числе медиа.";
		$admtext['usreditor'] = "Редактор";
		$admtext['usreditord'] = "Добавить, редактировать и удалять всю информацию, в том числе  медиа.";
		$admtext['usradmin'] = "Администратор";
		$admtext['usradmind'] = "Все права.";
		$admtext['usrmcontrib'] = "Медиа Эксперт";
		$admtext['usrmcontribd'] = "Добавлять только медиа.";
		$admtext['usrmeditor'] = "Медиа редактор";
		$admtext['usrmeditord'] = "Добавлять, редактировать и удалять только медиа.";
		$admtext['allow_media_edit'] = "Разрешить редактировать только медиа файлов";
		$admtext['allow_media_add'] = "Разрешить добавление только медиа файлов";
		$admtext['allow_media_delete'] = "Разрешить только удаление медиа файлов";
		$admtext['no_add'] = "Нет прав добавлять";
		$admtext['no_delete'] = "Нет прав удалять";
		$admtext['roles'] = "Roles";
		$admtext['usrcustom'] = "Custom";
        //added in 9.0.0
		$admtext['allow_private'] = "Разрешить рассматривать информацию для частных лиц";
		$admtext['allow_pdf'] = "Разрешить скачивать PDF файлы";
		$admtext['allow_profile'] = "Разрешить редактировать профиль пользователя";
		break;

	case "login":
		$admtext['loginfailed'] = "Логин не удался.";
		$admtext['adminlogfile'] = "Admin Log File";
		$admtext['mostrecentactions'] = "самые недавние изменения";
		$admtext['rempass'] = "Запомнить мой логин на этом компьютере";
		$admtext['sessexp'] = "Your session has expired.";
		$admtext['logagain'] = "Click to log in again.";
		//added in 8.1.0
		$admtext['logininactive'] = "Your login is not yet active. Please try again later or contact the site administrator.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Create a new timeline event";
		$admtext['modifytlevent'] = "Изменить существующую временную линию событий ";
		$admtext['leaveblankalltlevents'] = "оставить это поле незаполненным, чтобы отобразить все временные линии событий ";
		$admtext['evyear'] = "Год временной линии событий ";
		$admtext['evdetail'] = "Подробности временной линии событий ";
		$admtext['selecttleventaction'] = "Выбрать временную линию событий и действие ";
		$admtext['changestotlevent'] = "Изменения во временной линии событий ";
		$admtext['location'] = "Место";
		$admtext['confdeletetlevent'] = "Вы уверены, что хотите удалить эту временную линию событий?";
		$admtext['enterevyear'] = "Заполните, пожалуйста, год временной линии событий.";
		$admtext['enterevdetail'] = "Заполните, пожалуйста, подробности этой временной линии событий.";
		$admtext['existingtleventinfo'] = "Существующая временная линия событий ";
		$admtext['newtleventinfo'] = "Новая временная линия событий ";
		$admtext['edittleventinfo'] = "Добавление, изменения или удаление временной линии событий ";
		$admtext['addnewtlevent'] = "Добавить новое событие ";
		$admtext['yrreq'] = "(только год обязателен)";
		$admtext['startdt'] = "Дата начала";
		$admtext['enddt'] = "Дата завершения";
		//added in 9.0.0
		$admtext['evtitle'] = "Название мероприятия";
		break;

	case "review":
		$admtext['selectevaction'] = "Выберите предложенное изменение и действие ";
		$admtext['suggested'] = "Предложение";
		$admtext['usernotes'] = "Примечания в отношении<br />предложенного изменения<br />(не будут сохранены)";
		$admtext['postdate'] = "Введено";
		$admtext['savedel'] = "Обработать & удалить";
		$admtext['postpone'] = "Отложить";
		$admtext['igndel'] = "Отменить & удалить";
		$admtext['tentdel'] = "было удалено";
		$admtext['tentadd'] = "сделано постоянным";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Непосредственно найти, отредактировать или удалить любую запись в базе данных.";
		$admtext['whatsnewblurb'] = "Предоставьте своим посетителям общие обновления сайта или другую своевременную информацию в верхней части страницы Что Нового.";
		$admtext['mwblurb'] = "Создайте список неуловимых людей и неопознанных фотографий, в надежде получить больше информации для этих элементов, которые дают вам больше всего хлопот.";
		$admtext['dvblurb'] = "Find potential problems in your information.";
		$admtext['wr_gender'] = "Wrong gender";
		$admtext['unk_gender'] = "Unknown gender";
		$admtext['marr_young'] = "Married too young (less than 15 years old)";
		$admtext['marr_aft_death'] = "Married after death";
		$admtext['marr_bef_birth'] = "Married before birth";
		$admtext['died_bef_birth'] = "Died before birth";
		$admtext['parents_younger'] = "Born too early (parents less than 15 years old, or child born before marriage)";
		$admtext['children_late'] = "Born too late (mother more than 50 years old)";
		$admtext['not_living'] = "Person marked as living, death date present";
		$admtext['not_dead'] = "Person marked as deceased, possibly still living";
		$admtext['parmarr'] = "Parents' Marriage";
		$admtext['motherbirth'] = "Mother's Birth";
		break;
		
	case "mods":
		$admtext['modlist'] = "Mod Список";
		$admtext['reqremove'] = "Request to remove mod";
		$admtext['confcanc'] = "Confirm request or cancel";
		$admtext['confrem'] = "Подтвердить удаление";
		$admtext['confirmedrem'] = "Confirmed request to remove mod";
		$admtext['removed'] = "removed";
		$admtext['notremoved'] = "Not Removed due to the following errors";
		$admtext['reqclean'] = "Request to clean mod";
		$admtext['confclean'] = "Confirm Clean";
		$admtext['confirmedclean'] = "Confirmed request to clean mod";
		$admtext['cleanatt'] = "Clean attempted";
		$admtext['cleanperf'] = "Cleanup performed with following notes";
		$admtext['reqedit'] = "Request to edit mod";
		$admtext['confedit'] = "Подтверждение редактирования";
		$admtext['cfgvalsread'] = "Configuration Values Read from TNG files.";
		$admtext['confirmededit'] = "Подтвердить запрос на обновление мод со значениями";
		$admtext['editdone'] = "Редактирование завершено";
		$admtext['editperf'] = " Изменить параметры были изменены следующим образом:";
		$admtext['reqinstall'] = "Запрос установить мод";
		$admtext['confinst'] = "Подтверждение установки";
		$admtext['confirmedinst'] = "Подтвердить запрос установить мод";
		$admtext['installed'] = "Установлено";
		$admtext['notinst2'] = "Не установлен из-за следующих ошибок";
		$admtext['reqdelete'] = "Запрос удалить файл конфигурации MOD";
		$admtext['nomodundo'] = "Вы не можете отменить эту операцию. Вам нужно будет повторно загрузить этот мод, если вы хотите установить или изменить в любой момент.";
		$admtext['confdel'] = "Подтвердить удаление";
		$admtext['confirmeddel'] = "Confirmed request to delete the mod config file";
		$admtext['deleted'] = "deleted";
		$admtext['cantdel'] = "can't delete";
		$admtext['remman'] = "Please remove this file manually";
		$admtext['cfgname'] = "Имя файла конфигурации";
		$admtext['version'] = "Версия";
		$admtext['clean'] = "Привести в порядок";
		$admtext['nomods'] = "Никакие файлы мод  (ххх) не найдены в папке модуля";
		$admtext['notarget'] = "%target: tag missing";
		$admtext['notarget2'] = "no target file located";
		$admtext['peerror'] = "Ошибка редактирования параметра";
		$admtext['prerror'] = "Parameter Read Error";
		$admtext['location'] = "Место";
		$admtext['missing'] = "Отсутствует";
		$admtext['badtarget'] = "Плохая цель";
		$admtext['targetlost'] = "Could not find target";
		$admtext['modins'] = "Mod code inserted.";
		$admtext['modtrins'] = "Mod code trimmed and inserted.";
		$admtext['modrepl'] = "Mod code replaced.";
		$admtext['nfilemissing'] = "Новое имя файла отсутствует";
		$admtext['create'] = "Создать...";
		$admtext['cantwrite'] = "Невозможно записать в";
		$admtext['checkperms'] = "Check permissions, currently";
		$admtext['notwrite'] = "is not writable, check permissions";
		$admtext['cfilemissing'] = "Copy file name missing";
		$admtext['cffilemissing'] = "Copy file name (from) missing";
		$admtext['ctfilemissing'] = "Copy file name (to) missing";
		$admtext['copyfile'] = "Copy file xxx to";
		$admtext['cantcopy'] = "Unable to copy to";
		$admtext['checkwrite'] = "Check permissions, must be writeable.";
		$admtext['forwrite'] = "for writing";
		$admtext['written'] = "Файл записан";
		$admtext['toterrors'] = "Всего ошибок";
		$admtext['totfiles'] = "Всего новых файлов";
		$admtext['notallinst'] = "Не все разделы установлены";
		$admtext['notallrem'] = "Не все разделы удалены";
		$admtext['section'] = "Раздел";
		$admtext['missfile'] = "Файл отсутствует";
		$admtext['targetsearch'] = "Поиск цели";
		$admtext['insrem'] = "Mod inserted code removed.";
		$admtext['remrem'] = "Mod removed code removed.";
		$admtext['trimrem'] = "Mod code trimmed and removed.";
		$admtext['orgrepl'] = "Оригинальный код заменён";
		$admtext['cantrepl'] = "Невозможно заменить оригинальный код, не найдено.";
		$admtext['orgtrrepl'] = "Оригинальный код обрезается и заменяется";
		$admtext['keyword'] = "keyword";
		$admtext['notunique'] = "не уникальна";
		$admtext['noaction'] = "никаких действий";
		$admtext['novers'] = "Existing xxx does not have a version number";
		$admtext['param'] = "Параметр";
		$admtext['params'] = "Параметры";
		$admtext['paramed'] = "Редактор параметров";
		$admtext['enterparam'] = "Введите параметр MOD";
		$admtext['paramval'] = "значение";
		$admtext['noparams'] = "Нет определения параметров";
		$admtext['nodesc'] = "Parameter definition error, missing description";
		$admtext['defval'] = "Default value";
		$admtext['updateval'] = "Updating xxx value of [yyy] to the mod config file.";
		$admtext['rewritten'] = "rewritten";
		$admtext['fixingcfg'] = "Исправление файла конфигурации";
		$admtext['fixedcfg'] = "Файл конфогурации исправлен";
		$admtext['fixingtar'] = "Fixing Target File";
		$admtext['fixedtar'] = "Target File Fixed";
		$admtext['fincorr'] = "Finished correcting desired data";
		$admtext['targetupd'] = "Target data updated";
		$admtext['written'] = "Файл записан";
		$admtext['permerr'] = "Ошибка разрешение файла";
		$admtext['updconfig'] = "Информация обновления файла конфигурации";
		$admtext['configupd'] = "Данные  конфигурации обновляются, Конец Loop";
		//changed in 9.0.0
		$admtext['readvals'] = "Read Existing Values from TNG files";
		$admtext['retstatus'] = "Вернуться к Статусу";
		$admtext['locmissing'] = "Локальная копия ххх для установки отсутствует";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Требуется обновление Mod";
		$admtext['keywordmissing'] = "Keyword is missing. Mod construction error.";
		$admtext['cannotinstall'] = "Невозможно установить этот мод";
		$admtext['notargetkeyword'] = "Target file is required";
		$admtext['emptytarget'] = "Target file is an empty file.";
		$admtext['missingtarget'] = "Target file is not installed.";
		$admtext['missingfiles'] = "File to be copied is missing from source folder";
		$admtext['pararead'] = "Parameters read from files";
		$admtext['rewritetarget'] = "Rewrite target file";
		$admtext['targetcode'] = "target code is";
		$admtext['modtrimrepl'] = "Мод код обрезается и заменяется.";
		$admtext['cantdelmissing'] = "Не удается удалить, файл отсутствует";
		$admtext['totcopyfiles'] = "Всего файлов для копирования";
		$admtext['successfully'] = "Успешно";
		$admtext['filecreated'] = "Создано успешно";
		//changed in 10.0.3 
		$admtext['editperf'] = " Изменить параметры были изменены следующим образом:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Пакетные обновления";
		$admtext['options'] = "Параметры";
		$admtext['viewlog'] = "Просмотр журнала";
		$admtext['filesexcused'] = "Файлы, Допускается не";
		$admtext['fileexcused'] = "Файл допустить провала";
		$admtext['copiesexcused'] = "Копии допустить провала";
		$admtext['copyexcused'] = "Копирования завершаться со сбоем";
		$admtext['optionalfile'] = "Факультативный указанный файл";
		$admtext['installbypassed'] = "раздел установить обход";
		$admtext['removalbypassed'] = "раздел Удаление обошел";
		$admtext['target'] = "Изменения";
		$admtext['newfile'] = "Создает";
		$admtext['copiesfile'] = "Копии";
		$admtext['copiesfile2'] = "Копирует";
		$admtext['aflistoptions'] = "Параметры списка испорченных файлов";
		$admtext['showaflist'] = "Показать список затронутых файлов";
		$admtext['shownewfile'] = "Показывать новые файлы в списке";
		$admtext['showfilecopies'] = "Показать файлы, скопированные в списке";
		$admtext['namecol'] = "Показать список в столбце";
		$admtext['showlistas'] = "Показать список как";
		$admtext['showastable'] = "Таблица";
		$admtext['showascsv'] = "Значения, разделенные запятыми";
		$admtext['batchshowaflist'] = "Показать список в пакетных обновлений";
		$admtext['logoptions'] = "Параметры журнала мод менеджер";
		$admtext['logactions'] = "Журнал мод менеджер действия";
		$admtext['mmlogfilename'] = "Имя файла журнала";
		$admtext['sortlistby'] = "Сортировать списки по";
		$admtext['modname'] = "Мод имя";
		$admtext['bypassconfirm'] = "Обойти подтверждения";
		$admtext['bypassaction'] = "Обойти действие сообщения";
		$admtext['modifyoptions'] = "Изменить параметры диспетчера Мод";
		$admtext['ready'] = "OK для установки";
		$admtext['badmod'] = "Не удается установить";
		$admtext['noselected'] = "Вы не выбрали любые файлы!";
		$admtext['choose'] = "Выберите";
		$admtext['showlogfile'] = "Показать журнал мод менеджер действий";
		$admtext['recentactions'] = "Мод менеджер наиболее недавние действия";
		$admtext['emptylog'] = "Пустой журнал";
		$admtext['clearlog'] = "Очистить журнал";
		$admtext['confirmclearlog'] = "Вы действительно хотите удалить журнал ?";
		$admtext['copyfrom'] = "Copy from ";
		$admtext['modsyntax'] = "Mod Syntax";
		$admtext['modguidelines'] = "Mod Standards";
		$admtext['analyzer'] = "Analyzer";
		$admtext['filemod'] = "File xxx is modified by";
		$admtext['filesel'] = "Select Modified File to examine the changes";
		$admtext['potconf'] = "Potential Conflicts";
		$admtext['modifications'] = "modifications";
		$admtext['othermmoptions'] = "Other";
		$admtext['file'] = "File";
		$admtext['tngmods'] = "Mods for TNG ";
		$admtext['unexpected'] = "Unexpected keyword";
		$admtext['syntax'] = "Syntax";
		//changed in TNG 10.1
		$admtext['copied'] = "copied";
		$admtext['emptyfile'] = "file is empty";
		$admtext['filescopied'] = "files copied";
		$admtext['notarget'] = "%target: tag missing";
		$admtext['notinst'] = "not installed";
		$admtext['install'] = "install";
		$admtext['filedel'] = "File deleted";
		$admtext['created'] = "created";
		$admtext['choosefilter'] = "Choose the filter and click Go for the available controls";
		$admtext['mmmaxloglines'] = "Max number of transactions";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Uninstall";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Clean Up";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Edit Options";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "OK to install";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "file version/version mismatch";
		$admtext['bomfound'] = "BOM removed";
		$admtext['cantinst'] = "cannot install";
		$admtext['cantproc'] = "cannot remove mod";
		$admtext['cantupd'] = "unable to update parameter";
		$admtext['cleanupall'] = "Clean up";
		$admtext['confdelmod'] = "Do you really want to delete this mod from your system?";
		$admtext['copiesreq'] = "file copies specified";
		$admtext['delete'] = "Delete";
		$admtext['deleteall'] = "Delete";
		$admtext['errors'] = "errors";
		$admtext['excused'] = "files excused";
		$admtext['filesinst'] = "files installed";
		$admtext['filesrem'] = "files removed";
		$admtext['format'] = "format error";
		$admtext['ignored'] = "location ignored";
		$admtext['installall'] = "Install";
		$admtext['installing'] = "Installing";
		$admtext['line'] = "Line";
		$admtext['modified'] = "modified";
		$admtext['modsinst'] = "code modifications installed";
		$admtext['modrem'] = "mod uninstalled";
		$admtext['modsrem'] = "code modifications removed";
		$admtext['modsreq'] = "code modifications specified";
		$admtext['newfilesreq'] = "new files specified";
		$admtext['nfcreated'] = "new file created";
		$admtext['noaccess'] = "no access";
		$admtext['noact'] = "action tag invalid";
		$admtext['nocfgfile'] = "mod file not found";
		$admtext['nocode'] = "code section missing";
		$admtext['nocomps'] = "missing elements";
		$admtext['noend'] = "%end:% tag missing";
		$admtext['noinsert'] = "code insert failed";
		$admtext['noinsrem'] = "inserted code not removed";
		$admtext['nolocation'] = "missing location tag";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "unable to replace code";
		$admtext['notgtfile'] = "not accessible (no target file)";
		$admtext['notopened'] = "target file not opened";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "opened";
		$admtext['optional'] = "optional";
		$admtext['parameter'] = "parameter";
		$admtext['partinst'] = "partially installed";
		$admtext['removeall'] = "Uninstall";    // was Remove Selected mods
		$admtext['removing'] = "Uninstalling";    // was Removing
		$admtext['reqtag'] = "required tag missing";
		$admtext['restparam'] = "Restoring default parameter";
		$admtext['return'] = "Return to Mod Manager";
		$admtext['secnoterm'] = "section not terminated";
		$admtext['tagnoterm'] = "tag not terminated";
		$admtext['tagunk'] = "tag is unknown";
		$admtext['tgtfile'] = "target file";
		$admtext['updated'] = "updated";
		$admtext['updparam'] = "Updating parameter";
		$admtext['unxend'] = "unexpected end of file";
		$admtext['warnings'] = "Warnings";
		$admtext['whitespace'] = "whitespace";
		$admtext['locations'] = "locations";
		$admtext['allowdeletepartial'] = "Allow Delete Selected of Partially Installed Mods";
		$admtext['allowdeleteinstalled'] = "Allow Delete of individually Installed Mods";
		$admtext['showwarnings'] = "Show Mod Warnings in Status";
		$admtext['logfullpath'] = "Log full path for file actions";
		$admtext['deletingmods'] = "Deleting mod files";
		$admtext['deleting'] = "Deleting ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Files";
		$admtext['hasoptions'] = "Options";
		$admtext['update'] = "Update";
		$admtext['restore'] = "Restore Default";
		$admtext['compressnames'] = "Compress Mod Names in Mod List";
		$admtext['stayon'] = "Lock";
		$admtext['accessible'] = "accessible";
		$admtext['bypassed'] = "bypassed";
		$admtext['willbypass'] = "will ignore";  // was "will bypass"
		$admtext['cantdel'] = "can't delete";
		$admtext['optmissing'] = "file missing (optional)";
		$admtext['tgtmissing'] = "target file missing";
		$admtext['optlocked'] = "file locked (optional)";
		$admtext['tgtlocked'] = "file locked";
		$admtext['alreadyrem'] = "already removed";
		$admtext['noaccess'] = "no access";
		$admtext['code'] = "code";
		$admtext['alreadyins'] = "already installed";
		$admtext['badinstall'] = "failed to install";
		$admtext['removed'] = "removed";
		$admtext['deleted'] = "deleted";
		$admtext['optsrcfilemissing'] = "optional source missing";
		$admtext['srcfilemissing'] = "source missing";
		$admtext['optnocopy'] = "optional file not copied";
		$admtext['notcopied'] = "not copied";
		$admtext['copied'] = "copied";
		$admtext['notcreated'] = "can't create new file";
		$admtext['optnotcreated'] = "can't create optional new file";
		$admtext['nocreated'] = "not created";
		$admtext['fixedheader'] = "Use Fixed Headers";
		$admtext['cantremok'] = "can't remove, optional, bypassed";
		$admtext['nofolder'] = "target folder missing";
		$admtext['edparams'] = "edit parameters";
		$admtext['compresslog'] = "Collapse Log Display";
		$admtext['showanalyzer'] = "Show Analyzer tab";
		$admtext['formodname'] = "for mod name ";
		$admtext['nofolder'] = "target folder missing";
		$admtext['fileperms'] = "Please check file permissions";
		$admtext['noparam'] = "parameter missing";
		$admtext['editing'] = "editing";
		$admtext['redirect2log'] = "Redirect to Log For";
		$admtext['on_error'] = "Errors Only";
		$admtext['on_all'] = "All Transactions";
		$admtext['usestriping'] = "Use stripes";
		$admtext['stripeafter'] = "Stripe after number of rows";
		$admtext['adjusthdrs'] = "Adjust Fixed Headers";
		$admtext['displayoptions'] = "Display Settings";
		$admtext['no_frag'] = "code fragment not allowed here";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Are you sure you want to delete this test?";
		$admtext['test_type'] = "Test Type";
		$admtext['test_number'] = "Test Number";
		$admtext['test_date'] = "Test Date";
		$admtext['modifydna'] = "Edit Existing DNA Test";
		$admtext['changestoalldna'] = "Changes to all tests";
		$admtext['addnewdna'] = "Add New DNA Test";
		$admtext['testinfo'] = "Test Information";
		$admtext['urls'] = "Relevant Links";
		$admtext['dnalater'] = "Note: Test can be linked to other individuals on the next screen.";
		$admtext['selecttype'] = "Please select a test type.";
		$admtext['entertestnum'] = "Please enter the test number.";
		$admtext['test_taker'] = "Person who took this test";
		$admtext['test_links'] = "People Linked by this Test";
		$admtext['changestotest'] = "Changes to test";
		break;
}

//common
$admtext['cannotexecutequery'] = "Поиск не может быть выполнен";
$admtext['addnew'] = "Добавить";
$admtext['individuals'] = "Личности";
$admtext['succadded'] = "успешно добавлено";
$admtext['succaddedlinked'] = "успешно добавлено и присоединено к ";
$admtext['succsaved'] = "успешно сохранено";
$admtext['succdeleted'] = "успешно удалено";
$admtext['succdeletedpluslinks'] = "успешно удалено, также, как и все ссылки ";
$admtext['text_delete'] = "Удалить";
$admtext['deleted'] = "Удалено";
$admtext['deleteselected'] = "Удалить выбранное";
$admtext['noresults'] = "Не найдено результатов. Попробуйте еще раз.";
$admtext['action'] = "Действие";
$admtext['id'] = "Идентификационный №";
$admtext['edit'] = "Изменить";
$admtext['notes'] = "Примечания";
$admtext['name'] = "Имя и Фамилия";
$admtext['description'] = "Описание";
$admtext['text_continue'] = "Продолжайте...";
$admtext['searchfor'] = "Искать";
$admtext['lookin'] = "Посмотреть в (отметьте то, что вам нужно)";
$admtext['cemeteryid'] = "Идентификационный № кладбища";
$admtext['exactmatch'] = "Только точные совпадения";
$admtext['nothingtodelete'] = "Ничего не удалять";
$admtext['state'] = "провинция / государство";
$admtext['country'] = "страна";
$admtext['finish'] = "Остановить";
$admtext['ifphotouploaded'] = "Оставьте это поле пустым, если файлы уже находятся в папке с фото.";
$admtext['eventtype'] = "Тип события";
$admtext['source'] = "Источник";
$admtext['savechanges'] = "Сохранить изменения";
$admtext['family'] = "Семья";
$admtext['find'] = "Найти...";
$admtext['create'] = "Создать...";
$admtext['sourceid'] = "Идентификационный № источника";
$admtext['birthabbr'] = "рожд.";
$admtext['chrabbr'] = "крещ.";
$admtext['remove'] = "Удалить";
$admtext['moveup'] = "Вверх";
$admtext['movedown'] = "Вниз";
$admtext['enterpersonid'] = "Введите идентификационный номер личности";
$admtext['personid'] = "Идентификационный № личности";
$admtext['otherevents'] = "Другие события";
$admtext['required'] = "обязательно";
$admtext['children'] = "Дети";
$admtext['chrdate'] = "Дата крещения";
$admtext['chrplace'] = "Место крещения";
$admtext['deathdate'] = "Дата смерти";
$admtext['deathplace'] = "Место смерти";
$admtext['burialdate'] = "Дата похорон";
$admtext['burialplace'] = "Место захоронения";
$admtext['birthdate'] = "Дата рождения";
$admtext['birthplace'] = "Место рождения";
$admtext['title'] = "Титул";
$admtext['sex'] = "Пол";
$admtext['marriagedate'] = "Дата свадьбы";
$admtext['marriageplace'] = "Место свадьбы";
$admtext['lastname'] = "Фамилия";
$admtext['firstname'] = "Имя";
$admtext['filename'] = "Название файла";
$admtext['linkspersonid'] = "Линки (Идентификационный № личности)";
$admtext['cannotopen'] = "Файл не может быть открыт";
$admtext['check'] = "Проверьте";
$admtext['generate'] = "Создать";
$admtext['update'] = "Обновить";
$admtext['confdeleteevent'] = "Вы уверены, что хотите удалить это событие?";
$admtext['existinglinks'] = "Существующий (е) линк(и)):<br>(отметить, чтобы удалить)";
$admtext['lowersortfirst'] = "Сортировка происходит снизу вверх. Десятичные тоже могут быть использованы..";
$admtext['personsname'] = "ФИО личности";
$admtext['tablecreation'] = "Создать таблицу";
$admtext['tracklines'] = "Рассчитать потомков";
$admtext['administration'] = "Страница Администратора";
$admtext['text_or'] = "ИЛИ";
$admtext['cemeteries'] = "Кладбища";
$admtext['families'] = "Семьи";
$admtext['headstones'] = "Надгробия";
$admtext['histories'] = "Жизненные истории";
$admtext['people'] = "Личности";
$admtext['photos'] = "Фотографии";
$admtext['reports'] = "Отчеты";
$admtext['sources'] = "Источники";
$admtext['suffix'] = "Суффикс";
$admtext['add'] = "Добавить";
$admtext['confdeleteentity'] = "Вы уверены, что хотите удалить выбранное?";
$admtext['cemetery'] = "Кладбище";
$admtext['language'] = "Язык";
$admtext['display'] = "Отобразить";
$admtext['languages'] = "Языки";
$admtext['orderpound'] = "Номер по порядку";
$admtext['tree'] = "Родовое древо";
$admtext['alltrees'] = "Все родовые деревья";
$admtext['selectaddtree'] = "Родовое древо (выберите или добавьте)";
$admtext['selecttree'] = "Выбрать / добавить родовое древо.";
$admtext['treebefevent'] = "Вы должны выбрать родовое древо или ввести его прежде, чем сможете добавить новое событие.";
$admtext['text_rename'] = "Изменить имя";
$admtext['clear'] = "Очистить";
$admtext['linktothis'] = "Привязать к этой личности";
$admtext['linkexample'] = "(Введите идентификационный №, напр. 'I###')";
$admtext['existingconfig'] = "Существующая конфигурация";
$admtext['lastmodified'] = "Последние изменения были";
$admtext['addnotes'] = "Дополнительные записи";
$admtext['confdeletenote'] = "Вы уверены, что хотите удалить эту запись?";
$admtext['treebefnote'] = "Вы должны выбрать родовое древо или ввести его прежде, чем сможете добавить новые записи.";
$admtext['general'] = "Обшее";
$admtext['entersearchvalue'] = "Введите слово для поиска.";
$admtext['trees'] = "Родовые древа";
$admtext['users'] = "Пользователи";
$admtext['lds'] = "СПД";
$admtext['norights'] = "Вы не авторизованы и не можете просмотреть эту страницу. Если у вас есть логин и пароль, войдите под своим именем.";
$admtext['username'] = "Имя пользователя";
$admtext['password'] = "Пароль";
$admtext['login'] = "Войти";
$admtext['logout'] = "Выйти";
$admtext['city'] = "Город";  //from cemeteries
$admtext['cap_country'] = "Страна";  //from cemeteries
$admtext['addnewtree'] = "Добавить новое родовое древо ";
$admtext['test'] = "Тест";
$admtext['page'] = "Страница";  //from sources
$admtext['folder'] = "Папка";   //from languages
$admtext['confdeletepers'] = "Вы уверены, что хотите удалить эту персоналию?";
$admtext['save'] = "Сохранить";
$admtext['of'] = "из";
$admtext['size'] = "Ведичина";
$admtext['select'] = "Выбрать";
$admtext['open'] = "Открыть";
$admtext['selectfile'] = "Выбрать файл";
$admtext['altdesc'] = "Альтернативное описание ";
$admtext['altnotes'] = "Альтернативные записи ";
$admtext['savereturn'] = "Вернуться на эту страницу ";
$admtext['saveback'] = "Вернуться к меню";
$admtext['user'] = "Пользователь";
$admtext['DIV'] = "Разведен (а)";
$admtext['search'] = "Искать";  //from findpersonform
$admtext['searchresults'] = "Результаты поиска";  //from people
$admtext['clicktoselect'] = "Кликните, чтобы выбрать";
$admtext['familyid'] = "Идентификационный № семьи";  //from families
$admtext['secondary'] = "Побочные действия";
$admtext['commas'] = "Несколько вариантов вводите, разделяя запятыми ";
$admtext['onsave'] = "После сохранения";
$admtext['adminhome'] = "Домашняя страница администратора";
$admtext['labelbranches'] = "Выделить ветви";
$admtext['branch'] = "Ветвь";
$admtext['findperson'] = "Искать персоналию...";
$admtext['findfamily'] = "Искать семью...";
$admtext['repeatlastq'] = "Повторить последний поиск";
$admtext['alwayson'] = "Всегда видим";
$admtext['all'] = "Все";
$admtext['lnprefix'] = "Инфикс";
$admtext['nameorder'] = "Последовательность имен";
$admtext['western'] = "Сначала имя";
$admtext['lockid'] = "Блокировать";
$admtext['linktothese'] = "Присоединить к:";
$admtext['alsolinkto'] = "Также присоединить к:";
$admtext['linkspersfam'] = "Линки (Идентификационный № личности, Семьи или Источника)";
$admtext['findsource'] = "Найти источник...";
$admtext['address'] = "Адрес";
$admtext['stateprov'] = "Штат / Провинция";
$admtext['zip'] = "Почтовый код";
$admtext['merge'] = "Соединить";
$admtext['otherinfo'] = "Другая информация";
$admtext['available'] = "Доступно";
$admtext['backuprestore'] = "Вспомогательные средства";
$admtext['place'] = "Место";
$admtext['treeid'] = "Идентификационный № родового древа";
$admtext['email'] = "e-mail";
$admtext['event'] = "События";
$admtext['eventdate'] = "Дата события";
$admtext['eventplace'] = "Место события";
$admtext['detail'] = "Детали";
$admtext['export'] = "Экспортировать";
$admtext['tlevents'] = "Временная последовательность событий";
$admtext['places'] = "Места";
$admtext['duplicate'] = "Изменения не сохранены. Запись с таким ключом уже существует.";
$admtext['alttitle'] = "Альтернативный заголовок";
$admtext['enttitle'] = "Заголовок";  //title for a history or photo, not a person
$admtext['address1'] = "Адрес 1";
$admtext['address2'] = "Адрес 2";
$admtext['countryaddr'] = "Страна";
$admtext['branches'] = "Ветви";
$admtext['nobranch'] = "Нет ветви";
$admtext['scrollbranch'] = "(Прокрутить, чтобы увидеть все возможности)";
$admtext['matches'] = "Совпадения";
$admtext['review'] = "Обзор*";
$admtext['allusers'] = "Все пользователи";
$admtext['deathabbr'] = "умер.";
$admtext['burialabbr'] = "похорон.";
$admtext['nochanges'] = "Не произведено изменений.";
$admtext['changestoallitems'] = "Изменения во всех топиках ";  //were made successfully
$admtext['find2'] = "Найти";
$admtext['text_sort'] = "Сортировать";
$admtext['documents'] = "Документы";
$admtext['repository'] = "Местонахождение";
$admtext['more'] = "Больше информации";
$admtext['repositories'] = "Местонахождения";
$admtext['divplace'] = "Место развода";
$admtext['divdate'] = "Дата развода";
$admtext['divdatetr'] = "Дата развода (настоящая)";
$admtext['creategendex'] = "Создать файл  GENDEX";
$admtext['datamaint'] = "Импорт/экспорт";
$admtext['imagefiletoupload'] = "Файл для загрузки";
$admtext['indfamorsrc'] = "личности, семьи, источники, местонахождения или места";
$admtext['improperpermissions'] = "omdat de map niet bestaat (controleer het hoofd-pad (root)) of niet beschikt over de juiste toegangsrechten (Probeer chmod(777)).";
$admtext['person'] = "Личность";
$admtext['setup'] = "Настройки";
$admtext['manage'] = "Поддерживать";
$admtext['reset'] = "Сброс";
$admtext['norecords'] = "Не найдено никаких записей.";
$admtext['secondarymaint'] = "Побочные действия";
$admtext['customeventtypes'] = "Измененные типы событий";
$admtext['findmatches'] = "Ищет совпадения";
$admtext['matchthese'] = "Сравнить со следующими полями:";
$admtext['otheroptions'] = "Другие опции:";
$admtext['ignoreblanks'] = "Не обращать внимание на пробелы";
$admtext['nextmatch'] = "Следующее совпадение";
$admtext['nextdup'] = "Следующий дупликат";
$admtext['comprefresh'] = "Сравнить/Обновить";
$admtext['mswitch'] = "Заменить";
$admtext['nomatches'] = "Нет совпадений!!";
$admtext['combineextras'] = "Комбинировать медиа (среди прочего фотографии & (жизненные)истории";  //changed as well
$admtext['fasterdisplay'] = "NB: Эта страница будет отображаться в другом формате, чтобы быстрей произвести обработку.";
$admtext['publichome'] = "Первая страница Пользователя";
$admtext['selectall'] = "Выбрать все";
$admtext['clearall'] = "Отменить выбор всех";
$admtext['media'] = "Медиа";
$admtext['albums'] = "Альбомы";
$admtext['import'] = "Импорт";
$admtext['item'] = "Топик";
$admtext['combinenotesonly'] = "Сочетать записи";
$admtext['addmedia'] = "Добавить медиа";
$admtext['latitude'] = "Широта";
$admtext['longitude'] = "Долгота";
$admtext['gedimport'] = "Импорт GEDCOMа";
$admtext['improper2'] = "из-за того, что первоначальный файл слишком большой или недействующего формата, или потому что такая папка не существует (проверьте главный путь (корневой)) или не обладает нужными правами доступа (Попробуйте chmod(777)).";
$admtext['confdeleterecs'] = "Вы уверены, что хотите удалить выбранные записи?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocode Location";
$admtext['notfound'] = " не найден. Повторите поиск. Проверьте Карта Поиск Помощь для возможных причин неудачного поиска, или попробовать свои поиск, используя Полное Google Map Search ссылку";
$admtext['showhidemap'] = "Показать / скрыть интерактивные карты";
$admtext['getcoords'] = "(определить широту, долготу и масштаб)";
$admtext['searchstring'] = "Поиск места";
$admtext['zoom'] = "Увеличение/Уменьшение";
$admtext['selectplacelevel'] = "Select Place Level";
$admtext['difficultmap'] = "Полный Google карта Поиск";
$admtext['maphelp'] = "Карта Поиск Помощь";
$admtext['gobutton'] = "Поиск";
$admtext['findpersonid'] = "Найти идентификационный номер личности ";
$admtext['findfamilyid'] = "Искать Идентификационный номер семьи";
$admtext['findsourceid'] = "Искать идентификационный номер источника ";
$admtext['entersourcepart'] = "Введите часть заголовка ";
$admtext['findrepoid'] = "Искать идентификационный номер архива ";
$admtext['enterrepopart'] = "Внесите часть описания архива ";
$admtext['findplace'] = "Найти место";
$admtext['enterplacepart'] = "внесите часть названия места ";
$admtext['entereventinfo'] = "Внести дату события, место события или подробности об этом событии.";
$admtext['entereventtype'] = "Выбрать тип события.";
$admtext['enternote'] = "введите текст записи.";
$admtext['selectsource'] = "Выбрать источник.";
$admtext['confdeletecite'] = "Вы уверены, что хотите удалить эту цитату?";
$admtext['spouses'] = "Супруги";
$admtext['entertreeid'] = "Введите идентификационный номер генеалогического древа.";
$admtext['entertreename'] = "Введите название генеалогического древа.";
$admtext['citations'] = "Цитаты";
$admtext['eventtypes'] = "Типы событий";
$admtext['associations'] = "Связи";
$admtext['makefolder'] = "Создать папку ";
$admtext['allcurrentdata'] = "Все существующие данные ";
$admtext['matchingonly'] = "Только полностью совпадающие ";
$admtext['donotreplace'] = "Не заменять данные ";
$admtext['useroffset'] = "начинать идентификационные номера с:";
$admtext['phone'] = "Телефон";
$admtext['website'] = "Вебсайт";
$admtext['thumb'] = "Картинки";  //as in thumbnail
$admtext['displayorder'] = "Порядок отображения";
$admtext['go'] = "OK";
$admtext['help'] = "Помощь";
$admtext['husband'] = "Супруг";
$admtext['wife'] = "Супруга";
$admtext['husbname'] = "Имя супруга";
$admtext['wifename'] = "Имя супруги";
$admtext['drag'] = "Drag";
$admtext['enterinamepart'] = "enter part of first and/or last name";
$admtext['enterfnamepart'] = "Введите детали отца и / или фамилии матери";
$admtext['hide'] = "Скрыть";
$admtext['toggle'] = "toggle display";
$admtext['wsel'] = "Выбранные:";
$admtext['msg'] = "Сообщение";
$admtext['default'] = "Default";
$admtext['events'] = "События";
$admtext['date'] = "Дата";
$admtext['savecont'] = "Сохранить...";
$admtext['alphanum'] = "Пожалуйста, используйте только буквы и цифры в дереве ID.";
$admtext['mediatypes'] = "Типы Медиа";
$admtext['appendall'] = "Append all records";
$admtext['NPFX'] = "Prefix";
$admtext['prefix'] = "Prefix";
$admtext['mostwanted'] = "Розыск";
$admtext['idexists'] = "не может быть добавлено, потому что этот идентификационный номер уже существует. Воспользуйтесь кнопкой Возврат вашего браузера, чтобы вернуться на предыдущую страницу и выберите другой идентификационный номер.";
$admtext['notdeleted'] = "Файл не может быть удален. Пожалуйста, проверьте права доступа к файлам.";
$admtext['confdeletefile'] = "Вы уверены, что хотите удалить этот файл?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>Примечание:</strong> Вводите, пожалуйста, даты в формате ДД MMM ГГГГ (напр. 10 Апр 2004).";
$admtext['oriental'] = "Сначала фамилия";
$admtext['langfolder'] = "Папка, где будут храниться<br>файлы с языками ";
//moved here in 8.0.0
$admtext['active'] = "Активно";
$admtext['repoid'] = "Идентификационный номер архива ";
$admtext['whatsnew'] = "Что нового ";
$admtext['linkedto'] = "Связанный с";
$admtext['status'] = "Статус";
//added in 8.0.0
$admtext['show'] = "Пример";
$admtext['lnfirst'] = "Сначала фамилия(через запятую)";
$admtext['savefirst'] = "Сначала сохранить изменения?";
$admtext['misc'] = "Разное";
$admtext['modmgr'] = "Менеджер Модулей";
$admtext['menu'] = "Меню";
$admtext['cannotopendir'] = "Не могу открыть папку";
$admtext['reviewsh'] = "Оценить"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Отменитьl";
$admtext['enterpassoc'] = "Внесите, пожалуйста, идентификационный номер личности этой связи.";
$admtext['enterrela'] = "Опишите, пожалуйста, характер этой связи.";
$admtext['confdeleteassoc'] = "Вы уверены, что хотите удалить эту связь?";
$admtext['preview'] = "Показать";
$admtext['livingonly'] = "Только живые";
$admtext['tentdata'] = "Временная запись о событии ";
$admtext['checking'] = "Проверяется... Подождите немного !";
//added in 9.0.0
$admtext['clickresume'] = "click here to resume";
$admtext['copylast'] = "Copy Last";
$admtext['nicbold'] = "Click to Bold";
$admtext['nicitalic'] = "Click to Italic";
$admtext['nicunderline'] = "Click to Underline";
$admtext['niclalign'] = "Left Align";
$admtext['niccalign'] = "Center Align";
$admtext['nicralign'] = "Right Align";
$admtext['nicjalign'] = "Justify Align";
$admtext['nicinsol'] = "Insert Ordered List";
$admtext['nicinsul'] = "Insert Unordered List";
$admtext['nicsub'] = "Click to Subscript";
$admtext['nicsup'] = "Click to Superscript";
$admtext['nicstrike'] = "Click to Strike Through";
$admtext['nicremfmt'] = "Remove Formatting";
$admtext['nicindent'] = "Indent Text";
$admtext['nicremind'] = "Remove Indent";
$admtext['nichr'] = "Horizontal Rule";
$admtext['nicfontsz'] = "Font&nbsp;Size";
$admtext['nicfontfam'] = "Font&nbsp;Family";
$admtext['nicfontfmt'] = "Font&nbsp;Format";
$admtext['niclink'] = "Add Link";
$admtext['nicremlink'] = "Remove Link";
$admtext['nictxtcol'] = "Change Text Color";
$admtext['nicbkgcol'] = "Change Background Color";
$admtext['nicimage'] = "Add Image";
$admtext['change'] = "Изменить";
$admtext['editwarn'] = "Your lock on this record is about to expire. Save your changes now to prevent them from being overwritten by another user.";
$admtext['editconflict'] = "Another user is already editing this record. Please try again later.";
$admtext['retry'] = "Попробуйте ещё раз";
$admtext['notsaved'] = "Changes were not saved. Another user has locked the record.";
//changed in 9.2.0
$admtext['linktype'] = "Type";
//moved here in 10.0.0
$admtext['disabled'] = "Disabled";
$admtext['cremated'] = "Кремирован";
//added in 10.0.0
$admtext['videos'] = "Videos";
$admtext['recordings'] = "Recordings";
$admtext['saveexit'] = "Save and Exit";
$admtext['allbranches'] = "All Branches";
//moved here in 11.0.0
$admtext['nickname'] = "Сокращенное имя";
$admtext['role'] = "Role";
$admtext['commas'] = "Несколько вариантов вводите, разделяя запятыми ";
$admtext['confdellink'] = "Are you sure you want to delete this link?";
$admtext['existlinks'] = "Существующие ссылки";
$admtext['report'] = "Отчет";
//added in 11.0.0
$admtext['sortby'] = "Sort by";
$admtext['unlink'] = "Unlink";
$admtext['privateonly'] = "Private only";
$admtext['dna_links'] = "DNA Links";
$admtext['dataval'] = "Data Validation";
$admtext['norels'] = "Turn off relationship messages";

//change to $text
$admtext['living'] = "Живой";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>