<?php
switch ( $textpart ) {
	//branches.php, branchmenu.php
	case "branches":
		$admtext['branchlabel'] = "Märke på grenen";
		$admtext['existingbranch'] = "Existerande gren";
		$admtext['newbranch'] = "Ny gren";
		$admtext['numgenerations'] = "Antal generationer";
		$admtext['ancestors'] = "Anor";
		$admtext['descofanc'] = "Ättlingagenerationer från varje ana";
		$admtext['descendants'] = "Ättlingar";
		$admtext['includespouses'] = "inkludera makar till ättlingar";
		$admtext['partial'] = "Delvis";
		$admtext['addlabels'] = "Lägg till märke";
		$admtext['clearlabels'] = "Stryk märke";
		$admtext['clearingbranch'] = "Stryk märke för gren";
		$admtext['addingbranch'] = "Lägg till grenmärken";
		$admtext['totalaffected'] = "Påverkade totalt";
		$admtext['labelmore'] = "Märk ytterligare grenar";
		$admtext['enterbranch'] = "Välj en existerande gren eller skapa en ny.";
		$admtext['enterstartingind'] = "Skriv in en startpersons ID.";
		$admtext['gensnumeric'] = "Värden för anor och ättlingar måste vara numeriska.";
		$admtext['overwrite'] = "Skriv över";
		$admtext['branchid'] = "Gren ID";
		$admtext['addnewbranch'] = "Lägg till gren";
		$admtext['createbranch'] = "Skapa post för ny gren";
		$admtext['existingbranchinfo'] = "Information om befintliga grenar";
		$admtext['editexistingbranch'] = "Redigera information om tidigare skapad gren";
		$admtext['confbranchdelete'] = "Är du säker på att du vill radera denna gren?";
		$admtext['enterbranchid'] = "Skriv in gren-ID.";
		$admtext['entertreedesc'] = "Skriv in gren-beskrivning.";
		$admtext['newbranchinfo'] = "Information om ny gren";
		$admtext['modifybranch'] = "Ändra befintlig gren";
		$admtext['changestobranch'] = "Ändringar av gren";
		$admtext['existlabels'] = "Befintliga märken";
		$admtext['leave'] = "Lämna";
		$admtext['append'] = "Lägg till alla poster";
		$admtext['showpeople'] = "Visa personer i detta träd / på denna gren";
		$admtext['branchdiscl'] = "Detta värde visar det totala antalet grenlänkar, inte nödvändigtsvis antalet personer eller familjer som för närvarande tillhör denna gren. Om du nyligen har importerat data kan du behöva döpa om dina grenar.";
		$admtext['inclspouses'] = "Ta med makar till alla ättlingar";
		$admtext['delpeople'] = "Radera personer och familjer på denna gren";
		$admtext['confbrdel'] = "Är du säker att du vill radera alla personer och familjer på denna gren?";
		break;
		
	//addcemetery.php, updatecemetery.php, findcemetery.php, cemeteries.php, editcemetery.php, newcemetery.php
	case "cemeteries":
		$admtext['mapnotcopied'] = "Kartbilden kunde inte kopieras till";
		$admtext['changestocem'] = "Ändringar i begravningsplats";
		$admtext['modifycemetery'] = "Ändra befintlig begravningsplats";
		$admtext['addnewcemetery'] = "Lägg till begravningsplats";
		$admtext['createnewcemetery'] = "Skapa ny begravningsplats";
		$admtext['selectcemaction'] = "Välj begravningsplats och åtgärd";
		$admtext['location'] = "Plats";
		$admtext['confdeletecem'] = "Är du säker på att Du vill ta bort denna begravningsplats?";
		$admtext['editceminfo'] = "Redigera information för en tidigare skapad begravningsplats";
		$admtext['leaveblankallcems'] = "lämna blank för att se alla begravningsplatser";
		$admtext['cemeteryname'] = "Begravningsplatsens namn";
		$admtext['mapfilename'] = "Kartbildsnamn";
		$admtext['countyparish'] = "Församling/Socken";
		$admtext['stateprovince'] = "Landskap/Län";
		$admtext['entercountry'] = "Skriv in landsnamn.";
		$admtext['entermapfile'] = "Skriv in namn på kartfilen på web-servern.";
		$admtext['existingceminfo'] = "Befintlig begravningsplatsinformation";
		$admtext['newceminfo'] = "Ny begravningsplatsinformation";
		$admtext['maptoupload'] = "Kartfil att ladda upp";
		$admtext['mapfilenamefolder'] = "Kartfilsnamn<br>inom gravstensmappen";
		$admtext['ifmapuploaded'] = "Lämna detta fält blankt om filerna redan har laddats upp till gravstensmappen.";
		$admtext['requiredmap'] = "Obligatoriskt fält. Filens namn och plats <em>inom gravstensmappen</em> när den laddats upp. Till exempel, om Din gravstensmapp kallas <em>headstones</em>, och Du vill att Din fil ska kallas <em>map.jpg</em> och läggas i en undermapp till headstones kallad <em>mymaps</em>, ska Du skriva in <em>mymaps/map.jpg</em> i detta fält.";
		//added in 8.0.0
		$admtext['linkplace'] = "Associerad Plats";
		$admtext['fillplace'] = "Fyll Plats";
		$admtext['usecemcoords'] = "Kopiera geokodinformationen ovan till denna plats";
		break;
	
	//addentity.php, newentity.php
	case "entities":
		$admtext['alreadyexists'] = "finns redan";
		$admtext['added'] = "Tillagd";
		$admtext['enternew'] = "Skriv in ny";
		$admtext['pleaseenter'] = "Skriv in en ";
		$admtext['netscapereload'] = "Netscape-användare: <br>Du måste uppdatera begravningsplatssidan för att se din nya";
		break;
		
	//addnote.php, deletenote.php, updatenote.php, newnote.php
	case "notes":
		$admtext['deletingnote'] = "Tar bort notering...";
		$admtext['addingnote'] = "Lägger till notering...";
		$admtext['addnewnote'] = "Lägg till notering";
		$admtext['note'] = "notering";
		$admtext['modifynote'] = "Ändra notering";
		//added in 8.0.0
		$admtext['notechanges'] = "Ändringar att notera";
		break;

	//addevent.php, deleteevent.php, updateevent.php, editevent.php, newevent.php
	case "events":
		$admtext['addingevent'] = "Lägger till händelse...";
		$admtext['deletingevent'] = "Tar bort händelse...";
		$admtext['updatingevent'] = "Updaterar händelse...";
		$admtext['modifyevent'] = "Ändra händelse";
		$admtext['addnewevent'] = "Lägg till händelse";

		$admtext['dateformat'] = "(DD MMM ÅÅÅÅ)";
		$admtext['age'] = "Ålder";
		$admtext['agency'] = "Firma";
		$admtext['cause'] = "Orsak";
		$admtext['moreinfo'] = "Mera information";
		//added in 11.0.0
		$admtext['dupfor'] = "Dubblett till";
		break;

	//gedimport.php
	case "gedimport":
		$admtext['importinggedcom'] = "Importerar GEDCOM...<br>(detta kan ta flera minuter)";
		$admtext['ifimportfails'] = "Om importen inte lyckas färdigställas,";
		$admtext['opened'] = "öppnad...";
		$admtext['toresume'] = "för att återuppta import";  //cannot open to resume import
		$admtext['openedtoresume'] = "öppnad för att återuppta import...";
		$admtext['notresumed'] = "Importen kunde inte återupptas.";
		$admtext['finishedimporting'] = "Färdig med import av GEDCOM";
		$admtext['treeexists'] = "Det finns redan ett annat träd med detta ID. Välj ett annat ID och försök igen.";
		$admtext['backtodataimport'] = "Tillbaka till dataimport";
		$admtext['moreoptions'] = "Flera alternativ";
		$admtext['removeged'] = "Radera GEDCOM-fil (valfri)";
		$admtext['cannotupload'] = "Kunde inte ladda upp filen:";
		$admtext['invfperms'] = "Din 'gedcom'-mapp kan ha felaktiga rättigheter (försök med 755 eller 777).";
		$admtext['maybedone'] = "Det har kanske redan avslutats.";
		$admtext['turnonsis'] = "Se till att 'Spara importstatus' är aktiverat i Importinställningar.";
		//no break here is intentional to allow import scripts to have access to eventtypes messages
	//addeventtype.php, updateeventtype.php, eventtypes.php, neweventtype.php, editeventtype.php
	case "eventtypes":
		$admtext['changestoevtype'] = "Ändringar av händelsetyp";
		$admtext['modifyeventtype'] = "Ändra befintlig händelsetyp";
		$admtext['individual'] = "Individ";
		$admtext['entertypedesc'] = "Skriv in typ/beskrivning av denna nya händelsetyp.";
		$admtext['enterdisplay'] = "Skriv in en benämning för denna nya händelsetyp.";
		$admtext['existingeventtypeinfo'] = "Information om befintlig händelsetyp";
		$admtext['neweventtypeinfo'] = "Information om ny händelsetyp";
		$admtext['tag'] = "Etikett";
		$admtext['typedescription'] = "Typ/Beskrivning";
		$admtext['onimport'] = "Vid Import";
		$admtext['accept'] = "Acceptera";
		$admtext['ignore'] = "Ignorera";
		$admtext['typerequired'] = "Vid egna etiketter (där etikett = \"EVEN\") är detta TYPE och är obligatoriskt. Valfritt för alla andra etiketter.";
		$admtext['addnewevtype'] = "Lägg till händelsetyp";
		$admtext['createnewevtype'] = "Skapa ny händelstyp";
		$admtext['forindividuals'] = "För individer...";
		$admtext['forfamilies'] = "För familjer...";
		$admtext['existingevtypes'] = "Befintliga händelsetyper";
		$admtext['edsevtypes'] = "Redigera, ta bort eller sortera tidigare införda händelsetyper";
		$admtext['indfam'] = "Ind/Fam";  //individual family
		$admtext['confdeleteevtype'] = "Är Du säker på att Du vill radera denna händelsetyp?";
		$admtext['selecttag'] = "Välj etikett";
		$admtext['selectentertag'] = "Välj etikett för denna händelsetyp.";
		$admtext['orenter'] = "eller skriv in";
		$admtext['ifbothdata'] = "tar överhanden om båda fälten innehåller data";
		$admtext['EVEN'] = "Händelse";
		$admtext['ADOP'] = "Adopterad";
		$admtext['ADDR'] = "Adress";
		$admtext['ALIA'] = "Också känd som";
		$admtext['BARM'] = "Barmitzvah";
		$admtext['BASM'] = "Basmitzvah";
		$admtext['CAST'] = "Kast";
		$admtext['CENS'] = "Folkräkning";
		$admtext['CHRA'] = "Vuxendop";
		$admtext['CONF'] = "Konfirmation";
		$admtext['CREM'] = "Kremerad";
		$admtext['DSCR'] = "Fysisk beskrivning";
		$admtext['EDUC'] = "Utbildning";
		$admtext['EMIG'] = "Emigration";
		$admtext['FCOM'] = "Första Nattvarden";
		$admtext['GRAD'] = "Examen";
		$admtext['IDNO'] = "Person/ID-nummer";
		$admtext['IMMI'] = "Immigration";
		$admtext['LANG'] = "Språk";
		$admtext['NATI'] = "Nationalitet";
		$admtext['NATU'] = "Naturalisering";
		$admtext['NCHI'] = "Antal barn";
		$admtext['NMR'] = "Antal vigslar";
		$admtext['OCCU'] = "Yrke";
		$admtext['ORDI'] = "Förrättning";
		$admtext['ORDN'] = "Prästvigd";
		$admtext['PHON'] = "Telefon";
		$admtext['PROB'] = "Testamentsbevakning";
		$admtext['PROP'] = "Ägodelar";
		$admtext['RELI'] = "Religion";
		$admtext['RESI'] = "Bosatt";
		$admtext['RESN'] = "Konfidentiellt";
		$admtext['RETI'] = "Pensionerad";
		$admtext['RFN'] = "Permanent Post-IDnummer";
		$admtext['SSN'] = "Personnummer";
		$admtext['WILL'] = "Testamente";
		$admtext['ANUL'] = "Annullerat";
		$admtext['DIVF'] = "Skilsmässoansökan";
		$admtext['ENGA'] = "Förlovning";
		$admtext['MARB'] = "Lysning";
		$admtext['MARC'] = "Äktenskapskontrakt";
		$admtext['MARL'] = "Äktenskapslicens";
		$admtext['MARS'] = "Äktenskapsförord";
		$admtext['forsources'] = "För Källor...";
		$admtext['RIN'] = "Post-IDnummer";
		$admtext['REFN'] = "Referensnummer";
		$admtext['REPO'] = "Förvaringsplats";

		$admtext['deleteselected'] = "Radera vald enhet";
		$admtext['ignoreselected'] = "Ignorera vald";
		$admtext['acceptselected'] = "Acceptera vald";
		$admtext['changestoallevtypes'] = "Ändringar i alla händelsetyper";
		$admtext['forrepos'] = "För arkiv...";
		$admtext['noevtypes'] = "Det finns inga händelsetyper.";
		$admtext['DESI'] = "Intresse för ättlingar";
		$admtext['allnone'] = "Skriv in ett meddelande för varje språk,<br />eller lämna blankt och skriv in ett meddelande ovan.";
		$admtext['assocwith'] = "Associerad med";
		$admtext['BAPM'] = "Dop";
		$admtext['umps'] = "Din GEDCOM-fil kan vara större än vad som är maximalt tillåtet i din PHP-installation. Du kan be din internetleverantör att öka värdet för 'upload_max_filesize', eller så kan du kopiera din fil till 'gedcom'-mappen på din sajt och importera den därifrån istället.;";
		$admtext['othlangs'] = "Andra språk";
		$admtext['evdata'] = "Händelsedata";
		$admtext['ANCI'] = "Intresse för anor";
		//added in 10.0.0
		$admtext['collapseev'] = "Dölj händelsedetaljer";
		$admtext['collapse'] = "Dölj detaljer";
		$admtext['collapseselected'] = "Dölj detaljer för valda";
		//added in 11.0.0
		$admtext['expselected'] = "Utvidga Vald";
		break;

	//addfamily.php, updatefamily.php, findfamily.php, editfamily.php, newfamily.php
	case "families":
		$admtext['changestofamily'] = "Ändringar i familj";
		$admtext['marrdate'] = "Vigseldatum"; //marriage date
		$admtext['modifyfamily'] = "Ändra existerande familj";
		$admtext['selectfamaction'] = "Välj familj och åtgärd";
		$admtext['confdeletefam'] = "Är Du säker på att Du vill radera denna familj?";
		$admtext['existingfamilyinfo'] = "Information om befintlig familj";
		$admtext['newfamilyinfo'] = "Information om ny familj";
		$admtext['sealedsdate'] = "Beseglad M datum (LDS)";     //S is for spouse
		$admtext['sealedsplace'] = "Beseglad M plats (LDS)";     //S is for spouse
		$admtext['newchildren'] = "Nytt barn";
		$admtext['addnewfamily'] = "Lägg till familj";
		$admtext['createnewfamily'] = "Skapa ny familj";
		$admtext['editexistingfaminfo'] = "Redigera information för en tidigare skapad familj";
		$admtext['spousesids'] = "Makars ID";
		$admtext['noname'] = "Inget namn";
		$admtext['familyidbefevent'] = "Du måste skriva in ett familje-ID innan Du kan lägga till händelser.";
		$admtext['prefixfamilyid'] = "Familje-ID ska föregås av \"F\" för \"Familj\"";
		$admtext['validfamilyid'] = "Skriv in ett giltigt familje-ID. Detta är ett nummer föregått av 'F'.";
		$admtext['familyidbefnote'] = "Du måste skriva in ett familje-ID innan Du kan lägga till noteringar.";
		$admtext['familyidbefcite'] = "Du måste skriva in ett familje-ID innan Du kan  använda citat med denna familj.";
		$admtext['genfamily'] = "Allmänna familje-";
		$admtext['marriagetype'] = "Äktenskapstyp";
		$admtext['reviewfamilies'] = "Acceptera eller avböj föreslagna ändringar av familjer";
		$admtext['fevslater'] = "OBS: Tillkommande händelser, liksom händelse-specifika noteringar och citat, kan läggas till efter det att den nya familjen sparats.";
		$admtext['husbid'] = "Makens ID";  //husband ID
		$admtext['wifeid'] = "Makans ID";
		$admtext['enternamepart'] = "skriv in del av för- och/eller efternamn";
		$admtext['pleasenamepart'] = "Skriv in del av för- eller efternamn.";
		$admtext['clickfind'] = "Klicka Sök eller Skapa =>";
		$admtext['chunlinked'] = "Barn frikopplat från familj";
		$admtext['child'] = "Barn";
		break;

	//addperson.php, addperson2.php, updateperson.php, findperson.php, editperson.php, newperson.php, newperson2.php, people.php, findperson2.php
	case "people":
		$admtext['addingperson'] = "Lägger till person...";
		$admtext['changestoperson'] = "Ändringar av person";
		$admtext['nobirthinfo'] = "Ingen födelseinformation";
		$admtext['modifyperson'] = "Ändra befintlig person";
		$admtext['selectpersaction'] = "Välj person och åtgärd";
		$admtext['existingpersoninfo'] = "Information om befintlig person";
		$admtext['firstgivennames'] = "Förnamn (ett eller flera)";
		$admtext['lastsurname'] = "Efternamn";
		$admtext['nickname'] = "Smeknamn";
		$admtext['male'] = "Man";
		$admtext['female'] = "Kvinna";
		$admtext['bapldate'] = "Dopdatum (LDS)";
		$admtext['baplplace'] = "Dopplats (LDS)";
		$admtext['endldate'] = "Begåvningsdatum (LDS)";
		$admtext['parents'] = "Föräldrar";
		$admtext['father'] = "Far";
		$admtext['mother'] = "Mor";
		$admtext['unlinkindividual'] = "Avlänka aktuell individ";
		$admtext['aschild'] = "som barn";
		$admtext['sealedpdate'] = "Beseglad F datum (LDS)";     //P is for parents
		$admtext['sealedpplace'] = "Beseglad F plats (LDS)";     //P is for parents
		$admtext['asspouse'] = "som make/maka";
		$admtext['spouse'] = "Make/Maka";
		$admtext['ordernumber'] = "Ordningsnummer";
		$admtext['married'] = "Gift";
		$admtext['nonewfamily'] = "Gå inte till Ny Familj vid Spara";
		$admtext['addnewperson'] = "Lägg till person";
		$admtext['createperson'] = "Skapa ny individ";
		$admtext['personidbefevent'] = "Du måste skriva in person-ID innan Du kan lägga till händelser.";
		$admtext['prefixpersonid'] = "Person-ID skall föregås av \"I\" för \"Individ\"";
		$admtext['validpersonid'] = "Skriv in ett giltigt person-ID. Detta är en numerisk sträng föregången av 'I'.";
		$admtext['newpersoninfo'] = "Information om ny person";
		$admtext['selectsex'] = "Välj kön.";
		$admtext['shortform'] = "Kort-form";
		$admtext['editexistingpersoninfo'] = "Redigera information för en tidigare definierad individ";
		$admtext['unknown'] = "Okänd";
		$admtext['personidbefnote'] = "Du måste skriva in ett person-ID innan Du kan lägga till noteringar.";
		$admtext['endlplace'] = "Begåvningsplats (LDS)";
		$admtext['personidbefcite'] = "Du måste skriva in ett person-ID innan Du kan använda citat för denna person.";
		$admtext['relationship'] = "Relation";
		$admtext['asspouse'] = "som make/maka";
		$admtext['mergepeople'] = "Slå samman information för dubblerade individer";
		$admtext['choosemerge'] = "Välj individer att slå samman eller sök potentiella dubletter";
		$admtext['usesoundex'] = "Använd Soundex";
		$admtext['sdxdisclaimer'] = "Detta alternativ medför att programmet tar längre tid för att finna nästa match eller dublett.";
		$admtext['combinenotes'] = "Kombinera noteringar & citat";
		$admtext['confirmmerge'] = "Är du säker på att du vill slå samman dessa individer?";
		$admtext['gotonewfamily'] = "Gå till ny familj med aktuell individ";
		$admtext['genperson'] = "Allmänna individ-";
		$admtext['reviewpeople'] = "Acceptera eller avböj föreslagna förändringar av personer";
		$admtext['nokids'] = "Inga barn";
		$admtext['noparents'] = "Inga föräldrar";
		$admtext['association'] = "Anknytning";
		$admtext['deletingassoc'] = "Raderar Anknytning...";
		$admtext['addingassoc'] = "Lägger till Anknytning...";
		$admtext['updatingassoc'] = "Uppdaterar Anknytning...";
		$admtext['addnewassoc'] = "Lägg till ny Anknytning";
		$admtext['modifyassoc'] = "Ändar befintlig Anknytning";
		$admtext['pevslater'] = "OBS: Flera händelser, liksom händelse-specifika noteringar och citat, kan läggas till efter det att personen sparats.";
		$admtext['ashusband'] = "som make";
		$admtext['aswife'] = "som maka";
		$admtext['pevslater2'] = "OBS: Flera händelser, liksom händelse-specifika noteringar och citat, kan läggas till senare.";
		$admtext['nospouse'] = "Ingen make/maka";
		$admtext['revassoc'] = "Lägg också till omvänd koppling mellan dessa två personer";
		$admtext['prefix'] = "Prefix";
		$admtext['chkdel'] = "Kryssa den tomma rutan för att radera enheten till vänster";
		//added in 9.0.0
		$admtext['choosedef'] = "Valj<br/>standard-<br/>foto"; //has to fit in a small box
		//added in 10.0.0
		$admtext['confdate'] = "Konfirmationsdatum (LDS)";
		$admtext['confplace'] = "Konfirmationplats (LDS)";
		$admtext['initdate'] = "Initieringsdatum (LDS)";
		$admtext['initplace'] = "Initieringsplats (LDS)";
		break;

	case "headstones":
	case "photos":
		//$admtext['photonotcopied'] = "The photo file could not be copied to";
		$admtext['thumbnailnotcopied'] = "Frimärksbildfilen kunde inte kopieras till";
		$admtext['photo'] = "Foto";
		$admtext['changestophoto'] = "Ändringar i foto";
		$admtext['modifyphoto'] = "Ändra Befintligt foto";
		$admtext['addnewphoto'] = "Lägg till foto";
		$admtext['selectphotoaction'] = "Välj foto och åtgärd";
		$admtext['photoid'] = "Foto-ID";
		$admtext['confdeletephoto'] = "Är Du säker på att du vill radera detta foto och alla dess länkar?";
		$admtext['enterphotopath'] = "Skriv in sökväg (mapp och filnamn) för filen inom foto-mappen på web-servern.";
		$admtext['enterthumbnailpath'] = "Skriv in sökväg (mapp och filnamn) för frimärksbildsfilen inom foto-mappen på web-servern.";
		$admtext['enterphotodesc'] = "Skriv in en bildbeskrivning.";
		$admtext['existingphotoinfo'] = "Information om befintligt foto";
		//$admtext['newphotoinfo'] = "New Photo Information";
		$admtext['thumbnailfile'] = "Frimärksbildsfil";
		//$admtext['thumbnailtoupload'] = "Image file to upload";
		$admtext['fileandpath'] = "Namn på fil och sökväg";
		$admtext['sortphotos'] = "Sortera foto";
		$admtext['sortphotosfor'] = "Sortera foto för";
		$admtext['editexistingphotoinfo'] = "Redigera information för ett tidigare uppladdat foto";
		$admtext['leaveblankallphotos'] = "lämna blankt för att se alla foton";
		$admtext['headstone'] = "Gravsten";
		$admtext['imagenotcopied'] = "Bildfilen kunde inte kopieras till";
		$admtext['changestohs'] = "Ändringar av gravsten";
		$admtext['modifyheadstone'] = "Modifiera existerande gravsten";
		$admtext['selecthsaction'] = "Välj gravsten och åtgärd";
		$admtext['confdeletehs'] = "Är Du säker på att Du vill radera denna gravsten?";
		$admtext['photostatus'] = "Foto/Status";
		$admtext['selectcemetery'] = "Välj begravningsplats.";
		$admtext['enterhsimage'] = "Välj filnamn för gravstensbilden på web-servern.";
		$admtext['existinghsinfo'] = "Information om befintliga gravstenar";
		$admtext['newhsinfo'] = "Information om nya gravstenar";
		$admtext['hsimagefile'] = "Bildfil för gravsten";
		$admtext['located'] = "Lokaliserad";
		$admtext['notyetlocated'] = "Ännu ej lokaliserad";
		$admtext['unmarked'] = "Omärkt";
		$admtext['missing'] = "Saknad";
		$admtext['leaveblankhs'] = "Lämna detta fält blankt om filen redan laddats upp till gravstensmappen.";
		$admtext['requiredhs'] = "Obligatoriskt fält. Filens namn och placering <em>inom gravstensmappen</em> när den är uppladdad. Till exempel, om Din gravstensmapp heter <em>photos/headstones</em>, och Du vill döpa filen till <em>headstone.jpg</em> och lägga den i en mapp inom photos/headstones kallad <em>newheadstones</em>, så ska Du skriva <em>newheadstones/headstone.jpg</em> i detta fält.";
		$admtext['addnewhs'] = "Lägg till gravsten";
		$admtext['createnewhs'] = "Skapa ny gravsten och länka denna till individ";
		$admtext['editexistinghsinfo'] = "Skriv in information om tidigare definierad gravsten";
		$admtext['leaveblankallhs'] = "lämna blank för att se alla gravstenar";
		$admtext['cemnamelocation'] = "Begravningsplatsnamn eller -belägenhet";
		$admtext['pedphoto'] = "Använd detta foto på antavlor och i namntitlar";
		$admtext['photoowner'] = "Ägare/Källa";
		$admtext['dimensions'] = "Dimensioner";
		$admtext['selectphoto'] = "Välj bild";
		$admtext['specifyimg'] = "Ange bild";
		$admtext['autoimg'] = "Skapa från original";
		$admtext['enterthumbpath'] = "Ange destination för frimärksbilden";
		$admtext['genthumbs'] = "Generera frimärksbilder";
		$admtext['genthumbsdesc'] = "Autogenerera mindre versioner av alla foton som ej har frimärksbild.";
		$admtext['thumbsgenerated'] = "Frimärksbilder skapade";
		$admtext['makedefault'] = "Använd som standard";
		$admtext['filewithinhs'] = "Filnamn inom<br>gravstensmappen";
		$admtext['recsupdated'] = "Posterna uppdaterades";
		$admtext['removedef'] = "Ta bort standardfotot";
		$admtext['numlinkhs'] = "Antal personer att länka till denna gravsten";
		$admtext['sortheadstones'] = "Sortera gravstenar";
		$admtext['sortheadstonesfor'] = "Sortera gravstenar för";
		$admtext['sortheadstonesind'] = "Sortera gravstenar för en individ";
		$admtext['headstoneorder'] = "Ange önskad ordning för gravstenar länkade till en individ";
		$admtext['enternumberforphoto'] = "Ange ett numeriskt värde för varje enhet.";
		$admtext['updownforphoto'] = "Klicka på upp- och nerpilarna för att flytta enheterna upp eller ner i ordningsföljden.";
		$admtext['createnewphoto'] = "Skapa en post för ett nytt foto och länka det till individer, familjer eller källor";
		$admtext['numlinkphoto'] = "Antal individer, familjer eller källor att länka till detta foto";
		$admtext['photoorder'] = "Ange önskad sorteringsordning för foton länkade till en specifik individ, familj eller källa";
		$admtext['assigndefs'] = "Definiera standardfoton";
		$admtext['assigndefsdesc'] = "Gör det första fotot för varje individ, familj eller källa till dess standardfoto.";
		$admtext['overwritedefs'] = "Skriv över standardvärden";
		$admtext['assign'] = "Definiera standardvärden";
		$admtext['defsassigned'] = "Standardfoton definierade";
		//$admtext['isdocument'] = "This image is a document";
		$admtext['imgmap'] = "Bildkarta";
		$admtext['circle'] = "cirkel";
		$admtext['rect'] = "rektangel";
		$admtext['poly'] = "polygon";
		$admtext['shape'] = "Fältets form";
		//$admtext['radius'] = "Radius (pixels)";
		$admtext['width'] = "Bredd (pixlar)";
		$admtext['height'] = "Höjd (pixlar)";
		$admtext['imgdim'] = "Bildens dimensioner";
		$admtext['pixw'] = "pixlar bred";
		$admtext['pixh'] = "pixlar hög";
		//$admtext['convtohs'] = "Convert to Headstones";
		//$admtext['convtodoc'] = "Convert to Documents";
		//$admtext['convtophoto'] = "Convert to Photos";
		$admtext['changestoallphotos'] = "Ändringar av alla valda foton";
		$admtext['changestoallhs'] = "Ändringar av alla valda gravstenar";
		$admtext['datetaken'] = "Taget, datum";
		$admtext['placetaken'] = "Taget, plats";
		$admtext['abspath'] = "Denna bild kommer från en extern källa (du måste lägga in din egen frimärksbild)";
		$admtext['imagefile'] = "Bildfil";
		$admtext['pathwithinphotos'] = "Fil inom fotomappen";
		$admtext['linktocem'] = "Länka denna bild direkt till den valda begravningsplatsen";
		$admtext['defphotonote'] = "Använd detta fotos frimärksbild för att identifiera denna individ, familj eller källa på antavlor och andra diagram, inklusive familjeblad.";
		$admtext['photonotadded'] = "Fotot kunde inte läggas till, troligen för att det redan finns ett annat foto för denna fysiska fotofil.";
		$admtext['requiredphoto'] = "Obligatoriskt fält. Filens namn och plats <em>inom fotomappen</em> när den blivit uppladdad. Till exempel, om Din fotomapp kallas <em>photos</em>, och din fil heter <em>myphoto.jpg</em> och läggs i en undermapp till photos som heter <em>newphotos</em>, ska Du skriva in <em>newphotos/myphoto.jpg</em> i detta fält.";
		$admtext['leaveblankphoto'] = "Lämna detta fält blankt om filen redan laddats upp till fotomappen.";
		$admtext['thumbconflicts'] = "Frimärksbilder skapades ej pga problem med sökväg, rättigheter eller problem med filnamn";
		$admtext['showmap'] = "Visa karta och foton för begravningsplatsen när denna bild visas";
		$admtext['bodytext'] = "<strong>ELLER</strong><br/>Brödtext";
		$admtext['usenl'] = "Konvertera radbrytning till HTML vid visning";
		$admtext['newwin'] = "Öppna i nytt fönster";
		$admtext['modifymedia'] = "Ändra befintlig Media";
		$admtext['addnewmedia'] = "Lägg till Media";
		$admtext['confdeletemedia'] = "Är du säker på att du vill radera denna Media?";
		$admtext['thumbnails'] = "Frimärksbilder";
		$admtext['modifyalbum'] = "Ändra befintligt Album";
		$admtext['addnewalbum'] = "Lägg till Album";
		$admtext['newalbuminfo'] = "Information om nytt Album";
		$admtext['confdeletealbum'] = "Är du säker på att du vill radera detta Album?";
		$admtext['enteralbumname'] = "Skriv in Albumets namn.";
		$admtext['albumname'] = "Albumets namn";
		$admtext['keywords'] = "Sökord";
		$admtext['changestoalbum'] = "Ändringar av Album";
		$admtext['addtoalbum'] = "Lägg till Albumet";
		$admtext['mediatype'] = "Kollektion";
		$admtext['fileext'] = "Filändelese"; //file extension (abbreviation)
		$admtext['anotherlink'] = "Lägg till ny Länk";
		$admtext['mediaurl'] = "Media URL";
		$admtext['put_in'] = "Spara filer i";
		$admtext['usemedia'] = "Media-mapp";
		$admtext['usecollect'] = "Kollektionsmapp (t.ex. \"photos\")";
		$admtext['notcopied'] = "Filen kunde inte kopieras till";
		$admtext['existingmediainfo'] = "Befintlig Media-information";
		$admtext['convto'] = "Konvertera valda enheter till";
		$admtext['changestoallmedia'] = "Ändringar av all vald Media";
		$admtext['changestoitem'] = "Ändringar av enhet";
		$admtext['eventlink'] = "Länk till särskild händelse";
		$admtext['sortmediaind'] = "Sortera Media för en Individ, Familj, Källa, Arkiv eller Plats";
		$admtext['sortmedia'] = "Sortera xxx för";
		$admtext['unlinked'] = "Endast olänkad";
		$admtext['samepaths'] = "Huvudbilden och Frimärksbilden kan inte vara samma fil. Välj en annan Frimärksbild, eller låt programmet skapa en.";
		$admtext['regenerate'] = "Återskapa befintliga Frimärksbilder";
		$admtext['forcircles'] = "För cirklar";
		$admtext['forrects'] = "För rektanglar";
		$admtext['circleinstr'] = "Klicka först i cirkelns mitt, sedan var som helst inom cirkeln.";
		$admtext['rectinstr'] = "Klicka först i rektangelns övre vänstra hörn, sedan i nedre högra hörnet.";
		$admtext['firstone'] = "den första";
		$admtext['controller'] = "Tillåt ca 16 vertikala pixlar för media-spelarens kontrollpanel.";
		$admtext['nostatus'] = "Ingen status";
		$admtext['enterid'] = "Skriv in ett ID.";
		$admtext['existingalbuminfo'] = "Information om befintligt Album";
		$admtext['newmediainfo'] = "Ny Media-information";
		$admtext['mapinstr2'] = "Länka delar av ditt foto till olika personer eller andra sidor (valbart) genom att skriva in HTML bildmappningsinformation nedan, eller genom att följa instruktionerna intill fotot nedan.";
		$admtext['mapinstr3'] = "För att länka delar av detta foto till personer, välj först personens träd och markera sedan önskad del av bilden med en rektangel. Detta görs genom att klicka i övre vänstra hörnet, dra musen till nedre högra hörnet och sedan släppa upp knappen. Alternativt kan man klicka med musen i övre vänstra och sedan i undre högra hörnet. En popup-dialog visas därefter som hjälper dig att länka markerad bildyta till rätt person. När du är färdig med din länkning så kommer HTML-kod att läggas till i rutan nedan. Upprepa sedan denna procedur för önskat antal länkningar.";
		$admtext['albumlinks'] = "Album-länkar";
		$admtext['duplinkmsg'] = "En länk till den valda enheten finns redan i detta album.";
		$admtext['invlinkmsg'] = "Enhetens ID är ogiltig. Ingen länk skapades.";
		$admtext['albmedia'] = "Album-media";
		$admtext['removelink'] = "Radera länk";
		$admtext['confremmedia'] = "Är du säker på att du vill radera denna media från detta album?";
		$admtext['selmedia'] = "Sök befintlig media att inkludera i detta album";
		$admtext['uploadfirst'] = "ladda upp ny media här först";
		$admtext['existmedia'] = "Befintlig media";
		$admtext['emoptions'] = "Bläddra, radera eller dra för att sortera";
		$admtext['addlinks'] = "Lägg till nya länkar";
		$admtext['eloptions'] = "Bläddra eller radera";
		$admtext['inclmsg'] = " ingår";
		$admtext['mediasubt'] = "Hantera media i detta album (Lägg till, radera, sortera)";
		$admtext['infosubt'] = "Redigera albumnamn, beskrivning och nyckelord";
		$admtext['linkssubt'] = "Länka detta album till personer, familjer, källor, arkiv eller platser";
		$admtext['inclmedia'] = "Ingående media";
		$admtext['nomedia'] = "Ingen media ingår ännu";
		$admtext['nolinks'] = "Inga länkar finns ännu";
		$admtext['thumbsize'] = "(originalet är för stort)";
		$admtext['thumbinv'] = "(ogiltig bild eller fel rättigheter)";
		$admtext['thumblost'] = "(originalet hittades ej)";
		$admtext['uplsel'] = "Ladda up en ny fil från din dator, eller välj bland filer som redan finns på din sajt";
		$admtext['alblater'] = "OBS: På nästa skärmbild kan media läggas till detta album, och albumet kan även länkas till individer eller familjer.";
		$admtext['medlater'] = "OBS: På nästa skärmbild kan mera information läggas till, och enheten kan även länkas till individer eller familjer .";
		$admtext['minfosubt'] = "Redigera media-titel, beskrivning och andra grundläggande detaljer";
		$admtext['medialinks'] = "Media-länkar";
		$admtext['defphoto'] = "Standard-foto";
		$admtext['alttd'] = "Alt Titel/Beskr";   //short abbreviation for "Alternate Title or Description"
		$admtext['editmedialink'] = "Redigera media-länk";
		$admtext['plot'] = "Gravnummer";
		$admtext['addnewcoll'] = "Lägg till Kollektion";
		$admtext['collid'] = "Kollektions-ID";
		$admtext['colldisplay'] = "Display Title";
		$admtext['collpath'] = "Mapp-namn";
		$admtext['collicon'] = "Fil med frimärksbild";
		$admtext['colllike'] = "Samma setup som";
		$admtext['entercollid'] = "Skriv in ett Kollektions-ID.";
		$admtext['entercolldisplay'] = "Skriv in Kollektionens namn.";
		$admtext['entercollpath'] = "Skriv in Kollektionens mapp-namn.";
		$admtext['entercollicon'] = "Skriv in filnamn för frimärksbild för Kollektionen.";
		$admtext['editcoll'] = "Redigera Kollektion";
		$admtext['confmtdelete'] = "Är du säker på att du vill radera denna media-typ?";
		$admtext['histlimit'] = "<strong>Notering om storlek:</strong> De flesta webläsare begränsar datamängden som kan sändas i ett webformulär till ca 64 kB. Om du har en stor mängd text att skriva eller klistra in i brödtextfältet ovan, överväg att använda historytemplate.php istället. Se Hjälp för mera informtion.";
		$admtext['repath'] = "Återskapa frimärksbildernas sökväg för filer som inte finns";
		$admtext['sortalbumind'] = "Sortera album för en individ, familj, källa, arkiv eller plats";
		$admtext['cidexists'] = "Denna Kollektions-ID kunde inte läggas till eftersom det redan finns.";
		$admtext['phalltrees'] = "Valfri. Lämna blank för att synliggöra i alla träd.";
		//added in 8.0.0
		$admtext['fileexists'] = "Denna fil finns redan. Skriv över?";
		$admtext['collthumb'] = "Frimärksbilds-fil";
		$admtext['movetop'] = "Flytta överst";
		//added in 9.0.0
		$admtext['collexpas'] = "Exportera som";
		//added in 9.2.0
		$admtext['upload'] = "Ladda upp";
		$admtext['linksel'] = "Länk till vald";
		$admtext['mediaupl'] = "Ladda upp Media";
		$admtext['addfiles'] = "Lägg till filer...";
		$admtext['startupl'] = "Starta uppladdningen";
		$admtext['start'] = "Starta";
		$admtext['cancelupl'] = "Avbryt uppladdningen";
		//added in 11.0.0
		$admtext['localpath'] = "Lokal(a) sökväg(ar)";
		break;

	//addreport.php, updatereport.php, newreport.php, editreport.php
	case "reports":
		$admtext['changestoreport'] = "Ändringar i rapport";
		$admtext['modifyreport'] = "Ändra befintlig rapport";
		$admtext['existingreportinfo'] = "Information om befintlig rapport";
		$admtext['existingreports'] = "Befintliga rapporter";
		$admtext['newreportinfo'] = "Information om ny rapport";
		$admtext['reportname'] = "Reportnamn";
		$admtext['rankpriority'] = "Rankning/Prioritet";
		$admtext['choosedisplay'] = "Välj fält som ska visas";
		$admtext['spouseid'] = "Make/Maka ID";
		$admtext['spousename'] = "Make/Maka Namn";
		$admtext['lastmodified'] = "Senast ändrad";
		$admtext['ldsbapldate'] = "LDS dopdatum";
		$admtext['ldsbaplplace'] = "LDS dopplats";
		$admtext['ldsendldate'] = "LDS begåvningsdatum";
		$admtext['ldsendlplace'] = "LDS begåvningsplats";
		$admtext['ldssealsdate'] = "LDS besegling /make/maka datum";
		$admtext['ldssealsplace'] = "LDS besegling /make/maka plats";
		$admtext['ldssealpdate'] = "LDS besegling /föräldrar datum";
		$admtext['ldssealpplace'] = "LDS besegling /föräldrar plats";
		//$admtext['makelink'] = "Make Link";
		$admtext['choosecriteria'] = "Välj kriterier";
		$admtext['fullname'] = "Fullständigt namn";
		$admtext['lastfirst'] = "Efternamn, förnamn";
		$admtext['monthonlyfrom'] = "Endast månad från";
		$admtext['yearonlyfrom'] = "Endast år från";
		$admtext['dayonlyfrom'] = "Endast dag från";
		$admtext['operators'] = "Villkor";
		$admtext['contains'] = "Innehåller";
		$admtext['startswith'] = "Börjar med";
		$admtext['endswith'] = "Slutar med";
		$admtext['text_and'] = "OCH";
		$admtext['currentmonth'] = "Aktuell månad";
		$admtext['currentyear'] = "Aktuellt år";
		$admtext['currentday'] = "Aktuell dag";
		$admtext['constantstring'] = "Konstant sträng";
		$admtext['constantvalue'] = "Konstant värde";
		$admtext['foremptystring'] = "För nollsträng, lämna detta fält blankt och klicka på \"Lägg till >>.\"";
		$admtext['choosesort'] = "Välj sorteringsfält";
		$admtext['savereport'] = "Spara rapporten";
		$admtext['addnewreport'] = "Lägg till rapport";
		$admtext['createreport'] = "Skapa ny rapport";
		$admtext['noreports'] = "Det finns inga rapporter";
		$admtext['rank'] = "Rankning";
		$admtext['confreportdelete'] = "Är Du säker på att Du vill radera denna rapport?";
		$admtext['enterreportname'] = "Skriv in rapportnamn.";
		$admtext['selectdisplayfield'] = "Välj minst ett fält.";
		$admtext['today'] = "Idag (datumformat)";
		$admtext['convtodays'] = "Omvandla till dagar";
		$admtext['desc'] = "Fallande (Föregående)";
		$admtext['birthdatetr'] = "Födelsedatum (datumformat)";
		$admtext['chrdatetr'] = "Dopdatum (datumformat)";
		$admtext['deathdatetr'] = "Dödsdatum (datumformat)";
		$admtext['burialdatetr'] = "Begravningsdatum (datumformat)";
		$admtext['marriagedatetr'] = "Vigseldatum (datumformat)";
		$admtext['ldsbapldatetr'] = "LDS dopdatum (datumformat)";
		$admtext['ldsendldatetr'] = "LDS begåvningsdatum (datumformat)";
		$admtext['ldssealsdatetr'] = "LDS besegling /make/maka datum (datumformat)";
		$admtext['ldssealpdatetr'] = "LDS besegling /föräldrar datum (datumformat)";
		$admtext['currentmonthnum'] = "Aktuellt månadsnummer";
		$admtext['livingtrue'] = "Levande = ja";
		$admtext['livingfalse'] = "Levande = nej";
		$admtext['altreport'] = "ELLER lämna fälten Visa, Kriterier och Sortera tomma och skriv in SQL SELECT kommando här";
		$admtext['rptdate'] = "Datum";
		$admtext['rptdatetr'] = "Datum (Verkligt)";
		$admtext['fact'] = "Fakta";
		$admtext['testeditdelete'] = "Testa, redigera eller radera tidigare skapade rapporter";
		$admtext['wnmsg'] = "Meddelande om \"Nyhets\"-sidan";
		$admtext['mwtype'] = "Typ";
		$admtext['mysphoto'] = "Gåtfulla foton";
		$admtext['mysperson'] = "Svårfångade individer";
		$admtext['selphoto'] = "Välj foto";
		$admtext['entertitle'] = "Skriv in en titel";
		$admtext['enterdesc'] = "Skriv in en beskrivning";
		$admtext['confremmw'] = "Är du säker på att du vill radera denna enhet?";
		$admtext['msgsaved'] = "Meddelandet sparat";
		//added in 9.1.1
		$admtext['privatetrue'] = "Private = ja";
		$admtext['privatefalse'] = "Private = nej";
		//added in 11.0.0
		$admtext['ldsconfdate'] = "LDS Konfirmationsdatum";
		$admtext['ldsconfplace'] = "LDS Konfirmationsplats";
		$admtext['ldsconfdatetr'] = "LDS Konfirmationsdatum (Verkligt)";
		$admtext['ldsinitdate'] = "LDS Initieringsdatum";
		$admtext['ldsinitplace'] = "LDS Initieringsplats";
		$admtext['ldsinitdatetr'] = "LDS Initieringsdatum (Verkligt)";
		$admtext['savecopy'] = "Spara som kopia";
		$admtext['activeonly'] = "Endast aktiva";
		break;

	//index.php
	case "index":
		$admtext['selectimportfile'] = "Välj fil att importera.";
		$admtext['importgedcom'] = "Importera GEDCOM (standard 5.5 format)";
		$admtext['addreplacedata'] = "Lägg till eller ersätt i databasen (kan ta flera minuter beroende på filstorlek)";
		$admtext['fromyourcomputer'] = "Från din dator";
		$admtext['importdata'] = "Importera data";
		$admtext['setupfirsttime'] = "Inställningar första gången programmet används.";
		$admtext['replace'] = "Ersätt (i det valda trädet)";
		$admtext['desttree'] = "Träd till vilket importen ska göras";
		$admtext['selectdesttree'] = "Välj eller skriv in till vilket träd importen ska göras.";
		$admtext['selectexisting'] = "Importera till";
		$admtext['importgedcom2'] = "Importera en GEDCOM-fil";
		$admtext['setupitems'] = "Skapa databastabeller, definiera förinställningar";
		$admtext['custeventitems'] = "Hantera egna etiketter och händelsetyper";
		$admtext['usersitems'] = "Hantera användare och rättigheter";
		$admtext['reportsitems'] = "Skapa egna listor och rapporter";
		$admtext['langitems'] = "Hantera alternativa språk";
		$admtext['backupitems'] = "Säkerhetskopiera/Återställ/Optimera databastabeller";
		$admtext['ucaselast'] = "Alla efternamn med VERSALER";
		$admtext['norecalc'] = "Gör ej ny beräkning av definionen Levande";
		$admtext['autooffset'] = "Starta ID vid första tillgängliga nummer";

		$admtext['mustselecttree'] = "Du måste välja ett träd innan du kan göra detta val.";
		$admtext['importmedia'] = "Importera media om sådant finns";
		$admtext['mainmenu'] = "Huvudmeny";
		$admtext['neweronly'] = "Ersätt endast om nyare";
		$admtext['secondaryitems'] = "Skapa en GENDEX-fil, Spåra ättlingalinjer";
		$admtext['onwebserver'] = "På webserver (i GEDCOM-mappen)";
		$admtext['eventsonly'] = "Importera endast egendefinierade händelsetyper";
		$admtext['imphints'] = "Tips: \"All befintlig data\" betyder alla personer, familjer, källor och noteringar (media-länkar förloras ej så länge ID kvarstår). Interna länkar baseras alltid enbart på ID. Nya poster läggs alltid till.<br> \"Lägg till alla poster\" importerar alla poster med nya ID.";
		$admtext['allevents'] = "Acceptera data för alla nya egendefinierade händelsetyper";
		$admtext['destbranch'] = "Destinations-gren (valfri)";
		$admtext['inframe'] = "(i ram)";
		$admtext['getstart'] = "Starthjälp";
		$admtext['importlatlong'] = "Importera data för latitud/longitud om det finns";
		$admtext['opening'] = "Öppnar";
		$admtext['reopen'] = "Åter-öppnar";
		$admtext['uploading'] = "Laddar upp";
		$admtext['stop'] = "Stoppa";
		$admtext['stopped'] = "Import stoppad";
		$admtext['resume'] = "Återuppta";
		//changed in 8.0.0
		$admtext['showlog'] = "Visa loggen";
		//added in 8.0.0
		$admtext['mmgritems'] = "Konfigurera tredjepartstillägg";
		//added in 9.0.0
		$admtext['oldimport'] = "Äldre import (ingen förloppsindikator)";
		//changed in 11.0.0
		$admtext['miscitems'] = "Noteringar, Nyheter, Populärast";
		//added in 11.0.0
		$admtext['tasks'] = "Viktiga uppgifter";
		$admtext['task_revusers'] = "Gå igenom nya användarregistreringar";
		$admtext['task_tree'] = "Skapa ditt första träd";
		$admtext['task_user'] = "Skapa ditt eget användarkonto";
		$admtext['task_people'] = "lägg till personer";
		$admtext['task_families'] = "Lägg till familjer";
		$admtext['task_revind'] = "Gå igenom föreslagna förändringar av personliga händelser";
		$admtext['task_revfam'] = "Gå igenom föreslagna förändringar av familjehändelser";
		$admtext['task_backup'] = "Säkerhetskopiera data";
		$admtext['nobackups'] = "ingen säkerhetskopia finns";
		$admtext['lastbackup'] = "senaste säkerhetskopiering mer än xxx dagar sedan";
		$admtext['dna_blurb'] = "Logga DNA-tester och länka dem till individer";
		break;

	//addsource.php, updatesource.php, newsource.php, editsource.php, sources.php
	case "sources":
		$admtext['changestosource'] = "Ändringar i källa";
		$admtext['modifysource'] = "Ändra befintlig källa";
		$admtext['selectsrcaction'] = "Välj källa och åtgärd";
		$admtext['shorttitle'] = "Kort titel";
		$admtext['longtitle'] = "Lång titel";
		$admtext['author'] = "Författare";
		$admtext['callnumber'] = "Klassifikation";
		$admtext['publisher'] = "Förläggare";
		$admtext['actualtext'] = "Aktuell text";
		$admtext['confdeletesrc'] = "Är Du säker på att Du vill radera denna källa?";
		$admtext['selectshorttitle'] = "Välj eller skriv in en korttitel för denna händelsetyp.";
		$admtext['existingsourceinfo'] = "Befintlig information om källan";
		$admtext['newsourceinfo'] = "Ny källinformation";
		$admtext['addnewsource'] = "Lägg till källa";
		$admtext['prefixsourceid'] = "Käll-ID skall föregås av \"S\" (för \"Source\")";
		$admtext['entersourceid'] = "Skriv in käll-ID.";
		$admtext['validsourceid'] = "Skriv in ett giltigt käll-ID. Detta är en numerisk sträng föregången av 'S'.";
		$admtext['createsource'] = "Skapa ny källa";
		$admtext['editexistingsource'] = "Redigera information för en tidigare skapad källa";
		$admtext['addnewcite'] = "Lägg till citat";
		$admtext['reliability'] = "Tillförlitlighet";
		$admtext['relyexplain'] = "Högre siffra anger större tillförlitlighet.";
		$admtext['citedate'] = "Citatdatum";
		$admtext['modifycite'] = "Ändra befintligt citat";
		$admtext['addingcite'] = "Lägger till citat...";
		$admtext['deletingcite'] = "Raderar citat...";
		$admtext['updatingcite'] = "Uppdaterar citat...";
		$admtext['citation'] = "Citat";
		$admtext['sevslater'] = "OBS: Nya tillägg är möjliga efter det att den nya källan har sparats.";
		$admtext['pleasesourcepart'] = "Skriv in del av källans titel.";
		$admtext['addnewrepo'] = "Lägg till arkiv";
		$admtext['modifyrepo'] = "Ändra befintligt arkiv";
		$admtext['createrepo'] = "Skapa post för nytt arkiv";
		$admtext['editexistingrepo'] = "Redigera information om ett tidigare inlagt arkiv";
		$admtext['enterrepoid'] = "Skriv in ett Arkiv-ID.";
		$admtext['enterreponame'] = "Skriv in ett namn för arkivet.";
		$admtext['newrepoinfo'] = "Information om nytt arkiv";
		$admtext['prefixrepoid'] = "Låt arkivets ID föregås av \"REPO\" (för \"Repository\")";
		$admtext['selectrepoaction'] = "Välj arkiv och åtgärd";
		$admtext['confdeleterepo'] = "Är du säker på att du vill radera detta arkiv?";
		$admtext['changestorepo'] = "Ändringar i arkivet";
		$admtext['existingrepoinfo'] = "Befintlig information om arkiv";
		$admtext['pleaserepopart'] = "Skriv in del av arkivets titel.";
		$admtext['choosemergesources'] = "Välj källor att sammanfoga eller sök möjliga matchningar";
		$admtext['confirmmergesources'] = "Är du säker på att du vill sammanfoga dessa två källor?";
		$admtext['choosemergerepos'] = "Välj arkiv att sammanfoga eller sök möjliga matchningar";
		$admtext['confirmmergerepos'] = "Är du säker på att du vill sammanfoga dessa två arkiv?";
		$admtext['revslater'] = "OBS: Ytterligare händelser och noteringar kan läggas till efter att det nya arkivet sparats.";
		$admtext['confdeleterepo'] = "Är du säker på att du vill radera detta arkiv?";
		break;

	//checkID.php
	case "checkID":
		$admtext['checknewid'] = "Kontrollera nytt ID";
		$admtext['idnotvalid'] = "är inte ett giltigt ID. Detta skall vara en numerisk sträng föregången av";
		$admtext['idinuse'] = "används redan. Välj ett annat ID";
		$admtext['idok'] = "är OK att använda";
		$admtext['isok'] = "is OK to use";
		$admtext['isinuse'] = "is already in use.";
		break;
	
	case "templates":
		$admtext['templatenum'] = "Mall Nummer";
		$admtext['mainimage'] = "Huvudsida (hemsida)"; //1, 2, 3, 4, 5, 7
		$admtext['titleimage'] = "Titelbild (hemsida)"; //1, 2, 3
		$admtext['headline'] = "Rubrik"; //4, 7
		$admtext['mainpara'] = "Välkomsthälsning";  //1, 4, 6, 7, 8
		$admtext['headimgplustitle'] = "Rubrikbild (inklusive titel)"; //1
		$admtext['pedperson'] = "Proband-ID"; //2
		$admtext['pedtree'] = "Antavlans träd-ID"; //2
		$admtext['phhistperson'] = "Fotons & Dokuments person-ID"; //2
		$admtext['phhisttree'] = "Fotons & Dokuments träd-ID"; //2
		$admtext['headimg'] = "Sidhuvudets bild"; //2, 3, 4, 5, 6, 8
		$admtext['headtitleimg'] = "Sidhuvudets titelbild"; //2, 3
		$admtext['titleimg'] = "Titelbild (alla sidor)"; //4, 7
		$admtext['searchpara'] = "Sök stycke"; //6
		$admtext['fhpara'] = "Familjehistoriens stycke"; //6
		$admtext['fhlinkshis'] = "Familjehistoriens länkar (Hans)"; //6
		$admtext['fhlinkshers'] = "Familjehistoriens länkar (Hennes)"; //6
		$admtext['mwpara'] = "Mest eftersökta stycke"; //6
		$admtext['respara'] = "Resursstycke"; //6
		$admtext['reslinks'] = "Resurslänkar"; //6
		$admtext['headtitle1'] = "Sidhuvudets titel, del 1"; //8
		$admtext['headtitle2'] = " Sidhuvudets titel, del 2"; //8
		$admtext['headtitle3'] = " Sidhuvudets titel, del 3"; //8
		$admtext['headsubtitle'] = "Sidhuvudets undertitel"; //8
		$admtext['latestnews'] = "Senaste nytt"; //8
		$admtext['momside'] = "Morssidans märke"; //8
		$admtext['dadside'] = "Farssidans märke"; //8
		$admtext['momperson'] = "Morssidans person-ID"; //8
		$admtext['momtree'] = "Morssidans träd-ID"; //8
		$admtext['dadperson'] = "Farssidans person-ID"; //8
		$admtext['dadtree'] = "Farssidans träd-ID"; //8
		$admtext['featurethumb1'] = "Funktion 1 frimärksbild"; //4
		$admtext['featurelink1'] = "Funktion 1 länk"; //4
		$admtext['featuretitle1'] = "Funktion 1 titel"; //4
		$admtext['featurepara1'] = "Funktion 1 stycke"; //4
		$admtext['featurethumb2'] = "Funktion 2 frimärksbild"; //4
		$admtext['featurelink2'] = "Funktion 2 länk"; //4
		$admtext['featuretitle2'] = "Funktion 2 titel"; //4
		$admtext['featurepara2'] = "Funktion 2 stycke"; //4
		$admtext['featurethumb3'] = "Funktion 3 frimärksbild"; //4
		$admtext['featurelink3'] = "Funktion 3 länk"; //4
		$admtext['featuretitle3'] = "Funktion 3 titel"; //4
		$admtext['featurepara3'] = "Funktion 3 stycke"; //4
		$admtext['featurethumb4'] = "Funktion 4 frimärksbild"; //4
		$admtext['featurelink4'] = "Funktion 4 länk"; //4
		$admtext['featuretitle4'] = "Funktion 4 titel"; //4
		$admtext['featurepara4'] = "Funktion 4 stycke"; //4
		$admtext['photocaption'] = "Huvudbildens bildtext"; //4
		$admtext['maintitle'] = "Huvudtitel"; //5
		$admtext['hisside'] = "Hans Sidas märke"; //5
		$admtext['herside'] = "Hennes Sidas märke"; //5
		$admtext['newstext'] = "Nyhetstext"; //5
		//added in 8.1.0
		$admtext['templateswitching'] = "Tillåt val av mall ";
		//added in 9.0.0
		$admtext['template'] = "Mall";
		$admtext['createcopy'] = "Skapa kopia på";  //as in, "create copy in Dutch"
		$admtext['featurelinks'] = "Innehåller länkar"; //9, 10
		$admtext['featurepara'] = " Innehåller stycke"; //9, 10
		$admtext['welcome'] = "Välkomsthälsning"; //9, 10
		//added in 9.0.3
		$admtext['momsidenames'] = "Mom's Side names"; //8
		$admtext['dadsidenames'] = "Dad's Side names"; //8
		//added in 10.0.0
		$admtext['featurespara'] = "Egenskapsstycke";
		$admtext['menutitle'] = "Menytitel";
		$admtext['titlechoice'] = "Titelalternativ";
		$admtext['photol'] = "Vänster bild";
		$admtext['phototitlel'] = "Vänster bildtitel";
		$admtext['photocaptionl'] = "Vänster bildtext";
		$admtext['photor'] = "Höger bild";
		$admtext['phototitler'] = "Höger bildtitel";
		$admtext['photocaptionr'] = "Höger bildtext";
		$admtext['topsurnames'] = "Vanligaste efternamn, rubrik";
		$admtext['headimg2'] = "Rubrikbild 2"; //14
		$admtext['headimg3'] = "Rubrikbild 3"; //14
		$admtext['showprev'] = "Visa förhandsgranskning";
		$admtext['hideprev'] = "Dölj förhandsgranskning";
		$admtext['ttitleimage'] = "Image";
		$admtext['ttitletext'] = "Text";
		//added in 11.0.0
		$admtext['featurethumb5'] = "Artikel 5 frimärksbild"; //15
		$admtext['featurelink5'] = "Artikel 5 länk"; //15
		$admtext['featuretitle5'] = "Artikel 5 titel"; //15
		$admtext['featurepara5'] = "Artikel 5 stycke"; //15
		$admtext['featurethumb6'] = "Artikel 6 frimärksbild"; //15
		$admtext['featurelink6'] = "Artikel 6 länk"; //15
		$admtext['featuretitle6'] = "Artikel 6 titel"; //15
		$admtext['featurepara6'] = "Artikel 6 stycke"; //15
		$admtext['featurethumb7'] = "Artikel 7 frimärksbild"; //15
		$admtext['featurelink7'] = "Artikel 7 länk"; //15
		$admtext['featurepara7'] = "Artikel 7 stycke"; //15
		$admtext['featurethumb8'] = "Artikel 8 frimärksbild"; //15
		$admtext['featurelink8'] = "Artikel 8 länk"; //15
		$admtext['featurepara8'] = "Artikel 8 stycke"; //15
		$admtext['sidebarhead1'] = "Sidolist rubrik 1"; //15
		$admtext['sidebarhead2'] = "Sidolist rubrik 2"; //15
		$admtext['sidebarhead3'] = "Sidolist rubrik 3"; //15
		$admtext['texttitle1'] = "Text 1 titel"; //15
		$admtext['textlink1'] = "Text 1 länk"; //15
		$admtext['textpara1'] = "Text 1 stycke"; //15
		$admtext['texttitle2'] = "Text 2 titel"; //15
		$admtext['textlink2'] = "Text 2 länk"; //15
		$admtext['textpara2'] = "Text 2 stycke"; //15
		$admtext['texttitle3'] = "Text 3 titel"; //15
		$admtext['textpara3'] = "Text 3 stycke"; //15
		$admtext['subhead1'] = "Underrubrik 1"; //15
		$admtext['subhead2'] = "Underrubrik 2"; //15

		//break intentionally left out here so processing will fall through

	//setup.php
	//editconfig.php, backuprestore.php
	case "setup":
		$admtext['tablesuccess'] = "Tabellerna har skapats.";
		$admtext['backtosetup'] = "Tillbaka till menyn Inställningar";
		$admtext['configuration'] = "Konfigurering";
		$admtext['entersysvars'] = "Skriv in värden för systemvariabler.";
		$admtext['createdbtables'] = "Skapa databasen som ska innehålla Din information.";
		$admtext['tcwarning'] = "<strong>Varning!</strong> Välj detta alternativ endast första gången Du installerar Din website. <strong>All befintlig data, inklusive foton, gravstenar och begravningsplatser, kommer att raderas!</strong>";
		$admtext['conftabledelete'] = "Detta kommer att radera ALL befintlig data!! Är du säker på att Du vill fortsätta?";
		$admtext['performdatamaint'] = "Utför dataunderhåll och hantera foton, dokument och andra komponenter.";
		$admtext['createtables'] = "Skapa databastabeller";
		$admtext['configsettings'] = "Allmänna inställningar";
		$admtext['logconfigsettings'] = "Inställningar för loggar";
		$admtext['importconfigsettings'] = "Inställningar för import";
		$admtext['diagnostics'] = "Diagnostik";
		$admtext['rundiags'] = "Kör Diagnostik";
		$admtext['phpinf'] = "PHP Info-skärm";
		$admtext['fromphp'] = "Denna information kommer från din server och avser din PHP-installation, inte TNG.";
		$admtext['phpver'] = "PHP-version";
		$admtext['phpreq'] = "(TNG kräver 4.0.4 eller högre.)";
		$admtext['gdlib'] = "GD grafikbibliotek";
		$admtext['gdreq'] = "(Krävs för TNG's verktyg för skapande av frimärksbilder.)";
		$admtext['availnogif'] = "Tillgänglig, men stödjer inte .gif-bilder";
		$admtext['notinst'] = "Ej installerad";
		$admtext['safemode'] = "Säkert Läge";
		$admtext['off'] = "Av";
		$admtext['on'] = "På";
		$admtext['fileuploads'] = "Filen laddas upp";
		$admtext['fureq'] = "(Krävs för web-baserad GEDCOM-uppladdning, uppladdning av bilder och funktionalitet av andra formulär.)";
		$admtext['perm'] = "Tillåten";
		$admtext['notperm'] = "Ej tillåten, använd FTP istället";
		$admtext['sqlver'] = "MySQL-version";
		$admtext['sqlreq'] = "(TNG kräver 3.23.0 eller högre.)";
		$admtext['wsrvr'] = "Web-server";
		$admtext['fperms'] = "Fil/Mapp-rättigheter";
		$admtext['fpreq'] = "(TNG kräver att vissa filer och mappar har särskilda access-rättigheter.)";
		$admtext['scruser'] = "Skript körs som användare:";
		$admtext['phpuser'] = "PHP rapporterar det som användare:";
		$admtext['usrprob'] = "Det är inte säkert att du har tillräckliga filaccessrättigheter för att köra TNG problemfritt om du använder både FTP coh TNG-admin för att administrera filer.";
		$admtext['rofile'] = "Filen är skrivskyddad:";
		$admtext['rofolder'] = "Mappen är skrivskyddad:";
		$admtext['publog'] = "Publik log";
		$admtext['admlog'] = "Admin-log";
		$admtext['folderdne'] = "Mappen finns inte:";
		$admtext['keyrw'] = "Alla relevanta mappar har läs/skriv-rättighet";
		$admtext['cfgrw'] = "Alla konfigurationsfiler har läs/skriv-rättighet";
		$admtext['acceptable'] = "Acceptabel.";
		$admtext['restricted'] = "Någon funktionalitet kan vara begränsad. Du kan stöta på fel under installationen eller när du kör TNG.";
		$admtext['needchngs'] = "TNG kan troligen inte köras utan förändringar i din PHP- eller server-konfiguraion.";
		$admtext['yourbrowser'] = "Din webläsare:";
		$admtext['modifysettings'] = "Ändra konfigurationen";
		$admtext['dbhost'] = "Databasvärd";
		$admtext['dbname'] = "Databasnamn";
		$admtext['dbusername'] = "Databas-användarnamn";
		$admtext['dbpassword'] = "Databas-lösenord";
		$admtext['rootpath'] = "Sökväg til rot";
		$admtext['homepage'] = "Hemsida";
		$admtext['emailaddress'] = "E-post";
		$admtext['siteowner'] = "Ägare till webplatsen";
		$admtext['maxdescgens'] = "Max generationer, ättlingar";
		$admtext['disallow'] = "Tillåt ej";
		$admtext['defaultallowed'] = "Standard: Tillåten";
		$admtext['maxsearchresults'] = "Max sökresultat";
		$admtext['targetframe'] = "Målram";
		$admtext['table'] = "Tabell";
		$admtext['lastbackup'] = "Senaste säkerhetskopiering";
		$admtext['backup'] = "säkerhetskopiera";
		$admtext['restore'] = "återställa";
		$admtext['backupfilesize'] = "Filstorlek";
		$admtext['succbackedup'] = "framgångsrikt säkerhetskopierad";
		$admtext['succrestored'] = "framgångsrikt återställd";
		$admtext['change_cutoff'] = "'Nyheter' dagar";
		$admtext['change_limit'] = "'Nyheter' gräns";
		$admtext['photosext'] = "Filändelse foton";
		$admtext['defaulttree'] = "Standardträd";
		$admtext['requirelogin'] = "Kräv inloggning";
		$admtext['defaultdontrequire'] = "Standard: Kräv ej";
		$admtext['ldsdefault'] = "Visa LDS data";
		$admtext['ldson'] = "Alltid";
		$admtext['ldsoff'] = "Aldrig";
		$admtext['ldspermit'] = "Beror på användarrättigheter";
		$admtext['allow'] = "Tillåt";
		$admtext['chooselang'] = "Dynamisk språkväxling";
		$admtext['optimize'] = "optimera";
		$admtext['succoptimized'] = "framgångsrikt optimerad";
		$admtext['customheader'] = "Användardefinierat sidhuvud";
		$admtext['customfooter'] = "Användardefinierad sidfot";
		$admtext['custommeta'] = "Användardefinierad meta";
		$admtext['lineending'] = "Radslut";
		$admtext['backuppath'] = "Mapp för säkerhetskopiering";
		$admtext['photopath'] = "Mapp för foton";
		$admtext['headstonepath'] = "Mapp för gravstenar";
		$admtext['historypath'] = "Mapp för text-dokument";
		$admtext['backuprestoretables'] = "Säkerhetskopiera/Återställ/Optimera tabelldata";
		$admtext['shownames'] = "Visa namn för levande";
		$admtext['initials'] = "Förkorta förnamn";
		$admtext['regformat'] = "Registerformat";
		$admtext['stdformat'] = "Standardformat";
		$admtext['thumbprefix'] = "Prefix för frimärksbilder";
		$admtext['thumbmaxh'] = "Max höjd för frimärksbilder";
		$admtext['thumbmaxw'] = "Max bredd för frimärksbilder";
		$admtext['thumbsuffix'] = "Suffix för frimärksbild";
		$admtext['showextended'] = "Visa ytterligare info for foto";
		$admtext['shownotes'] = "Visa noteringar";
		$admtext['notestogether'] = "I direkt anslutning till händelsen, om möjligt";
		$admtext['notestogether2'] = "Under händelsen, utom för allmänna noteringar";
		$admtext['notesapart'] = "I avdelningen för noteringar";
		$admtext['lnprefixes'] = "Efternamnsprefix (dvs von, af)";
		$admtext['lntogether'] = "Behåll som integrerad del av efternamnet";
		$admtext['lnapart'] = "Behandla som separat enhet";
		$admtext['detectpfx'] = "Prefixhantering vid import";
		$admtext['lnpfxnum'] = "Antal prefix (max)";
		$admtext['specpfx'] = "ELLER Dessa prefix";
		$admtext['newmedialinks'] = "Nya länkar för foton och dokument";
		$admtext['maxgedcom'] = "Max generationer, GEDCOM-nerladdning";
		$admtext['placestable'] = "Tapell platser";
		//$admtext['hslinkstable'] = "Headstone Links Table";
		$admtext['tngdomain'] = "Genealogi URL";
		$admtext['charset'] = "Teckenuppsättning";
		$admtext['time_offset'] = "Serverns tidsskillnad (timmar)";
		$admtext['backupall'] = "Säkerhetskopiera urval";
		$admtext['optimizeall'] = "Optimera urval";
		$admtext['alltables'] = "Valda tabeller";
		$admtext['brinstructions'] = "För att säkerhetskopiera, återställa eller optimera en tabell, klicka på lämplig åtgärds-sybmol för tabellen, eller välj flera tabeller och tillämpa åtgärden på alla genom att klicka på motsvarande knapp nederst på sidan.";
		$admtext['tabstyle'] = "Tabellmall";
		$admtext['iconloc'] = "Menyläge";
		$admtext['topleft'] = "Uppe till vänster, över rubriken";
		$admtext['topright'] = "Uppe till höger, intill rubriken";
		$admtext['indstart'] = "Individer börjar med";
		$admtext['persinfo'] = "Endast personlig information";
		$admtext['allinfo'] = "All information";
		$admtext['thumbcols'] = "Kolumner i Frimärkesvy";
		$admtext['stdesc'] = "Starta ättlingaverk";
		$admtext['stexpand'] = "Expanderad";
		$admtext['stcollapse'] = "Komprimerad";
		$admtext['regnosp'] = "Registera generationer";
		$admtext['chshow'] = "Visa alltid alla";
		$admtext['chifsp'] = "Ta bort individer utan familj";
		$admtext['restoreall'] = "Återställ valda";
		$admtext['surerestore'] = "Är du säker på att du vill återställa valda tabeller?";
		$admtext['surerestorets'] = "Är du säker på att du vill återställa tabellstrukturen? All befintlig data kommer att förloras!";
		$admtext['backupstruct'] = "Säkerhetskopiera tabellstrukturen";
		$admtext['tablestruct'] = "Tabellstruktur";
		$admtext['brinstructions2'] = "För att säkerhetskopiera eller återställa tabellstrukturen, klicka på lämplig åtgärds-symbol nedan. VARNING: Återställande av tabellstrukturen raderar all befintlig data!";
		$admtext['livedefault'] = "Visa data för levande";
		$admtext['nodisplay'] = "Visa inte";
		$admtext['menudisp'] = "Visa meny";
		$admtext['asicons'] = "Som symboler";
		$admtext['asdrop'] = "som väljlista";
		$admtext['gendex'] = "GENDEX-mapp";
		$admtext['modifypedsettings'] = "Ändra inställningar för antavla";
		$admtext['leftindent'] = "Indrag vänster";
		$admtext['boxnamesize'] = "Storlek på namn i rutorna";
		$admtext['namesizeshift'] = "Ändring av storlek på namn";
		$admtext['boxdatessize'] = "Storlek av datum i rutorna";
		$admtext['datessizeshift'] = "Ändring av storlek på datum";
		$admtext['boxcolor'] = "Rutornas färg";
		$admtext['colorshift'] = "Ändring av färg (%)";
		$admtext['emptycolor'] = "Färg, tom ruta";
		$admtext['bordercolor'] = "Färg ram";
		$admtext['shadowcolor'] = "Färg skugga";
		$admtext['boxwidth'] = "Rutornas bredd (utan pop-up)";
		$admtext['boxheight'] = "Rutornas höjd (utan pop-up)";
		$admtext['boxalign'] = "Rutornas linjering (utan pop-up)";
		$admtext['boxheightshift'] = "Ändring av ruthöjd (utan pop-up)";
		$admtext['boxHsep'] = "Rutornas horisontella avstånd";
		$admtext['boxVsep'] = "Rutornas vertikala avstånd";
		$admtext['shadowoffset'] = "Skuggavstånd";
		$admtext['linewidth'] = "Linjetjocklek";
		$admtext['borderwidth'] = "Ramtjocklek";
		$admtext['popupcolor'] = "Färg pop-up";
		$admtext['popupinfosize'] = "Storlek pop-up info";
		$admtext['popupinfosizeshift'] = "Ändring av Storlek pop-up info";
		$admtext['popuptimer'] = "Pop-up timer (ms)";
		$admtext['pedevent'] = "Pop-up händelse";
		$admtext['puboxwidth'] = "Rutornas bredd (med pop-up)";
		$admtext['puboxheight'] = "Rutornas höjd (ned pop-up)";
		$admtext['puboxalign'] = "Rutornas linjering (med pop-up)";
		$admtext['puboxheightshift'] = "Ändring av  ruthöjd (med pop-up)";
		$admtext['popupspouses'] = "Pop-up make/maka";
		$admtext['popupkids'] = "Pop-up barn";
		$admtext['popupchartlinks'] = "Pop-up diagramlänkar";
		$admtext['inclphotos'] = "Inkludera foton";
		$admtext['overflow'] = "Overflow";
		$admtext['pedcompact'] = "Kompakt";
		$admtext['pedstandard'] = "Standard";
		$admtext['pedtextonly'] = "Endast text";
		$admtext['relchart'] = "Släktskapsdiagram";
		$admtext['maxupgen'] = "Max generationer för släktskap";
		$admtext['left'] = "Vänster";
		$admtext['right'] = "Höger";
		$admtext['center'] = "Centrera";
		$admtext['mouseover'] = "Mus över";
		$admtext['mousedown'] = "Mus ner";
		$admtext['ahnentafel'] = "Listad antavla";
		$admtext['pedbox'] = "Ruta";
		$admtext['hideempty'] = "Göm tomma rutor";
		$admtext['logfilename'] = "Logg-filens namn";
		$admtext['maxloglines'] = "Max logg-rader";
		$admtext['modifylogsettings'] = "Ändra logg-inställningar";
		$admtext['badhosts'] = "Uteslut värd/host-namn";
		$admtext['admin'] = "Admin";
		$admtext['text_public'] = "(Allmän)";
		$admtext['saveimportstate'] = "Spara importstatus";
		$admtext['allowresume'] = "Spara för att tillåta att återuppta om importen misslyckas";
		$admtext['modifyimportsettings'] = "Ändra inställningar för import";
		$admtext['embeddedmedia'] = "Inbyggda media";
		$admtext['assignnames'] = "Tillåt TNG att namnge inbyggda media";
		$admtext['localphotopath'] = "Lokal(a) sökväg(ar) för foton";
		$admtext['localdocpath'] = "Lokal(a) sökväg(ar) för foto-dokument";
		$admtext['nopathmatch'] = "Om inga lokala sökvägar passar";
		$admtext['wholepath'] = "Importera hela sökvägen";
		$admtext['justname'] = "Importera endast filnamn";
		$admtext['gedpath'] = "GEDCOM Mapp (Import/Export)";
		$admtext['makefolder'] = "Skapa mapp";
		$admtext['blankchangedt'] = "Om 'Ändringsdatum' saknas";
		$admtext['usetoday'] = "Använd dagens datum";
		$admtext['useblank'] = "Lämna det som det är";
		$admtext['nobirthdate'] = "Om födelsedatum saknas, antag att";
		$admtext['persliving'] = "Personen är levande";
		$admtext['persdead'] = "Personen är avliden";
		$admtext['nodeathdate'] = "Om dödsdatum saknas, antag avliden<br />om äldre än";
		$admtext['pedconfigsettings'] = "Inställningar för antavlor";
		$admtext['usepopups'] = "Ursprunglig visning";
		$admtext['maxpedgens'] = "Max generationer";
		$admtext['dbsection'] = "Databas";
		$admtext['tablesection'] = "Tabellnamn";
		$admtext['foldersection'] = "Sökvägar och Mappar";
		$admtext['sitesection'] = "Sajt-design och definitioner";
		$admtext['privsection'] = "Integritet";
		$admtext['namesection'] = "Namn";
		$admtext['descsection'] = "Ättlingar";
		$admtext['miscsection'] = "Diverse";
		$admtext['mediatable'] = "Tabell för Media";
		$admtext['pedanddesc'] = "Gemensamma Element";
		$admtext['descchart'] = "Ättlingatavla";
		$admtext['pedchart'] = "Antavla";
		$admtext['initgens'] = "Standardvärde för antal generationer";
		$admtext['mediapath'] = "Mapp för allmänna Media";
		$admtext['documentpath'] = "Mapp för foto-dokument";
		$admtext['localdocumentpath'] = "Lokal(a) sökväg(ar) för foto-dokument";
		$admtext['localotherpath'] = "Lokal(a) sökväg(ar) för andra Media";
		$admtext['imgmaxh'] = "Max höjd för Bilder";
		$admtext['imgmaxw'] = "Max bredd för Bilder";
		$admtext['succdel'] = "framgångsrikt raderad";
		$admtext['delbkups'] = "Radera valda Säkerhetskopior";
		$admtext['suredelbk'] = "Är du säker på att du vill radera de valda säkerhetskopiorna?";
		$admtext['showhome'] = "Visa Hem-länk";
		$admtext['showsearch'] = "Visa Sök-länk";
		$admtext['showlogin'] = "Visa Login/Logut-länk";
		$admtext['showprint'] = "Visa Utskrifts-länk";
		$admtext['showbmarks'] = "Visa länk för att lägga till bokmärke";
		$admtext['server'] = "(server)";
		$admtext['client'] = "(klient)";
		$admtext['sitename'] = "Sajt-namn";
		$admtext['site_desc'] = "Sajt-beskrivning";
		$admtext['privnote'] = "Prefix för privata noteringar";
		$admtext['custvars'] = "OBS: Du kan skapa dina egna inställningar i \"customconfig.php\" (öppna i text-editor och följ instruktionerna).";
		$admtext['blockemail'] = "Blockera förslag eller nya användarregistreringar där";
		$admtext['addrcontains'] = "Addressen innehåller";
		$admtext['msgcontains'] = "Meddelandet innehåller";
		$admtext['reqloginset'] = "\"Kräv inloggning\" måste vara satt till Ja för att aktivera detta val";
		$admtext['treerestrict'] = "Begränsa tillträde till valt träd";
		$admtext['mapconfigsettings'] = "Kartinställningar";
		$admtext['modifymapsettings'] = "Ändra Kartinställningar";
		$admtext['maptype'] = "Typ av karta";
		$admtext['maphybrid'] = "Hybrid";
		$admtext['mapsatellite'] = "Satellit";
		$admtext['mapdimsind'] = "Dimensioner, Individsida";
		$admtext['mapdimshst'] = "Dimensioner, Gravstenssida";
		$admtext['mapdimsadm'] = "Dimensioner, Admininstationssida";
		$admtext['mapwidth'] = "Bredd (% eller px)";
		$admtext['mapheight'] = "Höjd (px)";
		$admtext['mapstlat'] = "Start-latitud";
		$admtext['mapstlong'] = "Start-longitud";
		$admtext['startoff'] = "Göm administrationskartor vid Start";
		$admtext['conslpins'] = "Konsolidera dubblerade märken";
		$admtext['ssenabled'] = "Aktivera bildspel";
		$admtext['ssrepeat'] = "Auto-repetering av bildspel";
		$admtext['sysinfo'] = "Visa information om din websajtsmiljö.";
		$admtext['albumlinkstable'] = "Tabell för Album-länkar";
		$admtext['addresstable'] = "Tabell för addesser";
		$admtext['statestable'] = "Tabell län/provinser/delstater";
		$admtext['countriestable'] = "Tabell länder";
		$admtext['notelinkstable'] = "Tabell noteringslänkar";
		$admtext['medialinkstable'] = "Tabell för Media-länkar";
		$admtext['saveimporttable'] = "Tabell spara import";
		$admtext['brlinkstable'] = "Tabell för grenlänkar";
		$admtext['temptable'] = "Tabell för temporära händelser";
		$admtext['tleventstable'] = "Tabell för tidslinjehändelser";
		$admtext['album2entitiestable'] = "Album-länkar";
		$admtext['doctype'] = "Dok-typ deklaration";
		$admtext['cemrows'] = "Max rader per kolumn (ung.)";
		$admtext['cemblanks'] = "Ta inte med kategori \"Okänd\"";
		$admtext['success'] = "Lyckats";
		$admtext['fexists'] = "Misslyckades. Mappen finns redan.";
		$admtext['fmanual'] = "Misslyckades. Skapa via ett FTP-program eller online-filhanterare.";
		$admtext['maintmode'] = "Underhållsläge";
		$admtext['maintexp'] = "All tillgång till databasen är tillfälligt avstängd pga underhåll. Försök igen senare! Om de normala funktionerna inte återkommer inom några timmar efter att du först sett detta meddelande, kontakta web-administratören.";
		$admtext['defimpopt'] = "Standard ersättningsval";
		$admtext['seltable'] = "Välj minst en tabell.";
		$admtext['renumber'] = "Omnumrera ID";
		$admtext['idtype'] = "ID-Typ";
		$admtext['mindigits'] = "Minsta antal siffror";
		$admtext['niprefix'] = "Ej innefattande ID-prefix";
		$admtext['finreseq'] = "Klar med omnumrering";
		$admtext['recsreseq'] = "poster omnumrerade";
		$admtext['needmaint'] = "Du måste vara i Underhållsläge för att köra denna rutin (gå till Setup &gt;&gt; Konfigurering &gt;&gt; Generella Inställningar)";
		$admtext['reseqwarn'] = "<strong>VARNING:</strong> Omnumrering av dina ID kan orsaka att externa länkar till din sajt bryts eller pekar på felaktiga ställen.";
		$admtext['subroot'] = "Sökväg till Konfig-rot";
		$admtext['hidechr'] = "Göm dop-märke";
		$admtext['datefmt'] = "Numerisk datum-preferens";
		$admtext['dayfirst'] = "Dag/Månad/År";
		$admtext['monthfirst'] = "Månad/Dag/År";
		$admtext['exusers'] = "Uteslut användarnamn";
		$admtext['allowreg'] = "Tillåt nya användarregistreringar";
		$admtext['localhspath'] = "Lokal(a) sökväg(ar) för Gravstenar";
		$admtext['pardata'] = "Föräldradata på personsidan:";
		$admtext['pnoevents'] = "Visa inga händelser";
		$admtext['pstdonly'] = "Visa enbart standard familjehändelser";
		$admtext['palldata'] = "Visa alla händelser och media";
		$admtext['servertime'] = "Server-tiden är";
		$admtext['sitetime'] = "och sajt-tiden är";
		$admtext['srexpl'] = "Valfri. Ange en absolut sökväg, liknande den till Rot ovan. När du har sparat Konfig-roten, flytta <strong>genast</strong> följande filer till denna och gör dem skrivbara (664-rättighet): config.php, customconfig.php, importconfig.php, logconfig.php, mapconfig.php, mmconfig.php, pedconfig.php, templateconfig.php";
		$admtext['mapstzm'] = "Startar Zoom";
		$admtext['mapfoundzm'] = "Plats Zoom";
		$admtext['rrnum'] = "Postens Rapportnummer";
		$admtext['progint'] = "Stegintervall (ms)";
		$admtext['timechart'] = "Tidslinjediagram";
		$admtext['tcheight'] = "Diagrammets höjd";
		$admtext['distances'] = "Alla mått i pixlar.";
		$admtext['mpixels'] = "Pixlar mellan månader";
		$admtext['ypixels'] = "Pixlar mellan år";
		$admtext['ymult'] = "År mellan årsmarkeringar";
		$admtext['mpct'] = "Vertikal procentsats för månader";
		$admtext['ypct'] = " Vertikal procentsats för år";
		$admtext['inclevs'] = "Händelser att inkludera";
		$admtext['allevs'] = "Alla händelser";
		$admtext['rangeevs'] = "Bara händelser inom livstiden för personer i diagrammet";
		$admtext['tcwidth'] = "Startdiagrammets bredd";
		$admtext['simile'] = "Aktivera jämförande tidslinje ";
		//added in 8.0.0
		$admtext['pstartoff'] = "Göm allmänna kartor vid starten";
		$admtext['maxrels'] = "Maximalt antal Relationer";
		$admtext['initrels'] = "Initiala Relationer";
		$admtext['templateconfigsettings'] = "Mallinställningar";
		$admtext['modifytemplatesettings'] = "Ändra mallinställningar";
		$admtext['ucsurnames'] = "Visa alla efternamn med VERSALER";
		$admtext['maxnoteprev'] = "Max antal tecken i noteringslista";
		$admtext['mailreg'] = "E-post och registrering";
		$admtext['autoapp'] = "Auto-godkänn nya användare";
		$admtext['inclpwd'] = "Inkludera lösenordet i välkomst-mail";
		$admtext['ackemail'] = "Skicka bekräftelse-mail";
		$admtext['fromadmin'] = "Skicka alla mail från adressen ovan";
		$admtext['autotree'] = "Skapa nytt Träd för användare";
		$admtext['modspath'] = "Sökväg till MOD";
		$admtext['extspath'] = "Sökväg till Tillägg";
		$admtext['encrtype'] = "Krypteringstyp";
		$admtext['none'] = "Ingen kryptering";
		$admtext['imgviewer'] = "Aktivera bildvisning ";
		$admtext['docsonly'] = "Endast dokument";
		$admtext['imgvheight'] = "Bildvisning höjd";
		$admtext['flex'] = "Visa alltid hel bild ";
		$admtext['setheight'] = "Fast (640px)";
		//added in 9.0.0
		$admtext['places1tree'] = "Koppla Platser till Träd";
		$admtext['convert'] = "Omvandla";
		$admtext['convexpl'] = "(Kopplar alla aktuella platser till det valda trädet)";
		$admtext['mergeexpl'] = "(Kopplar bort trädet från alla platser)";
        $admtext['nocutoff'] = "Lämna blankt eller sätt till noll för att ta bort begränsningen";
        $admtext['usesmtp'] = "Använd SMTP-autentisering";
        $admtext['mailhost'] = "SMTP värdnamn";
        $admtext['mailuser'] = "E-post användarnamn";
        $admtext['mailpass'] = "E-post lösenord";
        $admtext['mailport'] = "Port nummer";
		$admtext['showshare'] = "Visa dela länk";
		$admtext['defpgsize'] = "Standard PDF sidformat";
		$admtext['mapterrain'] = "Terräng";
		$admtext['maproadmap'] = "Vägbeskrivning";
		$admtext['usedefthumbs'] = "Använd standard-miniatyrer";
        $admtext['autogeo'] = "Geokoda alla nya platser";
        $admtext['revmail'] = "Meddela när det finns inskickat material att granska";
        $admtext['assumepriv'] = "Förutsätt privat om inte död detta antal år";
        $admtext['calstart'] = "Första veckodag";
		$admtext['edit_timeout'] = "Redigera timeout (minuter)";
		$admtext['shownamespr'] = "Visa Namn för Privat ";
		$admtext['tables'] = "Tabeller";
		//changed in 10.0.0
		$admtext['regnotes'] = "Visa Noteringar och Egna Händelser vid registreringen";
		//added in 10.0.0
		$admtext['collation'] = "Granskning";
		$admtext['collationexpl'] = "(lämna blankt för att godta standardvärde)";
		$admtext['scrollcite'] = "Bläddra i Citat";
		$admtext['hidemedia'] = "Dölj personlig media";
		$admtext['searchchoice'] = "Sök Länkdestination";
		$admtext['quicksearch'] = "Snabbsökning";
		$admtext['advsearch'] = "Avancerad Sökning";
		$admtext['pedvertical'] = "Vertikal";
		$admtext['vboxwidth'] = "Rutans bredd";
		$admtext['vboxheight'] = "Rutans höjd";
		$admtext['vspacing'] = "Radavstånd";
		$admtext['vchart'] = "Vertikalt diagram";
		//added in 10.1.0
		$admtext['reuseids'] = "Återanvänd raderade id-nummer";
		$admtext['lastimport'] = "Visa senaste import";
		//added in 10.1.2
        $admtext['mailenc'] = "Encryption";
        //added in 11.0.0
		$admtext['dbport'] = "Databasport";
		$admtext['dbsocket'] = "Databaskoppling (socket)";
		//$admtext['mhrequests'] = "Partner Requests";
		$admtext['prefsection'] = "Prefix och Suffix";
		$admtext['personprefix'] = "Personprefix";
		$admtext['personsuffix'] = "Personsuffix";
		$admtext['familyprefix'] = "Familjeprefix";
		$admtext['familysuffix'] = "Familjesuffix";
		$admtext['sourceprefix'] = "Källprefix";
		$admtext['sourcesuffix'] = "Källsuffix";
		$admtext['repoprefix'] = "Förvaringsplats-prefix";
		$admtext['reposuffix'] = "Förvaringsplats-suffix";
		$admtext['noteprefix'] = "Noteringsprefix";
		$admtext['notesuffix'] = "Noteringssuffix";
		$admtext['mobilesection'] = "Mobil";
		$admtext['mobilesite'] = "Mobilsajtens namn blir";
		$admtext['menubar'] = "i mobil menylist";
		$admtext['belowbar'] = "under mobil menylist";
		$admtext['responsivetables'] = "Aktivera smarta tabeller";
		$admtext['tabletype'] = "Anpassade tabbeltyper";
		$admtext['enablemodeswitch'] = "Aktivera omställning av anpassade tabeller";
		$admtext['enableminimap'] = "Aktivera minikarta för anpassade tabeller";
		$admtext['showtasks'] = "Visa medelanden om 'Viktiga uppgifter'";
		$admtext['showtotals'] = "Visa totalt antal poster i Admin-menyn";
		$admtext['backupdays'] = "Varna om ingen säkerhetskopia sedan så många dagar";
		$admtext['backupnote'] = "OBS: Om din databas är mycket stor vill du kanske använda ett oberoende verktyg (t ex mysqldumper eller phpMyAdmin) för att säkerhetskopiera och återställa dina tabeler. Åtminstone ett av dessa bör vara tillgängligt via din webbsajts kontrollpanel.";
		//$admtext['showmatches'] = "Show MyHeritage matches";
		//$admtext['mhconfidence'] = "Minimum confidence level";
		//$admtext['mhmatchtype'] = "Match type";
		$admtext['hidedna'] = "Göm alla DNA-sidor och data"; 
		$admtext['assumeliving'] = "Antag levande antal år om inte död innan";
		//changed in 11.0.2
		$admtext['mapkey'] = "Licensnyckel f&ouml;r karta";
		break;

	//findpersonform.php
	case "findpersonform":
		$admtext['enternamepart'] = "skriv in del av för- och/eller efternamn";
		$admtext['pleasenamepart'] = "Skriv in del av för- eller efternamn.";
		$admtext['enternamepart2'] = "skriv in ID eller del av för- eller efternamn";
		break;

	//findplace.php, findplaceform.php
	case "findplace":
		$admtext['pleaseplacepart'] = "Skriv in del av ett platsnamn.";
		$admtext['addnewplace'] = "Lägg till plats";
		$admtext['createplace'] = "Lägg till post för ny plats";
		$admtext['modifyplace'] = "Ändra befintlig plats";
		$admtext['editexistingplaceinfo'] = "Redigera information om tidigare inlagd plats";
		$admtext['enterplace'] = "Skriv in en plats.";
		$admtext['newplaceinfo'] = "Information om ny plats";
		$admtext['existingplaceinfo'] = "Befintlig information om plats";
		$admtext['changestoplace'] = "Ändringar i plats";
		$admtext['selectplaceaction'] = "Välj plats och åtgärd";
		$admtext['mergeplaces'] = "Slå samman platser";
		$admtext['findmerge'] = "Hitta möjliga sammanslagningar";
		$admtext['selectplacemerge'] = "Välj platser att slå samman";
		$admtext['mcol1'] = "Slå samman<br/>dessa<br/>(radera)";
		$admtext['mcol2'] = "till<br/>denna<br/>(behåll)";
		$admtext['pmsucc'] = "Sammanslagningen av platser har lyckats";
		$admtext['nomerge'] = "Inget att slå samman";
		$admtext['enterkeep'] = "Välj mål för sammanslagningen.";
		$admtext['backmerge'] = "Sök igen";
		$admtext['confdeleteplace'] = "Är du säker på att du vill radera denna plats?";
		$admtext['propagate'] = "Gör denna ändring i befintliga händelser";
		//added in 8.0.0
		$admtext['confdelcemlink'] = "Är du säker på att du vill avlänka denna begravningsplats?";
		$admtext['nocoords'] = "Latitud eller Longitud saknas";
		$admtext['istemple'] = "Detta platsnamn är en en kod till ett LDS-tempel";
		$admtext['findtemples'] = "Sök endast LDS-tempelkoder";
		$admtext['choosecem'] = "Välj begravningsplats";
		$admtext['geocopy'] = "Copy geocode information above to this cemetery";
		$admtext['linkcem'] = "Länka denna plats till en begravningsplats";
		$admtext['cemsavail'] = "Listan innehåller bara begravningsplatser som inte redan är länkade till en plats";
		$admtext['nocemsavail'] = "Inga begravningsplatser finns, eller är alla begravningplatser redan länkade till en plats.";
        //added in 9.0.0
        $admtext['geocode'] = "Geokoda";
        $admtext['ignoreall'] = "Ignorera alla";
        $admtext['usefirst'] = "Använd första matchning";
        $admtext['multchoice'] = "Om flera resultat hittas för samma plats:";
        $admtext['geoexpl'] = "Geokoda alla platser utan latitud och longitud";
        $admtext['geocoding'] = "Geokodar...";
        $admtext['backgeo'] = "Tillbaka till Geokodningsmenyn";
        $admtext['limit'] = "Gräns:";
        $admtext['nolimit'] = "Ingen gräns";
		$admtext['blankplace'] = "Tomt platsnamn";
        $admtext['nogeocode'] = "Kunde inte geokodas";
        $admtext['toomany'] = "Ignorerad (för många träffar)";
		$admtext['treesgone'] = "Kopplingar till träd har tagits bort från alla platser";
		//added in 11.0.0
		$admtext['nolevel'] = "Platsnivå är inte definierad";
		$admtext['placenotsaved'] = "Platsen sparades inte. En annan plats med samma namn finns redan. Slå samman dessa istället.";
    	break;
		
	//generateID.php
	case "generateID":
		$admtext['generatenewid'] = "Generera ny ID";
		$admtext['generating'] = "Genererar... Vänta";
		break;
	
	//secondary.php
	case "secondary":
		$admtext['trackinglines'] = "Spårar ättlingalinjer...";
		$admtext['finishedtracking'] = "ättlingalinjer har spårats.";
		$admtext['backtosecondary'] = "Tillbaka till sekundära processer";
		$admtext['sortchildren'] = "Sortera barn";
		$admtext['sortingchildren'] = "Sorterar barn";
		$admtext['sortspouses'] = "Sortera makar";
		$admtext['sortingspouses'] = "Sorterar makar";
		$admtext['relabelbranches'] = "Döp om grenar";
		$admtext['relabeling'] = "Döper om grenar";
		$admtext['creatinggendex'] = "Skapar GENDEX-fil...";
		$admtext['finishedgendex'] = "Klar med skapandet av GENDEX-file.";
		//added in 8.0.0
		$admtext['postgdx'] = "Vart du skickar din GENDEX-fil";
		//added in 10.0.0
		$admtext['evalmedia'] = "Trimma Mediamenyer";
		$admtext['evaluating'] = "Räknar Media";
		$admtext['finished'] = "Färdig";
		break;

	//newlanguage.php
	case "language":
		$admtext['addnewlanguage'] = "Lägg till språk";
		$admtext['enterlangdisplay'] = "Skriv in Språknamn.";
		$admtext['enterlangfolder'] = "Skriv in namnet på mappen där språkfilerna lagrats.";
		$admtext['newlanguageinfo'] = "Information om nytt språk";
		$admtext['langdisplay'] = "Språkets namn<br>så som det visas för användarna";
		$admtext['createlanguage'] = "Skapa nytt språk";
		$admtext['nolanguages'] = "Det finns inga språk";
		$admtext['conflangdelete'] = "Är du säker på att du vill radera detta språk?";
		$admtext['existinglanguages'] = "Information om befintligt språk";
		$admtext['modifylanguage'] = "Ändra befintligt språk";
		$admtext['changestolanguage'] = "Ändringar i språk";
		$admtext['charset'] = "Teckenuppsättning";
		$admtext['editexistinglanguage'] = "Redigera information om tidigare skapat språk";
		break;
	
	//addtree.php, trees.php, edittree.php, deletetree.php, newtree.php, updatetree.php
	case "trees":
		$admtext['createtree'] = "Skapa nytt träd";
		$admtext['notrees'] = "Det finns inga träd";
		$admtext['existingtrees'] = "Information om befintliga träd";
		$admtext['editexistingtree'] = "Redigera information om ett tidigare skapat träd";
		$admtext['treename'] = "Trädnamn";
		$admtext['owner'] = "Ägare";
		$admtext['conftreedelete'] = "Är du säker på att du vill radera detta träd och alla länkade moduler?";
		$admtext['conftreeclear'] = "Är du säker på att du vill tömma all data i detta träd?";
		$admtext['changestotree'] = "Ändringar i trädet";
		$admtext['newtreeinfo'] = "Information om nytt träd";
		$admtext['existingtreeinfo'] = "Information om befintligt träd";
		$admtext['modifytree'] = "Ändra befintligt träd";
		$admtext['succcleared'] = "har tömts";
		$admtext['gedcomextraction'] = "Tillåt inte användarna att ladda ner GEDCOM-filer";
		$admtext['gedexport'] = "GEDCOM-export";
		$admtext['exporting'] = "Exporterar GEDCOM...";
		$admtext['ifexportfails'] = "Om exporten inte lyckas färdigställas,";
		$admtext['finishedexporting'] = "Export av GEDCOM-fil klar";
		$admtext['backtotrees'] = "Tillbaka till träd";
		$admtext['downloadged'] = "Ladda ner GEDCOM";
		$admtext['lastimport'] = "Senaste import";
		$admtext['treeexists'] = "Det finns redan ett annat träd med detta ID. Välj ett annat ID och försök igen.";
		$admtext['exportmedia'] = "Exportera medialänkar (foton och dokument)";
		//added in 8.0.0
		$admtext['changetree'] = "Byt Träd";
		$admtext['newtree'] = "Nytt Träd";
		$admtext['currtree'] = "Aktuellt träd";
		$admtext['chwarn'] = "VARNING: Denna åtgärd raderar alla familjelänkar, citat och andra referenser till denna enhet inom det aktuella trädet.";
		$admtext['keepprivate'] = "Behåll information om ägare privat";
		//changed in 9.0.0
		$admtext['exppaths'] = "Lokal sökväg";
		$admtext['nopdf'] = "Tillåt inte användare att skapa PDF filer";
		//added in 10.0.0
		$admtext['exprivate'] = "Uteslut privat";
		$admtext['exliving'] = "Uteslut levande";
		$admtext['importfilename'] = "Importera filnamn";
		break;

	//adduser.php, users.php, edituser.php, deleteuser.php, newuser.php, updateuser.php
	case "users":
		$admtext['addnewuser'] = "Lägg till användare";
		$admtext['createuser'] = "Skapa ny användare";
		$admtext['nousers'] = "Det finns inga användare";
		$admtext['existingusers'] = "Information om befintliga användare";
		$admtext['editexistinguser'] = "Redigera information om tidigare registrerad användare";
		$admtext['confuserdelete'] = "Är du säker på att du vill radera denna användare?";
		$admtext['changestouser'] = "Ändringar av användare";
		$admtext['enteruserpassword'] = "Skriv in lösenord.";
		$admtext['enterusername'] = "Skriv in användarnamn.";
		$admtext['newuserinfo'] = "Information om ny användare";
		$admtext['existinguserinfo'] = "Information om befintlig användare";
		$admtext['modifyuser'] = "Ändra befintlig användare";
		$admtext['allow_living'] = "Tillåt att se information om levande individer";
		$admtext['allow_lds'] = "Tillåt att se LDS-information";
		$admtext['enterusername'] = "Skriv in användarnamn.";
		$admtext['enteruserdesc'] = "Skriv in användarbeskrivning.";
		$admtext['enterpassword'] = "Skriv in lösenord.";
		$admtext['admin'] = "Admin";
		$admtext['firstuser'] = "Första användaren du skapar kommer att bli administratör (INGET träd valt) och kommer att ha tillgång till alla systeminställningar.";
		$admtext['userfailed'] = "FEL: Användaren kunde inte skapas eftersom det redan finns en användare med detta namn.";
		$admtext['allow_ged'] = "Tillåt nerladdning av GEDCOM";
		$admtext['assigned'] = "Tilldelad";
		$admtext['treemsg'] = "Om inget träd är kopplat till en person kommer denne användare att ha tillgång till alla träd och alla grenar. Administratören bör inte vara kopplad till något träd.";
		$admtext['branchmsg'] = "Genom att koppla en gren till användaren kommer rättigheterna som specificerats på denna sida att begränsas till denna gren av trädet.";
		$admtext['accesslimits'] = "Begränsningar i tillgång:";
		$admtext['rights'] = "Rättigheter:";
		$admtext['realname'] = "Verkligt namn";
		$admtext['gedcom'] = "GEDCOM";
		$admtext['newusers'] = "Registrering av ny användare";
		$admtext['editnewusers'] = "Behandla poster för nya användare. Nya användare har inga rättigheter förrän registeringarna behandlats.";
		$admtext['nonewusers'] = "Inga nya användare";
		$admtext['lastlogin'] = "Senaste inloggning";
		$admtext['tentative_edit'] = "Tillåt att lämna in ändringsförslag till administratören (Endast personer, familjer och källor)";
		$admtext['notify'] = "Meddela denna användare om aktivering av konto";
		$admtext['no_edit'] = "Inga redigeringsrättigheter";
		$admtext['emailusers'] = "E-postanvändare";
		//$admtext['sendemailstousers'] = "Send an e-mail to all registered users";
		$admtext['emailmessage'] = "E-postmeddelande till Användare";
		$admtext['subject'] = "E-posttitel";
		$admtext['messagetext'] = "E-posttext";
		$admtext['selectgroup'] = "Välj en grupp att motta e-post (lämna blankt för att skicka till alla)";
		$admtext['treemailmsg'] = "Valmöjlighet: Om du väljer ett Träd sänds meddelandet endast till de som är anslutna till detta Träd.";
		$admtext['branchmailmsg'] = "Valmöjlighet: Om du väljer en Gren sänds meddelandet endast till de som är anslutna till denna Gren.";
		$admtext['send'] = "Sänd E-post";
		$admtext['sentmailmessage'] = "Skickat E-postmeddelande";
		$admtext['succmail'] = "Ditt e-postmeddelande har skickats.";
		$admtext['mailfailed'] = "Sändningen av ditt e-postmeddelande misslyckades.";
		$admtext['entersubject'] = "Skriv in ett ämne för ditt meddelande.";
		$admtext['entermsgtext'] = "Skriv in texten för ditt meddelande.";
		$admtext['adminonly'] = "Visa endast Admin-användare";
		$admtext['dtregistered'] = "Datum för registrering";
		$admtext['dtactivated'] = "Datum för aktivering";
		$admtext['no_email'] = "Sänd inte massutskick till denna användare";
		$admtext['allow_admin'] = "Tillåt tillgång till alla systeminställningar och administrativa funktioner, samt tilldela ovanstående rättigheter i alla träd och grenar.";
		$admtext['limitedrights'] = "Begränsa tillgången till följande:";
		$admtext['allow_edit'] = "Tillåt att redigera befintliga poster";
		$admtext['allow_add'] = "Tillåt att lägga till poster";
		$admtext['allow_delete'] = "Tillåt att radera befintliga poster";
		//added in 8.0.0
		$admtext['usrguest'] = "Gäst";
		$admtext['usrguestd'] = "Inga rättigheter att lägga till, redigera eller radera.";
		$admtext['noadmin'] = "Ingen tillgång till Admin-området.";
		$admtext['usrsubm'] = "Uppgiftslämnare";
		$admtext['usrsubmd'] = "Lämnade uppgifter som ska granskas.";
		$admtext['usrcontrib'] = "Informationslämnare";
		$admtext['usrcontribd'] = "Lägg till information, inklusive media.";
		$admtext['usreditor'] = "Redigerare";
		$admtext['usreditord'] = "Lägg till, redigera och radera all information, inklusive media.";
		$admtext['usradmin'] = "Administratör";
		$admtext['usradmind'] = "Alla rättigheter.";
		$admtext['usrmcontrib'] = "Informationslämnare Media";
		$admtext['usrmcontribd'] = "Lägg endast till media.";
		$admtext['usrmeditor'] = "Media-editor";
		$admtext['usrmeditord'] = "Lägg till, redigera och radera endast media.";
		$admtext['allow_media_edit'] = "Tillåt redigering endast av media";
		$admtext['allow_media_add'] = "Tillåt tillägg endast till media";
		$admtext['allow_media_delete'] = "Tillåt radering endast av media";
		$admtext['no_add'] = "Inga rättigheter att lägga till";
		$admtext['no_delete'] = "Inga rättigheter att radera";
		$admtext['roles'] = "Roller";
		$admtext['usrcustom'] = "Anpassad";
        //added in 9.0.0
		$admtext['allow_private'] = "Tillåt att se information om privata individer";
		$admtext['allow_pdf'] = "Tillåt nedladdning av PDF-filer";
		$admtext['allow_profile'] = "Tillåt att redigera användarprofil";
		break;

	case "login":
		$admtext['loginfailed'] = "Inloggningen misslyckades.";
		$admtext['adminlogfile'] = "Admin Log-fil";
		$admtext['mostrecentactions'] = "Senaste åtgärder";
		$admtext['rempass'] = "Förbli inloggad på denna dator";
		$admtext['sessexp'] = "Din sessionstid har gått ut.";
		$admtext['logagain'] = "Klicka för att logga in igen.";
		//added in 8.1.0
		$admtext['logininactive'] = "Din inloggning är ännu inte aktiv. Försök igen senare eller kontakta sajt-administratören.";
		break;

	case "timeline":		
		$admtext['createnewtlevent'] = "Skapa ny tidslinjehändelse ";
		$admtext['modifytlevent'] = "Ändra befintlig tidslinjehändelse";
		$admtext['leaveblankalltlevents'] = "lämna blank för att visa alla tidslinjehändelser";
		$admtext['evyear'] = "Händelseår";
		$admtext['evdetail'] = "Händelsedetalj";
		$admtext['selecttleventaction'] = "Välj tidslinjehändelse och åtgärd";
		$admtext['changestotlevent'] = "Ändringar av tidslinjehändelse";
		$admtext['location'] = "Plats";
		$admtext['confdeletetlevent'] = "Är du säker på att du vill radera denna tidslinjehändelse?";
		$admtext['enterevyear'] = "Skriv in händelseår.";
		$admtext['enterevdetail'] = "Skriv in händelsedetalj.";
		$admtext['existingtleventinfo'] = "Befintlig tidslinjehändelse";
		$admtext['newtleventinfo'] = "Ny tidslinjehändelse";
		$admtext['edittleventinfo'] = "Redigera en tidigare inlagd tidslinjehändelse";
		$admtext['addnewtlevent'] = "Lägg till tidslinjehändelse";
		$admtext['yrreq'] = "(endast år behövs)";
		$admtext['startdt'] = "Startdatum";
		$admtext['enddt'] = "Slutdatum";
		//added in 9.0.0
		$admtext['evtitle'] = "Händelsetitel";
		break;

	case "review":
		$admtext['selectevaction'] = "Välj händelse och åtgärd";
		$admtext['suggested'] = "Föreslagen";
		$admtext['usernotes'] = "Noteringar om<br />föreslagen ändring<br />(sparas ej)";
		$admtext['postdate'] = "Skickad den";
		$admtext['savedel'] = "Spara och radera";
		$admtext['postpone'] = "Senarelägg";
		$admtext['igndel'] = "Ignorera och radera";
		$admtext['tentdel'] = "raderades";
		$admtext['tentadd'] = "gjordes permanent";
		break;

	//added in 8.0.0
	case "misc":
		$admtext['noteblurb'] = "Direkt hitta, redigera eller ta bort en anteckning i din databas.";
		$admtext['whatsnewblurb'] = "Ge dina besökare allmän information om uppdatering av sajten eller annat aktuellt överst på Nyhetssidan.";
		$admtext['mwblurb'] = "Skapa en lista med svårfångade personer och oidentifierade foton för att skapa publicitet kring de uppgifter som du har störst problem med.";
		$admtext['dvblurb'] = "Find potential problems in your information.";
		$admtext['wr_gender'] = "Wrong gender";
		$admtext['unk_gender'] = "Unknown gender";
		$admtext['marr_young'] = "Married too young (less than 15 years old)";
		$admtext['marr_aft_death'] = "Married after death";
		$admtext['marr_bef_birth'] = "Married before birth";
		$admtext['died_bef_birth'] = "Died before birth";
		$admtext['parents_younger'] = "Born too early (parents less than 15 years old, or child born before marriage)";
		$admtext['children_late'] = "Born too late (mother more than 50 years old)";
		$admtext['not_living'] = "Person marked as living, death date present";
		$admtext['not_dead'] = "Person marked as deceased, possibly still living";
		$admtext['parmarr'] = "Parents' Marriage";
		$admtext['motherbirth'] = "Mother's Birth";
		break;
		
	case "mods":
		$admtext['modlist'] = "MOD-lista";
		$admtext['reqremove'] = "Begäran att ta bort MOD";
		$admtext['confcanc'] = "Bekräfta begäran eller Avbryt";
		$admtext['confrem'] = "Bekräfta borttagning";
		$admtext['confirmedrem'] = "Begäran att ta bort MOD bekräftad";
		$admtext['removed'] = "har tagits bort";
		$admtext['notremoved'] = "Togs inte bort på grund av följande fel";
		$admtext['reqclean'] = "Begäran att rensa MOD";
		$admtext['confclean'] = "Bekräfta rensning";
		$admtext['confirmedclean'] = "Begäran att rensa MOD bekräftad";
		$admtext['cleanatt'] = "Försökt rensa";
		$admtext['cleanperf'] = "Rensning utförd med följande noteringar";
		$admtext['reqedit'] = "Begäran att redigera MOD";
		$admtext['confedit'] = "Bekräfta redigering";
		$admtext['cfgvalsread'] = "Konfigureringsvärden hämtade från TNG-filer.";
		$admtext['confirmededit'] = "Begäran att uppdatera MOD-värden bekräftad";
		$admtext['editdone'] = "Redigering avslutad";
		$admtext['editperf'] = "The Edit parameters were changed as follows:";
		$admtext['reqinstall'] = "Begäran att installera MOD";
		$admtext['confinst'] = "Bekräfta installationen";
		$admtext['confirmedinst'] = "Begäran att installera MOD bekräftad";
		$admtext['installed'] = "Installerad";
		$admtext['notinst2'] = "Inte installerad på grund av följande fel";
		$admtext['reqdelete'] = "Begäran att radera MOD konfigurationsfil";
		$admtext['nomodundo'] = "Du kan inte ångra denna åtgärd. Du måste ladda ner denna MOD igen om du vill installera eller radera den senare.";
		$admtext['confdel'] = "Bekräfta radering";
		$admtext['confirmeddel'] = "Begäran att radera MOD konfigurationsfil bekräftad";
		$admtext['deleted'] = "har raderats";
		$admtext['cantdel'] = "kan inte radera";
		$admtext['remman'] = "Ta bort denna fil manuellt";
		$admtext['cfgname'] = "Konfigureringsfilens namn";
		$admtext['version'] = "Version";
		$admtext['clean'] = "Rensa";
		$admtext['nomods'] = "Inga MOD definitionsfiler (xxx) hittades i MOD-mappen";
		$admtext['notarget'] = "%target: Märke saknas";
		$admtext['notarget2'] = "inga målfiler funna";
		$admtext['peerror'] = "Parameter-redigeringsfel";
		$admtext['prerror'] = "Parameter-läsfel";
		$admtext['location'] = "Plats";
		$admtext['missing'] = "Saknad";
		$admtext['badtarget'] = "Felaktigt mål";
		$admtext['targetlost'] = "Kunde inte hitta mål";
		$admtext['modins'] = "MOD-kod inlagd.";
		$admtext['modtrins'] = "MOD-kod trimmad och inlagd.";
		$admtext['modrepl'] = "MOD-kod ersatt.";
		$admtext['nfilemissing'] = "Nytt filnamn saknas";
		$admtext['create'] = "Skapa...";
		$admtext['cantwrite'] = "Kan inte skriva till";
		$admtext['checkperms'] = "Kontrollera behörigheter, för närvarande";
		$admtext['notwrite'] = "är inte skrivbar, kontrollera behörigheter";
		$admtext['cfilemissing'] = "Filnamn på kopia saknas";
		$admtext['cffilemissing'] = "Filnamn på kopia (från) saknas";
		$admtext['ctfilemissing'] = "Filnamn på kopia (till) saknas";
		$admtext['copyfile'] = "Kopiera fil xxx till";
		$admtext['cantcopy'] = "Kan inte kopiera till";
		$admtext['checkwrite'] = "Kontrollera behörigheter, måste vara skrivbar.";
		$admtext['forwrite'] = "för skrivning";
		$admtext['written'] = "Fil skriven";
		$admtext['toterrors'] = "Totalt antal fel";
		$admtext['totfiles'] = "Totalt antal nya filer";
		$admtext['notallinst'] = "Alla sektioner installerades inte";
		$admtext['notallrem'] = "Alla sektioner raderades inte";
		$admtext['section'] = "Sektion";
		$admtext['missfile'] = "Saknad fil";
		$admtext['targetsearch'] = "Målsökning";
		$admtext['insrem'] = "Inlagd MOD-kod borttagen.";
		$admtext['remrem'] = "Borttagen MOD-kod borttagen.";
		$admtext['trimrem'] = "MOD-kod trimmad och borttagen.";
		$admtext['orgrepl'] = "Originalkoden ersatt";
		$admtext['cantrepl'] = "Kan inte ersätta originalkoden, hittades inte.";
		$admtext['orgtrrepl'] = "Originalkoden trimmad och ersatt";
		$admtext['keyword'] = "nyckelord";
		$admtext['notunique'] = "inte unik";
		$admtext['noaction'] = "ingen åtgärd";
		$admtext['novers'] = "Befintlig xxx har inget versionsnummer";
		$admtext['param'] = "Parameter";
		$admtext['params'] = "Parametrar";
		$admtext['paramed'] = "Parameter-redigerare";
		$admtext['enterparam'] = "Ange MOD-Parameter";
		$admtext['paramval'] = "värde";
		$admtext['noparams'] = "Inga parameterdefinitioner";
		$admtext['nodesc'] = "Fel i parameterdefinitioner, beskrivning saknas";
		$admtext['defval'] = "Standardvärde";
		$admtext['updateval'] = "Uppdaterar värde xxx av [yyy] till MOD konfigurationsfil.";
		$admtext['rewritten'] = "återskriven";
		$admtext['fixingcfg'] = "Lagar Konfigurationsfilen";
		$admtext['fixedcfg'] = "Konfigurationsfilen lagad";
		$admtext['fixingtar'] = "Lagar Målfilen";
		$admtext['fixedtar'] = "Målfilen lagad";
		$admtext['fincorr'] = "Korrigering av begärd data avslutad";
		$admtext['targetupd'] = "Måldata uppdaterad";
		$admtext['written'] = "Fil skriven";
		$admtext['permerr'] = "Filbehörighetsfel";
		$admtext['updconfig'] = "Uppdatera information om Konfigurationsfilen";
		$admtext['configupd'] = "Konfigurationsdata uppdaterad, slut på Loop";
		//changed in 9.0.0
		$admtext['readvals'] = "Hämta befintliga värden från TNG-filer";
		$admtext['retstatus'] = "Återgå till Status";
		$admtext['locmissing'] = "Lokal kopia av xxx för installation saknas";
		//added in 9.0.0
		$admtext['needmodupdate'] = "Mod-uppdateringar krävs ";
		$admtext['keywordmissing'] = "Nyckelord saknas. Mod-konstruktionsfel.";
		$admtext['cannotinstall'] = "Kan inte installera denna Mod";
		$admtext['notargetkeyword'] = "Målfil krävs ";
		$admtext['emptytarget'] = "Målfilen är tom.";
		$admtext['missingtarget'] = "Målfilen är inte installerad.";
		$admtext['missingfiles'] = "Filen som ska kopieras saknas i källmappen ";
		$admtext['pararead'] = "Parametrar som lästs från filer";
		$admtext['rewritetarget'] = "Skriv om målfilen ";
		$admtext['targetcode'] = "målkoden är";
		$admtext['modtrimrepl'] = "Mod-koden trimmad och ersatt.";
		$admtext['cantdelmissing'] = "Kan inte radera, filen saknas";
		$admtext['totcopyfiles'] = "Totalt antal filer att kopiera";
		$admtext['successfully'] = "Framgångsrikt";
		$admtext['filecreated'] = " Framgångsrikt skapad";
		//changed in 10.0.3 
		$admtext['editperf'] = "The Edit parameters were changed as follows:";
		//added in 10.0.3 
		$admtext['batchupdates'] = "Massuppdatering";
		$admtext['options'] = "Inställningar";
		$admtext['viewlog'] = "Visa logg";
		$admtext['filesexcused'] = "Files allowed to fail";
		$admtext['fileexcused'] = "File allowed to fail";
		$admtext['copiesexcused'] = "Copies allowed to fail";
		$admtext['copyexcused'] = "Copy allowed to fail";
		$admtext['optionalfile'] = "Fileoptional specified ";
		$admtext['installbypassed'] = "section install bypassed";
		$admtext['removalbypassed'] = "section removal bypassed";
		$admtext['target'] = "Ändrar";
		$admtext['newfile'] = "Skapar";
		$admtext['copiesfile'] = "Kopierar";
		$admtext['copiesfile2'] = "Kopierar till";
		$admtext['aflistoptions'] = "Berörda filer";
		$admtext['showaflist'] = "Visa berörda filer";
		$admtext['shownewfile'] = "Visa nya filer";
		$admtext['showfilecopies'] = "Visa kopierade filer";
		$admtext['namecol'] = "Visa fillista i kolumn";
		$admtext['showlistas'] = "Visa fillista som";
		$admtext['showastable'] = "Tabell";
		$admtext['showascsv'] = "Komma-separerade värden CSV";
		$admtext['batchshowaflist'] = "Visa fillista i massuppdatering";
		$admtext['logoptions'] = "Logg för MOD-hanteraren";
		$admtext['logactions'] = "Logga MOD-hanterarens förändringar";
		$admtext['mmlogfilename'] = "Loggfilens namn";
		$admtext['sortlistby'] = "Sortera fillista efter";
		$admtext['modname'] = "MOD-namn";
		$admtext['bypassconfirm'] = "Hoppa över bekräftelsemeddelanden";
		$admtext['bypassaction'] = "Hoppa över åtgärdsmeddelanden";
		$admtext['modifyoptions'] = "Modify Mod Manager Options";
		$admtext['ready'] = "Klar att installera";
		$admtext['badmod'] = "Kan inte installeras";
		$admtext['noselected'] = "Du har inte valt några filer!";
		$admtext['choose'] = "Välj";
		$admtext['showlogfile'] = "Visa MOD-hanterarens åtgärdslogg";
		$admtext['recentactions'] = "senaste åtgärder i MOD-hanteraren";
		$admtext['emptylog'] = "Töm logg";
		$admtext['clearlog'] = "Rensa logg";
		$admtext['confirmclearlog'] = "Är det säkert att du vill tömma loggen?";
		$admtext['copyfrom'] = "från mapp ";
		$admtext['modsyntax'] = "MOD-syntax";
		$admtext['modguidelines'] = "Riktlinjer för MOD";
		$admtext['analyzer'] = "Analysverktyg";
		$admtext['filemod'] = "Fil xxx har ändrats av";
		$admtext['filesel'] = "Välj modifierad fil för att undersöka ändringarna";
		$admtext['potconf'] = "Möjliga konflikter";
		$admtext['modifications'] = "förändringar";
		$admtext['othermmoptions'] = "Övrigt";
		$admtext['file'] = "Fil";
		$admtext['tngmods'] = "MOD för TNG ";
		$admtext['unexpected'] = "Oväntat nyckelord";
		$admtext['syntax'] = "Syntax";
		//changed in TNG 10.1
		$admtext['copied'] = "kopierad";
		$admtext['emptyfile'] = "tom fil";
		$admtext['filescopied'] = "filer har kopierats";
		$admtext['notarget'] = "%target: Märke saknas";
		$admtext['notinst'] = "ej installerad";
		$admtext['install'] = "Installera";
		$admtext['filedel'] = "Fil har raderats";
		$admtext['created'] = "skapad";
		$admtext['choosefilter'] = "Välj status och klicka på Kör för att filtrera";
		$admtext['mmmaxloglines'] = "Max antal poster";
		$admtext['statusfilter'] = "Status";
		//added in TNG 10.1
		$admtext['uninstall'] = "Avinstallera";    // was $admtext['remove'] = "Remove"
		$admtext['cleanup'] = "Städa upp";  // previously used as $admtext['clean']
		$admtext['edopts'] = "Editeringsmöjligheter";  // previously used as $admtext['edit'] without Option text
		$admtext['ok2inst'] = "OK att installera";  // previously used $admtext['ready'] which is already translated
		$admtext['badversion'] = "Missmatchning av filversion";
		$admtext['bomfound'] = "BOM har tagits bort";
		$admtext['cantinst'] = "Kan ej installeras";
		$admtext['cantproc'] = "Kan ej avinstalleras";
		$admtext['cantupd'] = "kan inte uppdatera parametrar";
		$admtext['cleanupall'] = "Städa upp";
		$admtext['confdelmod'] = "Vill du verkligen radera denna MOD från ditt system?";
		$admtext['copiesreq'] = "kopiering av filer specificerade";
		$admtext['delete'] = "Radera";
		$admtext['deleteall'] = "Radera alla";
		$admtext['errors'] = "fel";
		$admtext['excused'] = "files excused";
		$admtext['filesinst'] = "filer installerade";
		$admtext['filesrem'] = "filer har tagits bort";
		$admtext['format'] = "formatfel";
		$admtext['ignored'] = "plats har ignorerats";
		$admtext['installall'] = "Installera";
		$admtext['installing'] = "Installerar";
		$admtext['line'] = "Rad";
		$admtext['modified'] = "ändrad";
		$admtext['modsinst'] = "kodändring installerad";
		$admtext['modrem'] = "MOD avinstallerad";
		$admtext['modsrem'] = "kodändringar avinstallerade";
		$admtext['modsreq'] = "kodförändringar specificerade";
		$admtext['newfilesreq'] = "nya filer specificerade";
		$admtext['nfcreated'] = "ny fil har skapats";
		$admtext['noaccess'] = "ingen åtkomst";
		$admtext['noact'] = "ogiltigt händelsemärke";
		$admtext['nocfgfile'] = "MOD-fil kan inte hittas";
		$admtext['nocode'] = "kodavsnitt saknas";
		$admtext['nocomps'] = "element saknas";
		$admtext['noend'] = "%end:% märke saknas";
		$admtext['noinsert'] = "kan inte infoga kod";
		$admtext['noinsrem'] = "infogad kod har ej tagits bort";
		$admtext['nolocation'] = "platsmärke saknas";
		$admtext['nomsg'] = " ";
		$admtext['noreplace'] = "kan inte ersätta kod";
		$admtext['notgtfile'] = "ej tillgänglig (ingen målfil)";
		$admtext['notopened'] = "målfil ej öppnad";
		$admtext['okay'] = "OK";
		$admtext['opened'] = "öppnad";
		$admtext['optional'] = "valfri";
		$admtext['parameter'] = "parameter";
		$admtext['partinst'] = "Delvis installerad";
		$admtext['removeall'] = "Avinstallera";    // was Remove Selected mods
		$admtext['removing'] = "Avinstallerar";    // was Removing
		$admtext['reqtag'] = "obligatoriskt märke saknas";
		$admtext['restparam'] = "Återställer standardparametrar";
		$admtext['return'] = "Återvänd till MOD-hanteraren";
		$admtext['secnoterm'] = "avsnitt ej avslutat";
		$admtext['tagnoterm'] = "märke ej avslutat";
		$admtext['tagunk'] = "okänt märke";
		$admtext['tgtfile'] = "målfil";
		$admtext['updated'] = "uppdaterad";
		$admtext['updparam'] = "Uppdaterar parametrar";
		$admtext['unxend'] = "oväntat filslut";
		$admtext['warnings'] = "Varningar";
		$admtext['whitespace'] = "mellanrum";
		$admtext['locations'] = "platser";
		$admtext['allowdeletepartial'] = "Tillåt radering av delvis installerade MODs";
		$admtext['allowdeleteinstalled'] = "Tillåt radering av helt installerade MODs";
		$admtext['showwarnings'] = "Visa MOD-varningar i status";
		$admtext['logfullpath'] = "Logga full sökväg för filhändelser";
		$admtext['deletingmods'] = "Raderar MOD-filer";
		$admtext['deleting'] = "Raderar ";
		$admtext['wiki'] = "Wiki";
		$admtext['aflist'] = "Filer";
		$admtext['hasoptions'] = "Valmöjligheter";
		$admtext['update'] = "Uppdatera";
		$admtext['restore'] = "Återställ standardvärden";
		$admtext['compressnames'] = "Komprimera MOD-namnen i MOD-listan";
		$admtext['stayon'] = "Lås";
		$admtext['accessible'] = "tillgänglig";
		$admtext['bypassed'] = "överhoppad";
		$admtext['willbypass'] = "kommer att ignoreras";  // was "will bypass"
		$admtext['cantdel'] = "kan inte radera";
		$admtext['optmissing'] = "fil saknas (valfri)";
		$admtext['tgtmissing'] = "målfil saknas";
		$admtext['optlocked'] = "fil låst (valfri)";
		$admtext['tgtlocked'] = "fil låst";
		$admtext['alreadyrem'] = "redan avinstallerad";
		$admtext['noaccess'] = "ingen åtkomst";
		$admtext['code'] = "kod";
		$admtext['alreadyins'] = "redan installerad";
		$admtext['badinstall'] = "installation misslyckades";
		$admtext['removed'] = "har tagits bort";
		$admtext['deleted'] = "har raderats";
		$admtext['optsrcfilemissing'] = "valfri källa saknas";
		$admtext['srcfilemissing'] = "källa saknas";
		$admtext['optnocopy'] = "valfri fil har ej kopierats";
		$admtext['notcopied'] = "ej kopierad";
		$admtext['copied'] = "kopierad";
		$admtext['notcreated'] = "kan inte skapa ny fil";
		$admtext['optnotcreated'] = "kan inte skapa (valfri) ny fil";
		$admtext['nocreated'] = "inte skapad";
		$admtext['fixedheader'] = "Använd fasta rubrikrader";
		$admtext['cantremok'] = "ej avinstallerbar, valfri, överhoppad";
		$admtext['nofolder'] = "målmapp saknas";
		$admtext['edparams'] = "editera parametrar";
		$admtext['compresslog'] = "Komprimerad loggvisning";
		$admtext['showanalyzer'] = "Visa flik för analysverktyget";
		$admtext['formodname'] = "för MOD-namn ";
		$admtext['nofolder'] = "målmapp saknas";
		$admtext['fileperms'] = "Kontrollera filbehörigheter";
		$admtext['noparam'] = "parameter saknas";
		$admtext['editing'] = "editerar";
		$admtext['redirect2log'] = "Gå automatiskt till loggen vid";
		$admtext['on_error'] = "Enbart fel";
		$admtext['on_all'] = "Alla poster";
		$admtext['usestriping'] = "Visa randig lista";
		$admtext['stripeafter'] = "Antal listrader per rand";
		$admtext['adjusthdrs'] = "Justera fasta rubrikrader";
		$admtext['displayoptions'] = "Inställningar för visning";
		$admtext['no_frag'] = "kodfragment inte tillåtet här";
		break;

	//added in 11.0.0
	case "dna":
		$admtext['confdeletedna'] = "Är du säker på att du vill radera denna test?";
		$admtext['test_type'] = "Testtyp";
		$admtext['test_number'] = "Testnummer";
		$admtext['test_date'] = "Testdatum";
		$admtext['modifydna'] = "Redigera befintlig DNA-test";
		$admtext['changestoalldna'] = "Ändringar i alla tester";
		$admtext['addnewdna'] = "Lägg till ny DNA-test";
		$admtext['testinfo'] = "Testinformation";
		$admtext['urls'] = "Relevanta länkar";
		$admtext['dnalater'] = "OBS: Testet kan länkas till andra individer i nästa steg.";
		$admtext['selecttype'] = "Välj testtyp.";
		$admtext['entertestnum'] = "Skriv in testnummer.";
		$admtext['test_taker'] = "Person som tog testet";
		$admtext['test_links'] = "Personer länkade till detta test";
		$admtext['changestotest'] = "Ändringar att testa"; 
		break;
}

//common
$admtext['cannotexecutequery'] = "Kan inte utföra sökningen";
$admtext['addnew'] = "Lägg till";
$admtext['individuals'] = "individer";
$admtext['succadded'] = "har skapats";
$admtext['succaddedlinked'] = "har lagts till och länkats till";
$admtext['succsaved'] = "har sparats";
$admtext['succdeleted'] = "har raderats";
$admtext['succdeletedpluslinks'] = "har raderats, tillsammans med alla länkar";
$admtext['text_delete'] = "Radera";
$admtext['deleted'] = "Raderad";
$admtext['deleteselected'] = "Radera vald enhet";
$admtext['noresults'] = "Inga resultat funna. Försök igen.";
$admtext['action'] = "Åtgärd";
$admtext['id'] = "ID";
$admtext['edit'] = "Redigera";
$admtext['notes'] = "Noteringar";
$admtext['name'] = "Namn";
$admtext['description'] = "Beskrivning";
$admtext['text_continue'] = "Fortsätt...";
$admtext['searchfor'] = "Sök";
$admtext['lookin'] = "Sök i (kryssa i önskvärda alternativ)";
$admtext['cemeteryid'] = "Begravningsplats-ID";
$admtext['exactmatch'] = "Endast exakt matchning";
$admtext['nothingtodelete'] = "Det finns inget att radera";
$admtext['state'] = "Län/Provins/Delstat";
$admtext['country'] = "Land";
$admtext['finish'] = "Avsluta";
$admtext['ifphotouploaded'] = "Lämna detta fält blankt om filen redan laddats upp till fotomappen.";
$admtext['eventtype'] = "Händelsetyp";
$admtext['source'] = "Källa";
$admtext['savechanges'] = "Spara ändringar";
$admtext['family'] = "Familj";
$admtext['find'] = "Bläddra...";
$admtext['create'] = "Skapa...";
$admtext['sourceid'] = "Källa-ID";
$admtext['birthabbr'] = "f.";
$admtext['chrabbr'] = "dp.";
$admtext['remove'] = "Koppla loss";
$admtext['moveup'] = "Flytta upp";
$admtext['movedown'] = "Flytta ner";
$admtext['enterpersonid'] = "Skriv in person-ID";
$admtext['personid'] = "Person-ID";
$admtext['otherevents'] = "Andra händelser";
$admtext['required'] = "obligatorisk";
$admtext['children'] = "Barn";
$admtext['chrdate'] = "Dopdatum";
$admtext['chrplace'] = "Dopplats";
$admtext['deathdate'] = "Dödsdatum";
$admtext['deathplace'] = "Dödsplats";
$admtext['burialdate'] = "Begravningsdatum";
$admtext['burialplace'] = "Begravningsplats";
$admtext['birthdate'] = "Födelsedatum";
$admtext['birthplace'] = "Födelseplats";
$admtext['title'] = "Titel";
$admtext['sex'] = "Kön";
$admtext['marriagedate'] = "Vigseldatum";
$admtext['marriageplace'] = "Vigselplats";
$admtext['lastname'] = "Efternamn";
$admtext['firstname'] = "Förnamn";
$admtext['filename'] = "Filnamn";
$admtext['linkspersonid'] = "Länkar (person-ID)";
$admtext['cannotopen'] = "Kan inte öppna filen";
$admtext['check'] = "Kontrollera";
$admtext['generate'] = "Skapa";
$admtext['update'] = "Uppdatera";
$admtext['confdeleteevent'] = "Är du säker på att du vill radera denna händelse?";
$admtext['existinglinks'] = "Befintliga länkar:<br>(kryssa i för att radera)";
$admtext['lowersortfirst'] = "Lägre siffror sorteras först. Decimaler kan också användas.";
$admtext['personsname'] = "Personens namn";
$admtext['tablecreation'] = "Skapa databas";
$admtext['tracklines'] = "Spåra linjer";
$admtext['administration'] = "Administration";
$admtext['text_or'] = "ELLER";
$admtext['cemeteries'] = "Begravningsplatser";
$admtext['families'] = "Familjer";
$admtext['headstones'] = "Gravstenar";
$admtext['histories'] = "Text-dokument";
$admtext['people'] = "Personer";
$admtext['photos'] = "Foton";
$admtext['reports'] = "Rapporter";
$admtext['sources'] = "Källor";
$admtext['suffix'] = "Suffix";
$admtext['add'] = "Lägg till";
$admtext['confdeleteentity'] = "Är du säker på att du vill radera vald";
$admtext['cemetery'] = "Begravningsplats";
$admtext['language'] = "Språk";
$admtext['display'] = "Visa";
$admtext['languages'] = "Språk";
$admtext['orderpound'] = "Ordningsnummer";
$admtext['tree'] = "Träd";
$admtext['alltrees'] = "Alla träd";
$admtext['selectaddtree'] = "Träd (välj eller lägg till)";
$admtext['selecttree'] = "Välj/lägg till träd.";
$admtext['treebefevent'] = "Du måste välja eller skriva in trädnamn innan du kan lägga till händelser.";
$admtext['text_rename'] = "Döp om";
$admtext['clear'] = "Töm";
$admtext['linktothis'] = "Länk till denna individ";
$admtext['linkexample'] = "(skriv in ID, t.ex. \"I###\")";
$admtext['existingconfig'] = "Aktuell konfiguration";
$admtext['lastmodified'] = "Senast ändrad";
$admtext['addnotes'] = "Övriga noteringar";
$admtext['confdeletenote'] = "Är du säker på att du vill radera denna notering?";
$admtext['treebefnote'] = "Du måste välja eller skriva in ett trädnamn innan du kan lägga till noteringar.";
$admtext['general'] = "Generell";
$admtext['entersearchvalue'] = "Skriv in sökbegrepp.";
$admtext['trees'] = "Träd";
$admtext['users'] = "Användare";
$admtext['lds'] = "LDS";
$admtext['norights'] = "Du har inte rättigheter att se denna sida. Om du har användarnamn och lösenord, logga in nedan.";
$admtext['username'] = "Användarnamn";
$admtext['password'] = "Lösenord";
$admtext['login'] = "Logga in";
$admtext['logout'] = "Logga ut";
$admtext['city'] = "Ort";  //from cemeteries
$admtext['cap_country'] = "Land";  //from cemeteries
$admtext['addnewtree'] = "Lägg till träd";
$admtext['test'] = "Testa";
$admtext['page'] = "Sida";  //from sources
$admtext['folder'] = "Mapp";   //from languages
$admtext['confdeletepers'] = "Är du säker på att du vill radera denna person?";
$admtext['save'] = "Spara";
$admtext['of'] = "av";
$admtext['size'] = "Storlek";
$admtext['select'] = "Välj";
$admtext['open'] = "Öppna";
$admtext['selectfile'] = "Välj fil";
$admtext['altdesc'] = "Alternativ beskrivning";
$admtext['altnotes'] = "Alternativa noteringar";
$admtext['savereturn'] = "återvänd till denna sida";
$admtext['saveback'] = "återvänd till förra menyn";
$admtext['user'] = "Användare";
$admtext['DIV'] = "Skilsmässa";
$admtext['search'] = "Sök";  //from findpersonform
$admtext['searchresults'] = "Sökresultat";  //from people
$admtext['clicktoselect'] = "klicka för att välja";
$admtext['familyid'] = "Familje-ID";  //from families
$admtext['secondary'] = "Sekundära processer";
$admtext['commas'] = "Separarera flera uppgifter med komma";
$admtext['onsave'] = "Vid Spara";
$admtext['adminhome'] = "Admin hemsida";
$admtext['labelbranches'] = "Märk grenar";
$admtext['branch'] = "Gren";
$admtext['findperson'] = "Sök person...";
$admtext['findfamily'] = "Sök familj...";
$admtext['repeatlastq'] = "Upprepa sista sökningen";
$admtext['alwayson'] = "Alltid synligt";
$admtext['all'] = "Alla";
$admtext['lnprefix'] = "Efternamnsprefix";
$admtext['nameorder'] = "Namnordning";
$admtext['western'] = "Förnamn först";
$admtext['lockid'] = "Lås";
$admtext['linktothese'] = "Länka till:";
$admtext['alsolinkto'] = "Länka även till:";
$admtext['linkspersfam'] = "Länkar (individ-, familje- eller käll-ID)";
$admtext['findsource'] = "Bläddra i Källor...";
$admtext['address'] = "Adress";
$admtext['stateprov'] = "Län/Provins/Delstat";
$admtext['zip'] = "Postnummer";
$admtext['merge'] = "Slå samman";
$admtext['otherinfo'] = "Annan information";
$admtext['available'] = "Tillgänglig";
$admtext['backuprestore'] = "Verktyg";
$admtext['place'] = "Plats";
$admtext['treeid'] = "Träd-ID";
$admtext['email'] = "E-post";
$admtext['event'] = "Händelse";
$admtext['eventdate'] = "Händelsedatum";
$admtext['eventplace'] = "Händelseplats";
$admtext['detail'] = "Detalj";
$admtext['export'] = "Exportera";
$admtext['tlevents'] = "Tidslinjehändelser";
$admtext['places'] = "Platser";
$admtext['duplicate'] = "Ändringarna sparades ej. En annan post med samma nyckel finns redan.";
$admtext['alttitle'] = "Alternativ titel";
$admtext['enttitle'] = "Titel";  //title for a history or photo, not a person
$admtext['address1'] = "Adress 1";
$admtext['address2'] = "Adress 2";
$admtext['countryaddr'] = "Land";
$admtext['branches'] = "Grenar";
$admtext['nobranch'] = "Ingen gren";
$admtext['scrollbranch'] = "(Bläddra för att se alla val)";
$admtext['matches'] = "Träffar";
$admtext['review'] = "Granska";
$admtext['allusers'] = "Alla användare";
$admtext['deathabbr'] = "d.";
$admtext['burialabbr'] = "begr.";
$admtext['nochanges'] = "Inga ändringar gjordes.";
$admtext['changestoallitems'] = "Ändringar i alla poster";  //were made successfully
$admtext['find2'] = "Bläddra";
$admtext['text_sort'] = "Sortera";
$admtext['documents'] = "Foto-dokument";
$admtext['repository'] = "Arkiv";
$admtext['more'] = "Mera";
$admtext['repositories'] = "Arkiv";
$admtext['divplace'] = "Plats  skilsmässa";
$admtext['divdate'] = "Datum skilsmässa";
$admtext['divdatetr'] = "Datum skilsmässa (datumformat)";
$admtext['creategendex'] = "Skapa GENDEX";
$admtext['datamaint'] = "Dataimport";
$admtext['imagefiletoupload'] = "Bildfil att ladda upp";
$admtext['indfamorsrc'] = "individer, familjer eller källor";
$admtext['improperpermissions'] = "p g a att mappen har inte rätt rättigheter. Prova chmod(777)";
$admtext['person'] = "Person";
$admtext['setup'] = "Installation";
$admtext['manage'] = "Hantera";
$admtext['reset'] = "Återställ";
$admtext['norecords'] = "Inga poster finns.";
$admtext['secondarymaint'] = "Sekundära underhållsprocesser";
$admtext['customeventtypes'] = "Egendefinierade händelsetyper";
$admtext['findmatches'] = "Sök matchande fält";
$admtext['matchthese'] = "Matcha följande fält:";
$admtext['otheroptions'] = "Andra alternativ:";
$admtext['ignoreblanks'] = "Ignorera blanka";
$admtext['nextmatch'] = "Nästa matchning";
$admtext['nextdup'] = "Nästa dublett";
$admtext['comprefresh'] = "Jämför/Uppdatera";
$admtext['mswitch'] = "Byt";
$admtext['nomatches'] = "Ingen matchning";
$admtext['combineextras'] = "Kombinera foton & dokument";  //changed as well
$admtext['fasterdisplay'] = "OBS: Denna sida är annorlunda formaterad för att visas snabbare.";
$admtext['publichome'] = "Publik hemkatalog";
$admtext['selectall'] = "Välj alla";
$admtext['clearall'] = "Avmarkera alla";
$admtext['media'] = "Media";
$admtext['albums'] = "Album";
$admtext['import'] = "Importera";
$admtext['item'] = "Föremål";
$admtext['combinenotesonly'] = "Kombinera Noteringar";
$admtext['addmedia'] = "Lägg till Media";
$admtext['latitude'] = "Latitud";
$admtext['longitude'] = "Longitud";
$admtext['gedimport'] = "GEDCOM-import";
$admtext['improper2'] = "eftersom originalfilen är för stor eller inte en giltig bild, eller för att mappen inte finns (kontrollera Rotmappen) eller inte har rätt rättigheter (försök chmod(777)).";
$admtext['confdeleterecs'] = "Är du säker på att du vill radera de valda posterna?";
//For Google maps use - admin pages
$admtext['googleplace'] = "Geocode Lokalisering";
$admtext['notfound'] = " hittades inte. Prova att söka igen. Se Hjälp för kartsök för troliga orsaker till sökfelet, eller gör sökningen i länken till Full Google Kart-sök";
$admtext['showhidemap'] = "Visa/dölj klickbar karta";
$admtext['getcoords'] = "(för att bestämma latitud, longitud och zoom)";
$admtext['searchstring'] = "Sök en plats";
$admtext['zoom'] = "Zooma";
$admtext['selectplacelevel'] = "Välj Plats-nivå";
$admtext['difficultmap'] = "Full Google Kart-sök";
$admtext['maphelp'] = "Kart-sök Hjälp";
$admtext['gobutton'] = "Sök";
$admtext['findpersonid'] = "Bläddra i person-ID";
$admtext['findfamilyid'] = "Bläddra i familje-ID";
$admtext['findsourceid'] = "Bläddra i käll-ID";
$admtext['entersourcepart'] = "Skriv in del av källans titel";
$admtext['findrepoid'] = "Sök Arkiv-ID";
$admtext['enterrepopart'] = "Skriv in del av akrivets titel";
$admtext['findplace'] = "Sök plats";
$admtext['enterplacepart'] = "skriv in del av ett platsnamn";
$admtext['entereventinfo'] = "Skriv in händelsedatum, -plats och -detaljer.";
$admtext['entereventtype'] = "Välj händelsetyp.";
$admtext['enternote'] = "Skriv in noteringstexten.";
$admtext['selectsource'] = "Välj en källa.";
$admtext['confdeletecite'] = "Är Du säker på att Du vill radera detta citat?";
$admtext['spouses'] = "Makar";
$admtext['entertreeid'] = "Skriv in träd-ID.";
$admtext['entertreename'] = "Skriv in trädnamn.";
$admtext['citations'] = "Citat";
$admtext['eventtypes'] = "Händelsetyper";
$admtext['associations'] = "Anknytningar";
$admtext['makefolder'] = "Skapa mapp";
$admtext['allcurrentdata'] = "All befintlig data";
$admtext['matchingonly'] = "Endast matchande poster";
$admtext['donotreplace'] = "Ersätt inga data";
$admtext['useroffset'] = "Starta ID vid:";
$admtext['phone'] = "Telefon";
$admtext['website'] = "Hemsida";
$admtext['thumb'] = "Frimärke";  //as in thumbnail
$admtext['displayorder'] = "Visningsordning";
$admtext['go'] = "Kör";
$admtext['help'] = "Hjälp";
$admtext['husband'] = "Make";
$admtext['wife'] = "Maka";
$admtext['husbname'] = "Makens namn";
$admtext['wifename'] = "Makans namn";
$admtext['drag'] = "Dra";
$admtext['enterinamepart'] = "skriv in del av för- och/eller efternamn";
$admtext['enterfnamepart'] = "Skriv in del av faders och/eller moders namn";
$admtext['hide'] = "Göm";
$admtext['toggle'] = "toggla display";
$admtext['wsel'] = "Med vald:";
$admtext['msg'] = "Meddelande";
$admtext['default'] = "Standard";
$admtext['events'] = "Händelser";
$admtext['date'] = "Datum";
$admtext['savecont'] = "spara och fortsätt...";
$admtext['alphanum'] = "Använd bara alfanumeriska tecken i ditt Träd-ID.";
$admtext['mediatypes'] = "Media-typer";
$admtext['appendall'] = "Lägg till alla poster";
$admtext['NPFX'] = "Prefix";
$admtext['prefix'] = "Prefix";
$admtext['mostwanted'] = "Mest eftersökt";
$admtext['idexists'] = "kunde inte läggas till på grund av att detta ID redan finns.";
$admtext['notdeleted'] = "Filen kunde inte raderas. Kontrollera filens rättigheter.";
$admtext['confdeletefile'] = "Är du säker på att du vill radera denna fil?";
//changed in 8.0.0
$admtext['datenote'] = "<strong>OBS:</strong> Vid inmatning av datum, använd standardformatet DD MMM ÅÅÅÅ. t ex 10 Apr 2004.";
$admtext['oriental'] = "Efternamn först";
$admtext['langfolder'] = "Mappen där språkfilerna<br>lagras";
//moved here in 8.0.0
$admtext['active'] = "Aktiv";
$admtext['repoid'] = "Arkivets ID";
$admtext['whatsnew'] = "Nyheter";
$admtext['linkedto'] = "Länkad till";
$admtext['status'] = "Status";
//added in 8.0.0
$admtext['show'] = "Förhandsgranska";
$admtext['lnfirst'] = "Efternamn först (med kommatecken)";
$admtext['savefirst'] = "spara ändringarna först?";
$admtext['misc'] = "Diverse";
$admtext['modmgr'] = "MOD-hanterare";
$admtext['menu'] = "Meny";
$admtext['cannotopendir'] = "Kan inte öppna mappen";
$admtext['reviewsh'] = "Granska"; //short version
//moved here in 9.0.0
$admtext['cancel'] = "Avbryt";
$admtext['enterpassoc'] = "Skriv in ID för den anknutna personen.";
$admtext['enterrela'] = "Skriv in relationen.";
$admtext['confdeleteassoc'] = "Är du säker på att du vill radera denna Anknytning?";
$admtext['preview'] = "Förhandsgranska";
$admtext['livingonly'] = "Endast levande";
$admtext['tentdata'] = "Tillfällig händelsepost";
$admtext['checking'] = "Kontrollerar... Vänta";
//added in 9.0.0
$admtext['clickresume'] = "klicka här för att fortsätta";
$admtext['copylast'] = "Kopiera senaste";
$admtext['nicbold'] = "Klicka för fetskrift";
$admtext['nicitalic'] = "Klicka för kursiv skrift";
$admtext['nicunderline'] = "Klicka för understruken skrift";
$admtext['niclalign'] = "Vänsterjustera";
$admtext['niccalign'] = "Centrera";
$admtext['nicralign'] = "Högerjustera";
$admtext['nicjalign'] = "Justera";
$admtext['nicinsol'] = "Infoga sorterad lista";
$admtext['nicinsul'] = "Infoga osorterad lista";
$admtext['nicsub'] = "Klicka för nedsänkt text";
$admtext['nicsup'] = "Klicka for upphöjd text";
$admtext['nicstrike'] = "Klicka för överstruken text";
$admtext['nicremfmt'] = "Ta bort formatering";
$admtext['nicindent'] = "Indragen text";
$admtext['nicremind'] = "Ta bort indragningen";
$admtext['nichr'] = "Vågrät linjal";
$admtext['nicfontsz'] = "Typsnitt&nbsp;Storlek";
$admtext['nicfontfam'] = "Typsnitt&nbsp;Familj";
$admtext['nicfontfmt'] = "Typsnitt&nbsp;Format";
$admtext['niclink'] = "Lägg till länk";
$admtext['nicremlink'] = "Ta bort länk";
$admtext['nictxtcol'] = "Ändra textfärg";
$admtext['nicbkgcol'] = "Ändra bakgrundsfärg";
$admtext['nicimage'] = "Lägg till bild";
$admtext['change'] = "Ändra";
$admtext['editwarn'] = "Din unika tillgång till posten håller på att löpa ut. Spara dina ändringar så att de inte riskerar att skrivas över av en annan användare.";
$admtext['editconflict'] = "En annan användare redigerar denna post just nu. Försök igen senare!";
$admtext['retry'] = "Försök igen";
$admtext['notsaved'] = "Ändringarna har inte sparats. En annan användare har låst denna post.";
//changed in 9.2.0
$admtext['linktype'] = "Typ";
//moved here in 10.0.0
$admtext['disabled'] = "Inaktiverad";
$admtext['cremated'] = "Kremerad";
//added in 10.0.0
$admtext['videos'] = "Video";
$admtext['recordings'] = "Ljudinspelningar";
$admtext['saveexit'] = "Spara och Stäng";
$admtext['allbranches'] = "Alla Grenar";
//moved here in 11.0.0
$admtext['nickname'] = "Smeknamn";
$admtext['role'] = "Roll";
$admtext['commas'] = "Separarera flera uppgifter med komma";
$admtext['confdellink'] = "Är du säker på att du vill radera denna länk?";
$admtext['existlinks'] = "Befintliga länkar";
$admtext['report'] = "Rapport";
//added in 11.0.0
$admtext['sortby'] = "Sortera enligt";
$admtext['unlink'] = "Avlänka";
$admtext['privateonly'] = "Endast privat";
$admtext['dna_links'] = "DNA-länkar";
$admtext['dataval'] = "Datavalidering";
$admtext['norels'] = "Stäng av meddelanden om släktskap";

//change to $text
$admtext['living'] = "Levande";

@include_once("alltext.php");
if(!$alltextloaded) getAllTextPath();
?>