<?php
$textpart = "surnames";
include("tng_begin.php");

$search_url = getURL( "search", 1 );
$surnames_oneletter_url = getURL( "surnames-oneletter", 1 );
$surnames_all_url = getURL( "surnames-all", 1 );
$surnames_url = getURL( "surnames", 1 );

$treestr = $tree ? " ($text[tree]: $tree)" : "";
$logstring = "<a href=\"$surnames_url" . "tree=$tree\">" . xmlcharacters($text['surnamelist'].$treestr) . "</a>";
writelog($logstring);
preparebookmark($logstring);

tng_header( $text['surnamelist'], $flags );
?>

<h1 class="header"><span class="headericon" id="surnames-hdr-icon"></span><?php echo $text['surnamelist']; ?></h1><br class="clearleft" />
<?php
echo treeDropdown(array('startform' => true, 'endform' => true, 'action' => 'surnames', 'method' => 'get', 'name' => 'form1', 'id' => 'form1'));
$linkstr = "";
$linkstr2col1 = "";
$linkstr2col2 = "";
$linkstr3col1 = "";
$linkstr3col2 = "";
$collen = $sitever == "mobile" ? 15 : 10;
$cols = $sitever == "mobile" ? 2 : 3;
$nosurname = urlencode($text['nosurname']);
$text['top30'] = preg_replace("/xxx/","30",$text['top30']);

$wherestr = $tree ? "WHERE gedcom = \"$tree\"" : "";
$treestr = $orgtree ? "&amp;tree=$tree" : "";

$allwhere = getLivingPrivateRestrictions($people_table, false, false);

if( $allwhere ) {
	$wherestr .= $wherestr ? " AND $allwhere" : "WHERE $allwhere";
	$wherestr2 .= " AND $allwhere";
}

$query = "SELECT ucase(left(lastname,1)) as firstchar, ucase( $binary left(lastname,1) ) as binfirstchar, count( ucase( left( lastname,1) ) ) as lncount FROM $people_table $wherestr GROUP BY binfirstchar ORDER by binfirstchar";
$result = tng_query($query);
if( $result ) {
	$initialchar = 1;
	
	while( $surname = tng_fetch_assoc( $result ) ) {
		if( $initialchar != 1 ) { 
			$linkstr .= " ";
		}
		if($session_charset == "UTF-8" && function_exists(mb_substr))
			$firstchar = mb_substr($surname['firstchar'],0,1,'UTF-8');
		else
			$firstchar = substr($surname['firstchar'],0,1);
		$firstchar = strtoupper($firstchar);
		if( $firstchar == "" )
			$linkstr .= "<a href=\"$search_url" . "mylastname=$nosurname&amp;lnqualify=equals&amp;mybool=AND$treestr\" class=\"snlink\">" . $text['nosurname'] . "</a> ";
		else {
			//$urlfirstchar = urlencode($surname[firstchar]);
			$urlfirstchar = $firstchar;
			//if($charset == "UTF-8") $surname[firstchar] = utf8_encode($surname[firstchar]);
			$countstr = $text['surnamesstarting'] . ": " . $firstchar . " (" . number_format($surname['lncount']) . " " . $text['totalnames'] . ")";
			$linkstr .= "<a href=\"$surnames_oneletter_url" . "firstchar=$urlfirstchar$treestr\" class=\"snlink\" title=\"$countstr\">{$firstchar}</a>";
		}
		$initialchar++;
	}
	tng_free_result($result);
}


$surnamestr = $lnprefixes ? "TRIM(CONCAT_WS(' ',lnprefix,lastname) )" : "lastname";
if($tngconfig['ucsurnames'])
	$surnamestr = "ucase($surnamestr)";
$wherestr .= $wherestr ? " AND lastname != \"\"" : "WHERE lastname != \"\"";
$query = "SELECT ucase( $binary $surnamestr ) as lastname, $surnamestr as lowername, count( ucase($binary lastname ) ) as lncount FROM $people_table $wherestr GROUP BY lowername ORDER by lncount DESC, lastname LIMIT 30";
$result = tng_query($query);
$maxcount = 0;
if( $result ) {
	$count = 1;
	$col = -1;
	while( $surname = tng_fetch_assoc( $result ) ) {
		$surname2 = urlencode($surname['lastname']);
		if(!$maxcount) $maxcount = $surname['lncount'];
		$tally = $surname['lncount'];
		$tally_fmt = number_format($tally);
		$thiswidth = floor($tally / $maxcount * 100);
		if(($count - 1) % $collen == 0)
			$col++;
		//$chartstr = $col ? "" : "<td width=\"400\"><a href=\"$search_url" . "mylastname=$surname2&amp;lnqualify=equals&amp;mybool=AND$treestr\" title=\"{$surname['lowername']} ($tally_fmt)\"><div style=\"width:{$thiswidth}px;\" class=\"bar rightround\"></div></a></td>";
		$chartstr = $col ? "" : "<td class=\"bar-holder\"><div style=\"width:{$thiswidth}%;\" class=\"bar rightround\" title=\"{$surname['lowername']} ($tally_fmt)\"><a href=\"$search_url" . "mylastname=$surname2&amp;lnqualify=equals&amp;mybool=AND$treestr\"></a></div></td>";
		$linkstr2col[$col] .= "<tr><td class=\"snlink\">$count.</td><td class=\"nw\"><a href=\"$search_url" . "mylastname=$surname2&amp;lnqualify=equals&amp;mybool=AND$treestr\">{$surname['lowername']}</a> ($tally_fmt)</td>$chartstr</tr>";
		$count++;
	}
	tng_free_result($result);
}
?>

<div class="titlebox normal">
	<p class="subhead"><strong><?php echo $text['surnamesstarting']; ?></strong></p>
	<p class="firstchars"><?php echo $linkstr; ?></p>
	<br/><?php echo "<a href=\"$surnames_all_url" . "tree=$tree\">{$text['showallsurnames']}</a> ({$text['sortedalpha']})"; ?>
</div>

<br />
<div class="titlebox">
<table class="table-top30">
	<tr>
		<td colspan="5">
			<p class="subhead"><strong><?php echo "{$text['top30']} ({$text['totalnames']}):"; ?></strong></p>
		</td>
	</tr>
	<tr>
<?php
	for($i=0;$i<$cols;$i++){
		if($i)
			echo "<td class=\"table-gutter\">&nbsp;</td>\n";
?>
		<td class="aligntop">
			<table class="normal table-histogram">
<?php
	echo $linkstr2col[$i];
?>
			</table>
		</td>
<?php
	}
?>
	</tr>
	<tr>
		<td colspan="5">
<?php
	$formstr = getFORM( "surnames100", "get", "", "" );
	echo $formstr;
	echo $text['showtop'];
?>
			<input type="text" name="topnum" value="100" size="4" maxlength="4" /> <?php echo $text['byoccurrence']; ?>  <input type="hidden" name="tree" value="<?php echo $tree; ?>" /><input type="submit" value="<?php echo $text['go']; ?>" /></form>
		</td>
	</tr>

</table>
</div>
<br />
<?php
tng_footer( "" );
?>